package datasetutil;

import java.io.File;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class DatasetIUtil {

    public static void main(String[] args) {

        DatasetIUtil util = new DatasetIUtil();

        util.getFileList();
    }

    public void getFileList() {

        File files = new File("C://xml");

        File[] fileList = files.listFiles();

        if (fileList.length > 0) {
            for (int i = 0; i < fileList.length; i++) {
                File file = fileList[i];
                System.out.println("\n##### FILE Name >>>> " + file.getName());
                xmlParser(file);
                System.out.println("\n");
            }
        }

    }

    public void xmlParser(File file) {

        try {
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            DocumentBuilder builder = factory.newDocumentBuilder();

            Document doc = builder.parse(file);
            doc.getDocumentElement().normalize();

            // System.out.println("Root Element : "+doc.getDocumentElement().getNodeName());

            NodeList nList = doc.getElementsByTagName("Dataset");
            for (int temp = 0; temp < nList.getLength(); temp++) {
                Node nNode = nList.item(temp);

                if (nNode.getNodeType() == Node.ELEMENT_NODE) {
                    Element eElement = (Element) nNode;
                    String datasetId = eElement.getAttribute("Id");

                    System.out.print("\n\t\t<xlinkdataset id=\"" + datasetId + "\" desc=\"" + datasetId + "\" columns=\"");

                    NodeList colinfo = eElement.getElementsByTagName("colinfo");
                    getColinfo(colinfo);
                }

            }
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
    }

    public void getColinfo(NodeList nList) {
        for (int temp = 0; temp < nList.getLength(); temp++) {
            Node nNode = nList.item(temp);

            if (nNode.getNodeType() == Node.ELEMENT_NODE) {
                Element eElement = (Element) nNode;

                String colid = nvl(eElement.getAttribute("id"));
                String colsize = nvl(eElement.getAttribute("size"));

                if ("".equals(colid)) {
                    colid = nvl(eElement.getAttribute("Id"));
                }

                if ("".equals(colsize)) {
                    colsize = nvl(eElement.getAttribute("Size"));
                }

                System.out.print(colid + "::");

                if (temp == nList.getLength() - 1) {
                    System.out.print(colsize + "::\"/>");
                } else {
                    System.out.print(colsize + "::;");
                }

            }

        }

    }

    public String nvl(String str) {
        if (str == null) {
            return "";
        }
        return str;
    }

}
