package hanalife.a.ac.sf.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.a.ac.sf.mapper.AcctMngMapper;
import hanalife.a.ac.sf.mapper.dto.AcctMngDSACCTSD01DTO;
import hanalife.a.ac.sf.mapper.dto.AcctMngDSACCTSMDTO;
import hanalife.a.ac.sf.service.AACSFM02Service;
import hanalife.a.ac.sf.vo.AACSFM02DSACCTSD01VO;
import hanalife.a.ac.sf.vo.AACSFM02S01InVO;
import hanalife.a.ac.sf.vo.AACSFM02S01OutVO;


@Service("AACSFM02Service")
public class AACSFM02ServiceImpl implements AACSFM02Service {

    private static final Logger LOGGER = LoggerFactory.getLogger(AACSFM02ServiceImpl.class);

    @Autowired
    private AcctMngMapper acctMngMapper;

    @Override
    public AACSFM02S01OutVO getAACSFM02(AACSFM02S01InVO inVO) throws Exception {

        AACSFM02S01OutVO  resultVo = new AACSFM02S01OutVO();

        AcctMngDSACCTSMDTO targetDto = new AcctMngDSACCTSMDTO();

        targetDto.setAcctYy(inVO.getAACSFM02DSACCTSMVO().getAcctYy());
        targetDto.setAcctCd(inVO.getAACSFM02DSACCTSMVO().getAcctCd());
        targetDto.setAcctNm(inVO.getAACSFM02DSACCTSMVO().getAcctNm());
        targetDto.setAcctDivCd(inVO.getAACSFM02DSACCTSMVO().getAcctDivCd());
        targetDto.setTotAcctFg(inVO.getAACSFM02DSACCTSMVO().getTotAcctFg());
        targetDto.setDcDivCd(inVO.getAACSFM02DSACCTSMVO().getDcDivCd());
        targetDto.setRamtAcctFg(inVO.getAACSFM02DSACCTSMVO().getRamtAcctFg());
        targetDto.setBudgAcctFg(inVO.getAACSFM02DSACCTSMVO().getBudgAcctFg());
        targetDto.setBudgCntrFg(inVO.getAACSFM02DSACCTSMVO().getBudgCntrFg());
        targetDto.setBusiMngFg(inVO.getAACSFM02DSACCTSMVO().getBusiMngFg());
        targetDto.setEmpMngFg(inVO.getAACSFM02DSACCTSMVO().getEmpMngFg());
        targetDto.setDtMngFg(inVO.getAACSFM02DSACCTSMVO().getDtMngFg());
        targetDto.setTermMngFg(inVO.getAACSFM02DSACCTSMVO().getTermMngFg());
        targetDto.setMngNoDivCd(inVO.getAACSFM02DSACCTSMVO().getMngNoDivCd());
        targetDto.setDivGaapIfrs(inVO.getAACSFM02DSACCTSMVO().getDivGaapIfrs());
        targetDto.setVtaxProcFg(inVO.getAACSFM02DSACCTSMVO().getVtaxProcFg());


        List<AcctMngDSACCTSD01DTO> resultDTO = acctMngMapper.searchDescList(targetDto);

        List<AACSFM02DSACCTSD01VO> resultList = new ArrayList<AACSFM02DSACCTSD01VO>();

        for(AcctMngDSACCTSD01DTO sourceIO : resultDTO) {

            AACSFM02DSACCTSD01VO targetIO = new AACSFM02DSACCTSD01VO();

            targetIO.setAcctYy(sourceIO.getAcctYy());
            targetIO.setAcctCd(sourceIO.getAcctCd());
            targetIO.setAcctNm(sourceIO.getAcctNm());
            targetIO.setAcctDivCd(sourceIO.getAcctDivCd());
            targetIO.setTotAcctFg(sourceIO.getTotAcctFg());
            targetIO.setDcDivCd(sourceIO.getDcDivCd());
            targetIO.setMtchFg(sourceIO.getMtchFg());
            targetIO.setRamtAcctFg(sourceIO.getRamtAcctFg());
            targetIO.setBudgAcctFg(sourceIO.getBudgAcctFg());
            targetIO.setBudgCntrFg(sourceIO.getBudgCntrFg());
            targetIO.setBusiMngFg(sourceIO.getBusiMngFg());
            targetIO.setEmpMngFg(sourceIO.getEmpMngFg());
            targetIO.setDtMngFg(sourceIO.getDtMngFg());
            targetIO.setTermMngFg(sourceIO.getTermMngFg());
            targetIO.setMngNoDivCd(sourceIO.getMngNoDivCd());
            targetIO.setDelFg(sourceIO.getDelFg());
            targetIO.setFrstRegDt(sourceIO.getFrstRegDt());
            targetIO.setFrstRegTm(sourceIO.getFrstRegTm());
            targetIO.setFrstRegEmpNo(sourceIO.getFrstRegEmpNo());
            targetIO.setLastProcDt(sourceIO.getLastProcDt());
            targetIO.setFrstRegTm(sourceIO.getFrstRegTm());
            targetIO.setLastProcEmpNo(sourceIO.getLastProcEmpNo());
            targetIO.setDdctAcctFg(sourceIO.getDdctAcctFg());
            targetIO.setSortCd(sourceIO.getSortCd());
            targetIO.setSummPlCd(sourceIO.getSummPlCd());
            targetIO.setSummBsCd(sourceIO.getSummBsCd());
            targetIO.setVtaxProcFg(sourceIO.getVtaxProcFg());

            resultList.add(targetIO);

        }

        resultVo.setListAACSFM02DSACCTSD01VO(resultList);

        return resultVo;
    }

    @Override
    public AACSFM02S01OutVO registerAACSFM02I01(AACSFM02S01InVO inVO)throws Exception {

        AACSFM02S01OutVO  outVo = new AACSFM02S01OutVO();

        AcctMngDSACCTSMDTO targetDto = new AcctMngDSACCTSMDTO();

        targetDto.setAcctYy(inVO.getAACSFM02DSACCTSMVO().getAcctYy());
        targetDto.setAcctCd(inVO.getAACSFM02DSACCTSMVO().getAcctCd());
        targetDto.setAcctNm(inVO.getAACSFM02DSACCTSMVO().getAcctNm());
        targetDto.setAcctDivCd(inVO.getAACSFM02DSACCTSMVO().getAcctDivCd());
        targetDto.setTotAcctFg(inVO.getAACSFM02DSACCTSMVO().getTotAcctFg());
        targetDto.setDcDivCd(inVO.getAACSFM02DSACCTSMVO().getDcDivCd());
        targetDto.setRamtAcctFg(inVO.getAACSFM02DSACCTSMVO().getRamtAcctFg());
        targetDto.setBudgAcctFg(inVO.getAACSFM02DSACCTSMVO().getBudgAcctFg());
        targetDto.setBudgCntrFg(inVO.getAACSFM02DSACCTSMVO().getBudgCntrFg());
        targetDto.setBusiMngFg(inVO.getAACSFM02DSACCTSMVO().getBusiMngFg());
        targetDto.setEmpMngFg(inVO.getAACSFM02DSACCTSMVO().getEmpMngFg());
        targetDto.setDtMngFg(inVO.getAACSFM02DSACCTSMVO().getDtMngFg());
        targetDto.setTermMngFg(inVO.getAACSFM02DSACCTSMVO().getTermMngFg());
        targetDto.setMngNoDivCd(inVO.getAACSFM02DSACCTSMVO().getMngNoDivCd());
        targetDto.setDivGaapIfrs(inVO.getAACSFM02DSACCTSMVO().getDivGaapIfrs());
        targetDto.setVtaxProcFg(inVO.getAACSFM02DSACCTSMVO().getVtaxProcFg());
        int resultVo = acctMngMapper.insert(targetDto);

        return outVo;

        //return outVo;
        //vo -> dto로 값을 전달
        //int 변준오 = acctMngMapper.insert(targetDto);
        //return 변준오;
    }



}
