package hanalife.b.bm.gm.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.b.bm.gm.service.BBMGMM02Service;
import hanalife.b.bm.gm.vo.BBMGMM02DSSMDO01VO;
import hanalife.b.bm.gm.vo.BBMGMM02S01InVO;
import hanalife.b.bm.gm.vo.BBMGMM02S01OutVO;
import hanalife.b.bm.gm.vo.BBMGMM02S02OutVO;
import hanalife.b.dl.dl.web.BDLDLM01Controller;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/b/bm/gm")
@Controller
public class BBMGMM02Controller{

	@Resource(name = "BBMGMM02Service")
	private BBMGMM02Service BBMGMM02Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(BDLDLM01Controller.class);
    /**
     * <pre>
     * 메소드명 : 채권담당자별 배정현황 /BBMGMM02S01.do
     * 작성일자 : 2023. 3. 14.
     * 작성자(author): 70325 Kim Jaeheon
     * 설명 : 채권담당자별 배정현황  조회한다.
     * 예외처리 : Exception
     * </pre>
     */
	@RequestMapping("/BBMGMM02S01.do")
	public String BBMGMM02S01(ModelMap model,HttpServletRequest request, HttpServletResponse response) {
        LOGGER.info("##### BBMGMM02Controller BBMGMM02S01 Start #####");

		try {
	        /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
	        Map<String, Object> sourceDsSMDOMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO01", request, response, model);

	        /** 채권담당자별 배정현황 업무 서비스 호출 입력값 대입 */
	        BBMGMM02DSSMDO01VO dsSMDOInVo = new BBMGMM02DSSMDO01VO();
	        dsSMDOInVo.setAsgnStat((String)sourceDsSMDOMap.get("asgnStat"));
	        dsSMDOInVo.setBadDebtStat((String)sourceDsSMDOMap.get("badDebtStat"));
	        dsSMDOInVo.setBndDivsEmpNo((String)sourceDsSMDOMap.get("bndDivsEmpNo"));
	        dsSMDOInVo.setBndMngPlcCd((String)sourceDsSMDOMap.get("bndMngPlcCd"));
	        dsSMDOInVo.setComgTimsEd((String)sourceDsSMDOMap.get("comgTimsEd"));
	        dsSMDOInVo.setComgTimsSt((String)sourceDsSMDOMap.get("comgTimsSt"));
	        dsSMDOInVo.setCrdtStatCd((String)sourceDsSMDOMap.get("crdtStatCd"));
	        dsSMDOInVo.setDeptCd((String)sourceDsSMDOMap.get("deptCd"));
	        dsSMDOInVo.setDlyTimsEd((String)sourceDsSMDOMap.get("dlyTimsEd"));
	        dsSMDOInVo.setDlyTimsSt((String)sourceDsSMDOMap.get("dlyTimsSt"));
	        dsSMDOInVo.setEprtDtEd((String)sourceDsSMDOMap.get("eprtDtEd"));
	        dsSMDOInVo.setEprtDtSt((String)sourceDsSMDOMap.get("eprtDtSt"));
	        dsSMDOInVo.setGodCd((String)sourceDsSMDOMap.get("godCd"));
	        dsSMDOInVo.setLeglActnFg((String)sourceDsSMDOMap.get("leglActnFg"));
	        dsSMDOInVo.setLnDivsEmpNo((String)sourceDsSMDOMap.get("lnDivsEmpNo"));
	        dsSMDOInVo.setLoanNo((String)sourceDsSMDOMap.get("loanNo"));
	        dsSMDOInVo.setLoanRegStat((String)sourceDsSMDOMap.get("loanRegStat"));
	        dsSMDOInVo.setLoanSeq((String)sourceDsSMDOMap.get("loanSeq"));
	        dsSMDOInVo.setPreDlyTimsEd((String)sourceDsSMDOMap.get("preDlyTimsEd"));
	        dsSMDOInVo.setPreDlyTimsSt((String)sourceDsSMDOMap.get("preDlyTimsSt"));
	        dsSMDOInVo.setProdLrgeClasCd((String)sourceDsSMDOMap.get("prodLrgeClasCd"));
	        dsSMDOInVo.setProdMidClasCd((String)sourceDsSMDOMap.get("prodMidClasCd"));
	        dsSMDOInVo.setSetlDtFr((String)sourceDsSMDOMap.get("setlDtFr"));
	        dsSMDOInVo.setSetlDtTo((String)sourceDsSMDOMap.get("setlDtTo"));
	        dsSMDOInVo.setTranTimsEd((String)sourceDsSMDOMap.get("tranTimsEd"));
	        dsSMDOInVo.setTranTimsSt((String)sourceDsSMDOMap.get("tranTimsSt"));
	        dsSMDOInVo.setTabFlag(Byte.valueOf((String)sourceDsSMDOMap.get("tabFlag")));
	        LOGGER.info("####dsSMDOInVo  : "+dsSMDOInVo.getTabFlag()+"########");
	        /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입(InVO) */
	        BBMGMM02S01InVO InVO = new BBMGMM02S01InVO();
	        InVO.setBBMGMM02DSSMDO01VO(dsSMDOInVo); /** 채권담당자별 배정현황 입력값 대입 */

	        LOGGER.info("######InVo : "+ InVO.getBBMGMM02DSSMDO01VO().getTabFlag()+"##########");

	        if(InVO.getBBMGMM02DSSMDO01VO().getTabFlag() == 0) {
	            /* '담당자별' TAB 을 선택하고 조회 했을때*/
	            BBMGMM02S01OutVO resultListVo = BBMGMM02Service.getBBMGMM02S01(InVO);
	            XFrame5Util.setOutputData("DS_SDDO01", resultListVo.getListBBMGMM02DSSDDO01VO(), model);
	        }else {
	            /* '명세' TAB을 선택하고 조회 했을때 */
	            BBMGMM02S02OutVO  resultListVo = BBMGMM02Service.getBBMGMM02S02(InVO);
	            XFrame5Util.setOutputData("DS_SDDO02", resultListVo.getListBBMGMM02DSSDDO02VO(), model);
	        }
	        /** 채권담당자별 배정현황 업무 서비스 호출 수행(OutVO) */

	        /** 채권담당자별 배정현황 DataSet 결과값 설정*/
	        LOGGER.info("##### BBMGMM02Controller BBMGMM02S01 Normal End #####");
	    }
	    catch (Exception e) {
	        LOGGER.error("Error >>> "+e.getMessage());
	        // 오류 메시지 정보 설정&#13;
	        model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
	        model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

	        LOGGER.info("##### BBMGMM02Controller BBMGMM02S01 Exception End #####");
	    }
	    return XFrame5View.XFRAME5_VIEW;

	}

}
