package hanalife.b.cl.dl.vo.tmp;

import java.util.List;

@SuppressWarnings({"serial", "unchecked", "rawtypes"})
/**
 * <pre>
 * 클래스명    : BndVO
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BndVO {

	/**
	 * 중도상환회차
	 */
	private TimsUnrcvVO midRmbrTimsVO = null;
	/**
	 * 중도상환전회차(납입일기준 중도상환회차)
	 */
	private TimsUnrcvVO bfMidRmbrTims = null;

	/**
	 * 납입일자에 중도상환하는 경우( 납입일자 <= 결제일자 <= 실납입일자 => 중도상환시 다 받고 넘어가야하는 금액 )
	 */
	private TimsUnrcvVO dueDtMidRmbrTims = null;

	private String loanNo;			//대출_번호
	private String loanSeq;			//대출_순번

	private String prdtClas;			//상품대중분류코드
	private String prdtLcd;			//상품대분류코드
	private String prdtMcd;			//상품중분류코드
	private String prdtScd;			//상품소분류코드
	private String prdtCd;			//상품코드

	private String setlDt;			//결제일자
	private String loanDt;			//대출일자
	private String eprtDt;			//만기일자

	private int thmmDueTims;			//당월_납입_회차
	private int bfmmDueTims;			//전월_납입_회차
	private int totTims;				//총_회차
	private String loanStatCd;		//대출상태코드
	private String asymmAcctFg;		//비대칭회계여부
	private String rmbrFrmlCd;		//상환_방식_코드
	private String thmmDueDt;		//당월_납입_일자
	private String thmmRlDueDt;		//당월_실_납입_일자
	private String lastSetlDt;		//최종_결제일자
	private int lastSetlTims;		//최종_결제_회차

	private String loanEprtDt;		//대출_만기_일자
	private String loanRlEprtDt;		//대출_실_만기_일자(영업일)
	private String leasEprtDt;		//리스_만기_일자
	private String leasRlEprtDt;		//리스_실_만기_일자
	private String leasEprtDlyDt;	//리스_만기_연체_일자
	private int loanEprtTims;		//대출_만기_회차
	private int procCnt;				//처리건수

	//리스승계여부를 확인하기위해 추가함.
	private String loanOccrCd;		//대출발생코드
	private String execDt;			//실행일자
	private String sixPreDt; 		//6개월전일자
	private double loanIntRt;		//대출_이자율
	private String clsFg;			//마감여부
	/**
	 * <p>상품중분류로 상실계산여부 등록되어있슴.
	 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_FG
	 */
	private String loseCalcFg;		//상실_계산여부

	/**
	 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_FG
	 * @return "1" == ST_PRDT_CLAS.DDAY_PRFT_LOSE_FG
	 */
	private boolean isLoseCalc(){
		return AskUnrcvConst.YES.equals(loseCalcFg);
	}
	private String loseCalcCd;		//상실_계산_구분(회차,일수)
	private int    loseCalcVal;		//상실_계산_구분값(회차,일수)
	private long   loanAmt;			//대출금액
	private long   loanAmt10;		//대출금액10%
	private String unrcvProcDt;		//미수처리일자(납입일자) 리스

	//회차별 정보
	private int timsUnrcvStrtIdx;	//회차_미수_시작_인덱스
	private int timsUnrcvCnt;		//회차_미수_건수

	//잔액정보
	private long pamtRamt;				//원금_잔액
	private long intRamt;				//이자_잔액
	private long trtFeeRamt;				//취급수수료잔액
	private long leasFeeRamt;			//리스료잔액
	private long baseLeasFeeRamt;		//기본리스료잔액
	private long addLeasFeeRamt;			//가산리스료잔액
	private long ppayIntRamt;			//선급이자잔액
	private long addCartaxRamt;			//가산자동차세잔액
	private long addEnvImprBrdnamtRamt;	//가산환개금잔액
	private long addInsuFeeRamt;			//가산보험료잔액
	private long addAsfeeRamt;			//가산정비료잔액
	private long vtaxRamt;				//부가세잔액
	private long ipayCartaxRamt;			//대지급자동차세잔엑
	private long ipayEnvImprBrdnamtRamt;	//대지급환개금잔액
	private long ipayInsuFeeRamt;		//대지급보험료잔액
	private long ipayPnltAmtRamt;		//대지급범칙금잔액
	private long ipayEtcRamt;			//대지급기타잔액
	private long cartaxRamt;				//자동차세잔액
	private long envImprBrdnamtRamt;		//환개금잔액
	private long insuFeeRamt;			//보험료잔액
	private long ltrmBrcvAmtRamt;		//장기선수금잔액
	private long brcvAmtLeasfeeRamt;		//선수금리스료잔액
	private long guarAmt;				//보증금액
	private long ramtAmt;				//잔가금액
	private String endAfAskStatCd;		//종료후청구상태코 (종료후청구상태,대지급청구발생)
	private String eprtAskMethCd;		//만기청구방법코드(원리금,잔가포함)
	private String guarAmtAdjFg;			//보증금대체여부(마지막회차 대체여부)

	private long currentAskAmt;			//현재시점 청구금액
	private long thmmMmAskAmt;			//당월청구금액
	private long thmmMmAskTims;			//당월청구회차
	private long nextAskAmt;				//실미도래회차청구금액
	private long nextAskTims;			//실미도래회차청

	private long stndAskAmt;				//기준청구금액
	private long askAmt;					//청구_금액
	private long askLeasFee;				//청구리스료
	private long askBaseLeasFee;			//청구기본리스료
	private long askAddLeasFee;			//청구가산리스료
	private long askPamt;				//청구_원금
	private long askInt;					//청구_이자
	private long askTrtFee;				//청구_취급수수료
	private long askPpayInt;				//청구선급이자
	private long askTint;				//청구_총이자
	private long askAddCartax;			//청구가산자동차세
	private long askAddEnvImprBrdnamt;	//청구가산환개금
	private long askAddInsuFee;			//청구가산보험료
	private long askAddAsfee;			//청구가산정비료
	private long askVtax;				//청구부가세
	private long askIpayCartax;			//청구대지급자동차세
	private long askIpayEnvImprBrdnamt;	//청구대지급환개금
	private long askIpayInsuFee;			//청구대지급보험료
	private long askIpayPnltAmt;			//청구대지급범칙금
	private long askIpayEtc;				//청구대지급기타
	private long askIpayTax;				//청구대지급조세
	private long askCartax;				//청구자동차세
	private long askEnvImprBrdnamt;		//청구환개금
	private long askInsuFee;				//청구보험료
	private long askLtrmBrcvAmt;			//청구장기선수금
	private long askDfee;				//청구_연체료
	private long askGuarAmt;				//청구보증금액
	private long askRamtAmt;				//청구잔가금액

	//연체 정보
	private int dlyStrtIdx;				//연체_시작_인덱스
	private int dlyCnt;					//연체_건수
	private double addDfeeRt;			//가산_연체료_율 (연체일때 가산금리)
	private double dfeeRt;				//연체료_율    (약정이자율+가산금리)
	private String dfeeRtNm;				//연체료_율_명 (약정이자율+가산금리)
	private long dlyAmt;					//연체_금액
	private long dlyLeasFee;				//연체리스료
	private long dlyBaseLeasFee;			//연체기본리스료
	private long dlyAddLeasFee;			//연체가산리스료
	private long dlyPamt;				//연체_원금
	private long dlyInt;					//연체이자
	private long dlyTrtFee;				//연체_취급수수료
	private long dlyPpayInt;				//연체선급이자
	private long dlyTint;				//연체_총이자
	private long dlyAddCartax;			//연체가산자동차세
	private long dlyAddEnvImprBrdnamt;	//연체가산환개금
	private long dlyAddInsuFee;			//연체가산보험료
	private long dlyAddAsfee;			//연체가산정비료
	private long dlyVtax;				//연체부가세
	private long dlyIpayCartax;			//연체대지급자동차세
	private long dlyIpayEnvImprBrdnamt;	//연체대지급환개금
	private long dlyIpayInsuFee;			//연체대지급보험료
	private long dlyIpayPnltAmt;			//연체대지급범칙금
	private long dlyIpayEtc;				//연체대지급기타
	private long dlyIpayTax;				//연체대지급조세
	private long dlyCartax;				//연체자동차세
	private long dlyEnvImprBrdnamt;		//연체환개금
	private long dlyInsuFee;				//연체보험료
	private long dlyLtrmBrcvAmt;			//연체장기선수금
	private long dfee;					//연체료
	private long dfeeKifrs;				//연체료_KIFRS (2018-08-01 최종원부장님 요청:연체금리가 아닌 정상금리로 계산)
	private long dlyGuarAmt;				//연체보증금액
	private long dlyRamtAmt;				//연체잔가금액
	private long preOccrDfee;			//기_발생_연체료
	private boolean isDly(){
		return AskUnrcvConst.YES.equals(dlyFg);
	}
	private String dlyFg;				//연체_여부
	private String dlyDt;				//연체_일자
	private String dlyCalcDt;			//연체_계산_일자
	private int dlyStrtTims;				//연체_시작_회차
	private String dlyStrtDueDt;			//연체_시작_납입_일자
	private int dlyEndTims;				//연체_종료_회차
	private String dlyEndDueDt;			//연체_종료_납입_일자
	private int dlyDdcnt;				//연체_일수
	private int occrDlyDdcnt;			//발생_연체_일수
	private int dlyMmCnt;				//연체_개월수
	private int dlyTcnt;					//연체_횟수
	private int lngsDlyDdcnt;			//최장_연체_일수
	private int totDlyDdcnt;				//누적_연체_일수
	private long occrPdueDiscDfee;		//발생_선납_할인_연체료
	private long adjPdueDiscDfee;		//정산_선납_할인_연체료
	private long pdueDiscDfeeRamt;		//선납_할인_연체료_잔액
	private long pdueDiscDfeeRamtBfDisc;	//선납_할인_연체료_잔액_할인전
	private long pdueDiscDfee;			//선납_할인_연체료
	private long tempPdueDiscInt;		//임시_선납_할인_이자
	private String loseDlyStrtDt;		//상실_연체_시작일자
	/**
	 * <p>상실납입일자(최초 시작 상실납입일자), rmbrplanvo.loseCalcDueDt
	 */
	private String loseDueDt;		//상실_납입_일자
	private String loseDt;			//상실_일자
	private String preLoseDt;		//기존_상실_일자
	private long rvvlNeedAmt;		//부활_필요_금액
	private int rvvlTims;			//부활_회차
	private long loseMmPamt;			//상실_월_원금
	private long loseMmInt;			//상실_월_이자
	private long losePamtRamt;		//상실_원금_잔액
	private long losePiamtDfee;		//상실_원리금_연체료
	private long loseIntDfee;		//상실_이자_연체료
	private long loseRamtDfee;		//상실_잔액_연체료
	private long loseStndPramt;		//상실기준 원금잔액

	private boolean isLose(){
		return AskUnrcvConst.YES.equals(loseFg);
	}
	private String loseFg;			//상실_여부
	private String exptLoseFg;		//예상_상실_여부
	private int    exptLoseDcnt;		//예상_상실_기준일 (n영업일 후 상실일지 예상하는 계산)
	private String loseExptDt;		//상실_예정_일자
	private int    ddayPrftLoseStrtTims;

	//장기선수금정보
	private int setlObjLtrmBrcvIdx;		//정산장기선수_인덱스
	private long setlObjLtrmBrcvAmt;		//결제대상장기선수금
	private long setlAfLtrmBrcvAmtRamt;	//결제후장기선수금잔액

	//운용리스미수금리스료 회차정보
	private int unrcvStrtIdx;		//미수_시작_인덱스
	private int unrcvCnt;			//미수_건수
	private int unrcvTims;			//미수회차
	private long unrcvAmt;			//미수_금액
	private long unrcvLeasFee;		//미수리스료
	private long unrcvBaseLeasFee;	//미수기본리스료
	private long unrcvAddLeasFee;	//미수가산리스료
	private long unrcvPamt;			//미수_원금
	private long unrcvInt;			//미수_이자
	private long unrcvPsgInt;		//미수_경과이자
	private long unrcvPpayInt;		//미수선급이자
	private long unrcvTint;			//연체_총이자
	private long unrcvAddCartax;		//미수가산자동차세
	private long unrcvAddEnvImprBrdnamt; //미수가산
	private long unrcvAddInsuFee;	//미수가산보험료
	private long unrcvAddAsfee;		//미수가산정비료
	private long unrcvVtax;			//미수부가세
	private long unrcvIpayCartax;	//미수대지급자동차세
	private long unrcvIpayEnvImprBrdnamt;  //미수대지급환개금
	private long unrcvIpayInsuFee;	//미수대지급보험료
	private long unrcvIpayPnltAmt;	//미수대지급범칙금
	private long unrcvIpayEtc;		//미수대지급기타
	private long unrcvCartax;		//미수자동차세
	private long unrcvEnvImprBrdnamt;//미수환개금
	private long unrcvInsuFee;		//미수보험료
	private long unrcvLtrmBrcvAmt;	//미수장기선수금
	private long unrcvGuarAmt;		//미수보증금액
	private long unrcvRamtAmt;		//미수잔가금액

	//중도상환대지급인덱스 회차정보
	private int ipayMaxIdx;			//대지급_최대_인덱스
	private int ipayMaxTims;			//대지급_최대_회차
	//정상상환계획정보
	private int normStrtIdx;			//정상_시작_인덱스
	private int normCnt;				//정상_건수
	private long normAmt;			//정상_금액
	private long normLeasFee;		//정상리스료
	private long normBaseLeasFee;	//정상기본리스료
	private long normAddLeasFee;		//정상가산리스료
	private long normPamt;			//정상_원금
	private long normInt;			//정상_이자
	private long normTrtFee;			//정상_취급수수료
	private long normPsgInt;			//정상_경과이자
	private long normPpayInt;		//정상선급이자
	private long normTint;			//정상_총이자
	private long normAddCartax;		//정상가산자동차세
	private long normAddEnvImprBrdnamt; //정산가산
	private long normAddInsuFee;		//정상가산보험료
	private long normAddAsfee;		//정상가산정비료
	private long normVtax;			//정상부가세
	private long normIpayCartax;		//정상대지급자동차세
	private long normIpayEnvImprBrdnamt; //정상대지급환개금
	private long normIpayInsuFee;	//정상대지급보험료
	private long normIpayPnltAmt;	//정상대지급범칙금
	private long normIpayEtc;		//정상대지급기타
	private long normIpayTax;		//정상대지급조세
	private long normCartax;			//정상자동차세
	private long normEnvImprBrdnamt;	//정상환개금
	private long normInsuFee;		//정상보험료
	private long normLtrmBrcvAmt;	//정산장기선수금
	private long normGuarAmt;		//정상보증금액
	private long normRamtAmt;		//정상잔가금액
	//미도래 정보
	private int unComgStrtIdx;		//미_도래_시작_인덱스
	private int unComgCnt;			//미_도래_건수
	private long unComgAmt;			//미_도래금액
	private long unComgLeasFee;		//미도래리스료
	private long unComgBaseLeasFee;	//미도래기본리스료
	private long unComgAddLeasFee;	//미도래가산리스료
	private long unComgPamt;			//미_도래_원금
	private long unComgInt;			//미_도래_이자
	private long unComgTrtFee;		//미_도래_취급수수료
	private long unComgPpayInt;		//미도래선급이자
	private long unComgTint;			//미도래_총이자
	private long unComgAddCartax;	//미도래가산자동차세
	private long unComgAddEnvImprBrdnamt;  //미도래가산환개금
	private long unComgAddInsuFee;	//미도래가산보험료
	private long unComgAddAsfee;		//미도래가산정비료
	private long unComgVtax;			//미도래부가세
	private long unComgIpayCartax;	//미도래대지급자동차세
	private long unComgIpayEnvImprBrdnamt;  //미도래대지급환개금
	private long unComgIpayInsuFee;	//미도래대지급보험료
	private long unComgIpayPnltAmt;	//미도래대지급범칙금
	private long unComgIpayEtc;		//미도래대지급기타
	private long unComgCartax;		//미도래자동차세
	private long unComgEnvImprBrdnamt;  //미도래환개금
	private long unComgInsuFee;		//미도래보험료
	private long unComgLtrmBrcvAmt;	//미도래장기선수금
	private long unComgGuarAmt;		//미도래보증금액
	private long unComgRamtAmt;		//미도래잔가금액

	//파산면책대상금액
	private long exemRcptObjInt;
	private long exemRcptObjPamt;
	private long exemRcptObjDivsTrtFee;

	//초회
	private int fcntTims;
	private String fcntDueDt;
	//기준회차정보
	private int stndTimsIdx; //기준회차인덱스
	private String stndDueDt; //기준납입일자
	private String stndRlDueDt; //기준실납입일자
	private int stndThmmDueTims; //기준당월납입회차
	private int curTims;          //현재회차 (setlDt 기준)
	private long stndLtrmBrcvAmt; //기준당월장기선수금
	//중도상환시입력값
	private String pnltStndCd; //범칙금기준코드
	private long pnltStndAmt;  //범칙금기준금액
	private String cartaxEnvAdjMethCd; //차세환개금정산방법코드
	private String cartaxIpayEndDt; //차세대지급종료일자
	private String envAmtIpayEndDt; //환개금대지급종료일자
	private String sellFg; //매각여부
	private String cmprCalcFrmlCd; //리스중도상환비교계산방식코드_입력
	private double cmprCalcRt; //리스중도상환비교계산율_입력
	private long pnltAdjuAmt; //패널티조정금액
	private long dfeeAdjuAmt; //연체료조정금
	private String ivltClosFg; //강제해지여부
	private String nmTranGuarAmtCalcFg;  //명의이전보증금계산여부

	//중도상환임시계산값
	private long balBaseLeasFee; //잔여기본리스료
	private long balAddLeasFee; //잔여가산리스료
	private long balLeasFee; //잔여리스료
	private long unWdrwPamt; //미회수원금 - 중도상환회차 부터 원금잔액
	private int cartaxPsgDdcnt; //차세경과일수
	private int envAmtPsgDdcnt; //환개금경과일수
	private long yyCartax; //년자동차세
	private long yyEnvAmt; //년환개금
	private long retnOdueAmt; //반납지연금액
	private long overDrvFee; //초과운행수수료
	private long orgupRcvrCost; //원상복구비용
	private long custCost; //고객비용
	private long deprDeprTamt; //감가상각누계액(참조용)
	private long dspLossApprAmt; //처분손실충당금(참조용)
	private long oprLeasAset; //운용리스자산(참조용)
	private long addClosGuarAmt; //추가해지보증금
	private long pnltAmtTot6; //6개월범칙금합계
	private String dueDtMidRmbrFg; //납입일_중도상환_여부 ( 납입일자에 중도상환을 하는경우 '1', 아니면 '0')
	private double midRmbrFeeRt; //중도_상환_수수료율
	private String midRmbrIntCalcDt; //중도_상환_이자_계산_일자
	/**
	 * 잔존기간 ( 중도_상환_잔여_일수 )
	 * 대출만기일자 - 결제일자
	 */
	private int midRmbrBalDdcnt; //중도_상환_잔여_일수
	private int origMidRmbrBalDdcnt;	//원 중도상환잔여일수(유예전 대출만기일으로 적용한)
	private double intUplmitRt;	//법정_최고_이자율(렌터카공제조합 이자상한제이율 계산용 2018-08-01)
	private long cortMaxAmt;       //법정_최고_금액. 렌터카공제조합 법정최고이자율 상한제 적용 2018-08-01
	private long calcPsgInt;       //계산_경과이자. 렌터카공제조합 법정최고이자율 상한제 적용 2018-08-01
	private long tamtCalcMidRmbrFee; //전액_계산_중도상환수수료. 렌터카공제조합 법정최고이자율 상한제 적용 2018-08-01
	private long partCalcMidRmbrFee; //부분_계산_중도상환수수료. 렌터카공제조합 법정최고이자율 상한제 적용 2018-08-01
	/**
	 * 부대비용율
	 */
	private double incdCostRt;

	//---- 중도상환 START-----------------------------------------
	private int midRmbrIdx; //중도_상환_인덱스
	private int midRmbrTims; //중도_상환_회차
	private String preSetFg; //선결제여부
	private int pdueTimsCnt;	//선결제회차건수
	private String preSetlCpayFg; //선결제완납여부
	private String midRmbrDueDt; //중도_상환_납입일자
	private String partRmbrRcptFg;	// 부분중도상환 결제여부
	/**
	 * 중도상환 회차의 이자시작일자
	 */
	private String midIntStrtDt; //중도_상환_이자계산시작일자
	private String midIntEndDt; //중도_상환_이자계산종료일자
	private String calcMidIntEndDt;	// 만기일 이후 이자계산 종료일자
	private long mainRmbrPamt; //주상환원금 (연체 및 결제당일원금 뺀 미도래 잔여원금으로 보면됨)
	private int mainEndTims; //mainEndTims

	private long totMidRmbrInt; //총_중도상환_이자
	private long totMidRmbrTrtFee; //총_중도상환_취급수수료

	private long tamtRmbrObjAmt; //전액_상환_대상_금액
	private long tamtRmbrObjAmtWithoutPdueAmt;	//전액상환대상금액_선납금액제외

	private long mmTrtFeeDisc; //월_취급_수수료_할인
	private long custTrtFeeDisc; //고객_취급_수수료_할인
	private long trtFee;

	private long tamtRmbrAmt; //전액_상환_금액
	/**
	 * 중도상환이자
	 * 중도상환원금 * 대출이자율(대출원장)  * 경과일수 / 365000
	 */
	private long midRmbrInt; //중도_상환_이자( 전액,부분 같이사용)
	private long trtFeeDisc; //취급_수수료_할인
	private long tamtRmbrCmprFee; //전액_상환_비교_수수료

	private long tamtRmbrPamt; //전액_상환_원금
	private long tamtRmbrExtsPamt; //전액상환유예원금
	private String tamtRmbrExtsFg; //전액상환유예여부

	private long tamtPsgLeasFee;  //전액상환경과리스료
	private long tamtPsgBaseLeasFee;  //전액상환경과기본리스료
	private long tamtPsgAddLeasFee;  //전액상환경과가산리스료
	private long tamtPsgPamt;  //전액상환경과원금
	private long tamtPsgInt;  //전액상환경과이자
	private long tamtPsgAddCartax;  //전액상환경과가산자동차세
	private long tamtPsgAddEnvImprBrdnamt;  //전액상환경과가산환개금
	private long tamtPsgAddInsuFee;  //전액상환경과가산보험료
	private long tamtPsgAddAsfee;  //전액상환경과정비료
	private long tamtPsgVtax;  //전액상환경과부가세
	private long tamtPpayInt;  //전액상환선급이자
	private long tamtIpayCartax;  //전액상환대지급자동차세
	private long tamtIpayEnvImprBrdnamt;  //전액상환대지급환개금
	private long tamtIpayInsuFee;  //전액상환대지급보험료
	private long tamtIpayPnltAmt;  //전액상환대지급범칙금
	private long tamtIpayEtc;  //전액상환대지급기타
	private long tamtIpayAmt;  //전액상환대지급금액
	private long tamtRmbrFee; //전액_상환_수수료

	private long carsSellAmt; //차량매각대금
	private double yycntRo;  //년차비율
	private double calcRt;	//계산율
	private long guarCartax;	//보증금자동차세
	private long guarEnvAmt; //보증금환개금
	private long guarPnltAmt; //보증금범칙금
	private long closGuarAmt; //해지보증금

	//만기이후 해지시 추가정산금액
	private String reSetlDt;			//지연결제일자
	private int oduePsgDdcnt;		//지연경과일수
	private long closOdueIndmAmt;	//해지지연배상금
	private long plusCartax;			//추가자동차세
	private long plusEnvImprBrdnamt;	//추가환개금
	private long plusPnltAmt;		//추가범칙금(NOTE 추가범칙금은 계산안함. 항목만만들어놓음)

	private long tamtTimsAmt; //전액상환회차금액
	private long tamtTimsLeasFee;  //전액상환회차리스료
	private long tamtTimsBaseLeasFee;  //전액상환회차기본리스료
	private long tamtTimsAddLeasFee; //전액상환회차가산리스료
	private long tamtTimsPamt;  //전액상환회차경과원금
	private long tamtTimsInt;  //전액상환회차이자
	private long tamtTimsPpayInt; //전액상환회차선급이자
	private long tamtTimsTint; //전액상환회차_총이자
	private long tamtTimsAddCartax;  //전액상환회차가산자동차세
	private long tamtTimsAddEnvImprBrdnamt;  //전액상환회차가산환개금
	private long tamtTimsAddInsuFee;  //전액상환회차가산보험료
	private long tamtTimsAddAsfee;  //전액상환회차가산정비료
	private long tamtTimsVtax;  //전액상환회차부가세
	private long tamtTimsIpayCartax;  //전액상환회차대지급자동차세
	private long tamtTimsIpayEnvImprBrdnamt;  //전액상환회차대지급환개금
	private long tamtTimsIpayInsuFee;  //전액상환회차대지급보험료
	private long tamtTimsIpayPnltAmt;  //전액상환회차대지급범칙금
	private long tamtTimsIpayEtc;  //전액상환회차대지급기타
	private long tamtTimsCartax;  //전액상환회차자동차세
	private long tamtTimsEnvImprBrdnamt;  //전액상환회차환개금
	private long tamtTimsInsuFee;  //전액상환회차보험료

	private long tamtTimsLtrmBrcvAmt;  //전액상환회차장기선수금
	private long tamtTimsGuarAmt;  //전액상환회차보증금액
	private long tamtTimsRamtAmt;  //전액상환회차잔가금액

	//부분상환 입력값
	private int partRmbrTims;
	private double partRmbrFeeRt;
	private long partRmbrPamt; //부분_상환_원금
	private long eprtLdgrAmt; //만기장부가_입력
	private String mmCalcFg; //월할계산여부_입력
	//부분상환 start
	private long partRmbrAmt; //부분_상환_금액
	private long partMidRmbrInt; //부분_중도_상환_이자
	private long calcPartMidRmbrInt;	//계산 부분중도상환이자
	private long totPartMidRmbrInt;	//총_부분중도상환이자

	//TODO 삭제예정 START
	private long partPpayInt; //부분상환선급이자
	private long partAddCartax;  //부분상환가산자동차세
	private long partAddEnvImprBrdnamt;  //부분상환가산환개금
	private long partAddInsuFee;  //부분상환가산보험료
	private long partAddAsfee;  //부분상환가산정비료
	private long partVtax;  //부분상환부가세
	private long partIpayCartax;  //부분상환대지급자동차세
	private long partIpayEnvImprBrdnamt;  //부분상환대지급환개금
	private long partIpayInsuFee;  //부분상환대지급보험료
	private long partIpayPnltAmt;  //부분상환대지급범칙금
	private long partIpayEtc;  //부분상환대지급기타
	private long partCartax;  //부분상환자동차세
	private long partEnvImprBrdnamt;  //부분상환환개금
	private long partInsuFee;  //부분상환보험료
	private long partLtrmBrcvAmt;  //부분상환장기선수금
	private long partRmbrFee; //부분_상환_수수료
	private long partRmbrAfPamtRamt; //부분_상환_후_원금_잔액
	private long partTimsPamtRamt; //부분상환회차원금잔액
	//TODO 삭제예정 END

	private long addTermInt;		//추가거치이자(중도상환)_사용안함
	private String partRmbrFg;	//부분_상환_여부
	private String midRmbrFg;	//중도_상환_여부

	/**
	 * 중도상환계산여부
	 * 0 : 계산불가
	 * 1 : 계산가능, 화면표현불가
	 * 2 : 계산가능, 화면표현가능
	 */
	private String midRmbrCalcFg;	//중도상환계산여부
	private String midRmbrHidFg;		//중도상환금액숨김여부
	private String midRmbrTimsFg;	//중도상환회차여부
	private String preRcptFg;		//선수납여부

	private long partRmbrObjAmt;					//부분_상환_대상_금액
	private long partRmbrObjAmtWithoutPdueAmt;	//부분_상환_대상_금액(선납금액포함)
	private long partRmbrObjAddAmt;				//금융리스일때 추가로 납부해야하는 금액(가산,대지급,정비료등)

	/**
	 * 대출총일수 ( 대출종료일자 - 대출일자 )
	 */
	private int oneYearDdCnt;
	private int loanTotDdcnt;		//대출_총_일수
	private int origLoanTotDdcnt;	//원대출총일수(유예하기전 대출총일수)
	private int loanPsgDdcnt;		//대출_경과_일수
	private int loanpsgMmCnt;		//대출_경과_월수
	private double trtFeeRt;			//취급_수수료율
	private long custTrtFee;			//고객_취급_수수료
	private int trtFeeDiscExclFg;	//취급수수료할인제외여부
	private long midRmbrObjInt;		//중도상환대상이자

	private long calcPamtRamt;		//계산원금잔액
	private long calcDivsTrtFeeRamt;	//계산분할취급수수료잔액

	private long rlTamtRmbrPamt;		//실전액상환원금
	private long rlTamtRmbrTrtFee;	//실전액상환취급수수료
	private long rlPartRmbrPamt;		//실부분상환원금
	private long rlPartRmbrTrtFee;	//실부분상환취급수수료
	private String midRmbrThddFg;	//중도상환당일여부
	private int rmbrPlanCrteTims;	//상환계획생성회차

	private long tempRcptObjAmt;		//임시_수납_대상_금액
	private long totPamt;			//누적원금
	private long totDivsTrtFee;		//누적취급수수료
	private long totAddAskAmt;		//누적추가청구금, 실중도부분상환원금 구할시 대지급,부가세등을 빼기위해서.

	private String termPartFg;			//거치분할여부
	private String termPartIntStrtDt;	//거치이자시작일자
	private String termPartIntEndDt;		//거치이자종료일자
	private long termPartInt;			//거치분할이자
	private double termPartIntRt;		//거치분할이자율
	private long midTermPartInt;			//중도상환거치분할이자
	private long midTermPartTimsInt;		//중도상환거치분할회차이자
	private int termPartDdcnt;			//거치분할일수
	private long termPartPamtRmbrInt;	//거치분할부분상환이자
	private long calcTermPartPamtRmbrIntRamt;	//거치분할부분상환이자잔액
	private long termPartTamtRmbrInt;			//거치분할전액상환이자

	/**
	 * 경과일수
	 * 결제일자(만기일이후면 만기일자) - 중도상환회차의 이자시작일자
	 */
	private int psgDdcnt; //경과일수
	private int psgMmcnt; //경과일수
	private int orgIntDdcnt; //원이자일수
	private int loanTotMmCnt; //대출총개월수
	private int midRmbrBalMmCnt; //중도상환잔여개월수
	private String balTermCalcFg; //잔여기간계산여부

	private long midPreDueAmt; //중도선납금액
	private long midPreDueLeasFee;  //중도선납리스료
	private long midPreDueBaseLeasFee;  //중도선납기본리스료
	private long midPreDueAddLeasFee; //중도선납가산리스료
	private long midPreDuePamt;  //중도선납경과원금
	private long midPreDueInt;  //중도선납이자
	private long midPreDueTrtFee;  //중도선납취급수수료
	private long midPreDuePpayInt; //중도선납선급이자
	private long midPreDueTint; //중도선납_총이자
	private long midPreDueAddCartax;  //중도선납가산자동차세
	private long midPreDueAddEnvImprBrdnamt;  //중도선납가산환개금
	private long midPreDueAddInsuFee;  //중도선납가산보험료
	private long midPreDueAddAsfee;  //중도선납가산정비료
	private long midPreDueVtax;  //중도선납부가세
	private long midPreDueIpayCartax;  //중도선납대지급자동차세
	private long midPreDueIpayEnvImprBrdnamt;  //중도선납대지급환개금
	private long midPreDueIpayInsuFee;  //중도선납대지급보험료
	private long midPreDueIpayPnltAmt;  //중도선납대지급범칙금
	private long midPreDueIpayEtc;  //중도선납대지급기타
	private long midPreDueCartax;  //중도선납자동차세
	private long midPreDueEnvImprBrdnamt;  //중도선납환개금
	private long midPreDueInsuFee;  //중도선납보험료
	private long midPreDueLtrmBrcvAmt;  //중도선납장기선수금
	private long midPreDueGuarAmt;  //중도선납보증금액
	private long midPreDueRamtAmt;  //중도선납잔가금액


	//---- 중도상환  END-----------------------------------------
	private int thmmTims; //당월_회차
	private String thmmDlyFg; //당월_연체_여부
	private long thmmAmt; //당월_금액
	private long thmmPamt; //당월_원금
	private long thmmInt; //당월_이자
	private long thmmTrtFee; //당월_취급수수료
	private long thmmDfee; //당월_연체료
	private long bfmmAmt; //전월_금액
	private long bfmmPamt; //전월_원금
	private long bfmmInt; //전월_이자
	private long bfmmTrtFee; //전월_취급수수료
	private long bfmmDfee; //전월_연체료

	//---- 예가수 START  -----------------------------------------
	private int dsrcStrtIdx; 	//예가수_시작_인덱스
	private int dsrcCnt;			//예가수_건수
	private String dsrcNo;		//예가수_번호
	private String dsrcOccrCd;	//예가수_발생_코드
	private String dsrcSetlDt;	//예가수_결제_일자
	private int dsrcSnum;		//예가수_일련번호
	private int rfndSnum;		//환불_일련번호  2018-08-01 추가
	private String rfndStatCd;	//환불상태코드
	private String dsrcOccrDt;	//예가수_발생_일자
	private long dsrcOccrAmt;	//예가수_발생_금액
	private long dsrcAdjAmt;		//예가수_정산_금액
	private long dsrcRamt;		//예가수_잔액
	private long srcpRamt;		//가수_잔액
	private String dsrcAdjDeptCd; //예가수_정산_부서_코드
	private String dsrcOccrAcctDt;	//2018-08-01 두비스 추가, 예가수발생회계일자
	private String bfLoanNo;		//이전대출번호(대출번호변경시 사용)
	private String bfLoanSeq;	//이전대출순번(대출번호변경시 사용)
	//---- 예가수 END  -----------------------------------------

	private long crdtRcvrUnrcvAmt; //신용회복미수금
	private long rmbrCrdtRcvrUnrcvAmt; //상환_신용회복미수금
	private long crdtRcvrUnrcvAmtRamt; //신용회복미수금_잔액
	//법적조치 정보
	private long occrLeglActnCost; //발생_법적_조치_비용
	private long adjLeglActnCost; //정산_법적_조치_비용
	private long leglActnCostRamt; //법적_조치_비용_잔액
	private long unOccrLeglActnCost; //발생_법적_조치_비용(미계산)
	private long unAdjLeglActnCost; //정산_법적_조치_비용(미계산)
	private long unLeglActnCostRamt; //법적_조치_비용_잔액(미계산)
	private long depsRamt;	// 공탁금잔액

	//선결제정보
	private long preSetlPamtSum;	//선결제원금합
	private long preSetlIntSum;	//선결제이자합

	// 미수(인지세) 관련 항목
	private String stmpFeeUnrcvNo;
	private long stmpFeeOccrAmt;
	private long stmpFeeAdjAmt;
	private long stmpFeeRamt;

	private String tmatRmbrIntTooltip;
	private String tmatRmbrFeeTooltip;
	private String partRmbrIntTooltip;
	private String partRmbrFeeTooltip;

	private String prdtLrgeClasCd;	//상품대분류코드
	private String prdtMidClasCd;	//상품중분류코드
	private String prdtSmClasCd;		//상품소분류코드

	public TimsUnrcvVO getMidRmbrTimsVO() {
		return midRmbrTimsVO;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public String getPrdtClas() {
		return prdtClas;
	}

	public String getPrdtLcd() {
		return prdtLcd;
	}

	public String getPrdtMcd() {
		return prdtMcd;
	}

	public String getPrdtScd() {
		return prdtScd;
	}

	public String getPrdtCd() {
		return prdtCd;
	}

	public String getSetlDt() {
		return setlDt;
	}

	public String getLoanDt() {
		return loanDt;
	}

	public String getEprtDt() {
		return eprtDt;
	}

	public int getThmmDueTims() {
		return thmmDueTims;
	}

	public int getBfmmDueTims() {
		return bfmmDueTims;
	}

	public int getTotTims() {
		return totTims;
	}

	public String getLoanStatCd() {
		return loanStatCd;
	}

	public String getAsymmAcctFg() {
		return asymmAcctFg;
	}

	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}

	public String getThmmDueDt() {
		return thmmDueDt;
	}

	public String getThmmRlDueDt() {
		return thmmRlDueDt;
	}

	public String getLastSetlDt() {
		return lastSetlDt;
	}

	public int getLastSetlTims() {
		return lastSetlTims;
	}

	public String getLoanEprtDt() {
		return loanEprtDt;
	}

	public String getLoanRlEprtDt() {
		return loanRlEprtDt;
	}

	public String getLeasEprtDt() {
		return leasEprtDt;
	}

	public String getLeasRlEprtDt() {
		return leasRlEprtDt;
	}

	public String getLeasEprtDlyDt() {
		return leasEprtDlyDt;
	}

	public int getLoanEprtTims() {
		return loanEprtTims;
	}

	public int getProcCnt() {
		return procCnt;
	}

	public String getLoanOccrCd() {
		return loanOccrCd;
	}

	public String getExecDt() {
		return execDt;
	}

	public String getSixPreDt() {
		return sixPreDt;
	}

	public double getLoanIntRt() {
		return loanIntRt;
	}

	public String getClsFg() {
		return clsFg;
	}

	public String getLoseCalcFg() {
		return loseCalcFg;
	}

	public String getLoseCalcCd() {
		return loseCalcCd;
	}

	public int getLoseCalcVal() {
		return loseCalcVal;
	}

	public long getLoanAmt() {
		return loanAmt;
	}

	public long getLoanAmt10() {
		return loanAmt10;
	}

	public String getUnrcvProcDt() {
		return unrcvProcDt;
	}

	public int getTimsUnrcvStrtIdx() {
		return timsUnrcvStrtIdx;
	}

	public int getTimsUnrcvCnt() {
		return timsUnrcvCnt;
	}

	public long getPamtRamt() {
		return pamtRamt;
	}

	public long getIntRamt() {
		return intRamt;
	}

	public long getTrtFeeRamt() {
		return trtFeeRamt;
	}

	public long getLeasFeeRamt() {
		return leasFeeRamt;
	}

	public long getBaseLeasFeeRamt() {
		return baseLeasFeeRamt;
	}

	public long getAddLeasFeeRamt() {
		return addLeasFeeRamt;
	}

	public long getPpayIntRamt() {
		return ppayIntRamt;
	}

	public long getAddCartaxRamt() {
		return addCartaxRamt;
	}

	public long getAddEnvImprBrdnamtRamt() {
		return addEnvImprBrdnamtRamt;
	}

	public long getAddInsuFeeRamt() {
		return addInsuFeeRamt;
	}

	public long getAddAsfeeRamt() {
		return addAsfeeRamt;
	}

	public long getVtaxRamt() {
		return vtaxRamt;
	}

	public long getIpayCartaxRamt() {
		return ipayCartaxRamt;
	}

	public long getIpayEnvImprBrdnamtRamt() {
		return ipayEnvImprBrdnamtRamt;
	}

	public long getIpayInsuFeeRamt() {
		return ipayInsuFeeRamt;
	}

	public long getIpayPnltAmtRamt() {
		return ipayPnltAmtRamt;
	}

	public long getIpayEtcRamt() {
		return ipayEtcRamt;
	}

	public long getCartaxRamt() {
		return cartaxRamt;
	}

	public long getEnvImprBrdnamtRamt() {
		return envImprBrdnamtRamt;
	}

	public long getInsuFeeRamt() {
		return insuFeeRamt;
	}

	public long getLtrmBrcvAmtRamt() {
		return ltrmBrcvAmtRamt;
	}

	public long getBrcvAmtLeasfeeRamt() {
		return brcvAmtLeasfeeRamt;
	}

	public long getGuarAmt() {
		return guarAmt;
	}

	public long getRamtAmt() {
		return ramtAmt;
	}

	public String getEndAfAskStatCd() {
		return endAfAskStatCd;
	}

	public String getEprtAskMethCd() {
		return eprtAskMethCd;
	}

	public String getGuarAmtAdjFg() {
		return guarAmtAdjFg;
	}

	public long getCurrentAskAmt() {
		return currentAskAmt;
	}

	public long getThmmMmAskAmt() {
		return thmmMmAskAmt;
	}

	public long getThmmMmAskTims() {
		return thmmMmAskTims;
	}

	public long getNextAskAmt() {
		return nextAskAmt;
	}

	public long getNextAskTims() {
		return nextAskTims;
	}

	public long getStndAskAmt() {
		return stndAskAmt;
	}

	public long getAskAmt() {
		return askAmt;
	}

	public long getAskLeasFee() {
		return askLeasFee;
	}

	public long getAskBaseLeasFee() {
		return askBaseLeasFee;
	}

	public long getAskAddLeasFee() {
		return askAddLeasFee;
	}

	public long getAskPamt() {
		return askPamt;
	}

	public long getAskInt() {
		return askInt;
	}

	public long getAskTrtFee() {
		return askTrtFee;
	}

	public long getAskPpayInt() {
		return askPpayInt;
	}

	public long getAskTint() {
		return askTint;
	}

	public long getAskAddCartax() {
		return askAddCartax;
	}

	public long getAskAddEnvImprBrdnamt() {
		return askAddEnvImprBrdnamt;
	}

	public long getAskAddInsuFee() {
		return askAddInsuFee;
	}

	public long getAskAddAsfee() {
		return askAddAsfee;
	}

	public long getAskVtax() {
		return askVtax;
	}

	public long getAskIpayCartax() {
		return askIpayCartax;
	}

	public long getAskIpayEnvImprBrdnamt() {
		return askIpayEnvImprBrdnamt;
	}

	public long getAskIpayInsuFee() {
		return askIpayInsuFee;
	}

	public long getAskIpayPnltAmt() {
		return askIpayPnltAmt;
	}

	public long getAskIpayEtc() {
		return askIpayEtc;
	}

	public long getAskIpayTax() {
		return askIpayTax;
	}

	public long getAskCartax() {
		return askCartax;
	}

	public long getAskEnvImprBrdnamt() {
		return askEnvImprBrdnamt;
	}

	public long getAskInsuFee() {
		return askInsuFee;
	}

	public long getAskLtrmBrcvAmt() {
		return askLtrmBrcvAmt;
	}

	public long getAskDfee() {
		return askDfee;
	}

	public long getAskGuarAmt() {
		return askGuarAmt;
	}

	public long getAskRamtAmt() {
		return askRamtAmt;
	}

	public int getDlyStrtIdx() {
		return dlyStrtIdx;
	}

	public int getDlyCnt() {
		return dlyCnt;
	}

	public double getAddDfeeRt() {
		return addDfeeRt;
	}

	public double getDfeeRt() {
		return dfeeRt;
	}

	public String getDfeeRtNm() {
		return dfeeRtNm;
	}

	public long getDlyAmt() {
		return dlyAmt;
	}

	public long getDlyLeasFee() {
		return dlyLeasFee;
	}

	public long getDlyBaseLeasFee() {
		return dlyBaseLeasFee;
	}

	public long getDlyAddLeasFee() {
		return dlyAddLeasFee;
	}

	public long getDlyPamt() {
		return dlyPamt;
	}

	public long getDlyInt() {
		return dlyInt;
	}

	public long getDlyTrtFee() {
		return dlyTrtFee;
	}

	public long getDlyPpayInt() {
		return dlyPpayInt;
	}

	public long getDlyTint() {
		return dlyTint;
	}

	public long getDlyAddCartax() {
		return dlyAddCartax;
	}

	public long getDlyAddEnvImprBrdnamt() {
		return dlyAddEnvImprBrdnamt;
	}

	public long getDlyAddInsuFee() {
		return dlyAddInsuFee;
	}

	public long getDlyAddAsfee() {
		return dlyAddAsfee;
	}

	public long getDlyVtax() {
		return dlyVtax;
	}

	public long getDlyIpayCartax() {
		return dlyIpayCartax;
	}

	public long getDlyIpayEnvImprBrdnamt() {
		return dlyIpayEnvImprBrdnamt;
	}

	public long getDlyIpayInsuFee() {
		return dlyIpayInsuFee;
	}

	public long getDlyIpayPnltAmt() {
		return dlyIpayPnltAmt;
	}

	public long getDlyIpayEtc() {
		return dlyIpayEtc;
	}

	public long getDlyIpayTax() {
		return dlyIpayTax;
	}

	public long getDlyCartax() {
		return dlyCartax;
	}

	public long getDlyEnvImprBrdnamt() {
		return dlyEnvImprBrdnamt;
	}

	public long getDlyInsuFee() {
		return dlyInsuFee;
	}

	public long getDlyLtrmBrcvAmt() {
		return dlyLtrmBrcvAmt;
	}

	public long getDfee() {
		return dfee;
	}

	public long getDfeeKifrs() {
		return dfeeKifrs;
	}

	public long getDlyGuarAmt() {
		return dlyGuarAmt;
	}

	public long getDlyRamtAmt() {
		return dlyRamtAmt;
	}

	public long getPreOccrDfee() {
		return preOccrDfee;
	}

	public String getDlyFg() {
		return dlyFg;
	}

	public String getDlyDt() {
		return dlyDt;
	}

	public String getDlyCalcDt() {
		return dlyCalcDt;
	}

	public int getDlyStrtTims() {
		return dlyStrtTims;
	}

	public String getDlyStrtDueDt() {
		return dlyStrtDueDt;
	}

	public int getDlyEndTims() {
		return dlyEndTims;
	}

	public String getDlyEndDueDt() {
		return dlyEndDueDt;
	}

	public int getDlyDdcnt() {
		return dlyDdcnt;
	}

	public int getOccrDlyDdcnt() {
		return occrDlyDdcnt;
	}

	public int getDlyMmCnt() {
		return dlyMmCnt;
	}

	public int getDlyTcnt() {
		return dlyTcnt;
	}

	public int getLngsDlyDdcnt() {
		return lngsDlyDdcnt;
	}

	public int getTotDlyDdcnt() {
		return totDlyDdcnt;
	}

	public long getOccrPdueDiscDfee() {
		return occrPdueDiscDfee;
	}

	public long getAdjPdueDiscDfee() {
		return adjPdueDiscDfee;
	}

	public long getPdueDiscDfeeRamt() {
		return pdueDiscDfeeRamt;
	}

	public long getPdueDiscDfeeRamtBfDisc() {
		return pdueDiscDfeeRamtBfDisc;
	}

	public long getPdueDiscDfee() {
		return pdueDiscDfee;
	}

	public long getTempPdueDiscInt() {
		return tempPdueDiscInt;
	}

	public String getLoseDlyStrtDt() {
		return loseDlyStrtDt;
	}

	public String getLoseDueDt() {
		return loseDueDt;
	}

	public String getLoseDt() {
		return loseDt;
	}

	public String getPreLoseDt() {
		return preLoseDt;
	}

	public long getRvvlNeedAmt() {
		return rvvlNeedAmt;
	}

	public int getRvvlTims() {
		return rvvlTims;
	}

	public long getLoseMmPamt() {
		return loseMmPamt;
	}

	public long getLoseMmInt() {
		return loseMmInt;
	}

	public long getLosePamtRamt() {
		return losePamtRamt;
	}

	public long getLosePiamtDfee() {
		return losePiamtDfee;
	}

	public long getLoseIntDfee() {
		return loseIntDfee;
	}

	public long getLoseRamtDfee() {
		return loseRamtDfee;
	}

	public long getLoseStndPramt() {
		return loseStndPramt;
	}

	public String getLoseFg() {
		return loseFg;
	}

	public String getExptLoseFg() {
		return exptLoseFg;
	}

	public int getExptLoseDcnt() {
		return exptLoseDcnt;
	}

	public String getLoseExptDt() {
		return loseExptDt;
	}

	public int getDdayPrftLoseStrtTims() {
		return ddayPrftLoseStrtTims;
	}

	public int getSetlObjLtrmBrcvIdx() {
		return setlObjLtrmBrcvIdx;
	}

	public long getSetlObjLtrmBrcvAmt() {
		return setlObjLtrmBrcvAmt;
	}

	public long getSetlAfLtrmBrcvAmtRamt() {
		return setlAfLtrmBrcvAmtRamt;
	}

	public int getUnrcvStrtIdx() {
		return unrcvStrtIdx;
	}

	public int getUnrcvCnt() {
		return unrcvCnt;
	}

	public int getUnrcvTims() {
		return unrcvTims;
	}

	public long getUnrcvAmt() {
		return unrcvAmt;
	}

	public long getUnrcvLeasFee() {
		return unrcvLeasFee;
	}

	public long getUnrcvBaseLeasFee() {
		return unrcvBaseLeasFee;
	}

	public long getUnrcvAddLeasFee() {
		return unrcvAddLeasFee;
	}

	public long getUnrcvPamt() {
		return unrcvPamt;
	}

	public long getUnrcvInt() {
		return unrcvInt;
	}

	public long getUnrcvPsgInt() {
		return unrcvPsgInt;
	}

	public long getUnrcvPpayInt() {
		return unrcvPpayInt;
	}

	public long getUnrcvTint() {
		return unrcvTint;
	}

	public long getUnrcvAddCartax() {
		return unrcvAddCartax;
	}

	public long getUnrcvAddEnvImprBrdnamt() {
		return unrcvAddEnvImprBrdnamt;
	}

	public long getUnrcvAddInsuFee() {
		return unrcvAddInsuFee;
	}

	public long getUnrcvAddAsfee() {
		return unrcvAddAsfee;
	}

	public long getUnrcvVtax() {
		return unrcvVtax;
	}

	public long getUnrcvIpayCartax() {
		return unrcvIpayCartax;
	}

	public long getUnrcvIpayEnvImprBrdnamt() {
		return unrcvIpayEnvImprBrdnamt;
	}

	public long getUnrcvIpayInsuFee() {
		return unrcvIpayInsuFee;
	}

	public long getUnrcvIpayPnltAmt() {
		return unrcvIpayPnltAmt;
	}

	public long getUnrcvIpayEtc() {
		return unrcvIpayEtc;
	}

	public long getUnrcvCartax() {
		return unrcvCartax;
	}

	public long getUnrcvEnvImprBrdnamt() {
		return unrcvEnvImprBrdnamt;
	}

	public long getUnrcvInsuFee() {
		return unrcvInsuFee;
	}

	public long getUnrcvLtrmBrcvAmt() {
		return unrcvLtrmBrcvAmt;
	}

	public long getUnrcvGuarAmt() {
		return unrcvGuarAmt;
	}

	public long getUnrcvRamtAmt() {
		return unrcvRamtAmt;
	}

	public int getIpayMaxIdx() {
		return ipayMaxIdx;
	}

	public int getIpayMaxTims() {
		return ipayMaxTims;
	}

	public int getNormStrtIdx() {
		return normStrtIdx;
	}

	public int getNormCnt() {
		return normCnt;
	}

	public long getNormAmt() {
		return normAmt;
	}

	public long getNormLeasFee() {
		return normLeasFee;
	}

	public long getNormBaseLeasFee() {
		return normBaseLeasFee;
	}

	public long getNormAddLeasFee() {
		return normAddLeasFee;
	}

	public long getNormPamt() {
		return normPamt;
	}

	public long getNormInt() {
		return normInt;
	}

	public long getNormTrtFee() {
		return normTrtFee;
	}

	public long getNormPsgInt() {
		return normPsgInt;
	}

	public long getNormPpayInt() {
		return normPpayInt;
	}

	public long getNormTint() {
		return normTint;
	}

	public long getNormAddCartax() {
		return normAddCartax;
	}

	public long getNormAddEnvImprBrdnamt() {
		return normAddEnvImprBrdnamt;
	}

	public long getNormAddInsuFee() {
		return normAddInsuFee;
	}

	public long getNormAddAsfee() {
		return normAddAsfee;
	}

	public long getNormVtax() {
		return normVtax;
	}

	public long getNormIpayCartax() {
		return normIpayCartax;
	}

	public long getNormIpayEnvImprBrdnamt() {
		return normIpayEnvImprBrdnamt;
	}

	public long getNormIpayInsuFee() {
		return normIpayInsuFee;
	}

	public long getNormIpayPnltAmt() {
		return normIpayPnltAmt;
	}

	public long getNormIpayEtc() {
		return normIpayEtc;
	}

	public long getNormIpayTax() {
		return normIpayTax;
	}

	public long getNormCartax() {
		return normCartax;
	}

	public long getNormEnvImprBrdnamt() {
		return normEnvImprBrdnamt;
	}

	public long getNormInsuFee() {
		return normInsuFee;
	}

	public long getNormLtrmBrcvAmt() {
		return normLtrmBrcvAmt;
	}

	public long getNormGuarAmt() {
		return normGuarAmt;
	}

	public long getNormRamtAmt() {
		return normRamtAmt;
	}

	public int getUnComgStrtIdx() {
		return unComgStrtIdx;
	}

	public int getUnComgCnt() {
		return unComgCnt;
	}

	public long getUnComgAmt() {
		return unComgAmt;
	}

	public long getUnComgLeasFee() {
		return unComgLeasFee;
	}

	public long getUnComgBaseLeasFee() {
		return unComgBaseLeasFee;
	}

	public long getUnComgAddLeasFee() {
		return unComgAddLeasFee;
	}

	public long getUnComgPamt() {
		return unComgPamt;
	}

	public long getUnComgInt() {
		return unComgInt;
	}

	public long getUnComgTrtFee() {
		return unComgTrtFee;
	}

	public long getUnComgPpayInt() {
		return unComgPpayInt;
	}

	public long getUnComgTint() {
		return unComgTint;
	}

	public long getUnComgAddCartax() {
		return unComgAddCartax;
	}

	public long getUnComgAddEnvImprBrdnamt() {
		return unComgAddEnvImprBrdnamt;
	}

	public long getUnComgAddInsuFee() {
		return unComgAddInsuFee;
	}

	public long getUnComgAddAsfee() {
		return unComgAddAsfee;
	}

	public long getUnComgVtax() {
		return unComgVtax;
	}

	public long getUnComgIpayCartax() {
		return unComgIpayCartax;
	}

	public long getUnComgIpayEnvImprBrdnamt() {
		return unComgIpayEnvImprBrdnamt;
	}

	public long getUnComgIpayInsuFee() {
		return unComgIpayInsuFee;
	}

	public long getUnComgIpayPnltAmt() {
		return unComgIpayPnltAmt;
	}

	public long getUnComgIpayEtc() {
		return unComgIpayEtc;
	}

	public long getUnComgCartax() {
		return unComgCartax;
	}

	public long getUnComgEnvImprBrdnamt() {
		return unComgEnvImprBrdnamt;
	}

	public long getUnComgInsuFee() {
		return unComgInsuFee;
	}

	public long getUnComgLtrmBrcvAmt() {
		return unComgLtrmBrcvAmt;
	}

	public long getUnComgGuarAmt() {
		return unComgGuarAmt;
	}

	public long getUnComgRamtAmt() {
		return unComgRamtAmt;
	}

	public long getExemRcptObjInt() {
		return exemRcptObjInt;
	}

	public long getExemRcptObjPamt() {
		return exemRcptObjPamt;
	}

	public long getExemRcptObjDivsTrtFee() {
		return exemRcptObjDivsTrtFee;
	}

	public int getFcntTims() {
		return fcntTims;
	}

	public String getFcntDueDt() {
		return fcntDueDt;
	}

	public int getStndTimsIdx() {
		return stndTimsIdx;
	}

	public String getStndDueDt() {
		return stndDueDt;
	}

	public String getStndRlDueDt() {
		return stndRlDueDt;
	}

	public int getStndThmmDueTims() {
		return stndThmmDueTims;
	}

	public int getCurTims() {
		return curTims;
	}

	public long getStndLtrmBrcvAmt() {
		return stndLtrmBrcvAmt;
	}

	public String getPnltStndCd() {
		return pnltStndCd;
	}

	public long getPnltStndAmt() {
		return pnltStndAmt;
	}

	public String getCartaxEnvAdjMethCd() {
		return cartaxEnvAdjMethCd;
	}

	public String getCartaxIpayEndDt() {
		return cartaxIpayEndDt;
	}

	public String getEnvAmtIpayEndDt() {
		return envAmtIpayEndDt;
	}

	public String getSellFg() {
		return sellFg;
	}

	public String getCmprCalcFrmlCd() {
		return cmprCalcFrmlCd;
	}

	public double getCmprCalcRt() {
		return cmprCalcRt;
	}

	public long getPnltAdjuAmt() {
		return pnltAdjuAmt;
	}

	public long getDfeeAdjuAmt() {
		return dfeeAdjuAmt;
	}

	public String getIvltClosFg() {
		return ivltClosFg;
	}

	public String getNmTranGuarAmtCalcFg() {
		return nmTranGuarAmtCalcFg;
	}

	public long getBalBaseLeasFee() {
		return balBaseLeasFee;
	}

	public long getBalAddLeasFee() {
		return balAddLeasFee;
	}

	public long getBalLeasFee() {
		return balLeasFee;
	}

	public long getUnWdrwPamt() {
		return unWdrwPamt;
	}

	public int getCartaxPsgDdcnt() {
		return cartaxPsgDdcnt;
	}

	public int getEnvAmtPsgDdcnt() {
		return envAmtPsgDdcnt;
	}

	public long getYyCartax() {
		return yyCartax;
	}

	public long getYyEnvAmt() {
		return yyEnvAmt;
	}

	public long getRetnOdueAmt() {
		return retnOdueAmt;
	}

	public long getOverDrvFee() {
		return overDrvFee;
	}

	public long getOrgupRcvrCost() {
		return orgupRcvrCost;
	}

	public long getCustCost() {
		return custCost;
	}

	public long getDeprDeprTamt() {
		return deprDeprTamt;
	}

	public long getDspLossApprAmt() {
		return dspLossApprAmt;
	}

	public long getOprLeasAset() {
		return oprLeasAset;
	}

	public long getAddClosGuarAmt() {
		return addClosGuarAmt;
	}

	public long getPnltAmtTot6() {
		return pnltAmtTot6;
	}

	public String getDueDtMidRmbrFg() {
		return dueDtMidRmbrFg;
	}

	public double getMidRmbrFeeRt() {
		return midRmbrFeeRt;
	}

	public String getMidRmbrIntCalcDt() {
		return midRmbrIntCalcDt;
	}

	public int getMidRmbrBalDdcnt() {
		return midRmbrBalDdcnt;
	}

	public int getOrigMidRmbrBalDdcnt() {
		return origMidRmbrBalDdcnt;
	}

	public double getIntUplmitRt() {
		return intUplmitRt;
	}

	public long getCortMaxAmt() {
		return cortMaxAmt;
	}

	public long getCalcPsgInt() {
		return calcPsgInt;
	}

	public long getTamtCalcMidRmbrFee() {
		return tamtCalcMidRmbrFee;
	}

	public long getPartCalcMidRmbrFee() {
		return partCalcMidRmbrFee;
	}

	public double getIncdCostRt() {
		return incdCostRt;
	}

	public int getMidRmbrIdx() {
		return midRmbrIdx;
	}

	public String getPreSetFg() {
		return preSetFg;
	}

	public int getPdueTimsCnt() {
		return pdueTimsCnt;
	}

	public String getPreSetlCpayFg() {
		return preSetlCpayFg;
	}

	public String getMidRmbrDueDt() {
		return midRmbrDueDt;
	}

	public String getPartRmbrRcptFg() {
		return partRmbrRcptFg;
	}

	public String getMidIntStrtDt() {
		return midIntStrtDt;
	}

	public String getMidIntEndDt() {
		return midIntEndDt;
	}

	public String getCalcMidIntEndDt() {
		return calcMidIntEndDt;
	}

	public long getMainRmbrPamt() {
		return mainRmbrPamt;
	}

	public int getMainEndTims() {
		return mainEndTims;
	}

	public long getTotMidRmbrInt() {
		return totMidRmbrInt;
	}

	public long getTotMidRmbrTrtFee() {
		return totMidRmbrTrtFee;
	}

	public long getTamtRmbrObjAmt() {
		return tamtRmbrObjAmt;
	}

	public long getTamtRmbrObjAmtWithoutPdueAmt() {
		return tamtRmbrObjAmtWithoutPdueAmt;
	}

	public long getMmTrtFeeDisc() {
		return mmTrtFeeDisc;
	}

	public long getCustTrtFeeDisc() {
		return custTrtFeeDisc;
	}

	public long getTrtFee() {
		return trtFee;
	}

	public long getTamtRmbrAmt() {
		return tamtRmbrAmt;
	}

	public long getMidRmbrInt() {
		return midRmbrInt;
	}

	public long getTrtFeeDisc() {
		return trtFeeDisc;
	}

	public long getTamtRmbrCmprFee() {
		return tamtRmbrCmprFee;
	}

	public long getTamtRmbrPamt() {
		return tamtRmbrPamt;
	}

	public long getTamtRmbrExtsPamt() {
		return tamtRmbrExtsPamt;
	}

	public String getTamtRmbrExtsFg() {
		return tamtRmbrExtsFg;
	}

	public long getTamtPsgLeasFee() {
		return tamtPsgLeasFee;
	}

	public long getTamtPsgBaseLeasFee() {
		return tamtPsgBaseLeasFee;
	}

	public long getTamtPsgAddLeasFee() {
		return tamtPsgAddLeasFee;
	}

	public long getTamtPsgPamt() {
		return tamtPsgPamt;
	}

	public long getTamtPsgInt() {
		return tamtPsgInt;
	}

	public long getTamtPsgAddCartax() {
		return tamtPsgAddCartax;
	}

	public long getTamtPsgAddEnvImprBrdnamt() {
		return tamtPsgAddEnvImprBrdnamt;
	}

	public long getTamtPsgAddInsuFee() {
		return tamtPsgAddInsuFee;
	}

	public long getTamtPsgAddAsfee() {
		return tamtPsgAddAsfee;
	}

	public long getTamtPsgVtax() {
		return tamtPsgVtax;
	}

	public long getTamtPpayInt() {
		return tamtPpayInt;
	}

	public long getTamtIpayCartax() {
		return tamtIpayCartax;
	}

	public long getTamtIpayEnvImprBrdnamt() {
		return tamtIpayEnvImprBrdnamt;
	}

	public long getTamtIpayInsuFee() {
		return tamtIpayInsuFee;
	}

	public long getTamtIpayPnltAmt() {
		return tamtIpayPnltAmt;
	}

	public long getTamtIpayEtc() {
		return tamtIpayEtc;
	}

	public long getTamtIpayAmt() {
		return tamtIpayAmt;
	}

	public long getTamtRmbrFee() {
		return tamtRmbrFee;
	}

	public long getCarsSellAmt() {
		return carsSellAmt;
	}

	public double getYycntRo() {
		return yycntRo;
	}

	public double getCalcRt() {
		return calcRt;
	}

	public long getGuarCartax() {
		return guarCartax;
	}

	public long getGuarEnvAmt() {
		return guarEnvAmt;
	}

	public long getGuarPnltAmt() {
		return guarPnltAmt;
	}

	public long getClosGuarAmt() {
		return closGuarAmt;
	}

	public String getReSetlDt() {
		return reSetlDt;
	}

	public int getOduePsgDdcnt() {
		return oduePsgDdcnt;
	}

	public long getClosOdueIndmAmt() {
		return closOdueIndmAmt;
	}

	public long getPlusCartax() {
		return plusCartax;
	}

	public long getPlusEnvImprBrdnamt() {
		return plusEnvImprBrdnamt;
	}

	public long getPlusPnltAmt() {
		return plusPnltAmt;
	}

	public long getTamtTimsAmt() {
		return tamtTimsAmt;
	}

	public long getTamtTimsLeasFee() {
		return tamtTimsLeasFee;
	}

	public long getTamtTimsBaseLeasFee() {
		return tamtTimsBaseLeasFee;
	}

	public long getTamtTimsAddLeasFee() {
		return tamtTimsAddLeasFee;
	}

	public long getTamtTimsPamt() {
		return tamtTimsPamt;
	}

	public long getTamtTimsInt() {
		return tamtTimsInt;
	}

	public long getTamtTimsPpayInt() {
		return tamtTimsPpayInt;
	}

	public long getTamtTimsTint() {
		return tamtTimsTint;
	}

	public long getTamtTimsAddCartax() {
		return tamtTimsAddCartax;
	}

	public long getTamtTimsAddEnvImprBrdnamt() {
		return tamtTimsAddEnvImprBrdnamt;
	}

	public long getTamtTimsAddInsuFee() {
		return tamtTimsAddInsuFee;
	}

	public long getTamtTimsAddAsfee() {
		return tamtTimsAddAsfee;
	}

	public long getTamtTimsVtax() {
		return tamtTimsVtax;
	}

	public long getTamtTimsIpayCartax() {
		return tamtTimsIpayCartax;
	}

	public long getTamtTimsIpayEnvImprBrdnamt() {
		return tamtTimsIpayEnvImprBrdnamt;
	}

	public long getTamtTimsIpayInsuFee() {
		return tamtTimsIpayInsuFee;
	}

	public long getTamtTimsIpayPnltAmt() {
		return tamtTimsIpayPnltAmt;
	}

	public long getTamtTimsIpayEtc() {
		return tamtTimsIpayEtc;
	}

	public long getTamtTimsCartax() {
		return tamtTimsCartax;
	}

	public long getTamtTimsEnvImprBrdnamt() {
		return tamtTimsEnvImprBrdnamt;
	}

	public long getTamtTimsInsuFee() {
		return tamtTimsInsuFee;
	}

	public long getTamtTimsLtrmBrcvAmt() {
		return tamtTimsLtrmBrcvAmt;
	}

	public long getTamtTimsGuarAmt() {
		return tamtTimsGuarAmt;
	}

	public long getTamtTimsRamtAmt() {
		return tamtTimsRamtAmt;
	}

	public int getPartRmbrTims() {
		return partRmbrTims;
	}

	public double getPartRmbrFeeRt() {
		return partRmbrFeeRt;
	}

	public long getPartRmbrPamt() {
		return partRmbrPamt;
	}

	public long getEprtLdgrAmt() {
		return eprtLdgrAmt;
	}

	public String getMmCalcFg() {
		return mmCalcFg;
	}

	public long getPartRmbrAmt() {
		return partRmbrAmt;
	}

	public long getPartMidRmbrInt() {
		return partMidRmbrInt;
	}

	public long getCalcPartMidRmbrInt() {
		return calcPartMidRmbrInt;
	}

	public long getTotPartMidRmbrInt() {
		return totPartMidRmbrInt;
	}

	public long getPartPpayInt() {
		return partPpayInt;
	}

	public long getPartAddCartax() {
		return partAddCartax;
	}

	public long getPartAddEnvImprBrdnamt() {
		return partAddEnvImprBrdnamt;
	}

	public long getPartAddInsuFee() {
		return partAddInsuFee;
	}

	public long getPartAddAsfee() {
		return partAddAsfee;
	}

	public long getPartVtax() {
		return partVtax;
	}

	public long getPartIpayCartax() {
		return partIpayCartax;
	}

	public long getPartIpayEnvImprBrdnamt() {
		return partIpayEnvImprBrdnamt;
	}

	public long getPartIpayInsuFee() {
		return partIpayInsuFee;
	}

	public long getPartIpayPnltAmt() {
		return partIpayPnltAmt;
	}

	public long getPartIpayEtc() {
		return partIpayEtc;
	}

	public long getPartCartax() {
		return partCartax;
	}

	public long getPartEnvImprBrdnamt() {
		return partEnvImprBrdnamt;
	}

	public long getPartInsuFee() {
		return partInsuFee;
	}

	public long getPartLtrmBrcvAmt() {
		return partLtrmBrcvAmt;
	}

	public long getPartRmbrFee() {
		return partRmbrFee;
	}

	public long getPartRmbrAfPamtRamt() {
		return partRmbrAfPamtRamt;
	}

	public long getPartTimsPamtRamt() {
		return partTimsPamtRamt;
	}

	public long getAddTermInt() {
		return addTermInt;
	}

	public String getPartRmbrFg() {
		return partRmbrFg;
	}

	public String getMidRmbrFg() {
		return midRmbrFg;
	}

	public String getMidRmbrCalcFg() {
		return midRmbrCalcFg;
	}

	public String getMidRmbrHidFg() {
		return midRmbrHidFg;
	}

	public String getMidRmbrTimsFg() {
		return midRmbrTimsFg;
	}

	public String getPreRcptFg() {
		return preRcptFg;
	}

	public long getPartRmbrObjAmt() {
		return partRmbrObjAmt;
	}

	public long getPartRmbrObjAmtWithoutPdueAmt() {
		return partRmbrObjAmtWithoutPdueAmt;
	}

	public long getPartRmbrObjAddAmt() {
		return partRmbrObjAddAmt;
	}

	public int getOneYearDdCnt() {
		return oneYearDdCnt;
	}

	public int getLoanTotDdcnt() {
		return loanTotDdcnt;
	}

	public int getOrigLoanTotDdcnt() {
		return origLoanTotDdcnt;
	}

	public int getLoanPsgDdcnt() {
		return loanPsgDdcnt;
	}

	public int getLoanpsgMmCnt() {
		return loanpsgMmCnt;
	}

	public double getTrtFeeRt() {
		return trtFeeRt;
	}

	public long getCustTrtFee() {
		return custTrtFee;
	}

	public int getTrtFeeDiscExclFg() {
		return trtFeeDiscExclFg;
	}

	public long getMidRmbrObjInt() {
		return midRmbrObjInt;
	}

	public long getCalcPamtRamt() {
		return calcPamtRamt;
	}

	public long getCalcDivsTrtFeeRamt() {
		return calcDivsTrtFeeRamt;
	}

	public long getRlTamtRmbrPamt() {
		return rlTamtRmbrPamt;
	}

	public long getRlTamtRmbrTrtFee() {
		return rlTamtRmbrTrtFee;
	}

	public long getRlPartRmbrPamt() {
		return rlPartRmbrPamt;
	}

	public long getRlPartRmbrTrtFee() {
		return rlPartRmbrTrtFee;
	}

	public String getMidRmbrThddFg() {
		return midRmbrThddFg;
	}

	public int getRmbrPlanCrteTims() {
		return rmbrPlanCrteTims;
	}

	public long getTempRcptObjAmt() {
		return tempRcptObjAmt;
	}

	public long getTotPamt() {
		return totPamt;
	}

	public long getTotDivsTrtFee() {
		return totDivsTrtFee;
	}

	public long getTotAddAskAmt() {
		return totAddAskAmt;
	}

	public String getTermPartFg() {
		return termPartFg;
	}

	public String getTermPartIntStrtDt() {
		return termPartIntStrtDt;
	}

	public String getTermPartIntEndDt() {
		return termPartIntEndDt;
	}

	public long getTermPartInt() {
		return termPartInt;
	}

	public double getTermPartIntRt() {
		return termPartIntRt;
	}

	public long getMidTermPartInt() {
		return midTermPartInt;
	}

	public long getMidTermPartTimsInt() {
		return midTermPartTimsInt;
	}

	public int getTermPartDdcnt() {
		return termPartDdcnt;
	}

	public long getTermPartPamtRmbrInt() {
		return termPartPamtRmbrInt;
	}

	public long getCalcTermPartPamtRmbrIntRamt() {
		return calcTermPartPamtRmbrIntRamt;
	}

	public long getTermPartTamtRmbrInt() {
		return termPartTamtRmbrInt;
	}

	public int getPsgDdcnt() {
		return psgDdcnt;
	}

	public int getPsgMmcnt() {
		return psgMmcnt;
	}

	public int getOrgIntDdcnt() {
		return orgIntDdcnt;
	}

	public int getLoanTotMmCnt() {
		return loanTotMmCnt;
	}

	public int getMidRmbrBalMmCnt() {
		return midRmbrBalMmCnt;
	}

	public String getBalTermCalcFg() {
		return balTermCalcFg;
	}

	public long getMidPreDueAmt() {
		return midPreDueAmt;
	}

	public long getMidPreDueLeasFee() {
		return midPreDueLeasFee;
	}

	public long getMidPreDueBaseLeasFee() {
		return midPreDueBaseLeasFee;
	}

	public long getMidPreDueAddLeasFee() {
		return midPreDueAddLeasFee;
	}

	public long getMidPreDuePamt() {
		return midPreDuePamt;
	}

	public long getMidPreDueInt() {
		return midPreDueInt;
	}

	public long getMidPreDueTrtFee() {
		return midPreDueTrtFee;
	}

	public long getMidPreDuePpayInt() {
		return midPreDuePpayInt;
	}

	public long getMidPreDueTint() {
		return midPreDueTint;
	}

	public long getMidPreDueAddCartax() {
		return midPreDueAddCartax;
	}

	public long getMidPreDueAddEnvImprBrdnamt() {
		return midPreDueAddEnvImprBrdnamt;
	}

	public long getMidPreDueAddInsuFee() {
		return midPreDueAddInsuFee;
	}

	public long getMidPreDueAddAsfee() {
		return midPreDueAddAsfee;
	}

	public long getMidPreDueVtax() {
		return midPreDueVtax;
	}

	public long getMidPreDueIpayCartax() {
		return midPreDueIpayCartax;
	}

	public long getMidPreDueIpayEnvImprBrdnamt() {
		return midPreDueIpayEnvImprBrdnamt;
	}

	public long getMidPreDueIpayInsuFee() {
		return midPreDueIpayInsuFee;
	}

	public long getMidPreDueIpayPnltAmt() {
		return midPreDueIpayPnltAmt;
	}

	public long getMidPreDueIpayEtc() {
		return midPreDueIpayEtc;
	}

	public long getMidPreDueCartax() {
		return midPreDueCartax;
	}

	public long getMidPreDueEnvImprBrdnamt() {
		return midPreDueEnvImprBrdnamt;
	}

	public long getMidPreDueInsuFee() {
		return midPreDueInsuFee;
	}

	public long getMidPreDueLtrmBrcvAmt() {
		return midPreDueLtrmBrcvAmt;
	}

	public long getMidPreDueGuarAmt() {
		return midPreDueGuarAmt;
	}

	public long getMidPreDueRamtAmt() {
		return midPreDueRamtAmt;
	}

	public int getThmmTims() {
		return thmmTims;
	}

	public String getThmmDlyFg() {
		return thmmDlyFg;
	}

	public long getThmmAmt() {
		return thmmAmt;
	}

	public long getThmmPamt() {
		return thmmPamt;
	}

	public long getThmmInt() {
		return thmmInt;
	}

	public long getThmmTrtFee() {
		return thmmTrtFee;
	}

	public long getThmmDfee() {
		return thmmDfee;
	}

	public long getBfmmAmt() {
		return bfmmAmt;
	}

	public long getBfmmPamt() {
		return bfmmPamt;
	}

	public long getBfmmInt() {
		return bfmmInt;
	}

	public long getBfmmTrtFee() {
		return bfmmTrtFee;
	}

	public long getBfmmDfee() {
		return bfmmDfee;
	}

	public int getDsrcStrtIdx() {
		return dsrcStrtIdx;
	}

	public int getDsrcCnt() {
		return dsrcCnt;
	}

	public String getDsrcNo() {
		return dsrcNo;
	}

	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}

	public String getDsrcSetlDt() {
		return dsrcSetlDt;
	}

	public int getDsrcSnum() {
		return dsrcSnum;
	}

	public int getRfndSnum() {
		return rfndSnum;
	}

	public String getRfndStatCd() {
		return rfndStatCd;
	}

	public String getDsrcOccrDt() {
		return dsrcOccrDt;
	}

	public long getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}

	public long getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}

	public long getDsrcRamt() {
		return dsrcRamt;
	}

	public long getSrcpRamt() {
		return srcpRamt;
	}

	public String getDsrcAdjDeptCd() {
		return dsrcAdjDeptCd;
	}

	public String getDsrcOccrAcctDt() {
		return dsrcOccrAcctDt;
	}

	public String getBfLoanNo() {
		return bfLoanNo;
	}

	public String getBfLoanSeq() {
		return bfLoanSeq;
	}

	public long getCrdtRcvrUnrcvAmt() {
		return crdtRcvrUnrcvAmt;
	}

	public long getRmbrCrdtRcvrUnrcvAmt() {
		return rmbrCrdtRcvrUnrcvAmt;
	}

	public long getCrdtRcvrUnrcvAmtRamt() {
		return crdtRcvrUnrcvAmtRamt;
	}

	public long getOccrLeglActnCost() {
		return occrLeglActnCost;
	}

	public long getAdjLeglActnCost() {
		return adjLeglActnCost;
	}

	public long getLeglActnCostRamt() {
		return leglActnCostRamt;
	}

	public long getUnOccrLeglActnCost() {
		return unOccrLeglActnCost;
	}

	public long getUnAdjLeglActnCost() {
		return unAdjLeglActnCost;
	}

	public long getUnLeglActnCostRamt() {
		return unLeglActnCostRamt;
	}

	public long getDepsRamt() {
		return depsRamt;
	}

	public long getPreSetlPamtSum() {
		return preSetlPamtSum;
	}

	public long getPreSetlIntSum() {
		return preSetlIntSum;
	}

	public String getStmpFeeUnrcvNo() {
		return stmpFeeUnrcvNo;
	}

	public long getStmpFeeOccrAmt() {
		return stmpFeeOccrAmt;
	}

	public long getStmpFeeAdjAmt() {
		return stmpFeeAdjAmt;
	}

	public long getStmpFeeRamt() {
		return stmpFeeRamt;
	}

	public String getTmatRmbrIntTooltip() {
		return tmatRmbrIntTooltip;
	}

	public String getTmatRmbrFeeTooltip() {
		return tmatRmbrFeeTooltip;
	}

	public String getPartRmbrIntTooltip() {
		return partRmbrIntTooltip;
	}

	public String getPartRmbrFeeTooltip() {
		return partRmbrFeeTooltip;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}

	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}

	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}

	public List getRealAskList() {
		return realAskList;
	}

	public void setMidRmbrTimsVO(TimsUnrcvVO midRmbrTimsVO) {
		this.midRmbrTimsVO = midRmbrTimsVO;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public void setPrdtClas(String prdtClas) {
		this.prdtClas = prdtClas;
	}

	public void setPrdtLcd(String prdtLcd) {
		this.prdtLcd = prdtLcd;
	}

	public void setPrdtMcd(String prdtMcd) {
		this.prdtMcd = prdtMcd;
	}

	public void setPrdtScd(String prdtScd) {
		this.prdtScd = prdtScd;
	}

	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}

	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}

	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}

	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}

	public void setThmmDueTims(int thmmDueTims) {
		this.thmmDueTims = thmmDueTims;
	}

	public void setBfmmDueTims(int bfmmDueTims) {
		this.bfmmDueTims = bfmmDueTims;
	}

	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}

	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}

	public void setAsymmAcctFg(String asymmAcctFg) {
		this.asymmAcctFg = asymmAcctFg;
	}

	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}

	public void setThmmDueDt(String thmmDueDt) {
		this.thmmDueDt = thmmDueDt;
	}

	public void setThmmRlDueDt(String thmmRlDueDt) {
		this.thmmRlDueDt = thmmRlDueDt;
	}

	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}

	public void setLastSetlTims(int lastSetlTims) {
		this.lastSetlTims = lastSetlTims;
	}

	public void setLoanEprtDt(String loanEprtDt) {
		this.loanEprtDt = loanEprtDt;
	}

	public void setLoanRlEprtDt(String loanRlEprtDt) {
		this.loanRlEprtDt = loanRlEprtDt;
	}

	public void setLeasEprtDt(String leasEprtDt) {
		this.leasEprtDt = leasEprtDt;
	}

	public void setLeasRlEprtDt(String leasRlEprtDt) {
		this.leasRlEprtDt = leasRlEprtDt;
	}

	public void setLeasEprtDlyDt(String leasEprtDlyDt) {
		this.leasEprtDlyDt = leasEprtDlyDt;
	}

	public void setLoanEprtTims(int loanEprtTims) {
		this.loanEprtTims = loanEprtTims;
	}

	public void setProcCnt(int procCnt) {
		this.procCnt = procCnt;
	}

	public void setLoanOccrCd(String loanOccrCd) {
		this.loanOccrCd = loanOccrCd;
	}

	public void setExecDt(String execDt) {
		this.execDt = execDt;
	}

	public void setSixPreDt(String sixPreDt) {
		this.sixPreDt = sixPreDt;
	}

	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}

	public void setClsFg(String clsFg) {
		this.clsFg = clsFg;
	}

	public void setLoseCalcFg(String loseCalcFg) {
		this.loseCalcFg = loseCalcFg;
	}

	public void setLoseCalcCd(String loseCalcCd) {
		this.loseCalcCd = loseCalcCd;
	}

	public void setLoseCalcVal(int loseCalcVal) {
		this.loseCalcVal = loseCalcVal;
	}

	public void setLoanAmt(long loanAmt) {
		this.loanAmt = loanAmt;
	}

	public void setLoanAmt10(long loanAmt10) {
		this.loanAmt10 = loanAmt10;
	}

	public void setUnrcvProcDt(String unrcvProcDt) {
		this.unrcvProcDt = unrcvProcDt;
	}

	public void setTimsUnrcvStrtIdx(int timsUnrcvStrtIdx) {
		this.timsUnrcvStrtIdx = timsUnrcvStrtIdx;
	}

	public void setTimsUnrcvCnt(int timsUnrcvCnt) {
		this.timsUnrcvCnt = timsUnrcvCnt;
	}

	public void setPamtRamt(long pamtRamt) {
		this.pamtRamt = pamtRamt;
	}

	public void setIntRamt(long intRamt) {
		this.intRamt = intRamt;
	}

	public void setTrtFeeRamt(long trtFeeRamt) {
		this.trtFeeRamt = trtFeeRamt;
	}

	public void setLeasFeeRamt(long leasFeeRamt) {
		this.leasFeeRamt = leasFeeRamt;
	}

	public void setBaseLeasFeeRamt(long baseLeasFeeRamt) {
		this.baseLeasFeeRamt = baseLeasFeeRamt;
	}

	public void setAddLeasFeeRamt(long addLeasFeeRamt) {
		this.addLeasFeeRamt = addLeasFeeRamt;
	}

	public void setPpayIntRamt(long ppayIntRamt) {
		this.ppayIntRamt = ppayIntRamt;
	}

	public void setAddCartaxRamt(long addCartaxRamt) {
		this.addCartaxRamt = addCartaxRamt;
	}

	public void setAddEnvImprBrdnamtRamt(long addEnvImprBrdnamtRamt) {
		this.addEnvImprBrdnamtRamt = addEnvImprBrdnamtRamt;
	}

	public void setAddInsuFeeRamt(long addInsuFeeRamt) {
		this.addInsuFeeRamt = addInsuFeeRamt;
	}

	public void setAddAsfeeRamt(long addAsfeeRamt) {
		this.addAsfeeRamt = addAsfeeRamt;
	}

	public void setVtaxRamt(long vtaxRamt) {
		this.vtaxRamt = vtaxRamt;
	}

	public void setIpayCartaxRamt(long ipayCartaxRamt) {
		this.ipayCartaxRamt = ipayCartaxRamt;
	}

	public void setIpayEnvImprBrdnamtRamt(long ipayEnvImprBrdnamtRamt) {
		this.ipayEnvImprBrdnamtRamt = ipayEnvImprBrdnamtRamt;
	}

	public void setIpayInsuFeeRamt(long ipayInsuFeeRamt) {
		this.ipayInsuFeeRamt = ipayInsuFeeRamt;
	}

	public void setIpayPnltAmtRamt(long ipayPnltAmtRamt) {
		this.ipayPnltAmtRamt = ipayPnltAmtRamt;
	}

	public void setIpayEtcRamt(long ipayEtcRamt) {
		this.ipayEtcRamt = ipayEtcRamt;
	}

	public void setCartaxRamt(long cartaxRamt) {
		this.cartaxRamt = cartaxRamt;
	}

	public void setEnvImprBrdnamtRamt(long envImprBrdnamtRamt) {
		this.envImprBrdnamtRamt = envImprBrdnamtRamt;
	}

	public void setInsuFeeRamt(long insuFeeRamt) {
		this.insuFeeRamt = insuFeeRamt;
	}

	public void setLtrmBrcvAmtRamt(long ltrmBrcvAmtRamt) {
		this.ltrmBrcvAmtRamt = ltrmBrcvAmtRamt;
	}

	public void setBrcvAmtLeasfeeRamt(long brcvAmtLeasfeeRamt) {
		this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
	}

	public void setGuarAmt(long guarAmt) {
		this.guarAmt = guarAmt;
	}

	public void setRamtAmt(long ramtAmt) {
		this.ramtAmt = ramtAmt;
	}

	public void setEndAfAskStatCd(String endAfAskStatCd) {
		this.endAfAskStatCd = endAfAskStatCd;
	}

	public void setEprtAskMethCd(String eprtAskMethCd) {
		this.eprtAskMethCd = eprtAskMethCd;
	}

	public void setGuarAmtAdjFg(String guarAmtAdjFg) {
		this.guarAmtAdjFg = guarAmtAdjFg;
	}

	public void setCurrentAskAmt(long currentAskAmt) {
		this.currentAskAmt = currentAskAmt;
	}

	public void setThmmMmAskAmt(long thmmMmAskAmt) {
		this.thmmMmAskAmt = thmmMmAskAmt;
	}

	public void setThmmMmAskTims(long thmmMmAskTims) {
		this.thmmMmAskTims = thmmMmAskTims;
	}

	public void setNextAskAmt(long nextAskAmt) {
		this.nextAskAmt = nextAskAmt;
	}

	public void setNextAskTims(long nextAskTims) {
		this.nextAskTims = nextAskTims;
	}

	public void setStndAskAmt(long stndAskAmt) {
		this.stndAskAmt = stndAskAmt;
	}

	public void setAskAmt(long askAmt) {
		this.askAmt = askAmt;
	}

	public void setAskLeasFee(long askLeasFee) {
		this.askLeasFee = askLeasFee;
	}

	public void setAskBaseLeasFee(long askBaseLeasFee) {
		this.askBaseLeasFee = askBaseLeasFee;
	}

	public void setAskAddLeasFee(long askAddLeasFee) {
		this.askAddLeasFee = askAddLeasFee;
	}

	public void setAskPamt(long askPamt) {
		this.askPamt = askPamt;
	}

	public void setAskInt(long askInt) {
		this.askInt = askInt;
	}

	public void setAskTrtFee(long askTrtFee) {
		this.askTrtFee = askTrtFee;
	}

	public void setAskPpayInt(long askPpayInt) {
		this.askPpayInt = askPpayInt;
	}

	public void setAskTint(long askTint) {
		this.askTint = askTint;
	}

	public void setAskAddCartax(long askAddCartax) {
		this.askAddCartax = askAddCartax;
	}

	public void setAskAddEnvImprBrdnamt(long askAddEnvImprBrdnamt) {
		this.askAddEnvImprBrdnamt = askAddEnvImprBrdnamt;
	}

	public void setAskAddInsuFee(long askAddInsuFee) {
		this.askAddInsuFee = askAddInsuFee;
	}

	public void setAskAddAsfee(long askAddAsfee) {
		this.askAddAsfee = askAddAsfee;
	}

	public void setAskVtax(long askVtax) {
		this.askVtax = askVtax;
	}

	public void setAskIpayCartax(long askIpayCartax) {
		this.askIpayCartax = askIpayCartax;
	}

	public void setAskIpayEnvImprBrdnamt(long askIpayEnvImprBrdnamt) {
		this.askIpayEnvImprBrdnamt = askIpayEnvImprBrdnamt;
	}

	public void setAskIpayInsuFee(long askIpayInsuFee) {
		this.askIpayInsuFee = askIpayInsuFee;
	}

	public void setAskIpayPnltAmt(long askIpayPnltAmt) {
		this.askIpayPnltAmt = askIpayPnltAmt;
	}

	public void setAskIpayEtc(long askIpayEtc) {
		this.askIpayEtc = askIpayEtc;
	}

	public void setAskIpayTax(long askIpayTax) {
		this.askIpayTax = askIpayTax;
	}

	public void setAskCartax(long askCartax) {
		this.askCartax = askCartax;
	}

	public void setAskEnvImprBrdnamt(long askEnvImprBrdnamt) {
		this.askEnvImprBrdnamt = askEnvImprBrdnamt;
	}

	public void setAskInsuFee(long askInsuFee) {
		this.askInsuFee = askInsuFee;
	}

	public void setAskLtrmBrcvAmt(long askLtrmBrcvAmt) {
		this.askLtrmBrcvAmt = askLtrmBrcvAmt;
	}

	public void setAskDfee(long askDfee) {
		this.askDfee = askDfee;
	}

	public void setAskGuarAmt(long askGuarAmt) {
		this.askGuarAmt = askGuarAmt;
	}

	public void setAskRamtAmt(long askRamtAmt) {
		this.askRamtAmt = askRamtAmt;
	}

	public void setDlyStrtIdx(int dlyStrtIdx) {
		this.dlyStrtIdx = dlyStrtIdx;
	}

	public void setDlyCnt(int dlyCnt) {
		this.dlyCnt = dlyCnt;
	}

	public void setAddDfeeRt(double addDfeeRt) {
		this.addDfeeRt = addDfeeRt;
	}

	public void setDfeeRt(double dfeeRt) {
		this.dfeeRt = dfeeRt;
	}

	public void setDfeeRtNm(String dfeeRtNm) {
		this.dfeeRtNm = dfeeRtNm;
	}

	public void setDlyAmt(long dlyAmt) {
		this.dlyAmt = dlyAmt;
	}

	public void setDlyLeasFee(long dlyLeasFee) {
		this.dlyLeasFee = dlyLeasFee;
	}

	public void setDlyBaseLeasFee(long dlyBaseLeasFee) {
		this.dlyBaseLeasFee = dlyBaseLeasFee;
	}

	public void setDlyAddLeasFee(long dlyAddLeasFee) {
		this.dlyAddLeasFee = dlyAddLeasFee;
	}

	public void setDlyPamt(long dlyPamt) {
		this.dlyPamt = dlyPamt;
	}

	public void setDlyInt(long dlyInt) {
		this.dlyInt = dlyInt;
	}

	public void setDlyTrtFee(long dlyTrtFee) {
		this.dlyTrtFee = dlyTrtFee;
	}

	public void setDlyPpayInt(long dlyPpayInt) {
		this.dlyPpayInt = dlyPpayInt;
	}

	public void setDlyTint(long dlyTint) {
		this.dlyTint = dlyTint;
	}

	public void setDlyAddCartax(long dlyAddCartax) {
		this.dlyAddCartax = dlyAddCartax;
	}

	public void setDlyAddEnvImprBrdnamt(long dlyAddEnvImprBrdnamt) {
		this.dlyAddEnvImprBrdnamt = dlyAddEnvImprBrdnamt;
	}

	public void setDlyAddInsuFee(long dlyAddInsuFee) {
		this.dlyAddInsuFee = dlyAddInsuFee;
	}

	public void setDlyAddAsfee(long dlyAddAsfee) {
		this.dlyAddAsfee = dlyAddAsfee;
	}

	public void setDlyVtax(long dlyVtax) {
		this.dlyVtax = dlyVtax;
	}

	public void setDlyIpayCartax(long dlyIpayCartax) {
		this.dlyIpayCartax = dlyIpayCartax;
	}

	public void setDlyIpayEnvImprBrdnamt(long dlyIpayEnvImprBrdnamt) {
		this.dlyIpayEnvImprBrdnamt = dlyIpayEnvImprBrdnamt;
	}

	public void setDlyIpayInsuFee(long dlyIpayInsuFee) {
		this.dlyIpayInsuFee = dlyIpayInsuFee;
	}

	public void setDlyIpayPnltAmt(long dlyIpayPnltAmt) {
		this.dlyIpayPnltAmt = dlyIpayPnltAmt;
	}

	public void setDlyIpayEtc(long dlyIpayEtc) {
		this.dlyIpayEtc = dlyIpayEtc;
	}

	public void setDlyIpayTax(long dlyIpayTax) {
		this.dlyIpayTax = dlyIpayTax;
	}

	public void setDlyCartax(long dlyCartax) {
		this.dlyCartax = dlyCartax;
	}

	public void setDlyEnvImprBrdnamt(long dlyEnvImprBrdnamt) {
		this.dlyEnvImprBrdnamt = dlyEnvImprBrdnamt;
	}

	public void setDlyInsuFee(long dlyInsuFee) {
		this.dlyInsuFee = dlyInsuFee;
	}

	public void setDlyLtrmBrcvAmt(long dlyLtrmBrcvAmt) {
		this.dlyLtrmBrcvAmt = dlyLtrmBrcvAmt;
	}

	public void setDfee(long dfee) {
		this.dfee = dfee;
	}

	public void setDfeeKifrs(long dfeeKifrs) {
		this.dfeeKifrs = dfeeKifrs;
	}

	public void setDlyGuarAmt(long dlyGuarAmt) {
		this.dlyGuarAmt = dlyGuarAmt;
	}

	public void setDlyRamtAmt(long dlyRamtAmt) {
		this.dlyRamtAmt = dlyRamtAmt;
	}

	public void setPreOccrDfee(long preOccrDfee) {
		this.preOccrDfee = preOccrDfee;
	}

	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}

	public void setDlyDt(String dlyDt) {
		this.dlyDt = dlyDt;
	}

	public void setDlyCalcDt(String dlyCalcDt) {
		this.dlyCalcDt = dlyCalcDt;
	}

	public void setDlyStrtTims(int dlyStrtTims) {
		this.dlyStrtTims = dlyStrtTims;
	}

	public void setDlyStrtDueDt(String dlyStrtDueDt) {
		this.dlyStrtDueDt = dlyStrtDueDt;
	}

	public void setDlyEndTims(int dlyEndTims) {
		this.dlyEndTims = dlyEndTims;
	}

	public void setDlyEndDueDt(String dlyEndDueDt) {
		this.dlyEndDueDt = dlyEndDueDt;
	}

	public void setDlyDdcnt(int dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}

	public void setOccrDlyDdcnt(int occrDlyDdcnt) {
		this.occrDlyDdcnt = occrDlyDdcnt;
	}

	public void setDlyMmCnt(int dlyMmCnt) {
		this.dlyMmCnt = dlyMmCnt;
	}

	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}

	public void setLngsDlyDdcnt(int lngsDlyDdcnt) {
		this.lngsDlyDdcnt = lngsDlyDdcnt;
	}

	public void setTotDlyDdcnt(int totDlyDdcnt) {
		this.totDlyDdcnt = totDlyDdcnt;
	}

	public void setOccrPdueDiscDfee(long occrPdueDiscDfee) {
		this.occrPdueDiscDfee = occrPdueDiscDfee;
	}

	public void setAdjPdueDiscDfee(long adjPdueDiscDfee) {
		this.adjPdueDiscDfee = adjPdueDiscDfee;
	}

	public void setPdueDiscDfeeRamt(long pdueDiscDfeeRamt) {
		this.pdueDiscDfeeRamt = pdueDiscDfeeRamt;
	}

	public void setPdueDiscDfeeRamtBfDisc(long pdueDiscDfeeRamtBfDisc) {
		this.pdueDiscDfeeRamtBfDisc = pdueDiscDfeeRamtBfDisc;
	}

	public void setPdueDiscDfee(long pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}

	public void setTempPdueDiscInt(long tempPdueDiscInt) {
		this.tempPdueDiscInt = tempPdueDiscInt;
	}

	public void setLoseDlyStrtDt(String loseDlyStrtDt) {
		this.loseDlyStrtDt = loseDlyStrtDt;
	}

	public void setLoseDueDt(String loseDueDt) {
		this.loseDueDt = loseDueDt;
	}

	public void setLoseDt(String loseDt) {
		this.loseDt = loseDt;
	}

	public void setPreLoseDt(String preLoseDt) {
		this.preLoseDt = preLoseDt;
	}

	public void setRvvlNeedAmt(long rvvlNeedAmt) {
		this.rvvlNeedAmt = rvvlNeedAmt;
	}

	public void setRvvlTims(int rvvlTims) {
		this.rvvlTims = rvvlTims;
	}

	public void setLoseMmPamt(long loseMmPamt) {
		this.loseMmPamt = loseMmPamt;
	}

	public void setLoseMmInt(long loseMmInt) {
		this.loseMmInt = loseMmInt;
	}

	public void setLosePamtRamt(long losePamtRamt) {
		this.losePamtRamt = losePamtRamt;
	}

	public void setLosePiamtDfee(long losePiamtDfee) {
		this.losePiamtDfee = losePiamtDfee;
	}

	public void setLoseIntDfee(long loseIntDfee) {
		this.loseIntDfee = loseIntDfee;
	}

	public void setLoseRamtDfee(long loseRamtDfee) {
		this.loseRamtDfee = loseRamtDfee;
	}

	public void setLoseStndPramt(long loseStndPramt) {
		this.loseStndPramt = loseStndPramt;
	}

	public void setLoseFg(String loseFg) {
		this.loseFg = loseFg;
	}

	public void setExptLoseFg(String exptLoseFg) {
		this.exptLoseFg = exptLoseFg;
	}

	public void setExptLoseDcnt(int exptLoseDcnt) {
		this.exptLoseDcnt = exptLoseDcnt;
	}

	public void setLoseExptDt(String loseExptDt) {
		this.loseExptDt = loseExptDt;
	}

	public void setDdayPrftLoseStrtTims(int ddayPrftLoseStrtTims) {
		this.ddayPrftLoseStrtTims = ddayPrftLoseStrtTims;
	}

	public void setSetlObjLtrmBrcvIdx(int setlObjLtrmBrcvIdx) {
		this.setlObjLtrmBrcvIdx = setlObjLtrmBrcvIdx;
	}

	public void setSetlObjLtrmBrcvAmt(long setlObjLtrmBrcvAmt) {
		this.setlObjLtrmBrcvAmt = setlObjLtrmBrcvAmt;
	}

	public void setSetlAfLtrmBrcvAmtRamt(long setlAfLtrmBrcvAmtRamt) {
		this.setlAfLtrmBrcvAmtRamt = setlAfLtrmBrcvAmtRamt;
	}

	public void setUnrcvStrtIdx(int unrcvStrtIdx) {
		this.unrcvStrtIdx = unrcvStrtIdx;
	}

	public void setUnrcvCnt(int unrcvCnt) {
		this.unrcvCnt = unrcvCnt;
	}

	public void setUnrcvTims(int unrcvTims) {
		this.unrcvTims = unrcvTims;
	}

	public void setUnrcvAmt(long unrcvAmt) {
		this.unrcvAmt = unrcvAmt;
	}

	public void setUnrcvLeasFee(long unrcvLeasFee) {
		this.unrcvLeasFee = unrcvLeasFee;
	}

	public void setUnrcvBaseLeasFee(long unrcvBaseLeasFee) {
		this.unrcvBaseLeasFee = unrcvBaseLeasFee;
	}

	public void setUnrcvAddLeasFee(long unrcvAddLeasFee) {
		this.unrcvAddLeasFee = unrcvAddLeasFee;
	}

	public void setUnrcvPamt(long unrcvPamt) {
		this.unrcvPamt = unrcvPamt;
	}

	public void setUnrcvInt(long unrcvInt) {
		this.unrcvInt = unrcvInt;
	}

	public void setUnrcvPsgInt(long unrcvPsgInt) {
		this.unrcvPsgInt = unrcvPsgInt;
	}

	public void setUnrcvPpayInt(long unrcvPpayInt) {
		this.unrcvPpayInt = unrcvPpayInt;
	}

	public void setUnrcvTint(long unrcvTint) {
		this.unrcvTint = unrcvTint;
	}

	public void setUnrcvAddCartax(long unrcvAddCartax) {
		this.unrcvAddCartax = unrcvAddCartax;
	}

	public void setUnrcvAddEnvImprBrdnamt(long unrcvAddEnvImprBrdnamt) {
		this.unrcvAddEnvImprBrdnamt = unrcvAddEnvImprBrdnamt;
	}

	public void setUnrcvAddInsuFee(long unrcvAddInsuFee) {
		this.unrcvAddInsuFee = unrcvAddInsuFee;
	}

	public void setUnrcvAddAsfee(long unrcvAddAsfee) {
		this.unrcvAddAsfee = unrcvAddAsfee;
	}

	public void setUnrcvVtax(long unrcvVtax) {
		this.unrcvVtax = unrcvVtax;
	}

	public void setUnrcvIpayCartax(long unrcvIpayCartax) {
		this.unrcvIpayCartax = unrcvIpayCartax;
	}

	public void setUnrcvIpayEnvImprBrdnamt(long unrcvIpayEnvImprBrdnamt) {
		this.unrcvIpayEnvImprBrdnamt = unrcvIpayEnvImprBrdnamt;
	}

	public void setUnrcvIpayInsuFee(long unrcvIpayInsuFee) {
		this.unrcvIpayInsuFee = unrcvIpayInsuFee;
	}

	public void setUnrcvIpayPnltAmt(long unrcvIpayPnltAmt) {
		this.unrcvIpayPnltAmt = unrcvIpayPnltAmt;
	}

	public void setUnrcvIpayEtc(long unrcvIpayEtc) {
		this.unrcvIpayEtc = unrcvIpayEtc;
	}

	public void setUnrcvCartax(long unrcvCartax) {
		this.unrcvCartax = unrcvCartax;
	}

	public void setUnrcvEnvImprBrdnamt(long unrcvEnvImprBrdnamt) {
		this.unrcvEnvImprBrdnamt = unrcvEnvImprBrdnamt;
	}

	public void setUnrcvInsuFee(long unrcvInsuFee) {
		this.unrcvInsuFee = unrcvInsuFee;
	}

	public void setUnrcvLtrmBrcvAmt(long unrcvLtrmBrcvAmt) {
		this.unrcvLtrmBrcvAmt = unrcvLtrmBrcvAmt;
	}

	public void setUnrcvGuarAmt(long unrcvGuarAmt) {
		this.unrcvGuarAmt = unrcvGuarAmt;
	}

	public void setUnrcvRamtAmt(long unrcvRamtAmt) {
		this.unrcvRamtAmt = unrcvRamtAmt;
	}

	public void setIpayMaxIdx(int ipayMaxIdx) {
		this.ipayMaxIdx = ipayMaxIdx;
	}

	public void setIpayMaxTims(int ipayMaxTims) {
		this.ipayMaxTims = ipayMaxTims;
	}

	public void setNormStrtIdx(int normStrtIdx) {
		this.normStrtIdx = normStrtIdx;
	}

	public void setNormCnt(int normCnt) {
		this.normCnt = normCnt;
	}

	public void setNormAmt(long normAmt) {
		this.normAmt = normAmt;
	}

	public void setNormLeasFee(long normLeasFee) {
		this.normLeasFee = normLeasFee;
	}

	public void setNormBaseLeasFee(long normBaseLeasFee) {
		this.normBaseLeasFee = normBaseLeasFee;
	}

	public void setNormAddLeasFee(long normAddLeasFee) {
		this.normAddLeasFee = normAddLeasFee;
	}

	public void setNormPamt(long normPamt) {
		this.normPamt = normPamt;
	}

	public void setNormInt(long normInt) {
		this.normInt = normInt;
	}

	public void setNormTrtFee(long normTrtFee) {
		this.normTrtFee = normTrtFee;
	}

	public void setNormPsgInt(long normPsgInt) {
		this.normPsgInt = normPsgInt;
	}

	public void setNormPpayInt(long normPpayInt) {
		this.normPpayInt = normPpayInt;
	}

	public void setNormTint(long normTint) {
		this.normTint = normTint;
	}

	public void setNormAddCartax(long normAddCartax) {
		this.normAddCartax = normAddCartax;
	}

	public void setNormAddEnvImprBrdnamt(long normAddEnvImprBrdnamt) {
		this.normAddEnvImprBrdnamt = normAddEnvImprBrdnamt;
	}

	public void setNormAddInsuFee(long normAddInsuFee) {
		this.normAddInsuFee = normAddInsuFee;
	}

	public void setNormAddAsfee(long normAddAsfee) {
		this.normAddAsfee = normAddAsfee;
	}

	public void setNormVtax(long normVtax) {
		this.normVtax = normVtax;
	}

	public void setNormIpayCartax(long normIpayCartax) {
		this.normIpayCartax = normIpayCartax;
	}

	public void setNormIpayEnvImprBrdnamt(long normIpayEnvImprBrdnamt) {
		this.normIpayEnvImprBrdnamt = normIpayEnvImprBrdnamt;
	}

	public void setNormIpayInsuFee(long normIpayInsuFee) {
		this.normIpayInsuFee = normIpayInsuFee;
	}

	public void setNormIpayPnltAmt(long normIpayPnltAmt) {
		this.normIpayPnltAmt = normIpayPnltAmt;
	}

	public void setNormIpayEtc(long normIpayEtc) {
		this.normIpayEtc = normIpayEtc;
	}

	public void setNormIpayTax(long normIpayTax) {
		this.normIpayTax = normIpayTax;
	}

	public void setNormCartax(long normCartax) {
		this.normCartax = normCartax;
	}

	public void setNormEnvImprBrdnamt(long normEnvImprBrdnamt) {
		this.normEnvImprBrdnamt = normEnvImprBrdnamt;
	}

	public void setNormInsuFee(long normInsuFee) {
		this.normInsuFee = normInsuFee;
	}

	public void setNormLtrmBrcvAmt(long normLtrmBrcvAmt) {
		this.normLtrmBrcvAmt = normLtrmBrcvAmt;
	}

	public void setNormGuarAmt(long normGuarAmt) {
		this.normGuarAmt = normGuarAmt;
	}

	public void setNormRamtAmt(long normRamtAmt) {
		this.normRamtAmt = normRamtAmt;
	}

	public void setUnComgStrtIdx(int unComgStrtIdx) {
		this.unComgStrtIdx = unComgStrtIdx;
	}

	public void setUnComgCnt(int unComgCnt) {
		this.unComgCnt = unComgCnt;
	}

	public void setUnComgAmt(long unComgAmt) {
		this.unComgAmt = unComgAmt;
	}

	public void setUnComgLeasFee(long unComgLeasFee) {
		this.unComgLeasFee = unComgLeasFee;
	}

	public void setUnComgBaseLeasFee(long unComgBaseLeasFee) {
		this.unComgBaseLeasFee = unComgBaseLeasFee;
	}

	public void setUnComgAddLeasFee(long unComgAddLeasFee) {
		this.unComgAddLeasFee = unComgAddLeasFee;
	}

	public void setUnComgPamt(long unComgPamt) {
		this.unComgPamt = unComgPamt;
	}

	public void setUnComgInt(long unComgInt) {
		this.unComgInt = unComgInt;
	}

	public void setUnComgTrtFee(long unComgTrtFee) {
		this.unComgTrtFee = unComgTrtFee;
	}

	public void setUnComgPpayInt(long unComgPpayInt) {
		this.unComgPpayInt = unComgPpayInt;
	}

	public void setUnComgTint(long unComgTint) {
		this.unComgTint = unComgTint;
	}

	public void setUnComgAddCartax(long unComgAddCartax) {
		this.unComgAddCartax = unComgAddCartax;
	}

	public void setUnComgAddEnvImprBrdnamt(long unComgAddEnvImprBrdnamt) {
		this.unComgAddEnvImprBrdnamt = unComgAddEnvImprBrdnamt;
	}

	public void setUnComgAddInsuFee(long unComgAddInsuFee) {
		this.unComgAddInsuFee = unComgAddInsuFee;
	}

	public void setUnComgAddAsfee(long unComgAddAsfee) {
		this.unComgAddAsfee = unComgAddAsfee;
	}

	public void setUnComgVtax(long unComgVtax) {
		this.unComgVtax = unComgVtax;
	}

	public void setUnComgIpayCartax(long unComgIpayCartax) {
		this.unComgIpayCartax = unComgIpayCartax;
	}

	public void setUnComgIpayEnvImprBrdnamt(long unComgIpayEnvImprBrdnamt) {
		this.unComgIpayEnvImprBrdnamt = unComgIpayEnvImprBrdnamt;
	}

	public void setUnComgIpayInsuFee(long unComgIpayInsuFee) {
		this.unComgIpayInsuFee = unComgIpayInsuFee;
	}

	public void setUnComgIpayPnltAmt(long unComgIpayPnltAmt) {
		this.unComgIpayPnltAmt = unComgIpayPnltAmt;
	}

	public void setUnComgIpayEtc(long unComgIpayEtc) {
		this.unComgIpayEtc = unComgIpayEtc;
	}

	public void setUnComgCartax(long unComgCartax) {
		this.unComgCartax = unComgCartax;
	}

	public void setUnComgEnvImprBrdnamt(long unComgEnvImprBrdnamt) {
		this.unComgEnvImprBrdnamt = unComgEnvImprBrdnamt;
	}

	public void setUnComgInsuFee(long unComgInsuFee) {
		this.unComgInsuFee = unComgInsuFee;
	}

	public void setUnComgLtrmBrcvAmt(long unComgLtrmBrcvAmt) {
		this.unComgLtrmBrcvAmt = unComgLtrmBrcvAmt;
	}

	public void setUnComgGuarAmt(long unComgGuarAmt) {
		this.unComgGuarAmt = unComgGuarAmt;
	}

	public void setUnComgRamtAmt(long unComgRamtAmt) {
		this.unComgRamtAmt = unComgRamtAmt;
	}

	public void setExemRcptObjInt(long exemRcptObjInt) {
		this.exemRcptObjInt = exemRcptObjInt;
	}

	public void setExemRcptObjPamt(long exemRcptObjPamt) {
		this.exemRcptObjPamt = exemRcptObjPamt;
	}

	public void setExemRcptObjDivsTrtFee(long exemRcptObjDivsTrtFee) {
		this.exemRcptObjDivsTrtFee = exemRcptObjDivsTrtFee;
	}

	public void setFcntTims(int fcntTims) {
		this.fcntTims = fcntTims;
	}

	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}

	public void setStndTimsIdx(int stndTimsIdx) {
		this.stndTimsIdx = stndTimsIdx;
	}

	public void setStndDueDt(String stndDueDt) {
		this.stndDueDt = stndDueDt;
	}

	public void setStndRlDueDt(String stndRlDueDt) {
		this.stndRlDueDt = stndRlDueDt;
	}

	public void setStndThmmDueTims(int stndThmmDueTims) {
		this.stndThmmDueTims = stndThmmDueTims;
	}

	public void setCurTims(int curTims) {
		this.curTims = curTims;
	}

	public void setStndLtrmBrcvAmt(long stndLtrmBrcvAmt) {
		this.stndLtrmBrcvAmt = stndLtrmBrcvAmt;
	}

	public void setPnltStndCd(String pnltStndCd) {
		this.pnltStndCd = pnltStndCd;
	}

	public void setPnltStndAmt(long pnltStndAmt) {
		this.pnltStndAmt = pnltStndAmt;
	}

	public void setCartaxEnvAdjMethCd(String cartaxEnvAdjMethCd) {
		this.cartaxEnvAdjMethCd = cartaxEnvAdjMethCd;
	}

	public void setCartaxIpayEndDt(String cartaxIpayEndDt) {
		this.cartaxIpayEndDt = cartaxIpayEndDt;
	}

	public void setEnvAmtIpayEndDt(String envAmtIpayEndDt) {
		this.envAmtIpayEndDt = envAmtIpayEndDt;
	}

	public void setSellFg(String sellFg) {
		this.sellFg = sellFg;
	}

	public void setCmprCalcFrmlCd(String cmprCalcFrmlCd) {
		this.cmprCalcFrmlCd = cmprCalcFrmlCd;
	}

	public void setCmprCalcRt(double cmprCalcRt) {
		this.cmprCalcRt = cmprCalcRt;
	}

	public void setPnltAdjuAmt(long pnltAdjuAmt) {
		this.pnltAdjuAmt = pnltAdjuAmt;
	}

	public void setDfeeAdjuAmt(long dfeeAdjuAmt) {
		this.dfeeAdjuAmt = dfeeAdjuAmt;
	}

	public void setIvltClosFg(String ivltClosFg) {
		this.ivltClosFg = ivltClosFg;
	}

	public void setNmTranGuarAmtCalcFg(String nmTranGuarAmtCalcFg) {
		this.nmTranGuarAmtCalcFg = nmTranGuarAmtCalcFg;
	}

	public void setBalBaseLeasFee(long balBaseLeasFee) {
		this.balBaseLeasFee = balBaseLeasFee;
	}

	public void setBalAddLeasFee(long balAddLeasFee) {
		this.balAddLeasFee = balAddLeasFee;
	}

	public void setBalLeasFee(long balLeasFee) {
		this.balLeasFee = balLeasFee;
	}

	public void setUnWdrwPamt(long unWdrwPamt) {
		this.unWdrwPamt = unWdrwPamt;
	}

	public void setCartaxPsgDdcnt(int cartaxPsgDdcnt) {
		this.cartaxPsgDdcnt = cartaxPsgDdcnt;
	}

	public void setEnvAmtPsgDdcnt(int envAmtPsgDdcnt) {
		this.envAmtPsgDdcnt = envAmtPsgDdcnt;
	}

	public void setYyCartax(long yyCartax) {
		this.yyCartax = yyCartax;
	}

	public void setYyEnvAmt(long yyEnvAmt) {
		this.yyEnvAmt = yyEnvAmt;
	}

	public void setRetnOdueAmt(long retnOdueAmt) {
		this.retnOdueAmt = retnOdueAmt;
	}

	public void setOverDrvFee(long overDrvFee) {
		this.overDrvFee = overDrvFee;
	}

	public void setOrgupRcvrCost(long orgupRcvrCost) {
		this.orgupRcvrCost = orgupRcvrCost;
	}

	public void setCustCost(long custCost) {
		this.custCost = custCost;
	}

	public void setDeprDeprTamt(long deprDeprTamt) {
		this.deprDeprTamt = deprDeprTamt;
	}

	public void setDspLossApprAmt(long dspLossApprAmt) {
		this.dspLossApprAmt = dspLossApprAmt;
	}

	public void setOprLeasAset(long oprLeasAset) {
		this.oprLeasAset = oprLeasAset;
	}

	public void setAddClosGuarAmt(long addClosGuarAmt) {
		this.addClosGuarAmt = addClosGuarAmt;
	}

	public void setPnltAmtTot6(long pnltAmtTot6) {
		this.pnltAmtTot6 = pnltAmtTot6;
	}

	public void setDueDtMidRmbrFg(String dueDtMidRmbrFg) {
		this.dueDtMidRmbrFg = dueDtMidRmbrFg;
	}

	public void setMidRmbrFeeRt(double midRmbrFeeRt) {
		this.midRmbrFeeRt = midRmbrFeeRt;
	}

	public void setMidRmbrIntCalcDt(String midRmbrIntCalcDt) {
		this.midRmbrIntCalcDt = midRmbrIntCalcDt;
	}

	public void setMidRmbrBalDdcnt(int midRmbrBalDdcnt) {
		this.midRmbrBalDdcnt = midRmbrBalDdcnt;
	}

	public void setOrigMidRmbrBalDdcnt(int origMidRmbrBalDdcnt) {
		this.origMidRmbrBalDdcnt = origMidRmbrBalDdcnt;
	}

	public void setIntUplmitRt(double intUplmitRt) {
		this.intUplmitRt = intUplmitRt;
	}

	public void setCortMaxAmt(long cortMaxAmt) {
		this.cortMaxAmt = cortMaxAmt;
	}

	public void setCalcPsgInt(long calcPsgInt) {
		this.calcPsgInt = calcPsgInt;
	}

	public void setTamtCalcMidRmbrFee(long tamtCalcMidRmbrFee) {
		this.tamtCalcMidRmbrFee = tamtCalcMidRmbrFee;
	}

	public void setPartCalcMidRmbrFee(long partCalcMidRmbrFee) {
		this.partCalcMidRmbrFee = partCalcMidRmbrFee;
	}

	public void setIncdCostRt(double incdCostRt) {
		this.incdCostRt = incdCostRt;
	}

	public void setMidRmbrIdx(int midRmbrIdx) {
		this.midRmbrIdx = midRmbrIdx;
	}

	public void setMidRmbrTims(int midRmbrTims) {
		this.midRmbrTims = midRmbrTims;
	}

	public void setPreSetFg(String preSetFg) {
		this.preSetFg = preSetFg;
	}

	public void setPdueTimsCnt(int pdueTimsCnt) {
		this.pdueTimsCnt = pdueTimsCnt;
	}

	public void setPreSetlCpayFg(String preSetlCpayFg) {
		this.preSetlCpayFg = preSetlCpayFg;
	}

	public void setMidRmbrDueDt(String midRmbrDueDt) {
		this.midRmbrDueDt = midRmbrDueDt;
	}

	public void setPartRmbrRcptFg(String partRmbrRcptFg) {
		this.partRmbrRcptFg = partRmbrRcptFg;
	}

	public void setMidIntStrtDt(String midIntStrtDt) {
		this.midIntStrtDt = midIntStrtDt;
	}

	public void setMidIntEndDt(String midIntEndDt) {
		this.midIntEndDt = midIntEndDt;
	}

	public void setCalcMidIntEndDt(String calcMidIntEndDt) {
		this.calcMidIntEndDt = calcMidIntEndDt;
	}

	public void setMainRmbrPamt(long mainRmbrPamt) {
		this.mainRmbrPamt = mainRmbrPamt;
	}

	public void setMainEndTims(int mainEndTims) {
		this.mainEndTims = mainEndTims;
	}

	public void setTotMidRmbrInt(long totMidRmbrInt) {
		this.totMidRmbrInt = totMidRmbrInt;
	}

	public void setTotMidRmbrTrtFee(long totMidRmbrTrtFee) {
		this.totMidRmbrTrtFee = totMidRmbrTrtFee;
	}

	public void setTamtRmbrObjAmt(long tamtRmbrObjAmt) {
		this.tamtRmbrObjAmt = tamtRmbrObjAmt;
	}

	public void setTamtRmbrObjAmtWithoutPdueAmt(long tamtRmbrObjAmtWithoutPdueAmt) {
		this.tamtRmbrObjAmtWithoutPdueAmt = tamtRmbrObjAmtWithoutPdueAmt;
	}

	public void setMmTrtFeeDisc(long mmTrtFeeDisc) {
		this.mmTrtFeeDisc = mmTrtFeeDisc;
	}

	public void setCustTrtFeeDisc(long custTrtFeeDisc) {
		this.custTrtFeeDisc = custTrtFeeDisc;
	}

	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}

	public void setTamtRmbrAmt(long tamtRmbrAmt) {
		this.tamtRmbrAmt = tamtRmbrAmt;
	}

	public void setMidRmbrInt(long midRmbrInt) {
		this.midRmbrInt = midRmbrInt;
	}

	public void setTrtFeeDisc(long trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}

	public void setTamtRmbrCmprFee(long tamtRmbrCmprFee) {
		this.tamtRmbrCmprFee = tamtRmbrCmprFee;
	}

	public void setTamtRmbrPamt(long tamtRmbrPamt) {
		this.tamtRmbrPamt = tamtRmbrPamt;
	}

	public void setTamtRmbrExtsPamt(long tamtRmbrExtsPamt) {
		this.tamtRmbrExtsPamt = tamtRmbrExtsPamt;
	}

	public void setTamtRmbrExtsFg(String tamtRmbrExtsFg) {
		this.tamtRmbrExtsFg = tamtRmbrExtsFg;
	}

	public void setTamtPsgLeasFee(long tamtPsgLeasFee) {
		this.tamtPsgLeasFee = tamtPsgLeasFee;
	}

	public void setTamtPsgBaseLeasFee(long tamtPsgBaseLeasFee) {
		this.tamtPsgBaseLeasFee = tamtPsgBaseLeasFee;
	}

	public void setTamtPsgAddLeasFee(long tamtPsgAddLeasFee) {
		this.tamtPsgAddLeasFee = tamtPsgAddLeasFee;
	}

	public void setTamtPsgPamt(long tamtPsgPamt) {
		this.tamtPsgPamt = tamtPsgPamt;
	}

	public void setTamtPsgInt(long tamtPsgInt) {
		this.tamtPsgInt = tamtPsgInt;
	}

	public void setTamtPsgAddCartax(long tamtPsgAddCartax) {
		this.tamtPsgAddCartax = tamtPsgAddCartax;
	}

	public void setTamtPsgAddEnvImprBrdnamt(long tamtPsgAddEnvImprBrdnamt) {
		this.tamtPsgAddEnvImprBrdnamt = tamtPsgAddEnvImprBrdnamt;
	}

	public void setTamtPsgAddInsuFee(long tamtPsgAddInsuFee) {
		this.tamtPsgAddInsuFee = tamtPsgAddInsuFee;
	}

	public void setTamtPsgAddAsfee(long tamtPsgAddAsfee) {
		this.tamtPsgAddAsfee = tamtPsgAddAsfee;
	}

	public void setTamtPsgVtax(long tamtPsgVtax) {
		this.tamtPsgVtax = tamtPsgVtax;
	}

	public void setTamtPpayInt(long tamtPpayInt) {
		this.tamtPpayInt = tamtPpayInt;
	}

	public void setTamtIpayCartax(long tamtIpayCartax) {
		this.tamtIpayCartax = tamtIpayCartax;
	}

	public void setTamtIpayEnvImprBrdnamt(long tamtIpayEnvImprBrdnamt) {
		this.tamtIpayEnvImprBrdnamt = tamtIpayEnvImprBrdnamt;
	}

	public void setTamtIpayInsuFee(long tamtIpayInsuFee) {
		this.tamtIpayInsuFee = tamtIpayInsuFee;
	}

	public void setTamtIpayPnltAmt(long tamtIpayPnltAmt) {
		this.tamtIpayPnltAmt = tamtIpayPnltAmt;
	}

	public void setTamtIpayEtc(long tamtIpayEtc) {
		this.tamtIpayEtc = tamtIpayEtc;
	}

	public void setTamtIpayAmt(long tamtIpayAmt) {
		this.tamtIpayAmt = tamtIpayAmt;
	}

	public void setTamtRmbrFee(long tamtRmbrFee) {
		this.tamtRmbrFee = tamtRmbrFee;
	}

	public void setCarsSellAmt(long carsSellAmt) {
		this.carsSellAmt = carsSellAmt;
	}

	public void setYycntRo(double yycntRo) {
		this.yycntRo = yycntRo;
	}

	public void setCalcRt(double calcRt) {
		this.calcRt = calcRt;
	}

	public void setGuarCartax(long guarCartax) {
		this.guarCartax = guarCartax;
	}

	public void setGuarEnvAmt(long guarEnvAmt) {
		this.guarEnvAmt = guarEnvAmt;
	}

	public void setGuarPnltAmt(long guarPnltAmt) {
		this.guarPnltAmt = guarPnltAmt;
	}

	public void setClosGuarAmt(long closGuarAmt) {
		this.closGuarAmt = closGuarAmt;
	}

	public void setReSetlDt(String reSetlDt) {
		this.reSetlDt = reSetlDt;
	}

	public void setOduePsgDdcnt(int oduePsgDdcnt) {
		this.oduePsgDdcnt = oduePsgDdcnt;
	}

	public void setClosOdueIndmAmt(long closOdueIndmAmt) {
		this.closOdueIndmAmt = closOdueIndmAmt;
	}

	public void setPlusCartax(long plusCartax) {
		this.plusCartax = plusCartax;
	}

	public void setPlusEnvImprBrdnamt(long plusEnvImprBrdnamt) {
		this.plusEnvImprBrdnamt = plusEnvImprBrdnamt;
	}

	public void setPlusPnltAmt(long plusPnltAmt) {
		this.plusPnltAmt = plusPnltAmt;
	}

	public void setTamtTimsAmt(long tamtTimsAmt) {
		this.tamtTimsAmt = tamtTimsAmt;
	}

	public void setTamtTimsLeasFee(long tamtTimsLeasFee) {
		this.tamtTimsLeasFee = tamtTimsLeasFee;
	}

	public void setTamtTimsBaseLeasFee(long tamtTimsBaseLeasFee) {
		this.tamtTimsBaseLeasFee = tamtTimsBaseLeasFee;
	}

	public void setTamtTimsAddLeasFee(long tamtTimsAddLeasFee) {
		this.tamtTimsAddLeasFee = tamtTimsAddLeasFee;
	}

	public void setTamtTimsPamt(long tamtTimsPamt) {
		this.tamtTimsPamt = tamtTimsPamt;
	}

	public void setTamtTimsInt(long tamtTimsInt) {
		this.tamtTimsInt = tamtTimsInt;
	}

	public void setTamtTimsPpayInt(long tamtTimsPpayInt) {
		this.tamtTimsPpayInt = tamtTimsPpayInt;
	}

	public void setTamtTimsTint(long tamtTimsTint) {
		this.tamtTimsTint = tamtTimsTint;
	}

	public void setTamtTimsAddCartax(long tamtTimsAddCartax) {
		this.tamtTimsAddCartax = tamtTimsAddCartax;
	}

	public void setTamtTimsAddEnvImprBrdnamt(long tamtTimsAddEnvImprBrdnamt) {
		this.tamtTimsAddEnvImprBrdnamt = tamtTimsAddEnvImprBrdnamt;
	}

	public void setTamtTimsAddInsuFee(long tamtTimsAddInsuFee) {
		this.tamtTimsAddInsuFee = tamtTimsAddInsuFee;
	}

	public void setTamtTimsAddAsfee(long tamtTimsAddAsfee) {
		this.tamtTimsAddAsfee = tamtTimsAddAsfee;
	}

	public void setTamtTimsVtax(long tamtTimsVtax) {
		this.tamtTimsVtax = tamtTimsVtax;
	}

	public void setTamtTimsIpayCartax(long tamtTimsIpayCartax) {
		this.tamtTimsIpayCartax = tamtTimsIpayCartax;
	}

	public void setTamtTimsIpayEnvImprBrdnamt(long tamtTimsIpayEnvImprBrdnamt) {
		this.tamtTimsIpayEnvImprBrdnamt = tamtTimsIpayEnvImprBrdnamt;
	}

	public void setTamtTimsIpayInsuFee(long tamtTimsIpayInsuFee) {
		this.tamtTimsIpayInsuFee = tamtTimsIpayInsuFee;
	}

	public void setTamtTimsIpayPnltAmt(long tamtTimsIpayPnltAmt) {
		this.tamtTimsIpayPnltAmt = tamtTimsIpayPnltAmt;
	}

	public void setTamtTimsIpayEtc(long tamtTimsIpayEtc) {
		this.tamtTimsIpayEtc = tamtTimsIpayEtc;
	}

	public void setTamtTimsCartax(long tamtTimsCartax) {
		this.tamtTimsCartax = tamtTimsCartax;
	}

	public void setTamtTimsEnvImprBrdnamt(long tamtTimsEnvImprBrdnamt) {
		this.tamtTimsEnvImprBrdnamt = tamtTimsEnvImprBrdnamt;
	}

	public void setTamtTimsInsuFee(long tamtTimsInsuFee) {
		this.tamtTimsInsuFee = tamtTimsInsuFee;
	}

	public void setTamtTimsLtrmBrcvAmt(long tamtTimsLtrmBrcvAmt) {
		this.tamtTimsLtrmBrcvAmt = tamtTimsLtrmBrcvAmt;
	}

	public void setTamtTimsGuarAmt(long tamtTimsGuarAmt) {
		this.tamtTimsGuarAmt = tamtTimsGuarAmt;
	}

	public void setTamtTimsRamtAmt(long tamtTimsRamtAmt) {
		this.tamtTimsRamtAmt = tamtTimsRamtAmt;
	}

	public void setPartRmbrTims(int partRmbrTims) {
		this.partRmbrTims = partRmbrTims;
	}

	public void setPartRmbrFeeRt(double partRmbrFeeRt) {
		this.partRmbrFeeRt = partRmbrFeeRt;
	}

	public void setPartRmbrPamt(long partRmbrPamt) {
		this.partRmbrPamt = partRmbrPamt;
	}

	public void setEprtLdgrAmt(long eprtLdgrAmt) {
		this.eprtLdgrAmt = eprtLdgrAmt;
	}

	public void setMmCalcFg(String mmCalcFg) {
		this.mmCalcFg = mmCalcFg;
	}

	public void setPartRmbrAmt(long partRmbrAmt) {
		this.partRmbrAmt = partRmbrAmt;
	}

	public void setPartMidRmbrInt(long partMidRmbrInt) {
		this.partMidRmbrInt = partMidRmbrInt;
	}

	public void setCalcPartMidRmbrInt(long calcPartMidRmbrInt) {
		this.calcPartMidRmbrInt = calcPartMidRmbrInt;
	}

	public void setTotPartMidRmbrInt(long totPartMidRmbrInt) {
		this.totPartMidRmbrInt = totPartMidRmbrInt;
	}

	public void setPartPpayInt(long partPpayInt) {
		this.partPpayInt = partPpayInt;
	}

	public void setPartAddCartax(long partAddCartax) {
		this.partAddCartax = partAddCartax;
	}

	public void setPartAddEnvImprBrdnamt(long partAddEnvImprBrdnamt) {
		this.partAddEnvImprBrdnamt = partAddEnvImprBrdnamt;
	}

	public void setPartAddInsuFee(long partAddInsuFee) {
		this.partAddInsuFee = partAddInsuFee;
	}

	public void setPartAddAsfee(long partAddAsfee) {
		this.partAddAsfee = partAddAsfee;
	}

	public void setPartVtax(long partVtax) {
		this.partVtax = partVtax;
	}

	public void setPartIpayCartax(long partIpayCartax) {
		this.partIpayCartax = partIpayCartax;
	}

	public void setPartIpayEnvImprBrdnamt(long partIpayEnvImprBrdnamt) {
		this.partIpayEnvImprBrdnamt = partIpayEnvImprBrdnamt;
	}

	public void setPartIpayInsuFee(long partIpayInsuFee) {
		this.partIpayInsuFee = partIpayInsuFee;
	}

	public void setPartIpayPnltAmt(long partIpayPnltAmt) {
		this.partIpayPnltAmt = partIpayPnltAmt;
	}

	public void setPartIpayEtc(long partIpayEtc) {
		this.partIpayEtc = partIpayEtc;
	}

	public void setPartCartax(long partCartax) {
		this.partCartax = partCartax;
	}

	public void setPartEnvImprBrdnamt(long partEnvImprBrdnamt) {
		this.partEnvImprBrdnamt = partEnvImprBrdnamt;
	}

	public void setPartInsuFee(long partInsuFee) {
		this.partInsuFee = partInsuFee;
	}

	public void setPartLtrmBrcvAmt(long partLtrmBrcvAmt) {
		this.partLtrmBrcvAmt = partLtrmBrcvAmt;
	}

	public void setPartRmbrFee(long partRmbrFee) {
		this.partRmbrFee = partRmbrFee;
	}

	public void setPartRmbrAfPamtRamt(long partRmbrAfPamtRamt) {
		this.partRmbrAfPamtRamt = partRmbrAfPamtRamt;
	}

	public void setPartTimsPamtRamt(long partTimsPamtRamt) {
		this.partTimsPamtRamt = partTimsPamtRamt;
	}

	public void setAddTermInt(long addTermInt) {
		this.addTermInt = addTermInt;
	}

	public void setPartRmbrFg(String partRmbrFg) {
		this.partRmbrFg = partRmbrFg;
	}

	public void setMidRmbrFg(String midRmbrFg) {
		this.midRmbrFg = midRmbrFg;
	}

	public void setMidRmbrCalcFg(String midRmbrCalcFg) {
		this.midRmbrCalcFg = midRmbrCalcFg;
	}

	public void setMidRmbrHidFg(String midRmbrHidFg) {
		this.midRmbrHidFg = midRmbrHidFg;
	}

	public void setMidRmbrTimsFg(String midRmbrTimsFg) {
		this.midRmbrTimsFg = midRmbrTimsFg;
	}

	public void setPreRcptFg(String preRcptFg) {
		this.preRcptFg = preRcptFg;
	}

	public void setPartRmbrObjAmt(long partRmbrObjAmt) {
		this.partRmbrObjAmt = partRmbrObjAmt;
	}

	public void setPartRmbrObjAmtWithoutPdueAmt(long partRmbrObjAmtWithoutPdueAmt) {
		this.partRmbrObjAmtWithoutPdueAmt = partRmbrObjAmtWithoutPdueAmt;
	}

	public void setPartRmbrObjAddAmt(long partRmbrObjAddAmt) {
		this.partRmbrObjAddAmt = partRmbrObjAddAmt;
	}

	public void setOneYearDdCnt(int oneYearDdCnt) {
		this.oneYearDdCnt = oneYearDdCnt;
	}

	public void setLoanTotDdcnt(int loanTotDdcnt) {
		this.loanTotDdcnt = loanTotDdcnt;
	}

	public void setOrigLoanTotDdcnt(int origLoanTotDdcnt) {
		this.origLoanTotDdcnt = origLoanTotDdcnt;
	}

	public void setLoanPsgDdcnt(int loanPsgDdcnt) {
		this.loanPsgDdcnt = loanPsgDdcnt;
	}

	public void setLoanpsgMmCnt(int loanpsgMmCnt) {
		this.loanpsgMmCnt = loanpsgMmCnt;
	}

	public void setTrtFeeRt(double trtFeeRt) {
		this.trtFeeRt = trtFeeRt;
	}

	public void setCustTrtFee(long custTrtFee) {
		this.custTrtFee = custTrtFee;
	}

	public void setTrtFeeDiscExclFg(int trtFeeDiscExclFg) {
		this.trtFeeDiscExclFg = trtFeeDiscExclFg;
	}

	public void setMidRmbrObjInt(long midRmbrObjInt) {
		this.midRmbrObjInt = midRmbrObjInt;
	}

	public void setCalcPamtRamt(long calcPamtRamt) {
		this.calcPamtRamt = calcPamtRamt;
	}

	public void setCalcDivsTrtFeeRamt(long calcDivsTrtFeeRamt) {
		this.calcDivsTrtFeeRamt = calcDivsTrtFeeRamt;
	}

	public void setRlTamtRmbrPamt(long rlTamtRmbrPamt) {
		this.rlTamtRmbrPamt = rlTamtRmbrPamt;
	}

	public void setRlTamtRmbrTrtFee(long rlTamtRmbrTrtFee) {
		this.rlTamtRmbrTrtFee = rlTamtRmbrTrtFee;
	}

	public void setRlPartRmbrPamt(long rlPartRmbrPamt) {
		this.rlPartRmbrPamt = rlPartRmbrPamt;
	}

	public void setRlPartRmbrTrtFee(long rlPartRmbrTrtFee) {
		this.rlPartRmbrTrtFee = rlPartRmbrTrtFee;
	}

	public void setMidRmbrThddFg(String midRmbrThddFg) {
		this.midRmbrThddFg = midRmbrThddFg;
	}

	public void setRmbrPlanCrteTims(int rmbrPlanCrteTims) {
		this.rmbrPlanCrteTims = rmbrPlanCrteTims;
	}

	public void setTempRcptObjAmt(long tempRcptObjAmt) {
		this.tempRcptObjAmt = tempRcptObjAmt;
	}

	public void setTotPamt(long totPamt) {
		this.totPamt = totPamt;
	}

	public void setTotDivsTrtFee(long totDivsTrtFee) {
		this.totDivsTrtFee = totDivsTrtFee;
	}

	public void setTotAddAskAmt(long totAddAskAmt) {
		this.totAddAskAmt = totAddAskAmt;
	}

	public void setTermPartFg(String termPartFg) {
		this.termPartFg = termPartFg;
	}

	public void setTermPartIntStrtDt(String termPartIntStrtDt) {
		this.termPartIntStrtDt = termPartIntStrtDt;
	}

	public void setTermPartIntEndDt(String termPartIntEndDt) {
		this.termPartIntEndDt = termPartIntEndDt;
	}

	public void setTermPartInt(long termPartInt) {
		this.termPartInt = termPartInt;
	}

	public void setTermPartIntRt(double termPartIntRt) {
		this.termPartIntRt = termPartIntRt;
	}

	public void setMidTermPartInt(long midTermPartInt) {
		this.midTermPartInt = midTermPartInt;
	}

	public void setMidTermPartTimsInt(long midTermPartTimsInt) {
		this.midTermPartTimsInt = midTermPartTimsInt;
	}

	public void setTermPartDdcnt(int termPartDdcnt) {
		this.termPartDdcnt = termPartDdcnt;
	}

	public void setTermPartPamtRmbrInt(long termPartPamtRmbrInt) {
		this.termPartPamtRmbrInt = termPartPamtRmbrInt;
	}

	public void setCalcTermPartPamtRmbrIntRamt(long calcTermPartPamtRmbrIntRamt) {
		this.calcTermPartPamtRmbrIntRamt = calcTermPartPamtRmbrIntRamt;
	}

	public void setTermPartTamtRmbrInt(long termPartTamtRmbrInt) {
		this.termPartTamtRmbrInt = termPartTamtRmbrInt;
	}

	public void setPsgDdcnt(int psgDdcnt) {
		this.psgDdcnt = psgDdcnt;
	}

	public void setPsgMmcnt(int psgMmcnt) {
		this.psgMmcnt = psgMmcnt;
	}

	public void setOrgIntDdcnt(int orgIntDdcnt) {
		this.orgIntDdcnt = orgIntDdcnt;
	}

	public void setLoanTotMmCnt(int loanTotMmCnt) {
		this.loanTotMmCnt = loanTotMmCnt;
	}

	public void setMidRmbrBalMmCnt(int midRmbrBalMmCnt) {
		this.midRmbrBalMmCnt = midRmbrBalMmCnt;
	}

	public void setBalTermCalcFg(String balTermCalcFg) {
		this.balTermCalcFg = balTermCalcFg;
	}

	public void setMidPreDueAmt(long midPreDueAmt) {
		this.midPreDueAmt = midPreDueAmt;
	}

	public void setMidPreDueLeasFee(long midPreDueLeasFee) {
		this.midPreDueLeasFee = midPreDueLeasFee;
	}

	public void setMidPreDueBaseLeasFee(long midPreDueBaseLeasFee) {
		this.midPreDueBaseLeasFee = midPreDueBaseLeasFee;
	}

	public void setMidPreDueAddLeasFee(long midPreDueAddLeasFee) {
		this.midPreDueAddLeasFee = midPreDueAddLeasFee;
	}

	public void setMidPreDuePamt(long midPreDuePamt) {
		this.midPreDuePamt = midPreDuePamt;
	}

	public void setMidPreDueInt(long midPreDueInt) {
		this.midPreDueInt = midPreDueInt;
	}

	public void setMidPreDueTrtFee(long midPreDueTrtFee) {
		this.midPreDueTrtFee = midPreDueTrtFee;
	}

	public void setMidPreDuePpayInt(long midPreDuePpayInt) {
		this.midPreDuePpayInt = midPreDuePpayInt;
	}

	public void setMidPreDueTint(long midPreDueTint) {
		this.midPreDueTint = midPreDueTint;
	}

	public void setMidPreDueAddCartax(long midPreDueAddCartax) {
		this.midPreDueAddCartax = midPreDueAddCartax;
	}

	public void setMidPreDueAddEnvImprBrdnamt(long midPreDueAddEnvImprBrdnamt) {
		this.midPreDueAddEnvImprBrdnamt = midPreDueAddEnvImprBrdnamt;
	}

	public void setMidPreDueAddInsuFee(long midPreDueAddInsuFee) {
		this.midPreDueAddInsuFee = midPreDueAddInsuFee;
	}

	public void setMidPreDueAddAsfee(long midPreDueAddAsfee) {
		this.midPreDueAddAsfee = midPreDueAddAsfee;
	}

	public void setMidPreDueVtax(long midPreDueVtax) {
		this.midPreDueVtax = midPreDueVtax;
	}

	public void setMidPreDueIpayCartax(long midPreDueIpayCartax) {
		this.midPreDueIpayCartax = midPreDueIpayCartax;
	}

	public void setMidPreDueIpayEnvImprBrdnamt(long midPreDueIpayEnvImprBrdnamt) {
		this.midPreDueIpayEnvImprBrdnamt = midPreDueIpayEnvImprBrdnamt;
	}

	public void setMidPreDueIpayInsuFee(long midPreDueIpayInsuFee) {
		this.midPreDueIpayInsuFee = midPreDueIpayInsuFee;
	}

	public void setMidPreDueIpayPnltAmt(long midPreDueIpayPnltAmt) {
		this.midPreDueIpayPnltAmt = midPreDueIpayPnltAmt;
	}

	public void setMidPreDueIpayEtc(long midPreDueIpayEtc) {
		this.midPreDueIpayEtc = midPreDueIpayEtc;
	}

	public void setMidPreDueCartax(long midPreDueCartax) {
		this.midPreDueCartax = midPreDueCartax;
	}

	public void setMidPreDueEnvImprBrdnamt(long midPreDueEnvImprBrdnamt) {
		this.midPreDueEnvImprBrdnamt = midPreDueEnvImprBrdnamt;
	}

	public void setMidPreDueInsuFee(long midPreDueInsuFee) {
		this.midPreDueInsuFee = midPreDueInsuFee;
	}

	public void setMidPreDueLtrmBrcvAmt(long midPreDueLtrmBrcvAmt) {
		this.midPreDueLtrmBrcvAmt = midPreDueLtrmBrcvAmt;
	}

	public void setMidPreDueGuarAmt(long midPreDueGuarAmt) {
		this.midPreDueGuarAmt = midPreDueGuarAmt;
	}

	public void setMidPreDueRamtAmt(long midPreDueRamtAmt) {
		this.midPreDueRamtAmt = midPreDueRamtAmt;
	}

	public void setThmmTims(int thmmTims) {
		this.thmmTims = thmmTims;
	}

	public void setThmmDlyFg(String thmmDlyFg) {
		this.thmmDlyFg = thmmDlyFg;
	}

	public void setThmmAmt(long thmmAmt) {
		this.thmmAmt = thmmAmt;
	}

	public void setThmmPamt(long thmmPamt) {
		this.thmmPamt = thmmPamt;
	}

	public void setThmmInt(long thmmInt) {
		this.thmmInt = thmmInt;
	}

	public void setThmmTrtFee(long thmmTrtFee) {
		this.thmmTrtFee = thmmTrtFee;
	}

	public void setThmmDfee(long thmmDfee) {
		this.thmmDfee = thmmDfee;
	}

	public void setBfmmAmt(long bfmmAmt) {
		this.bfmmAmt = bfmmAmt;
	}

	public void setBfmmPamt(long bfmmPamt) {
		this.bfmmPamt = bfmmPamt;
	}

	public void setBfmmInt(long bfmmInt) {
		this.bfmmInt = bfmmInt;
	}

	public void setBfmmTrtFee(long bfmmTrtFee) {
		this.bfmmTrtFee = bfmmTrtFee;
	}

	public void setBfmmDfee(long bfmmDfee) {
		this.bfmmDfee = bfmmDfee;
	}

	public void setDsrcStrtIdx(int dsrcStrtIdx) {
		this.dsrcStrtIdx = dsrcStrtIdx;
	}

	public void setDsrcCnt(int dsrcCnt) {
		this.dsrcCnt = dsrcCnt;
	}

	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}

	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}

	public void setDsrcSetlDt(String dsrcSetlDt) {
		this.dsrcSetlDt = dsrcSetlDt;
	}

	public void setDsrcSnum(int dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}

	public void setRfndSnum(int rfndSnum) {
		this.rfndSnum = rfndSnum;
	}

	public void setRfndStatCd(String rfndStatCd) {
		this.rfndStatCd = rfndStatCd;
	}

	public void setDsrcOccrDt(String dsrcOccrDt) {
		this.dsrcOccrDt = dsrcOccrDt;
	}

	public void setDsrcOccrAmt(long dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}

	public void setDsrcAdjAmt(long dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}

	public void setDsrcRamt(long dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}

	public void setSrcpRamt(long srcpRamt) {
		this.srcpRamt = srcpRamt;
	}

	public void setDsrcAdjDeptCd(String dsrcAdjDeptCd) {
		this.dsrcAdjDeptCd = dsrcAdjDeptCd;
	}

	public void setDsrcOccrAcctDt(String dsrcOccrAcctDt) {
		this.dsrcOccrAcctDt = dsrcOccrAcctDt;
	}

	public void setBfLoanNo(String bfLoanNo) {
		this.bfLoanNo = bfLoanNo;
	}

	public void setBfLoanSeq(String bfLoanSeq) {
		this.bfLoanSeq = bfLoanSeq;
	}

	public void setCrdtRcvrUnrcvAmt(long crdtRcvrUnrcvAmt) {
		this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
	}

	public void setRmbrCrdtRcvrUnrcvAmt(long rmbrCrdtRcvrUnrcvAmt) {
		this.rmbrCrdtRcvrUnrcvAmt = rmbrCrdtRcvrUnrcvAmt;
	}

	public void setCrdtRcvrUnrcvAmtRamt(long crdtRcvrUnrcvAmtRamt) {
		this.crdtRcvrUnrcvAmtRamt = crdtRcvrUnrcvAmtRamt;
	}

	public void setOccrLeglActnCost(long occrLeglActnCost) {
		this.occrLeglActnCost = occrLeglActnCost;
	}

	public void setAdjLeglActnCost(long adjLeglActnCost) {
		this.adjLeglActnCost = adjLeglActnCost;
	}

	public void setLeglActnCostRamt(long leglActnCostRamt) {
		this.leglActnCostRamt = leglActnCostRamt;
	}

	public void setUnOccrLeglActnCost(long unOccrLeglActnCost) {
		this.unOccrLeglActnCost = unOccrLeglActnCost;
	}

	public void setUnAdjLeglActnCost(long unAdjLeglActnCost) {
		this.unAdjLeglActnCost = unAdjLeglActnCost;
	}

	public void setUnLeglActnCostRamt(long unLeglActnCostRamt) {
		this.unLeglActnCostRamt = unLeglActnCostRamt;
	}

	public void setDepsRamt(long depsRamt) {
		this.depsRamt = depsRamt;
	}

	public void setPreSetlPamtSum(long preSetlPamtSum) {
		this.preSetlPamtSum = preSetlPamtSum;
	}

	public void setPreSetlIntSum(long preSetlIntSum) {
		this.preSetlIntSum = preSetlIntSum;
	}

	public void setStmpFeeUnrcvNo(String stmpFeeUnrcvNo) {
		this.stmpFeeUnrcvNo = stmpFeeUnrcvNo;
	}

	public void setStmpFeeOccrAmt(long stmpFeeOccrAmt) {
		this.stmpFeeOccrAmt = stmpFeeOccrAmt;
	}

	public void setStmpFeeAdjAmt(long stmpFeeAdjAmt) {
		this.stmpFeeAdjAmt = stmpFeeAdjAmt;
	}

	public void setStmpFeeRamt(long stmpFeeRamt) {
		this.stmpFeeRamt = stmpFeeRamt;
	}

	public void setTmatRmbrIntTooltip(String tmatRmbrIntTooltip) {
		this.tmatRmbrIntTooltip = tmatRmbrIntTooltip;
	}

	public void setTmatRmbrFeeTooltip(String tmatRmbrFeeTooltip) {
		this.tmatRmbrFeeTooltip = tmatRmbrFeeTooltip;
	}

	public void setPartRmbrIntTooltip(String partRmbrIntTooltip) {
		this.partRmbrIntTooltip = partRmbrIntTooltip;
	}

	public void setPartRmbrFeeTooltip(String partRmbrFeeTooltip) {
		this.partRmbrFeeTooltip = partRmbrFeeTooltip;
	}

	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}

	public void setRealAskList(List realAskList) {
		this.realAskList = realAskList;
	}
	private List realAskList = null;

	public void addRealAskTims(TimsUnrcvVO tims){
		realAskList.add(tims);
	}

	public TimsUnrcvVO getRealAskTims(int idx){
		if( sizeRealAskTims() <= idx){
			return null;
		}
		return (TimsUnrcvVO)realAskList.get(idx);
	}

	public int sizeRealAskTims(){
		if( realAskList != null){
			return realAskList.size();
		}
		return 0;
	}

	public TimsUnrcvVO getMidRmbrTims(){
		return midRmbrTimsVO;
	}

	public void setMidRmbrTims(TimsUnrcvVO inVO){
		midRmbrTimsVO = inVO;
	}

	public TimsUnrcvVO getBfMidRmbrTims() {
		return bfMidRmbrTims;
	}

	public void setBfMidRmbrTims(TimsUnrcvVO bfMidRmbrTims) {
		this.bfMidRmbrTims = bfMidRmbrTims;
	}

	public TimsUnrcvVO getDueDtMidRmbrTims() {
		return dueDtMidRmbrTims;
	}

	public void setDueDtMidRmbrTims(TimsUnrcvVO dueDtMidRmbrTims) {
		this.dueDtMidRmbrTims = dueDtMidRmbrTims;
	}

	public int compareTo(Object o) {
		BndVO inVO = (BndVO)o;
		if(inVO==null) {
			throw new IllegalArgumentException("입력된 채권객체를 확인하세요");
		}

		int compare = loanNo.compareTo(inVO.loanNo);
		if(compare >0){
			return 1;
		} else if( compare < 0) {
			return -1;
		}

		compare = loanSeq.compareTo(inVO.loanSeq);
		return compare > 0 ? 1 : (compare < 0 ? -1 : 0);
	}
}
