package hanalife.b.cm.kf.svc;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import hanalife.util.gram.GramException;
import hanalife.util.gram.GramUtil;

/**
 * <pre>
 * 클래스명    : KfbErrFile
 * 클래스설명 : KfbErrFile의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KfbErrFile
{

	private Logger log = Logger.getLogger(this.getClass().getName());
	public final static int LOAN = 1;
	public final static int DEBT = 2;
	public final static int CRDT = 3;
	public final static int CRDT_MOD = 4;
	public final static int LOANCHG = 5;
    public final static int ENTLOAN = 6;
    public final static int ENTMRTG = 7;
    public final static int ENTGUAR = 8;
	public String stndDt;

	private String file;
	private int    tabDiv;
	private int    dataLineSise;

	String fileCntn;
	/*
	private int[] loanIdx = {0  ,6  ,8  ,15 ,17 ,21 ,34 ,74 ,94 ,96
    						,100,107,115,125,133,153,156,157,160,180
							,183,184,185,186,187,188,189,190,191,192
							,193,194,195,196,197,198,199,200,201,202
							,210};
	*/
	/*
	private int[] loanIdx = {0  ,6  ,8  ,15 ,17 ,21 ,34 ,74 ,94 ,96
								,100,107,115,125,133,153,156,157,160,180
//								,230,232,240,244,249,251,259,264,272,276
//								,286,296,306,309,310,311,312,313,314,315
//								,316,317,318,319,320,321,322,323,324,325
//								,326,327,328,329,350};

	,200,	210,	214,	224,	230,	232,	240,	244,	249,	251
	,259,	264,	272,	276,	286,	296,	306,	309,	310,	311
	,312,	313,	314,	315,	316,	317,	318,	319,	320,	321
	,322,	323,	324,	325,	326,	327,	328,	329,	350};
*/


    //2022-11-22 LN9122 기준에 맞게 짜르기 위해 항목별 자릿수 표기(추후에 변경이 있는 경우 찾기 쉽게 하기 위해...)
    int loan_d0     = 0;
    int loan_d1     = 6  + loan_d0;          //[0]  1. 거래구분 코드 AN 6
    int loan_d2     = 2  + loan_d1;          //[1]  2. Data 구분 N 2
    int loan_d3     = 7  + loan_d2;          //[2]  3. 일련번호 N 7
    int loan_d4     = 2  + loan_d3;          //[3]  4. 자료구분 코드 N 2
    int loan_d5     = 4  + loan_d4;          //[4]  5. 등록 코드 N 4
    int loan_d6     = 13 + loan_d5;          //[5]  6. 주민등록번호 N 13
    int loan_d7     = 40 + loan_d6;          //[6]  7. 상호(기업체 명) AHS 40
    int loan_d8     = 20 + loan_d7;          //[7]  8. 성명(대표자) AH 20
    int loan_d9     = 2  + loan_d8;          //[8]  9. 채초최권기관 코드 N 2
    int loan_d10    = 4  + loan_d9;          //[9]  10. 업종 코드 N 4
    int loan_d11    = 7  + loan_d10;         //[10]  11. 점포 코드 N 7
    int loan_d12    = 8  + loan_d11;         //[11]  12. 대출 발생일 N 8
    int loan_d13    = 10 + loan_d12;         //[12]  13. 금액 (단위 : 천원) N 10
    int loan_d14    = 8  + loan_d13;         //[13]  14. 대출 변동일(해지일) N 8
    int loan_d15    = 20 + loan_d14;         //[14]  15. 계좌번호 AN 20
    int loan_d16    = 3  + loan_d15;         //[15]  16. 대출(담보)종류 구분 N 3
    int loan_d17    = 1  + loan_d16;         //[16]  17. 연계대출 및 집단대출 구분 N  1
    int loan_d18_1  = 3  + loan_d17;         //[17]  18-1. 서민금융 구분 N 3
    int loan_d18_2  = 20 + loan_d18_1;       //[18]  18-2. 특수채권 모 계좌번호 AN 20
    int loan_d19_1  = 2  + loan_d18_2;       //[19]  19-1. 차주단위 DSR적용 신용대출 구분 N 2
    int loan_d19_2  = 2  + loan_d19_1;       //[20]  19-2. 담보 세부 종류(코드) N 2
    int loan_d20_0  = 8  + loan_d19_2;       //[21]  20-0. 미사용 N 8
    int loan_d20_a0 = 8  + loan_d20_0;       //[22]  20-a0. 대출신청?접수일 N 8
    int loan_d20_a1 = 10 + loan_d20_a0;      //[23]  20-a1. [금융기관직접산정]선진화방안에따른 연간 상환예정액(스트레스금리가산) N 10
    int loan_d20_a2 = 4  + loan_d20_a1;      //[24]  20-a2. 주택담보대출 만기연장 또는 특정분할상환 구조를 갖는 신용대출의 만기 약정개월수 N 4
    int loan_d20_a3 = 10 + loan_d20_a2;      //[25]  20-a3. [금융기관 직접산정]선진화방안에 따른 연간 상환예정액 N 10
    int loan_d20_a4 = 2  + loan_d20_a3;      //[26]  20-a4. DSR 규제대상 주택담보대출 구분 N 2
    int loan_d20_a5 = 4  + loan_d20_a4;      //[27]  20-a5. 미사용 N 4
    int loan_d20_1  = 2  + loan_d20_a5;      //[28]  20-1. 산정?미산정 코드 N 2
    int loan_d20_2  = 8  + loan_d20_1;       //[29]  20-2. 금리 등 정보 변동일 N 8
    int loan_d20_3  = 4  + loan_d20_2;       //[30]  20-3. 미사용 N 4
    int loan_d20_4  = 5  + loan_d20_3;       //[31]  20-4. 미사용 N 5
    int loan_d20_5  = 2  + loan_d20_4;       //[32]  20-5. 상환방식 N 2
    int loan_d20_6  = 8  + loan_d20_5;       //[33]  20-6. 만기일자 N 8
    int loan_d20_7  = 5  + loan_d20_6;       //[34]  20-7. 대출금리 N 5
    int loan_d20_8  = 8  + loan_d20_7;       //[35]  20-8. 거치기간 종료일 N 8
    int loan_d20_9  = 4  + loan_d20_8;       //[36]  20-9. 거치 개월 N 4
    int loan_d20_10 = 10 + loan_d20_9;       //[37]  20-10. 만기일시 상환금 N 10
    int loan_d20_11 = 10 + loan_d20_10;      //[38]  20-11. 미사용 N 10
    int loan_d20_12 = 10 + loan_d20_11;      //[39]  20-12. 미사용 N 10
    int loan_d21    = 3  + loan_d20_12;      //[40]  21. Error 코드 N 3
    int loan_dE_1   = 1  + loan_d21;         //[41]  E-1. 거래구분 코드 Error N 1
    int loan_dE_2   = 1  + loan_dE_1;        //[42]  E-2. Data 구분 Error N 1
    int loan_dE_3   = 1  + loan_dE_2;        //[43]  E-3. 일련번호 Error N 1
    int loan_dE_4   = 1  + loan_dE_3;        //[44]  E-4. 자료구분 코드 Error N 1
    int loan_dE_5   = 1  + loan_dE_4;        //[45]  E-5. 등록 코드 Error N 1
    int loan_dE_6   = 1  + loan_dE_5;        //[46]  E-6. 주민등록번호 Error N 1
    int loan_dE_7   = 1  + loan_dE_6;        //[47]  E-7. 상호(기업체 명) Error N 1
    int loan_dE_8   = 1  + loan_dE_7;        //[48]  E-8. 성명(대표자) Error N 1
    int loan_dE_9   = 1  + loan_dE_8;        //[49]  E-9. 채초최권기관 코드 Error N
    int loan_dE_10  = 1  + loan_dE_9;        //[50]  E-10. 업종 코드 Error N 1
    int loan_dE_11  = 1  + loan_dE_10;       //[51]  E-11. 점포 코드 Error N 1
    int loan_dE_12  = 1  + loan_dE_11;       //[52]  E-12. 대출 발생일 Error N 1
    int loan_dE_13  = 1  + loan_dE_12;       //[53]  E-13. 금액 Error N 1
    int loan_dE_14  = 1  + loan_dE_13;       //[54]  E-14. 대출 변동일(해지일) Error N 1
    int loan_dE_15  = 1  + loan_dE_14;       //[55]  E-15. 계좌번호 Error N 1
    int loan_dE_16  = 1  + loan_dE_15;       //[56]  E-16. 대출(담보)종류 구분 Error N 1
    int loan_dE_17  = 1  + loan_dE_16;       //[57]  E-17. 연계대출 및 집단대출 구분 Error N 1
    int loan_dE_18  = 1  + loan_dE_17;       //[58]  E-18. 서민금융 및 특수채권 모계좌번호 Error N 1
    int loan_dE_19  = 1  + loan_dE_18;       //[59]  E-19. 차주단위 DSR적용 신용대출 및 담보 세부 종류(코드) ErrorN 1
    int loan_dE_20  = 1  + loan_dE_19;       //[60]  E-20. DSR항목 Error N 1
    int loan_dE_21  = 21 + loan_dE_20;       //[61]  E-21. SPACE N 21


    private int[] loanIdx
        = {
             loan_d0     ,loan_d1     ,loan_d2     ,loan_d3     ,loan_d4
            ,loan_d5     ,loan_d6     ,loan_d7     ,loan_d8     ,loan_d9
            ,loan_d10    ,loan_d11    ,loan_d12    ,loan_d13    ,loan_d14
            ,loan_d15    ,loan_d16    ,loan_d17    ,loan_d18_1  ,loan_d18_2
            ,loan_d19_1  ,loan_d19_2  ,loan_d20_0  ,loan_d20_a0 ,loan_d20_a1
            ,loan_d20_a2 ,loan_d20_a3 ,loan_d20_a4 ,loan_d20_a5 ,loan_d20_1
            ,loan_d20_2  ,loan_d20_3  ,loan_d20_4  ,loan_d20_5  ,loan_d20_6
            ,loan_d20_7  ,loan_d20_8  ,loan_d20_9  ,loan_d20_10 ,loan_d20_11
            ,loan_d20_12 ,loan_d21    ,loan_dE_1   ,loan_dE_2   ,loan_dE_3
            ,loan_dE_4   ,loan_dE_5   ,loan_dE_6   ,loan_dE_7   ,loan_dE_8
            ,loan_dE_9   ,loan_dE_10  ,loan_dE_11  ,loan_dE_12  ,loan_dE_13
            ,loan_dE_14  ,loan_dE_15  ,loan_dE_16  ,loan_dE_17  ,loan_dE_18
            ,loan_dE_19  ,loan_dE_20  ,loan_dE_21
    };
	/*
	private int[] loanchgIdx = {0   ,6   ,8   ,15  ,17  ,30  ,43  ,83
							   ,103 ,105 ,109 ,116 ,120 ,198 ,218 ,225
							   ,229 ,237 ,257 ,267 ,275 ,278 ,279 ,282
							   ,302 ,304 ,307 ,308 ,309 ,310 ,311 ,312
							   ,313 ,314 ,315 ,316 ,317 ,318 ,319 ,320
							   ,321 ,322 ,323 ,324 ,325 ,326 ,327 ,328
							   ,329 ,330 ,331 ,332 ,340};
	 */
    /*
    private int[] loanchgIdx = {0 ,6 ,8 ,15 ,17 ,30  ,43 ,83 ,103 ,105 ,109
                                        ,116 ,120 ,128 ,148 ,155 ,159 ,167 ,187 ,197 ,205
                                        ,208 ,209 ,212 ,232 ,234 ,237 ,238 ,239 ,240 ,241
                                        ,242 ,243 ,244 ,245 ,246 ,247 ,248 ,249 ,250 ,251
                                        ,252 ,253 ,254 ,255 ,256 ,257 ,258 ,259 ,260 ,261
                                        ,262 ,270 };*/


    //2022-11-22 LN9144 기준에 맞게 짜르기 위해 항목별 자릿수 표기(추후에 변경이 있는 경우 찾기 쉽게 하기 위해..노가다...)
    int loanchg_d0     = 0;
    int loanchg_d1     = 6  + loanchg_d0;          //[0]    1. 거래구분 코드 AN 6
    int loanchg_d2     = 2  + loanchg_d1;          //[1]    2. Data 구분 N 2
    int loanchg_d3     = 7  + loanchg_d2;          //[2]    3. 일련번호 N 7
    int loanchg_d4     = 2  + loanchg_d3;          //[3]    4. 구분 코드 N 2
    int loanchg_d5     = 13 + loanchg_d4;          //[4]    5. 주민(사업자)등록번호 : 변경후 N 13
    int loanchg_d6     = 13 + loanchg_d5;          //[5]    6. 변경전 주민(사업자)등록번호 N 13
    int loanchg_d7     = 40 + loanchg_d6;          //[6]    7. 기업체명 : 변경후 AHS 40
    int loanchg_d8     = 20 + loanchg_d7;          //[7]    8. 성명 : 변경후 AH 20
    int loanchg_d9     = 2  + loanchg_d8;          //[8]    9. 직업 코드(미사용) : 변경후 N 2
    int loanchg_d10    = 4  + loanchg_d9;          //[9]    10. 업종 코드 : 변경후 N 4
    int loanchg_d11    = 7  + loanchg_d10;         //[10]   11. 변경전 점포 코드 N 7
    int loanchg_d12    = 4  + loanchg_d11;         //[11]   12. 변경전 등록 코드 N 4
    int loanchg_d13    = 8  + loanchg_d12;         //[12]   13. 변경전 발생일 N 8
    int loanchg_d14    = 20 + loanchg_d13;         //[13]   14. 변경전 계좌번호 AN 20
    int loanchg_d15    = 7  + loanchg_d14;         //[14]   15. 변경후 점포코드 N 7
    int loanchg_d16    = 4  + loanchg_d15;         //[15]   16. 변경후 등록 코드(미사용) N 4
    int loanchg_d17    = 8  + loanchg_d16;         //[16]   17. 변경후 발생일 N 8
    int loanchg_d18    = 20 + loanchg_d17;         //[17]   18. 변경후 계좌번호 AN 20
    int loanchg_d19    = 10 + loanchg_d18;         //[18]   19. 변경후 금액(단위 : 천원) N 10
    int loanchg_d20    = 8  + loanchg_d19;         //[19]   20. 변경후 변동일(철회일) N 8
    int loanchg_d21    = 3  + loanchg_d20;         //[20]   21. 변경후 대출(담보)종류 구분 N 3
    int loanchg_d22    = 1  + loanchg_d21;         //[21]   22. 변경후 연계대출여부 N 1
    int loanchg_d23    = 3  + loanchg_d22;         //[22]   23. 변경후 서민금융 구분 N 3
    int loanchg_d24    = 20 + loanchg_d23;         //[23]   24. 변경후 특수채권 모 계좌번호 AN 20
    int loanchg_d25    = 2  + loanchg_d24;         //[24]   25. 비고 N 2
    int loanchg_d26    = 2  + loanchg_d25;         //[25]   26. 변경후 담보 세부 종류(코드) N 2
    int loanchg_d26_S  = 4  + loanchg_d26;         //[26]   SPACE N 4
    int loanchg_d27    = 3  + loanchg_d26_S;       //[27]   27. Error 코드 N 3
    int loanchg_dE_1   = 1  + loanchg_d27;         //[28]   E-1. 거래구분 코드 Error N 1
    int loanchg_dE_2   = 1  + loanchg_dE_1;        //[29]   E-2. Data 구분 Error N 1
    int loanchg_dE_3   = 1  + loanchg_dE_2;        //[30]   E-3. 일련번호 Error N 1
    int loanchg_dE_4   = 1  + loanchg_dE_3;        //[31]   E-4. 구분 코드 Error N 1
    int loanchg_dE_5   = 1  + loanchg_dE_4;        //[32]   E-5. 주민(사업자)등록번호 : 변경후 Error N 1
    int loanchg_dE_6   = 1  + loanchg_dE_5;        //[33]   E-6. 변경전 주민(사업자)등록번호 Error N 1
    int loanchg_dE_7   = 1  + loanchg_dE_6;        //[34]   E-7. 기업체명 : 변경후 Error N 1
    int loanchg_dE_8   = 1  + loanchg_dE_7;        //[35]   E-8. 성명 : 변경후 Error N 1
    int loanchg_dE_9   = 1  + loanchg_dE_8;        //[36]   E-9. 직업 코드(미사용) : 변경후 Error N 1
    int loanchg_dE_10  = 1  + loanchg_dE_9;        //[37]   E-10. 업종 코드 : 변경후 Error N 1
    int loanchg_dE_11  = 1  + loanchg_dE_10;       //[38]   E-11. 변경전 점포 코드 Error N 1
    int loanchg_dE_12  = 1  + loanchg_dE_11;       //[39]   E-12. 변경전 등록 코드 Error N 1
    int loanchg_dE_13  = 1  + loanchg_dE_12;       //[40]   E-13. 변경전 발생일 Error N 1
    int loanchg_dE_14  = 1  + loanchg_dE_13;       //[41]   E-14. 변경전 계좌번호 Error N 1
    int loanchg_dE_15  = 1  + loanchg_dE_14;       //[42]   E-15. 변경후 점포코드 Error N 1
    int loanchg_dE_16  = 1  + loanchg_dE_15;       //[43]   E-16. 변경후 등록 코드(미사용) Error N 1
    int loanchg_dE_17  = 1  + loanchg_dE_16;       //[44]   E-17. 변경후 발생일 Error N 1
    int loanchg_dE_18  = 1  + loanchg_dE_17;       //[45]   E-18. 변경후 계좌번호 Error N 1
    int loanchg_dE_19  = 1  + loanchg_dE_18;       //[46]   E-19. 변경후 금액(단위 : 천원) Error N 1
    int loanchg_dE_20  = 1  + loanchg_dE_19;       //[47]   E-20. 변경후 변동일(철회일) Error N 1
    int loanchg_dE_21  = 1  + loanchg_dE_20;       //[48]   E-21. 변경후 대출(담보)종류 구분 Error N 1
    int loanchg_dE_22  = 1  + loanchg_dE_21;       //[49]   E-22. 변경후 연계대출여부 Error N 1
    int loanchg_dE_23  = 1  + loanchg_dE_22;       //[50]   E-23. 변경후 서민금융 구분 Error N 1
    int loanchg_dE_24  = 1  + loanchg_dE_23;       //[51]   E-24. 변경후 특수채권 모 계좌번호 Error N 1
    int loanchg_dE_25  = 1  + loanchg_dE_24;       //[52]   E-25. 비고 Error N
    int loanchg_dE_26  = 1  + loanchg_dE_25;       //[53]   E-26. 변경후 담보 세부 종류(코드) Error N 1
    int loanchg_dE_S   = 1  + loanchg_dE_26;       //[54]   SPACE A 1


    private int[] loanchgIdx
    = {
             loanchg_d0     , loanchg_d1     , loanchg_d2     , loanchg_d3     , loanchg_d4
           , loanchg_d5     , loanchg_d6     , loanchg_d7     , loanchg_d8     , loanchg_d9
           , loanchg_d10    , loanchg_d11    , loanchg_d12    , loanchg_d13    , loanchg_d14
           , loanchg_d15    , loanchg_d16    , loanchg_d17    , loanchg_d18    , loanchg_d19
           , loanchg_d20    , loanchg_d21    , loanchg_d22    , loanchg_d23    , loanchg_d24
           , loanchg_d25    , loanchg_d26    , loanchg_d26_S  , loanchg_d27    , loanchg_dE_1
           , loanchg_dE_2   , loanchg_dE_3   , loanchg_dE_4   , loanchg_dE_5   , loanchg_dE_6
           , loanchg_dE_7   , loanchg_dE_8   , loanchg_dE_9   , loanchg_dE_10  , loanchg_dE_11
           , loanchg_dE_12  , loanchg_dE_13  , loanchg_dE_14  , loanchg_dE_15  , loanchg_dE_16
           , loanchg_dE_17  , loanchg_dE_18  , loanchg_dE_19  , loanchg_dE_20  , loanchg_dE_21
           , loanchg_dE_22  , loanchg_dE_23  , loanchg_dE_24  , loanchg_dE_25  , loanchg_dE_26
           , loanchg_dE_S

    };

    private int[] debtIdx = {0  ,6  ,8  ,15 ,17 ,21 ,34 ,35 ,75 ,95
    						,97 ,101,108,116,126,139,140,160,162,169
							,177,180,181,182,183,184,185,186,187,188
							,189,190,191,192,193,194,195,196,197,198
							,199,200};
    /* hi_20090506 start : pre-work out에따른 은행연합회오류관리수정
    private int[] crdtIdx = {0  ,6  ,8  ,15 ,17 ,18 ,22 ,35 ,36 ,76
    						,96 ,98 ,102,122,129,137,145,155,156,166
							,167,174,187,195,197,199,200,213,233,234
							,247,267,268,281,301,302,315,335,336,349
							,369,372,373,374,375,376,377,378,379,380
							,381,382,383,384,385,386,387,388,389,390
							,391,392,393,394,395,396,397,398};
	*/

    private int[] crdtIdx = {0   , 6   , 8   , 15  , 17  , 18  , 22  , 35  , 36  , 76  ,
    		96  , 98  , 102 , 122 , 129 , 137 , 145 , 155 , 156 , 166 ,
    		167 , 174 , 187 , 195 , 197 , 199 , 200 , 213 , 233 , 234 ,
    		247 , 267 , 268 , 281 , 301 , 302 , 315 , 335 , 336 , 349 ,
    		369 , 370 , 380 , 383 , 384 , 385 , 386 , 387 , 388 , 389 ,
    		390 , 391 , 392 , 393 , 394 , 395 , 396 , 397 , 398 , 399 ,
    		400 , 401 , 402 , 403 , 404 , 405 , 406 , 407 , 408 , 409 ,
    		410 , 415};

    private int[] crdtchgIdx = {0, 6, 8, 15, 17, 30, 31, 44, 45, 85
    		, 105, 107, 111, 124, 125, 129, 149, 156, 164, 165
    		, 169, 189, 196, 204, 212, 222, 223, 233, 234, 242
    		, 244, 245, 258, 259, 272, 292, 294, 297, 298, 299
    		, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309
    		, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319
    		, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329
    		, 330};
    /*hi_20090506 end : pre-work out에따른 은행연합회오류관리수정*/



    //2022-12-05 QD9122 기준에 맞게 짜르기 위해 항목별 자릿수 표기(추후에 변경이 있는 경우 찾기 쉽게 하기 위해...)
    int ent_loan_d0     = 0;
    int ent_loan_d1     = 6  + ent_loan_d0;          //[0]  거래구분코드  AN  6
    int ent_loan_d2     = 2  + ent_loan_d1;          //[1]  DATA 구분 N   2
    int ent_loan_d3     = 7  + ent_loan_d2;          //[2]  일련번호    N   7
    int ent_loan_d4     = 2  + ent_loan_d3;          //[3]  처리구분코드  N   2
    int ent_loan_d5     = 7  + ent_loan_d4;          //[4]  점포코드    N   7
    int ent_loan_d6     = 8  + ent_loan_d5;          //[5]  등록사유발생일자    N   8
    int ent_loan_d7     = 8  + ent_loan_d6;          //[6]  최종변경일자  N   8
    int ent_loan_d8     = 1  + ent_loan_d7;          //[7]  차주구분코드  N   1
    int ent_loan_d9     = 13 + ent_loan_d8;          //[8]  주민(법인)등록번호  N   13
    int ent_loan_d10    = 13 + ent_loan_d9;          //[9]  사업자등록번호 N   13
    int ent_loan_d11    = 40 + ent_loan_d10;         //[10] 상호명 AHS 40
    int ent_loan_d12    = 20 + ent_loan_d11;         //[11] 대표자 성명  AHS 20
    int ent_loan_d13    = 5  + ent_loan_d12;         //[12] 업종코드    N   5
    int ent_loan_d14    = 50 + ent_loan_d13;         //[13] 거래번호    ANS 50
    int ent_loan_d15    = 100+ ent_loan_d14;         //[14] 상품명 AHS 100
    int ent_loan_d16    = 8  + ent_loan_d15;         //[15] 만기일자    N   8
    int ent_loan_d17    = 15 + ent_loan_d16;         //[16] 신용공여 잔액 N   15
    int ent_loan_d18    = 4  + ent_loan_d17;         //[17] 계정과목코드  N   4
    int ent_loan_d19    = 5  + ent_loan_d18;         //[18] 금리  N   5
    int ent_loan_d20    = 4  + ent_loan_d19;         //[19] 거치개월    N   4
    int ent_loan_d21    = 8  + ent_loan_d20;         //[20] 거치기간 종료일    N   8
    int ent_loan_d22    = 2  + ent_loan_d21;         //[21] 상환방식코드  N   2
    int ent_loan_d23    = 15 + ent_loan_d22;         //[22] 만기지정상환금액    N   15
    int ent_loan_d24    = 1  + ent_loan_d23;         //[23] 담보유형코드  N   1
    int ent_loan_d25    = 2  + ent_loan_d24;         //[24] 최초 채권기관코드   N   2
    int ent_loan_d26    = 3  + ent_loan_d25;         //[25] 서민금융코드  N   3
    int ent_loan_d27    = 50 + ent_loan_d26;         //[26] 특수채권의 모계좌번호 ANS 50
    int ent_loan_d28    = 1  + ent_loan_d27;         //[27] 10일이상 연체여부  N   1
    int ent_loan_d29    = 4  + ent_loan_d28;         //[28] 연체사유코드1 N   4
    int ent_loan_d30    = 4  + ent_loan_d29;         //[29] 연체사유코드2 N   4
    int ent_loan_d31    = 8  + ent_loan_d30;         //[30] 연체사유발생일자    N   8
    int ent_loan_d32    = 8  + ent_loan_d31;         //[31] 상각일자    N   8
    int ent_loan_d33    = 15 + ent_loan_d32;         //[32] 원금연체금액  N   15
    int ent_loan_d34    = 15 + ent_loan_d33;         //[33] 이자연체금액  N   15
    int ent_loan_d35    = 96 + ent_loan_d34;         //[34] FILLER  AN  96
    int ent_loan_d36    = 3  + ent_loan_d35;         //[35] Error 코드    N   3
    int ent_loan_d37    = 1  + ent_loan_d36;         //[36] 거래구분코드 Error    N   1
    int ent_loan_d38    = 1  + ent_loan_d37;         //[37] DATA 구분 Error   N   1
    int ent_loan_d39    = 1  + ent_loan_d38;         //[38] 일련번호 Error  N   1
    int ent_loan_d40    = 1  + ent_loan_d39;         //[39] 처리구분코드 Error    N   1
    int ent_loan_d41    = 1  + ent_loan_d40;         //[40] 점포코드 Error  N   1
    int ent_loan_d42    = 1  + ent_loan_d41;         //[41] 등록사유발생일자 Error  N   1
    int ent_loan_d43    = 1  + ent_loan_d42;         //[42] 최종변경일자 Error    N   1
    int ent_loan_d44    = 1  + ent_loan_d43;         //[43] 차주구분코드 Error    N   1
    int ent_loan_d45    = 1  + ent_loan_d44;         //[44] 주민(법인)등록번호 Error    N   1
    int ent_loan_d46    = 1  + ent_loan_d45;         //[45] 사업자등록번호 Error   N   1
    int ent_loan_d47    = 1  + ent_loan_d46;         //[46] 상호명 Error   N   1
    int ent_loan_d48    = 1  + ent_loan_d47;         //[47] 대표자 성명 Error    N   1
    int ent_loan_d49    = 1  + ent_loan_d48;         //[48] 업종코드 Error  N   1
    int ent_loan_d50    = 1  + ent_loan_d49;         //[49] 거래번호 Error  N   1
    int ent_loan_d51    = 1  + ent_loan_d50;         //[50] 상품명 Error   N   1
    int ent_loan_d52    = 1  + ent_loan_d51;         //[51] 만기일자 Error  N   1
    int ent_loan_d53    = 1  + ent_loan_d52;         //[52] 신용공여 잔액 Error   N   1
    int ent_loan_d54    = 1  + ent_loan_d53;         //[53] 계정과목코드 Error    N   1
    int ent_loan_d55    = 1  + ent_loan_d54;         //[54] 금리 Error    N   1
    int ent_loan_d56    = 1  + ent_loan_d55;         //[55] 거치개월 Error  N   1
    int ent_loan_d57    = 1  + ent_loan_d56;         //[56] 거치기간 종료일 Error  N   1
    int ent_loan_d58    = 1  + ent_loan_d57;         //[57] 상환방식코드 Error    N   1
    int ent_loan_d59    = 1  + ent_loan_d58;         //[58] 만기지정상환금액 Error  N   1
    int ent_loan_d60    = 1  + ent_loan_d59;         //[59] 담보유형코드 Error    N   1
    int ent_loan_d61    = 1  + ent_loan_d60;         //[60] 최초 채권기관코드 Error N   1
    int ent_loan_d62    = 1  + ent_loan_d61;         //[61] 서민금융코드 Error    N   1
    int ent_loan_d63    = 1  + ent_loan_d62;         //[62] 특수채권의 모계좌번호 Error   N   1
    int ent_loan_d64    = 1  + ent_loan_d63;         //[63] 10일이상 연체여부 Error    N   1
    int ent_loan_d65    = 1  + ent_loan_d64;         //[64] 연체사유코드1 Error   N   1
    int ent_loan_d66    = 1  + ent_loan_d65;         //[65] 연체사유코드2 Error   N   1
    int ent_loan_d67    = 1  + ent_loan_d66;         //[66] 연체사유발생일자 Error  N   1
    int ent_loan_d68    = 1  + ent_loan_d67;         //[67] 상각일자 Error  N   1
    int ent_loan_d69    = 1  + ent_loan_d68;         //[68] 원금연체금액 Error    N   1
    int ent_loan_d70    = 1  + ent_loan_d69;         //[69] 이자연체금액 Error    N   1
    int ent_loan_d71    = 94 + ent_loan_d70;         //[70] FILLER  AN  94


    private int[] entLoanIdx
    = {
            ent_loan_d0          , ent_loan_d1          , ent_loan_d2          , ent_loan_d3          , ent_loan_d4
          , ent_loan_d5          , ent_loan_d6          , ent_loan_d7          , ent_loan_d8          , ent_loan_d9
          , ent_loan_d10         , ent_loan_d11         , ent_loan_d12         , ent_loan_d13         , ent_loan_d14
          , ent_loan_d15         , ent_loan_d16         , ent_loan_d17         , ent_loan_d18         , ent_loan_d19
          , ent_loan_d20         , ent_loan_d21         , ent_loan_d22         , ent_loan_d23         , ent_loan_d24
          , ent_loan_d25         , ent_loan_d26         , ent_loan_d27         , ent_loan_d28         , ent_loan_d29
          , ent_loan_d30         , ent_loan_d31         , ent_loan_d32         , ent_loan_d33         , ent_loan_d34
          , ent_loan_d35         , ent_loan_d36         , ent_loan_d37         , ent_loan_d38         , ent_loan_d39
          , ent_loan_d40         , ent_loan_d41         , ent_loan_d42         , ent_loan_d43         , ent_loan_d44
          , ent_loan_d45         , ent_loan_d46         , ent_loan_d47         , ent_loan_d48         , ent_loan_d49
          , ent_loan_d50         , ent_loan_d51         , ent_loan_d52         , ent_loan_d53         , ent_loan_d54
          , ent_loan_d55         , ent_loan_d56         , ent_loan_d57         , ent_loan_d58         , ent_loan_d59
          , ent_loan_d60         , ent_loan_d61         , ent_loan_d62         , ent_loan_d63         , ent_loan_d64
          , ent_loan_d65         , ent_loan_d66         , ent_loan_d67         , ent_loan_d68         , ent_loan_d69
          , ent_loan_d70         , ent_loan_d71
    };




    //2022-12-06 QS9122 기준에 맞게 짜르기 위해 항목별 자릿수 표기(추후에 변경이 있는 경우 찾기 쉽게 하기 위해...)
    int ent_mrtg_d0     = 0;
    int ent_mrtg_d1     = 6   + ent_mrtg_d0 ;          //[0]  거래구분코드  AN  6
    int ent_mrtg_d2     = 2   + ent_mrtg_d1 ;          //[1]  DATA 구분 N   2
    int ent_mrtg_d3     = 7   + ent_mrtg_d2 ;          //[2]  일련번호    N   7
    int ent_mrtg_d4     = 2   + ent_mrtg_d3 ;          //[3]  처리구분코드  N   2
    int ent_mrtg_d5     = 7   + ent_mrtg_d4 ;          //[4]  점포코드    N   7
    int ent_mrtg_d6     = 8   + ent_mrtg_d5 ;          //[5]  등록사유발생일자    N   8
    int ent_mrtg_d7     = 8   + ent_mrtg_d6 ;          //[6]  최종변경일자  N   8
    int ent_mrtg_d8     = 1   + ent_mrtg_d7 ;          //[7]  차주구분코드  N   1
    int ent_mrtg_d9     = 13  + ent_mrtg_d8 ;          //[8]  주민(법인)등록번호  N   13
    int ent_mrtg_d10    = 13  + ent_mrtg_d9 ;          //[9]  사업자등록번호 N   13
    int ent_mrtg_d11    = 40  + ent_mrtg_d10;          //[10]  상호명 AHS 40
    int ent_mrtg_d12    = 20  + ent_mrtg_d11;          //[11]  대표자 성명  AHS 20
    int ent_mrtg_d13    = 4   + ent_mrtg_d12;          //[12]  담보코드    N   4
    int ent_mrtg_d14    = 15  + ent_mrtg_d13;          //[13]  금액  N   15
    int ent_mrtg_d15    = 94  + ent_mrtg_d14;          //[14]  FILLER  AN  94
    int ent_mrtg_d16    = 3   + ent_mrtg_d15;          //[15]  Error 코드    N   3
    int ent_mrtg_d17    = 1   + ent_mrtg_d16;          //[16]  거래구분코드 Error    N   1
    int ent_mrtg_d18    = 1   + ent_mrtg_d17;          //[17]  DATA 구분 Error   N   1
    int ent_mrtg_d19    = 1   + ent_mrtg_d18;          //[18]  일련번호 Error  N   1
    int ent_mrtg_d20    = 1   + ent_mrtg_d19;          //[19]  처리구분코드 Error    N   1
    int ent_mrtg_d21    = 1   + ent_mrtg_d20;          //[20]  점포코드 Error  N   1
    int ent_mrtg_d22    = 1   + ent_mrtg_d21;          //[21]  등록사유발생일자 Error  N   1
    int ent_mrtg_d23    = 1   + ent_mrtg_d22;          //[22]  최종변경일자 Error    N   1
    int ent_mrtg_d24    = 1   + ent_mrtg_d23;          //[23]  차주구분코드 Error    N   1
    int ent_mrtg_d25    = 1   + ent_mrtg_d24;          //[24]  주민(법인)등록번호 Error    N   1
    int ent_mrtg_d26    = 1   + ent_mrtg_d25;          //[25]  사업자등록번호 Error   N   1
    int ent_mrtg_d27    = 1   + ent_mrtg_d26;          //[26]  상호명 Error   N   1
    int ent_mrtg_d28    = 1   + ent_mrtg_d27;          //[27]  대표자 성명 Error    N   1
    int ent_mrtg_d29    = 1   + ent_mrtg_d28;          //[28]  담보코드 Error  N   1
    int ent_mrtg_d30    = 1   + ent_mrtg_d29;          //[29]  금액 Error    N   1
    int ent_mrtg_d31    = 94  + ent_mrtg_d30;          //[30]  FILLER  AN  94

    private int[] entMrtgIdx
    = {
            ent_mrtg_d0          , ent_mrtg_d1          , ent_mrtg_d2          , ent_mrtg_d3          , ent_mrtg_d4
          , ent_mrtg_d5          , ent_mrtg_d6          , ent_mrtg_d7          , ent_mrtg_d8          , ent_mrtg_d9
          , ent_mrtg_d10         , ent_mrtg_d11         , ent_mrtg_d12         , ent_mrtg_d13         , ent_mrtg_d14
          , ent_mrtg_d15         , ent_mrtg_d16         , ent_mrtg_d17         , ent_mrtg_d18         , ent_mrtg_d19
          , ent_mrtg_d20         , ent_mrtg_d21         , ent_mrtg_d22         , ent_mrtg_d23         , ent_mrtg_d24
          , ent_mrtg_d25         , ent_mrtg_d26         , ent_mrtg_d27         , ent_mrtg_d28         , ent_mrtg_d29
          , ent_mrtg_d30         , ent_mrtg_d31
    };

    //2022-12-06 QG9122 기준에 맞게 짜르기 위해 항목별 자릿수 표기(추후에 변경이 있는 경우 찾기 쉽게 하기 위해...)
    int ent_guar_d0     = 0;
    int ent_guar_d1     = 6   + ent_guar_d0 ;          //[0]  거래구분코드  AN  6
    int ent_guar_d2     = 2   + ent_guar_d1 ;          //[1]  DATA 구분 N   2
    int ent_guar_d3     = 7   + ent_guar_d2 ;          //[2]  일련번호    N   7
    int ent_guar_d4     = 2   + ent_guar_d3 ;          //[3]  처리구분코드  N   2
    int ent_guar_d5     = 7   + ent_guar_d4 ;          //[4]  점포코드    N   7
    int ent_guar_d6     = 8   + ent_guar_d5 ;          //[5]  등록사유발생일자    N   8
    int ent_guar_d7     = 8   + ent_guar_d6 ;          //[6]  최종변경일자  N   8
    int ent_guar_d8     = 1   + ent_guar_d7 ;          //[7]  차주구분코드  N   1
    int ent_guar_d9     = 13  + ent_guar_d8 ;          //[8]  주민(법인)등록번호  N   13
    int ent_guar_d10    = 13  + ent_guar_d9 ;          //[9]  사업자등록번호 N   13
    int ent_guar_d11    = 40  + ent_guar_d10;          //[10]  상호명 AHS 40
    int ent_guar_d12    = 20  + ent_guar_d11;          //[11]  대표자 성명  AHS 20
    int ent_guar_d13    = 4   + ent_guar_d12;          //[12]  담보코드    N   4
    int ent_guar_d14    = 15  + ent_guar_d13;          //[13]  금액  N   15
    int ent_guar_d15    = 94  + ent_guar_d14;          //[14]  FILLER  AN  94
    int ent_guar_d16    = 3   + ent_guar_d15;          //[15]  Error 코드    N   3
    int ent_guar_d17    = 1   + ent_guar_d16;          //[16]  거래구분코드 Error    N   1
    int ent_guar_d18    = 1   + ent_guar_d17;          //[17]  DATA 구분 Error   N   1
    int ent_guar_d19    = 1   + ent_guar_d18;          //[18]  일련번호 Error  N   1
    int ent_guar_d20    = 1   + ent_guar_d19;          //[19]  처리구분코드 Error    N   1
    int ent_guar_d21    = 1   + ent_guar_d20;          //[20]  점포코드 Error  N   1
    int ent_guar_d22    = 1   + ent_guar_d21;          //[21]  등록사유발생일자 Error  N   1
    int ent_guar_d23    = 1   + ent_guar_d22;          //[22]  최종변경일자 Error    N   1
    int ent_guar_d24    = 1   + ent_guar_d23;          //[23]  차주구분코드 Error    N   1
    int ent_guar_d25    = 1   + ent_guar_d24;          //[24]  주민(법인)등록번호 Error    N   1
    int ent_guar_d26    = 1   + ent_guar_d25;          //[25]  사업자등록번호 Error   N   1
    int ent_guar_d27    = 1   + ent_guar_d26;          //[26]  상호명 Error   N   1
    int ent_guar_d28    = 1   + ent_guar_d27;          //[27]  대표자 성명 Error    N   1
    int ent_guar_d29    = 1   + ent_guar_d28;          //[28]  담보코드 Error  N   1
    int ent_guar_d30    = 1   + ent_guar_d29;          //[29]  금액 Error    N   1
    int ent_guar_d31    = 94  + ent_guar_d30;          //[30]  FILLER  AN  94

    private int[] entGuarIdx
    = {
            ent_guar_d0          , ent_guar_d1          , ent_guar_d2          , ent_guar_d3          , ent_guar_d4
          , ent_guar_d5          , ent_guar_d6          , ent_guar_d7          , ent_guar_d8          , ent_guar_d9
          , ent_guar_d10         , ent_guar_d11         , ent_guar_d12         , ent_guar_d13         , ent_guar_d14
          , ent_guar_d15         , ent_guar_d16         , ent_guar_d17         , ent_guar_d18         , ent_guar_d19
          , ent_guar_d20         , ent_guar_d21         , ent_guar_d22         , ent_guar_d23         , ent_guar_d24
          , ent_guar_d25         , ent_guar_d26         , ent_guar_d27         , ent_guar_d28         , ent_guar_d29
          , ent_guar_d30         , ent_guar_d31
    };










    public KfbErrFile(){}
    public KfbErrFile(String file,int tabDiv)
    {
    	log.info("::: readErrFile :::");

    	this.file   = file;
    	this.tabDiv = tabDiv;

    	if(this.tabDiv == LOAN) {                 //LN9122
    		this.dataLineSise = 350;
    	} else if(this.tabDiv == DEBT) {         //GA9122
    		this.dataLineSise = 200;
    	} else if(this.tabDiv == CRDT) {         //BF9122
    		this.dataLineSise = 415;
    	} else if(this.tabDiv == LOANCHG)	{   //LN9144
    		this.dataLineSise = 270;
    	} else if(this.tabDiv == CRDT_MOD) { //BF9155
    		this.dataLineSise = 210;
    	} else if(this.tabDiv == ENTLOAN) { //QD9122
    	    this.dataLineSise = 681;
        } else if(this.tabDiv == ENTMRTG) { //QS9122
            this.dataLineSise = 351;
        } else if(this.tabDiv == ENTGUAR) { //QG9122
            this.dataLineSise = 351;
    	} else {
    		this.dataLineSise = 210;
    	}
    }
	public List readErrFile() throws Exception
	{
		log.info( " ::: readErrFile ::: " );
		List fList = new ArrayList();

//		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(new File(this.file)),"euc-kr"));
		FileInputStream fis = new FileInputStream(this.file);
		BufferedReader br;

		try{
				int ifilesize = fis.available();
				byte[] buff = new byte[ifilesize];
				int a = fis.read(buff);
				fileCntn = new String(buff);

				int bytes = dataLineSise;
				int len = ifilesize/bytes;
				String[] values = null;
				String line = "";

				//System.out.println("=============>"+bytes+"=============>"+len+"=============>"+ifilesize);
				for ( int i=0; i<len; i++ )
				{
					int start  = (i * bytes);
					int end    = start + bytes;
//
					line = GramUtil.subString(fileCntn.getBytes(), start, end);
					if(i == 0) // HEADER 부 체크, 기준일자 세팅
					{
			    		this.stndDt = subString(line,26,34);
						checkHeader(line);
					}
					else if (i==(len-1)) // TAIL 제외처리
					{
					}
					else // DATA 부
					{
						values = convertLineToArray(line);
						fList.add(values);
					}
					//log.info(fileCntn);
					log.info("log.info line : "+ i+" : END DATA : "+line);
				}
				fis.close();
			} catch ( Exception e ) {
				e.printStackTrace();
				throw new GramException( "전문파일을 읽는중 에러발생: " + e.getMessage() );
			}finally{
			    try { fis.close(); }catch(Exception e){}
			}
		// TRAILER 부 제거
//		fList.remove(fList.size()-1);//2015.09.26 삭제
		return fList;
	}


	public void deleteErrFile() throws Exception
	{
		File f = new File(this.file);
		f.delete();
	}

	private void checkHeader(String line) throws Exception
	{
		String busDiv = subString(line,0,6);
    	if(this.tabDiv == LOAN)
    	{
    		if(!busDiv.equals("LN9122"))
    		{
    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
    		}
    	}
    	else if(this.tabDiv == DEBT)
    	{
    		if(!busDiv.equals("GA9122"))
    		{
    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
    		}
    	}
    	else if(this.tabDiv == CRDT)
    	{
    		if(!busDiv.equals("BF9122"))
    		{
    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
    		}
    	}
    	else if(this.tabDiv == LOANCHG)
    	{
    		if(!busDiv.equals("LN9144"))
    		{
    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
    		}
    	}
    	else if(this.tabDiv == CRDT_MOD)
    	{
    		if(!busDiv.equals("BF9155"))
    		{
    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
    		}
        }
        else if(this.tabDiv == ENTLOAN)
        {
            if(!busDiv.equals("QD9122"))
            {
                throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
            }
        }
        else if(this.tabDiv == ENTMRTG)
        {
            if(!busDiv.equals("QS9122"))
            {
                throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
            }
        }
        else if(this.tabDiv == ENTGUAR)
        {
            if(!busDiv.equals("QG9122"))
            {
                throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
            }
    	}

	}

    private String[] convertLineToArray(String line) throws Exception
    {
    	int[] fIdx = null;
    	String[] array = null;
    	if(this.tabDiv == LOAN)
    	{
    		fIdx = loanIdx;
    		//array = new String[58];
    		array = new String[62];
    	}
    	else if(this.tabDiv == DEBT)
    	{
    		fIdx = debtIdx;
    		array = new String[41];
    	}
    	else if(this.tabDiv == CRDT)
    	{
    		fIdx = crdtIdx;
    		array = new String[71];
    	}
    	else if(this.tabDiv == LOANCHG)
    	{
    		fIdx = loanchgIdx;
    		//array = new String[52];
    		array = new String[55];
    	}
    	else if(this.tabDiv == CRDT_MOD)
    	{
    		fIdx = crdtchgIdx;
    		array = new String[71];
        }
        else if(this.tabDiv == ENTLOAN)
        {
            fIdx = entLoanIdx;
            array = new String[71];
        }
        else if(this.tabDiv == ENTMRTG)
        {
            fIdx = entMrtgIdx;
            array = new String[31];
        }
        else if(this.tabDiv == ENTGUAR)
        {
            fIdx = entGuarIdx;
            array = new String[31];
    	}


    	log.info("line :"  + line);
        log.info("line.length() :"  + line.length());
        log.info("line.length() :"  + line.getBytes().length);
        log.info("array.length() :"  + this.tabDiv);
        for(int i=0;i<array.length;i++)
        {
//          log.info("fIdx[i] :"  + fIdx[i]);
//          log.info("fIdx[i+1] :"  + fIdx[i+1]);
        	array[i] = line.substring(getUtfLen(line,fIdx[i]),getUtfLen(line,fIdx[i+1]));

//          if(array[i].getBytes().length > fIdx[i+1] - fIdx[i])
//          {
//              array[i] = new String(array[i].getBytes(),0,fIdx[i+1] - fIdx[i]);
//          }
            array[i] = array[i].trim();
        }
        String arrayToString = "Array :   ";
        for (int i = 0; i < array.length; i++)
        {
        	arrayToString += array[i] + " , ";
		}
        log.info(arrayToString);

        return array;
    }

	private String subString(String str,int start,int end) throws Exception
	{
		byte[] bStr = str.getBytes();
		byte[] bOut = new byte[end - start];

		try
		{
			for (int i = start; i < end; i++)
			{
				bOut[i - start] = bStr[i];
			}

			return new String(bOut);
		}
		catch(NullPointerException ne)
		{
			throw new Exception("subString() NullPointerException : " + ne.getMessage());
		}
		catch(Exception e)
		{
			throw new Exception("subString() Exception : " + e.getMessage());
		}
	}

	public int getUtfLen( String str, int byteLength )
	{

        int length = str.length();
        int retLength = 0;
        int tempSize = 0;
        int asc;

        for ( int i = 1; i<=length; i++)
        {
            asc = str.charAt(i-1);
            if ( byteLength > tempSize )
            {
            	if ( asc > 127)
            	{
            		tempSize += 2;
            	}
            	else
            	{
            		tempSize++;
            	}
            	retLength++;
            }
        }

        return retLength;
	}

//    private Logger log = Logger.getLogger(this.getClass().getName());
//	public final static int LOAN = 1;
//	public final static int DEBT = 2;
//	public final static int CRDT = 3;
//	public final static int CRDT_MOD = 4;
//	public String stndDt;
//
//	private String file;
//	private int    tabDiv;
//
//	private int[] loanIdx = {0  ,6  ,8  ,15 ,17 ,21 ,34 ,74 ,94 ,96
//    						,100,107,115,125,133,134,137,138,139,140
//							,141,142,143,144,145,146,147,148,149,150
//							,151,152};
//    private int[] debtIdx = {0  ,6  ,8  ,15 ,17 ,21 ,34 ,35 ,75 ,95
//    						,97 ,101,108,116,126,139,140,160,162,169
//							,177,180,181,182,183,184,185,186,187,188
//							,189,190,191,192,193,194,195,196,197,198
//							,199,200};
//    /* 2018-08-01 (두비스) start : pre-work out에따른 은행연합회오류관리수정
//    private int[] crdtIdx = {0  ,6  ,8  ,15 ,17 ,18 ,22 ,35 ,36 ,76
//    						,96 ,98 ,102,122,129,137,145,155,156,166
//							,167,174,187,195,197,199,200,213,233,234
//							,247,267,268,281,301,302,315,335,336,349
//							,369,372,373,374,375,376,377,378,379,380
//							,381,382,383,384,385,386,387,388,389,390
//							,391,392,393,394,395,396,397,398};
//
//
//    private int[] crdtIdx = {0   , 6   , 8   , 15  , 17  , 18  , 22  , 35  , 36  , 76  ,
//    		96  , 98  , 102 , 122 , 129 , 137 , 145 , 155 , 156 , 166 ,
//    		167 , 174 , 187 , 195 , 197 , 199 , 200 , 213 , 233 , 234 ,
//    		247 , 267 , 268 , 281 , 301 , 302 , 315 , 335 , 336 , 349 ,
//    		369 , 370 , 380 , 383 , 384 , 385 , 386 , 387 , 388 , 389 ,
//    		390 , 391 , 392 , 393 , 394 , 395 , 396 , 397 , 398 , 399 ,
//    		400 , 401 , 402 , 403 , 404 , 405 , 406 , 407 , 408 , 409 ,
//    		410 , 415};
//
//    */
//
//    /*2018-08-01 (두비스) end : pre-work out에따른 은행연합회오류관리수정*/
//
//    private int[] crdtIdx = {0  ,6  ,8  ,15 ,17 ,18 ,22 ,35 ,36 ,76
//			,96 ,98 ,102,122,129,137,145,155,156,166
//			,167,174,187,195,197,199,200,213,233,234
//			,247,267,268,281,301,302,315,335,336,349
//			,369,370,380,383,384,385,386,387,388,389
//			,390,391,392,393,394,395,396,397,398,399
//			,400,401,402,403,404,405,406,407,408,409
//			,410,415};
//
//    private int[] crdtModIdx = {0  ,6  ,8  ,15 ,17 ,30 ,31 ,44 ,45 ,85 ,
//	    		105,107,111,124,125,129,149,156,164,165,
//	    		169,189,196,204,212,222,223,233,234,242,
//	    		244,245,258,259,272,292,294,297,298,299,
//	    		300,301,302,303,304,305,306,307,308,309,
//	    		310,311,312,313,314,315,316,317,318,319,
//	    		320,321,322,323,324,325,326,327,328,329,
//	    		330,331};
//
//    public KfbErrFile(){}
//    public KfbErrFile(String file,int tabDiv)
//    {
//    	this.file   = file;
//    	this.tabDiv = tabDiv;
//    }
//	public List readErrFile() throws Exception
//	{
//		List fList = new ArrayList();
//		BufferedReader br = new BufferedReader(new FileReader(new File(this.file)));
//		String line = "";
//		String[] values = null;
//		int cnt = 0;
//		while((line = br.readLine()) != null)
//		{
//			cnt++;
//			if(cnt == 1) // HEADER 부 체크, 기준일자 세팅
//			{
//	    		this.stndDt = subString(line,26,34);
//				checkHeader(line);
//			}
//			else // DATA 부
//			{
//				values = convertLineToArray(line);
//				fList.add(values);
//			}
//		}
//		// TRAILER 부 제거
//		fList.remove(fList.size()-1);
//		return fList;
//	}
//
//	public void deleteErrFile() throws Exception
//	{
//		File f = new File(this.file);
//		f.delete();
//	}
//
//	private void checkHeader(String line) throws Exception
//	{
//		String busDiv = subString(line,0,6);
//    	if(this.tabDiv == LOAN)
//    	{
//    		if(!busDiv.equals("LN9122"))
//    		{
//    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
//    		}
//    	}
//    	else if(this.tabDiv == DEBT)
//    	{
//    		if(!busDiv.equals("GA9122"))
//    		{
//    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
//    		}
//    	}
//    	else if(this.tabDiv == CRDT)
//    	{
//    		if(!busDiv.equals("BF9122"))
//    		{
//    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
//    		}
//    	}
//    	else if(this.tabDiv == CRDT_MOD)
//    	{
//    		if(!busDiv.equals("BF9155"))
//    		{
//    			throw new Exception("오류파일 형식이 맞지 않습니다. (" + busDiv + ")");
//    		}
//    	}
//	}
//
//    private String[] convertLineToArray(String line) throws Exception
//    {
//    	int[] fIdx = null;
//    	String[] array = null;
//    	if(this.tabDiv == LOAN)
//    	{
//    		fIdx = loanIdx;
//    		array = new String[31];
//    	}
//    	else if(this.tabDiv == DEBT)
//    	{
//    		fIdx = debtIdx;
//    		array = new String[41];
//    	}
//    	else if(this.tabDiv == CRDT)
//    	{
//    		fIdx = crdtIdx;
//    		array = new String[71];
//    	}
//    	else if(this.tabDiv == CRDT_MOD)
//    	{
//    		fIdx = crdtModIdx;
//    		array = new String[71];
//    	}
//
//        for(int i=0;i<array.length;i++)
//        {
//        	array[i] = subString(line,fIdx[i],fIdx[i+1]);
//
//            if(array[i].getBytes().length > fIdx[i+1] - fIdx[i])
//            {
//                array[i] = new String(array[i].getBytes(),0,fIdx[i+1] - fIdx[i]);
//            }
//            array[i] = array[i].trim();
//        }
//        return array;
//    }
//
//	private String subString(String str,int start,int end) throws Exception
//	{
//		byte[] bStr = str.getBytes();
//		byte[] bOut = new byte[end - start];
//
//		try
//		{
//			for (int i = start; i < end; i++)
//			{
//				bOut[i - start] = bStr[i];
//			}
//
//			return new String(bOut);
//		}
//		catch(NullPointerException ne)
//		{
//			throw new Exception("subString() NullPointerException : " + ne.getMessage());
//		}
//		catch(Exception e)
//		{
//			throw new Exception("subString() Exception : " + e.getMessage());
//		}
//	}
}
