package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.DlyListMngSDDODTO;
import hanalife.b.cn.ui.mapper.dto.DlyListMngSMDODTO;

/**
 * <pre>
 * 클래스명    : DlyListMngMapper.java Class
 * 클래스설명  : 연체리스트 관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 10.
 * 작성자명    : 70326 / hyunsik.you / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 10.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("dlyListMngMapper")
public interface DlyListMngMapper {

	/**
     * <p>메소드명      : search</p>
     * <p>설명          : 대출기간/대출원금/상품명 등 목록을 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 대출기간/대출원금/상품명 등 조회 결과 ArrayList</p>
     * <p>예외처리      : Exception</p>
     */
    public List<DlyListMngSDDODTO> search(DlyListMngSMDODTO inDto) throws Exception;
}
