package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.BtSmsTxtMngDTO;

/**
 * <pre>
 * 클래스명    : smsDlyrDescMapper.java Class
 * 클래스설명  : SMS_관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 14.
 * 작성자명    : 70320 / jaeho.jang / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("smsTxtMngMapper")
public interface SmsTxtMngMapper {

	/**
     * <p>메소드명      : searchSmsTxtMng</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : BtSmsTxtMngDTO</p>
     * <p>메소드리턴값  : List<BtSmsTxtMngDTO></p>
     * <p>예외처리      : Exception</p>
     */
    public List<BtSmsTxtMngDTO> searchSmsTxtMng(BtSmsTxtMngDTO inDto) throws Exception;

    /**
     * <p>메소드명      : insertSmsTxtMng</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : BtSmsTxtMngDTO</p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public int insertSmsTxtMng(BtSmsTxtMngDTO inDto) throws Exception;

    /**
     * <p>메소드명      : updateSmsTxtMng</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : BtSmsTxtMngDTO</p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public int updateSmsTxtMng(BtSmsTxtMngDTO inDto) throws Exception;

    /**
     * <p>메소드명      : deleteSmsTxtMng</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : BtSmsTxtMngDTO</p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public int deleteSmsTxtMng(BtSmsTxtMngDTO inDto) throws Exception;
}
