package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIM03InVO;
import hanalife.b.cn.ui.vo.BCNUIM03OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM03Service.java Class
 * 클래스설명   : SMS 일괄발송 Service
 * 작성일자     : 2023. 4. 20.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 20.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUI01S01 : 연체리스트 그리드 조회
 * </pre>
 */
public interface BCNUIM03Service {

	/**
	 * <p>메소드명      : getBCNUIM03S01 : SMS 일괄발송 목록 조회</p>
	 * <p>작성일자      : 2023. 4. 20.
	 * <p>작성자(author):  /
	 * <p>설명          : SMS 일괄발송 목록을 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM03InVO </p>
	 * <p>메소드리턴값  : BCNUIM03OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM03OutVO getBCNUIM03S01(BCNUIM03InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUIM03S03 : 공통메세지 조회</p>
	 * <p>작성일자      : 2023. 4. 20.
	 * <p>작성자(author):  /
	 * <p>설명          : 공통메세지를 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM03InVO </p>
	 * <p>메소드리턴값  : BCNUIM03OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM03OutVO getBCNUIM03S03(BCNUIM03InVO inVO) throws Exception;

	/**
	 * <p>메소드명      : getBCNUIM03S03 : SMS 일괄발송</p>
	 * <p>작성일자      : 2023. 4. 20.
	 * <p>작성자(author):  /
	 * <p>설명          : SMS 일괄발송 한다.</p>
	 * <p>메소드인수    : BCNUIM03InVO </p>
	 * <p>메소드리턴값  : BCNUIM03OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM03OutVO registerBCNUIM03I01(BCNUIM03InVO inVo) throws Exception;

}