package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIM04DSSMDOVO;
import hanalife.b.cn.ui.vo.BCNUIM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM04Service.java Class
 * 클래스설명   : SMS 발송내역 (BCNUIM04) Service Interface
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIM04S01 : SMS 발송내역목록조회
 *              registerBCNUIM04I01 : SMS 발송내역등록
 *              modifyBCNUIM04U01 : SMS 발송내역수정
 *              removeBCNUIM04U01 : SMS 발송내역삭제
 * </pre>
 */
public interface BCNUIM04Service {

	/**
	 * <p>메소드명      : getBCNUIM04S01 : SMS 발송내역목록조회</p>
	 * <p>작성일자      : 2023. 3. 6.
	 * <p>작성자(author): 70320 / jaeho.jang
	 * <p>설명          : SMS 발송내역목록을 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM04S01InVo </p>
	 * <p>메소드리턴값  : BCNUIM04S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM04S01OutVO getBCNUIM04S01(BCNUIM04DSSMDOVO inVo) throws Exception;
}
