package hanalife.b.cn.ui.service;


import hanalife.b.cn.ui.vo.BCNUIM05S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM05S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM05Service.java Class
 * 클래스설명   : BCNUIM05Service Service Interface
 * 작성일자     : 2023. 3. 17.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 17.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIM05S01 : 입금약속자명세 조회
 * </pre>
 */
public interface BCNUIM05Service {

    /**
     *<pre>
     * 메소드명      : getBCNUIM05S01 : 입금약속자명세 조회
     * 작성일자      : 2023. 3. 17.
     * 작성자(author): 70331 / P.S.Y
     * 설명          : 입금약속자명세을 조회 한다.
     * 메소드인수    : BCNUIM05S01InVO
     * 메소드리턴값  : BCNUIM05S01OutVO
     * 예외처리      : Exception
     *</pre>
     */
    public BCNUIM05S01OutVO getBCNUIM05S01(BCNUIM05S01InVO inVo) throws Exception;

}
