package hanalife.b.dl.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDI01DTO.java Class
 * 클래스설명   : 연체현황조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyReptDSSDDI01DTO {

    private String srchOpt;                 /* 조회구분코드(1:부서별검색, 2:상품별, 3:담당자별, 4:명세) */
    private String stndDt;                  /* 기준일 */
    private String mngDeptCd;               /* 관리부서 */
    private String setlDdFr;                /* 결제일(시작) */
    private String setlDdTo;                /* 결제일(종료) */
    private String bndDivsEmpNoFg;          /* 담당자구분 */
    private String divsEmpNo;               /* 담당자번호 */
    private String dlyTcntFr;               /* 연체회차(시작) */
    private String dlyTcntTo;               /* 연체회자(종료) */
    private String prdtLrgeClasCd;          /* 상품대분류 */
    private String thmmComgTimsFr;          /* 도래회차(시작) */
    private String thmmComgTimsTo;          /* 도래회차(종료) */
    private String loanNo;                  /* 대출번호 */
    private String loanSeq;                 /* 대출순번 */
    private String dlyDdCntFr;              /* 연체일수(시작) */
    private String dlyDdCntTo;              /* 연체일수(종료) */
    private String prdtSmClasCd;            /* 상품소분류 */
    private String prdtCd;                  /* 상품코드 */
    private String chkMmstrBfmm;            /* 월초(전월말)여부 */
    private String newReflFg;               /* 대출확정여부 */
    private String loanPamtRamtFr;          /* 대출상환원금(시작) */
    private String loanPamtRamtTo;          /* 대출상환원금(종료) */
    private String ivltClosExpt;            /* 강제해지여부 */
    private String bfmmEnd;
    private String sysDt;
    private String stndMm;
    public String getStndMm() {
		return stndMm;
	}
	public void setStndMm(String stndMm) {
		this.stndMm = stndMm;
	}
	public String getSrchOpt() {
        return srchOpt;
    }
    public void setSrchOpt(String srchOpt) {
        this.srchOpt = srchOpt;
    }
    public String getStndDt() {
        return stndDt;
    }
    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getSetlDdFr() {
        return setlDdFr;
    }
    public void setSetlDdFr(String setlDdFr) {
        this.setlDdFr = setlDdFr;
    }
    public String getSetlDdTo() {
        return setlDdTo;
    }
    public void setSetlDdTo(String setlDdTo) {
        this.setlDdTo = setlDdTo;
    }
    public String getBndDivsEmpNoFg() {
        return bndDivsEmpNoFg;
    }
    public void setBndDivsEmpNoFg(String bndDivsEmpNoFg) {
        this.bndDivsEmpNoFg = bndDivsEmpNoFg;
    }
    public String getDivsEmpNo() {
        return divsEmpNo;
    }
    public void setDivsEmpNo(String divsEmpNo) {
        this.divsEmpNo = divsEmpNo;
    }
    public String getDlyTcntFr() {
        return dlyTcntFr;
    }
    public void setDlyTcntFr(String dlyTcntFr) {
        this.dlyTcntFr = dlyTcntFr;
    }
    public String getDlyTcntTo() {
        return dlyTcntTo;
    }
    public void setDlyTcntTo(String dlyTcntTo) {
        this.dlyTcntTo = dlyTcntTo;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getThmmComgTimsFr() {
        return thmmComgTimsFr;
    }
    public void setThmmComgTimsFr(String thmmComgTimsFr) {
        this.thmmComgTimsFr = thmmComgTimsFr;
    }
    public String getThmmComgTimsTo() {
        return thmmComgTimsTo;
    }
    public void setThmmComgTimsTo(String thmmComgTimsTo) {
        this.thmmComgTimsTo = thmmComgTimsTo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getDlyDdCntFr() {
        return dlyDdCntFr;
    }
    public void setDlyDdCntFr(String dlyDdCntFr) {
        this.dlyDdCntFr = dlyDdCntFr;
    }
    public String getDlyDdCntTo() {
        return dlyDdCntTo;
    }
    public void setDlyDdCntTo(String dlyDdCntTo) {
        this.dlyDdCntTo = dlyDdCntTo;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getChkMmstrBfmm() {
        return chkMmstrBfmm;
    }
    public void setChkMmstrBfmm(String chkMmstrBfmm) {
        this.chkMmstrBfmm = chkMmstrBfmm;
    }
    public String getNewReflFg() {
        return newReflFg;
    }
    public void setNewReflFg(String newReflFg) {
        this.newReflFg = newReflFg;
    }
    public String getLoanPamtRamtFr() {
        return loanPamtRamtFr;
    }
    public void setLoanPamtRamtFr(String loanPamtRamtFr) {
        this.loanPamtRamtFr = loanPamtRamtFr;
    }
    public String getLoanPamtRamtTo() {
        return loanPamtRamtTo;
    }
    public void setLoanPamtRamtTo(String loanPamtRamtTo) {
        this.loanPamtRamtTo = loanPamtRamtTo;
    }
    public String getIvltClosExpt() {
        return ivltClosExpt;
    }
    public void setIvltClosExpt(String ivltClosExpt) {
        this.ivltClosExpt = ivltClosExpt;
    }
    public String getBfmmEnd() {
        return bfmmEnd;
    }
    public void setBfmmEnd(String bfmmEnd) {
        this.bfmmEnd = bfmmEnd;
    }
    public String getSysDt() {
        return sysDt;
    }
    public void setSysDt(String sysDt) {
        this.sysDt = sysDt;
    }

}
