package hanalife.b.lm.lm.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.lm.lm.mapper.dto.LeglActnConsAprvDSSDDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActnConsAprvDSSMDODTO;

/**
 * <pre>
 * 클래스명	: LeglActnConsAprvMapper.java Class
 * 클래스설명	: BLMLMM01 Mapper
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자	: 2023. 3. 8.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * 변경이력	:
 * -----------------------------------------------------------------------------
 * [수정일자	   ][수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70305][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("LeglActnConsAprvMapper")
public interface LeglActnConsAprvMapper {

    /**
     * <p>메소드명		: SearchLeglActnConsAprvList</p>
     *  작성일자		: 2023. 3. 7.
     *  작성자(author): 70305 kbs
     * <p>설명		: 법조치품의승인내역을 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 수납 내역 조회 결과 PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */

	public List<LeglActnConsAprvDSSDDO01DTO> searchLeglActnConsAprvList(LeglActnConsAprvDSSMDODTO inDto) throws Exception;

}


