package hanalife.b.lm.lm.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSBadDebtPayFgList;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSPROFMNGDTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO02DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO03DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO04DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO05DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO06DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO02DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO03DTO;
import hanalife.c.co.mapper.dto.AtDepoBaseDTO;
import hanalife.c.co.mapper.dto.BtBndClsBaseDTO;
import hanalife.c.co.mapper.dto.BtLeglActnBaseDTO;
import hanalife.c.co.mapper.dto.BtLeglActnCostDTO;
import hanalife.c.co.mapper.dto.BtLeglActnProfMngDTO;
import hanalife.c.co.mapper.dto.StLoanBaseDTO;

/**
 * <pre>
 * 클래스명	: LeglActsFnshSpecMapper.java Class
 * 클래스설명	: BLMLMM05 Mapper
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자	: 2023. 3. 9.
 * 작성자명	: 70281 / 가계대출 시스템 구축
 * 변경이력	:
 * -----------------------------------------------------------------------------
 * [수정일자	   ][수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70281][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("leglActsConsShMngMapper")
public interface LeglActsConsShMngMapper {

    /**
     * <p>메소드명		: searchLoanBaseList</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치품의서관리 대출정보 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출정보 PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO01DTO> searchLoanBaseList(LeglActsConsShMngDSSMDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchQuarantors</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치품의서관리 대출관계자내역 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출관계자내역 PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO02DTO> searchQuarantors(LeglActsConsShMngDSSMDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchLeglActnBase</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 품의정보를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 품의정보 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO03DTO> searchLeglActnBase(LeglActsConsShMngDSSMDO02DTO inDto) throws Exception;


    /**
     * <p>메소드명		: searchActnCost</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 비용정보를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 비용정보 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO04DTO> searchActnCost(LeglActsConsShMngDSSMDO02DTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchActnProfMng</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 증빙정보를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 증빙정보 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSPROFMNGDTO> searchActnProfMng(LeglActsConsShMngDSSMDO02DTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchActnPrpt</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 재산정보를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 재산정보 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO05DTO> searchActnPrpt(LeglActsConsShMngDSSMDO02DTO inDto) throws Exception;

    /**
     * <p>메소드명		: getSetlPrgsType</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 재산정보를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 재산정보 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSSDDO06DTO> getSetlPrgsType(LeglActsConsShMngDSSMDO03DTO inDto) throws Exception;

    /**
     * <p>메소드명		: getConsStatCd</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치 품의상태코드를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치 품의상태코드를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public BtLeglActnBaseDTO getConsStatCd(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: getBndClsBase</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 채권마감기본조회 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 채권마감기본조회 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public BtBndClsBaseDTO getBndClsBase(BtLeglActnBaseDTO inDto) throws Exception;


    /**
     * <p>메소드명		: getBndClsBase2</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치데이터건수확인 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치데이터건수확인 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public String getBndClsBase2(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchMaxSnum</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치비용조회(Max Snum) 를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치비용조회(Max Snum) 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public BtLeglActnCostDTO searchMaxSnum(BtLeglActnCostDTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchFlotIzeDivCdSeq</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 대출정보조회 를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출정보조회 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<StLoanBaseDTO> searchFlotIzeDivCdSeq(BtLeglActnCostDTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchGetBndClsBase3</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: BT_BND_CLS_BASE(채권_마감_기본) 조회 를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: BT_BND_CLS_BASE(채권_마감_기본) 조회 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<BtBndClsBaseDTO> searchGetBndClsBase3(BtLeglActnCostDTO inDto) throws Exception;



    /**
     * <p>메소드명		: searchGetBndClsBase3</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 예금기본조회 를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 예금기본조회 조회 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<AtDepoBaseDTO> searchGetBankInfo(AtDepoBaseDTO inDto) throws Exception;


    /**
     * <p>메소드명		: searchBadDebtPayFgList</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치지급내역의 상태 및 대손전/후가져오기 를 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치지급내역의 상태 및 대손전/후가져오기 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public List<LeglActsConsShMngDSBadDebtPayFgList> searchBadDebtPayFgList(BtLeglActnCostDTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchNewSnum</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치비용 일련번호 채번 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치비용 일련번호 채번 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public BtLeglActnCostDTO searchNewSnum(BtLeglActnCostDTO inDto) throws Exception;


    /**
     * <p>메소드명		: searchGetBizNo</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치비용 사업자번호 채번 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치비용 사업자번호 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public String searchGetBizNo(BtLeglActnProfMngDTO inDto) throws Exception;

    /**
     * <p>메소드명		: searchVochDupChk</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법적조치비용 2중발급방지를 위한 사전 전표발생여부 체크 조회한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법적조치비용 2중발급방지를 위한 사전 전표발생여부 체크 를 조회  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public String searchVochDupChk(BtLeglActnCostDTO inDto) throws Exception;


    /**
     * <p>메소드명		: updateBndClsBase1</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 채권마감기본변경(상태-진입)를 변경한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치품의상태정보 변경  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateBndClsBase1(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateBndClsBase2</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 채권마감기본변경(상태-해제) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 채권마감기본변경(상태-해제)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public int updateBndClsBase2(BtLeglActnBaseDTO inDto) throws Exception;


    /**
     * <p>메소드명		: updateLoanBase1</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 대출기본변경(상태-진입) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출기본변경(상태-진입)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public int updateLoanBase1(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateLoanBase2</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 대출기본변경(상태-해제) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출기본변경(상태-해제)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
	public int updateLoanBase2(BtLeglActnBaseDTO inDto) throws Exception;


    /**
     * <p>메소드명		: updateConsStat</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치품의상태정보를 변경한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치품의상태정보 변경  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateConsStat(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateConsStatProc</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치품의승인 처리한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치품의승인 처리  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateConsStatProc(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateConsStatReturnProc</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 법조치품의반려처리한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 법조치품의반려처리  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateConsStatReturnProc(BtLeglActnBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateBndClsBaseCost1</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 채권마감기본변경(비용-신규) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 채권마감기본변경(비용-신규)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateBndClsBaseCost1(BtBndClsBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateBndClsBaseCost3</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 채권마감기본변경(비용-신규) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 채권마감기본변경(비용-신규)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateBndClsBaseCost3(BtBndClsBaseDTO inDto) throws Exception;

    /**
     * <p>메소드명		: updateLoanBaseCost1</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 대출기본변경(비용-신규) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출기본변경(비용-신규)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateLoanBaseCost1(StLoanBaseDTO inDto) throws Exception;


    /**
     * <p>메소드명		: updateLoanBaseCost3</p>
     *  작성일자		: 2023. 3. 9.
     *  작성자(author): 70281
     * <p>설명		: 대출기본변경(비용-신규) 한다.</p>
     * <p>메소드인수1	: List args</p>
     * <p>메소드인수2	: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값	: 대출기본변경(비용-신규)  PagedArrayList</p>
     * <p>예외처리		: Exception</p>
     */
    public int updateLoanBaseCost3(StLoanBaseDTO inDto) throws Exception;

}


