package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanByActnDescMngSDDO01DTO.java Class
 * 클래스설명   : 법조치 상태/비용조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class LoanByActnDescMngSDDO01DTO {

	private String loanNo;			/** 대출번호 */
	private String loanSeq;			/** 대출순번 */
	private String custNm;			/** 고객명 */
	private String actnTpCd;		/** 조치유형코드 */
	private String actnTpNm;		/** 조치유형명 */
	private String caseNo;			/** 사건번호 */
	private String thmmComgTims;    /** 도래회차 */
	private long loanPamt;		    /** 대출원금 */
	private String loanTerm;		/** 대출기간 */
	private int dlyTcnt;			/** 연체회차 */
	private String prdtNm;			/** 상품명 */
	private long dlyAmt;			/** 연체금액 */
	private String rmbrFrmlNm;		/** 최초연체일 */
	private String mngDeptNm;		/** 관리부서 */
	private long loanAmtRamt;		/** 채권잔액 */
	private String bndStatNm;		/** 채권상태명 */
	private String bndDivsEmpNm;	/** 채권담당자명 */
	private String relCaseNo;		/** 관련사건번호 */
	private String consShNo;		/** 품의번호 */
	private long spayAmt;			/** 결제금액 */
	private long loanPamtRamt;	    /** 대출원금잔액 */
	private String custNo;			/** 고객번호 */
	private String loanStatNm;		/** 대출상태명칭 */
	private String bndMngPlcCd;		/** 관리부처 */
	private String lnDivsEmpNo;		/** 여신담당자 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getActnTpCd() {
		return actnTpCd;
	}
	public void setActnTpCd(String actnTpCd) {
		this.actnTpCd = actnTpCd;
	}
	public String getActnTpNm() {
		return actnTpNm;
	}
	public void setActnTpNm(String actnTpNm) {
		this.actnTpNm = actnTpNm;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getThmmComgTims() {
		return thmmComgTims;
	}
	public void setThmmComgTims(String thmmComgTims) {
		this.thmmComgTims = thmmComgTims;
	}
	public long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public int getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public long getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(long dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public long getLoanAmtRamt() {
		return loanAmtRamt;
	}
	public void setLoanAmtRamt(long loanAmtRamt) {
		this.loanAmtRamt = loanAmtRamt;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getBndDivsEmpNm() {
		return bndDivsEmpNm;
	}
	public void setBndDivsEmpNm(String bndDivsEmpNm) {
		this.bndDivsEmpNm = bndDivsEmpNm;
	}
	public String getRelCaseNo() {
		return relCaseNo;
	}
	public void setRelCaseNo(String relCaseNo) {
		this.relCaseNo = relCaseNo;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public long getSpayAmt() {
		return spayAmt;
	}
	public void setSpayAmt(long spayAmt) {
		this.spayAmt = spayAmt;
	}
	public long getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(long loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getBndMngPlcCd() {
		return bndMngPlcCd;
	}
	public void setBndMngPlcCd(String bndMngPlcCd) {
		this.bndMngPlcCd = bndMngPlcCd;
	}
	public String getLnDivsEmpNo() {
		return lnDivsEmpNo;
	}
	public void setLnDivsEmpNo(String lnDivsEmpNo) {
		this.lnDivsEmpNo = lnDivsEmpNo;
	}
}