package hanalife.b.lm.lm.service;

import hanalife.b.lm.lm.vo.BLMLMM01S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM01S01OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: BLMLMM01Service.java Class
 * 클래스설명	: 법조치품의승인목록조회 (BLMLMM01) Service Interface
 * 작성일자	: 2023. 3. 7.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [ 수정일자 ][ 수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70305][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBLMLMM01S01 : 법조치품의승인목록조회
 *              registerBLMLMM01I01 : todo1등록
 * </pre>
 */
public interface BLMLMM01Service {

	/**
	 * <p>메소드명			: getBLMLMM01S01 : 법조치품의승인목록 조회</p>
	 * <p>작성일자			: 2023. 3. 7.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: 법조치품의승인목록을 조회한다.</p>
	 * <p>메소드인수		: BLMLMM01S01InVo </p>
	 * <p>메소드리턴값		: BLMLMM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public BLMLMM01S01OutVO getBLMLMM01S01(BLMLMM01S01InVO inVo) throws Exception;

}
