package hanalife.b.lm.lm.service.impl;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.lm.lm.mapper.LeglActsConsShMngMapper;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSBadDebtPayFgList;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSPROFMNGDTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO02DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO03DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO04DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO05DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSDDO06DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO02DTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsConsShMngDSSMDO03DTO;
import hanalife.b.lm.lm.service.BLMLMM02Service;
import hanalife.b.lm.lm.vo.BLMLMM02DSPROFMNGVO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO01VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO02VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO03VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO04VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO05VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO06VO;
import hanalife.b.lm.lm.vo.BLMLMM02S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S01OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02U01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U05InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U06InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U07InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U08InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U09InVO;
import hanalife.b.util.svc.DateConvertUtil;
import hanalife.c.co.contants.Constants;
import hanalife.c.co.mapper.BtLeglActnBaseMapper;
import hanalife.c.co.mapper.BtLeglActnCostMapper;
import hanalife.c.co.mapper.BtLeglActnCostTotMapper;
import hanalife.c.co.mapper.BtLeglActnProfMngMapper;
import hanalife.c.co.mapper.BtLeglActnPrptStatMapper;
import hanalife.c.co.mapper.dto.AtDepoBaseDTO;
import hanalife.c.co.mapper.dto.BtBndClsBaseDTO;
import hanalife.c.co.mapper.dto.BtLeglActnBaseDTO;
import hanalife.c.co.mapper.dto.BtLeglActnCostDTO;
import hanalife.c.co.mapper.dto.BtLeglActnCostTotDTO;
import hanalife.c.co.mapper.dto.BtLeglActnProfMngDTO;
import hanalife.c.co.mapper.dto.BtLeglActnPrptStatDTO;
import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.c.co.util.DateUtil;
import hanalife.c.co.util.StringUtil;
import hanalife.r.co.vo.service.VochCCService;
import hanalife.r.co.vo.vo.ClsTrDescVO;
import hanalife.r.co.vo.vo.VochVO;

/**
 * <pre>
 * 클래스명    : BLMLMM05ServiceImpl.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) ServiceImple
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Service("BLMLMM02Service")
public class BLMLMM02ServiceImpl implements BLMLMM02Service {

	private static final Logger LOGGER = LoggerFactory.getLogger(BLMLMM02ServiceImpl.class);

	private static final int VC_REGIST = 1;
	private static final int VC_CANCEL = 2;

	private static final int TX_INSERT = 1;
	private static final int TX_UPDATE = 2;
	private static final int TX_DELETE = 3;

	@Autowired
	private LeglActsConsShMngMapper leglActsConsShMngMapper;
	@Autowired
	private BtLeglActnBaseMapper btLeglActnBaseMapper;
	@Autowired
	private BtLeglActnPrptStatMapper btLeglActnPrptStatMapper;
	@Autowired
	private BtLeglActnCostMapper btLeglActnCostMapper;
	@Autowired
	private BtLeglActnCostTotMapper btLeglActnCostTotMapper;
	@Autowired
	private BtLeglActnProfMngMapper btLeglActnProfMngMapper;
	@Autowired
	private VochCCService vochCCService;

	/**
	 * <p>
	 * 메소드명 : BLMLMM02S01 : 법조치기본정보조회 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명 :
	 * 법조치기본정보 조회 한다. 메소드인수 : BLMLMM02S01InVo 메소드리턴값 : BLMLMM02S01OutVo 예외처리 :
	 * Exception
	 * </p>
	 */
	@SuppressWarnings("unchecked")
	@Override
	public BLMLMM02S01OutVO getBLMLMM02S01(BLMLMM02S01InVO inVo) throws Exception {

		BLMLMM02S01OutVO resultVo = new BLMLMM02S01OutVO();

		// 대출정보 조회
		LeglActsConsShMngDSSMDO01DTO inDto = new LeglActsConsShMngDSSMDO01DTO();
		inDto.setLoanNo(inVo.getBLMLMM02DSSMDO01VO().getLoanNo()); /* 대출번호 */
		inDto.setLoanSeq(inVo.getBLMLMM02DSSMDO01VO().getLoanSeq()); /* 대출번호순번 */

		List<LeglActsConsShMngDSSDDO01DTO> leglActsConsShMngDSSDDO01DTO = leglActsConsShMngMapper
				.searchLoanBaseList(inDto);
		LOGGER.debug("JYP 조회완료");
		List<BLMLMM02DSSDDO01VO> resultList1 = new ArrayList<BLMLMM02DSSDDO01VO>();
		for (LeglActsConsShMngDSSDDO01DTO outDTO : leglActsConsShMngDSSDDO01DTO) {
			BLMLMM02DSSDDO01VO sddoVo = new BLMLMM02DSSDDO01VO();
			sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
			sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
			sddoVo.setCustNm(outDTO.getCustNm()); /*  */
			sddoVo.setActnTpCd(outDTO.getActnTpCd()); /*  */
			sddoVo.setActnTpNm(outDTO.getActnTpNm()); /*  */
			sddoVo.setCaseNo(outDTO.getCaseNo()); /*  */
			sddoVo.setLoanPamt(outDTO.getLoanPamt()); /*  */
			sddoVo.setLoanTerm(outDTO.getLoanTerm()); /*  */
			sddoVo.setDlyTcnt(outDTO.getDlyTcnt()); /*  */
			sddoVo.setPrdtNm(outDTO.getPrdtNm()); /*  */
			sddoVo.setDlyAmt(outDTO.getDlyAmt()); /*  */
			sddoVo.setRmbrFrmlNm(outDTO.getRmbrFrmlNm()); /*  */
			sddoVo.setMngDeptNm(outDTO.getMngDeptNm()); /*  */
			sddoVo.setLoanAmtRamt(outDTO.getLoanAmtRamt()); /*  */
			sddoVo.setBndStatNm(outDTO.getBndStatNm()); /*  */
			sddoVo.setLnDivsEmpNo(outDTO.getLnDivsEmpNo()); /*  */
			sddoVo.setRelCaseNo(outDTO.getRelCaseNo()); /*  */
			sddoVo.setConsShNo(outDTO.getConsShNo()); /*  */
			sddoVo.setSpayAmt(outDTO.getSpayAmt()); /*  */
			sddoVo.setLoanPamtRamt(outDTO.getLoanPamtRamt()); /*  */
			sddoVo.setCustNo(outDTO.getCustNo()); /*  */
			sddoVo.setBndStatCd(outDTO.getBndStatCd()); /*  */
			sddoVo.setLoanStatCd(outDTO.getLoanStatCd()); /*  */
			sddoVo.setFlotIzeDivCd(outDTO.getFlotIzeDivCd()); /*  */
			sddoVo.setFlotIzeSeq(outDTO.getFlotIzeSeq()); /*  */
			sddoVo.setThmmComgTims(outDTO.getThmmComgTims()); /*  */
			sddoVo.setLeasGuarAmt(outDTO.getLeasGuarAmt()); /*  */
			sddoVo.setLeasStatCd(outDTO.getLeasStatCd()); /*  */
			sddoVo.setBndMngPlcNm(outDTO.getBndMngPlcNm()); /*  */
			sddoVo.setBndDivsEmpNm(outDTO.getBndDivsEmpNm()); /*  */
			sddoVo.setLoanStatNm(outDTO.getLoanStatNm()); /*  */
			sddoVo.setMngPlcBndDivsEmpNo(outDTO.getMngPlcBndDivsEmpNo()); /*  */
			sddoVo.setMngPlcDivCd(outDTO.getMngPlcDivCd()); /*  */
			sddoVo.setMngDeptCd(outDTO.getMngDeptCd()); /*  */
			sddoVo.setPrdtLrgeClasCd(outDTO.getPrdtLrgeClasCd()); /*  */
			sddoVo.setPrdtMidClasCd(outDTO.getPrdtMidClasCd()); /*  */

			resultList1.add(sddoVo);
		}

		resultVo.setBLMLMM02DSSDDO01VO(resultList1);

		// resultVo.setBLMLMM02DSSDDO01VO((List<BLMLMM02DSSDDO01VO>)
		// leglActsConsShMngDSSDDO01DTO);

		// 대출관계자내역 조회
		List<LeglActsConsShMngDSSDDO02DTO> leglActsConsShMngDSSDDO02DTO = leglActsConsShMngMapper
				.searchQuarantors(inDto);

		List<BLMLMM02DSSDDO02VO> resultList = new ArrayList<BLMLMM02DSSDDO02VO>();
		for (LeglActsConsShMngDSSDDO02DTO outDTO : leglActsConsShMngDSSDDO02DTO) {
			BLMLMM02DSSDDO02VO sddoVo = new BLMLMM02DSSDDO02VO();

			sddoVo.setLoanRelNm(outDTO.getLoanRelNm()); /* 대출관계명 */
			sddoVo.setCustNm(outDTO.getCustNm()); /* 고객명 */
			sddoVo.setCustNo(outDTO.getCustNo()); /* 고객번호 */
			sddoVo.setPrptRschStatAmt(outDTO.getPrptRschStatAmt()); /* 재산상태 */
			sddoVo.setEstt(outDTO.getEstt()); /* 부동산 */
			sddoVo.setCar(outDTO.getCar()); /* 자동차 */
			sddoVo.setBnd(outDTO.getBnd()); /* 채권 */
			sddoVo.setProp(outDTO.getProp()); /* 동산 */
			sddoVo.setTot(outDTO.getTot()); /* 총건수 */

			/** 대출관계자내역 List 객체에 추가하도록 수행 */
			resultList.add(sddoVo);
		}

		resultVo.setBLMLMM02DSSDDO02VO(resultList);

		return resultVo;
	}

	/**
	 * <p>
	 * 메소드명 : BLMLMM02S01 : 법조치품의정보조회 작성일자 : 2023. 2. 27. 작성자(author): 70317 /
	 * younghwe.kim 설명 : 법조치품의정보 조회 한다. 메소드인수 : BLMLMM02S02InVo 메소드리턴값 :
	 * BLMLMM02S02OutVo 예외처리 : Exception
	 */
	@SuppressWarnings("unchecked")
	@Override
	public BLMLMM02S02OutVO getBLMLMM02S02(BLMLMM02S02InVO inVo) throws Exception {
		BLMLMM02S02OutVO resultVo = new BLMLMM02S02OutVO();

		// 입력값 셋팅
		LeglActsConsShMngDSSMDO02DTO inDto = new LeglActsConsShMngDSSMDO02DTO();
		inDto.setLoanNo(inVo.getBLMLMM02DSSMDO02VO().getLoanNo()); /* 대출번호 */
		inDto.setLoanSeq(inVo.getBLMLMM02DSSMDO02VO().getLoanSeq()); /* 대출번호순번 */
		inDto.setCustNo(inVo.getBLMLMM02DSSMDO02VO().getCustNo()); /* 고객번호 */
		inDto.setConsShNo(inVo.getBLMLMM02DSSMDO02VO().getConsShNo()); /* 고객번호 */

		// 법조치품의정보 조회
		String consShNo = null;
		List<LeglActsConsShMngDSSDDO03DTO> leglActsConsShMngDSSDDO03DTO = leglActsConsShMngMapper
				.searchLeglActnBase(inDto);
		// resultVo.setBLMLMM02DSSDDO03VO(leglActsConsShMngDSSDDO03DTO);

		List<BLMLMM02DSSDDO03VO> resultList1 = new ArrayList<BLMLMM02DSSDDO03VO>();
		for (LeglActsConsShMngDSSDDO03DTO outDTO : leglActsConsShMngDSSDDO03DTO) {
			BLMLMM02DSSDDO03VO sddoVo = new BLMLMM02DSSDDO03VO();

			sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
			sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
			sddoVo.setConsShNo(outDTO.getConsShNo()); /*  */
			sddoVo.setCustNo(outDTO.getCustNo()); /*  */
			sddoVo.setPrptTpCd(outDTO.getPrptTpCd()); /*  */
			sddoVo.setPrptKindCd(outDTO.getPrptKindCd()); /*  */
			sddoVo.setActnStatCd(outDTO.getActnStatCd()); /*  */
			sddoVo.setActnStatOccrDt(outDTO.getActnStatOccrDt()); /*  */
			sddoVo.setActnTpCd(outDTO.getActnTpCd()); /*  */
			sddoVo.setAskCausCd(outDTO.getAskCausCd()); /*  */
			sddoVo.setCaseKindCd(outDTO.getCaseKindCd()); /*  */
			sddoVo.setLwstKindCd(outDTO.getLwstKindCd()); /*  */
			sddoVo.setSeizKindCd(outDTO.getSeizKindCd()); /*  */
			sddoVo.setJudDept(outDTO.getJudDept()); /*  */
			sddoVo.setJdcaReqBizNo(outDTO.getJdcaReqBizNo()); /*  */
			sddoVo.setJdcaReqVndrNm(outDTO.getJdcaReqVndrNm()); /*  */
			sddoVo.setPledrJadvReqDt(outDTO.getPledrJadvReqDt()); /*  */
			sddoVo.setPayPlc(outDTO.getPayPlc()); /*  */
			sddoVo.setAskDiv(outDTO.getAskDiv()); /*  */
			sddoVo.setJstDt(outDTO.getJstDt()); /*  */
			sddoVo.setRegDt(outDTO.getRegDt()); /*  */
			sddoVo.setSueFg(outDTO.getSueFg()); /*  */
			sddoVo.setExecStmtWdrwFg(outDTO.getExecStmtWdrwFg()); /*  */
			sddoVo.setPpayAmtWdrwDt(outDTO.getPpayAmtWdrwDt()); /*  */
			sddoVo.setDepsAmtWdrwDt(outDTO.getDepsAmtWdrwDt()); /*  */
			sddoVo.setAuctDivCd(outDTO.getAuctDivCd()); /*  */
			sddoVo.setAlotAmt(outDTO.getAlotAmt()); /*  */
			sddoVo.setAlotAmtWdrwDt(outDTO.getAlotAmtWdrwDt()); /*  */
			sddoVo.setDistCortCd(outDTO.getDistCortCd()); /*  */
			sddoVo.setCaseNo(outDTO.getCaseNo()); /*  */
			sddoVo.setEndTpCd(outDTO.getEndTpCd()); /*  */
			sddoVo.setCaseEndDt(outDTO.getCaseEndDt()); /*  */
			sddoVo.setAskAmt(outDTO.getAskAmt()); /*  */
			sddoVo.setPrptRschExclFg(outDTO.getPrptRschExclFg()); /*  */
			sddoVo.setWdrwPossStatCd(outDTO.getWdrwPossStatCd()); /*  */
			sddoVo.setWdrwPossTermCd(outDTO.getWdrwPossTermCd()); /*  */
			sddoVo.setDlyPamt(outDTO.getDlyPamt()); /*  */
			sddoVo.setDlyInt(outDTO.getDlyInt()); /*  */
			sddoVo.setDlyTims(outDTO.getDlyTims()); /*  */
			sddoVo.setBalPamt(outDTO.getBalPamt()); /*  */
			sddoVo.setLoanIntRamt(outDTO.getLoanIntRamt()); /*  */
			sddoVo.setBndDivsManEmpNo(outDTO.getBndDivsManEmpNo()); /*  */
			sddoVo.setMngDeptCd(outDTO.getMngDeptCd()); /*  */
			sddoVo.setSueDt(outDTO.getSueDt()); /*  */
			sddoVo.setActnRsnCntn(outDTO.getActnRsnCntn()); /*  */
			sddoVo.setConsDt(outDTO.getConsDt()); /*  */
			sddoVo.setConsCnclDt(outDTO.getConsCnclDt()); /*  */
			sddoVo.setConsStatCd(outDTO.getConsStatCd()); /*  */
			sddoVo.setConsRsn(outDTO.getConsRsn()); /*  */
			sddoVo.setDutyManAprvEmpNo(outDTO.getDutyManAprvEmpNo()); /*  */
			sddoVo.setDutyManAprvDt(outDTO.getDutyManAprvDt()); /*  */
			sddoVo.setDutyManOpn(outDTO.getDutyManOpn()); /*  */
			sddoVo.setTmgrAprvEmpNo(outDTO.getTmgrAprvEmpNo()); /*  */
			sddoVo.setTmgrAprvDt(outDTO.getTmgrAprvDt()); /*  */
			sddoVo.setTmgrOpn(outDTO.getTmgrOpn()); /*  */
			sddoVo.setBonbAprvEmpNo(outDTO.getBonbAprvEmpNo()); /*  */
			sddoVo.setBonbAprvDt(outDTO.getBonbAprvDt());
			sddoVo.setBonbOpn(outDTO.getBonbOpn());
			sddoVo.setCustNm(outDTO.getCustNm());
			sddoVo.setLoanRelNm(outDTO.getLoanRelNm());
			sddoVo.setDistCortNm(outDTO.getDistCortNm());
			sddoVo.setCustTrndNm(outDTO.getCustTrndNm());
			sddoVo.setCntcStatNm(outDTO.getCntcStatNm());
			sddoVo.setPayPlcNm(outDTO.getPayPlcNm());
			sddoVo.setBndDivsManEmpNm(outDTO.getBndDivsManEmpNm());
			sddoVo.setDutyManAprvEmpNm(outDTO.getDutyManAprvEmpNm());
			sddoVo.setTmgrAprvEmpNm(outDTO.getTmgrAprvEmpNm());
			sddoVo.setBonbAprvEmpNm(outDTO.getBonbAprvEmpNm());
			sddoVo.setCrimTpClasCd(outDTO.getCrimTpClasCd());
			sddoVo.setCrimTpClasNm(outDTO.getCrimTpClasNm());
			resultList1.add(sddoVo);

			consShNo = outDTO.getConsShNo();
		}

		resultVo.setBLMLMM02DSSDDO03VO(resultList1);

		if (consShNo != null) // 품의서_번호 확인
		{
			inDto.setConsShNo(consShNo); /* 고객번호 */

			// 법조치비용 조회
			List<LeglActsConsShMngDSSDDO04DTO> leglActsConsShMngDSSDDO04DTO = leglActsConsShMngMapper
					.searchActnCost(inDto);

			List<BLMLMM02DSSDDO04VO> resultList = new ArrayList<BLMLMM02DSSDDO04VO>();
			for (LeglActsConsShMngDSSDDO04DTO outDTO : leglActsConsShMngDSSDDO04DTO) {
				BLMLMM02DSSDDO04VO sddoVo = new BLMLMM02DSSDDO04VO();

				sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
				sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
				sddoVo.setConsShNo(outDTO.getConsShNo()); /*  */
				sddoVo.setSnum(outDTO.getSnum()); /*  */
				sddoVo.setAcctDt(outDTO.getAcctDt()); /*  */
				sddoVo.setVochNo(outDTO.getVochNo()); /*  */
				sddoVo.setDepsAmt(outDTO.getDepsAmt()); /*  */
				sddoVo.setEtcCost(outDTO.getEtcCost()); /*  */
				sddoVo.setDepsInsuFee(outDTO.getDepsInsuFee()); /*  */
				sddoVo.setStmpLrge(outDTO.getStmpLrge()); /*  */
				sddoVo.setCrtfplcLrge(outDTO.getCrtfplcLrge()); /*  */
				sddoVo.setDsptFee(outDTO.getDsptFee()); /*  */
				sddoVo.setRtax(outDTO.getRtax()); /*  */
				sddoVo.setPpayamt(outDTO.getPpayamt()); /*  */
				sddoVo.setPledJadvFee(outDTO.getPledJadvFee()); /*  */
				sddoVo.setAskAmt(outDTO.getAskAmt()); /*  */
				sddoVo.setAskDt(outDTO.getAskDt()); /*  */
				sddoVo.setCostCnclFg(outDTO.getCostCnclFg()); /*  */
				sddoVo.setCostOccrDivCd(outDTO.getCostOccrDivCd()); /*  */
				sddoVo.setCostJstDivCd(outDTO.getCostJstDivCd()); /*  */
				sddoVo.setRecpAmt(outDTO.getRecpAmt()); /*  */
				sddoVo.setRecpDt(outDTO.getRecpDt()); /*  */
				sddoVo.setJstDt(outDTO.getJstDt()); /*  */
				sddoVo.setMakeDeptCd(outDTO.getMakeDeptCd()); /*  */
				sddoVo.setAcctDeptCd(outDTO.getAcctDeptCd()); /*  */
				sddoVo.setJdcaReqBizNo(outDTO.getJdcaReqBizNo()); /*  */
				sddoVo.setJdcaReqVndrNm(outDTO.getJdcaReqVndrNm()); /*  */
				sddoVo.setPledrJadvReqDt(outDTO.getPledrJadvReqDt()); /*  */
				sddoVo.setPayPlc(outDTO.getPayPlc()); /*  */
				sddoVo.setPayPlcNm(outDTO.getPayPlcNm()); /*  */
				sddoVo.setAskDiv(outDTO.getAskDiv()); /*  */
				sddoVo.setPledJdcaFeeVtax(outDTO.getPledJdcaFeeVtax()); /*  */
				sddoVo.setEtcCostVtax(outDTO.getEtcCostVtax()); /*  */
				sddoVo.setAdjAmt(outDTO.getAdjAmt()); /*  */
				sddoVo.setLeglActnCostRamt(outDTO.getLeglActnCostRamt()); /*  */
				sddoVo.setCnclFg(outDTO.getCnclFg()); /*  */
				sddoVo.setCnclDt(outDTO.getCnclDt()); /*  */
				sddoVo.setOrgSnum(outDTO.getOrgSnum()); /*  */
				sddoVo.setBadDebtAfOccrDiv(outDTO.getBadDebtAfOccrDiv()); /*  */
				sddoVo.setDepsAmtAdjAmt(outDTO.getDepsAmtAdjAmt()); /*  */
				sddoVo.setDepsAmtRamt(outDTO.getDepsAmtRamt()); /*  */
				sddoVo.setOccrYnDivCd(outDTO.getOccrYnDivCd());
				sddoVo.setSumAmt(outDTO.getSumAmt());
				sddoVo.setSumPledJadvFeeVtax(outDTO.getSumPledJadvFeeVtax());
				sddoVo.setSumEtcCost(outDTO.getSumEtcCost());
				/** 법조치비용 List 객체에 추가하도록 수행 */
				resultList.add(sddoVo);
			}

			resultVo.setBLMLMM02DSSDDO04VO(resultList);

			int profExistFg = leglActsConsShMngDSSDDO04DTO.size();

			if (profExistFg > 0) {
				LeglActsConsShMngDSSMDO02DTO newInDto = new LeglActsConsShMngDSSMDO02DTO();
				newInDto.setLoanNo(leglActsConsShMngDSSDDO04DTO.get(0).getLoanNo());
				newInDto.setLoanSeq(leglActsConsShMngDSSDDO04DTO.get(0).getLoanSeq());
				newInDto.setConsShNo(leglActsConsShMngDSSDDO04DTO.get(0).getConsShNo());
				newInDto.setSnum(leglActsConsShMngDSSDDO04DTO.get(0).getSnum());

				// 법조치증빙내역 조회
				List<LeglActsConsShMngDSPROFMNGDTO> leglActsConsShMngDSPROFMNGDTO = leglActsConsShMngMapper
						.searchActnProfMng(newInDto);

				List<BLMLMM02DSPROFMNGVO> resultList2 = new ArrayList<BLMLMM02DSPROFMNGVO>();
				for (LeglActsConsShMngDSPROFMNGDTO outDTO2 : leglActsConsShMngDSPROFMNGDTO) {
					BLMLMM02DSPROFMNGVO sddoVo2 = new BLMLMM02DSPROFMNGVO();

					sddoVo2.setLoanNo(outDTO2.getLoanNo()); /*  */
					sddoVo2.setLoanSeq(outDTO2.getLoanSeq()); /*  */
					sddoVo2.setConsShNo(outDTO2.getConsShNo()); /*  */
					sddoVo2.setSnum(outDTO2.getSnum()); /*  */
					sddoVo2.setProfSnum(outDTO2.getProfSnum()); /*  */
					sddoVo2.setLeglActnCostKindCd(outDTO2.getLeglActnCostKindCd()); /*  */
					sddoVo2.setProfKindCd(outDTO2.getProfKindCd()); /*  */
					sddoVo2.setSplyDt(outDTO2.getSplyDt()); /*  */
					sddoVo2.setSplyAmt(outDTO2.getSplyAmt()); /*  */
					sddoVo2.setVtax(outDTO2.getVtax()); /*  */
					sddoVo2.setAskAmt(outDTO2.getAskAmt()); /*  */
					sddoVo2.setProfNo(outDTO2.getProfNo()); /*  */
					sddoVo2.setPayplcDivCd(outDTO2.getPayplcDivCd()); /*  */
					sddoVo2.setPayplcCd(outDTO2.getPayplcCd()); /*  */
					sddoVo2.setPayplcNm(outDTO2.getPayplcNm()); /*  */
					sddoVo2.setBusiCd(outDTO2.getBusiCd()); /*  */
					sddoVo2.setBusiNm(outDTO2.getBusiNm()); /*  */
					sddoVo2.setAddr(outDTO2.getAddr()); /*  */
					sddoVo2.setAddrSpec(outDTO2.getAddrSpec()); /*  */
					sddoVo2.setReprNm(outDTO2.getReprNm()); /*  */
					sddoVo2.setProfFileRsrvPlc(outDTO2.getProfFileRsrvPlc()); /*  */
					sddoVo2.setProfRlFileNm(outDTO2.getProfRlFileNm()); /*  */
					sddoVo2.setProfChngFileNm(outDTO2.getProfChngFileNm()); /*  */
					sddoVo2.setTaxBillNo(outDTO2.getTaxBillNo()); /*  */
					sddoVo2.setLocalPath(outDTO2.getLocalPath()); /*  */
					sddoVo2.setMakeEmpNo(outDTO2.getMakeEmpNo()); /*  */
					sddoVo2.setMakeEmpNm(outDTO2.getMakeEmpNm()); /*  */
					sddoVo2.setMakeDeptCd(outDTO2.getMakeDeptCd()); /*  */
					sddoVo2.setMakeDeptCd(outDTO2.getMakeDeptCd()); /*  */
					sddoVo2.setApplDt(outDTO2.getApplDt()); /*  */
					sddoVo2.setApplSnum(outDTO2.getApplSnum()); /*  */
					sddoVo2.setAcctDeptCd(outDTO2.getAcctDeptCd()); /*  */
					sddoVo2.setSumAmt(outDTO2.getSumAmt());
					/** 법조치증빙내역 List 객체에 추가하도록 수행 */
					resultList2.add(sddoVo2);
				}

				resultVo.setBLMLMM02DSPROFMNGVO(resultList2);
			}

			// 법조치재산정보 조회
			List<LeglActsConsShMngDSSDDO05DTO> leglActsConsShMngDSSDDO05DTO = leglActsConsShMngMapper
					.searchActnPrpt(inDto);

			List<BLMLMM02DSSDDO05VO> resultList3 = new ArrayList<BLMLMM02DSSDDO05VO>();
			for (LeglActsConsShMngDSSDDO05DTO outDTO3 : leglActsConsShMngDSSDDO05DTO) {
				BLMLMM02DSSDDO05VO sddoVo3 = new BLMLMM02DSSDDO05VO();
				LOGGER.info("셋팅은 하는거냐?");
				sddoVo3.setLoanNo(outDTO3.getLoanNo()); /*  */
				sddoVo3.setLoanSeq(outDTO3.getLoanSeq()); /*  */
				sddoVo3.setConsShNo(outDTO3.getConsShNo()); /*  */
				sddoVo3.setPrptTpCd(outDTO3.getPrptTpCd()); /*  */
				sddoVo3.setSnum(outDTO3.getSnum()); /*  */
				sddoVo3.setCustNo(outDTO3.getCustNo()); /*  */
				sddoVo3.setPrptKindNm(outDTO3.getPrptKindNm()); /*  */
				sddoVo3.setArea(outDTO3.getArea()); /*  */
				sddoVo3.setGodsPlcAddr(outDTO3.getGodsPlcAddr()); /*  */
				sddoVo3.setPreRankMrtgCnt(outDTO3.getPreRankMrtgCnt()); /*  */
				sddoVo3.setPreRankMrtgAmt(outDTO3.getPreRankMrtgAmt()); /*  */
				sddoVo3.setPreRankProvSeizCnt(outDTO3.getPreRankProvSeizCnt()); /*  */
				sddoVo3.setPreRankProvSeizAmt(outDTO3.getPreRankProvSeizAmt()); /*  */
				sddoVo3.setJudgAmt(outDTO3.getJudgAmt()); /*  */
				sddoVo3.setCnvsVal(outDTO3.getCnvsVal()); /*  */

				/** 법조치비용 List 객체에 추가하도록 수행 */
				resultList3.add(sddoVo3);
			}
			LOGGER.info("갯수는?:" + resultList3.size());

			resultVo.setBLMLMM02DSSDDO05VO(resultList3);
		}

		return resultVo;
	}

	/**
	 * 메소드명 : BLMLMM02S03 : 법조치품의결재선정보조회 작성일자 : 2023. 2. 27. 작성자(author): 70317 /
	 * younghwe.kim 설명 : 법조치품의결재선정보 조회 한다. 메소드인수 : BLMLMM02S02InVo 메소드리턴값 :
	 * BLMLMM02S02OutVo 예외처리 : Exception
	 */
	@SuppressWarnings("unchecked")
	@Override
	public BLMLMM02S03OutVO getBLMLMM02S03(BLMLMM02S03InVO inVo) throws Exception {
		BLMLMM02S03OutVO resultVo = new BLMLMM02S03OutVO();

		// 입력값 셋팅
		LeglActsConsShMngDSSMDO03DTO inDto = new LeglActsConsShMngDSSMDO03DTO();
		inDto.setMngDeptCd(inVo.getBLMLMM02DSSMDO03VO().getMngDeptCd()); /* 부서코드 */

		// 법조치품의결재선정보 조회
		List<LeglActsConsShMngDSSDDO06DTO> leglActsConsShMngDSSDDO06DTO = leglActsConsShMngMapper
				.getSetlPrgsType(inDto);
		// resultVo.setBLMLMM02DSSDDO06VO((List<BLMLMM02DSSDDO06VO>)
		// leglActsConsShMngDSSDDO06DTO);
		List<BLMLMM02DSSDDO06VO> resultList = new ArrayList<BLMLMM02DSSDDO06VO>();
		for (LeglActsConsShMngDSSDDO06DTO outDTO : leglActsConsShMngDSSDDO06DTO) {
			BLMLMM02DSSDDO06VO sddoVo = new BLMLMM02DSSDDO06VO();
			sddoVo.setPrgsType(outDTO.getPrgsType());
			resultList.add(sddoVo);
		}

		resultVo.setBLMLMM02DSSDDO06VO(resultList);

		return resultVo;
	}

	/**
	 * 메소드명 : BLMLMM02S04 : 법조치증빙내역조회 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명 :
	 * 법조치증빙내역 조회 한다. 메소드인수 : BLMLMM02S04InVo 메소드리턴값 : BLMLMM02S04OutVo 예외처리 :
	 * Exception
	 */
	@SuppressWarnings("unchecked")
	@Override
	public BLMLMM02S04OutVO getBLMLMM02S04(BLMLMM02S04InVO inVo) throws Exception {
		BLMLMM02S04OutVO resultVo = new BLMLMM02S04OutVO();

		// 입력값 셋팅
		LeglActsConsShMngDSSMDO02DTO inDto = new LeglActsConsShMngDSSMDO02DTO();
		inDto.setLoanNo(inVo.getBLMLMM02DSPROFSMDO01VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSPROFSMDO01VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSPROFSMDO01VO().getConsShNo());
		inDto.setSnum(inVo.getBLMLMM02DSPROFSMDO01VO().getSnum());

		// 법조치증빙내역 조회
		List<LeglActsConsShMngDSPROFMNGDTO> leglActsConsShMngDSPROFMNGDTO = leglActsConsShMngMapper
				.searchActnProfMng(inDto);

		List<BLMLMM02DSPROFMNGVO> resultList2 = new ArrayList<BLMLMM02DSPROFMNGVO>();
		for (LeglActsConsShMngDSPROFMNGDTO outDTO2 : leglActsConsShMngDSPROFMNGDTO) {
			BLMLMM02DSPROFMNGVO sddoVo2 = new BLMLMM02DSPROFMNGVO();

			sddoVo2.setLoanNo(outDTO2.getLoanNo()); /*  */
			sddoVo2.setLoanSeq(outDTO2.getLoanSeq()); /*  */
			sddoVo2.setConsShNo(outDTO2.getConsShNo()); /*  */
			sddoVo2.setSnum(outDTO2.getSnum()); /*  */
			sddoVo2.setProfSnum(outDTO2.getProfSnum()); /*  */
			sddoVo2.setLeglActnCostKindCd(outDTO2.getLeglActnCostKindCd()); /*  */
			sddoVo2.setProfKindCd(outDTO2.getProfKindCd()); /*  */
			sddoVo2.setSplyDt(outDTO2.getSplyDt()); /*  */
			sddoVo2.setSplyAmt(outDTO2.getSplyAmt()); /*  */
			sddoVo2.setVtax(outDTO2.getVtax()); /*  */
			sddoVo2.setAskAmt(outDTO2.getAskAmt()); /*  */
			sddoVo2.setProfNo(outDTO2.getProfNo()); /*  */
			sddoVo2.setPayplcDivCd(outDTO2.getPayplcDivCd()); /*  */
			sddoVo2.setPayplcCd(outDTO2.getPayplcCd()); /*  */
			sddoVo2.setPayplcNm(outDTO2.getPayplcNm()); /*  */
			sddoVo2.setBusiCd(outDTO2.getBusiCd()); /*  */
			sddoVo2.setBusiNm(outDTO2.getBusiNm()); /*  */
			sddoVo2.setAddr(outDTO2.getAddr()); /*  */
			sddoVo2.setAddrSpec(outDTO2.getAddrSpec()); /*  */
			sddoVo2.setReprNm(outDTO2.getReprNm()); /*  */
			sddoVo2.setProfFileRsrvPlc(outDTO2.getProfFileRsrvPlc()); /*  */
			sddoVo2.setProfRlFileNm(outDTO2.getProfRlFileNm()); /*  */
			sddoVo2.setProfChngFileNm(outDTO2.getProfChngFileNm()); /*  */
			sddoVo2.setTaxBillNo(outDTO2.getTaxBillNo()); /*  */
			sddoVo2.setLocalPath(outDTO2.getLocalPath()); /*  */
			sddoVo2.setMakeEmpNo(outDTO2.getMakeEmpNo()); /*  */
			sddoVo2.setMakeEmpNm(outDTO2.getMakeEmpNm()); /*  */
			sddoVo2.setMakeDeptCd(outDTO2.getMakeDeptCd()); /*  */
			sddoVo2.setMakeDeptCd(outDTO2.getMakeDeptCd()); /*  */
			sddoVo2.setApplDt(outDTO2.getApplDt()); /*  */
			sddoVo2.setApplSnum(outDTO2.getApplSnum()); /*  */
			sddoVo2.setAcctDeptCd(outDTO2.getAcctDeptCd()); /*  */

			/** 법조치증빙내역 List 객체에 추가하도록 수행 */
			resultList2.add(sddoVo2);
		}

		return resultVo;
	}

	/**
	 * 메소드명 : getBLMLMM02U01 : 법조치품의서관리저장 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
	 * 설명 : 법조치품의서관리 정보 저장을 한다. 메소드인수 : BLMLMM02U01InVO 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U01(BLMLMM02U01InVO inVo) throws Exception {

		// 입력값 셋팅
		// BtLeglActnBase inDto = new LeglActsConsShMngDSSMDO02DTO();
		String consShNo = "";

		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());
		inDto.setCustNo(inVo.getBLMLMM02DSSDDO03VO().getCustNo());
		inDto.setPrptTpCd(inVo.getBLMLMM02DSSDDO03VO().getPrptTpCd());
		inDto.setPrptKindCd(inVo.getBLMLMM02DSSDDO03VO().getPrptKindCd());
		inDto.setActnStatCd(inVo.getBLMLMM02DSSDDO03VO().getActnStatCd());
		inDto.setActnStatOccrDt(inVo.getBLMLMM02DSSDDO03VO().getActnStatOccrDt());
		inDto.setActnTpCd(inVo.getBLMLMM02DSSDDO03VO().getActnTpCd());
		inDto.setAskCausCd(inVo.getBLMLMM02DSSDDO03VO().getAskCausCd());
		inDto.setCaseKindCd(inVo.getBLMLMM02DSSDDO03VO().getCaseKindCd());
		inDto.setLwstKindCd(inVo.getBLMLMM02DSSDDO03VO().getLwstKindCd());
		inDto.setSeizKindCd(inVo.getBLMLMM02DSSDDO03VO().getSeizKindCd()); /*  */
		inDto.setJudDept(inVo.getBLMLMM02DSSDDO03VO().getJudDept()); /*  */
		inDto.setJdcaReqBizNo(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqBizNo()); /*  */
		inDto.setJdcaReqVndrNm(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqVndrNm()); /*  */
		inDto.setPledrJadvReqDt(inVo.getBLMLMM02DSSDDO03VO().getPledrJadvReqDt()); /*  */
		inDto.setPayPlc(inVo.getBLMLMM02DSSDDO03VO().getPayPlc()); /*  */
		inDto.setAskDiv(inVo.getBLMLMM02DSSDDO03VO().getAskDiv()); /*  */
		inDto.setJstDt(inVo.getBLMLMM02DSSDDO03VO().getJstDt()); /*  */
		inDto.setRegDt(inVo.getBLMLMM02DSSDDO03VO().getRegDt()); /*  */
		inDto.setSueFg(inVo.getBLMLMM02DSSDDO03VO().getSueFg()); /*  */
		inDto.setExecStmtWdrwFg(inVo.getBLMLMM02DSSDDO03VO().getExecStmtWdrwFg()); /*  */
		inDto.setPpayAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getPpayAmtWdrwDt()); /*  */
		inDto.setDepsAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getDepsAmtWdrwDt()); /*  */
		inDto.setAuctDivCd(inVo.getBLMLMM02DSSDDO03VO().getAuctDivCd()); /*  */
		inDto.setAlotAmt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmt()); /*  */
		inDto.setAlotAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmtWdrwDt()); /*  */
		inDto.setDistCortCd(inVo.getBLMLMM02DSSDDO03VO().getDistCortCd()); /*  */
		inDto.setCaseNo(inVo.getBLMLMM02DSSDDO03VO().getCaseNo()); /*  */
		inDto.setEndTpCd(inVo.getBLMLMM02DSSDDO03VO().getEndTpCd()); /*  */
		inDto.setCaseEndDt(inVo.getBLMLMM02DSSDDO03VO().getCaseEndDt()); /*  */
		inDto.setAskAmt(inVo.getBLMLMM02DSSDDO03VO().getAskAmt()); /*  */
		inDto.setPrptRschExclFg(inVo.getBLMLMM02DSSDDO03VO().getPrptRschExclFg()); /*  */
		inDto.setWdrwPossStatCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossStatCd()); /*  */
		inDto.setWdrwPossTermCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossTermCd()); /*  */
		inDto.setDlyPamt(inVo.getBLMLMM02DSSDDO03VO().getDlyPamt()); /*  */
		inDto.setDlyInt(inVo.getBLMLMM02DSSDDO03VO().getDlyInt()); /*  */
		inDto.setDlyTims(inVo.getBLMLMM02DSSDDO03VO().getDlyTims()); /*  */
		inDto.setBalPamt(inVo.getBLMLMM02DSSDDO03VO().getBalPamt()); /*  */
		inDto.setLoanIntRamt(inVo.getBLMLMM02DSSDDO03VO().getLoanIntRamt()); /*  */
		inDto.setBndDivsManEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBndDivsManEmpNo()); /*  */
		inDto.setMngDeptCd(inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /*  */
		inDto.setSueDt(inVo.getBLMLMM02DSSDDO03VO().getSueDt()); /*  */
		inDto.setActnRsnCntn(inVo.getBLMLMM02DSSDDO03VO().getActnRsnCntn()); /*  */
		inDto.setConsDt(inVo.getBLMLMM02DSSDDO03VO().getConsDt()); /*  */
		inDto.setConsCnclDt(inVo.getBLMLMM02DSSDDO03VO().getConsCnclDt()); /*  */
		inDto.setConsStatCd(inVo.getBLMLMM02DSSDDO03VO().getConsStatCd()); /*  */
		inDto.setConsRsn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /*  */
		inDto.setDutyManAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvEmpNo()); /*  */
		inDto.setDutyManAprvDt(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvDt()); /*  */
		inDto.setDutyManOpn(inVo.getBLMLMM02DSSDDO03VO().getDutyManOpn()); /*  */
		inDto.setTmgrAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvEmpNo()); /*  */
		inDto.setTmgrAprvDt(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvDt()); /*  */
		inDto.setTmgrOpn(inVo.getBLMLMM02DSSDDO03VO().getTmgrOpn()); /*  */
		inDto.setBonbAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvEmpNo()); /*  */
		inDto.setBonbAprvDt(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvDt()); /*  */
		inDto.setBonbOpn(inVo.getBLMLMM02DSSDDO03VO().getBonbOpn()); /*  */
		inDto.setFrstRegEmpNo(inVo.getLogInEmpNo()); /*  */
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */
		inDto.setCaseNoRegDt(""); /*  */
		inDto.setCrimTpClasCd(inVo.getBLMLMM02DSSDDO03VO().getCrimTpClasCd()); /*  */

		String quaryType = inVo.getBLMLMM02DSSDDO03VO().getOperation(); //

		if (quaryType.equals("I")) {

			BtLeglActnBaseDTO newConsShNo = new BtLeglActnBaseDTO();
			newConsShNo = btLeglActnBaseMapper.makeConsShNo(inDto);

			consShNo = newConsShNo.getConsShNo();

			inDto.setConsShNo(consShNo);
			inDto.setBndDivsManEmpNo(inVo.getLogInEmpNo());

			btLeglActnBaseMapper.insert(inDto);

		} else if (quaryType.equals("U")) {

			btLeglActnBaseMapper.update(inDto);

		} else if (quaryType.equals("D")) {
			// 법적조치기본 갱신
			btLeglActnBaseMapper.remove(inDto);
			// 대출기본-채권마감기본 갱신
			this.updateBndClsBaseForDelete(inDto);
		}

		LOGGER.info("JYP 재산정보건수확인:" + inVo.getBLMLMM02DSSDDO05VO().size());

		for (int i = 0; i < inVo.getBLMLMM02DSSDDO05VO().size(); i++) {
			BtLeglActnPrptStatDTO inDto2 = new BtLeglActnPrptStatDTO();

			inDto2.setLoanNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getLoanNo()); /*  */
			inDto2.setLoanSeq(inVo.getBLMLMM02DSSDDO05VO().get(i).getLoanSeq()); /*  */
			inDto2.setConsShNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getConsShNo()); /*  */
			inDto2.setPrptTpCd(inVo.getBLMLMM02DSSDDO05VO().get(i).getPrptTpCd()); /*  */
			inDto2.setSnum(inVo.getBLMLMM02DSSDDO05VO().get(i).getSnum());
			inDto2.setCustNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getCustNo()); /*  */
			inDto2.setFrstRegEmpNo(inVo.getLogInEmpNo()); /*  */
			inDto2.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

			String quaryType2 = inVo.getBLMLMM02DSSDDO05VO().get(i).getOperation(); //

			LOGGER.info("JYP 확인:" + quaryType2);

			if (quaryType2.equals("I")) {

				LOGGER.info("JYP 확인:" + inDto2.getConsShNo() + ":");
				if (inDto2.getConsShNo().equals("NULL") || inDto2.getConsShNo().equals("")) {
					inDto2.setConsShNo(consShNo);
				}

				btLeglActnPrptStatMapper.insert(inDto2);

			} else if (quaryType2.equals("U")) {

				if (inVo.getBLMLMM02DSSDDO05VO().get(i).getDelYn().equals("Y")) {
					btLeglActnPrptStatMapper.remove(inDto2);
				} else {
					btLeglActnPrptStatMapper.update(inDto2);
				}
			}
		}

		return 0;
	}

	private void updateBndClsBaseForDelete(BtLeglActnBaseDTO dto) throws Exception {
		String rslt = leglActsConsShMngMapper.getBndClsBase2(dto);

		if (rslt != null) {
			if (Integer.parseInt(rslt) == 0) {
				// updateBndClsBase2(dto.getLoanNo(), dto.getLoanSeq());
				// this.updateLoanBase2(dto.getLoanNo(), dto.getLoanSeq());
				leglActsConsShMngMapper.updateBndClsBase2(dto);
				leglActsConsShMngMapper.updateLoanBase2(dto);
			}
		} else {
			throw new Exception("업데이트할 채권이 존재하지 않습니다!");
		}
	}

	/**
	 * 메소드명 : getBLMLMM02U02 : 법조치품의신청처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명
	 * : 법조치품의신청 처리한다. 메소드인수 : BLMLMM02U02InVO 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U02(BLMLMM02U02InVO inVo) throws Exception {
		int rslt = 0;
		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());
		inDto.setConsStatCd(Constants.CONS_STAT_APPR_REQ); /* 품의상태코드 1:승인신청 */
		inDto.setConsDt(DateUtil.getCurrentDateString()); /* 품의_일자 */
		inDto.setConsRsn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /* 품의사유 */
		inDto.setBndDivsManEmpNo(inVo.getBLMLMM02DSSDDO03VO().getMngPlcBndDivsEmpNo());
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

		if (!inDto.getBndDivsManEmpNo().equals("")) { // 로그인사용자 id 비교 (임시 "" 셋팅)
			throw new Exception("작성한 사원만 요청이 가능합니다.");
		}

		BtLeglActnBaseDTO consStatCdDTO = new BtLeglActnBaseDTO();

		consStatCdDTO = leglActsConsShMngMapper.getConsStatCd(inDto);

		if (consStatCdDTO == null || !consStatCdDTO.getConsStatCd().equals(" ")) {
			throw new Exception("승인 진행 중 이거나 이미 취소된 건 입니다.");
		}

		// 관리처구분코드 & 관리처채권담당사원번호 비교하여 품의 프로세서 로직 변경되는 소스 빠짐

		rslt = leglActsConsShMngMapper.updateConsStat(inDto);

		return rslt;
	}

	/**
	 * 메소드명 : getBLMLMM02U03 : 법조치품의신청취소 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명
	 * : 법조치품의신청취소 한다. 메소드인수 : BLMLMM02U03InVO 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U03(BLMLMM02U03InVO inVo) throws Exception {
		int rslt = 0;
		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());
		inDto.setConsStatCd(Constants.CONS_STAT_APPR_CNCL); /* 품의상태코드 9:작성취소 */
		inDto.setConsDt(DateUtil.getCurrentDateString()); /* 품의_일자 */
		inDto.setConsRsn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /* 품의사유 */
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

		if (!inDto.getBndDivsManEmpNo().equals("")) { // 로그인사용자 id 비교 (임시 "" 셋팅)
			throw new Exception("작성한 사원만 요청이 가능합니다.");
		}

		BtLeglActnBaseDTO consStatCdDTO = new BtLeglActnBaseDTO();

		consStatCdDTO = leglActsConsShMngMapper.getConsStatCd(inDto);

		if (consStatCdDTO == null || !consStatCdDTO.getConsStatCd().equals("3")) {
			throw new Exception("승인완료된 건은 취소할 수 없습니다.");
		}

		// 관리처구분코드 & 관리처채권담당사원번호 비교하여 품의 프로세서 로직 변경되는 소스 빠짐

		rslt = leglActsConsShMngMapper.updateConsStat(inDto);

		return rslt;
	}

	/**
	 * 메소드명 : getBLMLMM02U04 : 법조치품의본부장승인처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
	 * 설명 : 법조치품의본부장승인처리 한다. 메소드인수 : BLMLMM02U04InVO 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U04(BLMLMM02U04InVO inVo) throws Exception {
		int rslt = 0;
		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());

		inDto.setConsStatCd(Constants.CONS_STAT_APPR_CMPL); /* 품의상태코드 : 3(승인완료) */
		inDto.setBonbAprvEmpNo(inVo.getLogInEmpNo()); /* 본부_승인_사원번호 : 로그인사용자ID */
		inDto.setBonbAprvDt(DateUtil.getCurrentDateString()); /* 본부_승인_일자 */
		inDto.setBonbOpn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /* 본부_의견 */
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

		// 대출기본-채권마감기본 갱신
		updateBndClsBaseForInsert(inDto);

		BtLeglActnBaseDTO consStatCdDTO = new BtLeglActnBaseDTO();

		consStatCdDTO = leglActsConsShMngMapper.getConsStatCd(inDto);

		if (consStatCdDTO == null || !consStatCdDTO.getConsStatCd().equals("1")) {
			throw new Exception("이미 승인처리된 건 이거나 승인취소된 건 입니다.");
		}

		// 관리처구분코드 & 관리처채권담당사원번호 비교하여 품의 프로세서 로직 변경되는 소스 빠짐

		rslt = leglActsConsShMngMapper.updateConsStatProc(inDto);

		return rslt;
	}

	private void updateBndClsBaseForInsert(BtLeglActnBaseDTO dto) throws Exception {
		BtBndClsBaseDTO btBndClsBaseDTO = leglActsConsShMngMapper.getBndClsBase(dto);

		if (btBndClsBaseDTO != null) {

			if (btBndClsBaseDTO.getLeglActsStatCd().equals("0") || btBndClsBaseDTO.getLeglActsWdrwObjFg().equals("0")
					|| btBndClsBaseDTO.getLeglActsWdrwObjDt().equals(" ")) {

				// updateBndClsBase2(dto.getLoanNo(), dto.getLoanSeq());
				// this.updateLoanBase2(dto.getLoanNo(), dto.getLoanSeq());
				leglActsConsShMngMapper.updateBndClsBase1(dto);
				leglActsConsShMngMapper.updateLoanBase1(dto);
			}
		} else {
			throw new Exception("업데이트할 채권이 존재하지 않습니다!");
		}
	}

	/**
	 * 메소드명 : getBLMLMM02U05 : 법조치품의반려처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명
	 * : 법조치품의반려처리 한다. 메소드인수 : BLMLMM02U05InVO
	 * </p>
	 * 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U05(BLMLMM02U05InVO inVo) throws Exception {
		int rslt = 0;
		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());

		inDto.setConsStatCd(Constants.SPACE); /* 품의상태코드 */
		inDto.setBonbAprvEmpNo(inVo.getLogInEmpNo()); /* 본부_승인_사원번호 : 로그인사용자ID */
		inDto.setBonbAprvDt(DateUtil.getCurrentDateString()); /* 본부_승인_일자 */
		inDto.setBonbOpn((inVo.getBLMLMM02DSSDDO03VO().getConsRsn() == null) ? Constants.SPACE
				: inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /* 본부_의견 */
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

		BtLeglActnBaseDTO consStatCdDTO = new BtLeglActnBaseDTO();

		consStatCdDTO = leglActsConsShMngMapper.getConsStatCd(inDto);

		if (consStatCdDTO == null || !consStatCdDTO.getConsStatCd().equals("1")) {
			throw new Exception("이미 승인처리된 건 이거나 승인취소된 건 입니다.");
		}

		rslt = leglActsConsShMngMapper.updateConsStatProc(inDto);

		return rslt;
	}

	/**
	 * 메소드명 : getBLMLMM02U06 : 법조치품의거절처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 / 설명
	 * : 법조치품의거절처리 한다. 메소드인수 : BLMLMM02U06InVO
	 * </p>
	 * 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U06(BLMLMM02U06InVO inVo) throws Exception {
		int rslt = 0;
		BtLeglActnBaseDTO inDto = new BtLeglActnBaseDTO();

		inDto.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		inDto.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		inDto.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());

		inDto.setConsStatCd(Constants.CONS_STAT_APPR_REF); /* 품의상태코드 6(거절) */
		inDto.setBonbAprvEmpNo(inVo.getLogInEmpNo()); /* 본부_승인_사원번호 : 로그인사용자ID */
		inDto.setBonbAprvDt(DateUtil.getCurrentDateString()); /* 본부_승인_일자 */
		inDto.setBonbOpn((inVo.getBLMLMM02DSSDDO03VO().getConsRsn() == null) ? Constants.SPACE
				: inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /* 본부_의견 */
		inDto.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

		BtLeglActnBaseDTO consStatCdDTO = new BtLeglActnBaseDTO();

		consStatCdDTO = leglActsConsShMngMapper.getConsStatCd(inDto);

		if (consStatCdDTO == null || !consStatCdDTO.getConsStatCd().equals("1")) {
			throw new Exception("이미 승인처리된 건 이거나 승인취소된 건 입니다.");
		}

		rslt = leglActsConsShMngMapper.updateConsStatProc(inDto);

		return rslt;
	}

	/**
	 * 메소드명 : getBLMLMM02U07 : 법조치품의비용발생처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
	 * 설명 : 법조치품의비용발생처리 한다. 메소드인수 : BLMLMM02U07InVO
	 * </p>
	 * 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U07(BLMLMM02U07InVO inVo) throws Exception {
		int rslt = 0;
		String getDir = DateUtil.getCurrentDateString().substring(0, 6);

		BtLeglActnBaseDTO btLeglActnBaseDTO = new BtLeglActnBaseDTO();
		LeglActsConsShMngDSSDDO03DTO leglActsConsShMngDSSDDO03DTO = new LeglActsConsShMngDSSDDO03DTO();
		BtLeglActnCostDTO costdto2 = new BtLeglActnCostDTO();
		BtLeglActnCostDTO costdto3 = new BtLeglActnCostDTO();

		btLeglActnBaseDTO.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		btLeglActnBaseDTO.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		btLeglActnBaseDTO.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());
		btLeglActnBaseDTO.setCustNo(inVo.getBLMLMM02DSSDDO03VO().getCustNo());
		btLeglActnBaseDTO.setPrptTpCd(inVo.getBLMLMM02DSSDDO03VO().getPrptTpCd());
		btLeglActnBaseDTO.setPrptKindCd(inVo.getBLMLMM02DSSDDO03VO().getPrptKindCd());
		btLeglActnBaseDTO.setActnStatCd(inVo.getBLMLMM02DSSDDO03VO().getActnStatCd());
		btLeglActnBaseDTO.setActnStatOccrDt(inVo.getBLMLMM02DSSDDO03VO().getActnStatOccrDt());
		btLeglActnBaseDTO.setActnTpCd(inVo.getBLMLMM02DSSDDO03VO().getActnTpCd());
		btLeglActnBaseDTO.setAskCausCd(inVo.getBLMLMM02DSSDDO03VO().getAskCausCd());
		btLeglActnBaseDTO.setCaseKindCd(inVo.getBLMLMM02DSSDDO03VO().getCaseKindCd());
		btLeglActnBaseDTO.setLwstKindCd(inVo.getBLMLMM02DSSDDO03VO().getLwstKindCd());
		btLeglActnBaseDTO.setSeizKindCd(inVo.getBLMLMM02DSSDDO03VO().getSeizKindCd()); /*  */
		btLeglActnBaseDTO.setJudDept(inVo.getBLMLMM02DSSDDO03VO().getJudDept()); /*  */
		btLeglActnBaseDTO.setJdcaReqBizNo(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqBizNo()); /*  */
		btLeglActnBaseDTO.setJdcaReqVndrNm(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqVndrNm()); /*  */
		btLeglActnBaseDTO.setPledrJadvReqDt(inVo.getBLMLMM02DSSDDO03VO().getPledrJadvReqDt()); /*  */
		btLeglActnBaseDTO.setPayPlc(inVo.getBLMLMM02DSSDDO03VO().getPayPlc()); /*  */
		btLeglActnBaseDTO.setAskDiv(inVo.getBLMLMM02DSSDDO03VO().getAskDiv()); /*  */
		btLeglActnBaseDTO.setJstDt(inVo.getBLMLMM02DSSDDO03VO().getJstDt()); /*  */
		btLeglActnBaseDTO.setRegDt(inVo.getBLMLMM02DSSDDO03VO().getRegDt()); /*  */
		btLeglActnBaseDTO.setSueFg(inVo.getBLMLMM02DSSDDO03VO().getSueFg()); /*  */
		btLeglActnBaseDTO.setExecStmtWdrwFg(inVo.getBLMLMM02DSSDDO03VO().getExecStmtWdrwFg()); /*  */
		btLeglActnBaseDTO.setPpayAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getPpayAmtWdrwDt()); /*  */
		btLeglActnBaseDTO.setDepsAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getDepsAmtWdrwDt()); /*  */
		btLeglActnBaseDTO.setAuctDivCd(inVo.getBLMLMM02DSSDDO03VO().getAuctDivCd()); /*  */
		btLeglActnBaseDTO.setAlotAmt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmt()); /*  */
		btLeglActnBaseDTO.setAlotAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmtWdrwDt()); /*  */
		btLeglActnBaseDTO.setDistCortCd(inVo.getBLMLMM02DSSDDO03VO().getDistCortCd()); /*  */
		btLeglActnBaseDTO.setCaseNo(inVo.getBLMLMM02DSSDDO03VO().getCaseNo()); /*  */
		btLeglActnBaseDTO.setEndTpCd(inVo.getBLMLMM02DSSDDO03VO().getEndTpCd()); /*  */
		btLeglActnBaseDTO.setCaseEndDt(inVo.getBLMLMM02DSSDDO03VO().getCaseEndDt()); /*  */
		btLeglActnBaseDTO.setAskAmt(inVo.getBLMLMM02DSSDDO03VO().getAskAmt()); /*  */
		btLeglActnBaseDTO.setPrptRschExclFg(inVo.getBLMLMM02DSSDDO03VO().getPrptRschExclFg()); /*  */
		btLeglActnBaseDTO.setWdrwPossStatCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossStatCd()); /*  */
		btLeglActnBaseDTO.setWdrwPossTermCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossTermCd()); /*  */
		btLeglActnBaseDTO.setDlyPamt(inVo.getBLMLMM02DSSDDO03VO().getDlyPamt()); /*  */
		btLeglActnBaseDTO.setDlyInt(inVo.getBLMLMM02DSSDDO03VO().getDlyInt()); /*  */
		btLeglActnBaseDTO.setDlyTims(inVo.getBLMLMM02DSSDDO03VO().getDlyTims()); /*  */
		btLeglActnBaseDTO.setBalPamt(inVo.getBLMLMM02DSSDDO03VO().getBalPamt()); /*  */
		btLeglActnBaseDTO.setLoanIntRamt(inVo.getBLMLMM02DSSDDO03VO().getLoanIntRamt()); /*  */
		btLeglActnBaseDTO.setBndDivsManEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBndDivsManEmpNo()); /*  */
		btLeglActnBaseDTO.setMngDeptCd(inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /*  */
		btLeglActnBaseDTO.setSueDt(inVo.getBLMLMM02DSSDDO03VO().getSueDt()); /*  */
		btLeglActnBaseDTO.setActnRsnCntn(inVo.getBLMLMM02DSSDDO03VO().getActnRsnCntn()); /*  */
		btLeglActnBaseDTO.setConsDt(inVo.getBLMLMM02DSSDDO03VO().getConsDt()); /*  */
		btLeglActnBaseDTO.setConsCnclDt(inVo.getBLMLMM02DSSDDO03VO().getConsCnclDt()); /*  */
		btLeglActnBaseDTO.setConsStatCd(inVo.getBLMLMM02DSSDDO03VO().getConsStatCd()); /*  */
		btLeglActnBaseDTO.setConsRsn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /*  */
		btLeglActnBaseDTO.setDutyManAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvEmpNo()); /*  */
		btLeglActnBaseDTO.setDutyManAprvDt(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvDt()); /*  */
		btLeglActnBaseDTO.setDutyManOpn(inVo.getBLMLMM02DSSDDO03VO().getDutyManOpn()); /*  */
		btLeglActnBaseDTO.setTmgrAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvEmpNo()); /*  */
		btLeglActnBaseDTO.setTmgrAprvDt(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvDt()); /*  */
		btLeglActnBaseDTO.setTmgrOpn(inVo.getBLMLMM02DSSDDO03VO().getTmgrOpn()); /*  */
		btLeglActnBaseDTO.setBonbAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvEmpNo()); /*  */
		btLeglActnBaseDTO.setBonbAprvDt(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvDt()); /*  */
		btLeglActnBaseDTO.setBonbOpn(inVo.getBLMLMM02DSSDDO03VO().getBonbOpn()); /*  */
		btLeglActnBaseDTO.setFrstRegEmpNo(inVo.getLogInEmpNo()); /*  */
		btLeglActnBaseDTO.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */
		btLeglActnBaseDTO.setCaseNoRegDt(""); /*  */
		btLeglActnBaseDTO.setCrimTpClasCd(inVo.getBLMLMM02DSSDDO03VO().getCrimTpClasCd()); /*  */

		leglActsConsShMngDSSDDO03DTO.setMngPlcDivCd(inVo.getBLMLMM02DSSDDO03VO().getMngPlcDivCd());
		leglActsConsShMngDSSDDO03DTO.setMngPlcBndDivsEmpNo(inVo.getBLMLMM02DSSDDO03VO().getMngPlcBndDivsEmpNo());

		LOGGER.info("=====================================금액들 확인해봅시다.==============================================");
		LOGGER.info("건수는?:" + inVo.getBLMLMM02DSSDDO04VO().size());
		for (int i = 0; i < inVo.getBLMLMM02DSSDDO04VO().size(); i++) {


			LOGGER.info( "변호법무수수료 공급가(pledJadvFee):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJadvFee() );
			LOGGER.info( "변호법무수수료 부가세(pledJdcaFeeVtax):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJdcaFeeVtax() );
			LOGGER.info( "기타비용 공급가(EtcCost):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCost() );
			LOGGER.info( "기타비용 부가세(etcCostVtax):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCostVtax() );
			LOGGER.info( "공탁금 현금(DepsAmt):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmt() );
			LOGGER.info( "공탁금 보험료(depsInsuFee):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsInsuFee() );
			LOGGER.info( "인지대(stmpLrge):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getStmpLrge() );
			LOGGER.info( "증지대(crtfplcLrge):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getCrtfplcLrge() );
			LOGGER.info( "송달료(dsptFee):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getDsptFee() );
			LOGGER.info( "등록세(rtax):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getRtax() );
			LOGGER.info( "예납금(ppayamt):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getPpayamt() );

			LOGGER.info( "회계일자(AcctDt):" + inVo.getBLMLMM02DSSDDO04VO().get(i).getAcctDt() );

			BtLeglActnCostDTO btLeglActnCostDTO = new BtLeglActnCostDTO();

			btLeglActnCostDTO.setLoanNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanNo());
			btLeglActnCostDTO.setLoanNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanNo()); /* 대출_번호 */
			btLeglActnCostDTO.setLoanSeq(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanSeq()); /* 대출_순번 */
			btLeglActnCostDTO.setConsShNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getConsShNo()); /* 품의서_번호 */
			btLeglActnCostDTO.setSnum(inVo.getBLMLMM02DSSDDO04VO().get(i).getSnum()); /* 전입_일자 */
			btLeglActnCostDTO.setAcctDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAcctDt()); /* 회계_일자 */
			btLeglActnCostDTO.setVochNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getVochNo()); /* 전표_번호 */
			btLeglActnCostDTO.setDepsAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmt()); /* 공탁금 */
			btLeglActnCostDTO.setEtcCost(inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCost()); /* 기타_비용 */
			btLeglActnCostDTO.setDepsInsuFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsInsuFee()); /* 공탁_보험_료 */
			btLeglActnCostDTO.setStmpLrge(inVo.getBLMLMM02DSSDDO04VO().get(i).getStmpLrge()); /* 인지_대 */
			btLeglActnCostDTO.setCrtfplcLrge(inVo.getBLMLMM02DSSDDO04VO().get(i).getCrtfplcLrge()); /* 증지_대 */
			btLeglActnCostDTO.setDsptFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getDsptFee()); /* 송달료 */
			btLeglActnCostDTO.setRtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getRtax()); /* 등록세 */
			btLeglActnCostDTO.setPpayamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getPpayamt()); /* 예납금 */
			btLeglActnCostDTO.setPledJadvFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJadvFee()); /* 변호_법무사_수수료 */
			btLeglActnCostDTO.setAskAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskAmt()); /* 청구_금액 */
			btLeglActnCostDTO.setAskDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskDt()); /* 청구_일자 */
			btLeglActnCostDTO.setCostCnclFg(inVo.getBLMLMM02DSSDDO04VO().get(i).getCostCnclFg()); /* 비용_취소_여부 */
			btLeglActnCostDTO.setCostOccrDivCd(inVo.getBLMLMM02DSSDDO04VO().get(i)
					.getCostOccrDivCd()); /* 비용_발생_구분_코드[비용발생구분코드(GUBUN_CODE:B00119)] */
			btLeglActnCostDTO.setCostJstDivCd(inVo.getBLMLMM02DSSDDO04VO().get(i).getCostJstDivCd()); /* 취소_여부 */
			btLeglActnCostDTO.setRecpAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getRecpAmt()); /* 수령_금액 */
			btLeglActnCostDTO.setRecpDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getRecpDt()); /* 수령_일자 */
			btLeglActnCostDTO.setJstDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getJstDt()); /* 결제_일자 */
			btLeglActnCostDTO.setMakeDeptCd(
					inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /* 작성_부서_코드[계정구분코드 (GUBUN_CODE:A00009)] */
			btLeglActnCostDTO.setAcctDeptCd(
					inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /* 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)] */
			btLeglActnCostDTO.setFrstRegEmpNo(inVo.getLogInEmpNo()); /* 최초_등록_사원_번호 */
			btLeglActnCostDTO.setLastProcEmpNo(inVo.getLogInEmpNo()); /* 최종_처리_사원_번호 */
			btLeglActnCostDTO
					.setJdcaReqBizNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getJdcaReqBizNo()); /* 법무사_변호사_사업자등록번호 */
			btLeglActnCostDTO.setJdcaReqVndrNm(inVo.getBLMLMM02DSSDDO04VO().get(i).getJdcaReqVndrNm()); /* 법무_의뢰_업체명 */
			btLeglActnCostDTO
					.setPledrJadvReqDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledrJadvReqDt()); /* 변호사_법무사_의뢰_일자 */
			btLeglActnCostDTO.setPayPlc(inVo.getBLMLMM02DSSDDO04VO().get(i).getPayPlc()); /* 지급_처 */
			btLeglActnCostDTO.setAskDiv(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskDiv()); /* 청구_구분 */
			btLeglActnCostDTO
					.setBadDebtAfOccrDiv(inVo.getBLMLMM02DSSDDO04VO().get(i).getBadDebtAfOccrDiv()); /* 대손_후_발생_구분 */
			btLeglActnCostDTO
					.setPledJdcaFeeVtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJdcaFeeVtax()); /* 변호_법무_수수료_부가세 */
			btLeglActnCostDTO.setEtcCostVtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCostVtax()); /* 기타_비용_부가세 */
			btLeglActnCostDTO.setAdjAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAdjAmt()); /* 정산_금액 */
			btLeglActnCostDTO
					.setLeglActnCostRamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getLeglActnCostRamt()); /* 법적_조치_비용_잔액 */
			btLeglActnCostDTO.setCnclFg(inVo.getBLMLMM02DSSDDO04VO().get(i).getCnclFg()); /* 취소_여부 */
			btLeglActnCostDTO.setCnclDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getCnclDt()); /* 취소_일자 */
			btLeglActnCostDTO.setOrgSnum(inVo.getBLMLMM02DSSDDO04VO().get(i).getOrgSnum()); /* 원_일련번호 */
			btLeglActnCostDTO.setDepsAmtAdjAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmtAdjAmt()); /* 공탁금_정산_금액 */
			btLeglActnCostDTO.setDepsAmtRamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmtRamt()); /* 공탁금_잔액 */


			LOGGER.info( "변호법무수수료 공급가(pledJadvFee):" + btLeglActnCostDTO.getPledJadvFee() );
			LOGGER.info( "변호법무수수료 부가세(pledJdcaFeeVtax):" + btLeglActnCostDTO.getPledJdcaFeeVtax() );
			LOGGER.info( "기타비용 공급가(EtcCost):" + btLeglActnCostDTO.getEtcCost() );
			LOGGER.info( "기타비용 부가세(etcCostVtax):" + btLeglActnCostDTO.getEtcCostVtax() );
			LOGGER.info( "공탁금 현금(DepsAmt):" + btLeglActnCostDTO.getDepsAmt() );
			LOGGER.info( "공탁금 보험료(depsInsuFee):" + btLeglActnCostDTO.getDepsInsuFee() );
			LOGGER.info( "인지대(stmpLrge):" + btLeglActnCostDTO.getStmpLrge() );
			LOGGER.info( "증지대(crtfplcLrge):" + btLeglActnCostDTO.getCrtfplcLrge() );
			LOGGER.info( "송달료(dsptFee):" + btLeglActnCostDTO.getDsptFee() );
			LOGGER.info( "등록세(rtax):" + btLeglActnCostDTO.getRtax() );
			LOGGER.info( "예납금(ppayamt):" + btLeglActnCostDTO.getPpayamt() );

			LOGGER.info( "법적조치비용잔액(LeglActnCostRamt):" + btLeglActnCostDTO.getLeglActnCostRamt() );

			String resultCd = "";

			// 공탁금 = depsAmt
			// 기타 + 공탁보험료 + 인지대 + 증지대 + 송달료 + 등록세 + 예납금 + 변호 법무 수수료
			// 법조치증빙-부가세항목추가
			long depsAmt = btLeglActnCostDTO.getDepsAmt().longValue();

			long thisCost = btLeglActnCostDTO.getEtcCost().longValue() + btLeglActnCostDTO.getDepsInsuFee().longValue()
					+ btLeglActnCostDTO.getStmpLrge().longValue() + btLeglActnCostDTO.getCrtfplcLrge().longValue()
					+ btLeglActnCostDTO.getDsptFee().longValue() + btLeglActnCostDTO.getRtax().longValue()
					+ btLeglActnCostDTO.getPpayamt().longValue() + btLeglActnCostDTO.getPledJadvFee().longValue()
					+ btLeglActnCostDTO.getPledJdcaFeeVtax().longValue()
					+ btLeglActnCostDTO.getEtcCostVtax().longValue();

			long sumAmt = depsAmt + thisCost;
			LOGGER.info( "depsAmt:" + depsAmt );
			LOGGER.info( "thisCost:" + thisCost );
			LOGGER.info( "합계 금액:" + sumAmt);

			if (sumAmt > 0) {

				LOGGER.info( "if문 안으로 진입함" );
				// 같은 회계날짜(acct_dt)에 같은 tr_desc_no가 들어오는 것을 방지한다. (내역은 무조건 1개만 끊기도록...)
				// 들어오는 조건이 1개의 품의번호에 여러개의 비용이 발생할 수 있지만
				String tmp_Snum = "0";
				costdto2 = leglActsConsShMngMapper.searchMaxSnum(btLeglActnCostDTO);

				if (costdto2 == null || "".equals(costdto2)) {
					tmp_Snum = "1";
				} else {
					tmp_Snum = String.valueOf(costdto2.getSnum() + 1);
				}

				// 기존에는 전표발행시에 askAmt를 세팅해주지 않았음....변경한다.
				btLeglActnCostDTO.setAskAmt(BigDecimal.valueOf(thisCost));

				// 법조치비용잔액 - 건별 비용관리 (처음 요청된 금액을 세팅한다.)
				btLeglActnCostDTO.setLeglActnCostRamt(BigDecimal.valueOf(thisCost));
				btLeglActnCostDTO.setCnclFg("0"); // 취소여부 1:취소, 0:정상
				// 처음 넣을때 공탁금 잔액을 세팅한다.
				btLeglActnCostDTO.setDepsAmtRamt(btLeglActnCostDTO.getDepsAmt());

				// 무조건 비용발생시 바로 증빙도 함께 발생하므로 insert만 된다. update부분 삭제
				btLeglActnCostDTO.setSnum(Long.valueOf(tmp_Snum));

				// 두비스 에러수정할 부분 (이곳에서 전표번호를 못가져올경우 에러처리를 해줘야 하나???)
				// 두비스 resultCd를 넘겨준다. (대손건은 거래유형이 B0155, B0165로 변경)
				int trDescNo = 0;

				// trDescNo = this.callVoch(tdoCost, tdoBase.getAskDiv(), tdoCost.getAcctDt(),
				// tdoCost.getJstDt(), VC_REGIST, thisCost, event, tx, resultCd, ds_profMng);
				trDescNo = this.callVoch(btLeglActnCostDTO, btLeglActnBaseDTO.getAskDiv(),
						btLeglActnCostDTO.getAcctDt(), btLeglActnCostDTO.getJstDt(), VC_REGIST, thisCost,
						inVo.getLogInEmpNo(), inVo.getBLMLMM02DSPROFMNGVO());

				// trDescNo가 0이거나 발생안한 null값이나 -값이 들어오면 비정상발생이라 생각하고 Exception처리를 한다.
/* JYP 전표 임시 주석 처리 */
				if (trDescNo <= 0) {
					throw new Exception("비정상적인 자동전표번호가 발생했습니다.\n청구입금의 자동전표내역을 꼭 확인하신 후 화면조회버튼을 눌러주세요!!!");
				} else {
					btLeglActnCostDTO.setVochNo(String.valueOf(trDescNo)); // 전표 발행
				}
/**/
				BtLeglActnCostDTO newSnumDto = new BtLeglActnCostDTO();
				newSnumDto = leglActsConsShMngMapper.searchNewSnum(btLeglActnCostDTO);
				btLeglActnCostDTO.setSnum(newSnumDto.getSnum());

				btLeglActnCostMapper.insert(btLeglActnCostDTO);

				// 법조치비용집계 갱신 (2018-08-01 변경)
				updateLeglActnCostTot(btLeglActnCostDTO, TX_INSERT, resultCd);

				/*
				 * // 증빙관련 항목을 세팅한다. if (inVo.getBLMLMM02DSPROFMNGVO() != null) { for (int j =
				 * 0; j < inVo.getBLMLMM02DSPROFMNGVO().size(); j++) {
				 *
				 * BtLeglActnProfMngDTO tdoProfMng = new BtLeglActnProfMngDTO();
				 *
				 * tdoProfMng.setLoanNo(inVo.getBLMLMM02DSPROFMNGVO().get(j).getLoanNo()); 대출_번호
				 * tdoProfMng.setLoanSeq(inVo.getBLMLMM02DSPROFMNGVO().get(j).getLoanSeq());
				 * 대출_순번
				 * tdoProfMng.setConsShNo(inVo.getBLMLMM02DSPROFMNGVO().get(j).getConsShNo());
				 * 품의서_번호 tdoProfMng.setSnum(inVo.getBLMLMM02DSPROFMNGVO().get(j).getSnum());
				 * 일련번호
				 * tdoProfMng.setProfSnum(inVo.getBLMLMM02DSPROFMNGVO().get(j).getProfSnum());
				 * 증빙_일련번호
				 * tdoProfMng.setLeglActnCostKindCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).
				 * getLeglActnCostKindCd()); 법적_조치_비용_종류_코드[법적조치비용종류코드 (GUBUN_CODE: B00243)]
				 * tdoProfMng.setProfKindCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).getProfKindCd()
				 * ); 증빙_종류_코드[증빙종류코드 (GUBUN_CODE:A00013)]
				 * tdoProfMng.setSplyDt(inVo.getBLMLMM02DSPROFMNGVO().get(j).getSplyDt()); 공급_일자
				 * tdoProfMng.setSplyAmt(inVo.getBLMLMM02DSPROFMNGVO().get(j).getSplyAmt());
				 * 공급_가 tdoProfMng.setVtax(inVo.getBLMLMM02DSPROFMNGVO().get(j).getVtax()); 부가세
				 * tdoProfMng.setAskAmt(inVo.getBLMLMM02DSPROFMNGVO().get(j).getAskAmt()); 청구_금액
				 * tdoProfMng.setProfNo(inVo.getBLMLMM02DSPROFMNGVO().get(j).getProfNo()); 증빙_번호
				 * tdoProfMng.setPayplcDivCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).getPayplcDivCd
				 * ()); 지급처_구분_코드
				 * tdoProfMng.setPayplcCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).getPayplcCd());
				 * 지급처_코드
				 * tdoProfMng.setBusiCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).getBusiCd());
				 * 거래처_코드[거래처구분코드 (GUBUN_CODE:A00005)]
				 * tdoProfMng.setBusiNm(inVo.getBLMLMM02DSPROFMNGVO().get(j).getBusiNm()); 거래처_명
				 * tdoProfMng.setAddr(inVo.getBLMLMM02DSPROFMNGVO().get(j).getAddr()); 주소
				 * tdoProfMng.setAddrSpec(inVo.getBLMLMM02DSPROFMNGVO().get(j).getAddrSpec());
				 * 주소_상세 tdoProfMng.setReprNm(inVo.getBLMLMM02DSPROFMNGVO().get(j).getReprNm());
				 * 대표자_명 tdoProfMng.setProfFileRsrvPlc(inVo.getBLMLMM02DSPROFMNGVO().get(j).
				 * getProfFileRsrvPlc()); 증빙_파일_저장_위치
				 * tdoProfMng.setProfRlFileNm(inVo.getBLMLMM02DSPROFMNGVO().get(j).
				 * getProfRlFileNm()); 증빙_실_파일_명
				 * tdoProfMng.setProfChngFileNm(inVo.getBLMLMM02DSPROFMNGVO().get(j).
				 * getProfChngFileNm()); 증빙_변경_파일_명
				 * tdoProfMng.setTaxBillNo(inVo.getBLMLMM02DSPROFMNGVO().get(j).getTaxBillNo());
				 * 세금_계산서_번호
				 * tdoProfMng.setAcctDeptCd(inVo.getBLMLMM02DSPROFMNGVO().get(j).getAcctDeptCd()
				 * ); 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)]
				 * tdoProfMng.setApplDt(inVo.getBLMLMM02DSPROFMNGVO().get(j).getApplDt()); 신청_일자
				 * tdoProfMng.setApplSnum(inVo.getBLMLMM02DSPROFMNGVO().get(j).getApplSnum());
				 * 신청_일련번호 tdoProfMng.setFrstRegEmpNo(inVo.getLogInEmpNo()); 최초_등록_사원번호
				 * tdoProfMng.setLastProcEmpNo(inVo.getLogInEmpNo()); 최종_처리_사원번호
				 *
				 * // 날짜에 -를 붙여준다.
				 * tdoProfMng.setSplyDt(DateConvertUtil.addDash(tdoProfMng.getSplyDt()));
				 *
				 * tdoProfMng.setApplSnum(0); // 증빙발행시 신청snum은 0으로 한다. // 강제로 snum을 세팅한다.
				 * tdoProfMng.setSnum(Long.valueOf(tmp_Snum));
				 *
				 * // 데이타셋 세팅
				 * inVo.getBLMLMM02DSPROFMNGVO().get(j).setSnum(Long.valueOf(tmp_Snum));
				 *
				 * int snum = Integer.parseInt(tmp_Snum); String tranSnum = tmp_Snum;
				 *
				 * int profSnum = i + 1; String tranProfSnum = String.valueOf(i + 1);
				 *
				 * // 순번은 3자리로 세팅되어 있기 때문에 3자리로 세팅한다. if(snum < 10) { tranSnum = "00" +
				 * String.valueOf(tranSnum); } else if(snum >= 10 && snum < 100) { tranSnum =
				 * "0" + String.valueOf(tranSnum); }
				 *
				 * //증빙번호를 세팅한다. (대출번호(11) + 순번(2) + 품의번호(10) + snum(3) = 26자리)
				 * tdoProfMng.setProfNo(tdoProfMng.getLoanNo() + tdoProfMng.getLoanSeq() +
				 * tdoProfMng.getConsShNo() + tranSnum); //데이타셋 세팅
				 * inVo.getBLMLMM02DSPROFMNGVO().get(j).setProfNo(tdoProfMng.getLoanNo() +
				 * tdoProfMng.getLoanSeq() + tdoProfMng.getConsShNo() + tranSnum);
				 *
				 *
				 * if(profSnum < 10) { tranProfSnum = "0" + tranProfSnum; }
				 *
				 * //증빙_일련번호를 세팅한다. (2자리) tdoProfMng.setProfSnum(tranProfSnum); //데이타셋 세팅
				 * inVo.getBLMLMM02DSPROFMNGVO().get(j).setProfSnum(tranProfSnum);
				 *
				 * //디렉토리명을 등록한다.(예) 현재년월 2018-08 tdoProfMng.setProfFileRsrvPlc(getDir);
				 *
				 * //데이타셋 세팅 inVo.getBLMLMM02DSPROFMNGVO().get(j).setProfFileRsrvPlc(getDir);
				 *
				 * // 2018-08-01 두비스 pl채권 추가를 위한 pl채권여부 추가 // 2018-08-01 지급처리를 위해 회계부서코드를
				 * 세팅해준다.(특수채권팀일때는 변경)
				 *
				 * if (!leglActsConsShMngDSSDDO03DTO.getMngPlcDivCd().equals("30") ||
				 * !inVo.getLogInEmpNo().equals(leglActsConsShMngDSSDDO03DTO.
				 * getMngPlcBndDivsEmpNo() )) { tdoProfMng.setAcctDeptCd("test"); // 임시 test 셋팅
				 * 원래 로그인부서코드 셋팅 } else { tdoProfMng.setAcctDeptCd(
				 * btLeglActnBaseDTO.getMngDeptCd() ); }
				 *
				 * tdoProfMng.setAskAmt(tdoProfMng.getSplyAmt().add(tdoProfMng.getVtax()));
				 *
				 * String profKindCd = tdoProfMng.getProfKindCd();
				 *
				 *
				 * // 2018-08-01 두비스 증빙종류코드가 세금계산서(01), 계산서(02)일경우만 세금계산서 로직을 태운다. - 전자세금계산서
				 * 세금계산서 발행 로직 주석 처리 JYP if("01".equals(profKindCd) || "02".equals(profKindCd)
				 * || "13".equals(profKindCd)) { // 발행한 세금계산서번호를 세팅한다.
				 * //this.acctBillProc(tdoProfMng, event, tx); TaxBillBaseVO tvbo = new
				 * TaxBillBaseVO();
				 *
				 * String bizNo = leglActsConsShMngMapper.searchGetBizNo(tdoProfMng);
				 *
				 * tvbo.setProfDt(tdoProfMng.getSplyDt()) ; // 공급일자
				 * tvbo.setBusiCd(tdoProfMng.getBusiCd()) ; // 거래처코드 tvbo.setPurcSalesDivCd("P")
				 * ; // 매입매출 : P (매입) tvbo.setBizNo(bizNo) ; // 사업자등록번호 - 렌터카공제조합본사
				 *
				 * tvbo.setProfKindCd(tdoProfMng.getProfKindCd()) ; // 증빙종류코드
				 * tvbo.setBsnDivCd("6") ; // 업무구분코드 ("6" - 채권가지급) tvbo.setVtaxPurcDivCd("1") ;
				 * // 부가세매입구분코드 (1:일반매입) tvbo.setFrstRegEmpNo(inVo.getLogInEmpNo()) ;
				 * tvbo.setLastProcEmpNo(inVo.getLogInEmpNo()) ;
				 * //tvbo.setDeptCd(tdoProfMng.getMakeDeptCd()) ; // 부서코드 //2018-08-01 두비스 기존
				 * 발생부서기준, 변경 회계부서기준 tvbo.setDeptCd(tdoProfMng.getAcctDeptCd()) ; // 부서코드
				 *
				 * tvbo.setStatCd("1") ; // 상태코드 : 1(발행) tvbo.setLoanNo(tdoProfMng.getLoanNo()+
				 * tdoProfMng.getLoanSeq()); //대출번호+대출순번 tvbo.setRmk(tdoProfMng.getConsShNo() +
				 * "-" + tdoProfMng.getSnum() + "-" + tdoProfMng.getProfSnum());
				 *
				 * TaxBillDescVO taxDesc = new TaxBillDescVO();
				 * taxDesc.setTaxBillSnum(String.valueOf(1)); taxDesc.setItem("");
				 * taxDesc.setSpec(""); taxDesc.setPrce(tdoProfMng.getSplyAmt().toString());
				 * taxDesc.setSplyAmt(String.valueOf(tdoProfMng.getSplyAmt()));
				 * taxDesc.setVtax(String.valueOf(tdoProfMng.getVtax())); taxDesc.setQty("1");
				 *
				 * taxDesc.setFrstRegEmpNo(inVo.getLogInEmpNo());
				 * taxDesc.setLastProcEmpNo(inVo.getLogInEmpNo()));
				 *
				 * tvbo.addTaxBillDescObj(taxDesc);
				 *
				 *
				 * tdoProfMng.setTaxBillNo(taxBill.insertTaxBillBase(tvbo, con)); // 세금계산서번호를
				 * 리턴한다.
				 *
				 * }
				 *
				 * // 법조치증빙 - 증빙관련 항목을 저장한다. btLeglActnProfMngMapper.insert(tdoProfMng);
				 *
				 *
				 * } }
				 */
			}
		}

		btLeglActnBaseMapper.update(btLeglActnBaseDTO);

		return rslt;
	}

	/**
	 * 메소드명 : getBLMLMM02U08 : 법조치품의비용취소처리 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
	 * 설명 : 법조치품의비용취소처리 한다. 메소드인수 : BLMLMM02U08InVO
	 * </p>
	 * 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U08(BLMLMM02U08InVO inVo) throws Exception {
		int rslt = 0;

		BtLeglActnBaseDTO tdoBase = new BtLeglActnBaseDTO();
		LeglActsConsShMngDSSDDO03DTO leglActsConsShMngDSSDDO03DTO = new LeglActsConsShMngDSSDDO03DTO();

		BtLeglActnCostDTO costTdo = null;
		BtLeglActnCostDTO costTdo2 = null;

		tdoBase.setLoanNo(inVo.getBLMLMM02DSSDDO03VO().getLoanNo());
		tdoBase.setLoanSeq(inVo.getBLMLMM02DSSDDO03VO().getLoanSeq());
		tdoBase.setConsShNo(inVo.getBLMLMM02DSSDDO03VO().getConsShNo());
		tdoBase.setCustNo(inVo.getBLMLMM02DSSDDO03VO().getCustNo());
		tdoBase.setPrptTpCd(inVo.getBLMLMM02DSSDDO03VO().getPrptTpCd());
		tdoBase.setPrptKindCd(inVo.getBLMLMM02DSSDDO03VO().getPrptKindCd());
		tdoBase.setActnStatCd(inVo.getBLMLMM02DSSDDO03VO().getActnStatCd());
		tdoBase.setActnStatOccrDt(inVo.getBLMLMM02DSSDDO03VO().getActnStatOccrDt());
		tdoBase.setActnTpCd(inVo.getBLMLMM02DSSDDO03VO().getActnTpCd());
		tdoBase.setAskCausCd(inVo.getBLMLMM02DSSDDO03VO().getAskCausCd());
		tdoBase.setCaseKindCd(inVo.getBLMLMM02DSSDDO03VO().getCaseKindCd());
		tdoBase.setLwstKindCd(inVo.getBLMLMM02DSSDDO03VO().getLwstKindCd());
		tdoBase.setSeizKindCd(inVo.getBLMLMM02DSSDDO03VO().getSeizKindCd()); /*  */
		tdoBase.setJudDept(inVo.getBLMLMM02DSSDDO03VO().getJudDept()); /*  */
		tdoBase.setJdcaReqBizNo(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqBizNo()); /*  */
		tdoBase.setJdcaReqVndrNm(inVo.getBLMLMM02DSSDDO03VO().getJdcaReqVndrNm()); /*  */
		tdoBase.setPledrJadvReqDt(inVo.getBLMLMM02DSSDDO03VO().getPledrJadvReqDt()); /*  */
		tdoBase.setPayPlc(inVo.getBLMLMM02DSSDDO03VO().getPayPlc()); /*  */
		tdoBase.setAskDiv(inVo.getBLMLMM02DSSDDO03VO().getAskDiv()); /*  */
		tdoBase.setJstDt(inVo.getBLMLMM02DSSDDO03VO().getJstDt()); /*  */
		tdoBase.setRegDt(inVo.getBLMLMM02DSSDDO03VO().getRegDt()); /*  */
		tdoBase.setSueFg(inVo.getBLMLMM02DSSDDO03VO().getSueFg()); /*  */
		tdoBase.setExecStmtWdrwFg(inVo.getBLMLMM02DSSDDO03VO().getExecStmtWdrwFg()); /*  */
		tdoBase.setPpayAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getPpayAmtWdrwDt()); /*  */
		tdoBase.setDepsAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getDepsAmtWdrwDt()); /*  */
		tdoBase.setAuctDivCd(inVo.getBLMLMM02DSSDDO03VO().getAuctDivCd()); /*  */
		tdoBase.setAlotAmt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmt()); /*  */
		tdoBase.setAlotAmtWdrwDt(inVo.getBLMLMM02DSSDDO03VO().getAlotAmtWdrwDt()); /*  */
		tdoBase.setDistCortCd(inVo.getBLMLMM02DSSDDO03VO().getDistCortCd()); /*  */
		tdoBase.setCaseNo(inVo.getBLMLMM02DSSDDO03VO().getCaseNo()); /*  */
		tdoBase.setEndTpCd(inVo.getBLMLMM02DSSDDO03VO().getEndTpCd()); /*  */
		tdoBase.setCaseEndDt(inVo.getBLMLMM02DSSDDO03VO().getCaseEndDt()); /*  */
		tdoBase.setAskAmt(inVo.getBLMLMM02DSSDDO03VO().getAskAmt()); /*  */
		tdoBase.setPrptRschExclFg(inVo.getBLMLMM02DSSDDO03VO().getPrptRschExclFg()); /*  */
		tdoBase.setWdrwPossStatCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossStatCd()); /*  */
		tdoBase.setWdrwPossTermCd(inVo.getBLMLMM02DSSDDO03VO().getWdrwPossTermCd()); /*  */
		tdoBase.setDlyPamt(inVo.getBLMLMM02DSSDDO03VO().getDlyPamt()); /*  */
		tdoBase.setDlyInt(inVo.getBLMLMM02DSSDDO03VO().getDlyInt()); /*  */
		tdoBase.setDlyTims(inVo.getBLMLMM02DSSDDO03VO().getDlyTims()); /*  */
		tdoBase.setBalPamt(inVo.getBLMLMM02DSSDDO03VO().getBalPamt()); /*  */
		tdoBase.setLoanIntRamt(inVo.getBLMLMM02DSSDDO03VO().getLoanIntRamt()); /*  */
		tdoBase.setBndDivsManEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBndDivsManEmpNo()); /*  */
		tdoBase.setMngDeptCd(inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /*  */
		tdoBase.setSueDt(inVo.getBLMLMM02DSSDDO03VO().getSueDt()); /*  */
		tdoBase.setActnRsnCntn(inVo.getBLMLMM02DSSDDO03VO().getActnRsnCntn()); /*  */
		tdoBase.setConsDt(inVo.getBLMLMM02DSSDDO03VO().getConsDt()); /*  */
		tdoBase.setConsCnclDt(inVo.getBLMLMM02DSSDDO03VO().getConsCnclDt()); /*  */
		tdoBase.setConsStatCd(inVo.getBLMLMM02DSSDDO03VO().getConsStatCd()); /*  */
		tdoBase.setConsRsn(inVo.getBLMLMM02DSSDDO03VO().getConsRsn()); /*  */
		tdoBase.setDutyManAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvEmpNo()); /*  */
		tdoBase.setDutyManAprvDt(inVo.getBLMLMM02DSSDDO03VO().getDutyManAprvDt()); /*  */
		tdoBase.setDutyManOpn(inVo.getBLMLMM02DSSDDO03VO().getDutyManOpn()); /*  */
		tdoBase.setTmgrAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvEmpNo()); /*  */
		tdoBase.setTmgrAprvDt(inVo.getBLMLMM02DSSDDO03VO().getTmgrAprvDt()); /*  */
		tdoBase.setTmgrOpn(inVo.getBLMLMM02DSSDDO03VO().getTmgrOpn()); /*  */
		tdoBase.setBonbAprvEmpNo(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvEmpNo()); /*  */
		tdoBase.setBonbAprvDt(inVo.getBLMLMM02DSSDDO03VO().getBonbAprvDt()); /*  */
		tdoBase.setBonbOpn(inVo.getBLMLMM02DSSDDO03VO().getBonbOpn()); /*  */
		tdoBase.setFrstRegEmpNo(inVo.getLogInEmpNo()); /*  */
		tdoBase.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */
		tdoBase.setCaseNoRegDt(""); /*  */
		tdoBase.setCrimTpClasCd(inVo.getBLMLMM02DSSDDO03VO().getCrimTpClasCd()); /*  */

		for (int i = 0; i < inVo.getBLMLMM02DSSDDO04VO().size(); i++) {

			BtLeglActnCostDTO tdoCost = new BtLeglActnCostDTO();

			tdoCost.setLoanNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanNo());
			tdoCost.setLoanNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanNo()); /* 대출_번호 */
			tdoCost.setLoanSeq(inVo.getBLMLMM02DSSDDO04VO().get(i).getLoanSeq()); /* 대출_순번 */
			tdoCost.setConsShNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getConsShNo()); /* 품의서_번호 */
			tdoCost.setSnum(inVo.getBLMLMM02DSSDDO04VO().get(i).getSnum()); /* 전입_일자 */
			tdoCost.setAcctDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAcctDt()); /* 회계_일자 */
			tdoCost.setVochNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getVochNo()); /* 전표_번호 */
			tdoCost.setDepsAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmt()); /* 공탁금 */
			tdoCost.setEtcCost(inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCost()); /* 기타_비용 */
			tdoCost.setDepsInsuFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsInsuFee()); /* 공탁_보험_료 */
			tdoCost.setStmpLrge(inVo.getBLMLMM02DSSDDO04VO().get(i).getStmpLrge()); /* 인지_대 */
			tdoCost.setCrtfplcLrge(inVo.getBLMLMM02DSSDDO04VO().get(i).getCrtfplcLrge()); /* 증지_대 */
			tdoCost.setDsptFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getDsptFee()); /* 송달료 */
			tdoCost.setRtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getRtax()); /* 등록세 */
			tdoCost.setPpayamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getPpayamt()); /* 예납금 */
			tdoCost.setPledJadvFee(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJadvFee()); /* 변호_법무사_수수료 */
			tdoCost.setAskAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskAmt()); /* 청구_금액 */
			tdoCost.setAskDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskDt()); /* 청구_일자 */
			tdoCost.setCostCnclFg(inVo.getBLMLMM02DSSDDO04VO().get(i).getCostCnclFg()); /* 비용_취소_여부 */
			tdoCost.setCostOccrDivCd(inVo.getBLMLMM02DSSDDO04VO().get(i)
					.getCostOccrDivCd()); /* 비용_발생_구분_코드[비용발생구분코드(GUBUN_CODE:B00119)] */
			tdoCost.setCostJstDivCd(inVo.getBLMLMM02DSSDDO04VO().get(i).getCostJstDivCd()); /* 취소_여부 */
			tdoCost.setRecpAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getRecpAmt()); /* 수령_금액 */
			tdoCost.setRecpDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getRecpDt()); /* 수령_일자 */
			tdoCost.setJstDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getJstDt()); /* 결제_일자 */
			tdoCost.setMakeDeptCd(
					inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /* 작성_부서_코드[계정구분코드 (GUBUN_CODE:A00009)] */
			tdoCost.setAcctDeptCd(
					inVo.getBLMLMM02DSSDDO03VO().getMngDeptCd()); /* 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)] */
			tdoCost.setFrstRegEmpNo(inVo.getLogInEmpNo()); /* 최초_등록_사원_번호 */
			tdoCost.setLastProcEmpNo(inVo.getLogInEmpNo()); /* 최종_처리_사원_번호 */
			tdoCost.setJdcaReqBizNo(inVo.getBLMLMM02DSSDDO04VO().get(i).getJdcaReqBizNo()); /* 법무사_변호사_사업자등록번호 */
			tdoCost.setJdcaReqVndrNm(inVo.getBLMLMM02DSSDDO04VO().get(i).getJdcaReqVndrNm()); /* 법무_의뢰_업체명 */
			tdoCost.setPledrJadvReqDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledrJadvReqDt()); /* 변호사_법무사_의뢰_일자 */
			tdoCost.setPayPlc(inVo.getBLMLMM02DSSDDO04VO().get(i).getPayPlc()); /* 지급_처 */
			tdoCost.setAskDiv(inVo.getBLMLMM02DSSDDO04VO().get(i).getAskDiv()); /* 청구_구분 */
			tdoCost.setBadDebtAfOccrDiv(inVo.getBLMLMM02DSSDDO04VO().get(i).getBadDebtAfOccrDiv()); /* 대손_후_발생_구분 */
			tdoCost.setPledJdcaFeeVtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getPledJdcaFeeVtax()); /* 변호_법무_수수료_부가세 */
			tdoCost.setEtcCostVtax(inVo.getBLMLMM02DSSDDO04VO().get(i).getEtcCostVtax()); /* 기타_비용_부가세 */
			tdoCost.setAdjAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getAdjAmt()); /* 정산_금액 */
			tdoCost.setLeglActnCostRamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getLeglActnCostRamt()); /* 법적_조치_비용_잔액 */
			tdoCost.setCnclFg(inVo.getBLMLMM02DSSDDO04VO().get(i).getCnclFg()); /* 취소_여부 */
			tdoCost.setCnclDt(inVo.getBLMLMM02DSSDDO04VO().get(i).getCnclDt()); /* 취소_일자 */
			tdoCost.setOrgSnum(inVo.getBLMLMM02DSSDDO04VO().get(i).getOrgSnum()); /* 원_일련번호 */
			tdoCost.setDepsAmtAdjAmt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmtAdjAmt()); /* 공탁금_정산_금액 */
			tdoCost.setDepsAmtRamt(inVo.getBLMLMM02DSSDDO04VO().get(i).getDepsAmtRamt()); /* 공탁금_잔액 */

			LOGGER.info( "변호법무수수료 공급가(pledJadvFee):" + tdoCost.getPledJadvFee() );
			LOGGER.info( "변호법무수수료 부가세(pledJdcaFeeVtax):" + tdoCost.getPledJdcaFeeVtax() );
			LOGGER.info( "기타비용 공급가(EtcCost):" + tdoCost.getEtcCost() );
			LOGGER.info( "기타비용 부가세(etcCostVtax):" + tdoCost.getEtcCostVtax() );
			LOGGER.info( "공탁금 현금(DepsAmt):" + tdoCost.getDepsAmt() );
			LOGGER.info( "공탁금 보험료(depsInsuFee):" + tdoCost.getDepsInsuFee() );
			LOGGER.info( "인지대(stmpLrge):" + tdoCost.getStmpLrge() );
			LOGGER.info( "증지대(crtfplcLrge):" + tdoCost.getCrtfplcLrge() );
			LOGGER.info( "송달료(dsptFee):" + tdoCost.getDsptFee() );
			LOGGER.info( "등록세(rtax):" + tdoCost.getRtax() );
			LOGGER.info( "예납금(ppayamt):" + tdoCost.getPpayamt() );

			LOGGER.info( "법적조치비용잔액(LeglActnCostRamt):" + tdoCost.getLeglActnCostRamt() );

			LOGGER.info( "회계일자(AcctDt):" + tdoCost.getAcctDt() );
			LOGGER.info( "취소일자(CnclDt):" + tdoCost.getCnclDt() );

			String resultCd = "";

			if ("9999".equals(resultCd)) {
				throw new Exception("법적조치품의서관리(비용취소) ::: 대손종료건입니다(상태코드:9) 확인해주세요!!!");
			} else if ("3333".equals(resultCd)) // 2018-08-01 두비스 코드 : "9999"(대손종료), "3333"(대손처리), "1111"(일반채권)
			{
				tdoCost.setBadDebtAfOccrDiv("1"); // 대손 건 일 경우 '1'을 세팅한다.
			}

			String vochDupChk = "0";

			vochDupChk = leglActsConsShMngMapper.searchVochDupChk(tdoCost);

			if ("0".equals(vochDupChk)) {
				throw new Exception("취소할 전표번호가 존재하지 않습니다.\n재조회 후 비용을 취소해주시기 바랍니다!!!");
			}

			tdoCost.setCnclFg("1"); // 취소여부 1:취소, 0:정상
			tdoCost.setCnclDt(tdoCost.getCnclDt()); // 취소일자-입력받은 날짜를 세팅한다.

			// 법조치증빙-부가세항목 2개 추가 (순서 주의할 것)
			BigDecimal prevCost = tdoCost.getEtcCost().add(tdoCost.getDepsInsuFee()).add(tdoCost.getStmpLrge())
					.add(tdoCost.getCrtfplcLrge()).add(tdoCost.getDsptFee()).add(tdoCost.getRtax())
					.add(tdoCost.getPpayamt()).add(tdoCost.getPledJadvFee()).add(tdoCost.getPledJdcaFeeVtax())
					.add(tdoCost.getEtcCostVtax());

			// 법비용 내역을 가져온다.
			// costTdo = this.getCost(tdoCost); // 2018-08-01 (두비스)
			costTdo = btLeglActnCostMapper.select(tdoCost); // 법적조치 비용테이블에서 해당대출번호에 해당하는 금액을 가져온다

			BigDecimal leglActnCostRamt = costTdo.getLeglActnCostRamt();

			if (prevCost.compareTo(leglActnCostRamt) != 0 ) {
				throw new Exception("해당비용은 정산중이거나 정산완료된 비용입니다.\n취소하시려면 정산내역을 취소하신 후 취소가능합니다.\n- 발생법비용 : " + prevCost
						+ "\n- 법비용잔액 : " + leglActnCostRamt + "\n- 법비용차액 : " + (prevCost.subtract(leglActnCostRamt)));
			}

			BigDecimal depsAmt = tdoCost.getDepsAmt(); // 공탁금
			BigDecimal depsAmtRamt = costTdo.getDepsAmtRamt(); // 공탁금 잔액

			if (depsAmt.compareTo(depsAmtRamt) != 0) {
				throw new Exception("해당공탁금은 정산중이거나 정산완료되었습니다.\n취소하시려면 공탁금정산내역을 취소하신 후 취소가능합니다.\n- 발생공탁금 : " + depsAmt
						+ "\n- 공탁금잔액 : " + depsAmtRamt + "\n- 공탁금차액 : " + (depsAmt.subtract(depsAmtRamt)));
			}

			// 법조치비용 취소할 비용의 전표에 해당되는 값을 세팅한다.
			// bc.update(tdoCost, tx);
			btLeglActnCostMapper.update(tdoCost);

			LOGGER.info("aaaa_VochNo" + costTdo.getVochNo());

			// 2018-08-01 두비스 공탁금만 금액이 있더라도 취소가 가능하게 한다.
			if (costTdo.getVochNo() != null && prevCost.add(depsAmt).compareTo(BigDecimal.ZERO) == 1) {
				/*
				 * String badDebtAfOccrDiv = costTdo.getBadDebtAfOccrDiv();
				 *
				 * if("3B".equals(loanStatCd) && !"1".equals(badDebtAfOccrDiv)) { throw new
				 * DAOException("대손처리이전에 발생한 비용에 대한 취소는 불가합니다!!!!"); }
				 */

				// 법조치비용집계 갱신(전표취소) - 위치에 주의한다. (새로운 snum과 새로운 내역을 만들기전 내역으로 취소한다.)
				updateLeglActnCostTot(tdoCost, TX_DELETE, resultCd);

				// 2018-08-01 두비스 resultCd를 넘긴다.
				int trDescNo = 0;

				// 법조치비용(취소전표발행-발행된 취소전표의 새로운 vochNo(trSnum)을 가져온다.)
				// 회계일자대신에 cnclDt가 비용취소될 회계일자가 된다.
				// 2018-08-01 두비스 getAcctDt() --> getCnclDt()로변
				trDescNo = this.callVoch(tdoCost, tdoBase.getAskDiv(), tdoCost.getCnclDt(), tdoCost.getJstDt(),
						VC_CANCEL, prevCost.longValue(), inVo.getLogInEmpNo(), inVo.getBLMLMM02DSPROFMNGVO());

				// trDescNo = this.callVoch(btLeglActnCostDTO, btLeglActnBaseDTO.getAskDiv(),
				// btLeglActnCostDTO.getAcctDt(), btLeglActnCostDTO.getJstDt(), VC_REGIST,
				// thisCost, inVo.getLogInEmpNo(), inVo.getBLMLMM02DSPROFMNGVO());

				tdoCost.setVochNo(String.valueOf(trDescNo)); // 취소 전표번호 세팅

				// 새로운 snum을 따기위해 자료를 넘겨준다.
				costTdo2 = leglActsConsShMngMapper.searchMaxSnum(tdoCost);

				String tmp_Snum = String.valueOf(costTdo2.getSnum() + 1);

				// 1. 취소된 snum을 넣어준다. (순서조심할것)
				tdoCost.setOrgSnum(tdoCost.getSnum());

				// 2.새로가져온 snum을 세팅한다. (취소 snum을 가져온다.-기존 발생분말고 새롭게 발생하는 snum)
				tdoCost.setSnum(Long.valueOf(tmp_Snum));

				// 2018-08-01 두비스 전표를 취소했기 때문에 askAmt(청구금액)은 0으로 해준다.
				// 법조치증빙- 전표를 취소하였기때문에 요청금액은 -금액으로 세팅한다.
				// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%[-금액세팅]%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
				BigDecimal minus = new BigDecimal(-1);
				tdoCost.setEtcCost(tdoCost.getEtcCost().multiply(minus));
				tdoCost.setDepsInsuFee(tdoCost.getDepsInsuFee().multiply(minus));
				tdoCost.setStmpLrge(tdoCost.getStmpLrge().multiply(minus));
				tdoCost.setCrtfplcLrge(tdoCost.getCrtfplcLrge().multiply(minus));
				tdoCost.setDsptFee(tdoCost.getDsptFee().multiply(minus));
				tdoCost.setRtax(tdoCost.getRtax().multiply(minus));
				tdoCost.setPpayamt(tdoCost.getPpayamt().multiply(minus));
				tdoCost.setPledJadvFee(tdoCost.getPledJadvFee().multiply(minus));
				tdoCost.setPledJdcaFeeVtax(tdoCost.getPledJdcaFeeVtax().multiply(minus));
				tdoCost.setEtcCostVtax(tdoCost.getEtcCostVtax().multiply(minus));
				tdoCost.setDepsAmt(tdoCost.getDepsAmt().multiply(minus));

				tdoCost.setAskAmt(prevCost.multiply(minus));
				// 잔액도 -금액 토탈로 넣어준다.
				tdoCost.setLeglActnCostRamt(prevCost.multiply(minus));
				tdoCost.setDepsAmtRamt(tdoCost.getDepsAmtRamt().multiply(minus));

				// 2018-08-01 두비스 회계일자를 취소하는 비용내역에만 세팅해준다.
				tdoCost.setAcctDt(tdoCost.getCnclDt()); // 회계일자는 취소일자를 세팅한다.

				// 비용 취소 시 전 발생내역은 그대로 두고 새롭게 취소한 내역을 만들어 준다.
				// bc.insert(tdoCost, tx);
				btLeglActnCostMapper.insert(tdoCost);

				// BtLeglActnProfMngDTO profMngTdo = new BtLeglActnProfMngDTO();
				LeglActsConsShMngDSSMDO02DTO profMngTdo = new LeglActsConsShMngDSSMDO02DTO();
				// Dataset ds_sddo = LeglActsConsShMngProfMngDO.getDataset("DS_PROF_MNG",
				// "euc-kr");

				// 2018-08-01 두비스 증빙 취소처리 로직 변경 (데이터베이스에서 가져오는 방식으로 변경한다.)
				// 파라미터값으로 던질 값을 세팅한다.
				profMngTdo.setLoanNo(tdoCost.getLoanNo()); // 대출번호
				profMngTdo.setLoanSeq(tdoCost.getLoanSeq()); // 대출순번
				profMngTdo.setConsShNo(tdoCost.getConsShNo()); // 품의번호
				profMngTdo.setSnum(tdoCost.getOrgSnum()); // snum (취소할 snum을 넣어준다)

				// 법적조치 증빙내역을 가져온다.
				// 법조치증빙내역 조회
				List<LeglActsConsShMngDSPROFMNGDTO> doList = leglActsConsShMngMapper.searchActnProfMng(profMngTdo);

				if (doList != null && doList.size() > 0) {
					// List<BLMLMM02DSPROFMNGVO> prof_ds_sddo = new
					// ArrayList<BLMLMM02DSPROFMNGVO>();
					for (LeglActsConsShMngDSPROFMNGDTO resultDO : doList) {
						BtLeglActnProfMngDTO tdoProfMng = new BtLeglActnProfMngDTO();

						tdoProfMng.setLoanNo(resultDO.getLoanNo());
						tdoProfMng.setLoanSeq(resultDO.getLoanSeq());
						tdoProfMng.setConsShNo(resultDO.getConsShNo());
						tdoProfMng.setSnum(Long.valueOf(tmp_Snum)); // 취소될번호의 snum을 넣어준다. (현재는 취소전 snum 세팅)
						tdoProfMng.setProfSnum(resultDO.getProfSnum());
						tdoProfMng.setLeglActnCostKindCd(resultDO.getLeglActnCostKindCd());
						tdoProfMng.setProfKindCd(resultDO.getProfKindCd());
						tdoProfMng.setSplyDt(resultDO.getSplyDt());
						// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%[-금액세팅]%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
						tdoProfMng.setSplyAmt(resultDO.getSplyAmt().multiply(minus));
						tdoProfMng.setVtax(resultDO.getVtax().multiply(minus));
						tdoProfMng.setAskAmt(resultDO.getAskAmt().multiply(minus));
						// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%[-금액세팅]%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
						tdoProfMng.setProfNo(""); // 증빙관련내용은 모두 삭제 한다. (증빙번호)
						tdoProfMng.setProfFileRsrvPlc(""); // 증빙관련내용은 모두 삭제 한다. (증빙파일위치)
						tdoProfMng.setProfRlFileNm(""); // 증빙관련내용은 모두 삭제 한다. (증빙실파일명)
						tdoProfMng.setProfChngFileNm(""); // 증빙관련내용은 모두 삭제 한다. (증빙변경파일명)

						tdoProfMng.setPayplcDivCd(resultDO.getPayplcDivCd());
						tdoProfMng.setPayplcCd(resultDO.getPayplcCd());
						tdoProfMng.setBusiCd(resultDO.getBusiCd());
						tdoProfMng.setBusiNm(resultDO.getBusiNm());
						tdoProfMng.setAddr(resultDO.getAddr());
						tdoProfMng.setAddrSpec(resultDO.getAddrSpec());
						tdoProfMng.setReprNm(resultDO.getReprNm());
						tdoProfMng.setTaxBillNo(resultDO.getTaxBillNo());
						tdoProfMng.setAcctDeptCd(resultDO.getAcctDeptCd());
						tdoProfMng.setApplDt(resultDO.getApplDt());
						tdoProfMng.setApplSnum(resultDO.getApplSnum());
						tdoProfMng.setFrstRegEmpNo(resultDO.getMakeEmpNo());
						tdoProfMng.setLastProcEmpNo(resultDO.getMakeEmpNo());

						// 법조치증빙 - 증빙관련 항목을 저장한다.
						btLeglActnProfMngMapper.insert(tdoProfMng);

						String profKindCd = tdoProfMng.getProfKindCd();
						// 2018-08-01 두비스 증빙종류코드가 세금계산서(01), 계산서(02)일경우만 세금계산서 로직을 태운다.
						if ("01".equals(profKindCd) || "02".equals(profKindCd) || "13".equals(profKindCd)) {
							// 발행한 세금계산서번호를 취소한다.
							// this.acctBillDeleteProc(tdoProfMng);
						}
					}
				}
			}
		}

		return rslt;
	}

	private int callVoch(BtLeglActnCostDTO tdo, String askDiv, String acctDt, String isrtDt, int vcFg, long etcCost,
			String logInEmpNo, List<BLMLMM02DSPROFMNGVO> ds_profMng) throws Exception {
		LOGGER.info("JYP callVoch 호출");

		// (대출원장에서 가져오는 방식으로 변경)
		String flotIzeDivCdSeq = "";

		List<StLoanBaseDTO> stLoanBaseDTO = leglActsConsShMngMapper.searchFlotIzeDivCdSeq(tdo);

		if (stLoanBaseDTO != null && stLoanBaseDTO.size() > 0) {
			for (int i = 0; i < stLoanBaseDTO.size(); i++) {
				flotIzeDivCdSeq = stLoanBaseDTO.get(i).getFlotIzeDivCd() + stLoanBaseDTO.get(i).getFlotIzeSeq();
			}
		}

		// 입력일자 변경 (현재일자로)
		isrtDt = DateUtil.getCurrentDateString();

		if (!flotIzeDivCdSeq.equals("W01")) {
			throw new Exception("유동화발행채권은 법비용처리를 할 수 없습니다.");
		}

		List<BtBndClsBaseDTO> loanBaseDto = leglActsConsShMngMapper.searchGetBndClsBase3(tdo);

		if (loanBaseDto == null) {
			throw new Exception("업데이트할 채권이 존재하지 않습니다!");
		}

		// 전표처리 (거래유형을 B0170으로 통일)
		VochVO inVO = new VochVO();
		inVO.setAcctDt(acctDt); // 회계_일자
		inVO.setTrTpCd("B0160"); // 거래유형코드 (법적조치비용발생 - 통일)
		inVO.setIsrtDeptCd(loanBaseDto.get(0).getMngDeptCd()); // 입력_부서_코드
		inVO.setIsrtEmpNo(logInEmpNo); // 입력_사원_번호

		// 거래내역을 만들어준다.
		ClsTrDescVO inDescVO = null;

		// 발생일때도 예금번호를 세팅하는것으로 변경
		AtDepoBaseDTO intputAtDepoBaseDTO = new AtDepoBaseDTO();
		intputAtDepoBaseDTO.setMngDeptCd(loanBaseDto.get(0).getMngDeptCd());
		List<AtDepoBaseDTO> bankInfo = leglActsConsShMngMapper.searchGetBankInfo(intputAtDepoBaseDTO);

		switch (vcFg) {
		case VC_REGIST:

			BtLeglActnProfMngDTO tdoProfMng = null;
			// 증빙관련 항목을 세팅한다.
			if (ds_profMng != null) {
				for (int i = 0; i < ds_profMng.size(); i++) {
					inDescVO = new ClsTrDescVO();
					inDescVO.setAcctDt(acctDt); // 회계_일자
					inDescVO.setTrTpCd("B0160"); // 거래_유형_코드 - 제예금
					inDescVO.setTrStagCd("010"); // 거래_단계_코드
					inDescVO.setMngAcctUnitCd(flotIzeDivCdSeq); // 회계_단위_코드 : 관리회계
					inDescVO.setIsrtDt(isrtDt); // 입력_일자
					inDescVO.setLoanNo(tdo.getLoanNo()); // 대출_번호
					inDescVO.setLoanSeq(tdo.getLoanSeq()); // 대출_순번
					inDescVO.setPrdtLrgeClasCd(loanBaseDto.get(0).getPrdtLrgeClasCd()); // 상품_대분류_코드
					inDescVO.setPrdtMidClasCd(loanBaseDto.get(0).getPrdtMidClasCd()); // 상품_중분류_코드
					inDescVO.setAcctUnitCd(flotIzeDivCdSeq); // 회계_단위_코드
					inDescVO.setLoanStatCd(loanBaseDto.get(0).getLoanStatCd()); // 대출_상태_코드 회복봉료
					inDescVO.setBndStatCd(loanBaseDto.get(0).getBndStatCd()); // 채권_상태_코드
					inDescVO.setOccrDeptCd(tdo.getMakeDeptCd()); // 발생_부서_코드
					inDescVO.setMngDeptCd(loanBaseDto.get(0).getMngDeptCd()); // 관리_부서_코드
					inDescVO.setCprtComNo(tdoProfMng.getPayplcCd()); // 지급처_코드
					// 2018-08-01 두비스 지급방법 본부예금추가 (1:본부예금) 본부예금은 계좌번호가 필수이다.

					if( bankInfo.size() > 0 ) {
						inDescVO.setBankCd(bankInfo.get(0).getBankCd()); // 은행코드
						inDescVO.setAcntNo(bankInfo.get(0).getAcntNo()); // 계좌번호
					} else {
						inDescVO.setBankCd(""); // 은행코드
						inDescVO.setAcntNo(""); // 계좌번호
					}

					// 법비용종류코드가 03(공탁금)일 경우는 가지급금-여신성이 아닌 공탁금만 세팅한다.
					if (!"03".equals(tdoProfMng.getLeglActnCostKindCd())) {
						// 대손후 발생되었을경우
						/*
						 * if("1".equals(tdo.getBadDebtAfOccrDiv())) { inDescVO.setBadDebtDeprCost
						 * ((long) Double.parseDouble(tdoProfMng.getSplyAmt()) + (long)
						 * Double.parseDouble(tdoProfMng.getVtax())); // 대손상각비 } else {
						 * inDescVO.setLeglActnCost ((long) Double.parseDouble(tdoProfMng.getSplyAmt())
						 * + (long) Double.parseDouble(tdoProfMng.getVtax())); // 법적_조치_비용 }
						 */

						inDescVO.setLeglActnCost(
								tdoProfMng.getSplyAmt().longValue() + tdoProfMng.getVtax().longValue()); // 법적_조치_비용
					} else {
						inDescVO.setDepsAmt(tdo.getDepsAmt().longValue()); // 공탁금
					}
					// log.info("==tdoProfMng.getSplyAmt()=="+tdoProfMng.getSplyAmt());
					// log.info("==tdo.getDepsAmt()=="+tdoProfMng.getSplyAmt());

					// 지급방법 본부예금추가 (1:본부예금) - 본부예금일경우 제예금 메서드에 세팅
					if (askDiv != null && askDiv.trim().equals("1")) {
						inDescVO.setDepo(tdoProfMng.getSplyAmt().longValue() + tdoProfMng.getVtax().longValue()); // 제예금
					} else {
						inDescVO.setPayAmt(tdoProfMng.getSplyAmt().longValue() + tdoProfMng.getVtax().longValue()); // 지급금액(미지급금_전대리스)
					}

					inVO.addClsTrDesc(inDescVO);

				} // end of for
			}

			break;

		case VC_CANCEL:
			// 대손 전후판단 및 지급여부를 가져오는 query
			List<LeglActsConsShMngDSBadDebtPayFgList> badDebtPayFgList = leglActsConsShMngMapper.searchBadDebtPayFgList(tdo);
			String badDebtAfOccrDiv = "0"; // 대손후발생구분 (0:대손전발생, 1:대손후발생)
			int vochCnclFg = 0; // 전표취소가부
			String vochPayStatCd = ""; // 전표지급처리상태코드 (전표발생시 구분할 코드)

			LOGGER.info("JYP 건수확인:" + badDebtPayFgList.size());

			for (int i = 0; i < badDebtPayFgList.size(); i++)
			{
				LOGGER.info("JYP for 진입 확인:");

				inDescVO = new ClsTrDescVO();

				inDescVO.setAcctDt(acctDt); // 회계_일자
				inDescVO.setTrTpCd("B0160"); // 거래_유형_코드 - 제예금
				inDescVO.setTrStagCd("010"); // 거래_단계_코드
				inDescVO.setMngAcctUnitCd(flotIzeDivCdSeq); // 회계_단위_코드 : 관리회계
				inDescVO.setIsrtDt(isrtDt); // 입력_일자
				inDescVO.setLoanNo(tdo.getLoanNo()); // 대출_번호
				inDescVO.setLoanSeq(tdo.getLoanSeq()); // 대출_순번
				LOGGER.info("JYP for 진입 확인1:");
				inDescVO.setPrdtLrgeClasCd(loanBaseDto.get(0).getPrdtLrgeClasCd()); // 상품_대분류_코드
				LOGGER.info("JYP for 진입 확인2:");
				inDescVO.setPrdtMidClasCd(loanBaseDto.get(0).getPrdtMidClasCd()); // 상품_중분류_코드
				inDescVO.setAcctUnitCd(flotIzeDivCdSeq); // 회계_단위_코드
				inDescVO.setLoanStatCd(loanBaseDto.get(0).getLoanStatCd()); // 대출_상태_코드 회복봉료
				inDescVO.setBndStatCd(loanBaseDto.get(0).getBndStatCd()); // 채권_상태_코드
				inDescVO.setOccrDeptCd(tdo.getMakeDeptCd()); // 발생_부서_코드
				inDescVO.setMngDeptCd(loanBaseDto.get(0).getMngDeptCd()); // 관리_부서_코드
				LOGGER.info("JYP for 진입 확인3:");
				if( bankInfo.size() > 0 ) {
					inDescVO.setBankCd(bankInfo.get(0).getBankCd()); // 은행코드
					inDescVO.setAcntNo(bankInfo.get(0).getAcntNo()); // 계좌번호
				} else {
					inDescVO.setBankCd(""); // 은행코드
					inDescVO.setAcntNo(""); // 계좌번호
				}
				LOGGER.info("JYP for 진입 확인4:");
				inDescVO.setCprtComNo(StringUtil.nvl(badDebtPayFgList.get(i).getPayplcCd()) ); // 지급처_코드

				LOGGER.info("JYP inDescVO 셋팅 끝");
				// 지급상태코드(B00244)가 10(지급신청), 50(지급처리중), 60(지급실패)일때는 전표취소를 할 수 없다. (지급처리상태코드 =
				// '1')

				LOGGER.info("JYP 확인:" + badDebtPayFgList.get(i).getPayProcStatCd());
				if ("1".equals(badDebtPayFgList.get(i).getPayProcStatCd())) {
					throw new Exception(
							"취소하려는 비용의 지급상태코드가 10(지급신청), 50(지급처리중), 60(지급실패)중 하나가 존재합니다.\n비용취소할 수 없습니다.(지급상태코드 : "
									+ badDebtPayFgList.get(i).getPayStatCd() + ")");

				}
				else if ("2".equals(badDebtPayFgList.get(i).getPayProcStatCd())) // 지급전 (지급상태코드가 '00'이거나 null)
				{
					inDescVO.setDepsAmt(badDebtPayFgList.get(i).getDepsAmt().longValue() * -1); // 선급금_공탁금(금액항목:공탁금)
					inDescVO.setPayAmt(-1 * (badDebtPayFgList.get(i).getDepsAmt().longValue()
							+ badDebtPayFgList.get(i).getLeglActnCost().longValue())); // 지급금액(미지급금_전대리스)

					// 대손후 발생되었을경우
					/*
					 * if("1".equals(tdo.getBadDebtAfOccrDiv())) { inDescVO.setBadDebtDeprCost
					 * ((long) Double.parseDouble(badDebtPayFgList[1]) * -1); //
					 * 특수채권추심비용(금액항목:대손상각비) } else { inDescVO.setLeglActnCost ((long)
					 * Double.parseDouble(badDebtPayFgList[1]) * -1); // 가지급금_법적조치비용(금액항목:법적조치비용) }
					 */
					inDescVO.setLeglActnCost(badDebtPayFgList.get(i).getLeglActnCost().longValue() * -1); // 가지급금_법적조치비용(금액항목:법적조치비용)
				}
				else if ("3".equals(badDebtPayFgList.get(i).getPayProcStatCd())) // 지급후 (지급상태코드가 '70')
				{
					inDescVO.setSetlAmt(badDebtPayFgList.get(i).getDepsAmt().longValue()
							+ badDebtPayFgList.get(i).getLeglActnCost().longValue()); // 제예금 (가지급금 + 공탁금) 금액항목:결제금액
					inDescVO.setPrFee(badDebtPayFgList.get(i).getDepsAmt().longValue()); // 선급금_공탁금(금액항목:판촉수수료)

					// 대손후 발생되었을경우
					/*
					 * if("1".equals(tdo.getBadDebtAfOccrDiv())) {
					 * inDescVO.setEtcFee(badDebtPayFgList.get(i).getLeglActnCost().longValue()); //
					 * 특수채권추심비용(금액항목:기타수수료) } else {
					 * inDescVO.setTrtFee(badDebtPayFgList.get(i).getLeglActnCost().longValue()); //
					 * 가지급금_법적조치비용(금액항목:취급수수료) }
					 */
					inDescVO.setTrtFee(badDebtPayFgList.get(i).getLeglActnCost().longValue()); // 가지급금_법적조치비용(금액항목:취급수수료)
				}

				inVO.addClsTrDesc(inDescVO);
			}

			break;

		default:
			break;
		}

		LOGGER.info("법적조치품의 채권전표처리..1===> " + inVO);
		LOGGER.info("법적조치품의 채권전표처리..2===> " + inDescVO);

		VochVO outVO = new VochVO();

		try {
			LOGGER.info("************************JYP 회계모듈 호출 시작**************************");
			// 회계모듈 임시처리
			//VochCCServiceImpl voch = new VochCCServiceImpl();
			outVO = vochCCService.procVochWithAcctUnit(inVO);
			LOGGER.info("************************JYP 회계모듈 호출 종료*******************************");
		} catch (Exception e) {
			throw new Exception("전표처리실행에 에러가 발생하였습니다." + e.getMessage());
		}

		if (!inVO.getRsltCd().trim().equals("0000")) {
			LOGGER.debug("inVO.getRsltCd().trim()=" + inVO.getRsltCd().trim());
			LOGGER.debug("inVO.getRsltCntn().trim()=" + inVO.getRsltCntn().trim());
			throw new Exception("법적조치비용 전표처리실행에 에러가 발생하였습니다==>" + inVO.getRsltCntn());
		}

		return outVO.getTrDescNo();
	}

	// 법비용집계테이블 수정 (2018-08-01일 변경)
	private void updateLeglActnCostTot(BtLeglActnCostDTO tdo, int txFg, String sResultCd) throws Exception {

		LOGGER.info("=====================updateLeglActnCostTot============================");
		BtLeglActnCostTotDTO totTdo = null;
		BtLeglActnCostDTO costTdo = null;

		BigDecimal thisCost = BigDecimal.ZERO;
		BigDecimal prevCost = BigDecimal.ZERO;

		String currDate = DateUtil.getCurrentDateString();
		String currTime = DateUtil.getCurrentBaseDateString().substring(8, 14);

		String abc = DateConvertUtil.addDash(DateUtil.lastDayOfMonth(DateUtil.addMonth("20081011", -1)));

		switch (txFg) {
		case TX_INSERT: // 전표발행

			BtLeglActnCostTotDTO btLeglActnCostTotDTO = new BtLeglActnCostTotDTO();
			btLeglActnCostTotDTO.setLoanNo(tdo.getLoanNo());
			btLeglActnCostTotDTO.setLoanSeq(tdo.getLoanSeq());
			totTdo = btLeglActnCostTotMapper.select(btLeglActnCostTotDTO); // 조회 (전표발행시 필요한 내역을 법조치집계테이블로부터 가져온다. )

			// totTdo가 null이면 신규로 비용이 발생할 경우이고 값을 가져올 때는 이미 기존에 발생된 금액이 있다는 이야기
			if (totTdo == null) {
				// INSERT
				// 법조치증빙 (부가세 항목 2가지 추가)
				thisCost = tdo.getEtcCost().add(tdo.getDepsInsuFee()).add(tdo.getStmpLrge()).add(tdo.getCrtfplcLrge())
						.add(tdo.getDsptFee()).add(tdo.getRtax()).add(tdo.getPpayamt()).add(tdo.getPledJadvFee())
						.add(tdo.getPledJdcaFeeVtax()).add(tdo.getEtcCostVtax());

				// 법적조치비용집계 갱신
				BtLeglActnCostTotDTO insertCostTotDTO = new BtLeglActnCostTotDTO();
				insertCostTotDTO.setLoanNo(tdo.getLoanNo());
				insertCostTotDTO.setLoanSeq(tdo.getLoanSeq());
				insertCostTotDTO.setLawCostAskDepsAmt(tdo.getDepsAmt());
				insertCostTotDTO.setLawCostAskAmt(thisCost);
				insertCostTotDTO.setLawCostRamt(thisCost);
				insertCostTotDTO.setFrstRegEmpNo(tdo.getFrstRegEmpNo());
				insertCostTotDTO.setLastProcEmpNo(tdo.getLastProcEmpNo());
				insertCostTotDTO.setLawCostDepsAmtRamt(tdo.getDepsAmt());

				// 두비스 대손후가지급금액 추가(조건에 따른 )
				if ("3333".equals(sResultCd)) {
					totTdo.setBadDebtAfSpayAmt(thisCost);
				}

				// 법적조치비용집계 갱신
				btLeglActnCostTotMapper.insert(insertCostTotDTO);

				// 채권마감기본 갱신
				BtBndClsBaseDTO updateBndClsBaseCost1Dto = new BtBndClsBaseDTO();
				updateBndClsBaseCost1Dto.setLoanNo(tdo.getLoanNo());
				updateBndClsBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());
				updateBndClsBaseCost1Dto.setLeglActnCostRamt(thisCost);
				// 채권마감기본 갱신
				leglActsConsShMngMapper.updateBndClsBaseCost1(updateBndClsBaseCost1Dto);

				// 대출기본 갱신
				StLoanBaseDTO updateLoanBaseCost1Dto = new StLoanBaseDTO();
				updateLoanBaseCost1Dto.setLeglActsCost(thisCost);
				updateLoanBaseCost1Dto.setLoanNo(tdo.getLoanNo());
				updateLoanBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());

				// 대출기본 갱신
				leglActsConsShMngMapper.updateLoanBaseCost1(updateLoanBaseCost1Dto);

				// 법비용을 처리한 후에 비용내역등을 대손쪽으로 보내주기 위한 메서드
				/*
				 * BadDebtVO inVO = new BadDebtVO();
				 *
				 * inVO.setBadDebtDiv("P"); // 조회 : S 처리 : P inVO.setLoanNo(tdo.getLoanNo()); //
				 * 대출번호 inVO.setLoanSeq(tdo.getLoanSeq()); // 대출순번
				 * inVO.setEtcCost(String.valueOf(thisCost)); // 가지급비용 inVO.setRegDt(currDate);
				 * // 등록일자 inVO.setRegTm(currTime); // 등록시간 inVO.setRegEmpNo(event.getEmpNo());
				 * // 등록자사번
				 *
				 * BadDebtProc badDebtProc = new BadDebtProc(); List rslt =
				 * badDebtProc.proc(inVO, con);
				 *
				 * String resultCd = (String)rslt.get(0); // 코드 : P일경우 '0000'은 정상처리 나머지는 모두
				 * exception // 대손종료일경우에는 exception 처리한다. if(!"0000".equals(resultCd)) { throw
				 * new Exception("법적조치품의서관리(전표발행계산1):처리중 에러 발생!!!\n에러메시지:"+(String)rslt.get(1));
				 * }
				 */
			} else // 집계테이블에 기존에 발생된 금액이 있을경우
			{
				// UPDATE
				totTdo.setLawCostAskDepsAmt(totTdo.getLawCostAskDepsAmt().add(tdo.getDepsAmt()));

				thisCost = tdo.getEtcCost().add(tdo.getDepsInsuFee()).add(tdo.getStmpLrge()).add(tdo.getCrtfplcLrge())
						.add(tdo.getDsptFee()).add(tdo.getRtax()).add(tdo.getPpayamt()).add(tdo.getPledJadvFee())
						.add(tdo.getPledJdcaFeeVtax()).add(tdo.getEtcCostVtax());

				totTdo.setLawCostAskAmt(totTdo.getLawCostAskAmt().add(thisCost));
				totTdo.setLawCostRamt(totTdo.getLawCostRamt().add(thisCost));

				if ("3333".equals(sResultCd)) {
					// 대손후가지급금 추가 (기존 대손후가지급금 + thisCost) <-- 대손일때만 추가해주어야 한다.
					totTdo.setBadDebtAfSpayAmt(totTdo.getBadDebtAfSpayAmt().add(thisCost));
				}

				// 법비용증빙관련 신규(공탁금잔액, 기존 공탁금잔액 + 신규발생 공탁금 잔액)
				totTdo.setLawCostDepsAmtRamt(totTdo.getLawCostDepsAmtRamt().add(tdo.getDepsAmt()));

				// 법적조치비용집계 갱신
				BtLeglActnCostTotDTO updateCostTotDto = new BtLeglActnCostTotDTO();
				updateCostTotDto.setLoanNo(totTdo.getLoanNo());
				updateCostTotDto.setLoanSeq(totTdo.getLoanSeq());
				updateCostTotDto.setLawCostAskDepsAmt(totTdo.getLawCostAskDepsAmt()); // 법_비용_청구_공탁금
				updateCostTotDto.setLawCostAskAmt(totTdo.getLawCostAskAmt()); // 법_비용_청구_금액
				updateCostTotDto.setLawCostAdjAmt(totTdo.getLawCostAdjAmt()); // 법_비용_정산_금액
				updateCostTotDto.setLawCostAdjDepsAmt(totTdo.getLawCostAdjDepsAmt()); // 법_비용_정산_공탁금
				updateCostTotDto.setLawCostRamt(totTdo.getLawCostAdjAmt()); // 법_비용_잔액
				updateCostTotDto.setLastProcEmpNo(totTdo.getLastProcEmpNo()); // 최종_처리_사원_번호
				updateCostTotDto.setBadDebtAfSpayAmt(totTdo.getBadDebtAfSpayAmt()); // 대손_후_가지급_금액
				updateCostTotDto.setLawCostExmpAmt(totTdo.getLawCostExmpAmt()); // 법_비용_면제_금액
				updateCostTotDto.setLawCostDepsAmtRamt(totTdo.getLawCostDepsAmtRamt()); // 법_비용_공탁금_잔액

				// 법적조치비용집계 갱신
				btLeglActnCostTotMapper.update(updateCostTotDto);

				// 채권마감기본 갱신
				BtBndClsBaseDTO updateBndClsBaseCost1Dto = new BtBndClsBaseDTO();
				updateBndClsBaseCost1Dto.setLoanNo(tdo.getLoanNo());
				updateBndClsBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());
				updateBndClsBaseCost1Dto.setLeglActnCostRamt(thisCost);
				// 채권마감기본 갱신
				leglActsConsShMngMapper.updateBndClsBaseCost1(updateBndClsBaseCost1Dto);

				// 대출기본 갱신
				StLoanBaseDTO updateLoanBaseCost1Dto = new StLoanBaseDTO();
				updateLoanBaseCost1Dto.setLeglActsCost(thisCost);
				updateLoanBaseCost1Dto.setLoanNo(tdo.getLoanNo());
				updateLoanBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());

				// 대출기본 갱신
				leglActsConsShMngMapper.updateLoanBaseCost1(updateLoanBaseCost1Dto);

				// 두비스 법비용을 처리한 후에 비용내역등을 대손쪽으로 보내주기 위한 메서드
				/*
				 * BadDebtVO inVO = new BadDebtVO();
				 *
				 * inVO.setBadDebtDiv("P"); // 조회 : S 처리 : P inVO.setLoanNo(tdo.getLoanNo()); //
				 * 대출번호 inVO.setLoanSeq(tdo.getLoanSeq()); // 대출순번
				 * inVO.setEtcCost(String.valueOf(thisCost)); // 가지급비용 inVO.setRegDt(currDate);
				 * // 등록일자 inVO.setRegTm(currTime); // 등록시간 inVO.setRegEmpNo(event.getEmpNo());
				 * // 등록자사번
				 *
				 * BadDebtProc badDebtProc = new BadDebtProc(); List rslt =
				 * badDebtProc.proc(inVO, con);
				 *
				 * String resultCd = (String)rslt.get(0); // 2018-08-01 두비스 코드 : P일경우 '0000'은
				 * 정상처리 나머지는 모두 exception // 대손종료일경우에는 exception 처리한다.
				 * if(!"0000".equals(resultCd)) { throw new
				 * Exception("법적조치품의서관리(전표발행계산2):처리중 에러 발생!!!\n에러메시지:"+(String)rslt.get(1)); }
				 */
			}
			break;

		case TX_DELETE: // 전표취소

			BtLeglActnCostTotDTO btLeglActnCostTotDTO2 = new BtLeglActnCostTotDTO();
			btLeglActnCostTotDTO2.setLoanNo(tdo.getLoanNo());
			btLeglActnCostTotDTO2.setLoanSeq(tdo.getLoanSeq());
			totTdo = btLeglActnCostTotMapper.select(btLeglActnCostTotDTO2); // 조회 (전표취소시 필요한 내역을 법조치집계테이블로부터 가져온다. )

			BtLeglActnCostDTO btLeglActnCostDTO2 = new BtLeglActnCostDTO();
			btLeglActnCostDTO2.setLoanNo(tdo.getLoanNo());
			btLeglActnCostDTO2.setLoanSeq(tdo.getLoanSeq());
			btLeglActnCostDTO2.setConsShNo(tdo.getConsShNo());
			btLeglActnCostDTO2.setSnum(tdo.getSnum());

			costTdo = btLeglActnCostMapper.select(btLeglActnCostDTO2); // 법적조치 비용테이블에서 해당대출번호에 해당하는 금액을 가져온다

			// UPDATE
			totTdo.setLawCostAskDepsAmt(totTdo.getLawCostAskDepsAmt().subtract(costTdo.getDepsAmt()));

			// 법비용 증빙관련 공탁금 잔액 세팅 (기존공탁금잔액 - 취소할공탁금액)
			totTdo.setLawCostDepsAmtRamt(totTdo.getLawCostDepsAmtRamt().subtract(costTdo.getDepsAmt()));

			// 법적조치 비용테이블에 이미 들어가 있었던 askAmt를 취소하기 위함 prevCost라고 정의한다.
			prevCost = costTdo.getEtcCost().add(costTdo.getDepsInsuFee()).add(costTdo.getStmpLrge())
					.add(costTdo.getCrtfplcLrge()).add(costTdo.getDsptFee()).add(costTdo.getRtax())
					.add(costTdo.getPpayamt()).add(costTdo.getPledJadvFee()).add(tdo.getPledJdcaFeeVtax())
					.add(tdo.getEtcCostVtax());

			totTdo.setLawCostAskAmt(totTdo.getLawCostAskAmt().subtract(prevCost));
			totTdo.setLawCostRamt(totTdo.getLawCostRamt().subtract(prevCost));

			if ("3333".equals(sResultCd)) // 해당대출번호가 대손건일 경우만 처리한다.
			{
				// 대손후가지급금도 취소금액에서 빼주어야 한다. (취소금액에서 빼주는 로직으로 변경)
				totTdo.setBadDebtAfSpayAmt(totTdo.getBadDebtAfSpayAmt().subtract(prevCost));
			}

			// 법적조치비용집계 갱신
			BtLeglActnCostTotDTO updateCostTotDto = new BtLeglActnCostTotDTO();
			updateCostTotDto.setLoanNo(totTdo.getLoanNo());
			updateCostTotDto.setLoanSeq(totTdo.getLoanSeq());
			updateCostTotDto.setLawCostAskDepsAmt(totTdo.getLawCostAskDepsAmt()); // 법_비용_청구_공탁금
			updateCostTotDto.setLawCostAskAmt(totTdo.getLawCostAskAmt()); // 법_비용_청구_금액
			updateCostTotDto.setLawCostAdjAmt(totTdo.getLawCostAdjAmt()); // 법_비용_정산_금액
			updateCostTotDto.setLawCostAdjDepsAmt(totTdo.getLawCostAdjDepsAmt()); // 법_비용_정산_공탁금
			updateCostTotDto.setLawCostRamt(totTdo.getLawCostAdjAmt()); // 법_비용_잔액
			updateCostTotDto.setLastProcEmpNo(totTdo.getLastProcEmpNo()); // 최종_처리_사원_번호
			updateCostTotDto.setBadDebtAfSpayAmt(totTdo.getBadDebtAfSpayAmt()); // 대손_후_가지급_금액
			updateCostTotDto.setLawCostExmpAmt(totTdo.getLawCostExmpAmt()); // 법_비용_면제_금액
			updateCostTotDto.setLawCostDepsAmtRamt(totTdo.getLawCostDepsAmtRamt()); // 법_비용_공탁금_잔액

			// 법적조치비용집계 갱신
			btLeglActnCostTotMapper.update(updateCostTotDto);

			// 채권마감기본 갱신
			BtBndClsBaseDTO updateBndClsBaseCost1Dto = new BtBndClsBaseDTO();
			updateBndClsBaseCost1Dto.setLoanNo(tdo.getLoanNo());
			updateBndClsBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());
			updateBndClsBaseCost1Dto.setLeglActnCostRamt(thisCost);
			// 채권마감기본 갱신
			leglActsConsShMngMapper.updateBndClsBaseCost3(updateBndClsBaseCost1Dto);

			// 대출기본 갱신
			StLoanBaseDTO updateLoanBaseCost1Dto = new StLoanBaseDTO();
			updateLoanBaseCost1Dto.setLeglActsCost(thisCost);
			updateLoanBaseCost1Dto.setLoanNo(tdo.getLoanNo());
			updateLoanBaseCost1Dto.setLoanSeq(tdo.getLoanSeq());

			// 대출기본 갱신
			leglActsConsShMngMapper.updateLoanBaseCost3(updateLoanBaseCost1Dto);

			LOGGER.info("==법조치비용 취소 :대손관련 =" + prevCost);

			// 2018-08-01 두비스 법비용을 처리한 후에 비용내역등을 대손쪽으로 보내주기 위한 메서드
			/*
			 * BadDebtVO inVO = new BadDebtVO();
			 *
			 * inVO.setBadDebtDiv("P"); // 조회 : S 처리 : P inVO.setLoanNo(tdo.getLoanNo()); //
			 * 대출번호 inVO.setLoanSeq(tdo.getLoanSeq()); // 대출순번
			 * inVO.setEtcCost(String.valueOf(prevCost*-1)); // 가지급비용
			 * inVO.setRegDt(currDate); // 등록일자 inVO.setRegTm(currTime); // 등록시간
			 * inVO.setRegEmpNo(event.getEmpNo()); // 등록자사번
			 *
			 * BadDebtProc badDebtProc = new BadDebtProc(); List rslt =
			 * badDebtProc.proc(inVO, con);
			 *
			 * String resultCd = (String)rslt.get(0); // 2018-08-01 두비스 코드 : P일경우 '0000'은
			 * 정상처리 나머지는 모두 exception // 대손종료일경우에는 exception 처리한다.
			 * if(!"0000".equals(resultCd)) { throw new
			 * Exception("법적조치품의서관리(전표취소계산):처리중 에러 발생!!!\n에러메시지:"+(String)rslt.get(1)); }
			 */
			break;

		default:
			break;
		}
	}

	/**
	 * 메소드명 : getBLMLMM02U01 : 법조치품의서관리저장 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
	 * 설명 : 법조치품의서관리 정보 저장을 한다. 메소드인수 : BLMLMM02U01InVO 메소드리턴값 : 예외처리 : Exception
	 */
	@Override
	public int getBLMLMM02U09(BLMLMM02U09InVO inVo) throws Exception {

		for (int i = 0; i < inVo.getBLMLMM02DSSDDO05VO().size(); i++) {
			BtLeglActnPrptStatDTO inDto2 = new BtLeglActnPrptStatDTO();

			inDto2.setLoanNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getLoanNo()); /*  */
			inDto2.setLoanSeq(inVo.getBLMLMM02DSSDDO05VO().get(i).getLoanSeq()); /*  */
			inDto2.setConsShNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getConsShNo()); /*  */
			inDto2.setPrptTpCd(inVo.getBLMLMM02DSSDDO05VO().get(i).getPrptTpCd()); /*  */
			inDto2.setSnum(inVo.getBLMLMM02DSSDDO05VO().get(i).getSnum());
			inDto2.setCustNo(inVo.getBLMLMM02DSSDDO05VO().get(i).getCustNo()); /*  */
			inDto2.setFrstRegEmpNo(inVo.getLogInEmpNo()); /*  */
			inDto2.setLastProcEmpNo(inVo.getLogInEmpNo()); /*  */

			String operation = inVo.getBLMLMM02DSSDDO05VO().get(i).getOperation();
			String delYn = inVo.getBLMLMM02DSSDDO05VO().get(i).getDelYn();
			if (operation.equals("U") && delYn.equals("Y")) {
				btLeglActnPrptStatMapper.remove(inDto2);
			}

		}

		return 0;
	}
}
