package hanalife.b.lm.lm.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.lm.lm.mapper.LeglActsCostMngLdgrMapper;
import hanalife.b.lm.lm.mapper.dto.LeglActsCostMngLdgrDSSDDODTO;
import hanalife.b.lm.lm.mapper.dto.LeglActsCostMngLdgrDSSMDODTO;
import hanalife.b.lm.lm.service.BLMLMM06Service;
import hanalife.b.lm.lm.vo.BLMLMM06DSSDDOVO;
import hanalife.b.lm.lm.vo.BLMLMM06S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM06S01OutVO;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BLMLMM0601ServiceImpl.java Class
 * 클래스설명   :  법조치비용현황조회(BLMLMM0601) Service Implements
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70325 / jaeheon.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBLMLMM06S01 : 법조치비용현황조회
 *              registerBLMLMM06S01 : 법조치비용현황조회등록
 * </pre>
 */
@Service("BLMLMM06Service")
public class BLMLMM06ServiceImpl implements BLMLMM06Service{
	private static final Logger log = LoggerFactory.getLogger(BLMLMM06ServiceImpl.class);

	@Autowired
	private LeglActsCostMngLdgrMapper leglActsCostMngLdgrMapper;
	   /**
     * <pre>
     * 메소드명 :법조치비용조회
     * 작성일자 : 2023. 3. 6.
     * 작성자(author):
     * 메소드인수 : BLMLMM06S01InVO
     * 메소드리턴값 : BLMLMM06S01OutVO
     * 예외처리 : Exception
     * </pre>
     */
	@SuppressWarnings("unchecked")
	@Override
	public BLMLMM06S01OutVO getBLMLMM06S01(BLMLMM06S01InVO inVo) throws Exception{
		// TODO Auto-generated method stub

		/**법조치비용조회 서비스 결과값 가져오는 객체 생성 */
		BLMLMM06S01OutVO resultVo = new BLMLMM06S01OutVO();

		/** 법조치비용조회 조건입력값 객체 생성 및 대입 수행*/
		LeglActsCostMngLdgrDSSMDODTO iDTO = new LeglActsCostMngLdgrDSSMDODTO();

		iDTO.setBndOldNewFg(inVo.getBLMLMM06DSSMDOVO().getBndOldNewFg());
		iDTO.setCustNo(inVo.getBLMLMM06DSSMDOVO().getCustNo());
		iDTO.setEmpNo(inVo.getBLMLMM06DSSMDOVO().getEmpNo());
		iDTO.setFromConsDt(inVo.getBLMLMM06DSSMDOVO().getFromConsDt());
		iDTO.setLoanNo(inVo.getBLMLMM06DSSMDOVO().getLoanNo());
		iDTO.setLoanSeq(inVo.getBLMLMM06DSSMDOVO().getLoanSeq());
		iDTO.setMngDeptCd(inVo.getBLMLMM06DSSMDOVO().getMngDeptCd());
		iDTO.setPrdtLrgeClasCd(inVo.getBLMLMM06DSSMDOVO().getPrdtLrgeClasCd());
		iDTO.setPrdtMidClasCd(inVo.getBLMLMM06DSSMDOVO().getPrdtMidClasCd());
		iDTO.setToConsDt(inVo.getBLMLMM06DSSMDOVO().getToConsDt());

		/** 법조치비용현황조회 쿼리 mapper를 통해 호출 */
		List<LeglActsCostMngLdgrDSSDDODTO> resultDTO= leglActsCostMngLdgrMapper.searchLeglActsCostMngLdgr(iDTO);

		/** mapper에서 가져온 법조치비용현황조회 결과를 입력 */
		List<BLMLMM06DSSDDOVO> listVO = new ArrayList<BLMLMM06DSSDDOVO>();
		log.debug("사이즈다 : "+ resultDTO.size());

		if(resultDTO.size() > 0) {
			log.debug("사이즈다 111: "+ resultDTO.size());
			for(LeglActsCostMngLdgrDSSDDODTO outDTO:resultDTO) {

				BLMLMM06DSSDDOVO targetVO = new BLMLMM06DSSDDOVO();

				targetVO.setBndDivsEmpNo(outDTO.getBndDivsEmpNo());				        /** 채권담당자 */
				targetVO.setLoanNo(outDTO.getLoanNo());							        /** 대출번호 */
				targetVO.setLoanSeq(outDTO.getLoanSeq());						        /** 대출순번 */
				targetVO.setCustNo(outDTO.getCustNo());							        /** 고객번호 */
				targetVO.setCustNm(outDTO.getCustNm());							        /** 고객명 */
				targetVO.setActnTpNm(outDTO.getActnTpNm());						        /** 조치유형 */
				targetVO.setActnStatNm(outDTO.getActnStatNm());					        /** 조치상태 */
				targetVO.setGodsNm(outDTO.getGodsNm());							        /** 조치물품 */
				targetVO.setConsDt(outDTO.getConsDt());							        /** 품의일자 */
				targetVO.setConsShNo(outDTO.getConsShNo());						        /** 품의번호 */
				targetVO.setAskAmt(outDTO.getAskAmt());							        /** 청구금액 */
				targetVO.setJstDt(outDTO.getJstDt());							        /** 법비용발생 일자 */
				targetVO.setDepsAmt(outDTO.getDepsAmt());						        /** 법비용발생 공탁금 */
				targetVO.setEtcCost(outDTO.getEtcCost());						        /** 법비용발생 가지급금 */
				targetVO.setDepsAmtWdrwDt(outDTO.getDepsAmtWdrwDt());			        /** 법비용회수 공탁일자 */
				targetVO.setDepsRcptAmt(outDTO.getDepsRcptAmt());				        /** 법비용회수 공탁금 */
				targetVO.setLastSetlDt(outDTO.getLastSetlDt());					        /** 법비용회수 결제일자 */
				targetVO.setRcptAmt(outDTO.getRcptAmt());						        /** 법비용회수 가지급금 */
				targetVO.setDepsRamt(outDTO.getDepsAmt()-outDTO.getDepsRcptAmt());		/** 법비용잔액 공탁금 */
				targetVO.setEtcRamt(outDTO.getEtcCost()-outDTO.getRcptAmt());			/** 법비용잔액 가지급금 */
				targetVO.setPrdtNm(outDTO.getPrdtNm());									/** 상품명 */
				targetVO.setMngDeptNm(outDTO.getMngDeptNm());							/** 관리부서명 */
				targetVO.setLnDivsEmpNm(outDTO.getLnDivsEmpNm());						/** 여신담당자 */

				/**출력할 리스트*/
				listVO.add(targetVO);

			}
		}

		/** return할 값에 법조치비용현황조회 결과 세팅*/
		resultVo.setListBLMLMM06DSSDDO01VO(listVO);

		return resultVo;
	}



}
