package hanalife.b.lm.lm.web;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.b.dl.dl.web.BDLDLM01Controller;
import hanalife.b.lm.lm.service.BLMLMM06Service;
import hanalife.b.lm.lm.vo.BLMLMM06DSSMDOVO;
import hanalife.b.lm.lm.vo.BLMLMM06S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM06S01OutVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/b/lm/lm")
@Controller
public class BLMLMM06Controller{

	@Autowired
	private BLMLMM06Service BLMLMM06Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(BDLDLM01Controller.class);
    /**
     * <pre>
     * 메소드명 : 법조치비용현황조회 /BLMLMM06S01.do
     * 작성일자 : 2023. 3. 08.
     * 작성자(author): 70317
     * 설명 : 법조치비용현황조회 한다.
     * 예외처리 : Exception
     * </pre>
     */
	@RequestMapping("/BLMLMM06S01.do")
	public String BLMLMM06S01(ModelMap model,HttpServletRequest request, HttpServletResponse response) {
        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 Start #####");

		try {
	        /** XFrame5 UI에서 전달된 DataSet 정보를 추출한다. */
	        Map<String, Object> dsSmdoMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);

	        /** 법조치비용현황조회 업무 서비스 호출 입력값 대입 */
	        BLMLMM06DSSMDOVO dsSMDOInVo = new BLMLMM06DSSMDOVO();

	        dsSMDOInVo.setLoanNo((String)dsSmdoMap.get("loanNo"));					/** 대출번호 */
	        dsSMDOInVo.setLoanSeq((String)dsSmdoMap.get("loanSeq"));				/** 대출순번 */
	        dsSMDOInVo.setCustNo((String)dsSmdoMap.get("custNo"));					/** 고객번호 */
	        dsSMDOInVo.setFromConsDt((String)dsSmdoMap.get("fromConsDt"));			/** 품의시작일자 */
	        dsSMDOInVo.setToConsDt((String)dsSmdoMap.get("toConsDt"));				/** 품의종료일자 */
	        dsSMDOInVo.setMngDeptCd((String)dsSmdoMap.get("mngDeptCd"));			/** 부서코드 */
	        dsSMDOInVo.setEmpNo((String)dsSmdoMap.get("empNo"));					/** 사원번호 */
	        dsSMDOInVo.setPrdtLrgeClasCd((String)dsSmdoMap.get("prdtLrgeClasCd"));	/** 상품대분류코드 */
	        dsSMDOInVo.setPrdtMidClasCd((String)dsSmdoMap.get("prdtMidClasCd"));	/** 상품중분류코드 */

	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo loanNo #####" + dsSMDOInVo.getLoanNo());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo loanSeq #####" + dsSMDOInVo.getLoanSeq());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo custNo #####" + dsSMDOInVo.getCustNo());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo fromConsDt #####" + dsSMDOInVo.getFromConsDt());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo toConsDt #####" + dsSMDOInVo.getToConsDt());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo mngDeptCd #####" + dsSMDOInVo.getMngDeptCd());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo empNo #####" + dsSMDOInVo.getEmpNo());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo prdtLrgeClasCd #####" + dsSMDOInVo.getPrdtLrgeClasCd());
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 dsSMDOInVo prdtMidClasCd #####" + dsSMDOInVo.getPrdtMidClasCd());

	        BLMLMM06S01InVO InVO = new BLMLMM06S01InVO();
	        InVO.setBLMLMM06DSSMDOVO(dsSMDOInVo); /** 법조치비용조회 입력값 대입 */
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01InVO InVO #####" + InVO.getBLMLMM06DSSMDOVO().getLoanNo());
	        /** 법조치비용현황조회 업무 서비스 호출 수행(OutVO) */
	        BLMLMM06S01OutVO resultListVo = BLMLMM06Service.getBLMLMM06S01(InVO);

	        /** 법조치비용현황조회 DataSet 결과값 설정*/
	        if(resultListVo.getListBLMLMM06DSSDDO01VO().size() > 0) {
	        	XFrame5Util.setOutputData("DS_SDDO", resultListVo.getListBLMLMM06DSSDDO01VO(), model);
	        }
	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 Normal End #####");
	    }
	    catch (Exception e) {
	        LOGGER.error("Error >>> "+e.getMessage());
	        // 오류 메시지 정보 설정&#13;
	        model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
	        model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

	        LOGGER.info("##### BLMLMM06Controller BLMLMM06S01 Exception End #####");
	    }
	    return XFrame5View.XFRAME5_VIEW;

	}
}
