package hanalife.b.lm.lm.web;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.b.lm.lm.service.BLMLMM04Service;
import hanalife.b.lm.lm.vo.BLMLMM04DSSMDO01VO;
import hanalife.b.lm.lm.vo.BLMLMM04S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM04S01OutVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/b/lm/lm")
@Controller
public class BLMLMM08Controller{

	@Autowired
	private BLMLMM04Service BLMLMM04;

    private static final Logger LOGGER = LoggerFactory.getLogger(BLMLMM08Controller.class);
    /**
     * <pre>
     * 메소드명 : 법적조치비용내역조회 /BLMLMM08S01.do
     * 작성일자 : 2023. 3. 08.
     * 작성자(author): 70317
     * 설명 : 법조치비용현황조회 한다.
     * 예외처리 : Exception
     * </pre>
     */
	@RequestMapping("/BLMLMM08S01.do")
	public String BLMLMM06S01(ModelMap model,HttpServletRequest request, HttpServletResponse response) {
        LOGGER.info("##### BLMLMM08Controller BLMLMM06S01 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_BTLEGLACTNCOST_SMDO", request, response, model);

			/** 법적조치비용 그리드 조회 서비스 호출 입력값 대입 */
			BLMLMM04DSSMDO01VO dsSMDOInVo = new BLMLMM04DSSMDO01VO();
			dsSMDOInVo.setLoanNo((String) sourceMap.get("loanNo"));      /** 대출번호 */
			dsSMDOInVo.setLoanSeq((String) sourceMap.get("loanSeq"));    /** 대출순번 */
			dsSMDOInVo.setCustNo((String) sourceMap.get("custNo"));      /** 고객번호 */

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BLMLMM04S01InVO InVO = new BLMLMM04S01InVO();
            InVO.setBLMLMM04DSSMDO01VO(dsSMDOInVo);	/** 법적조치비용 그리드 DS_SMDO 입력값 VO 객체 대입 */

            /** 법적조치비용 그리드 등 업무 서비스 호출 수행 */
            BLMLMM04S01OutVO resultListVo = BLMLMM04.getBLMLM04S04(InVO);

            /** 법적조치비용 그리드 등 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_BTLEGLACTNCOST_SDDO", resultListVo.getBLMLMM04DSBTLEGLACTNCOSTSDDOVO(), model);

            LOGGER.info("##### BLMLMM04Controller BLMLMM01S04 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM04Controller Exception End #####");
		}
	    return XFrame5View.XFRAME5_VIEW;

	}
}
