package hanalife.b.util.bat;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

import org.apache.log4j.Logger;

/**
 * <pre>
 * 클래스명    : BatchJobPlan
 * 클래스설명 : BatchJobPlan의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre> 
 */
public class BatchJobPlan {

    private static Logger log = Logger.getLogger( BatchJobPlan.class.getName());
    private final static String BR = "\n";

    public static final String JOB_PREPARE  = "0"; //준비상태
    public static final String JOB_COMPLETE = "1";//완료상태
    public static final String JOB_ERR      = "2";//에러상태
    public static final String JOB_ERR2      = "9";//재실행시 에러상태
    
    public static final String FORM_ONE  = "0";
    public static final String FORM_TWO  = "1";

    public BatchJobPlan(){
        
    }
    private static final String EMPTY_S = "";
    private static final String EMPTY_D = "<EMPTY>";
    
    public static String chkEmpty(String in){
        if(in == null) return EMPTY_S;
        if(in.indexOf(EMPTY_D)>-1) return EMPTY_S;
        return in;
    }
    public static String jobPlan_Register(String jobDt, String PrgmNo,int seq, ArrayList al_st, 
            PreparedStatement pStmt,String user)throws SQLException 
    {
        StringBuffer sb_start = new StringBuffer();
        for(int i=0; i<al_st.size();i++){
            if (i>0)sb_start.append("_");
            if (al_st.get(i) == null) al_st.set(i,EMPTY_D);
            if (((String)al_st.get(i)).length() == 0) al_st.set(i,EMPTY_D);
            sb_start.append(al_st.get(i));
        }

        pStmt.setString(1,jobDt);      //작업_일자
        pStmt.setString(2,PrgmNo);     //프로그램_번호
        pStmt.setInt   (3,seq);        //작업_순번
        pStmt.setString(4,JOB_PREPARE);//작업_상태_코드
        pStmt.setString(5,FORM_ONE);   //작업_형태_코드
        pStmt.setString(6,sb_start.toString());//시작_정보
        pStmt.setString(7,"");         //종료_정보
        pStmt.setString(8,user);       //최초_등록_사원번호
        pStmt.setString(9,user);       //최종_처리_사원번호
        pStmt.addBatch();

        return sb_start.toString();
    }
    public static String[] jobPlan_Register(String jobDt, String PrgmNo, int seq, ArrayList al_st, ArrayList al_end, 
            PreparedStatement pStmt,String user)throws SQLException 
    {
        StringBuffer sb_start = new StringBuffer();
        for(int i=0; i<al_st.size();i++){
            if (i>0)sb_start.append("_");
            if (al_st.get(i) == null) al_st.set(i,EMPTY_D);
            if (((String)al_st.get(i)).length() == 0) al_st.set(i,EMPTY_D);
            sb_start.append(al_st.get(i));
        }
        StringBuffer sb_end = new StringBuffer();
        for(int i=0; i<al_end.size();i++){
            if (i>0)sb_end.append("_");
            if (al_end.get(i) == null) al_end.set(i,EMPTY_D);
            if (((String)al_end.get(i)).length() == 0) al_end.set(i,EMPTY_D);
            sb_end.append(al_end.get(i));
        }
        pStmt.setString(1,jobDt);      //작업_일자
        pStmt.setString(2,PrgmNo);     //프로그램_번호
        pStmt.setInt   (3,seq);        //작업_순번
        pStmt.setString(4,JOB_PREPARE);//작업_상태_코드
        pStmt.setString(5,FORM_TWO);   //작업_형태_코드
        pStmt.setString(6,sb_start.toString());//시작_정보
        pStmt.setString(7,sb_end.toString());//종료_정보
        pStmt.setString(8,user);       //최초_등록_사원번호
        pStmt.setString(9,user);       //최종_처리_사원번호
        pStmt.addBatch();
        
        String[] ss = new String[2];
        ss[0]=sb_start.toString();
        ss[1]=sb_end.toString();
        return ss;
    }

    public static int executeBatch(PreparedStatement pstmt)throws SQLException {
        return pstmt.executeBatch().length;
    }
    
    public static PreparedStatement getInsertBatchJobPlan( Connection con )throws SQLException {
        return con.prepareStatement(sqlBatchInsert);
    }
    private static final String sqlBatchInsert    //2018-08-01 수정 (두비스)
    = "INSERT INTO DBSCRDT.BT_BTCH_JOB_PLAN(       " + BR 
    + "  JOB_DT, PRGM_NO, JOB_SEQ,                 " + BR 
    + "  JOB_STAT_CD , JOB_FORM_CD,                " + BR 
    + "  STRT_INFO   , END_INFO,                   " + BR 
    + "  FRST_REG_DT ,FRST_REG_TM ,FRST_REG_EMP_NO," + BR 
    + "  LAST_PROC_DT,LAST_PROC_TM,LAST_PROC_EMP_NO" + BR 
    + ")VALUES(?,?,?, ?,?,?,?,  " + BR
    + "TO_CHAR(CURRENT_DATE, 'yyyy-mm-dd'),TO_CHAR(CURRENT_DATE, 'HH24MISS'),?,  TO_CHAR(CURRENT_DATE, 'yyyy-mm-dd'),TO_CHAR(CURRENT_DATE, 'HH24MISS'),?)     ";

    public static int jobPlan_Update(String jobDt, String PrgmNo, int seq, String jobState, 
            Connection con, String user)throws SQLException 
    {
        PreparedStatement pStmt = con.prepareStatement(sqlBatchUpdate);
        pStmt.setString(1,jobState);   //작업_상태_코드
        pStmt.setString(2,user);       //최초_등록_사원번호
        pStmt.setString(3,jobDt);      //작업_일자 
        pStmt.setString(4,PrgmNo);     //프로그램_번호
        pStmt.setInt   (5,seq);        //작업_순번
        return pStmt.executeUpdate();
    }
    private static final String sqlBatchUpdate  //2018-08-01 수정 (두비스)
    = "UPDATE DBSCRDT.BT_BTCH_JOB_PLAN SET " + BR
    + " JOB_STAT_CD = ? " + BR
    + ",LAST_PROC_DT = TO_CHAR(CURRENT_DATE, 'yyyy-mm-dd') " + BR
    + ",LAST_PROC_TM = TO_CHAR(CURRENT_DATE, 'HH24MISS') " + BR
    + ",LAST_PROC_EMP_NO = ? " + BR
    + "WHERE JOB_DT = ? AND PRGM_NO = ? AND JOB_SEQ = ? ";
    
    public static ArrayList jobPlan_Select(String jobDt, String PrgmNo, String statecd,
            Connection con)throws SQLException 
    {
        PreparedStatement pStmt = null;
        if (statecd == null){
            pStmt = con.prepareStatement(sqlBatchSelect);
            pStmt.setString(1,jobDt);      //작업_일자 
            pStmt.setString(2,PrgmNo);     //프로그램_번호
        } else {
            pStmt = con.prepareStatement(sqlBatchSelect_StateCD);
            pStmt.setString(1,jobDt);      //작업_일자 
            pStmt.setString(2,PrgmNo);     //프로그램_번호
            pStmt.setString(3,statecd);    //작업_상태_코드
        }
        ResultSet rs = pStmt.executeQuery();
        
        ArrayList al = new ArrayList();
        while (rs.next()){
            BtBatchJobPlan bt = new BtBatchJobPlan();
            bt.jobDt    = jobDt;
            bt.prgmNo   = PrgmNo;
            bt.jobSeq   = rs.getInt   ("JOB_SEQ");
            bt.jobStatCd= rs.getString("JOB_STAT_CD");
            bt.strtInfo = rs.getString("STRT_INFO");
            bt.endInfo  = rs.getString("END_INFO");
            al.add(bt);
        }
        rs.close();
        return al;
    }
    private static final String sqlBatchSelect
    = "SELECT JOB_SEQ, JOB_STAT_CD , JOB_FORM_CD, STRT_INFO, END_INFO FROM DBSCRDT.BT_BTCH_JOB_PLAN   " + BR
    + "WHERE JOB_DT = ? AND PRGM_NO = ? ";
    private static final String sqlBatchSelect_StateCD
    = "SELECT JOB_SEQ, JOB_STAT_CD , JOB_FORM_CD, STRT_INFO, END_INFO FROM DBSCRDT.BT_BTCH_JOB_PLAN   " + BR
    + "WHERE JOB_DT = ? AND PRGM_NO = ? AND JOB_STAT_CD=?";

    public static int jobPlan_GetMaxSeq(String jobDt, String PrgmNo,
            Connection con)throws SQLException 
    {
        PreparedStatement pStmt = con.prepareStatement(sqlBatchGetMaxSeq);
        pStmt.setString(1,jobDt);      //작업_일자 
        pStmt.setString(2,PrgmNo);     //프로그램_번호
        ResultSet rs = pStmt.executeQuery();
        if (rs.next()){
            return rs.getInt(1);
        }
        rs.close();
        return 1;
    }
    private static final String sqlBatchGetMaxSeq
    = "SELECT COALESCE(MAX(JOB_SEQ),0) FROM DBSCRDT.BT_BTCH_JOB_PLAN WHERE JOB_DT=? AND PRGM_NO=?";

}
