package hanalife.b.util.svc;

import java.util.StringTokenizer;

/**
 * <pre>
 * 클래스명    : DateConvertUtil
 * 클래스설명 : DateConvertUtil의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DateConvertUtil {
	/**
	 * <p>메소드명 	 	:addDash</p>
	 * <p>설명	     	:날짜데이터를 Entity에서 TDO로 변환시에 사용 (ex.2018-08-01 -> 2018-08-01)</p>
	 * <p>메소드인수1	 	:날짜데이터값</p>
	 * <p>사용법			:1. Entity클래스를 Converting하는 Converter에서 사용한다.</p>
	 * <p>				:   ex) tdo.setStrtEprtDt(DateConvertUtil.addDash(sddo.get(BadDebtObjStndMngSDDO01.strtEprtDt)));</p>
	 */
	public static String addDash(String value) {
		String returnStr = "";
		if ((value != null) && !value.trim().equals("") && !value.trim().equals("NULL")) {
			//System.out.println("value=" + value);
			returnStr = value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8);
		}
		return returnStr;
	}

	/**
	 * <p>메소드명 	 	:deleteDash</p>
	 * <p>설명	     	:날짜데이터를 DB에서 가져와서 Entity로 변환시에 사용(ex.2018-08-01 -> 2018-08-01)</p>
	 * <p>메소드인수1	 	:날짜데이터값</p>
	 * <p>사용법			:1. Entity클래스를 Converting하는 Converter에서 사용한다.</p>
	 * <p>				:   ex) sddo.set(BadDebtObjStndMngSDDO01.strtEprtDt, DateConvertUtil.deleteDash(tdo.getStrtEprtDt()));</p>
	 */
	public static String deleteDash(String value) {
		String returnStr = "";
		if ((value != null) && !value.trim().equals("") && !value.trim().equals("NULL")) {
			value = value.trim();
			StringTokenizer st = new StringTokenizer(value, "-");

			while (st.hasMoreElements()) {
				String temp = (String) st.nextElement();
				returnStr = returnStr + temp;
			}

		}
		return returnStr;
	}

	/**
     * <p>메소드명     : intervalTime</p>
     * <p>설명        : 시작 - 종료 시간의 interval 구하기</p>
     * <p>메소드인수1  : long start 시작시간</p>
     * <p>메소드인수2  : long end 종료시간</p>
     * <p>메소드리턴값 : N/A</p>
     */
    public static String intervalTime(long start, long end) {
        long inteval = end - start;
        long minute = inteval / 1000L / 60L;
        long second = (inteval / 1000L) % 60L;
        long msec = inteval % 1000L;
        return minute + " M " + second + " S " + msec + " MS";
    }
}
