package hanalife.b.vi.wd.service;

import hanalife.b.vi.wd.vo.BVIWDM03S01InVO;
import hanalife.b.vi.wd.vo.BVIWDM03S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BVIWDM03Service.java Class
 * 클래스설명   : BVIWDM03Service Service Interface
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBVIWDM03S01 : 대출내역정보 리스트   조회
 *              getBVIWDM03S02 : 재산정보              조회
 *              getBVIWDM03S03 : 총건수 리스트정보     조회
 *              getBVIWDM03S04 : 부동산 TAB 리스트정보 조회
 *              getBVIWDM03S05 : 자동차 TAB 리스트정보 조회
 *              getBVIWDM03S06 : 채권   TAB 리스트정보 조회
 *              getBVIWDM03S07 : 동산   TAB 리스트정보 조회
 *              getBVIWDM03S08 : 관련인 TAB 리스트정보 조회
 * </pre>
 */
public interface BVIWDM03Service {

    /** 대출내역정보 리스트 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S01(BVIWDM03S01InVO inVo) throws Exception;

    /** 재산정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S02(BVIWDM03S01InVO inVo) throws Exception;

    /** 총건수 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S03(BVIWDM03S01InVO inVo) throws Exception;

    /** 부동산 TAB 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S04(BVIWDM03S01InVO inVo) throws Exception;

    /** 자동차 TAB 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S05(BVIWDM03S01InVO inVo) throws Exception;

    /** 채권 TAB 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S06(BVIWDM03S01InVO inVo) throws Exception;

    /** 동산 TAB 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S07(BVIWDM03S01InVO inVo) throws Exception;

    /** 관련인 TAB 리스트정보 조회 */
    public BVIWDM03S01OutVO getBVIWDM03S08(BVIWDM03S01InVO inVo) throws Exception;

}
