package hanalife.batch.util;

import java.io.FileInputStream;

import hanalife.batch.BatchException;

/**
 * <pre>
 * 클래스명    : FileManager
 * 클래스설명 : 파일을 파싱하여 라인수와 내용을 얻어낸다
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class FileManager
{
//	int lineCnt;           //\n을 기준으로 행의 수를 얻는다.
	String fileCntn;       //파일 내용을 담고있다.
	public FileManager() {}

//	public int getLineCnt()
//	{
//		return this.lineCnt;
//	}

	public String getFileCntn()
	{
		return this.fileCntn;
	}

	/**
	 * 파일내용과 라인수를 얻어내는 메서드
	 */
	public void makeFileLayout( String fileUrl ) throws BatchException
	{
	    FileInputStream fis = null;

	    try
		{
	        fis = new FileInputStream( fileUrl );

			//파일을 파싱하여 StringBuffer에 담는다.
			int byteCnt	= fis.available();

			//if ( byteCnt == 0 ) throw 익셉션 발생시킨다.;
			int ifilesize = fis.available();

			byte[] buff = new byte[ifilesize];
			int a = fis.read( buff );
			fileCntn = new String( buff );

			//파일의 라인수를 얻는다.
//			for ( int i=0; i < fileCntn.length(); i++ )
//			{
//				if ( fileCntn.charAt( i ) == '\n' )
//					lineCnt++;
//			}

			fis.close();

		} catch ( Exception e ) {
			throw new BatchException( "전문파일을 읽는중 에러발생: " + e.getMessage() );
		}finally{
		    try { fis.close(); }catch(Exception e){}
		}
	}
}
