package hanalife.batch.util.dtf;

/**
 * <pre>
 * 클래스명    : DTFFactory
 * 클래스설명 : DTFFactory의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DTFFactory
{
	private static DTFFactory instance = new DTFFactory();

	/**
	 * private 생성자
	 */
	private DTFFactory() {}

	/**
	 * FTDFactory의 인스턴스를 반환한다.
	 * @return FTDFactory
	 */
	public static DTFFactory getInstance()
	{
		return instance;
	}

	/**
	 * IFTDGenerator의 인스턴스를 반환한다.
	 * @return IFTDGenerator
	 */
	public IDTFGenerator getGenerator()
	{
		return new DTFGenerator();
	}
}
