package hanalife.batch.util.dtf;

/**
 * <pre>
 * 클래스명    : DTFMsgVO
 * 클래스설명 : 생성될 객체의 부모가 되는 추상클래스
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

import java.io.FileOutputStream;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

import org.apache.log4j.Logger;


public class DTFMsgVO {

	String recDiv; //전문의 레코드 구분
	Logger log = Logger.getLogger(this.getClass().getName());

	public DTFMsgVO() {}

	/**
	 * <p>전문의 구분</p>
	 * <p>예 : H : 헤더, B : 데이터, F : footer</p>
	 */
	public String getRecDiv() {
		return recDiv;
	}

	public void setRecDiv(String iRecDiv) {
		this.recDiv = iRecDiv;
	}

	public void setRecord(List pramList, FileOutputStream fos) {
		try {
			Method actionMethod = null;
			String cntn = "";
			String[] param = null;
			Object cntnObj = null;
			for (int i = 0; i < pramList.size(); i++) {
				param = (String[]) pramList.get(i);

				actionMethod = getClass().getMethod("get" + param[0], null);
				cntnObj = actionMethod.invoke(this, null);
				if (cntnObj != null) {
					cntn = "" + cntnObj;
				}
				else {
					cntn = "";
				}
				writeFile(cntn, param, fos);
			}

		}
		catch (NoSuchMethodException e) {
			e.printStackTrace();
		}
		catch (InvocationTargetException e) {
			e.printStackTrace();
		}
		catch (IllegalAccessException e) {
			e.printStackTrace();
		}
	}

	protected void writeFile(String desc, String[] param, FileOutputStream fos) {
		if (desc == null) {
			desc = "";
		}

		int startPos = Integer.parseInt(param[1]);
		int bytes = Integer.parseInt(param[2]);
		String align = param[3];
		String blank = param[4];

		if (desc.getBytes().length < bytes) {
			desc = checkLayout(desc, bytes, align, blank);
		}

		try {
			fos.write(desc.getBytes(), 0, bytes);

		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	protected String checkLayout(String desc, int bytes, String align,
								 String blank) {
		int cnt = bytes - desc.getBytes().length;
		String temp = "";

		if (align.equals("R")) {
			for (int i = 0; i < cnt; i++) {
				if (blank.equals("0")) {
					temp += "0";
				}
				else {
					temp += " ";
				}
			}

			desc = temp + desc;
		}
		else {
			for (int i = 0; i < cnt; i++) {
				if (blank.equals("0")) {
					temp += "0";
				}
				else {
					temp += " ";
				}
			}
			desc = desc + temp;
		}
		return desc;
	}

	@Override
	public String toString() {
		StringBuffer sBuffer = new StringBuffer();
		String fName = null;
		String uName = null;
		Class cls = this.getClass();
		String value = null;
		try {
			java.lang.reflect.Field[] f = cls.getDeclaredFields();

			sBuffer.append("[============ ");
			sBuffer.append(cls.getName());
			sBuffer.append(" ============\n");
			int len = f.length;
			for (int i = 0; i < len; i++) {
				fName = f[i].getName();
				uName = fName.substring(0, 1).toUpperCase() +
					fName.substring(1, fName.length());

				java.lang.reflect.Method m = cls.getMethod("get" + uName,
					new Class[] {});
				value = (String) m.invoke(this, new Object[] {});
				sBuffer.append("\t#");
				sBuffer.append(i + 1);
				sBuffer.append("#");
				sBuffer.append(fName);
				sBuffer.append("|");
				sBuffer.append(value);
				sBuffer.append("|");
				if ( (i + 1) % 5 == 0 && i != (len - 1)) {
					sBuffer.append("\n");
				}
			}
			sBuffer.append("\n]");
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return sBuffer.toString();
	}
}
