package hanalife.batch.util.dtf;


/**
 * <pre>
 * 클래스명    : IDTFGenerator
 * 클래스설명 : 전문생성하는  Generator
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface IDTFGenerator
{
	/**
	 * <p>출력전문을 파일로 생성한다.</p>
	 * @param dtfl - 출력전문을 작성할 contents, list에 담긴 각 객체는 한라인의 내용을 담고 있다.
	 * @param xmlFileNm - 전문의 layout을 정의한 xml파일 ( 경로 + 파일명 )
	 * @param file - 출력전문을 write할 파일 ( 경로 + 파일명 )
	 * @param b	- true : 기존파일에 append한다., - false : 기존파일의 내용을 지우고 다시 쓴다.
	 * @return
	 * @throws DTFException
	 */
	public DTFMsgVOList setDTFList( DTFMsgVOList dtfl, String xmlFileNm, String file, boolean b )
			throws DTFException;


	/**
	 * <p>출력전문 생성후 라인를 얻을때 사용한다.</p>
	 * @return
	 */
	public int getWriteCount();
}
