package hanalife.batch.util.ftd;


import java.util.ArrayList;

/**
 * <pre>
 * 클래스명    : FTDMsgVOList
 * 클래스설명 : 배치수행에 필요한 정보를 저장하고 있는 객체 VOList
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class FTDMsgVOList extends ArrayList
{
	String fileDesc;     //객체 설명
	boolean isHeader;    //헤더부 존재여부
	boolean isFooter;    //풋터부 존재여부

	public void setFileDesc( String fileDesc )
	{
		this.fileDesc = fileDesc;
	}

	public void setIsHeader( boolean b )
	{
		this.isHeader = b;
	}

	public void setIsFooter( boolean b )
	{
		this.isFooter = b;
	}

	/**
	 * 배체 설명
	 * @return fileDesc
	 */
	public String getFileDesc()
	{
		return this.fileDesc;
	}

	/**
	 * 헤더부 존재여부를 리턴한다.
	 * true면 list.get(0)이 헤더부 정보가 된다.
	 * @return boolean
	 */
	public boolean getIsHeader()
	{
		return this.isHeader;
	}

	/**
	 * 풋터부 존재여부를 리턴한다.
	 * true면 마지막 인덱스의 객체가 풋터 정보가 된다.
	 * @return boolean
	 */
	public boolean getIsFooter()
	{
		return this.isFooter;
	}

}
