package hanalife.batch.util.ftd;

import hanalife.batch.BatchException;


/**
 * <pre>
 * 클래스명    : IFTDGenerator
 * 클래스설명 : 파일을 파싱하여 로직처리에 필요한 객체를 반환해주는 인터페이스 Generator
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface IFTDGenerator
{
	/**
	 * 배치수행에 필요한 정보를 저장하고 있는 객체들의 집합을 리턴한다.
	 * @param file 파일경로를 포함한 파일명
	 * @param type 파싱할 xml 종류
	 * @return FTDMsgVOList 객체들의 집합
	 * @throws FTDException 오류시 발생하는 Exception
	 * @throws BatchException
	 */
	public FTDMsgVOList getFTDList( String file, String type ) throws FTDException, BatchException;
}
