package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.LoanIntgDSSRCHSDDTO;
import hanalife.c.bc.cc.mapper.dto.LoanIntgDSSRCHSMDTO;

@Mapper("LoanIntgMapper")
public interface LoanIntgMapper {

    /**
     * <pre>
     * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH01
     * 작성일자      : 2023. 3. 10.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 통합검색(대출고객이 있고 제휴사/제휴점 없을때)을(를) 조회 한다.
     * 메소드인수1   : 통합검색(대출고객이 있고 제휴사/제휴점 없을때) 입력
     * 메소드리턴값  : 통합검색(대출고객이 있고 제휴사/제휴점 없을때) 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH01(LoanIntgDSSRCHSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH03
	 * 작성일자      : 2023. 3. 10.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 통합검색(대출고객이 있고 제휴사/제휴점 있을때)을(를) 조회 한다.
	 * 메소드인수1   : 통합검색(대출고객이 있고 제휴사/제휴점 있을때) 입력
	 * 메소드리턴값  : 통합검색(대출고객이 있고 제휴사/제휴점 있을때) 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH03(LoanIntgDSSRCHSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH02
	 * 작성일자      : 2023. 3. 10.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 통합검색(대출고객이 없고 제휴사/제휴점 없을때)을(를) 조회 한다.
	 * 메소드인수1   : 통합검색(대출고객이 없고 제휴사/제휴점 없을때) 입력
	 * 메소드리턴값  : 통합검색(대출고객이 없고 제휴사/제휴점 없을때) 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH02(LoanIntgDSSRCHSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH04
	 * 작성일자      : 2023. 3. 10.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 통합검색(대출고객이 없고 제휴사/제휴점 있을때)을(를) 조회 한다.
	 * 메소드인수1   : 통합검색(대출고객이 없고 제휴사/제휴점 있을때) 입력
	 * 메소드리턴값  : 통합검색(대출고객이 없고 제휴사/제휴점 있을때) 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH04(LoanIntgDSSRCHSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH06
	 * 작성일자      : 2023. 3. 10.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 통합검색(실납입 고객이 있고 제휴사/제휴점 없을때)을(를) 조회 한다.
	 * 메소드인수1   : 통합검색(실납입 고객이 있고 제휴사/제휴점 없을때) 입력
	 * 메소드리턴값  : 통합검색(실납입 고객이 있고 제휴사/제휴점 없을때) 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH06(LoanIntgDSSRCHSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchLoanIntgSrch_ST_LOAN_INTG_SEARCH07
	 * 작성일자      : 2023. 3. 10.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 통합검색(실납입 고객이 있고 제휴사/제휴점 있을때)을(를) 조회 한다.
	 * 메소드인수1   : 통합검색(실납입 고객이 있고 제휴사/제휴점 있을때) 입력
	 * 메소드리턴값  : 통합검색(실납입 고객이 있고 제휴사/제휴점 있을때) 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<LoanIntgDSSRCHSDDTO> searchLoanIntgSrch_ST_LOAN_INTG_SEARCH07(LoanIntgDSSRCHSMDTO inDto) throws Exception;

}
