package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCM01InVO;
import hanalife.c.bc.cc.vo.CBCCCM01OutVO;


/**
 * <pre>
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명    : CBCCCM01Service.java Class
 * 클래스설명  : 공통코드관리 (CBCCCM01S01) Service Interface
 * 작성일자    : 2023. 3. 28.
 * 작성자명    : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [ 수정일자 ][ 수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.28.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getCBCCCM01S01 : 공통코드 내역 조회
 * </pre>
 */
public interface CBCCCM01Service
{
    /**
     * <p>메소드명        : getCBCCCM01S01 : 공통코드(CT_COMM_CD_KIND) 내역 조회</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO getCBCCCM01S01(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S02 : 공통코드(CT_COMM_CD_DESC) 내역 조회</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO getCBCCCM01S02(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S03 : 공통코드(CT_COMM_CD_KIND) 내역 조회</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO getCBCCCM01S03(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S02 : 공통코드(CT_COMM_CD_DESC) 내역 저장</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO insertCtCommCdKind(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S02 : 공통코드(CT_COMM_CD_DESC) 내역 삭제</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO deleteCtCommCdDesc(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S02 : 공통코드(CT_COMM_CD_DESC) 내역 수정</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO updateCtCommCdDesc(CBCCCM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : getCBCCCM01S02 : 공통코드(CT_COMM_CD_DESC) 내역 저장</p>
     * <p>작성일자        : 2023. 3. 28.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : 공통코드 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public CBCCCM01OutVO insertCtCommCdDesc(CBCCCM01InVO inVo) throws Exception;
}