package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCM02DSUSERMNGSDCVO;
import hanalife.c.bc.cc.vo.CBCCCM02S01InVO;
import hanalife.c.bc.cc.vo.CBCCCM02S01OutVO;
import hanalife.c.bc.cc.vo.CBCCCM02U01InVO;
import hanalife.c.bc.cc.vo.CBCCCM02U01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CBCCCM02Service.java Class
 * 클래스설명   : 사용자관리 (CBCCCM02) Service Interface
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getCBCCCM02S01 : 사용자관리목록조회
 * 			 	getCBCCCM02S02 : 사용자관리건수조회
 * 			 	registerCBCCCM02I01 : 사용자관리등록
 * 			 	modifyCBCCCM02U01 : 사용자관리수정
 * 			 	deleteCBCCCM02U01 : 사용자관리삭제
 * </pre>
 */

public interface CBCCCM02Service {

	/**
	 * <p>메소드명      : getCBCCCM02S01 : 사용자관리</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 사용자관리 조회한다.</p>
	 * <p>메소드인수    : CBCCCM02S01InVo </p>
	 * <p>메소드리턴값  : CBCCCM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCM02S01OutVO getCBCCCM02S01(CBCCCM02S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getCBCCCM02S02 : 사용자관리조회건수</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 사용자관리조회건수 조회한다.</p>
	 * <p>메소드인수    : CBCCCM02DSUSERMNGSDCVO </p>
	 * <p>메소드리턴값  : int</p>
	 * <p>예외처리      : Exception</p>
	 */
	public int getCBCCCM02S02(CBCCCM02DSUSERMNGSDCVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerCBCCCM02U01 : 사용자관리등록</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 사용자관리 등록한다.</p>
	 * <p>메소드인수    : CBCCCM02U01InVo </p>
	 * <p>메소드리턴값  : CBCCCM02U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public CBCCCM02U01OutVO registerCBCCCM02U01(CBCCCM02U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifyCBCCCM02U01 : 사용자관리수정</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 사용자관리 수정한다.</p>
	 * <p>메소드인수    : CBCCCM02U01InVo </p>
	 * <p>메소드리턴값  : CBCCCM02U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public CBCCCM02U01OutVO modifyCBCCCM02U01(CBCCCM02U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : deleteCBCCCM02U01 : 사용자관리삭제</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 사용자관리 삭제한다.</p>
	 * <p>메소드인수    : CBCCCM02U01InVo </p>
	 * <p>메소드리턴값  : CBCCCM02U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public CBCCCM02U01OutVO deleteCBCCCM02U01(CBCCCM02U01InVO inVo) throws Exception;

}
