package hanalife.c.bc.ci.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.bc.ci.mapper.CBCCIM02Mapper;
import hanalife.c.bc.ci.mapper.dto.CBCCIM02DSSDDODTO;
import hanalife.c.bc.ci.mapper.dto.CBCCIM02DSSMDODTO;
import hanalife.c.bc.ci.service.CBCCIM02Service;
import hanalife.c.bc.ci.vo.CBCCIM02DSSDDOVO;
import hanalife.c.bc.ci.vo.CBCCIM02InVO;
import hanalife.c.bc.ci.vo.CBCCIM02OutVO;

@Service("CBCCIM02Service")
public class CBCCIM02ServiceImpl implements CBCCIM02Service{
	/**
	  * <pre>
	  * 메소드명 :신용정보 목록 조회
	  * 작성일자 : 2023. 3. 27.
	  * 작성자(author):
	  * 메소드인수 : CBCCIM02S01InVO
	  * 메소드리턴값 : CBCCIM02S01OutVO
	  * 예외처리 : Exception
	  * </pre>
	  */

	@Autowired
	private CBCCIM02Mapper CBCCIM02Mapper;


	@Override
	public CBCCIM02OutVO getCBCCIM02S01(CBCCIM02InVO inVO) throws Exception{

		/** 받은 VO값을 SMDODTO에 전달*/
		CBCCIM02DSSMDODTO iDTO= new CBCCIM02DSSMDODTO();
		iDTO.setInqDtFr(inVO.getCBCCIM02DSSMDOVO().getInqDtFr());
		iDTO.setInqInfo(inVO.getCBCCIM02DSSMDOVO().getInqInfo());
		iDTO.setResiNo(inVO.getCBCCIM02DSSMDOVO().getResiNo());
		iDTO.setInqDtTo(inVO.getCBCCIM02DSSMDOVO().getInqDtTo());

		/** mapper를 통해 DTO의 쿼리 호출하고 각 DTO에 가져온 VO를 입력 */
		CBCCIM02OutVO resultVO=new CBCCIM02OutVO();	//최종리턴할 OutVO 정의
		List<CBCCIM02DSSDDODTO> listDTO=CBCCIM02Mapper.searchInfo(iDTO);	//매퍼에서 쿼리 호출
		List<CBCCIM02DSSDDOVO> listVO=new ArrayList<>();	//DTO로부터 리턴할 OutVO를 넣을 리스트 정의
		for(CBCCIM02DSSDDODTO sourceIO: listDTO) {	//SDDODTO->SDDOVO 시작
			CBCCIM02DSSDDOVO targetIO=new CBCCIM02DSSDDOVO();	//SDDODTO에서 get해 SDDOVO에 set
			targetIO.setCustNm(sourceIO.getCustNm()); /** 고객명 */
			targetIO.setResiNo(sourceIO.getResiNo()); /** 주민등록번호 */
			targetIO.setInqInfo(sourceIO.getInqInfo()); /** 조회정보 */
			targetIO.setInqDt(sourceIO.getInqDt()); /** 조회일자 */
			targetIO.setInqTm(sourceIO.getInqTm()); /** 조회시간 */
			targetIO.setInqRsn(sourceIO.getInqRsn()); /** 조회사유 */
			targetIO.setRspnCd(sourceIO.getRspnCd()); /** 응답코드 */

			listVO.add(targetIO);

		}
		/**리턴값 세팅*/
		resultVO.setListCBCCIM02DSSDDOVO(listVO);

		return resultVO;
	}

}
