package hanalife.c.bc.kb.service;

import hanalife.c.bc.kb.vo.CBCKBM01InVO;
import hanalife.c.bc.kb.vo.CBCKBM01OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: CBCKBM01Service.java Class
 * 클래스설명	: KB아파트시세등록 (CBCKBM01) Service Interface
 * 작성일자	: 2023.03.20.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 20.][70305 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	getCBCKBM01S01	: KB법정동_시도 조회
 * 			getCBCKBM01S02	: KB법정동_시군구 조회
 * 			getCBCKBM01S03	: KB법정동_읍면동 조회
 * 			getCBCKBM01S04	: KB아파트정보 조회
 * 			getCBCKBM01S05	: KB평형정보 조회
 * 			getCBCKBM01S06	: KB아파트시세 조회
 * </pre>
 */
public interface CBCKBM01Service {

	/**
	 * <p>메소드명			: getCBCKBM01S01 : KB법정동코드_시도 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB법정동코드_시도 내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S01(CBCKBM01InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getCBCKBM01S02 : KB법정동코드_시군구 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB법정동코드_시군구내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S02(CBCKBM01InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getCBCKBM01S03 : KB법정동코드_읍면동 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB법정동코드_읍면동 내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S03(CBCKBM01InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getCBCKBM01S04 : KB아파트정보 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트정보 내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S04(CBCKBM01InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getCBCKBM01S05 : KB평형 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB평형정보 내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S05(CBCKBM01InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getCBCKBM01S06 : KB아파트시세 조회</p>
	 * <p>작성일자			: 2023.03.20.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세 내역을 조회한다.</p>
	 * <p>메소드인수		: CBCKBM01S01InVo </p>
	 * <p>메소드리턴값		: CBCKBM01S01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public CBCKBM01OutVO getCBCKBM01S06(CBCKBM01InVO inVo) throws Exception;

}
