package hanalife.c.cm.cm.web;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.collections.map.HashedMap;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.c.cm.cm.service.HlflCmmDataService;
import hanalife.c.co.util.StringUtil;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@Controller
public class HlflCmmDataController {

	
	@Resource(name = "HaflCmmDataService")
	private HlflCmmDataService cmmDataService;

	private Log log = LogFactory.getLog(this.getClass());
	
	@RequestMapping("/cmm/selectCmmDicByNo.do")
	public String selectCmmDicByNo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

//		log.info("##### HaflCmmController selectCmmDicByNo Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "G_COM_DIC", 0);
			
			String dataDicNo = (String)param.get("dataDicNo");

			List<Map<String, Object>> list = cmmDataService.selectCmmDicByNo(param);

			XFrame5Util.setOutputData("DS_DIC_"+dataDicNo, list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	
	@RequestMapping("/cmm/selectCmmDicDesc.do")
	public String selectCmmDicDesc(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

//		log.info("##### HaflCmmController selectCmmDicDesc Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_CT_CATA_DIC_REQ", 0);
			String dataDicNo = (String)param.get("dataDicNo");

			List<Map<String, Object>> list = cmmDataService.selectCmmDicByNoOne(param);
			
			Map<String, Object> result = (Map<String, Object>)list.get(0);
			
			List<Map<String, Object>> returnList = new ArrayList();
			
			Set<String> keys =  result.keySet();
			Iterator<String> i =  keys.iterator();
			while(i.hasNext()) {
				String key = i.next();
				Map<String, Object> returnMap= new HashMap();
				
				returnMap.put("dataDicNo", dataDicNo);
				returnMap.put("colnNm"   , key);
				
				returnList.add(returnMap);
			}

			XFrame5Util.setOutputData("DS_CT_DATA_DIC_DESC" , returnList, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	
	@RequestMapping("/cmm/selectCmmDataList.do")
	public String selectCmmDataList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

//		log.info("##### HaflCmmController selectCmmDataList Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);
			

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "G_COM_REQ", 0);
			
			String returnDS = StringUtil.NVL((String)param.get("returnDS"));

			List<Map<String, Object>> list = cmmDataService.selectCmmDataList(param);

			XFrame5Util.setOutputData( returnDS , list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/cmm/mergeCmmData.do")
	public String mergeCmmData(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

//		log.info("##### HaflCmmController mergeCmmData Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "G_COM_REQ", 0);
			
			String sqlId    = StringUtil.NVL( ((String)param.get("sqlId")).trim() );
			
			if("CT_USER_LOGIN_UPDATE".equals(sqlId)) {
				HttpSession session = request.getSession();
				session.setMaxInactiveInterval((60*30));
			}
			
			int resultCnt = cmmDataService.mergeCmmData(param);
			
			List<Map<String, Object>> list = new ArrayList<Map<String,Object>>();
			
			if(resultCnt>0) {
				Map<String, Object> returnMap = new HashedMap();
				returnMap.put("returnCnt", resultCnt);
				list.add(0, returnMap);
			}
			
			model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, "{\"sqlId\":\""+sqlId+"\"}");
			
			XFrame5Util.setOutputData( "DS_COM_RES" , list, model);
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	
	@RequestMapping("/cmm/selectComDataList.do")
	public String selectComDataList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_COM_REQ", 0);

			List<Map<String, Object>> list = cmmDataService.selectCmmDataList(param);

			XFrame5Util.setOutputData( "DS_COM_LIST" , list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}
		
		return XFrame5View.XFRAME5_VIEW;
	}
	
}
