 package hanalife.c.cm.lg.web;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import hanalife.c.cm.lg.service.LoginService;
import hanalife.c.co.contants.Constants;

@RestController
public class LoginRestController {

	@Resource(name = "LoginService")
	private LoginService loginService;

	private Log log = LogFactory.getLog(this.getClass());
	

	@PostMapping("/users/map")
	public Map<String, Object> findUserByNo(@RequestParam Map<String, Object> param) throws Exception {
		log.info("##### LoginController findUserByNo Start #####");
		Map<String,Object> result = null;
		try {
			param.put("requestGbn", "rest");
			List<Map<String, Object>> list = loginService.selectUser(param);
			
			if(list.size() > 0) {
				result = list.get(0);
			}
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
		}
		return result;
	}
	
	@GetMapping("/session/{attr}")
	public String findSessionByAttr(HttpServletRequest request, @PathVariable("attr") String attr) throws Exception {
		HttpSession session = request.getSession();
		String returnStr = (String)session.getAttribute(attr);
		return returnStr;
	}
	
	@GetMapping("/defaultPwd")
	public String getDefaultPwd() throws Exception {
		String returnStr = Constants.PSWD;
		return returnStr;
	}
}
