package hanalife.c.co.co.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.co.co.service.CCOCOP01Service;
import hanalife.c.co.co.vo.CCOCOP01S01DSSDDOVO;
import hanalife.c.co.co.vo.CCOCOP01S01InVO;
import hanalife.c.co.co.vo.CCOCOP01S01OutVO;
import hanalife.c.co.mapper.HtEmpBaseMapper;
import hanalife.c.co.mapper.dto.HtEmpBaseDTO;

@Service("CCOCOP01Service")
public class CCOCOP01ServiceImpl implements CCOCOP01Service{
	private static final Logger LOGGER = LoggerFactory.getLogger(CCOCOP01ServiceImpl.class);


	@Autowired
	private HtEmpBaseMapper htEmpBaseMapper;

	// SMDODTO에 inVO에서 가져온 값 삽입
	@Override
	public CCOCOP01S01OutVO getCCOCOP01S01(CCOCOP01S01InVO sourcewrapper) throws Exception{
		//VO에 DTO값 대입
		HtEmpBaseDTO targetwrapper=new HtEmpBaseDTO();

		targetwrapper.setKorName(sourcewrapper.getCCOCOP01S01DS_SMDOVO().getKorName()); /** 사원명 */

		//위에서 얻은 DTO값을 inVO에 대입(Select):resultDTO==Targetwrapper 리스트
		List<HtEmpBaseDTO> resultDTO=htEmpBaseMapper.selectList(targetwrapper);//리스트

		List<CCOCOP01S01DSSDDOVO> listVO=new ArrayList<>(); //출력값 목록
		CCOCOP01S01OutVO resultVO=new CCOCOP01S01OutVO();	//출력값으로부터 반환할 OutVO

		//DTO->VO
		for(HtEmpBaseDTO htEmpBase: resultDTO) {
			//대입해 출력할 VO
			CCOCOP01S01DSSDDOVO wrapper=new CCOCOP01S01DSSDDOVO();
			wrapper.setEmpNo(htEmpBase.getEmpNo()); /** 종사원번호 */
			wrapper.setOldEmpNo(htEmpBase.getOldEmpNo()); /** 구분직원번호 */
			wrapper.setKorName(htEmpBase.getKorName()); /** 사원명 */
			wrapper.setChinaName(htEmpBase.getChinaName()); /** CHINA이름 */
			wrapper.setEngName(htEmpBase.getEngName()); /** 영문이름 */
			wrapper.setResiNo(htEmpBase.getResiNo()); /** 주민번호 */
			wrapper.setSexCd(htEmpBase.getSexCd()); /** 성별코드 */
			wrapper.setDeptCd(htEmpBase.getDeptCd()); /** 계정계에서업무처리한취급부서코드 */
			wrapper.setYycnt(htEmpBase.getYycnt()); /** 년수 */
			wrapper.setSlst(htEmpBase.getSlst()); /** SLST */
			wrapper.setComDivCd(htEmpBase.getComDivCd()); /** 회사명구분코드 */
			wrapper.setHireCd(htEmpBase.getHireCd()); /** 현직장코드 */
			wrapper.setHireOcptCd(htEmpBase.getHireOcptCd()); /** 현직장직종코드 */
			wrapper.setOcptCd(htEmpBase.getOcptCd()); /** 직종코드 */
			wrapper.setDetlOcptCd(htEmpBase.getDetlOcptCd()); /** 세부직종코드 */
			wrapper.setPosiCd(htEmpBase.getPosiCd()); /** 직위코드 */
			wrapper.setDutyCd(htEmpBase.getDutyCd()); /** 직책코드 */
			wrapper.setRoleCd(htEmpBase.getRoleCd()); /** 직무코드 */
			wrapper.setGrpeDt(htEmpBase.getGrpeDt()); /** GRPE일자 */
			wrapper.setHireDt(htEmpBase.getHireDt()); /** 입사일자 */
			wrapper.setGrpBfcoCd(htEmpBase.getGrpBfcoCd()); /** 집단BFCO코드 */
			wrapper.setHireRoutCd(htEmpBase.getHireRoutCd()); /** 현직장경위코드 */
			wrapper.setHireDivCd(htEmpBase.getHireDivCd()); /** 현직장구분코드 */
			wrapper.setAprtCd(htEmpBase.getAprtCd()); /** APRT코드 */
			wrapper.setAprtTerm(htEmpBase.getAprtTerm()); /** APRT대출기간 */
			wrapper.setPrmtDt(htEmpBase.getPrmtDt()); /** 프로모션일자 */
			wrapper.setGdprDt(htEmpBase.getGdprDt()); /** GDPR일자 */
			wrapper.setAssnDt(htEmpBase.getAssnDt()); /** ASSN일자 */
			wrapper.setApntDt(htEmpBase.getApntDt()); /** APNT일자 */
			wrapper.setYycntRcknDt(htEmpBase.getYycntRcknDt()); /** 년수연체기산일자 */
			wrapper.setRetiRcknDt(htEmpBase.getRetiRcknDt()); /** 퇴직연체기산일자 */
			wrapper.setWfareRcknDt(htEmpBase.getWfareRcknDt()); /** WFARE연체기산일자 */
			wrapper.setWfareDtUpdtRsnDesc(htEmpBase.getWfareDtUpdtRsnDesc()); /** WFARE일자수정사유내용 */
			wrapper.setContEndDt(htEmpBase.getContEndDt()); /** 계약종료일자 */
			wrapper.setRetiDt(htEmpBase.getRetiDt()); /** 퇴직일자 */
			wrapper.setRetiCd(htEmpBase.getRetiCd()); /** 퇴직코드 */
			wrapper.setRetiRsnCd1(htEmpBase.getRetiRsnCd1()); /** 퇴직사유코드1 */
			wrapper.setRetiRsnCd2(htEmpBase.getRetiRsnCd2()); /** 퇴직사유코드2 */
			wrapper.setSuspCd(htEmpBase.getSuspCd()); /** SUSP코드 */
			wrapper.setSuspRsnCd(htEmpBase.getSuspRsnCd()); /** SUSP사유코드 */
			wrapper.setSuspStrtDt(htEmpBase.getSuspStrtDt()); /** SUSP회차일자 */
			wrapper.setSuspEndDt(htEmpBase.getSuspEndDt()); /** SUSP회차일자 */
			wrapper.setResuDt(htEmpBase.getResuDt()); /** RESU일자 */
			wrapper.setCcroFg(htEmpBase.getCcroFg()); /** CCRO여부 */
			wrapper.setCcroStrtDt1(htEmpBase.getCcroStrtDt1()); /** CCRO회차일자1 */
			wrapper.setCcroEndDt1(htEmpBase.getCcroEndDt1()); /** CCRO회차일자1 */
			wrapper.setCcroStrtDt2(htEmpBase.getCcroStrtDt2()); /** CCRO회차일자2 */
			wrapper.setCcroEndDt2(htEmpBase.getCcroEndDt2()); /** CCRO회차일자2 */
			wrapper.setCcroDeptCd1(htEmpBase.getCcroDeptCd1()); /** CCRO부서코드1 */
			wrapper.setCcroDeptCd2(htEmpBase.getCcroDeptCd2()); /** CCRO부서코드2 */
			wrapper.setCcroDutyCd1(htEmpBase.getCcroDutyCd1()); /** CCRO책임자코드1 */
			wrapper.setCcroDutyCd2(htEmpBase.getCcroDutyCd2()); /** CCRO책임자코드2 */
			wrapper.setCcroRoleCd1(htEmpBase.getCcroRoleCd1()); /** CCRO직무코드1 */
			wrapper.setCcroRoleCd2(htEmpBase.getCcroRoleCd2()); /** CCRO직무코드2 */
			wrapper.setDtchFg(htEmpBase.getDtchFg()); /** 파견여부 */
			wrapper.setDtchStrtDt(htEmpBase.getDtchStrtDt()); /** 파견회차일자 */
			wrapper.setDtchEndDt(htEmpBase.getDtchEndDt()); /** 파견회차일자 */
			wrapper.setAttdDeptCd(htEmpBase.getAttdDeptCd()); /** ATTD부서코드 */
			wrapper.setBfDeptCd(htEmpBase.getBfDeptCd()); /** 전부서코드 */
			wrapper.setBfOcptCd(htEmpBase.getBfOcptCd()); /** 전직종코드 */
			wrapper.setBfDetlOcptCd(htEmpBase.getBfDetlOcptCd()); /** 전세부직종코드 */
			wrapper.setBfPosiCd(htEmpBase.getBfPosiCd()); /** 전직위코드 */
			wrapper.setBfSlst(htEmpBase.getBfSlst()); /** 후SLST */
			wrapper.setBfPrmtDt(htEmpBase.getBfPrmtDt()); /** 후프로모션일자 */
			wrapper.setBfGdprDt(htEmpBase.getBfGdprDt()); /** 후GDPR일자 */
			wrapper.setBfAssnDt(htEmpBase.getBfAssnDt()); /** 후ASSN일자 */
			wrapper.setBfDutyCd(htEmpBase.getBfDutyCd()); /** 전직책코드 */
			wrapper.setBfDutyEndDt(htEmpBase.getBfDutyEndDt()); /** 후책임자회차일자 */
			wrapper.setBfRoleCd(htEmpBase.getBfRoleCd()); /** 후직무코드 */
			wrapper.setTrfcCostPayFg(htEmpBase.getTrfcCostPayFg()); /** TRFC비용지불여부 */
			wrapper.setWidEmpNoFg(htEmpBase.getWidEmpNoFg()); /** 창구직원번호여부 */
			wrapper.setCprtBranDeptCd(htEmpBase.getCprtBranDeptCd()); /** 코드판촉부서코드 */
			wrapper.setOffcTelNo1(htEmpBase.getOffcTelNo1()); /** 직장전화번호1 */
			wrapper.setOffcTelNo2(htEmpBase.getOffcTelNo2()); /** 사무실전화번호2 */
			wrapper.setOffcTelNo3(htEmpBase.getOffcTelNo3()); /** 직장전화번호3 */
			wrapper.setInnoNo(htEmpBase.getInnoNo()); /** 내선번호 */
			wrapper.setHomeTelNo1(htEmpBase.getHomeTelNo1()); /** 자택-전화번호1 */
			wrapper.setHomeTelNo2(htEmpBase.getHomeTelNo2()); /** 자택전화번호2 */
			wrapper.setHomeTelNo3(htEmpBase.getHomeTelNo3()); /** 자택전화번호3 */
			wrapper.setHpNo1(htEmpBase.getHpNo1()); /** 핸드폰번호1 */
			wrapper.setHpNo2(htEmpBase.getHpNo2()); /** 핸드폰번호2 */
			wrapper.setHpNo3(htEmpBase.getHpNo3()); /** 핸드폰번호3 */
			wrapper.setFaxNo1(htEmpBase.getFaxNo1()); /** 팩스전화번호1 */
			wrapper.setFaxNo2(htEmpBase.getFaxNo2()); /** 팩스전화번호2 */
			wrapper.setFaxNo3(htEmpBase.getFaxNo3()); /** 팩스전화번호3 */
			wrapper.setEmal(htEmpBase.getEmal()); /** 이메일 */
			wrapper.setZipCd(htEmpBase.getZipCd()); /** 우편번호 */
			wrapper.setRlPlcCi(htEmpBase.getRlPlcCi()); /** 거주지시 */
			wrapper.setRlPlcGu(htEmpBase.getRlPlcGu()); /** 거주지구 */
			wrapper.setRlPlcDong(htEmpBase.getRlPlcDong()); /** 거주지동 */
			wrapper.setRlPlcSpec(htEmpBase.getRlPlcSpec()); /** 거주지상세 */
			wrapper.setPmdcAddr(htEmpBase.getPmdcAddr()); /** 본적주소 */
			wrapper.setBrthDoCd(htEmpBase.getBrthDoCd()); /** BRTH도코드 */
			wrapper.setWeddDivCd(htEmpBase.getWeddDivCd()); /** 결혼구분코드 */
			wrapper.setBrddDivCd(htEmpBase.getBrddDivCd()); /** BRDD구분코드 */
			wrapper.setBirtDt(htEmpBase.getBirtDt()); /** 생년월일 */
			wrapper.setHght(htEmpBase.getHght()); /** HGHT */
			wrapper.setWt(htEmpBase.getWt()); /** 가중치 */
			wrapper.setChestHght(htEmpBase.getChestHght()); /** 가슴HGHT */
			wrapper.setBrodTpCd(htEmpBase.getBrodTpCd()); /** BROD형태코드 */
			wrapper.setRlgnCd(htEmpBase.getRlgnCd()); /** RLGN코드 */
			wrapper.setHoby(htEmpBase.getHoby()); /** HOBY */
			wrapper.setTlnt(htEmpBase.getTlnt()); /** TLNT */
			wrapper.setRtarFg(htEmpBase.getRtarFg()); /** RTAR여부 */
			wrapper.setNoarmyRsnCd(htEmpBase.getNoarmyRsnCd()); /** NOARMY사유코드 */
			wrapper.setErarDt(htEmpBase.getErarDt()); /** ERAR일자 */
			wrapper.setEdarDt(htEmpBase.getEdarDt()); /** EDAR일자 */
			wrapper.setGrdCd(htEmpBase.getGrdCd()); /** 평점등급ID코드 */
			wrapper.setVtrnObjKindCd(htEmpBase.getVtrnObjKindCd()); /** VTRN회피종류코드 */
			wrapper.setVtrnObjRelCd(htEmpBase.getVtrnObjRelCd()); /** VTRN회피코드코드 */
			wrapper.setEmpmMethCd(htEmpBase.getEmpmMethCd()); /** 취업코드코드 */
			wrapper.setVtrnNo(htEmpBase.getVtrnNo()); /** VTRN번호 */
			wrapper.setVtrnBrofCd(htEmpBase.getVtrnBrofCd()); /** VTRNBROF코드 */
			wrapper.setVtrnAsgnDt(htEmpBase.getVtrnAsgnDt()); /** VTRN일자일자 */
			wrapper.setRman(htEmpBase.getRman()); /** 추천인 */
			wrapper.setRmanRelCd(htEmpBase.getRmanRelCd()); /** 추천인코드코드 */
			wrapper.setRmanEmpNo(htEmpBase.getRmanEmpNo()); /** 추천인사원번호 */
			wrapper.setFornLangCd1(htEmpBase.getFornLangCd1()); /** 외국환거래금액LANG코드1 */
			wrapper.setDgreCd1(htEmpBase.getDgreCd1()); /** 코드코드1 */
			wrapper.setFornLangCd2(htEmpBase.getFornLangCd2()); /** 외국환거래금액LANG코드2 */
			wrapper.setDgreCd2(htEmpBase.getDgreCd2()); /** 코드코드2 */
			wrapper.setFornLangCd3(htEmpBase.getFornLangCd3()); /** 외국환거래금액LANG코드3 */
			wrapper.setDgreCd3(htEmpBase.getDgreCd3()); /** 코드코드3 */
			wrapper.setFrstRegDt(htEmpBase.getFrstRegDt()); /** 최초처리일자 */
			wrapper.setFrstRegTm(htEmpBase.getFrstRegTm()); /** 최초등록시간 */
			wrapper.setFrstRegEmpNo(htEmpBase.getFrstRegEmpNo()); /** 최초등록사원번호 */
			wrapper.setLastProcDt(htEmpBase.getLastProcDt()); /** 최종처리일자 */
			wrapper.setLastProcTm(htEmpBase.getLastProcTm()); /** 최종처리시각 */
			wrapper.setLastProcEmpNo(htEmpBase.getLastProcEmpNo()); /** 최종-처리사원번호 */
			wrapper.setSpcSaleEmpFg(htEmpBase.getSpcSaleEmpFg()); /** SPC판매직원여부 */
			wrapper.setHoldCargrp(htEmpBase.getHoldCargrp()); /** 지주차종 */
			wrapper.setCarsNo(htEmpBase.getCarsNo()); /** 차량번호 */
			wrapper.setOwnDiv(htEmpBase.getOwnDiv()); /** 주민등록번호구분 */
			wrapper.setMdlYear(htEmpBase.getMdlYear()); /** 년식 */
			wrapper.setOilcostAidDiv(htEmpBase.getOilcostAidDiv()); /** 유류비지원구분 */
			wrapper.setRetiAplyFg(htEmpBase.getRetiAplyFg()); /** 퇴직적용여부 */
			wrapper.setAcntDivCd(htEmpBase.getAcntDivCd()); /** 계좌구분코드 */
			wrapper.setContStrtDt(htEmpBase.getContStrtDt()); /** 약정시작일자 */
			wrapper.setCrdtRoleCd(htEmpBase.getCrdtRoleCd()); /** 할부금융업종조회총건수직무코드 */

			listVO.add(wrapper);
		}
		resultVO.setListCCOCOP01S01DSSDDOVO(listVO);

		return resultVO;
	}


}
