package hanalife.c.co.co.vo;

import hanalife.c.co.vo.AbstractVO;

public class CCOCOP01S01DSSMDOVO extends AbstractVO{
	/**
	 * <pre>
	 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
	 * 클래스명     : HtEmpBaseDTO.java Class
	 * 클래스설명   : HT-직원기본(HT_EMP_BASE)를(을) 위한 테이블 DTO(VO)
	 * 작성일자     : 2023. 3. 22.
	 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
	 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
	 * -----------------------------------------------------------------------------
	 * Modification Information
	 * -----------------------------------------------------------------------------
	 * [  수정일자  ][수정자][변경사유-수정내용]
	 * -----------------------------------------------------------------------------
	 * [2023. 3. 22.][70317 ][최초작성]
	 * -----------------------------------------------------------------------------
	 * </pre>
	 */

	/** 필요한 입력값 (SMDO)*/

    private static final long serialVersionUID = 1L;

    private String empNo;  /* 종사원번호 */
    private String oldEmpNo;  /* 구분직원번호 */
    private String korName;  /* 사원명 */
    private String chinaName;  /* CHINA이름 */
    private String engName;  /* 영문이름 */
    private String resiNo;  /* 주민번호 */
    private String sexCd;  /* 성별코드 */
    private String deptCd;  /* 계정계에서 업무처리 한 취급 부서 코드 */
    private long yycnt;  /* 년수 */
    private String slst;  /* SLST */
    private String comDivCd;  /* 회사명구분코드 */
    private String hireCd;  /* 현직장코드 */
    private String hireOcptCd;  /* 현직장직종코드 */
    private String ocptCd;  /* 직종코드 */
    private String detlOcptCd;  /* 세부직종코드 */
    private String posiCd;  /* 직위코드 */
    private String dutyCd;  /* 직책코드 */
    private String roleCd;  /* 직무코드 */
    private String grpeDt;  /* GRPE일자 */
    private String hireDt;  /* 입사일자 */
    private String grpBfcoCd;  /* 집단BFCO코드 */
    private String hireRoutCd;  /* 현직장경위코드 */
    private String hireDivCd;  /* 현직장구분코드 */
    private String aprtCd;  /* APRT코드 */
    private String aprtTerm;  /* APRT대출기간 */
    private String prmtDt;  /* 프로모션일자 */
    private String gdprDt;  /* GDPR일자 */
    private String assnDt;  /* ASSN일자 */
    private String apntDt;  /* APNT일자 */
    private String yycntRcknDt;  /* 년수연체기산일자 */
    private String retiRcknDt;  /* 퇴직연체기산일자 */
    private String wfareRcknDt;  /* WFARE연체기산일자 */
    private String wfareDtUpdtRsnDesc;  /* WFARE일자수정사유내용 */
    private String contEndDt;  /* 계약종료일자 */
    private String retiDt;  /* 퇴직일자 */
    private String retiCd;  /* 퇴직코드 */
    private String retiRsnCd1;  /* 퇴직사유코드1 */
    private String retiRsnCd2;  /* 퇴직사유코드2 */
    private String suspCd;  /* SUSP코드 */
    private String suspRsnCd;  /* SUSP사유코드 */
    private String suspStrtDt;  /* SUSP회차일자 */
    private String suspEndDt;  /* SUSP회차일자 */
    private String resuDt;  /* RESU일자 */
    private String ccroFg;  /* CCRO여부 */
    private String ccroStrtDt1;  /* CCRO회차일자1 */
    private String ccroEndDt1;  /* CCRO회차일자1 */
    private String ccroStrtDt2;  /* CCRO회차일자2 */
    private String ccroEndDt2;  /* CCRO회차일자2 */
    private String ccroDeptCd1;  /* CCRO부서코드1 */
    private String ccroDeptCd2;  /* CCRO부서코드2 */
    private String ccroDutyCd1;  /* CCRO책임자코드1 */
    private String ccroDutyCd2;  /* CCRO책임자코드2 */
    private String ccroRoleCd1;  /* CCRO직무코드1 */
    private String ccroRoleCd2;  /* CCRO직무코드2 */
    private String dtchFg;  /* 파견여부 */
    private String dtchStrtDt;  /* 파견회차일자 */
    private String dtchEndDt;  /* 파견회차일자 */
    private String attdDeptCd;  /* ATTD부서코드 */
    private String bfDeptCd;  /* 전부서코드 */
    private String bfOcptCd;  /* 전직종코드 */
    private String bfDetlOcptCd;  /* 전세부직종코드 */
    private String bfPosiCd;  /* 전직위코드 */
    private String bfSlst;  /* 후SLST */
    private String bfPrmtDt;  /* 후프로모션일자 */
    private String bfGdprDt;  /* 후GDPR일자 */
    private String bfAssnDt;  /* 후ASSN일자 */
    private String bfDutyCd;  /* 전직책코드 */
    private String bfDutyEndDt;  /* 후책임자회차일자 */
    private String bfRoleCd;  /* 후직무코드 */
    private String trfcCostPayFg;  /* TRFC비용지불여부 */
    private String widEmpNoFg;  /* 창구직원번호여부 */
    private String cprtBranDeptCd;  /* 코드판촉부서코드 */
    private String offcTelNo1;  /* 직장전화번호1 */
    private String offcTelNo2;  /* 사무실전화번호2 */
    private String offcTelNo3;  /* 직장전화번호3 */
    private String innoNo;  /* 내선번호 */
    private String homeTelNo1;  /* 자택-전화번호1 */
    private String homeTelNo2;  /* 자택전화번호2 */
    private String homeTelNo3;  /* 자택전화번호3 */
    private String hpNo1;  /* 핸드폰번호1 */
    private String hpNo2;  /* 핸드폰번호2 */
    private String hpNo3;  /* 핸드폰번호3 */
    private String faxNo1;  /* 팩스전화번호1 */
    private String faxNo2;  /* 팩스전화번호2 */
    private String faxNo3;  /* 팩스전화번호3 */
    private String emal;  /* 이메일 */
    private String zipCd;  /* 우편번호 */
    private String rlPlcCi;  /* 거주지시 */
    private String rlPlcGu;  /* 거주지구 */
    private String rlPlcDong;  /* 거주지동 */
    private String rlPlcSpec;  /* 거주지상세 */
    private String pmdcAddr;  /* 본적주소 */
    private String brthDoCd;  /* BRTH도코드 */
    private String weddDivCd;  /* 결혼구분코드 */
    private String brddDivCd;  /* BRDD구분코드 */
    private String birtDt;  /* 생년월일 */
    private String hght;  /* HGHT */
    private String wt;  /* 가중치 */
    private String chestHght;  /* 가슴HGHT */
    private String brodTpCd;  /* BROD형태코드 */
    private String rlgnCd;  /* RLGN코드 */
    private String hoby;  /* HOBY */
    private String tlnt;  /* TLNT */
    private String rtarFg;  /* RTAR여부 */
    private String noarmyRsnCd;  /* NOARMY사유코드 */
    private String erarDt;  /* ERAR일자 */
    private String edarDt;  /* EDAR일자 */
    private String grdCd;  /* 평점/등급ID코드 */
    private String vtrnObjKindCd;  /* VTRN회피종류코드 */
    private String vtrnObjRelCd;  /* VTRN회피코드코드 */
    private String empmMethCd;  /* 취업코드코드 */
    private String vtrnNo;  /* VTRN번호 */
    private String vtrnBrofCd;  /* VTRNBROF코드 */
    private String vtrnAsgnDt;  /* VTRN일자일자 */
    private String rman;  /* 추천인 */
    private String rmanRelCd;  /* 추천인코드코드 */
    private String rmanEmpNo;  /* 추천인사원번호 */
    private String fornLangCd1;  /* 외국환거래금액LANG코드1 */
    private String dgreCd1;  /* 코드코드1 */
    private String fornLangCd2;  /* 외국환거래금액LANG코드2 */
    private String dgreCd2;  /* 코드코드2 */
    private String fornLangCd3;  /* 외국환거래금액LANG코드3 */
    private String dgreCd3;  /* 코드코드3 */
    private String frstRegDt;  /* 최초처리일자 */
    private String frstRegTm;  /* 최초등록시간 */
    private String frstRegEmpNo;  /* 최초등록사원번호  */
    private String lastProcDt;  /* 최종처리일자 */
    private String lastProcTm;  /* 최종처리시각         */
    private String lastProcEmpNo;  /* 최종-처리사원번호 */
    private String spcSaleEmpFg;  /* SPC판매직원여부 */
    private String holdCargrp;  /* 지주차종 */
    private String carsNo;  /* 차량번호 */
    private String ownDiv;  /* 주민등록번호구분 */
    private String mdlYear;  /* 년식 */
    private String oilcostAidDiv;  /* 유류비지원구분 */
    private String retiAplyFg;  /* 퇴직적용여부 */
    private String acntDivCd;  /* 계좌구분코드 */
    private String contStrtDt;  /* 약정시작일자 */
    private long crdtRoleCd;  /* 할부금융업종조회총건수직무코드 */

    public String getEmpNo() {
        return empNo;
    }
    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }
    public String getOldEmpNo() {
        return oldEmpNo;
    }
    public void setOldEmpNo(String oldEmpNo) {
        this.oldEmpNo = oldEmpNo;
    }
    public String getKorName() {
        return korName;
    }
    public void setKorName(String korName) {
        this.korName = korName;
    }
    public String getChinaName() {
        return chinaName;
    }
    public void setChinaName(String chinaName) {
        this.chinaName = chinaName;
    }
    public String getEngName() {
        return engName;
    }
    public void setEngName(String engName) {
        this.engName = engName;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getSexCd() {
        return sexCd;
    }
    public void setSexCd(String sexCd) {
        this.sexCd = sexCd;
    }
    public String getDeptCd() {
        return deptCd;
    }
    public void setDeptCd(String deptCd) {
        this.deptCd = deptCd;
    }
    public long getYycnt() {
        return yycnt;
    }
    public void setYycnt(long yycnt) {
        this.yycnt = yycnt;
    }
    public String getSlst() {
        return slst;
    }
    public void setSlst(String slst) {
        this.slst = slst;
    }
    public String getComDivCd() {
        return comDivCd;
    }
    public void setComDivCd(String comDivCd) {
        this.comDivCd = comDivCd;
    }
    public String getHireCd() {
        return hireCd;
    }
    public void setHireCd(String hireCd) {
        this.hireCd = hireCd;
    }
    public String getHireOcptCd() {
        return hireOcptCd;
    }
    public void setHireOcptCd(String hireOcptCd) {
        this.hireOcptCd = hireOcptCd;
    }
    public String getOcptCd() {
        return ocptCd;
    }
    public void setOcptCd(String ocptCd) {
        this.ocptCd = ocptCd;
    }
    public String getDetlOcptCd() {
        return detlOcptCd;
    }
    public void setDetlOcptCd(String detlOcptCd) {
        this.detlOcptCd = detlOcptCd;
    }
    public String getPosiCd() {
        return posiCd;
    }
    public void setPosiCd(String posiCd) {
        this.posiCd = posiCd;
    }
    public String getDutyCd() {
        return dutyCd;
    }
    public void setDutyCd(String dutyCd) {
        this.dutyCd = dutyCd;
    }
    public String getRoleCd() {
        return roleCd;
    }
    public void setRoleCd(String roleCd) {
        this.roleCd = roleCd;
    }
    public String getGrpeDt() {
        return grpeDt;
    }
    public void setGrpeDt(String grpeDt) {
        this.grpeDt = grpeDt;
    }
    public String getHireDt() {
        return hireDt;
    }
    public void setHireDt(String hireDt) {
        this.hireDt = hireDt;
    }
    public String getGrpBfcoCd() {
        return grpBfcoCd;
    }
    public void setGrpBfcoCd(String grpBfcoCd) {
        this.grpBfcoCd = grpBfcoCd;
    }
    public String getHireRoutCd() {
        return hireRoutCd;
    }
    public void setHireRoutCd(String hireRoutCd) {
        this.hireRoutCd = hireRoutCd;
    }
    public String getHireDivCd() {
        return hireDivCd;
    }
    public void setHireDivCd(String hireDivCd) {
        this.hireDivCd = hireDivCd;
    }
    public String getAprtCd() {
        return aprtCd;
    }
    public void setAprtCd(String aprtCd) {
        this.aprtCd = aprtCd;
    }
    public String getAprtTerm() {
        return aprtTerm;
    }
    public void setAprtTerm(String aprtTerm) {
        this.aprtTerm = aprtTerm;
    }
    public String getPrmtDt() {
        return prmtDt;
    }
    public void setPrmtDt(String prmtDt) {
        this.prmtDt = prmtDt;
    }
    public String getGdprDt() {
        return gdprDt;
    }
    public void setGdprDt(String gdprDt) {
        this.gdprDt = gdprDt;
    }
    public String getAssnDt() {
        return assnDt;
    }
    public void setAssnDt(String assnDt) {
        this.assnDt = assnDt;
    }
    public String getApntDt() {
        return apntDt;
    }
    public void setApntDt(String apntDt) {
        this.apntDt = apntDt;
    }
    public String getYycntRcknDt() {
        return yycntRcknDt;
    }
    public void setYycntRcknDt(String yycntRcknDt) {
        this.yycntRcknDt = yycntRcknDt;
    }
    public String getRetiRcknDt() {
        return retiRcknDt;
    }
    public void setRetiRcknDt(String retiRcknDt) {
        this.retiRcknDt = retiRcknDt;
    }
    public String getWfareRcknDt() {
        return wfareRcknDt;
    }
    public void setWfareRcknDt(String wfareRcknDt) {
        this.wfareRcknDt = wfareRcknDt;
    }
    public String getWfareDtUpdtRsnDesc() {
        return wfareDtUpdtRsnDesc;
    }
    public void setWfareDtUpdtRsnDesc(String wfareDtUpdtRsnDesc) {
        this.wfareDtUpdtRsnDesc = wfareDtUpdtRsnDesc;
    }
    public String getContEndDt() {
        return contEndDt;
    }
    public void setContEndDt(String contEndDt) {
        this.contEndDt = contEndDt;
    }
    public String getRetiDt() {
        return retiDt;
    }
    public void setRetiDt(String retiDt) {
        this.retiDt = retiDt;
    }
    public String getRetiCd() {
        return retiCd;
    }
    public void setRetiCd(String retiCd) {
        this.retiCd = retiCd;
    }
    public String getRetiRsnCd1() {
        return retiRsnCd1;
    }
    public void setRetiRsnCd1(String retiRsnCd1) {
        this.retiRsnCd1 = retiRsnCd1;
    }
    public String getRetiRsnCd2() {
        return retiRsnCd2;
    }
    public void setRetiRsnCd2(String retiRsnCd2) {
        this.retiRsnCd2 = retiRsnCd2;
    }
    public String getSuspCd() {
        return suspCd;
    }
    public void setSuspCd(String suspCd) {
        this.suspCd = suspCd;
    }
    public String getSuspRsnCd() {
        return suspRsnCd;
    }
    public void setSuspRsnCd(String suspRsnCd) {
        this.suspRsnCd = suspRsnCd;
    }
    public String getSuspStrtDt() {
        return suspStrtDt;
    }
    public void setSuspStrtDt(String suspStrtDt) {
        this.suspStrtDt = suspStrtDt;
    }
    public String getSuspEndDt() {
        return suspEndDt;
    }
    public void setSuspEndDt(String suspEndDt) {
        this.suspEndDt = suspEndDt;
    }
    public String getResuDt() {
        return resuDt;
    }
    public void setResuDt(String resuDt) {
        this.resuDt = resuDt;
    }
    public String getCcroFg() {
        return ccroFg;
    }
    public void setCcroFg(String ccroFg) {
        this.ccroFg = ccroFg;
    }
    public String getCcroStrtDt1() {
        return ccroStrtDt1;
    }
    public void setCcroStrtDt1(String ccroStrtDt1) {
        this.ccroStrtDt1 = ccroStrtDt1;
    }
    public String getCcroEndDt1() {
        return ccroEndDt1;
    }
    public void setCcroEndDt1(String ccroEndDt1) {
        this.ccroEndDt1 = ccroEndDt1;
    }
    public String getCcroStrtDt2() {
        return ccroStrtDt2;
    }
    public void setCcroStrtDt2(String ccroStrtDt2) {
        this.ccroStrtDt2 = ccroStrtDt2;
    }
    public String getCcroEndDt2() {
        return ccroEndDt2;
    }
    public void setCcroEndDt2(String ccroEndDt2) {
        this.ccroEndDt2 = ccroEndDt2;
    }
    public String getCcroDeptCd1() {
        return ccroDeptCd1;
    }
    public void setCcroDeptCd1(String ccroDeptCd1) {
        this.ccroDeptCd1 = ccroDeptCd1;
    }
    public String getCcroDeptCd2() {
        return ccroDeptCd2;
    }
    public void setCcroDeptCd2(String ccroDeptCd2) {
        this.ccroDeptCd2 = ccroDeptCd2;
    }
    public String getCcroDutyCd1() {
        return ccroDutyCd1;
    }
    public void setCcroDutyCd1(String ccroDutyCd1) {
        this.ccroDutyCd1 = ccroDutyCd1;
    }
    public String getCcroDutyCd2() {
        return ccroDutyCd2;
    }
    public void setCcroDutyCd2(String ccroDutyCd2) {
        this.ccroDutyCd2 = ccroDutyCd2;
    }
    public String getCcroRoleCd1() {
        return ccroRoleCd1;
    }
    public void setCcroRoleCd1(String ccroRoleCd1) {
        this.ccroRoleCd1 = ccroRoleCd1;
    }
    public String getCcroRoleCd2() {
        return ccroRoleCd2;
    }
    public void setCcroRoleCd2(String ccroRoleCd2) {
        this.ccroRoleCd2 = ccroRoleCd2;
    }
    public String getDtchFg() {
        return dtchFg;
    }
    public void setDtchFg(String dtchFg) {
        this.dtchFg = dtchFg;
    }
    public String getDtchStrtDt() {
        return dtchStrtDt;
    }
    public void setDtchStrtDt(String dtchStrtDt) {
        this.dtchStrtDt = dtchStrtDt;
    }
    public String getDtchEndDt() {
        return dtchEndDt;
    }
    public void setDtchEndDt(String dtchEndDt) {
        this.dtchEndDt = dtchEndDt;
    }
    public String getAttdDeptCd() {
        return attdDeptCd;
    }
    public void setAttdDeptCd(String attdDeptCd) {
        this.attdDeptCd = attdDeptCd;
    }
    public String getBfDeptCd() {
        return bfDeptCd;
    }
    public void setBfDeptCd(String bfDeptCd) {
        this.bfDeptCd = bfDeptCd;
    }
    public String getBfOcptCd() {
        return bfOcptCd;
    }
    public void setBfOcptCd(String bfOcptCd) {
        this.bfOcptCd = bfOcptCd;
    }
    public String getBfDetlOcptCd() {
        return bfDetlOcptCd;
    }
    public void setBfDetlOcptCd(String bfDetlOcptCd) {
        this.bfDetlOcptCd = bfDetlOcptCd;
    }
    public String getBfPosiCd() {
        return bfPosiCd;
    }
    public void setBfPosiCd(String bfPosiCd) {
        this.bfPosiCd = bfPosiCd;
    }
    public String getBfSlst() {
        return bfSlst;
    }
    public void setBfSlst(String bfSlst) {
        this.bfSlst = bfSlst;
    }
    public String getBfPrmtDt() {
        return bfPrmtDt;
    }
    public void setBfPrmtDt(String bfPrmtDt) {
        this.bfPrmtDt = bfPrmtDt;
    }
    public String getBfGdprDt() {
        return bfGdprDt;
    }
    public void setBfGdprDt(String bfGdprDt) {
        this.bfGdprDt = bfGdprDt;
    }
    public String getBfAssnDt() {
        return bfAssnDt;
    }
    public void setBfAssnDt(String bfAssnDt) {
        this.bfAssnDt = bfAssnDt;
    }
    public String getBfDutyCd() {
        return bfDutyCd;
    }
    public void setBfDutyCd(String bfDutyCd) {
        this.bfDutyCd = bfDutyCd;
    }
    public String getBfDutyEndDt() {
        return bfDutyEndDt;
    }
    public void setBfDutyEndDt(String bfDutyEndDt) {
        this.bfDutyEndDt = bfDutyEndDt;
    }
    public String getBfRoleCd() {
        return bfRoleCd;
    }
    public void setBfRoleCd(String bfRoleCd) {
        this.bfRoleCd = bfRoleCd;
    }
    public String getTrfcCostPayFg() {
        return trfcCostPayFg;
    }
    public void setTrfcCostPayFg(String trfcCostPayFg) {
        this.trfcCostPayFg = trfcCostPayFg;
    }
    public String getWidEmpNoFg() {
        return widEmpNoFg;
    }
    public void setWidEmpNoFg(String widEmpNoFg) {
        this.widEmpNoFg = widEmpNoFg;
    }
    public String getCprtBranDeptCd() {
        return cprtBranDeptCd;
    }
    public void setCprtBranDeptCd(String cprtBranDeptCd) {
        this.cprtBranDeptCd = cprtBranDeptCd;
    }
    public String getOffcTelNo1() {
        return offcTelNo1;
    }
    public void setOffcTelNo1(String offcTelNo1) {
        this.offcTelNo1 = offcTelNo1;
    }
    public String getOffcTelNo2() {
        return offcTelNo2;
    }
    public void setOffcTelNo2(String offcTelNo2) {
        this.offcTelNo2 = offcTelNo2;
    }
    public String getOffcTelNo3() {
        return offcTelNo3;
    }
    public void setOffcTelNo3(String offcTelNo3) {
        this.offcTelNo3 = offcTelNo3;
    }
    public String getInnoNo() {
        return innoNo;
    }
    public void setInnoNo(String innoNo) {
        this.innoNo = innoNo;
    }
    public String getHomeTelNo1() {
        return homeTelNo1;
    }
    public void setHomeTelNo1(String homeTelNo1) {
        this.homeTelNo1 = homeTelNo1;
    }
    public String getHomeTelNo2() {
        return homeTelNo2;
    }
    public void setHomeTelNo2(String homeTelNo2) {
        this.homeTelNo2 = homeTelNo2;
    }
    public String getHomeTelNo3() {
        return homeTelNo3;
    }
    public void setHomeTelNo3(String homeTelNo3) {
        this.homeTelNo3 = homeTelNo3;
    }
    public String getHpNo1() {
        return hpNo1;
    }
    public void setHpNo1(String hpNo1) {
        this.hpNo1 = hpNo1;
    }
    public String getHpNo2() {
        return hpNo2;
    }
    public void setHpNo2(String hpNo2) {
        this.hpNo2 = hpNo2;
    }
    public String getHpNo3() {
        return hpNo3;
    }
    public void setHpNo3(String hpNo3) {
        this.hpNo3 = hpNo3;
    }
    public String getFaxNo1() {
        return faxNo1;
    }
    public void setFaxNo1(String faxNo1) {
        this.faxNo1 = faxNo1;
    }
    public String getFaxNo2() {
        return faxNo2;
    }
    public void setFaxNo2(String faxNo2) {
        this.faxNo2 = faxNo2;
    }
    public String getFaxNo3() {
        return faxNo3;
    }
    public void setFaxNo3(String faxNo3) {
        this.faxNo3 = faxNo3;
    }
    public String getEmal() {
        return emal;
    }
    public void setEmal(String emal) {
        this.emal = emal;
    }
    public String getZipCd() {
        return zipCd;
    }
    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }
    public String getRlPlcCi() {
        return rlPlcCi;
    }
    public void setRlPlcCi(String rlPlcCi) {
        this.rlPlcCi = rlPlcCi;
    }
    public String getRlPlcGu() {
        return rlPlcGu;
    }
    public void setRlPlcGu(String rlPlcGu) {
        this.rlPlcGu = rlPlcGu;
    }
    public String getRlPlcDong() {
        return rlPlcDong;
    }
    public void setRlPlcDong(String rlPlcDong) {
        this.rlPlcDong = rlPlcDong;
    }
    public String getRlPlcSpec() {
        return rlPlcSpec;
    }
    public void setRlPlcSpec(String rlPlcSpec) {
        this.rlPlcSpec = rlPlcSpec;
    }
    public String getPmdcAddr() {
        return pmdcAddr;
    }
    public void setPmdcAddr(String pmdcAddr) {
        this.pmdcAddr = pmdcAddr;
    }
    public String getBrthDoCd() {
        return brthDoCd;
    }
    public void setBrthDoCd(String brthDoCd) {
        this.brthDoCd = brthDoCd;
    }
    public String getWeddDivCd() {
        return weddDivCd;
    }
    public void setWeddDivCd(String weddDivCd) {
        this.weddDivCd = weddDivCd;
    }
    public String getBrddDivCd() {
        return brddDivCd;
    }
    public void setBrddDivCd(String brddDivCd) {
        this.brddDivCd = brddDivCd;
    }
    public String getBirtDt() {
        return birtDt;
    }
    public void setBirtDt(String birtDt) {
        this.birtDt = birtDt;
    }
    public String getHght() {
        return hght;
    }
    public void setHght(String hght) {
        this.hght = hght;
    }
    public String getWt() {
        return wt;
    }
    public void setWt(String wt) {
        this.wt = wt;
    }
    public String getChestHght() {
        return chestHght;
    }
    public void setChestHght(String chestHght) {
        this.chestHght = chestHght;
    }
    public String getBrodTpCd() {
        return brodTpCd;
    }
    public void setBrodTpCd(String brodTpCd) {
        this.brodTpCd = brodTpCd;
    }
    public String getRlgnCd() {
        return rlgnCd;
    }
    public void setRlgnCd(String rlgnCd) {
        this.rlgnCd = rlgnCd;
    }
    public String getHoby() {
        return hoby;
    }
    public void setHoby(String hoby) {
        this.hoby = hoby;
    }
    public String getTlnt() {
        return tlnt;
    }
    public void setTlnt(String tlnt) {
        this.tlnt = tlnt;
    }
    public String getRtarFg() {
        return rtarFg;
    }
    public void setRtarFg(String rtarFg) {
        this.rtarFg = rtarFg;
    }
    public String getNoarmyRsnCd() {
        return noarmyRsnCd;
    }
    public void setNoarmyRsnCd(String noarmyRsnCd) {
        this.noarmyRsnCd = noarmyRsnCd;
    }
    public String getErarDt() {
        return erarDt;
    }
    public void setErarDt(String erarDt) {
        this.erarDt = erarDt;
    }
    public String getEdarDt() {
        return edarDt;
    }
    public void setEdarDt(String edarDt) {
        this.edarDt = edarDt;
    }
    public String getGrdCd() {
        return grdCd;
    }
    public void setGrdCd(String grdCd) {
        this.grdCd = grdCd;
    }
    public String getVtrnObjKindCd() {
        return vtrnObjKindCd;
    }
    public void setVtrnObjKindCd(String vtrnObjKindCd) {
        this.vtrnObjKindCd = vtrnObjKindCd;
    }
    public String getVtrnObjRelCd() {
        return vtrnObjRelCd;
    }
    public void setVtrnObjRelCd(String vtrnObjRelCd) {
        this.vtrnObjRelCd = vtrnObjRelCd;
    }
    public String getEmpmMethCd() {
        return empmMethCd;
    }
    public void setEmpmMethCd(String empmMethCd) {
        this.empmMethCd = empmMethCd;
    }
    public String getVtrnNo() {
        return vtrnNo;
    }
    public void setVtrnNo(String vtrnNo) {
        this.vtrnNo = vtrnNo;
    }
    public String getVtrnBrofCd() {
        return vtrnBrofCd;
    }
    public void setVtrnBrofCd(String vtrnBrofCd) {
        this.vtrnBrofCd = vtrnBrofCd;
    }
    public String getVtrnAsgnDt() {
        return vtrnAsgnDt;
    }
    public void setVtrnAsgnDt(String vtrnAsgnDt) {
        this.vtrnAsgnDt = vtrnAsgnDt;
    }
    public String getRman() {
        return rman;
    }
    public void setRman(String rman) {
        this.rman = rman;
    }
    public String getRmanRelCd() {
        return rmanRelCd;
    }
    public void setRmanRelCd(String rmanRelCd) {
        this.rmanRelCd = rmanRelCd;
    }
    public String getRmanEmpNo() {
        return rmanEmpNo;
    }
    public void setRmanEmpNo(String rmanEmpNo) {
        this.rmanEmpNo = rmanEmpNo;
    }
    public String getFornLangCd1() {
        return fornLangCd1;
    }
    public void setFornLangCd1(String fornLangCd1) {
        this.fornLangCd1 = fornLangCd1;
    }
    public String getDgreCd1() {
        return dgreCd1;
    }
    public void setDgreCd1(String dgreCd1) {
        this.dgreCd1 = dgreCd1;
    }
    public String getFornLangCd2() {
        return fornLangCd2;
    }
    public void setFornLangCd2(String fornLangCd2) {
        this.fornLangCd2 = fornLangCd2;
    }
    public String getDgreCd2() {
        return dgreCd2;
    }
    public void setDgreCd2(String dgreCd2) {
        this.dgreCd2 = dgreCd2;
    }
    public String getFornLangCd3() {
        return fornLangCd3;
    }
    public void setFornLangCd3(String fornLangCd3) {
        this.fornLangCd3 = fornLangCd3;
    }
    public String getDgreCd3() {
        return dgreCd3;
    }
    public void setDgreCd3(String dgreCd3) {
        this.dgreCd3 = dgreCd3;
    }
    @Override
    public String getFrstRegDt() {
        return frstRegDt;
    }
    @Override
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    @Override
    public String getFrstRegTm() {
        return frstRegTm;
    }
    @Override
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    @Override
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
    public String getLastProcDt() {
        return lastProcDt;
    }
    @Override
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    @Override
    public String getLastProcTm() {
        return lastProcTm;
    }
    @Override
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    @Override
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
    public String getSpcSaleEmpFg() {
        return spcSaleEmpFg;
    }
    public void setSpcSaleEmpFg(String spcSaleEmpFg) {
        this.spcSaleEmpFg = spcSaleEmpFg;
    }
    public String getHoldCargrp() {
        return holdCargrp;
    }
    public void setHoldCargrp(String holdCargrp) {
        this.holdCargrp = holdCargrp;
    }
    public String getCarsNo() {
        return carsNo;
    }
    public void setCarsNo(String carsNo) {
        this.carsNo = carsNo;
    }
    public String getOwnDiv() {
        return ownDiv;
    }
    public void setOwnDiv(String ownDiv) {
        this.ownDiv = ownDiv;
    }
    public String getMdlYear() {
        return mdlYear;
    }
    public void setMdlYear(String mdlYear) {
        this.mdlYear = mdlYear;
    }
    public String getOilcostAidDiv() {
        return oilcostAidDiv;
    }
    public void setOilcostAidDiv(String oilcostAidDiv) {
        this.oilcostAidDiv = oilcostAidDiv;
    }
    public String getRetiAplyFg() {
        return retiAplyFg;
    }
    public void setRetiAplyFg(String retiAplyFg) {
        this.retiAplyFg = retiAplyFg;
    }
    public String getAcntDivCd() {
        return acntDivCd;
    }
    public void setAcntDivCd(String acntDivCd) {
        this.acntDivCd = acntDivCd;
    }
    public String getContStrtDt() {
        return contStrtDt;
    }
    public void setContStrtDt(String contStrtDt) {
        this.contStrtDt = contStrtDt;
    }
    public long getCrdtRoleCd() {
        return crdtRoleCd;
    }
    public void setCrdtRoleCd(long crdtRoleCd) {
        this.crdtRoleCd = crdtRoleCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
