package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StExecCostDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StElecRegMapper.java Class
 * 클래스설명   : 여신실행제비용정보(ST_EXEC_COST) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 6. 07.
 * 작성자명     : 70319 / JeongSeon.Shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StExecCostMapper")
public interface StExecCostMapper {

    /**
     * <pre>
     * 메소드명  	: selectList
     * 설명     	: 여신실행제비용정보(ST_EXEC_COST) 조회
     * 메소드인수1	: {StExecCostDTO} inDto(대출신청번호:loanApplNo)
     * 메소드리턴값	: {StExecCostDTO}
     * 예외처리  	: Exception
     * </pre>
     */
    public List<StExecCostDTO> selectList(StExecCostDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명  	: insert
     * 설명     	: 여신실행제비용정보(ST_EXEC_COST) 등록
     * 메소드인수1	: {StExecCostDTO} inDto
     * 메소드리턴값	: {int}
     * 예외처리  	: Exception
     * </pre>
     */
    public int insert(StExecCostDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명  	: update
     * 설명     	: 여신실행제비용정보(ST_EXEC_COST) 변경(수정)
     * 메소드인수1	: {StExecCostDTO} inDto(대출신청번호:loanApplNo)
     * 메소드리턴값	: {int}
     * 예외처리  	: Exception
     * </pre>
     */
    public int update(StExecCostDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명  	: remove
     * 설명     	: 여신실행제비용정보(ST_EXEC_COST) 제거(테이블에서 삭제)
     * 메소드인수1	: {StExecCostDTO} inDto(대출신청번호:loanApplNo)
     * 메소드리턴값	: {int}
     * 예외처리  	: Exception
     * </pre>
     */
    public int remove(StExecCostDTO inDto) throws Exception;

}
