package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StFtRegdInfoPswdValdSrchDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegdInfoPswdValdSrchMapper.java Class
 * 클래스설명   : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 17
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StFtRegdInfoPswdValdSrchMapper")
public interface StFtRegdInfoPswdValdSrchMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH) 조회
     * 메소드인수1   : {StFtRegdInfoPswdValdSrchDTO} inDto
     * 메소드리턴값  : {StFtRegdInfoPswdValdSrchDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StFtRegdInfoPswdValdSrchDTO> selectList(StFtRegdInfoPswdValdSrchDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH) 등록(신규)
     * 메소드인수1   : {StFtRegdInfoPswdValdSrchDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StFtRegdInfoPswdValdSrchDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH) 변경(수정)
     * 메소드인수1   : {StFtRegdInfoPswdValdSrchDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StFtRegdInfoPswdValdSrchDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_피노텍_등기필_정보_비밀번호_유효성_조회(ST_FT_REGD_INFO_PSWD_VALD_SRCH) 제거(테이블에서 삭제)
     * 메소드인수1   : {StFtRegdInfoPswdValdSrchDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StFtRegdInfoPswdValdSrchDTO inDto) throws Exception;

}
