package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKcbOnlnSeg103DTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKcbOnlnMstrMapper.java Class
 * 클래스설명   : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKcbOnlnSeg103Mapper")
public interface StKcbOnlnSeg103Mapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103) 조회
     * 메소드인수1   : {StKcbOnlnSeg103DTO} inDto
     * 메소드리턴값  : {StKcbOnlnSeg103DTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StKcbOnlnSeg103DTO> selectList(StKcbOnlnSeg103DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103) 등록(신규)
     * 메소드인수1   : {StKcbOnlnSeg103DTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StKcbOnlnSeg103DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103) 변경(수정)
     * 메소드인수1   : {StKcbOnlnSeg103DTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StKcbOnlnSeg103DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_KCB_온라인_103(ST_KCB_ONLN_SEG_103) 제거(테이블에서 삭제)
     * 메소드인수1   : {StKcbOnlnSeg103DTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StKcbOnlnSeg103DTO inDto) throws Exception;

}
