package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKfbLoanContWdrwInfoDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbLoanContWdrwInfoMapper.java Class
 * 클래스설명   : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 15
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 15.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * [2023. 5.  8.][70278 ][테이블명 변경 ST_KFB_HOUS_LOAN_CONT_WDRW_INFO=>ST_KFB_LOAN_CONT_WDRW_INFO]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKfbLoanContWdrwInfoMapper")
public interface StKfbLoanContWdrwInfoMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO) 조회
     * 메소드인수1   : {StKfbLoanContWdrwInfoDTO} inDto
     * 메소드리턴값  : {StKfbLoanContWdrwInfoDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StKfbLoanContWdrwInfoDTO> selectList(StKfbLoanContWdrwInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO) 등록(신규)
     * 메소드인수1   : {StKfbLoanContWdrwInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StKfbLoanContWdrwInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO) 변경(수정)
     * 메소드인수1   : {StKfbLoanContWdrwInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StKfbLoanContWdrwInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO) 제거(테이블에서 삭제)
     * 메소드인수1   : {StKfbLoanContWdrwInfoDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StKfbLoanContWdrwInfoDTO inDto) throws Exception;

}
