package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StPrdtBaseDTO;
import hanalife.c.co.mapper.dto.StProdIruleDTO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StProdIruleMapper.java Class
 * 클래스설명   : ST-PROD-IRULE(ST_PROD_IRULE) 조회(목록), 등록, 수정, 삭제
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.13.][70280 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StProdIruleMapper")
public interface StProdIruleMapper
{
    /**
     * <pre>
     * 메소드명      : selectProdIruleList
     * 설명          : 룰 목록 조회 (Prod Irule 화면 용)
     * 메소드인수1   : {StProdIruleDto}
     * 메소드리턴값  : {List<StProdIruleDTO>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StProdIruleDTO> selectProdIruleList(StProdIruleDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectPrdtList
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 목록조회
     * 메소드인수1   : 없음
     * 메소드리턴값  : {List<StPrdtBaseDTO>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StPrdtBaseDTO> selectPrdtList() throws Exception;


    /**
     * <pre>
     * 메소드명      : selectProdIruleList
     * 설명          : 룰 목록 조회 (Prod Irule 화면 용)
     * 메소드인수1   : {StProdIruleDto}
     * 메소드리턴값  : {List<StProdIruleDTO>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StProdIruleDTO> selectProdIruleList2(StProdIruleDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectMaxSeqNo
     * 설명          : PROD IRULE 에서 현재 저장된 상품-룰 의 최대 SEQ_NO 조회
     * 메소드인수1   : {StProdIruleDto}
     * 메소드리턴값  : {StProdIruleDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public StProdIruleDTO selectMaxSeqNo(StProdIruleDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectMaxSeqNo
     * 설명          : PROD IRULE 에서 현재 저장된 상품-룰 의 다음 SEQ_NO 조회
     * 메소드인수1   : {StProdIruleDto}
     * 메소드리턴값  : {StProdIruleDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public StProdIruleDTO selectNextValSeqNo(StProdIruleDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : PROD IRULE 에 룰을 등록한다.
     * 메소드인수1   : {StProdIruleDto}
     * 메소드리턴값  : {StProdIruleDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StProdIruleDTO inDto) throws Exception;
}