package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StSgiMrtgRigtExecInfoDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiMrtgRigtExecInfoMapper.java Class
 * 클래스설명   : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 18
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StSgiMrtgRigtExecInfoMapper")
public interface StSgiMrtgRigtExecInfoMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO) 조회
     * 메소드인수1   : {StSgiMrtgRigtExecInfoDTO} inDto
     * 메소드리턴값  : {StSgiMrtgRigtExecInfoDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StSgiMrtgRigtExecInfoDTO> selectList(StSgiMrtgRigtExecInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO) 등록(신규)
     * 메소드인수1   : {StSgiMrtgRigtExecInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StSgiMrtgRigtExecInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO) 변경(수정)
     * 메소드인수1   : {StSgiMrtgRigtExecInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StSgiMrtgRigtExecInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO) 제거(테이블에서 삭제)
     * 메소드인수1   : {StSgiMrtgRigtExecInfoDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StSgiMrtgRigtExecInfoDTO inDto) throws Exception;

}
