package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtFlotIzeStndDTO.java Class
 * 클래스설명   : BT-유동화기준(BT_FLOT_IZE_STND)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtFlotIzeStndDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String flotIzeDivCd  = "";  /* 유동화구분코드 */
    private String flotIzeSeq  = "";  /* 유동화차수 */
    private String objDt  = "";  /* 대상일자 */
    private String flotIzeStatCd  = "";  /* 유동화상태코드 */
    private String trtObjCd  = "";  /* 취급대상코드 */
    private String fcntComgFgCd  = "";  /* 초회도래여부코드 */
    private String custTpCd  = "";  /* 고객유형코드 */
    private String rmbrFrmlCd  = "";  /* 상환방식코드 */
    private String leglActsStatCd  = "";  /* 법적조치상태코드 */
    private String crdtStatCd  = "";  /* 신용상태코드 */
    private long dlyTcnt1  = 0;  /* 연체횟수1 */
    private long dlyTcnt2  = 0;  /* 연체횟수2 */
    private String lngsDlyDdcntCd  = "";  /* 최장연체일수코드 */
    private BigDecimal loanPamtRamt  = BigDecimal.ZERO;  /* 대출원금잔액 */
    private long loanBalTims  = 0;  /* 대출잔여회차 */
    private String custAge1  = "";  /* 고객연령1 */
    private String custAge2  = "";  /* 고객연령2 */
    private long brcvRt  = 0;  /* 선수율 */
    private long ltv  = 0;  /* LTV */
    private long loanIntRt  = 0;  /* 대출이자율 */
    private String loanDt1  = "";  /* 대출일자1 */
    private String loanDt2  = "";  /* 대출일자2 */
    private String eprtDt1  = "";  /* 만기일자1 */
    private String eprtDt2  = "";  /* 만기일자2 */
    private BigDecimal loanPamtRamt1  = BigDecimal.ZERO;  /* 대출원금잔액1 */
    private String flotIzeIssuFg  = "";  /* 유동화발행여부 */
    private String lqdtDt  = "";  /* 청산일자 */
    private String lqdtFg  = "";  /* 청산여부 */

    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getFlotIzeSeq() {
        return flotIzeSeq;
    }
    public void setFlotIzeSeq(String flotIzeSeq) {
        this.flotIzeSeq = flotIzeSeq;
    }
    public String getObjDt() {
        return objDt;
    }
    public void setObjDt(String objDt) {
        this.objDt = objDt;
    }
    public String getFlotIzeStatCd() {
        return flotIzeStatCd;
    }
    public void setFlotIzeStatCd(String flotIzeStatCd) {
        this.flotIzeStatCd = flotIzeStatCd;
    }
    public String getTrtObjCd() {
        return trtObjCd;
    }
    public void setTrtObjCd(String trtObjCd) {
        this.trtObjCd = trtObjCd;
    }
    public String getFcntComgFgCd() {
        return fcntComgFgCd;
    }
    public void setFcntComgFgCd(String fcntComgFgCd) {
        this.fcntComgFgCd = fcntComgFgCd;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getLeglActsStatCd() {
        return leglActsStatCd;
    }
    public void setLeglActsStatCd(String leglActsStatCd) {
        this.leglActsStatCd = leglActsStatCd;
    }
    public String getCrdtStatCd() {
        return crdtStatCd;
    }
    public void setCrdtStatCd(String crdtStatCd) {
        this.crdtStatCd = crdtStatCd;
    }
    public long getDlyTcnt1() {
        return dlyTcnt1;
    }
    public void setDlyTcnt1(long dlyTcnt1) {
        this.dlyTcnt1 = dlyTcnt1;
    }
    public long getDlyTcnt2() {
        return dlyTcnt2;
    }
    public void setDlyTcnt2(long dlyTcnt2) {
        this.dlyTcnt2 = dlyTcnt2;
    }
    public String getLngsDlyDdcntCd() {
        return lngsDlyDdcntCd;
    }
    public void setLngsDlyDdcntCd(String lngsDlyDdcntCd) {
        this.lngsDlyDdcntCd = lngsDlyDdcntCd;
    }
    public BigDecimal getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public long getLoanBalTims() {
        return loanBalTims;
    }
    public void setLoanBalTims(long loanBalTims) {
        this.loanBalTims = loanBalTims;
    }
    public String getCustAge1() {
        return custAge1;
    }
    public void setCustAge1(String custAge1) {
        this.custAge1 = custAge1;
    }
    public String getCustAge2() {
        return custAge2;
    }
    public void setCustAge2(String custAge2) {
        this.custAge2 = custAge2;
    }
    public long getBrcvRt() {
        return brcvRt;
    }
    public void setBrcvRt(long brcvRt) {
        this.brcvRt = brcvRt;
    }
    public long getLtv() {
        return ltv;
    }
    public void setLtv(long ltv) {
        this.ltv = ltv;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public String getLoanDt1() {
        return loanDt1;
    }
    public void setLoanDt1(String loanDt1) {
        this.loanDt1 = loanDt1;
    }
    public String getLoanDt2() {
        return loanDt2;
    }
    public void setLoanDt2(String loanDt2) {
        this.loanDt2 = loanDt2;
    }
    public String getEprtDt1() {
        return eprtDt1;
    }
    public void setEprtDt1(String eprtDt1) {
        this.eprtDt1 = eprtDt1;
    }
    public String getEprtDt2() {
        return eprtDt2;
    }
    public void setEprtDt2(String eprtDt2) {
        this.eprtDt2 = eprtDt2;
    }
    public BigDecimal getLoanPamtRamt1() {
        return loanPamtRamt1;
    }
    public void setLoanPamtRamt1(BigDecimal loanPamtRamt1) {
        this.loanPamtRamt1 = loanPamtRamt1;
    }
    public String getFlotIzeIssuFg() {
        return flotIzeIssuFg;
    }
    public void setFlotIzeIssuFg(String flotIzeIssuFg) {
        this.flotIzeIssuFg = flotIzeIssuFg;
    }
    public String getLqdtDt() {
        return lqdtDt;
    }
    public void setLqdtDt(String lqdtDt) {
        this.lqdtDt = lqdtDt;
    }
    public String getLqdtFg() {
        return lqdtFg;
    }
    public void setLqdtFg(String lqdtFg) {
        this.lqdtFg = lqdtFg;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
