package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtFlotIzeStndDuemethDTO.java Class
 * 클래스설명   : BT-유동화기준납입방법(BT_FLOT_IZE_STND_DUEMETH)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtFlotIzeStndDuemethDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String flotIzeDivCd  = "";  /* 유동화구분코드 */
    private String flotIzeSeq  = "";  /* 유동화차수 */
    private String dueMethCd  = "";  /* 납입방법코드 */

    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getFlotIzeSeq() {
        return flotIzeSeq;
    }
    public void setFlotIzeSeq(String flotIzeSeq) {
        this.flotIzeSeq = flotIzeSeq;
    }
    public String getDueMethCd() {
        return dueMethCd;
    }
    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
