package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtKfbBadReadRecDTO.java Class
 * 클래스설명   : BT-은행연합회불량조회기록(BT_KFB_BAD_READ_REC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbBadReadRecDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String readDt  = "";  /* 조회일자 */
    private long readSnum  = 0;  /* 조회일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String readTm  = "";  /* 조회시각 */
    private String custNm  = "";  /* 고객명 */
    private String readDept  = "";  /* 조회부서 */
    private String kfbBadCd  = "";  /* KFB불량코드 */
    private String dwscBadFg  = "";  /* 당사불량여부 */
    private String readRsnCd  = "";  /* 조회사유코드 */
    private String rqstManCustNo  = "";  /* 요청자고객번호 */
    private String rqstManRel  = "";  /* 요청자관계 */

    public String getReadDt() {
        return readDt;
    }
    public void setReadDt(String readDt) {
        this.readDt = readDt;
    }
    public long getReadSnum() {
        return readSnum;
    }
    public void setReadSnum(long readSnum) {
        this.readSnum = readSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getReadTm() {
        return readTm;
    }
    public void setReadTm(String readTm) {
        this.readTm = readTm;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getReadDept() {
        return readDept;
    }
    public void setReadDept(String readDept) {
        this.readDept = readDept;
    }
    public String getKfbBadCd() {
        return kfbBadCd;
    }
    public void setKfbBadCd(String kfbBadCd) {
        this.kfbBadCd = kfbBadCd;
    }
    public String getDwscBadFg() {
        return dwscBadFg;
    }
    public void setDwscBadFg(String dwscBadFg) {
        this.dwscBadFg = dwscBadFg;
    }
    public String getReadRsnCd() {
        return readRsnCd;
    }
    public void setReadRsnCd(String readRsnCd) {
        this.readRsnCd = readRsnCd;
    }
    public String getRqstManCustNo() {
        return rqstManCustNo;
    }
    public void setRqstManCustNo(String rqstManCustNo) {
        this.rqstManCustNo = rqstManCustNo;
    }
    public String getRqstManRel() {
        return rqstManRel;
    }
    public void setRqstManRel(String rqstManRel) {
        this.rqstManRel = rqstManRel;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
