package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtLeglActnCostDTO.java Class
 * 클래스설명   : BT-법적조치비용(BT_LEGL_ACTN_COST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtLeglActnCostDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String consShNo  = "";  /* 품의서번호 */
    private long snum  = 0;  /* 전입일자 */
    private String acctDt  = "";  /* 회계일자 */
    private String vochNo  = "";  /* 전표번호 */
    private BigDecimal depsAmt  = BigDecimal.ZERO;  /* 공탁금 */
    private BigDecimal etcCost  = BigDecimal.ZERO;  /* 기타비용 */
    private BigDecimal depsInsuFee  = BigDecimal.ZERO;  /* 공탁보험료 */
    private BigDecimal stmpLrge  = BigDecimal.ZERO;  /* 인지대 */
    private BigDecimal crtfplcLrge  = BigDecimal.ZERO;  /* 증지대 */
    private BigDecimal dsptFee  = BigDecimal.ZERO;  /* 송달료 */
    private BigDecimal rtax  = BigDecimal.ZERO;  /* 등록세 */
    private BigDecimal ppayamt  = BigDecimal.ZERO;  /* 예납금 */
    private BigDecimal pledJadvFee  = BigDecimal.ZERO;  /* 변호법무사수수료 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private String askDt  = "";  /* 청구일자 */
    private String costCnclFg  = "";  /* 비용취소여부 */
    private String costOccrDivCd  = "";  /* 비용발생구분코드 */
    private String costJstDivCd  = "";  /* 취소여부 */
    private BigDecimal recpAmt  = BigDecimal.ZERO;  /* 수령금액 */
    private String recpDt  = "";  /* 수령일자 */
    private String jstDt  = "";  /* 결제일자 */
    private String makeDeptCd  = "";  /* 작성부서코드 */
    private String acctDeptCd  = "";  /* 회계부서코드 */
    private String jdcaReqBizNo  = "";  /* 법무사변호사사업자등록번호 */
    private String jdcaReqVndrNm  = "";  /* 법무의뢰업체명 */
    private String pledrJadvReqDt  = "";  /* 변호사법무사의뢰일자 */
    private String payPlc  = "";  /* 지급처 */
    private String askDiv  = "";  /* 청구구분 */
    private String badDebtAfOccrDiv  = "";  /* 대손후발생구분 */
    private BigDecimal pledJdcaFeeVtax  = BigDecimal.ZERO;  /* 변호법무수수료부가세 */
    private BigDecimal etcCostVtax  = BigDecimal.ZERO;  /* 기타비용부가세 */
    private BigDecimal adjAmt  = BigDecimal.ZERO;  /* 정산금액 */
    private BigDecimal leglActnCostRamt  = BigDecimal.ZERO;  /* 법적조치비용잔액 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private long orgSnum  = 0;  /* 원일련번호 */
    private BigDecimal depsAmtAdjAmt  = BigDecimal.ZERO;  /* 공탁금정산금액 */
    private BigDecimal depsAmtRamt  = BigDecimal.ZERO;  /* 공탁금잔액 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getConsShNo() {
        return consShNo;
    }
    public void setConsShNo(String consShNo) {
        this.consShNo = consShNo;
    }
    public long getSnum() {
        return snum;
    }
    public void setSnum(long snum) {
        this.snum = snum;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getVochNo() {
        return vochNo;
    }
    public void setVochNo(String vochNo) {
        this.vochNo = vochNo;
    }
    public BigDecimal getDepsAmt() {
        return depsAmt;
    }
    public void setDepsAmt(BigDecimal depsAmt) {
        this.depsAmt = depsAmt;
    }
    public BigDecimal getEtcCost() {
        return etcCost;
    }
    public void setEtcCost(BigDecimal etcCost) {
        this.etcCost = etcCost;
    }
    public BigDecimal getDepsInsuFee() {
        return depsInsuFee;
    }
    public void setDepsInsuFee(BigDecimal depsInsuFee) {
        this.depsInsuFee = depsInsuFee;
    }
    public BigDecimal getStmpLrge() {
        return stmpLrge;
    }
    public void setStmpLrge(BigDecimal stmpLrge) {
        this.stmpLrge = stmpLrge;
    }
    public BigDecimal getCrtfplcLrge() {
        return crtfplcLrge;
    }
    public void setCrtfplcLrge(BigDecimal crtfplcLrge) {
        this.crtfplcLrge = crtfplcLrge;
    }
    public BigDecimal getDsptFee() {
        return dsptFee;
    }
    public void setDsptFee(BigDecimal dsptFee) {
        this.dsptFee = dsptFee;
    }
    public BigDecimal getRtax() {
        return rtax;
    }
    public void setRtax(BigDecimal rtax) {
        this.rtax = rtax;
    }
    public BigDecimal getPpayamt() {
        return ppayamt;
    }
    public void setPpayamt(BigDecimal ppayamt) {
        this.ppayamt = ppayamt;
    }
    public BigDecimal getPledJadvFee() {
        return pledJadvFee;
    }
    public void setPledJadvFee(BigDecimal pledJadvFee) {
        this.pledJadvFee = pledJadvFee;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public String getAskDt() {
        return askDt;
    }
    public void setAskDt(String askDt) {
        this.askDt = askDt;
    }
    public String getCostCnclFg() {
        return costCnclFg;
    }
    public void setCostCnclFg(String costCnclFg) {
        this.costCnclFg = costCnclFg;
    }
    public String getCostOccrDivCd() {
        return costOccrDivCd;
    }
    public void setCostOccrDivCd(String costOccrDivCd) {
        this.costOccrDivCd = costOccrDivCd;
    }
    public String getCostJstDivCd() {
        return costJstDivCd;
    }
    public void setCostJstDivCd(String costJstDivCd) {
        this.costJstDivCd = costJstDivCd;
    }
    public BigDecimal getRecpAmt() {
        return recpAmt;
    }
    public void setRecpAmt(BigDecimal recpAmt) {
        this.recpAmt = recpAmt;
    }
    public String getRecpDt() {
        return recpDt;
    }
    public void setRecpDt(String recpDt) {
        this.recpDt = recpDt;
    }
    public String getJstDt() {
        return jstDt;
    }
    public void setJstDt(String jstDt) {
        this.jstDt = jstDt;
    }
    public String getMakeDeptCd() {
        return makeDeptCd;
    }
    public void setMakeDeptCd(String makeDeptCd) {
        this.makeDeptCd = makeDeptCd;
    }
    public String getAcctDeptCd() {
        return acctDeptCd;
    }
    public void setAcctDeptCd(String acctDeptCd) {
        this.acctDeptCd = acctDeptCd;
    }
    public String getJdcaReqBizNo() {
        return jdcaReqBizNo;
    }
    public void setJdcaReqBizNo(String jdcaReqBizNo) {
        this.jdcaReqBizNo = jdcaReqBizNo;
    }
    public String getJdcaReqVndrNm() {
        return jdcaReqVndrNm;
    }
    public void setJdcaReqVndrNm(String jdcaReqVndrNm) {
        this.jdcaReqVndrNm = jdcaReqVndrNm;
    }
    public String getPledrJadvReqDt() {
        return pledrJadvReqDt;
    }
    public void setPledrJadvReqDt(String pledrJadvReqDt) {
        this.pledrJadvReqDt = pledrJadvReqDt;
    }
    public String getPayPlc() {
        return payPlc;
    }
    public void setPayPlc(String payPlc) {
        this.payPlc = payPlc;
    }
    public String getAskDiv() {
        return askDiv;
    }
    public void setAskDiv(String askDiv) {
        this.askDiv = askDiv;
    }
    public String getBadDebtAfOccrDiv() {
        return badDebtAfOccrDiv;
    }
    public void setBadDebtAfOccrDiv(String badDebtAfOccrDiv) {
        this.badDebtAfOccrDiv = badDebtAfOccrDiv;
    }
    public BigDecimal getPledJdcaFeeVtax() {
        return pledJdcaFeeVtax;
    }
    public void setPledJdcaFeeVtax(BigDecimal pledJdcaFeeVtax) {
        this.pledJdcaFeeVtax = pledJdcaFeeVtax;
    }
    public BigDecimal getEtcCostVtax() {
        return etcCostVtax;
    }
    public void setEtcCostVtax(BigDecimal etcCostVtax) {
        this.etcCostVtax = etcCostVtax;
    }
    public BigDecimal getAdjAmt() {
        return adjAmt;
    }
    public void setAdjAmt(BigDecimal adjAmt) {
        this.adjAmt = adjAmt;
    }
    public BigDecimal getLeglActnCostRamt() {
        return leglActnCostRamt;
    }
    public void setLeglActnCostRamt(BigDecimal leglActnCostRamt) {
        this.leglActnCostRamt = leglActnCostRamt;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public long getOrgSnum() {
        return orgSnum;
    }
    public void setOrgSnum(long orgSnum) {
        this.orgSnum = orgSnum;
    }
    public BigDecimal getDepsAmtAdjAmt() {
        return depsAmtAdjAmt;
    }
    public void setDepsAmtAdjAmt(BigDecimal depsAmtAdjAmt) {
        this.depsAmtAdjAmt = depsAmtAdjAmt;
    }
    public BigDecimal getDepsAmtRamt() {
        return depsAmtRamt;
    }
    public void setDepsAmtRamt(BigDecimal depsAmtRamt) {
        this.depsAmtRamt = depsAmtRamt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
