package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtSmsTxtMngDTO.java Class
 * 클래스설명   : BT_SMS_발송_내역를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtSmsDlvrDescDTO extends AbstractVO {

	private String dlvrDt; // 발송_일자
	private String mngDeptCd; // 관리_부서_코드
	private String dlvrEmpNo; // 발송_사원번호
	private String loanNo; // 대출_번호
	private String loanSeq; // 대출_순번
	private String custNo; // 고객번호
	private String sendDiv; // 전송_구분
	private String sendDttm; // 전송_일시
	private String recvTelNo; // 수신_전화_번호
	private String rspnTelNo; // 응답_전화_번호
	private String sendTxt; // 전송_문자
	private String frstRegEmpNo; // 최초_등록_사원번호
	private String lastProcEmpNo; // 최종_처리_사원번호
	private String sendRefKey; // SEND_REF_KEY
	private String sendId; // SEND_ID
	private String dlvrObjCd; // DLVR_OBJ_CD
	private String dlvrDeptCd; // DLVR_DEPT_CD
	private String smsSendRsltCd; // SMS_SEND_RSLT_CD
	private String smsSendErrCd; // SMS_SEND_ERR_CD
	private String loanApplNo; // 채널용(신청번호)

	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getSmsSendRsltCd() {
		return smsSendRsltCd;
	}
	public String getSmsSendErrCd() {
		return smsSendErrCd;
	}
	public void setSmsSendRsltCd(String smsSendRsltCd) {
		this.smsSendRsltCd = smsSendRsltCd;
	}
	public void setSmsSendErrCd(String smsSendErrCd) {
		this.smsSendErrCd = smsSendErrCd;
	}
	public String getDlvrDt() {
		return dlvrDt;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public String getDlvrEmpNo() {
		return dlvrEmpNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getCustNo() {
		return custNo;
	}
	public String getSendDiv() {
		return sendDiv;
	}
	public String getSendDttm() {
		return sendDttm;
	}
	public String getRecvTelNo() {
		return recvTelNo;
	}
	public String getRspnTelNo() {
		return rspnTelNo;
	}
	public String getSendTxt() {
		return sendTxt;
	}
	@Override
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	@Override
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public String getSendRefKey() {
		return sendRefKey;
	}
	public String getSendId() {
		return sendId;
	}
	public String getDlvrObjCd() {
		return dlvrObjCd;
	}
	public String getDlvrDeptCd() {
		return dlvrDeptCd;
	}
	public void setDlvrDt(String dlvrDt) {
		this.dlvrDt = dlvrDt;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public void setDlvrEmpNo(String dlvrEmpNo) {
		this.dlvrEmpNo = dlvrEmpNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public void setSendDiv(String sendDiv) {
		this.sendDiv = sendDiv;
	}
	public void setSendDttm(String sendDttm) {
		this.sendDttm = sendDttm;
	}
	public void setRecvTelNo(String recvTelNo) {
		this.recvTelNo = recvTelNo;
	}
	public void setRspnTelNo(String rspnTelNo) {
		this.rspnTelNo = rspnTelNo;
	}
	public void setSendTxt(String sendTxt) {
		this.sendTxt = sendTxt;
	}
	@Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	@Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public void setSendRefKey(String sendRefKey) {
		this.sendRefKey = sendRefKey;
	}
	public void setSendId(String sendId) {
		this.sendId = sendId;
	}
	public void setDlvrObjCd(String dlvrObjCd) {
		this.dlvrObjCd = dlvrObjCd;
	}
	public void setDlvrDeptCd(String dlvrDeptCd) {
		this.dlvrDeptCd = dlvrDeptCd;
	}
}
