package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CtUserDTO.java Class
 * 클래스설명   : CT-사용자(CT_USER)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CtUserDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String userNo ;          /* 사용자번호 */
    private String userNm ;          /* 사용자명 */
    private String pswd ;            /* 비밀번호 */
    private String newPswd;          /* 새 비밀번호 */
	private String empNo ;         /* 사원번호 */
    private String deptCd ;          /* 부서코드[부서코드(HTORG참조)] */
    private String useFg ;           /* 사용여부 */
    private String userDivCd ;       /* 사용자구분코드[사용자구분코드(GUBUNCODE:C00001)] */
    private String emalAddr ;        /* 전자메일주소 */
    private String rcntPswdChngDt ;  /* 최근비밀번호변경일자 */
    private String useEndDt ;        /* 사용종료일자 */
    private String posiCd ;          /* 직위코드 */
    private String kSystemId ;     /* KSYSTEM아이디 */
    private String ipAddr ;          /* IP주소 */
    private long   pswdErrCnt ;      /* 패스워드오류건수 */
    private String bfPswd ;          /* 전패스워드 */
    private String bf2Pswd ;         /* 전전패스워드 */
    private String retiCd ;          /* 퇴직코드 */
    private String reqNewPswd;       /* 새로입력받은 비밀번호 */

	public String getUserNo() {
		return userNo;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public String getUserNm() {
		return userNm;
	}
	public void setUserNm(String userNm) {
		this.userNm = userNm;
	}
	public String getPswd() {
		return pswd;
	}
	public void setPswd(String pswd) {
		this.pswd = pswd;
	}
	public String getNewPswd() {
		return newPswd;
	}
	public void setNewPswd(String newPswd) {
		this.newPswd = newPswd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public String getUseFg() {
		return useFg;
	}
	public void setUseFg(String useFg) {
		this.useFg = useFg;
	}
	public String getUserDivCd() {
		return userDivCd;
	}
	public void setUserDivCd(String userDivCd) {
		this.userDivCd = userDivCd;
	}
	public String getEmalAddr() {
		return emalAddr;
	}
	public void setEmalAddr(String emalAddr) {
		this.emalAddr = emalAddr;
	}
	public String getRcntPswdChngDt() {
		return rcntPswdChngDt;
	}
	public void setRcntPswdChngDt(String rcntPswdChngDt) {
		this.rcntPswdChngDt = rcntPswdChngDt;
	}
	public String getUseEndDt() {
		return useEndDt;
	}
	public void setUseEndDt(String useEndDt) {
		this.useEndDt = useEndDt;
	}
	public String getPosiCd() {
		return posiCd;
	}
	public void setPosiCd(String posiCd) {
		this.posiCd = posiCd;
	}
	public String getkSystemId() {
		return kSystemId;
	}
	public void setkSystemId(String kSystemId) {
		this.kSystemId = kSystemId;
	}
	public String getIpAddr() {
		return ipAddr;
	}
	public void setIpAddr(String ipAddr) {
		this.ipAddr = ipAddr;
	}
	public long getPswdErrCnt() {
		return pswdErrCnt;
	}
	public void setPswdErrCnt(long pswdErrCnt) {
		this.pswdErrCnt = pswdErrCnt;
	}
	public String getBfPswd() {
		return bfPswd;
	}
	public void setBfPswd(String bfPswd) {
		this.bfPswd = bfPswd;
	}
	public String getBf2Pswd() {
		return bf2Pswd;
	}
	public void setBf2Pswd(String bf2Pswd) {
		this.bf2Pswd = bf2Pswd;
	}
	public String getRetiCd() {
		return retiCd;
	}
	public void setRetiCd(String retiCd) {
		this.retiCd = retiCd;
	}
	public String getReqNewPswd() {
		return reqNewPswd;
	}
	public void setReqNewPswd(String reqNewPswd) {
		this.reqNewPswd = reqNewPswd;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
