package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : HtWorkCharDdDTO.java Class
 * 클래스설명   : 영업일(HT_WORK_CHAR_DD)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class HtWorkCharDdDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String attdDt  = "";  /* ATTD일자 */
    private String ocptCd  = "";  /* 직종코드 */
    private String dowDivCd  = "";  /* DOW구분코드 */
    private String charDivCd  = "";  /* 항목구분코드 */
    private long yyWeks  = 0;  /* 조회WEKS */
    private long mmWeks  = 0;  /* 조회WEKS */
    private String rmrk  = "";  /* 비고 */

    /** 테이블 항목 이외에 입력값 정의 */
    private String includeFlagYn; /* 당일포함여부(Y=당일포함, N=당일미포함) */
    private String dayCnt; /* Day번째 영업일 */

    public String getAttdDt() {
        return attdDt;
    }
    public void setAttdDt(String attdDt) {
        this.attdDt = attdDt;
    }
    public String getOcptCd() {
        return ocptCd;
    }
    public void setOcptCd(String ocptCd) {
        this.ocptCd = ocptCd;
    }
    public String getDowDivCd() {
        return dowDivCd;
    }
    public void setDowDivCd(String dowDivCd) {
        this.dowDivCd = dowDivCd;
    }
    public String getCharDivCd() {
        return charDivCd;
    }
    public void setCharDivCd(String charDivCd) {
        this.charDivCd = charDivCd;
    }
    public long getYyWeks() {
        return yyWeks;
    }
    public void setYyWeks(long yyWeks) {
        this.yyWeks = yyWeks;
    }
    public long getMmWeks() {
        return mmWeks;
    }
    public void setMmWeks(long mmWeks) {
        this.mmWeks = mmWeks;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public String getIncludeFlagYn() {
        return includeFlagYn;
    }
    public void setIncludeFlagYn(String includeFlagYn) {
        this.includeFlagYn = includeFlagYn;
    }
    public String getDayCnt() {
        return dayCnt;
    }
    public void setDayCnt(String dayCnt) {
        this.dayCnt = dayCnt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
