package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAcntCnfmDescDTO.java Class
 * 클래스설명   : RT-계좌확인내역(RT_ACNT_CNFM_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAcntCnfmDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String sendDt  = "";  /* 전송일자 */
    private long sendSnum  = 0;  /* 전송일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long acntSnum  = 0;  /* 계좌일련번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String applManTel1  = "";  /* 신청인전화1 */
    private String applManTel2  = "";  /* 신청인전화2 */
    private String applManTel3  = "";  /* 신청인전화3 */
    private String applDt  = "";  /* 신청일자 */
    private String acntAplyDt  = "";  /* 계좌적용일자 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String acntCnfmNo  = "";  /* 계좌확인번호 */
    private String acntCnfmRsltCd  = "";  /* 계좌확인결과코드 */
    private String ivltRegFg  = "";  /* 강제등록여부 */
    private String cnfmDepoOwnnm  = "";  /* 확인예금주명 */
    private String sendTm  = "";  /* 전송시각 */
    private String recvDt  = "";  /* 수신일자 */
    private String recvTm  = "";  /* 수신시각 */
    private String acntApplRsnCd  = "";  /* 계좌신청사유코드 */
    private String acntClosRsnCd  = "";  /* 계좌해지사유코드 */

    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public long getSendSnum() {
        return sendSnum;
    }
    public void setSendSnum(long sendSnum) {
        this.sendSnum = sendSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getAcntSnum() {
        return acntSnum;
    }
    public void setAcntSnum(long acntSnum) {
        this.acntSnum = acntSnum;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getApplManTel1() {
        return applManTel1;
    }
    public void setApplManTel1(String applManTel1) {
        this.applManTel1 = applManTel1;
    }
    public String getApplManTel2() {
        return applManTel2;
    }
    public void setApplManTel2(String applManTel2) {
        this.applManTel2 = applManTel2;
    }
    public String getApplManTel3() {
        return applManTel3;
    }
    public void setApplManTel3(String applManTel3) {
        this.applManTel3 = applManTel3;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getAcntAplyDt() {
        return acntAplyDt;
    }
    public void setAcntAplyDt(String acntAplyDt) {
        this.acntAplyDt = acntAplyDt;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getAcntCnfmNo() {
        return acntCnfmNo;
    }
    public void setAcntCnfmNo(String acntCnfmNo) {
        this.acntCnfmNo = acntCnfmNo;
    }
    public String getAcntCnfmRsltCd() {
        return acntCnfmRsltCd;
    }
    public void setAcntCnfmRsltCd(String acntCnfmRsltCd) {
        this.acntCnfmRsltCd = acntCnfmRsltCd;
    }
    public String getIvltRegFg() {
        return ivltRegFg;
    }
    public void setIvltRegFg(String ivltRegFg) {
        this.ivltRegFg = ivltRegFg;
    }
    public String getCnfmDepoOwnnm() {
        return cnfmDepoOwnnm;
    }
    public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
        this.cnfmDepoOwnnm = cnfmDepoOwnnm;
    }
    public String getSendTm() {
        return sendTm;
    }
    public void setSendTm(String sendTm) {
        this.sendTm = sendTm;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getRecvTm() {
        return recvTm;
    }
    public void setRecvTm(String recvTm) {
        this.recvTm = recvTm;
    }
    public String getAcntApplRsnCd() {
        return acntApplRsnCd;
    }
    public void setAcntApplRsnCd(String acntApplRsnCd) {
        this.acntApplRsnCd = acntApplRsnCd;
    }
    public String getAcntClosRsnCd() {
        return acntClosRsnCd;
    }
    public void setAcntClosRsnCd(String acntClosRsnCd) {
        this.acntClosRsnCd = acntClosRsnCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
