package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAcntDescDTO.java Class
 * 클래스설명   : RT-계좌내역(RT_ACNT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAcntDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long acntSnum  = 0;  /* 계좌일련번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String acntApplDivCd  = "";  /* 계좌신청구분코드 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String acntOccrCd  = "";  /* 계좌발생코드 */
    private String applDt  = "";  /* 신청일자 */
    private String closDt  = "";  /* 해지일자 */
    private String sendDt  = "";  /* 전송일자 */
    private String acntRsltCd  = "";  /* 계좌결과코드 */
    private String acntErrCd  = "";  /* 계좌오류코드 */
    private String acntAplyDt  = "";  /* 계좌적용일자 */
    private String acntApplRsnCd  = "";  /* 계좌신청사유코드 */
    private String acntClosRsnCd  = "";  /* 계좌해지사유코드 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String applManTel1  = "";  /* 신청인전화1 */
    private String applManTel2  = "";  /* 신청인전화2 */
    private String applManTel3  = "";  /* 신청인전화3 */
    private String sysPathCd  = "";  /* 시스템경로코드 */
    private String applManEmal  = "";  /* 신청인전자메일 */
    private String applRsltRecvMethCd  = "";  /* 신청결과수신방법코드 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String acntErrNm  = "";  /* 계좌에러명 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getAcntSnum() {
        return acntSnum;
    }
    public void setAcntSnum(long acntSnum) {
        this.acntSnum = acntSnum;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getAcntApplDivCd() {
        return acntApplDivCd;
    }
    public void setAcntApplDivCd(String acntApplDivCd) {
        this.acntApplDivCd = acntApplDivCd;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getAcntOccrCd() {
        return acntOccrCd;
    }
    public void setAcntOccrCd(String acntOccrCd) {
        this.acntOccrCd = acntOccrCd;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getClosDt() {
        return closDt;
    }
    public void setClosDt(String closDt) {
        this.closDt = closDt;
    }
    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getAcntRsltCd() {
        return acntRsltCd;
    }
    public void setAcntRsltCd(String acntRsltCd) {
        this.acntRsltCd = acntRsltCd;
    }
    public String getAcntErrCd() {
        return acntErrCd;
    }
    public void setAcntErrCd(String acntErrCd) {
        this.acntErrCd = acntErrCd;
    }
    public String getAcntAplyDt() {
        return acntAplyDt;
    }
    public void setAcntAplyDt(String acntAplyDt) {
        this.acntAplyDt = acntAplyDt;
    }
    public String getAcntApplRsnCd() {
        return acntApplRsnCd;
    }
    public void setAcntApplRsnCd(String acntApplRsnCd) {
        this.acntApplRsnCd = acntApplRsnCd;
    }
    public String getAcntClosRsnCd() {
        return acntClosRsnCd;
    }
    public void setAcntClosRsnCd(String acntClosRsnCd) {
        this.acntClosRsnCd = acntClosRsnCd;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getApplManTel1() {
        return applManTel1;
    }
    public void setApplManTel1(String applManTel1) {
        this.applManTel1 = applManTel1;
    }
    public String getApplManTel2() {
        return applManTel2;
    }
    public void setApplManTel2(String applManTel2) {
        this.applManTel2 = applManTel2;
    }
    public String getApplManTel3() {
        return applManTel3;
    }
    public void setApplManTel3(String applManTel3) {
        this.applManTel3 = applManTel3;
    }
    public String getSysPathCd() {
        return sysPathCd;
    }
    public void setSysPathCd(String sysPathCd) {
        this.sysPathCd = sysPathCd;
    }
    public String getApplManEmal() {
        return applManEmal;
    }
    public void setApplManEmal(String applManEmal) {
        this.applManEmal = applManEmal;
    }
    public String getApplRsltRecvMethCd() {
        return applRsltRecvMethCd;
    }
    public void setApplRsltRecvMethCd(String applRsltRecvMethCd) {
        this.applRsltRecvMethCd = applRsltRecvMethCd;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getAcntErrNm() {
        return acntErrNm;
    }
    public void setAcntErrNm(String acntErrNm) {
        this.acntErrNm = acntErrNm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
