package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranAcntApplDescDTO.java Class
 * 클래스설명   : RT-자동이체계좌신청내역(RT_AUTO_TRAN_ACNT_APPL_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranAcntApplDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String sendDt  = "";  /* 전송일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String acntOccrCd  = "";  /* 계좌발생코드 */
    private long applSnum  = 0;  /* 신청일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long acntSnum  = 0;  /* 계좌일련번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String acntApplDivCd  = "";  /* 계좌신청구분코드 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String applDt  = "";  /* 신청일자 */
    private String closDt  = "";  /* 해지일자 */
    private long sendSnum  = 0;  /* 전송일련번호 */
    private String sendStatCd  = "";  /* 전송상태코드 */
    private String recvDt  = "";  /* 수신일자 */
    private String acntRsltCd  = "";  /* 계좌결과코드 */
    private String acntErrCd  = "";  /* 계좌오류코드 */
    private String acntErrNm  = "";  /* 계좌오류명 */

    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getAcntOccrCd() {
        return acntOccrCd;
    }
    public void setAcntOccrCd(String acntOccrCd) {
        this.acntOccrCd = acntOccrCd;
    }
    public long getApplSnum() {
        return applSnum;
    }
    public void setApplSnum(long applSnum) {
        this.applSnum = applSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getAcntSnum() {
        return acntSnum;
    }
    public void setAcntSnum(long acntSnum) {
        this.acntSnum = acntSnum;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getAcntApplDivCd() {
        return acntApplDivCd;
    }
    public void setAcntApplDivCd(String acntApplDivCd) {
        this.acntApplDivCd = acntApplDivCd;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getClosDt() {
        return closDt;
    }
    public void setClosDt(String closDt) {
        this.closDt = closDt;
    }
    public long getSendSnum() {
        return sendSnum;
    }
    public void setSendSnum(long sendSnum) {
        this.sendSnum = sendSnum;
    }
    public String getSendStatCd() {
        return sendStatCd;
    }
    public void setSendStatCd(String sendStatCd) {
        this.sendStatCd = sendStatCd;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getAcntRsltCd() {
        return acntRsltCd;
    }
    public void setAcntRsltCd(String acntRsltCd) {
        this.acntRsltCd = acntRsltCd;
    }
    public String getAcntErrCd() {
        return acntErrCd;
    }
    public void setAcntErrCd(String acntErrCd) {
        this.acntErrCd = acntErrCd;
    }
    public String getAcntErrNm() {
        return acntErrNm;
    }
    public void setAcntErrNm(String acntErrNm) {
        this.acntErrNm = acntErrNm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
