package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranIntgDescDTO.java Class
 * 클래스설명   : RT-자동이체통합내역(RT_AUTO_TRAN_INTG_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranIntgDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String intgLoanNo  = "";  /* 통합대출번호 */
    private String intgAskFg  = "";  /* 통합청구여부 */
    private long askTims  = 0;  /* 청구회차 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private String oamtErrCd  = "";  /* 출금오류코드 */
    private String oamtErrNm  = "";  /* 출금에러명 */

    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getIntgLoanNo() {
        return intgLoanNo;
    }
    public void setIntgLoanNo(String intgLoanNo) {
        this.intgLoanNo = intgLoanNo;
    }
    public String getIntgAskFg() {
        return intgAskFg;
    }
    public void setIntgAskFg(String intgAskFg) {
        this.intgAskFg = intgAskFg;
    }
    public long getAskTims() {
        return askTims;
    }
    public void setAskTims(long askTims) {
        this.askTims = askTims;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getOamtErrCd() {
        return oamtErrCd;
    }
    public void setOamtErrCd(String oamtErrCd) {
        this.oamtErrCd = oamtErrCd;
    }
    public String getOamtErrNm() {
        return oamtErrNm;
    }
    public void setOamtErrNm(String oamtErrNm) {
        this.oamtErrNm = oamtErrNm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
