package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranLoanTotDescDTO.java Class
 * 클래스설명   : RT-자동이체대출집계내역(RT_AUTO_TRAN_LOAN_TOT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranLoanTotDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private BigDecimal askCnt  = BigDecimal.ZERO;  /* 청구건수 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal oamtCnt  = BigDecimal.ZERO;  /* 출금건수 */
    private BigDecimal oamtAmt  = BigDecimal.ZERO;  /* 출금금액 */
    private BigDecimal tamtOamtCnt  = BigDecimal.ZERO;  /* 전액출금건수 */
    private BigDecimal tamtOamt  = BigDecimal.ZERO;  /* 전액출금금액 */
    private BigDecimal partOamtCnt  = BigDecimal.ZERO;  /* 부분출금건수 */
    private BigDecimal partOamt  = BigDecimal.ZERO;  /* 부분출금금액 */
    private BigDecimal unOamtCnt  = BigDecimal.ZERO;  /* 미출금건수 */
    private BigDecimal unOamtAmt  = BigDecimal.ZERO;  /* 미출금금액 */
    private BigDecimal badAcntCnt  = BigDecimal.ZERO;  /* 불량계좌건수 */
    private BigDecimal badAcntAmt  = BigDecimal.ZERO;  /* 불량계좌금액 */

    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public BigDecimal getAskCnt() {
        return askCnt;
    }
    public void setAskCnt(BigDecimal askCnt) {
        this.askCnt = askCnt;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getOamtCnt() {
        return oamtCnt;
    }
    public void setOamtCnt(BigDecimal oamtCnt) {
        this.oamtCnt = oamtCnt;
    }
    public BigDecimal getOamtAmt() {
        return oamtAmt;
    }
    public void setOamtAmt(BigDecimal oamtAmt) {
        this.oamtAmt = oamtAmt;
    }
    public BigDecimal getTamtOamtCnt() {
        return tamtOamtCnt;
    }
    public void setTamtOamtCnt(BigDecimal tamtOamtCnt) {
        this.tamtOamtCnt = tamtOamtCnt;
    }
    public BigDecimal getTamtOamt() {
        return tamtOamt;
    }
    public void setTamtOamt(BigDecimal tamtOamt) {
        this.tamtOamt = tamtOamt;
    }
    public BigDecimal getPartOamtCnt() {
        return partOamtCnt;
    }
    public void setPartOamtCnt(BigDecimal partOamtCnt) {
        this.partOamtCnt = partOamtCnt;
    }
    public BigDecimal getPartOamt() {
        return partOamt;
    }
    public void setPartOamt(BigDecimal partOamt) {
        this.partOamt = partOamt;
    }
    public BigDecimal getUnOamtCnt() {
        return unOamtCnt;
    }
    public void setUnOamtCnt(BigDecimal unOamtCnt) {
        this.unOamtCnt = unOamtCnt;
    }
    public BigDecimal getUnOamtAmt() {
        return unOamtAmt;
    }
    public void setUnOamtAmt(BigDecimal unOamtAmt) {
        this.unOamtAmt = unOamtAmt;
    }
    public BigDecimal getBadAcntCnt() {
        return badAcntCnt;
    }
    public void setBadAcntCnt(BigDecimal badAcntCnt) {
        this.badAcntCnt = badAcntCnt;
    }
    public BigDecimal getBadAcntAmt() {
        return badAcntAmt;
    }
    public void setBadAcntAmt(BigDecimal badAcntAmt) {
        this.badAcntAmt = badAcntAmt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
