package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranTrDescDTO.java Class
 * 클래스설명   : RT-자동이체거래내역(RT_AUTO_TRAN_TR_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranTrDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long askTims  = 0;  /* 청구회차 */
    private long totTims  = 0;  /* 총회차 */
    private String setlDd  = "";  /* 결제일 */
    private String prdtCd  = "";  /* 상품코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 상품소분류코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String custNo  = "";  /* 고객번호 */
    private String custNm  = "";  /* 고객명 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private long acntSnum  = 0;  /* 계좌일련번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String eprtAskMethCd  = "";  /* 만기청구방법코드 */
    private String askExclDt  = "";  /* 청구제외일자 */
    private String askDivCd  = "";  /* 청구구분코드 */
    private long askAmt  = 0;  /* 청구금액 */
    private long brcvAmtLeasfeeRamt  = 0;  /* 선수금리스료잔액 */
    private long execGuarAmtRamt  = 0;  /* 실행보증금잔액 */
    private long askPamt  = 0;  /* 청구원금 */
    private long askInt  = 0;  /* 청구이자 */
    private long askPpayInt  = 0;  /* 청구선급이자 */
    private long askAddCartax  = 0;  /* 청구가산자동차세 */
    private long askAddEnvImprBrdnamt  = 0;  /* 청구가산환경개선부담금 */
    private long askAddInsuFee  = 0;  /* 청구가산보험료 */
    private long askAddAsfee  = 0;  /* 청구가산정비료 */
    private long askVtax  = 0;  /* 청구부가세 */
    private long askIpayCartax  = 0;  /* 청구대지급자동차세 */
    private long askIpayEnvImprBrdnamt  = 0;  /* 청구대지급환경개선부담금 */
    private long askIpayInsuFee  = 0;  /* 청구대지급보험료 */
    private long askIpayPnltAmt  = 0;  /* 청구대지급범칙금 */
    private long askIpayEtc  = 0;  /* 청구대지급기타 */
    private long askLtrmBrcvAmt  = 0;  /* 청구장기선수금액 */
    private long askDfee  = 0;  /* 청구연체료 */
    private long askLeglActnCost  = 0;  /* 청구법적조치비용 */
    private long askNormAmt  = 0;  /* 청구정상금액 */
    private long askNormPamt  = 0;  /* 청구정상원금 */
    private long askNormInt  = 0;  /* 청구정상이자 */
    private long askNormPpayIntRamt  = 0;  /* 청구정상선급이자잔액 */
    private long askNormAddCartax  = 0;  /* 청구정상가산자동차세 */
    private long askNormAddEnvImprBrdnamt  = 0;  /* 청구정상가산환경개선부담금 */
    private long askNormAddInsuFee  = 0;  /* 청구정상가산보험료 */
    private long askNormAddAsfee  = 0;  /* 청구정상가산정비료 */
    private long askNormVtax  = 0;  /* 청구정상부가세 */
    private long askNormIpayCartax  = 0;  /* 청구정상대지급자동차세 */
    private long askNormIpayEnvImprBrdnamt  = 0;  /* 청구정상대지급환경개선부담금 */
    private long askNormIpayInsuFee  = 0;  /* 청구정상대지급보험료 */
    private long askNormIpayPnltAmt  = 0;  /* 청구정상대지급범칙금 */
    private long askNormIpayEtc  = 0;  /* 청구정상대지급기타 */
    private long askNormLtrmBrcvAmt  = 0;  /* 청구정상장기선수금액 */
    private long askDlyAmt  = 0;  /* 청구연체금액 */
    private long askDlyPamt  = 0;  /* 청구연체원금 */
    private long askDlyInt  = 0;  /* 청구연체이자 */
    private long askDlyPpayInt  = 0;  /* 청구연체선급이자 */
    private long askDlyAddCartax  = 0;  /* 청구연체가산자동차세 */
    private long askDlyAddEnvImprBrdnamt  = 0;  /* 청구연체가산환경개선부담금 */
    private long askDlyAddInsuFee  = 0;  /* 청구연체가산보험료 */
    private long askDlyAddAsfee  = 0;  /* 청구연체가산정비료 */
    private long askDlyVtax  = 0;  /* 청구연체부가세 */
    private long askDlyIpayCartax  = 0;  /* 청구연체대지급자동차세 */
    private long askDlyIpayEnvImprBrdnamt  = 0;  /* 청구연체대지급환경개선부담금 */
    private long askDlyIpayInsuFee  = 0;  /* 청구연체대지급보험료 */
    private long askDlyIpayPnltAmt  = 0;  /* 청구연체대지급범칙금 */
    private long askDlyIpayEtc  = 0;  /* 청구연체대지급기타 */
    private long askDlyLtrmBrcvAmt  = 0;  /* 청구연체장기선수금액 */
    private long askDlyDfee  = 0;  /* 청구연체연체료 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private long dlyTcnt  = 0;  /* 연체횟수 */
    private long setlAmt  = 0;  /* 결제금액 */
    private long setlNo  = 0;  /* 결제번호 */
    private String oamtRsltCd  = "";  /* 출금결과코드 */
    private String oamtErrCd  = "";  /* 출금오류코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String autoTranIntgFg  = "";  /* 자동이체통합여부 */
    private String rlDueManNo  = "";  /* 실납입자번호 */
    private String intgAskFg  = "";  /* 통합청구여부 */
    private String intgLoanNo  = "";  /* 통합대출번호 */
    private long iamtRank  = 0;  /* 입금순위 */
    private long iamtBalPamt  = 0;  /* 입금잔여원금 */
    private long iamtDlyTcnt  = 0;  /* 입금연체횟수 */
    private long askTrtFee  = 0;  /* 청구취급수수료 */
    private long askNormTrtFee  = 0;  /* 청구정상취급수수료 */
    private long askDlyTrtFee  = 0;  /* 청구연체취급수수료 */
    private String autorfndObjFg  = "";  /* 자동환불대상여부 */
    private long rcptDsrcRamt  = 0;  /* 수납예가수잔액 */
    private String oamtErrNm  = "";  /* 출금에러명 */

    private String askDt = "";

    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getAskTims() {
        return askTims;
    }
    public void setAskTims(long askTims) {
        this.askTims = askTims;
    }
    public long getTotTims() {
        return totTims;
    }
    public void setTotTims(long totTims) {
        this.totTims = totTims;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public long getAcntSnum() {
        return acntSnum;
    }
    public void setAcntSnum(long acntSnum) {
        this.acntSnum = acntSnum;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getEprtAskMethCd() {
        return eprtAskMethCd;
    }
    public void setEprtAskMethCd(String eprtAskMethCd) {
        this.eprtAskMethCd = eprtAskMethCd;
    }
    public String getAskExclDt() {
        return askExclDt;
    }
    public void setAskExclDt(String askExclDt) {
        this.askExclDt = askExclDt;
    }
    public String getAskDivCd() {
        return askDivCd;
    }
    public void setAskDivCd(String askDivCd) {
        this.askDivCd = askDivCd;
    }
    public long getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(long askAmt) {
        this.askAmt = askAmt;
    }
    public long getBrcvAmtLeasfeeRamt() {
        return brcvAmtLeasfeeRamt;
    }
    public void setBrcvAmtLeasfeeRamt(long brcvAmtLeasfeeRamt) {
        this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
    }
    public long getExecGuarAmtRamt() {
        return execGuarAmtRamt;
    }
    public void setExecGuarAmtRamt(long execGuarAmtRamt) {
        this.execGuarAmtRamt = execGuarAmtRamt;
    }
    public long getAskPamt() {
        return askPamt;
    }
    public void setAskPamt(long askPamt) {
        this.askPamt = askPamt;
    }
    public long getAskInt() {
        return askInt;
    }
    public void setAskInt(long askInt) {
        this.askInt = askInt;
    }
    public long getAskPpayInt() {
        return askPpayInt;
    }
    public void setAskPpayInt(long askPpayInt) {
        this.askPpayInt = askPpayInt;
    }
    public long getAskAddCartax() {
        return askAddCartax;
    }
    public void setAskAddCartax(long askAddCartax) {
        this.askAddCartax = askAddCartax;
    }
    public long getAskAddEnvImprBrdnamt() {
        return askAddEnvImprBrdnamt;
    }
    public void setAskAddEnvImprBrdnamt(long askAddEnvImprBrdnamt) {
        this.askAddEnvImprBrdnamt = askAddEnvImprBrdnamt;
    }
    public long getAskAddInsuFee() {
        return askAddInsuFee;
    }
    public void setAskAddInsuFee(long askAddInsuFee) {
        this.askAddInsuFee = askAddInsuFee;
    }
    public long getAskAddAsfee() {
        return askAddAsfee;
    }
    public void setAskAddAsfee(long askAddAsfee) {
        this.askAddAsfee = askAddAsfee;
    }
    public long getAskVtax() {
        return askVtax;
    }
    public void setAskVtax(long askVtax) {
        this.askVtax = askVtax;
    }
    public long getAskIpayCartax() {
        return askIpayCartax;
    }
    public void setAskIpayCartax(long askIpayCartax) {
        this.askIpayCartax = askIpayCartax;
    }
    public long getAskIpayEnvImprBrdnamt() {
        return askIpayEnvImprBrdnamt;
    }
    public void setAskIpayEnvImprBrdnamt(long askIpayEnvImprBrdnamt) {
        this.askIpayEnvImprBrdnamt = askIpayEnvImprBrdnamt;
    }
    public long getAskIpayInsuFee() {
        return askIpayInsuFee;
    }
    public void setAskIpayInsuFee(long askIpayInsuFee) {
        this.askIpayInsuFee = askIpayInsuFee;
    }
    public long getAskIpayPnltAmt() {
        return askIpayPnltAmt;
    }
    public void setAskIpayPnltAmt(long askIpayPnltAmt) {
        this.askIpayPnltAmt = askIpayPnltAmt;
    }
    public long getAskIpayEtc() {
        return askIpayEtc;
    }
    public void setAskIpayEtc(long askIpayEtc) {
        this.askIpayEtc = askIpayEtc;
    }
    public long getAskLtrmBrcvAmt() {
        return askLtrmBrcvAmt;
    }
    public void setAskLtrmBrcvAmt(long askLtrmBrcvAmt) {
        this.askLtrmBrcvAmt = askLtrmBrcvAmt;
    }
    public long getAskDfee() {
        return askDfee;
    }
    public void setAskDfee(long askDfee) {
        this.askDfee = askDfee;
    }
    public long getAskLeglActnCost() {
        return askLeglActnCost;
    }
    public void setAskLeglActnCost(long askLeglActnCost) {
        this.askLeglActnCost = askLeglActnCost;
    }
    public long getAskNormAmt() {
        return askNormAmt;
    }
    public void setAskNormAmt(long askNormAmt) {
        this.askNormAmt = askNormAmt;
    }
    public long getAskNormPamt() {
        return askNormPamt;
    }
    public void setAskNormPamt(long askNormPamt) {
        this.askNormPamt = askNormPamt;
    }
    public long getAskNormInt() {
        return askNormInt;
    }
    public void setAskNormInt(long askNormInt) {
        this.askNormInt = askNormInt;
    }
    public long getAskNormPpayIntRamt() {
        return askNormPpayIntRamt;
    }
    public void setAskNormPpayIntRamt(long askNormPpayIntRamt) {
        this.askNormPpayIntRamt = askNormPpayIntRamt;
    }
    public long getAskNormAddCartax() {
        return askNormAddCartax;
    }
    public void setAskNormAddCartax(long askNormAddCartax) {
        this.askNormAddCartax = askNormAddCartax;
    }
    public long getAskNormAddEnvImprBrdnamt() {
        return askNormAddEnvImprBrdnamt;
    }
    public void setAskNormAddEnvImprBrdnamt(long askNormAddEnvImprBrdnamt) {
        this.askNormAddEnvImprBrdnamt = askNormAddEnvImprBrdnamt;
    }
    public long getAskNormAddInsuFee() {
        return askNormAddInsuFee;
    }
    public void setAskNormAddInsuFee(long askNormAddInsuFee) {
        this.askNormAddInsuFee = askNormAddInsuFee;
    }
    public long getAskNormAddAsfee() {
        return askNormAddAsfee;
    }
    public void setAskNormAddAsfee(long askNormAddAsfee) {
        this.askNormAddAsfee = askNormAddAsfee;
    }
    public long getAskNormVtax() {
        return askNormVtax;
    }
    public void setAskNormVtax(long askNormVtax) {
        this.askNormVtax = askNormVtax;
    }
    public long getAskNormIpayCartax() {
        return askNormIpayCartax;
    }
    public void setAskNormIpayCartax(long askNormIpayCartax) {
        this.askNormIpayCartax = askNormIpayCartax;
    }
    public long getAskNormIpayEnvImprBrdnamt() {
        return askNormIpayEnvImprBrdnamt;
    }
    public void setAskNormIpayEnvImprBrdnamt(long askNormIpayEnvImprBrdnamt) {
        this.askNormIpayEnvImprBrdnamt = askNormIpayEnvImprBrdnamt;
    }
    public long getAskNormIpayInsuFee() {
        return askNormIpayInsuFee;
    }
    public void setAskNormIpayInsuFee(long askNormIpayInsuFee) {
        this.askNormIpayInsuFee = askNormIpayInsuFee;
    }
    public long getAskNormIpayPnltAmt() {
        return askNormIpayPnltAmt;
    }
    public void setAskNormIpayPnltAmt(long askNormIpayPnltAmt) {
        this.askNormIpayPnltAmt = askNormIpayPnltAmt;
    }
    public long getAskNormIpayEtc() {
        return askNormIpayEtc;
    }
    public void setAskNormIpayEtc(long askNormIpayEtc) {
        this.askNormIpayEtc = askNormIpayEtc;
    }
    public long getAskNormLtrmBrcvAmt() {
        return askNormLtrmBrcvAmt;
    }
    public void setAskNormLtrmBrcvAmt(long askNormLtrmBrcvAmt) {
        this.askNormLtrmBrcvAmt = askNormLtrmBrcvAmt;
    }
    public long getAskDlyAmt() {
        return askDlyAmt;
    }
    public void setAskDlyAmt(long askDlyAmt) {
        this.askDlyAmt = askDlyAmt;
    }
    public long getAskDlyPamt() {
        return askDlyPamt;
    }
    public void setAskDlyPamt(long askDlyPamt) {
        this.askDlyPamt = askDlyPamt;
    }
    public long getAskDlyInt() {
        return askDlyInt;
    }
    public void setAskDlyInt(long askDlyInt) {
        this.askDlyInt = askDlyInt;
    }
    public long getAskDlyPpayInt() {
        return askDlyPpayInt;
    }
    public void setAskDlyPpayInt(long askDlyPpayInt) {
        this.askDlyPpayInt = askDlyPpayInt;
    }
    public long getAskDlyAddCartax() {
        return askDlyAddCartax;
    }
    public void setAskDlyAddCartax(long askDlyAddCartax) {
        this.askDlyAddCartax = askDlyAddCartax;
    }
    public long getAskDlyAddEnvImprBrdnamt() {
        return askDlyAddEnvImprBrdnamt;
    }
    public void setAskDlyAddEnvImprBrdnamt(long askDlyAddEnvImprBrdnamt) {
        this.askDlyAddEnvImprBrdnamt = askDlyAddEnvImprBrdnamt;
    }
    public long getAskDlyAddInsuFee() {
        return askDlyAddInsuFee;
    }
    public void setAskDlyAddInsuFee(long askDlyAddInsuFee) {
        this.askDlyAddInsuFee = askDlyAddInsuFee;
    }
    public long getAskDlyAddAsfee() {
        return askDlyAddAsfee;
    }
    public void setAskDlyAddAsfee(long askDlyAddAsfee) {
        this.askDlyAddAsfee = askDlyAddAsfee;
    }
    public long getAskDlyVtax() {
        return askDlyVtax;
    }
    public void setAskDlyVtax(long askDlyVtax) {
        this.askDlyVtax = askDlyVtax;
    }
    public long getAskDlyIpayCartax() {
        return askDlyIpayCartax;
    }
    public void setAskDlyIpayCartax(long askDlyIpayCartax) {
        this.askDlyIpayCartax = askDlyIpayCartax;
    }
    public long getAskDlyIpayEnvImprBrdnamt() {
        return askDlyIpayEnvImprBrdnamt;
    }
    public void setAskDlyIpayEnvImprBrdnamt(long askDlyIpayEnvImprBrdnamt) {
        this.askDlyIpayEnvImprBrdnamt = askDlyIpayEnvImprBrdnamt;
    }
    public long getAskDlyIpayInsuFee() {
        return askDlyIpayInsuFee;
    }
    public void setAskDlyIpayInsuFee(long askDlyIpayInsuFee) {
        this.askDlyIpayInsuFee = askDlyIpayInsuFee;
    }
    public long getAskDlyIpayPnltAmt() {
        return askDlyIpayPnltAmt;
    }
    public void setAskDlyIpayPnltAmt(long askDlyIpayPnltAmt) {
        this.askDlyIpayPnltAmt = askDlyIpayPnltAmt;
    }
    public long getAskDlyIpayEtc() {
        return askDlyIpayEtc;
    }
    public void setAskDlyIpayEtc(long askDlyIpayEtc) {
        this.askDlyIpayEtc = askDlyIpayEtc;
    }
    public long getAskDlyLtrmBrcvAmt() {
        return askDlyLtrmBrcvAmt;
    }
    public void setAskDlyLtrmBrcvAmt(long askDlyLtrmBrcvAmt) {
        this.askDlyLtrmBrcvAmt = askDlyLtrmBrcvAmt;
    }
    public long getAskDlyDfee() {
        return askDlyDfee;
    }
    public void setAskDlyDfee(long askDlyDfee) {
        this.askDlyDfee = askDlyDfee;
    }
    public long getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(long dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public long getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(long dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public long getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(long setlAmt) {
        this.setlAmt = setlAmt;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getOamtRsltCd() {
        return oamtRsltCd;
    }
    public void setOamtRsltCd(String oamtRsltCd) {
        this.oamtRsltCd = oamtRsltCd;
    }
    public String getOamtErrCd() {
        return oamtErrCd;
    }
    public void setOamtErrCd(String oamtErrCd) {
        this.oamtErrCd = oamtErrCd;
    }
    public String getBndStatCd() {
        return bndStatCd;
    }
    public void setBndStatCd(String bndStatCd) {
        this.bndStatCd = bndStatCd;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getAutoTranIntgFg() {
        return autoTranIntgFg;
    }
    public void setAutoTranIntgFg(String autoTranIntgFg) {
        this.autoTranIntgFg = autoTranIntgFg;
    }
    public String getRlDueManNo() {
        return rlDueManNo;
    }
    public void setRlDueManNo(String rlDueManNo) {
        this.rlDueManNo = rlDueManNo;
    }
    public String getIntgAskFg() {
        return intgAskFg;
    }
    public void setIntgAskFg(String intgAskFg) {
        this.intgAskFg = intgAskFg;
    }
    public String getIntgLoanNo() {
        return intgLoanNo;
    }
    public void setIntgLoanNo(String intgLoanNo) {
        this.intgLoanNo = intgLoanNo;
    }
    public long getIamtRank() {
        return iamtRank;
    }
    public void setIamtRank(long iamtRank) {
        this.iamtRank = iamtRank;
    }
    public long getIamtBalPamt() {
        return iamtBalPamt;
    }
    public void setIamtBalPamt(long iamtBalPamt) {
        this.iamtBalPamt = iamtBalPamt;
    }
    public long getIamtDlyTcnt() {
        return iamtDlyTcnt;
    }
    public void setIamtDlyTcnt(long iamtDlyTcnt) {
        this.iamtDlyTcnt = iamtDlyTcnt;
    }
    public long getAskTrtFee() {
        return askTrtFee;
    }
    public void setAskTrtFee(long askTrtFee) {
        this.askTrtFee = askTrtFee;
    }
    public long getAskNormTrtFee() {
        return askNormTrtFee;
    }
    public void setAskNormTrtFee(long askNormTrtFee) {
        this.askNormTrtFee = askNormTrtFee;
    }
    public long getAskDlyTrtFee() {
        return askDlyTrtFee;
    }
    public void setAskDlyTrtFee(long askDlyTrtFee) {
        this.askDlyTrtFee = askDlyTrtFee;
    }
    public String getAutorfndObjFg() {
        return autorfndObjFg;
    }
    public void setAutorfndObjFg(String autorfndObjFg) {
        this.autorfndObjFg = autorfndObjFg;
    }
    public long getRcptDsrcRamt() {
        return rcptDsrcRamt;
    }
    public void setRcptDsrcRamt(long rcptDsrcRamt) {
        this.rcptDsrcRamt = rcptDsrcRamt;
    }
    public String getOamtErrNm() {
        return oamtErrNm;
    }
    public void setOamtErrNm(String oamtErrNm) {
        this.oamtErrNm = oamtErrNm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
	public String getAskDt() {
		return askDt;
	}
	public void setAskDt(String askDt) {
		this.askDt = askDt;
	}

}
