package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtClsSubDescDTO.java Class
 * 클래스설명   : RT-마감보조내역(RT_CLS_SUB_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtClsSubDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String acctDt  = "";  /* 회계일자 */
    private long trDescNo  = 0;  /* 거래내역번호 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private long subSnum  = 0;  /* 보조일련번호 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String acctDeptCd  = "";  /* 회계부서코드 */
    private String tranTpCd  = "";  /* 이체유형코드 */
    private long tranNo  = 0;  /* 이체번호 */
    private String dcDivCd  = "";  /* 차대구분코드 */
    private String acctCd  = "";  /* 계정코드 */
    private BigDecimal vochAmt  = BigDecimal.ZERO;  /* 전표금액 */
    private String trTpCd  = "";  /* 거래유형코드 */
    private String trStagCd  = "";  /* 거래단계코드 */
    private String isrtDt  = "";  /* 입력일자 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String occrDeptCd  = "";  /* 발생부서코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String busiNo  = "";  /* 거래처번호 */
    private String cardNo  = "";  /* 카드번호 */
    private String mngAcctUnitCd  = "";  /* 관리회계단위코드 */
    private String occrAcctUnitCd  = "";  /* 발생회계단위코드 */
    private BigDecimal mngAmt1  = BigDecimal.ZERO;  /* 관리금액1 */

    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public long getTrDescNo() {
        return trDescNo;
    }
    public void setTrDescNo(long trDescNo) {
        this.trDescNo = trDescNo;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public long getSubSnum() {
        return subSnum;
    }
    public void setSubSnum(long subSnum) {
        this.subSnum = subSnum;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getAcctDeptCd() {
        return acctDeptCd;
    }
    public void setAcctDeptCd(String acctDeptCd) {
        this.acctDeptCd = acctDeptCd;
    }
    public String getTranTpCd() {
        return tranTpCd;
    }
    public void setTranTpCd(String tranTpCd) {
        this.tranTpCd = tranTpCd;
    }
    public long getTranNo() {
        return tranNo;
    }
    public void setTranNo(long tranNo) {
        this.tranNo = tranNo;
    }
    public String getDcDivCd() {
        return dcDivCd;
    }
    public void setDcDivCd(String dcDivCd) {
        this.dcDivCd = dcDivCd;
    }
    public String getAcctCd() {
        return acctCd;
    }
    public void setAcctCd(String acctCd) {
        this.acctCd = acctCd;
    }
    public BigDecimal getVochAmt() {
        return vochAmt;
    }
    public void setVochAmt(BigDecimal vochAmt) {
        this.vochAmt = vochAmt;
    }
    public String getTrTpCd() {
        return trTpCd;
    }
    public void setTrTpCd(String trTpCd) {
        this.trTpCd = trTpCd;
    }
    public String getTrStagCd() {
        return trStagCd;
    }
    public void setTrStagCd(String trStagCd) {
        this.trStagCd = trStagCd;
    }
    public String getIsrtDt() {
        return isrtDt;
    }
    public void setIsrtDt(String isrtDt) {
        this.isrtDt = isrtDt;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getOccrDeptCd() {
        return occrDeptCd;
    }
    public void setOccrDeptCd(String occrDeptCd) {
        this.occrDeptCd = occrDeptCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getBusiNo() {
        return busiNo;
    }
    public void setBusiNo(String busiNo) {
        this.busiNo = busiNo;
    }
    public String getCardNo() {
        return cardNo;
    }
    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }
    public String getMngAcctUnitCd() {
        return mngAcctUnitCd;
    }
    public void setMngAcctUnitCd(String mngAcctUnitCd) {
        this.mngAcctUnitCd = mngAcctUnitCd;
    }
    public String getOccrAcctUnitCd() {
        return occrAcctUnitCd;
    }
    public void setOccrAcctUnitCd(String occrAcctUnitCd) {
        this.occrAcctUnitCd = occrAcctUnitCd;
    }
    public BigDecimal getMngAmt1() {
        return mngAmt1;
    }
    public void setMngAmt1(BigDecimal mngAmt1) {
        this.mngAmt1 = mngAmt1;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
