package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtClsTrDescDTO.java Class
 * 클래스설명   : RT-마감거래항목설명(RT_CLS_TR_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtClsTrDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String acctDt  = "";  /* 회계일자 */
    private long trDescNo  = 0;  /* 거래내역번호 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private String trTpCd  = "";  /* 거래유형코드 */
    private String trStagCd  = "";  /* 거래단계코드 */
    private String tranTpCd  = "";  /* 이체유형코드 */
    private String isrtDt  = "";  /* 입력일자 */
    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */
    private String occrDeptCd  = "";  /* 발생부서코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String dsrcOccrCd  = "";  /* 예가수발생코드 */
    private String dsrcAdjCd  = "";  /* 예가수정산코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String busiNo  = "";  /* 거래처번호 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private BigDecimal depo  = BigDecimal.ZERO;  /* 재예금 */
    private BigDecimal cash  = BigDecimal.ZERO;  /* 현금 */
    private BigDecimal dsrcAdjAmt  = BigDecimal.ZERO;  /* 예가수정산금액 */
    private BigDecimal dsrcOccrAmt  = BigDecimal.ZERO;  /* 예가수발생금액 */
    private BigDecimal pamt  = BigDecimal.ZERO;  /* 회차 */
    private BigDecimal ramt  = BigDecimal.ZERO;  /* 잔액 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private BigDecimal adjDfee  = BigDecimal.ZERO;  /* 정산연체료 */
    private BigDecimal pdueDiscDfee  = BigDecimal.ZERO;  /* 선납할인연체료 */
    private BigDecimal leglActnCost  = BigDecimal.ZERO;  /* 법적조치비용 */
    private BigDecimal midRmbrFee  = BigDecimal.ZERO;  /* 중도상환수수료 */
    private BigDecimal trtFeeDisc  = BigDecimal.ZERO;  /* 취급수수료할인 */
    private BigDecimal etcPrft  = BigDecimal.ZERO;  /* 최근6개월내기타업종조회총건수이익 */
    private BigDecimal exmpPamt  = BigDecimal.ZERO;  /* 면제원금 */
    private BigDecimal exmpInt  = BigDecimal.ZERO;  /* 면제이자 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /* 면제연체료 */
    private BigDecimal exmpLeglActnCost  = BigDecimal.ZERO;  /* 면제법적조치비용 */
    private BigDecimal exmpMidRmbrFee  = BigDecimal.ZERO;  /* 면제중도상환수수료 */
    private BigDecimal crdtRcvrUnrcvAmt  = BigDecimal.ZERO;  /* 신용회복미수금 */
    private BigDecimal psgInt  = BigDecimal.ZERO;  /* 경과이자 */
    private BigDecimal preRcptPamt  = BigDecimal.ZERO;  /* 총액환개금회차 */
    private BigDecimal preRcptInt  = BigDecimal.ZERO;  /* 총액환개금잔액 */
    private BigDecimal payAmt  = BigDecimal.ZERO;  /* 입금액 */
    private BigDecimal retnAmt  = BigDecimal.ZERO;  /* 연체상환금액 */
    private BigDecimal chngBfFeeCostTrtFee  = BigDecimal.ZERO;  /* 코드후금비용취급금 */
    private BigDecimal chngBfFeePrftTrtFee  = BigDecimal.ZERO;  /* 코드후금이익취급금 */
    private BigDecimal chngBfPamt  = BigDecimal.ZERO;  /* 코드후회차 */
    private BigDecimal chngBfDferCostCprtFee  = BigDecimal.ZERO;  /* 코드후이연비용코드금 */
    private BigDecimal chngBfDferCostTrtFee  = BigDecimal.ZERO;  /* 코드후이연비용취급금 */
    private BigDecimal chngBfDferPrftCprtFee  = BigDecimal.ZERO;  /* 코드후이연이익코드금 */
    private BigDecimal chngBfDferPrftTrtFee  = BigDecimal.ZERO;  /* 코드후이연이익취급금 */
    private BigDecimal chngBfIntCostCprtFee  = BigDecimal.ZERO;  /* 코드후잔액비용코드금 */
    private BigDecimal chngBfIntPrftCprtFee  = BigDecimal.ZERO;  /* 코드후잔액이익코드금 */
    private BigDecimal chngAfFeeCostTrtFee  = BigDecimal.ZERO;  /* 코드후금비용취급금 */
    private BigDecimal chngAfFeePrftTrtFee  = BigDecimal.ZERO;  /* 코드후금이익취급금 */
    private BigDecimal chngAfPamt  = BigDecimal.ZERO;  /* 코드후회차 */
    private BigDecimal chngAfDferCostCprtFee  = BigDecimal.ZERO;  /* 코드후이연비용코드금 */
    private BigDecimal chngAfDferCostTrtFee  = BigDecimal.ZERO;  /* 코드후이연비용취급금 */
    private BigDecimal chngAfDferPrftCprtFee  = BigDecimal.ZERO;  /* 코드후이연이익코드금 */
    private BigDecimal chngAfDferPrftTrtFee  = BigDecimal.ZERO;  /* 코드후이연이익취급금 */
    private BigDecimal chngAfIntCostCprtFee  = BigDecimal.ZERO;  /* 코드후잔액비용코드금 */
    private BigDecimal chngAfIntPrftCprtFee  = BigDecimal.ZERO;  /* 코드후잔액이익코드금 */
    private BigDecimal feeCostTrtFee  = BigDecimal.ZERO;  /* 금비용취급금 */
    private BigDecimal feePrftTrtFee  = BigDecimal.ZERO;  /* 금이익취급금 */
    private BigDecimal dferCostCprtFee  = BigDecimal.ZERO;  /* 이연비용코드금 */
    private BigDecimal dferCostTrtFee  = BigDecimal.ZERO;  /* 이연비용취급금 */
    private BigDecimal dferPrftCprtFee  = BigDecimal.ZERO;  /* 이연이익코드금 */
    private BigDecimal dferPrftTrtFee  = BigDecimal.ZERO;  /* 이연이익취급금 */
    private BigDecimal intCostCprtFee  = BigDecimal.ZERO;  /* 잔액비용코드금 */
    private BigDecimal intPrftCprtFee  = BigDecimal.ZERO;  /* 잔액이익코드금 */
    private BigDecimal notaFee  = BigDecimal.ZERO;  /* 공증료 */
    private BigDecimal stmpFee  = BigDecimal.ZERO;  /* 인지대 */
    private BigDecimal htax  = BigDecimal.ZERO;  /* 주민세 */
    private BigDecimal setFee  = BigDecimal.ZERO;  /* 설정료 */
    private BigDecimal itax  = BigDecimal.ZERO;  /* 소득세 */
    private BigDecimal etcFee  = BigDecimal.ZERO;  /* 기타수수료 */
    private BigDecimal debtmanFee  = BigDecimal.ZERO;  /* 채무인수수료 */
    private BigDecimal prFee  = BigDecimal.ZERO;  /* 판촉수수료 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */
    private BigDecimal badDebtApprAmt  = BigDecimal.ZERO;  /* 대손충당금강제조정액 */
    private BigDecimal badDebtDeprCost  = BigDecimal.ZERO;  /* 합산후일자비용 */
    private BigDecimal depsAmt  = BigDecimal.ZERO;  /* 공탁금 */
    private String cardNo  = "";  /* 카드번호 */
    private String mngAcctUnitCd  = "";  /* 관리회계단위코드 */
    private BigDecimal ppayInt  = BigDecimal.ZERO;  /* 선급이자 */
    private BigDecimal addInsuFee  = BigDecimal.ZERO;  /* 보험료 */
    private BigDecimal addCartax  = BigDecimal.ZERO;  /* 차세 */
    private BigDecimal addEnvImprBrdnamt  = BigDecimal.ZERO;  /* 환개금 */
    private BigDecimal addAsfee  = BigDecimal.ZERO;  /* 가산정비료 */
    private BigDecimal ipayInsuFee  = BigDecimal.ZERO;  /* 대지급보험료 */
    private BigDecimal ipayCartax  = BigDecimal.ZERO;  /* 대지급자동차세 */
    private BigDecimal ipayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 대지급환경개선부담금 */
    private BigDecimal ipayPnltAmt  = BigDecimal.ZERO;  /* 대지급범칙금 */
    private BigDecimal ipayEtc  = BigDecimal.ZERO;  /* 대지급기타 */
    private BigDecimal vtax  = BigDecimal.ZERO;  /* 부가세 */
    private BigDecimal ltrmBrcvAmt  = BigDecimal.ZERO;  /* 장기선수금액 */
    private String mngAsetCostDivCd  = "";  /* 관리자산비용구분코드 */
    private String unrcvAmtKindCd  = "";  /* 이자금액종류코드 */
    private BigDecimal guarAmt  = BigDecimal.ZERO;  /* 보증금 */
    private BigDecimal nmChngGuarAmt  = BigDecimal.ZERO;  /* 명의변경보증금 */
    private BigDecimal nmChngExmpGuarAmt  = BigDecimal.ZERO;  /* 명의변경면제보증금 */
    private BigDecimal custCost  = BigDecimal.ZERO;  /* 고객비용 */
    private BigDecimal retnOdueAmt  = BigDecimal.ZERO;  /* 반납지연금액 */
    private BigDecimal overDrvFee  = BigDecimal.ZERO;  /* 초과운행수수료 */
    private BigDecimal orgupRcvrCost  = BigDecimal.ZERO;  /* 원상복구비용 */
    private BigDecimal carsSellAmt  = BigDecimal.ZERO;  /* 차량매각대금 */
    private BigDecimal midRmbrPamt  = BigDecimal.ZERO;  /* 중도상환원금 */
    private BigDecimal midRmbrInt  = BigDecimal.ZERO;  /* 중도상환이자 */
    private BigDecimal midRmbrPpayInt  = BigDecimal.ZERO;  /* 중도상환선급이자 */
    private BigDecimal midRmbrAddInsuFee  = BigDecimal.ZERO;  /* 중도상환가산보험료 */
    private BigDecimal midRmbrAddCartax  = BigDecimal.ZERO;  /* 중도상환가산자동차세 */
    private BigDecimal midRmbrAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 중도상환가산환경개선부담금 */
    private BigDecimal midRmbrAddAsfee  = BigDecimal.ZERO;  /* 중도상환가산정비료 */
    private BigDecimal midRmbrVtax  = BigDecimal.ZERO;  /* 중도상환부가세 */
    private BigDecimal deprDeprTamt  = BigDecimal.ZERO;  /* 감가상각누계액 */
    private BigDecimal dspLossApprAmt  = BigDecimal.ZERO;  /* 처분손실충당금 */
    private BigDecimal oprLeasAset  = BigDecimal.ZERO;  /* 운용리스자산 */
    private BigDecimal mngAmt1  = BigDecimal.ZERO;  /* 관리금액1 */
    private BigDecimal exmpTrtFee  = BigDecimal.ZERO;  /* 면제취급수수료 */
    private BigDecimal midRmbrTrtFee  = BigDecimal.ZERO;  /* 중도상환취급수수료 */
    private String ivltClosFg  = "";  /* 강제해지여부 */
    private String procDivCd  = "";  /* 처리구분코드 */
    private String trDescRmk  = "";  /* 거래항목설명적요 */
    private long ifProcFg  = 0;  /* IF처리여부 */
    private long ifRsltCd  = 0;  /* IF코드코드 */
    private String ifErrCd  = "";  /* IF오류코드 */
    private String ifRsltDesc  = ""; /* IF_코드_항목설명 */
    private BigDecimal amt  = BigDecimal.ZERO;  /* 보조금액 */
    private String prdtSmClasCd  = ""; /* 상품_소분류_코드 */

    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public long getTrDescNo() {
        return trDescNo;
    }
    public void setTrDescNo(long trDescNo) {
        this.trDescNo = trDescNo;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public String getTrTpCd() {
        return trTpCd;
    }
    public void setTrTpCd(String trTpCd) {
        this.trTpCd = trTpCd;
    }
    public String getTrStagCd() {
        return trStagCd;
    }
    public void setTrStagCd(String trStagCd) {
        this.trStagCd = trStagCd;
    }
    public String getTranTpCd() {
        return tranTpCd;
    }
    public void setTranTpCd(String tranTpCd) {
        this.tranTpCd = tranTpCd;
    }
    public String getIsrtDt() {
        return isrtDt;
    }
    public void setIsrtDt(String isrtDt) {
        this.isrtDt = isrtDt;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getBndStatCd() {
        return bndStatCd;
    }
    public void setBndStatCd(String bndStatCd) {
        this.bndStatCd = bndStatCd;
    }
    public String getOccrDeptCd() {
        return occrDeptCd;
    }
    public void setOccrDeptCd(String occrDeptCd) {
        this.occrDeptCd = occrDeptCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getDsrcAdjCd() {
        return dsrcAdjCd;
    }
    public void setDsrcAdjCd(String dsrcAdjCd) {
        this.dsrcAdjCd = dsrcAdjCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getBusiNo() {
        return busiNo;
    }
    public void setBusiNo(String busiNo) {
        this.busiNo = busiNo;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public BigDecimal getDepo() {
        return depo;
    }
    public void setDepo(BigDecimal depo) {
        this.depo = depo;
    }
    public BigDecimal getCash() {
        return cash;
    }
    public void setCash(BigDecimal cash) {
        this.cash = cash;
    }
    public BigDecimal getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public BigDecimal getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public BigDecimal getPamt() {
        return pamt;
    }
    public void setPamt(BigDecimal pamt) {
        this.pamt = pamt;
    }
    public BigDecimal getRamt() {
        return ramt;
    }
    public void setRamt(BigDecimal ramt) {
        this.ramt = ramt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public BigDecimal getAdjDfee() {
        return adjDfee;
    }
    public void setAdjDfee(BigDecimal adjDfee) {
        this.adjDfee = adjDfee;
    }
    public BigDecimal getPdueDiscDfee() {
        return pdueDiscDfee;
    }
    public void setPdueDiscDfee(BigDecimal pdueDiscDfee) {
        this.pdueDiscDfee = pdueDiscDfee;
    }
    public BigDecimal getLeglActnCost() {
        return leglActnCost;
    }
    public void setLeglActnCost(BigDecimal leglActnCost) {
        this.leglActnCost = leglActnCost;
    }
    public BigDecimal getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(BigDecimal midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public BigDecimal getTrtFeeDisc() {
        return trtFeeDisc;
    }
    public void setTrtFeeDisc(BigDecimal trtFeeDisc) {
        this.trtFeeDisc = trtFeeDisc;
    }
    public BigDecimal getEtcPrft() {
        return etcPrft;
    }
    public void setEtcPrft(BigDecimal etcPrft) {
        this.etcPrft = etcPrft;
    }
    public BigDecimal getExmpPamt() {
        return exmpPamt;
    }
    public void setExmpPamt(BigDecimal exmpPamt) {
        this.exmpPamt = exmpPamt;
    }
    public BigDecimal getExmpInt() {
        return exmpInt;
    }
    public void setExmpInt(BigDecimal exmpInt) {
        this.exmpInt = exmpInt;
    }
    public BigDecimal getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(BigDecimal exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public BigDecimal getExmpLeglActnCost() {
        return exmpLeglActnCost;
    }
    public void setExmpLeglActnCost(BigDecimal exmpLeglActnCost) {
        this.exmpLeglActnCost = exmpLeglActnCost;
    }
    public BigDecimal getExmpMidRmbrFee() {
        return exmpMidRmbrFee;
    }
    public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
        this.exmpMidRmbrFee = exmpMidRmbrFee;
    }
    public BigDecimal getCrdtRcvrUnrcvAmt() {
        return crdtRcvrUnrcvAmt;
    }
    public void setCrdtRcvrUnrcvAmt(BigDecimal crdtRcvrUnrcvAmt) {
        this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
    }
    public BigDecimal getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(BigDecimal psgInt) {
        this.psgInt = psgInt;
    }
    public BigDecimal getPreRcptPamt() {
        return preRcptPamt;
    }
    public void setPreRcptPamt(BigDecimal preRcptPamt) {
        this.preRcptPamt = preRcptPamt;
    }
    public BigDecimal getPreRcptInt() {
        return preRcptInt;
    }
    public void setPreRcptInt(BigDecimal preRcptInt) {
        this.preRcptInt = preRcptInt;
    }
    public BigDecimal getPayAmt() {
        return payAmt;
    }
    public void setPayAmt(BigDecimal payAmt) {
        this.payAmt = payAmt;
    }
    public BigDecimal getRetnAmt() {
        return retnAmt;
    }
    public void setRetnAmt(BigDecimal retnAmt) {
        this.retnAmt = retnAmt;
    }
    public BigDecimal getChngBfFeeCostTrtFee() {
        return chngBfFeeCostTrtFee;
    }
    public void setChngBfFeeCostTrtFee(BigDecimal chngBfFeeCostTrtFee) {
        this.chngBfFeeCostTrtFee = chngBfFeeCostTrtFee;
    }
    public BigDecimal getChngBfFeePrftTrtFee() {
        return chngBfFeePrftTrtFee;
    }
    public void setChngBfFeePrftTrtFee(BigDecimal chngBfFeePrftTrtFee) {
        this.chngBfFeePrftTrtFee = chngBfFeePrftTrtFee;
    }
    public BigDecimal getChngBfPamt() {
        return chngBfPamt;
    }
    public void setChngBfPamt(BigDecimal chngBfPamt) {
        this.chngBfPamt = chngBfPamt;
    }
    public BigDecimal getChngBfDferCostCprtFee() {
        return chngBfDferCostCprtFee;
    }
    public void setChngBfDferCostCprtFee(BigDecimal chngBfDferCostCprtFee) {
        this.chngBfDferCostCprtFee = chngBfDferCostCprtFee;
    }
    public BigDecimal getChngBfDferCostTrtFee() {
        return chngBfDferCostTrtFee;
    }
    public void setChngBfDferCostTrtFee(BigDecimal chngBfDferCostTrtFee) {
        this.chngBfDferCostTrtFee = chngBfDferCostTrtFee;
    }
    public BigDecimal getChngBfDferPrftCprtFee() {
        return chngBfDferPrftCprtFee;
    }
    public void setChngBfDferPrftCprtFee(BigDecimal chngBfDferPrftCprtFee) {
        this.chngBfDferPrftCprtFee = chngBfDferPrftCprtFee;
    }
    public BigDecimal getChngBfDferPrftTrtFee() {
        return chngBfDferPrftTrtFee;
    }
    public void setChngBfDferPrftTrtFee(BigDecimal chngBfDferPrftTrtFee) {
        this.chngBfDferPrftTrtFee = chngBfDferPrftTrtFee;
    }
    public BigDecimal getChngBfIntCostCprtFee() {
        return chngBfIntCostCprtFee;
    }
    public void setChngBfIntCostCprtFee(BigDecimal chngBfIntCostCprtFee) {
        this.chngBfIntCostCprtFee = chngBfIntCostCprtFee;
    }
    public BigDecimal getChngBfIntPrftCprtFee() {
        return chngBfIntPrftCprtFee;
    }
    public void setChngBfIntPrftCprtFee(BigDecimal chngBfIntPrftCprtFee) {
        this.chngBfIntPrftCprtFee = chngBfIntPrftCprtFee;
    }
    public BigDecimal getChngAfFeeCostTrtFee() {
        return chngAfFeeCostTrtFee;
    }
    public void setChngAfFeeCostTrtFee(BigDecimal chngAfFeeCostTrtFee) {
        this.chngAfFeeCostTrtFee = chngAfFeeCostTrtFee;
    }
    public BigDecimal getChngAfFeePrftTrtFee() {
        return chngAfFeePrftTrtFee;
    }
    public void setChngAfFeePrftTrtFee(BigDecimal chngAfFeePrftTrtFee) {
        this.chngAfFeePrftTrtFee = chngAfFeePrftTrtFee;
    }
    public BigDecimal getChngAfPamt() {
        return chngAfPamt;
    }
    public void setChngAfPamt(BigDecimal chngAfPamt) {
        this.chngAfPamt = chngAfPamt;
    }
    public BigDecimal getChngAfDferCostCprtFee() {
        return chngAfDferCostCprtFee;
    }
    public void setChngAfDferCostCprtFee(BigDecimal chngAfDferCostCprtFee) {
        this.chngAfDferCostCprtFee = chngAfDferCostCprtFee;
    }
    public BigDecimal getChngAfDferCostTrtFee() {
        return chngAfDferCostTrtFee;
    }
    public void setChngAfDferCostTrtFee(BigDecimal chngAfDferCostTrtFee) {
        this.chngAfDferCostTrtFee = chngAfDferCostTrtFee;
    }
    public BigDecimal getChngAfDferPrftCprtFee() {
        return chngAfDferPrftCprtFee;
    }
    public void setChngAfDferPrftCprtFee(BigDecimal chngAfDferPrftCprtFee) {
        this.chngAfDferPrftCprtFee = chngAfDferPrftCprtFee;
    }
    public BigDecimal getChngAfDferPrftTrtFee() {
        return chngAfDferPrftTrtFee;
    }
    public void setChngAfDferPrftTrtFee(BigDecimal chngAfDferPrftTrtFee) {
        this.chngAfDferPrftTrtFee = chngAfDferPrftTrtFee;
    }
    public BigDecimal getChngAfIntCostCprtFee() {
        return chngAfIntCostCprtFee;
    }
    public void setChngAfIntCostCprtFee(BigDecimal chngAfIntCostCprtFee) {
        this.chngAfIntCostCprtFee = chngAfIntCostCprtFee;
    }
    public BigDecimal getChngAfIntPrftCprtFee() {
        return chngAfIntPrftCprtFee;
    }
    public void setChngAfIntPrftCprtFee(BigDecimal chngAfIntPrftCprtFee) {
        this.chngAfIntPrftCprtFee = chngAfIntPrftCprtFee;
    }
    public BigDecimal getFeeCostTrtFee() {
        return feeCostTrtFee;
    }
    public void setFeeCostTrtFee(BigDecimal feeCostTrtFee) {
        this.feeCostTrtFee = feeCostTrtFee;
    }
    public BigDecimal getFeePrftTrtFee() {
        return feePrftTrtFee;
    }
    public void setFeePrftTrtFee(BigDecimal feePrftTrtFee) {
        this.feePrftTrtFee = feePrftTrtFee;
    }
    public BigDecimal getDferCostCprtFee() {
        return dferCostCprtFee;
    }
    public void setDferCostCprtFee(BigDecimal dferCostCprtFee) {
        this.dferCostCprtFee = dferCostCprtFee;
    }
    public BigDecimal getDferCostTrtFee() {
        return dferCostTrtFee;
    }
    public void setDferCostTrtFee(BigDecimal dferCostTrtFee) {
        this.dferCostTrtFee = dferCostTrtFee;
    }
    public BigDecimal getDferPrftCprtFee() {
        return dferPrftCprtFee;
    }
    public void setDferPrftCprtFee(BigDecimal dferPrftCprtFee) {
        this.dferPrftCprtFee = dferPrftCprtFee;
    }
    public BigDecimal getDferPrftTrtFee() {
        return dferPrftTrtFee;
    }
    public void setDferPrftTrtFee(BigDecimal dferPrftTrtFee) {
        this.dferPrftTrtFee = dferPrftTrtFee;
    }
    public BigDecimal getIntCostCprtFee() {
        return intCostCprtFee;
    }
    public void setIntCostCprtFee(BigDecimal intCostCprtFee) {
        this.intCostCprtFee = intCostCprtFee;
    }
    public BigDecimal getIntPrftCprtFee() {
        return intPrftCprtFee;
    }
    public void setIntPrftCprtFee(BigDecimal intPrftCprtFee) {
        this.intPrftCprtFee = intPrftCprtFee;
    }
    public BigDecimal getNotaFee() {
        return notaFee;
    }
    public void setNotaFee(BigDecimal notaFee) {
        this.notaFee = notaFee;
    }
    public BigDecimal getStmpFee() {
        return stmpFee;
    }
    public void setStmpFee(BigDecimal stmpFee) {
        this.stmpFee = stmpFee;
    }
    public BigDecimal getHtax() {
        return htax;
    }
    public void setHtax(BigDecimal htax) {
        this.htax = htax;
    }
    public BigDecimal getSetFee() {
        return setFee;
    }
    public void setSetFee(BigDecimal setFee) {
        this.setFee = setFee;
    }
    public BigDecimal getItax() {
        return itax;
    }
    public void setItax(BigDecimal itax) {
        this.itax = itax;
    }
    public BigDecimal getEtcFee() {
        return etcFee;
    }
    public void setEtcFee(BigDecimal etcFee) {
        this.etcFee = etcFee;
    }
    public BigDecimal getDebtmanFee() {
        return debtmanFee;
    }
    public void setDebtmanFee(BigDecimal debtmanFee) {
        this.debtmanFee = debtmanFee;
    }
    public BigDecimal getPrFee() {
        return prFee;
    }
    public void setPrFee(BigDecimal prFee) {
        this.prFee = prFee;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public BigDecimal getBadDebtApprAmt() {
        return badDebtApprAmt;
    }
    public void setBadDebtApprAmt(BigDecimal badDebtApprAmt) {
        this.badDebtApprAmt = badDebtApprAmt;
    }
    public BigDecimal getBadDebtDeprCost() {
        return badDebtDeprCost;
    }
    public void setBadDebtDeprCost(BigDecimal badDebtDeprCost) {
        this.badDebtDeprCost = badDebtDeprCost;
    }
    public BigDecimal getDepsAmt() {
        return depsAmt;
    }
    public void setDepsAmt(BigDecimal depsAmt) {
        this.depsAmt = depsAmt;
    }
    public String getCardNo() {
        return cardNo;
    }
    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }
    public String getMngAcctUnitCd() {
        return mngAcctUnitCd;
    }
    public void setMngAcctUnitCd(String mngAcctUnitCd) {
        this.mngAcctUnitCd = mngAcctUnitCd;
    }
    public BigDecimal getPpayInt() {
        return ppayInt;
    }
    public void setPpayInt(BigDecimal ppayInt) {
        this.ppayInt = ppayInt;
    }
    public BigDecimal getAddInsuFee() {
        return addInsuFee;
    }
    public void setAddInsuFee(BigDecimal addInsuFee) {
        this.addInsuFee = addInsuFee;
    }
    public BigDecimal getAddCartax() {
        return addCartax;
    }
    public void setAddCartax(BigDecimal addCartax) {
        this.addCartax = addCartax;
    }
    public BigDecimal getAddEnvImprBrdnamt() {
        return addEnvImprBrdnamt;
    }
    public void setAddEnvImprBrdnamt(BigDecimal addEnvImprBrdnamt) {
        this.addEnvImprBrdnamt = addEnvImprBrdnamt;
    }
    public BigDecimal getAddAsfee() {
        return addAsfee;
    }
    public void setAddAsfee(BigDecimal addAsfee) {
        this.addAsfee = addAsfee;
    }
    public BigDecimal getIpayInsuFee() {
        return ipayInsuFee;
    }
    public void setIpayInsuFee(BigDecimal ipayInsuFee) {
        this.ipayInsuFee = ipayInsuFee;
    }
    public BigDecimal getIpayCartax() {
        return ipayCartax;
    }
    public void setIpayCartax(BigDecimal ipayCartax) {
        this.ipayCartax = ipayCartax;
    }
    public BigDecimal getIpayEnvImprBrdnamt() {
        return ipayEnvImprBrdnamt;
    }
    public void setIpayEnvImprBrdnamt(BigDecimal ipayEnvImprBrdnamt) {
        this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
    }
    public BigDecimal getIpayPnltAmt() {
        return ipayPnltAmt;
    }
    public void setIpayPnltAmt(BigDecimal ipayPnltAmt) {
        this.ipayPnltAmt = ipayPnltAmt;
    }
    public BigDecimal getIpayEtc() {
        return ipayEtc;
    }
    public void setIpayEtc(BigDecimal ipayEtc) {
        this.ipayEtc = ipayEtc;
    }
    public BigDecimal getVtax() {
        return vtax;
    }
    public void setVtax(BigDecimal vtax) {
        this.vtax = vtax;
    }
    public BigDecimal getLtrmBrcvAmt() {
        return ltrmBrcvAmt;
    }
    public void setLtrmBrcvAmt(BigDecimal ltrmBrcvAmt) {
        this.ltrmBrcvAmt = ltrmBrcvAmt;
    }
    public String getMngAsetCostDivCd() {
        return mngAsetCostDivCd;
    }
    public void setMngAsetCostDivCd(String mngAsetCostDivCd) {
        this.mngAsetCostDivCd = mngAsetCostDivCd;
    }
    public String getUnrcvAmtKindCd() {
        return unrcvAmtKindCd;
    }
    public void setUnrcvAmtKindCd(String unrcvAmtKindCd) {
        this.unrcvAmtKindCd = unrcvAmtKindCd;
    }
    public BigDecimal getGuarAmt() {
        return guarAmt;
    }
    public void setGuarAmt(BigDecimal guarAmt) {
        this.guarAmt = guarAmt;
    }
    public BigDecimal getNmChngGuarAmt() {
        return nmChngGuarAmt;
    }
    public void setNmChngGuarAmt(BigDecimal nmChngGuarAmt) {
        this.nmChngGuarAmt = nmChngGuarAmt;
    }
    public BigDecimal getNmChngExmpGuarAmt() {
        return nmChngExmpGuarAmt;
    }
    public void setNmChngExmpGuarAmt(BigDecimal nmChngExmpGuarAmt) {
        this.nmChngExmpGuarAmt = nmChngExmpGuarAmt;
    }
    public BigDecimal getCustCost() {
        return custCost;
    }
    public void setCustCost(BigDecimal custCost) {
        this.custCost = custCost;
    }
    public BigDecimal getRetnOdueAmt() {
        return retnOdueAmt;
    }
    public void setRetnOdueAmt(BigDecimal retnOdueAmt) {
        this.retnOdueAmt = retnOdueAmt;
    }
    public BigDecimal getOverDrvFee() {
        return overDrvFee;
    }
    public void setOverDrvFee(BigDecimal overDrvFee) {
        this.overDrvFee = overDrvFee;
    }
    public BigDecimal getOrgupRcvrCost() {
        return orgupRcvrCost;
    }
    public void setOrgupRcvrCost(BigDecimal orgupRcvrCost) {
        this.orgupRcvrCost = orgupRcvrCost;
    }
    public BigDecimal getCarsSellAmt() {
        return carsSellAmt;
    }
    public void setCarsSellAmt(BigDecimal carsSellAmt) {
        this.carsSellAmt = carsSellAmt;
    }
    public BigDecimal getMidRmbrPamt() {
        return midRmbrPamt;
    }
    public void setMidRmbrPamt(BigDecimal midRmbrPamt) {
        this.midRmbrPamt = midRmbrPamt;
    }
    public BigDecimal getMidRmbrInt() {
        return midRmbrInt;
    }
    public void setMidRmbrInt(BigDecimal midRmbrInt) {
        this.midRmbrInt = midRmbrInt;
    }
    public BigDecimal getMidRmbrPpayInt() {
        return midRmbrPpayInt;
    }
    public void setMidRmbrPpayInt(BigDecimal midRmbrPpayInt) {
        this.midRmbrPpayInt = midRmbrPpayInt;
    }
    public BigDecimal getMidRmbrAddInsuFee() {
        return midRmbrAddInsuFee;
    }
    public void setMidRmbrAddInsuFee(BigDecimal midRmbrAddInsuFee) {
        this.midRmbrAddInsuFee = midRmbrAddInsuFee;
    }
    public BigDecimal getMidRmbrAddCartax() {
        return midRmbrAddCartax;
    }
    public void setMidRmbrAddCartax(BigDecimal midRmbrAddCartax) {
        this.midRmbrAddCartax = midRmbrAddCartax;
    }
    public BigDecimal getMidRmbrAddEnvImprBrdnamt() {
        return midRmbrAddEnvImprBrdnamt;
    }
    public void setMidRmbrAddEnvImprBrdnamt(BigDecimal midRmbrAddEnvImprBrdnamt) {
        this.midRmbrAddEnvImprBrdnamt = midRmbrAddEnvImprBrdnamt;
    }
    public BigDecimal getMidRmbrAddAsfee() {
        return midRmbrAddAsfee;
    }
    public void setMidRmbrAddAsfee(BigDecimal midRmbrAddAsfee) {
        this.midRmbrAddAsfee = midRmbrAddAsfee;
    }
    public BigDecimal getMidRmbrVtax() {
        return midRmbrVtax;
    }
    public void setMidRmbrVtax(BigDecimal midRmbrVtax) {
        this.midRmbrVtax = midRmbrVtax;
    }
    public BigDecimal getDeprDeprTamt() {
        return deprDeprTamt;
    }
    public void setDeprDeprTamt(BigDecimal deprDeprTamt) {
        this.deprDeprTamt = deprDeprTamt;
    }
    public BigDecimal getDspLossApprAmt() {
        return dspLossApprAmt;
    }
    public void setDspLossApprAmt(BigDecimal dspLossApprAmt) {
        this.dspLossApprAmt = dspLossApprAmt;
    }
    public BigDecimal getOprLeasAset() {
        return oprLeasAset;
    }
    public void setOprLeasAset(BigDecimal oprLeasAset) {
        this.oprLeasAset = oprLeasAset;
    }
    public BigDecimal getMngAmt1() {
        return mngAmt1;
    }
    public void setMngAmt1(BigDecimal mngAmt1) {
        this.mngAmt1 = mngAmt1;
    }
    public BigDecimal getExmpTrtFee() {
        return exmpTrtFee;
    }
    public void setExmpTrtFee(BigDecimal exmpTrtFee) {
        this.exmpTrtFee = exmpTrtFee;
    }
    public BigDecimal getMidRmbrTrtFee() {
        return midRmbrTrtFee;
    }
    public void setMidRmbrTrtFee(BigDecimal midRmbrTrtFee) {
        this.midRmbrTrtFee = midRmbrTrtFee;
    }
    public String getIvltClosFg() {
        return ivltClosFg;
    }
    public void setIvltClosFg(String ivltClosFg) {
        this.ivltClosFg = ivltClosFg;
    }
    public String getProcDivCd() {
        return procDivCd;
    }
    public void setProcDivCd(String procDivCd) {
        this.procDivCd = procDivCd;
    }
    public String getTrDescRmk() {
        return trDescRmk;
    }
    public void setTrDescRmk(String trDescRmk) {
        this.trDescRmk = trDescRmk;
    }
    public long getIfProcFg() {
        return ifProcFg;
    }
    public void setIfProcFg(long ifProcFg) {
        this.ifProcFg = ifProcFg;
    }
    public long getIfRsltCd() {
        return ifRsltCd;
    }
    public void setIfRsltCd(long ifRsltCd) {
        this.ifRsltCd = ifRsltCd;
    }
    public String getIfErrCd() {
        return ifErrCd;
    }
    public void setIfErrCd(String ifErrCd) {
        this.ifErrCd = ifErrCd;
    }
    public String getIfRsltDesc() {
        return ifRsltDesc;
    }
    public void setIfRsltDesc(String ifRsltDesc) {
        this.ifRsltDesc = ifRsltDesc;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
	public BigDecimal getAmt() {
		return amt;
	}
	public void setAmt(BigDecimal amt) {
		this.amt = amt;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}

}
