package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtCmsIamtDescDTO.java Class
 * 클래스설명   : RT-CMS입금내역(RT_CMS_IAMT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtCmsIamtDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trOrgCd  = "";  /* 거래기관코드 */
    private String trNo  = "";  /* 거래번호 */
    private String trDt  = "";  /* 거래일자 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String bankCd  = "";  /* 은행코드 */
    private BigDecimal trAmt  = BigDecimal.ZERO;  /* 거래금액 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String iamtRsltCd  = "";  /* 입금결과코드 */
    private String recvDt  = "";  /* 수신일자 */
    private String recvTm  = "";  /* 수신시각 */
    private String setlFg  = "";  /* 결제여부 */
    private long setlNo  = 0;  /* 결제번호 */
    private String cnclFg  = "";  /* 취소여부 */
    private String orgTrDt  = "";  /* 원거래일자 */
    private long orgTrSnum  = 0;  /* 원거래일련번호 */
    private String cnclDt  = "";  /* 취소일자 */
    private String cnclRecvDt  = "";  /* 취소수신일자 */
    private String cnclRecvTm  = "";  /* 취소수신시각 */
    private String cnclSetlFg  = "";  /* 취소결제여부 */
    private long cnclSetlNo  = 0;  /* 취소결제번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String unCnfmFg  = "";  /* 미확인여부 */
    private String bankBrnchCd  = "";  /* 은행지점코드 */
    private String trmnCd  = "";  /* 단말코드 */

    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getTrNo() {
        return trNo;
    }
    public void setTrNo(String trNo) {
        this.trNo = trNo;
    }
    public String getTrDt() {
        return trDt;
    }
    public void setTrDt(String trDt) {
        this.trDt = trDt;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public BigDecimal getTrAmt() {
        return trAmt;
    }
    public void setTrAmt(BigDecimal trAmt) {
        this.trAmt = trAmt;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getIamtRsltCd() {
        return iamtRsltCd;
    }
    public void setIamtRsltCd(String iamtRsltCd) {
        this.iamtRsltCd = iamtRsltCd;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getRecvTm() {
        return recvTm;
    }
    public void setRecvTm(String recvTm) {
        this.recvTm = recvTm;
    }
    public String getSetlFg() {
        return setlFg;
    }
    public void setSetlFg(String setlFg) {
        this.setlFg = setlFg;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getOrgTrDt() {
        return orgTrDt;
    }
    public void setOrgTrDt(String orgTrDt) {
        this.orgTrDt = orgTrDt;
    }
    public long getOrgTrSnum() {
        return orgTrSnum;
    }
    public void setOrgTrSnum(long orgTrSnum) {
        this.orgTrSnum = orgTrSnum;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public String getCnclRecvDt() {
        return cnclRecvDt;
    }
    public void setCnclRecvDt(String cnclRecvDt) {
        this.cnclRecvDt = cnclRecvDt;
    }
    public String getCnclRecvTm() {
        return cnclRecvTm;
    }
    public void setCnclRecvTm(String cnclRecvTm) {
        this.cnclRecvTm = cnclRecvTm;
    }
    public String getCnclSetlFg() {
        return cnclSetlFg;
    }
    public void setCnclSetlFg(String cnclSetlFg) {
        this.cnclSetlFg = cnclSetlFg;
    }
    public long getCnclSetlNo() {
        return cnclSetlNo;
    }
    public void setCnclSetlNo(long cnclSetlNo) {
        this.cnclSetlNo = cnclSetlNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getUnCnfmFg() {
        return unCnfmFg;
    }
    public void setUnCnfmFg(String unCnfmFg) {
        this.unCnfmFg = unCnfmFg;
    }
    public String getBankBrnchCd() {
        return bankBrnchCd;
    }
    public void setBankBrnchCd(String bankBrnchCd) {
        this.bankBrnchCd = bankBrnchCd;
    }
    public String getTrmnCd() {
        return trmnCd;
    }
    public void setTrmnCd(String trmnCd) {
        this.trmnCd = trmnCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
