package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtGiroDescDTO.java Class
 * 클래스설명   : RT-지로내역(RT_GIRO_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtGiroDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String tranDt  = "";  /* 이체일자 */
    private String giroNo  = "";  /* 지로번호 */
    private String giroDivCd  = "";  /* 지로구분코드 */
    private long giroSnum  = 0;  /* 지로일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String rcptDt  = "";  /* 수납일자 */
    private String bankBrnchCd  = "";  /* 은행지점코드 */
    private String infoMakeBrnchCd  = "";  /* 정보작성지점코드 */
    private String idxNo  = "";  /* 색인번호 */
    private String custReadNo  = "";  /* 고객조회번호 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private String giroRcptDivCd  = "";  /* 지로수납구분코드 */
    private long giroFee  = 0;  /* 지로수수료 */
    private String formProcDivCd  = "";  /* 양식처리구분코드 */
    private String adjLoanNo  = "";  /* 정산대출번호 */
    private String adjLoanSeq  = "";  /* 정산대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private String unCnfmFg  = "";  /* 미확인여부 */
    private String feeVochStatCd  = "";  /* 수수료전표상태코드 */

    public String getTranDt() {
        return tranDt;
    }
    public void setTranDt(String tranDt) {
        this.tranDt = tranDt;
    }
    public String getGiroNo() {
        return giroNo;
    }
    public void setGiroNo(String giroNo) {
        this.giroNo = giroNo;
    }
    public String getGiroDivCd() {
        return giroDivCd;
    }
    public void setGiroDivCd(String giroDivCd) {
        this.giroDivCd = giroDivCd;
    }
    public long getGiroSnum() {
        return giroSnum;
    }
    public void setGiroSnum(long giroSnum) {
        this.giroSnum = giroSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getRcptDt() {
        return rcptDt;
    }
    public void setRcptDt(String rcptDt) {
        this.rcptDt = rcptDt;
    }
    public String getBankBrnchCd() {
        return bankBrnchCd;
    }
    public void setBankBrnchCd(String bankBrnchCd) {
        this.bankBrnchCd = bankBrnchCd;
    }
    public String getInfoMakeBrnchCd() {
        return infoMakeBrnchCd;
    }
    public void setInfoMakeBrnchCd(String infoMakeBrnchCd) {
        this.infoMakeBrnchCd = infoMakeBrnchCd;
    }
    public String getIdxNo() {
        return idxNo;
    }
    public void setIdxNo(String idxNo) {
        this.idxNo = idxNo;
    }
    public String getCustReadNo() {
        return custReadNo;
    }
    public void setCustReadNo(String custReadNo) {
        this.custReadNo = custReadNo;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getGiroRcptDivCd() {
        return giroRcptDivCd;
    }
    public void setGiroRcptDivCd(String giroRcptDivCd) {
        this.giroRcptDivCd = giroRcptDivCd;
    }
    public long getGiroFee() {
        return giroFee;
    }
    public void setGiroFee(long giroFee) {
        this.giroFee = giroFee;
    }
    public String getFormProcDivCd() {
        return formProcDivCd;
    }
    public void setFormProcDivCd(String formProcDivCd) {
        this.formProcDivCd = formProcDivCd;
    }
    public String getAdjLoanNo() {
        return adjLoanNo;
    }
    public void setAdjLoanNo(String adjLoanNo) {
        this.adjLoanNo = adjLoanNo;
    }
    public String getAdjLoanSeq() {
        return adjLoanSeq;
    }
    public void setAdjLoanSeq(String adjLoanSeq) {
        this.adjLoanSeq = adjLoanSeq;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getUnCnfmFg() {
        return unCnfmFg;
    }
    public void setUnCnfmFg(String unCnfmFg) {
        this.unCnfmFg = unCnfmFg;
    }
    public String getFeeVochStatCd() {
        return feeVochStatCd;
    }
    public void setFeeVochStatCd(String feeVochStatCd) {
        this.feeVochStatCd = feeVochStatCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
