package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptDsrcBaseDTO.java Class
 * 클래스설명   : RT-수납예가수기본(RT_RCPT_DSRC_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptDsrcBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dsrcNo  = "";  /* 예가수번호 */
    private String occrLoanNo  = "";  /* 발생대출번호 */
    private String occrLoanSeq  = "";  /* 발생대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String acctDt  = "";  /* 회계일자 */
    private String rfndDt  = "";  /* 환불일자 */
    private String dsrcOccrCd  = "";  /* 예가수발생코드 */
    private String setlDt  = "";  /* 결제일자 */
    private BigDecimal dsrcOccrAmt  = BigDecimal.ZERO;  /* 예가수발생금액 */
    private BigDecimal dsrcRamt  = BigDecimal.ZERO;  /* 예가수잔액 */
    private String unCnfmFg  = "";  /* 미확인여부 */
    private long rfndSnum  = 0;  /* 환불일련번호 */
    private long dsrcSnum  = 0;  /* 예가수일련번호 */
    private String rfndStatCd  = "";  /* 환불상태코드 */
    private String adjLoanNo  = "";  /* 정산대출번호 */
    private String adjLoanSeq  = "";  /* 정산대출순번 */
    private String rmk  = "";  /* 적요 */
    private String isrtDeptCd  = "";  /* 입력부서코드 */
    private String adjDeptCd  = "";  /* 정산부서코드 */
    private String custNo  = "";  /* 고객번호 */
    private String empNo  = "";  /* 사원번호 */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getOccrLoanNo() {
        return occrLoanNo;
    }
    public void setOccrLoanNo(String occrLoanNo) {
        this.occrLoanNo = occrLoanNo;
    }
    public String getOccrLoanSeq() {
        return occrLoanSeq;
    }
    public void setOccrLoanSeq(String occrLoanSeq) {
        this.occrLoanSeq = occrLoanSeq;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getRfndDt() {
		return rfndDt;
	}
	public void setRfndDt(String rfndDt) {
		this.rfndDt = rfndDt;
	}
	public BigDecimal getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public BigDecimal getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(BigDecimal dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public String getUnCnfmFg() {
        return unCnfmFg;
    }
    public void setUnCnfmFg(String unCnfmFg) {
        this.unCnfmFg = unCnfmFg;
    }
    public long getRfndSnum() {
        return rfndSnum;
    }
    public void setRfndSnum(long rfndSnum) {
        this.rfndSnum = rfndSnum;
    }
    public long getDsrcSnum() {
        return dsrcSnum;
    }
    public void setDsrcSnum(long dsrcSnum) {
        this.dsrcSnum = dsrcSnum;
    }
    public String getRfndStatCd() {
        return rfndStatCd;
    }
    public void setRfndStatCd(String rfndStatCd) {
        this.rfndStatCd = rfndStatCd;
    }
    public String getAdjLoanNo() {
        return adjLoanNo;
    }
    public void setAdjLoanNo(String adjLoanNo) {
        this.adjLoanNo = adjLoanNo;
    }
    public String getAdjLoanSeq() {
        return adjLoanSeq;
    }
    public void setAdjLoanSeq(String adjLoanSeq) {
        this.adjLoanSeq = adjLoanSeq;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
