package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRsndDescDTO.java Class
 * 클래스설명   : RT-반송내역(RT_RSND_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRsndDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String clsDt  = "";  /* 마감일자 */
    private BigDecimal clsSnum  = BigDecimal.ZERO;  /* 마감일련번호 */
    private String dueDt  = "";  /* 납입일자 */
    private String dlvrDt  = "";  /* 발송일자 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String dlvrThngCd  = "";  /* 발송물코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String recvManNo  = "";  /* 수신자번호 */
    private String askPlcDivCd  = "";  /* 청구지구분코드 */
    private BigDecimal rsndAmt  = BigDecimal.ZERO;  /* 반송금액 */
    private String rsndRsnCd  = "";  /* 반송사유코드 */
    private String rsndDt  = "";  /* 반송일자 */
    private String corrFg  = "";  /* 보정여부 */
    private String corrDt  = "";  /* 보정일자 */
    private String corrTm  = "";  /* 보정시각 */
    private String corrEmpNo  = "";  /* 보정사원번호 */
    private String deptTelNo  = "";  /* 부서전화번호 */
    private String custTelNo  = "";  /* 고객전화번호 */
    private String smsSendFg  = "";  /* SMS전송여부 */
    private String smsSendDttm  = "";  /* SMS전송일시 */
    private String smsSendCntn  = "";  /* SMS전송내용 */

    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public BigDecimal getClsSnum() {
        return clsSnum;
    }
    public void setClsSnum(BigDecimal clsSnum) {
        this.clsSnum = clsSnum;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getDlvrDt() {
        return dlvrDt;
    }
    public void setDlvrDt(String dlvrDt) {
        this.dlvrDt = dlvrDt;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getRecvManNo() {
        return recvManNo;
    }
    public void setRecvManNo(String recvManNo) {
        this.recvManNo = recvManNo;
    }
    public String getAskPlcDivCd() {
        return askPlcDivCd;
    }
    public void setAskPlcDivCd(String askPlcDivCd) {
        this.askPlcDivCd = askPlcDivCd;
    }
    public BigDecimal getRsndAmt() {
        return rsndAmt;
    }
    public void setRsndAmt(BigDecimal rsndAmt) {
        this.rsndAmt = rsndAmt;
    }
    public String getRsndRsnCd() {
        return rsndRsnCd;
    }
    public void setRsndRsnCd(String rsndRsnCd) {
        this.rsndRsnCd = rsndRsnCd;
    }
    public String getRsndDt() {
        return rsndDt;
    }
    public void setRsndDt(String rsndDt) {
        this.rsndDt = rsndDt;
    }
    public String getCorrFg() {
        return corrFg;
    }
    public void setCorrFg(String corrFg) {
        this.corrFg = corrFg;
    }
    public String getCorrDt() {
        return corrDt;
    }
    public void setCorrDt(String corrDt) {
        this.corrDt = corrDt;
    }
    public String getCorrTm() {
        return corrTm;
    }
    public void setCorrTm(String corrTm) {
        this.corrTm = corrTm;
    }
    public String getCorrEmpNo() {
        return corrEmpNo;
    }
    public void setCorrEmpNo(String corrEmpNo) {
        this.corrEmpNo = corrEmpNo;
    }
    public String getDeptTelNo() {
        return deptTelNo;
    }
    public void setDeptTelNo(String deptTelNo) {
        this.deptTelNo = deptTelNo;
    }
    public String getCustTelNo() {
        return custTelNo;
    }
    public void setCustTelNo(String custTelNo) {
        this.custTelNo = custTelNo;
    }
    public String getSmsSendFg() {
        return smsSendFg;
    }
    public void setSmsSendFg(String smsSendFg) {
        this.smsSendFg = smsSendFg;
    }
    public String getSmsSendDttm() {
        return smsSendDttm;
    }
    public void setSmsSendDttm(String smsSendDttm) {
        this.smsSendDttm = smsSendDttm;
    }
    public String getSmsSendCntn() {
        return smsSendCntn;
    }
    public void setSmsSendCntn(String smsSendCntn) {
        this.smsSendCntn = smsSendCntn;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
