package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtUncnfmBaseDTO.java Class
 * 클래스설명   : RT-미확인기본(RT_UNCNFM_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtUncnfmBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String divCd  = "";  /* 구분코드 */
    private long setlNo  = 0;  /* 결제번호 */
    private String prdtCd  = "";  /* 상품코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 상품소분류코드 */
    private String godsCd  = "";  /* 물품코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private long loanIntRt  = 0;  /* 대출이자율 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */

    public String getDivCd() {
        return divCd;
    }
    public void setDivCd(String divCd) {
        this.divCd = divCd;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getBndStatCd() {
        return bndStatCd;
    }
    public void setBndStatCd(String bndStatCd) {
        this.bndStatCd = bndStatCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
