package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCprtLimChngHistDTO.java Class
 * 클래스설명   : ST_제휴_한도_변경_이력(ST_CPRT_LIM_CHNG_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCprtLimChngHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cprtComNo = ""; /* 제휴사_번호 */
    private String cprtBranCd = ""; /* 제휴점_코드 */
    private String prdtClasCd = ""; /* 상품_분류_코드 */
    private int snum = 0; /* 일련번호 */
    private String limMngFg = ""; /* 한도_관리_여부 */
    private BigDecimal chngBfLimAmt = BigDecimal.ZERO; /* 변경전_한도_금액 */
    private BigDecimal limAmt = BigDecimal.ZERO; /* 한도_금액 */
    private String incrAmtFg = ""; /* 증액_여부 */
    private BigDecimal loanPamtRamt = BigDecimal.ZERO; /* 대출_원금_잔액 */
	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public String getPrdtClasCd() {
		return prdtClasCd;
	}
	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}
	public int getSnum() {
		return snum;
	}
	public void setSnum(int snum) {
		this.snum = snum;
	}
	public String getLimMngFg() {
		return limMngFg;
	}
	public void setLimMngFg(String limMngFg) {
		this.limMngFg = limMngFg;
	}
	public BigDecimal getChngBfLimAmt() {
		return chngBfLimAmt;
	}
	public void setChngBfLimAmt(BigDecimal chngBfLimAmt) {
		this.chngBfLimAmt = chngBfLimAmt;
	}
	public BigDecimal getLimAmt() {
		return limAmt;
	}
	public void setLimAmt(BigDecimal limAmt) {
		this.limAmt = limAmt;
	}
	public String getIncrAmtFg() {
		return incrAmtFg;
	}
	public void setIncrAmtFg(String incrAmtFg) {
		this.incrAmtFg = incrAmtFg;
	}
	public BigDecimal getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
