package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCustAccInfoDTO.java Class
 * 클래스설명   : ST-고객계좌정보(ST_CUST_ACC_INFO) 를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCustAccInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo  = "";  /* 고객번호 */
    private String acntNo  = "";  /* 계좌번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String depoOwnRelcd  = "";  /* 예금주관계코드 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String mainFg  = "";  /* 주거래여부 */
    private String acntCfmDt  = "";  /* 계좌확인일자 */
    private String acntCfmEmpNo  = "";  /* 계좌확인사원번호 */
    private String acntUseDivCd  = "";  /* 연체사용구분코드 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String cprtBranCd  = "";  /* 제휴점코드 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getDepoOwnRelcd() {
        return depoOwnRelcd;
    }
    public void setDepoOwnRelcd(String depoOwnRelcd) {
        this.depoOwnRelcd = depoOwnRelcd;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getMainFg() {
        return mainFg;
    }
    public void setMainFg(String mainFg) {
        this.mainFg = mainFg;
    }
    public String getAcntCfmDt() {
        return acntCfmDt;
    }
    public void setAcntCfmDt(String acntCfmDt) {
        this.acntCfmDt = acntCfmDt;
    }
    public String getAcntCfmEmpNo() {
        return acntCfmEmpNo;
    }
    public void setAcntCfmEmpNo(String acntCfmEmpNo) {
        this.acntCfmEmpNo = acntCfmEmpNo;
    }
    public String getAcntUseDivCd() {
        return acntUseDivCd;
    }
    public void setAcntUseDivCd(String acntUseDivCd) {
        this.acntUseDivCd = acntUseDivCd;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getCprtBranCd() {
        return cprtBranCd;
    }
    public void setCprtBranCd(String cprtBranCd) {
        this.cprtBranCd = cprtBranCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
