package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCustBaseDTO.java Class
 * 클래스설명   : ST-고객기본(ST_CUST_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCustBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo  = "";  /* 고객번호 */
    private String custTpCd  = "";  /* 고객유형코드 */
    private String custNm  = "";  /* 고객명 */
    private String bizNo  = "";  /* 사업자등록번호 */
    private String corpRegNo  = "";  /* 법인등록번호 */
    private String comFrmlNm  = "";  /* 기업정식명 */
    private String corpEvalDivCd  = "";  /* 법인평가구분코드 */
    private String estbDt  = "";  /* 설립일자 */
    private String clacMm  = "";  /* 결산월 */
    private String comFormDivCd  = "";  /* 기업형태구분코드 */
    private String bizSizeCd  = "";  /* 사업규모코드 */
    private String divsDeptNm  = "";  /* 담당부서명 */
    private String divsMannm  = "";  /* 담당자명 */
    private String divsManPosiNm  = "";  /* 담당자직위명 */
    private String divsManCntcPlc  = "";  /* 담당자연락처 */
    private String divsManHp  = "";  /* 담당자휴대폰 */
    private String offcNm  = "";  /* 직장명 */
    private String deptNm  = "";  /* 부서명 */
    private String bztpNm  = "";  /* 업태명 */
    private String bzitNm  = "";  /* 업종명 */
    private String bzitDivCd  = "";  /* 업종구분코드 */
    private String empmOpnbDivCd  = "";  /* 취업개업구분코드 */
    private String jobClasCd  = "";  /* 직업분류코드 */
    private String jobDivCd  = "";  /* 직업구분코드 */
    private String posiDivCd  = "";  /* 직위구분코드 */
    private String jobPosiFullnm  = "";  /* 직업직위총칭 */
    private String custDeptCd  = "";  /* 고객부서코드 */
    private String hireFormCd  = "";  /* 고용형태코드 */
    private String emal  = "";  /* 전자메일 */
    private String rmbrCapaCd  = "";  /* 상환능력코드 */
    private String zoneDivCd  = "";  /* 지역구분코드 */
    private String resKindCd  = "";  /* 주거종류코드 */
    private String resStatCd  = "";  /* 주거상황코드 */
    private String weddStatCd  = "";  /* 결혼상태코드 */
    private String hshlHeadDivCd  = "";  /* 세대주구분코드 */
    private String btwrFg  = "";  /* 맞벌이여부 */
    private String resiMoveiDt  = "";  /* 주민전입일자 */
    private String hinsCd  = "";  /* 건강보험코드 */
    private String wrkcLcnsFg  = "";  /* 운전면허여부 */
    private long resiYycnt  = 0;  /* 거주년수 */
    private long inmtPersCnt  = 0;  /* 동거인원수 */
    private long kidCnt  = 0;  /* 자녀수 */
    private String hireDt  = "";  /* 입사일자 */
    private String birtDt  = "";  /* 생년월일 */
    private String lcalScalCd  = "";  /* 음력양력코드 */
    private String ptaxZoneCd  = "";  /* 재산세지역코드 */
    private BigDecimal ptax  = BigDecimal.ZERO;  /* 재산세 */
    private BigDecimal captAmt  = BigDecimal.ZERO;  /* 자본금 */
    private BigDecimal anulIncoAmt  = BigDecimal.ZERO;  /* 연간소득금액 */
    private BigDecimal cpstLandTax  = BigDecimal.ZERO;  /* 종합토지세 */
    private BigDecimal propOwnAmt  = BigDecimal.ZERO;  /* 동산소유금액 */
    private BigDecimal esttOwnAmt  = BigDecimal.ZERO;  /* 부동산소유금액 */
    private BigDecimal esttPreSeqTamt  = BigDecimal.ZERO;  /* 부동산선순위총액 */
    private BigDecimal esttProvSeizAmt  = BigDecimal.ZERO;  /* 부동산가압류금액 */
    private long esttSeizCnt  = 0;  /* 부동산압류건수 */
    private long esttProvSeizCnt  = 0;  /* 부동산가압류건수 */
    private String esttSameResiFg  = "";  /* 부동산동일거주여부 */
    private BigDecimal landArea  = BigDecimal.ZERO;  /* 토지면적 */
    private BigDecimal bldArea  = BigDecimal.ZERO;  /* 건물면적 */
    private String holdCargrpCd  = "";  /* 보유차종코드 */
    private String holdCargrpMakecomCd  = "";  /* 보유차종제작사코드 */
    private String holdCargrpMdlYear  = "";  /* 보유차종연식 */
    private String holdCargrpCc  = "";  /* 보유차종배기량 */
    private String spusResiNo  = "";  /* 배우자주민등록번호 */
    private String spusNm  = "";  /* 배우자명 */
    private String custTrndCd  = "";  /* 고객성향코드 */
    private String clsBizFg  = "";  /* 폐업여부 */
    private String clsBizDt  = "";  /* 폐업일자 */
    private String reprIagrDt  = "";  /* 대표취임일자 */
    private long reprIagrYycnt  = 0;  /* 대표취임년수 */
    private String bizCdocIssuDt  = "";  /* 사업자등록증발급일자 */
    private BigDecimal salesAmt  = BigDecimal.ZERO;  /* 매출액 */
    private String lmitCorpChk  = "";  /* 제한법인체크 */
    private String indvLeglLmitChk  = "";  /* 개인법적제한체크 */
    private String clsBizFgRegDt  = "";  /* 폐업여부등록일자 */
    private String plCustTp  = "";  /* PL고객유형 */
    private String recoPath  = "";  /* 인지경로 */
    private String selfCnfmMeth  = "";  /* 본인확인방법 */
    private String holdCarsVinNo  = "";  /* 보유차량차대번호 */
    private String role  = "";  /* 직무 */
    private String ocpt  = "";  /* 직종 */
    private String comDgre  = "";  /* 회사등급 */
    private long workYycnt  = 0;  /* 근무년수 */
    private long workMmCnt  = 0;  /* 근무개월수 */
    private long bfOffcWorkYycnt  = 0;  /* 전직장근무년수 */
    private long bfOffcWorkMmCnt  = 0;  /* 전직장근무개월수 */
    private long totWorkYycnt  = 0;  /* 총근무년수 */
    private long totWorkMmCnt  = 0;  /* 총근무개월수 */
    private String bfOffcNm  = "";  /* 전직장명 */
    private String callPossTm  = "";  /* 통화가능시간 */
    private BigDecimal spusAnulIncoAmt  = BigDecimal.ZERO;  /* 배우자연간소득금액 */
    private String spusOffcNm  = "";  /* 배우자직장명 */
    private long resiMmCnt  = 0;  /* 거주개월수 */
    private BigDecimal dpstAmt  = BigDecimal.ZERO;  /* 전세금액 */
    private BigDecimal mnthAmt  = BigDecimal.ZERO;  /* 월세금액 */
    private String emrgCntcPlcName  = "";  /* 긴급연락처성명 */
    private String emrgCntcPlcRel  = "";  /* 긴급연락처관계 */
    private String posiNm  = "";  /* 직위명 */
    private long salrDd  = 0;  /* 급여일 */
    private String screCd  = "";  /* 학력코드 */
    private String plJobPosiCd  = "";  /* PL직업직위코드 */
    private String plBzitCd  = "";  /* PL업종코드 */
    private String rentCarVndrFg  = "";  /* 렌트카업체여부 */
    private String nonRnskFg  = "";  /* ST고객기본 */
    private String tempCustFg  = "";  /* 임시고객여부 */
    private String itmNm  = "";  /* 종목명 */
    private String reprNm  = "";  /* 대표자명 */
    private String billUseFg  = "";  /* 계산서사용여부 */
    private BigDecimal vtaxPayAmt  = BigDecimal.ZERO;  /* 부가세납부액 */
    private String custPculCd  = "";  /* 고객특성코드 */
    private String hpComcComDivCd  = "";  /* 휴대폰통신사구분코드 */
    private String hpNmDivCd  = "";  /* 휴대폰명의구분코드 */
    private String plHireFormCd  = "";  /* PL고용형태코드 */
    private String plOcpgClas  = "";  /* PL직군분류 */
    private String plCustPosiCd  = "";  /* PL고객직위코드 */
    private String plCustPosiNm  = "";  /* PL고객직위명 */
    private String bndlFlmoStatCd  = "";  /* 포괄근저당상태코드 */
    private String natClasCd  = "";  /* 국가분류코드 */
    private String custEngNm  = "";  /* 고객영문명 */
    private String indvCustBizManFg  = "";  /* 개인고객사업자여부 */
    private String custResiNo  = "";  /* 주민번호 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getBizNo() {
        return bizNo;
    }
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    public String getCorpRegNo() {
        return corpRegNo;
    }
    public void setCorpRegNo(String corpRegNo) {
        this.corpRegNo = corpRegNo;
    }
    public String getComFrmlNm() {
        return comFrmlNm;
    }
    public void setComFrmlNm(String comFrmlNm) {
        this.comFrmlNm = comFrmlNm;
    }
    public String getCorpEvalDivCd() {
        return corpEvalDivCd;
    }
    public void setCorpEvalDivCd(String corpEvalDivCd) {
        this.corpEvalDivCd = corpEvalDivCd;
    }
    public String getEstbDt() {
        return estbDt;
    }
    public void setEstbDt(String estbDt) {
        this.estbDt = estbDt;
    }
    public String getClacMm() {
        return clacMm;
    }
    public void setClacMm(String clacMm) {
        this.clacMm = clacMm;
    }
    public String getComFormDivCd() {
        return comFormDivCd;
    }
    public void setComFormDivCd(String comFormDivCd) {
        this.comFormDivCd = comFormDivCd;
    }
    public String getBizSizeCd() {
        return bizSizeCd;
    }
    public void setBizSizeCd(String bizSizeCd) {
        this.bizSizeCd = bizSizeCd;
    }
    public String getDivsDeptNm() {
        return divsDeptNm;
    }
    public void setDivsDeptNm(String divsDeptNm) {
        this.divsDeptNm = divsDeptNm;
    }
    public String getDivsMannm() {
        return divsMannm;
    }
    public void setDivsMannm(String divsMannm) {
        this.divsMannm = divsMannm;
    }
    public String getDivsManPosiNm() {
        return divsManPosiNm;
    }
    public void setDivsManPosiNm(String divsManPosiNm) {
        this.divsManPosiNm = divsManPosiNm;
    }
    public String getDivsManCntcPlc() {
        return divsManCntcPlc;
    }
    public void setDivsManCntcPlc(String divsManCntcPlc) {
        this.divsManCntcPlc = divsManCntcPlc;
    }
    public String getDivsManHp() {
        return divsManHp;
    }
    public void setDivsManHp(String divsManHp) {
        this.divsManHp = divsManHp;
    }
    public String getOffcNm() {
        return offcNm;
    }
    public void setOffcNm(String offcNm) {
        this.offcNm = offcNm;
    }
    public String getDeptNm() {
        return deptNm;
    }
    public void setDeptNm(String deptNm) {
        this.deptNm = deptNm;
    }
    public String getBztpNm() {
        return bztpNm;
    }
    public void setBztpNm(String bztpNm) {
        this.bztpNm = bztpNm;
    }
    public String getBzitNm() {
        return bzitNm;
    }
    public void setBzitNm(String bzitNm) {
        this.bzitNm = bzitNm;
    }
    public String getBzitDivCd() {
        return bzitDivCd;
    }
    public void setBzitDivCd(String bzitDivCd) {
        this.bzitDivCd = bzitDivCd;
    }
    public String getEmpmOpnbDivCd() {
        return empmOpnbDivCd;
    }
    public void setEmpmOpnbDivCd(String empmOpnbDivCd) {
        this.empmOpnbDivCd = empmOpnbDivCd;
    }
    public String getJobClasCd() {
        return jobClasCd;
    }
    public void setJobClasCd(String jobClasCd) {
        this.jobClasCd = jobClasCd;
    }
    public String getJobDivCd() {
        return jobDivCd;
    }
    public void setJobDivCd(String jobDivCd) {
        this.jobDivCd = jobDivCd;
    }
    public String getPosiDivCd() {
        return posiDivCd;
    }
    public void setPosiDivCd(String posiDivCd) {
        this.posiDivCd = posiDivCd;
    }
    public String getJobPosiFullnm() {
        return jobPosiFullnm;
    }
    public void setJobPosiFullnm(String jobPosiFullnm) {
        this.jobPosiFullnm = jobPosiFullnm;
    }
    public String getCustDeptCd() {
        return custDeptCd;
    }
    public void setCustDeptCd(String custDeptCd) {
        this.custDeptCd = custDeptCd;
    }
    public String getHireFormCd() {
        return hireFormCd;
    }
    public void setHireFormCd(String hireFormCd) {
        this.hireFormCd = hireFormCd;
    }
    public String getEmal() {
        return emal;
    }
    public void setEmal(String emal) {
        this.emal = emal;
    }
    public String getRmbrCapaCd() {
        return rmbrCapaCd;
    }
    public void setRmbrCapaCd(String rmbrCapaCd) {
        this.rmbrCapaCd = rmbrCapaCd;
    }
    public String getZoneDivCd() {
        return zoneDivCd;
    }
    public void setZoneDivCd(String zoneDivCd) {
        this.zoneDivCd = zoneDivCd;
    }
    public String getResKindCd() {
        return resKindCd;
    }
    public void setResKindCd(String resKindCd) {
        this.resKindCd = resKindCd;
    }
    public String getResStatCd() {
        return resStatCd;
    }
    public void setResStatCd(String resStatCd) {
        this.resStatCd = resStatCd;
    }
    public String getWeddStatCd() {
        return weddStatCd;
    }
    public void setWeddStatCd(String weddStatCd) {
        this.weddStatCd = weddStatCd;
    }
    public String getHshlHeadDivCd() {
        return hshlHeadDivCd;
    }
    public void setHshlHeadDivCd(String hshlHeadDivCd) {
        this.hshlHeadDivCd = hshlHeadDivCd;
    }
    public String getBtwrFg() {
        return btwrFg;
    }
    public void setBtwrFg(String btwrFg) {
        this.btwrFg = btwrFg;
    }
    public String getResiMoveiDt() {
        return resiMoveiDt;
    }
    public void setResiMoveiDt(String resiMoveiDt) {
        this.resiMoveiDt = resiMoveiDt;
    }
    public String getHinsCd() {
        return hinsCd;
    }
    public void setHinsCd(String hinsCd) {
        this.hinsCd = hinsCd;
    }
    public String getWrkcLcnsFg() {
        return wrkcLcnsFg;
    }
    public void setWrkcLcnsFg(String wrkcLcnsFg) {
        this.wrkcLcnsFg = wrkcLcnsFg;
    }
    public long getResiYycnt() {
        return resiYycnt;
    }
    public void setResiYycnt(long resiYycnt) {
        this.resiYycnt = resiYycnt;
    }
    public long getInmtPersCnt() {
        return inmtPersCnt;
    }
    public void setInmtPersCnt(long inmtPersCnt) {
        this.inmtPersCnt = inmtPersCnt;
    }
    public long getKidCnt() {
        return kidCnt;
    }
    public void setKidCnt(long kidCnt) {
        this.kidCnt = kidCnt;
    }
    public String getHireDt() {
        return hireDt;
    }
    public void setHireDt(String hireDt) {
        this.hireDt = hireDt;
    }
    public String getBirtDt() {
        return birtDt;
    }
    public void setBirtDt(String birtDt) {
        this.birtDt = birtDt;
    }
    public String getLcalScalCd() {
        return lcalScalCd;
    }
    public void setLcalScalCd(String lcalScalCd) {
        this.lcalScalCd = lcalScalCd;
    }
    public String getPtaxZoneCd() {
        return ptaxZoneCd;
    }
    public void setPtaxZoneCd(String ptaxZoneCd) {
        this.ptaxZoneCd = ptaxZoneCd;
    }
    public BigDecimal getPtax() {
        return ptax;
    }
    public void setPtax(BigDecimal ptax) {
        this.ptax = ptax;
    }
    public BigDecimal getCaptAmt() {
        return captAmt;
    }
    public void setCaptAmt(BigDecimal captAmt) {
        this.captAmt = captAmt;
    }
    public BigDecimal getAnulIncoAmt() {
        return anulIncoAmt;
    }
    public void setAnulIncoAmt(BigDecimal anulIncoAmt) {
        this.anulIncoAmt = anulIncoAmt;
    }
    public BigDecimal getCpstLandTax() {
        return cpstLandTax;
    }
    public void setCpstLandTax(BigDecimal cpstLandTax) {
        this.cpstLandTax = cpstLandTax;
    }
    public BigDecimal getPropOwnAmt() {
        return propOwnAmt;
    }
    public void setPropOwnAmt(BigDecimal propOwnAmt) {
        this.propOwnAmt = propOwnAmt;
    }
    public BigDecimal getEsttOwnAmt() {
        return esttOwnAmt;
    }
    public void setEsttOwnAmt(BigDecimal esttOwnAmt) {
        this.esttOwnAmt = esttOwnAmt;
    }
    public BigDecimal getEsttPreSeqTamt() {
        return esttPreSeqTamt;
    }
    public void setEsttPreSeqTamt(BigDecimal esttPreSeqTamt) {
        this.esttPreSeqTamt = esttPreSeqTamt;
    }
    public BigDecimal getEsttProvSeizAmt() {
        return esttProvSeizAmt;
    }
    public void setEsttProvSeizAmt(BigDecimal esttProvSeizAmt) {
        this.esttProvSeizAmt = esttProvSeizAmt;
    }
    public long getEsttSeizCnt() {
        return esttSeizCnt;
    }
    public void setEsttSeizCnt(long esttSeizCnt) {
        this.esttSeizCnt = esttSeizCnt;
    }
    public long getEsttProvSeizCnt() {
        return esttProvSeizCnt;
    }
    public void setEsttProvSeizCnt(long esttProvSeizCnt) {
        this.esttProvSeizCnt = esttProvSeizCnt;
    }
    public String getEsttSameResiFg() {
        return esttSameResiFg;
    }
    public void setEsttSameResiFg(String esttSameResiFg) {
        this.esttSameResiFg = esttSameResiFg;
    }
    public BigDecimal getLandArea() {
        return landArea;
    }
    public void setLandArea(BigDecimal landArea) {
        this.landArea = landArea;
    }
    public BigDecimal getBldArea() {
        return bldArea;
    }
    public void setBldArea(BigDecimal bldArea) {
        this.bldArea = bldArea;
    }
    public String getHoldCargrpCd() {
        return holdCargrpCd;
    }
    public void setHoldCargrpCd(String holdCargrpCd) {
        this.holdCargrpCd = holdCargrpCd;
    }
    public String getHoldCargrpMakecomCd() {
        return holdCargrpMakecomCd;
    }
    public void setHoldCargrpMakecomCd(String holdCargrpMakecomCd) {
        this.holdCargrpMakecomCd = holdCargrpMakecomCd;
    }
    public String getHoldCargrpMdlYear() {
        return holdCargrpMdlYear;
    }
    public void setHoldCargrpMdlYear(String holdCargrpMdlYear) {
        this.holdCargrpMdlYear = holdCargrpMdlYear;
    }
    public String getHoldCargrpCc() {
        return holdCargrpCc;
    }
    public void setHoldCargrpCc(String holdCargrpCc) {
        this.holdCargrpCc = holdCargrpCc;
    }
    public String getSpusResiNo() {
        return spusResiNo;
    }
    public void setSpusResiNo(String spusResiNo) {
        this.spusResiNo = spusResiNo;
    }
    public String getSpusNm() {
        return spusNm;
    }
    public void setSpusNm(String spusNm) {
        this.spusNm = spusNm;
    }
    public String getCustTrndCd() {
        return custTrndCd;
    }
    public void setCustTrndCd(String custTrndCd) {
        this.custTrndCd = custTrndCd;
    }
    public String getClsBizFg() {
        return clsBizFg;
    }
    public void setClsBizFg(String clsBizFg) {
        this.clsBizFg = clsBizFg;
    }
    public String getClsBizDt() {
        return clsBizDt;
    }
    public void setClsBizDt(String clsBizDt) {
        this.clsBizDt = clsBizDt;
    }
    public String getReprIagrDt() {
        return reprIagrDt;
    }
    public void setReprIagrDt(String reprIagrDt) {
        this.reprIagrDt = reprIagrDt;
    }
    public long getReprIagrYycnt() {
        return reprIagrYycnt;
    }
    public void setReprIagrYycnt(long reprIagrYycnt) {
        this.reprIagrYycnt = reprIagrYycnt;
    }
    public String getBizCdocIssuDt() {
        return bizCdocIssuDt;
    }
    public void setBizCdocIssuDt(String bizCdocIssuDt) {
        this.bizCdocIssuDt = bizCdocIssuDt;
    }
    public BigDecimal getSalesAmt() {
        return salesAmt;
    }
    public void setSalesAmt(BigDecimal salesAmt) {
        this.salesAmt = salesAmt;
    }
    public String getLmitCorpChk() {
        return lmitCorpChk;
    }
    public void setLmitCorpChk(String lmitCorpChk) {
        this.lmitCorpChk = lmitCorpChk;
    }
    public String getIndvLeglLmitChk() {
        return indvLeglLmitChk;
    }
    public void setIndvLeglLmitChk(String indvLeglLmitChk) {
        this.indvLeglLmitChk = indvLeglLmitChk;
    }
    public String getClsBizFgRegDt() {
        return clsBizFgRegDt;
    }
    public void setClsBizFgRegDt(String clsBizFgRegDt) {
        this.clsBizFgRegDt = clsBizFgRegDt;
    }
    public String getPlCustTp() {
        return plCustTp;
    }
    public void setPlCustTp(String plCustTp) {
        this.plCustTp = plCustTp;
    }
    public String getRecoPath() {
        return recoPath;
    }
    public void setRecoPath(String recoPath) {
        this.recoPath = recoPath;
    }
    public String getSelfCnfmMeth() {
        return selfCnfmMeth;
    }
    public void setSelfCnfmMeth(String selfCnfmMeth) {
        this.selfCnfmMeth = selfCnfmMeth;
    }
    public String getHoldCarsVinNo() {
        return holdCarsVinNo;
    }
    public void setHoldCarsVinNo(String holdCarsVinNo) {
        this.holdCarsVinNo = holdCarsVinNo;
    }
    public String getRole() {
        return role;
    }
    public void setRole(String role) {
        this.role = role;
    }
    public String getOcpt() {
        return ocpt;
    }
    public void setOcpt(String ocpt) {
        this.ocpt = ocpt;
    }
    public String getComDgre() {
        return comDgre;
    }
    public void setComDgre(String comDgre) {
        this.comDgre = comDgre;
    }
    public long getWorkYycnt() {
        return workYycnt;
    }
    public void setWorkYycnt(long workYycnt) {
        this.workYycnt = workYycnt;
    }
    public long getWorkMmCnt() {
        return workMmCnt;
    }
    public void setWorkMmCnt(long workMmCnt) {
        this.workMmCnt = workMmCnt;
    }
    public long getBfOffcWorkYycnt() {
        return bfOffcWorkYycnt;
    }
    public void setBfOffcWorkYycnt(long bfOffcWorkYycnt) {
        this.bfOffcWorkYycnt = bfOffcWorkYycnt;
    }
    public long getBfOffcWorkMmCnt() {
        return bfOffcWorkMmCnt;
    }
    public void setBfOffcWorkMmCnt(long bfOffcWorkMmCnt) {
        this.bfOffcWorkMmCnt = bfOffcWorkMmCnt;
    }
    public long getTotWorkYycnt() {
        return totWorkYycnt;
    }
    public void setTotWorkYycnt(long totWorkYycnt) {
        this.totWorkYycnt = totWorkYycnt;
    }
    public long getTotWorkMmCnt() {
        return totWorkMmCnt;
    }
    public void setTotWorkMmCnt(long totWorkMmCnt) {
        this.totWorkMmCnt = totWorkMmCnt;
    }
    public String getBfOffcNm() {
        return bfOffcNm;
    }
    public void setBfOffcNm(String bfOffcNm) {
        this.bfOffcNm = bfOffcNm;
    }
    public String getCallPossTm() {
        return callPossTm;
    }
    public void setCallPossTm(String callPossTm) {
        this.callPossTm = callPossTm;
    }
    public BigDecimal getSpusAnulIncoAmt() {
        return spusAnulIncoAmt;
    }
    public void setSpusAnulIncoAmt(BigDecimal spusAnulIncoAmt) {
        this.spusAnulIncoAmt = spusAnulIncoAmt;
    }
    public String getSpusOffcNm() {
        return spusOffcNm;
    }
    public void setSpusOffcNm(String spusOffcNm) {
        this.spusOffcNm = spusOffcNm;
    }
    public long getResiMmCnt() {
        return resiMmCnt;
    }
    public void setResiMmCnt(long resiMmCnt) {
        this.resiMmCnt = resiMmCnt;
    }
    public BigDecimal getDpstAmt() {
        return dpstAmt;
    }
    public void setDpstAmt(BigDecimal dpstAmt) {
        this.dpstAmt = dpstAmt;
    }
    public BigDecimal getMnthAmt() {
        return mnthAmt;
    }
    public void setMnthAmt(BigDecimal mnthAmt) {
        this.mnthAmt = mnthAmt;
    }
    public String getEmrgCntcPlcName() {
        return emrgCntcPlcName;
    }
    public void setEmrgCntcPlcName(String emrgCntcPlcName) {
        this.emrgCntcPlcName = emrgCntcPlcName;
    }
    public String getEmrgCntcPlcRel() {
        return emrgCntcPlcRel;
    }
    public void setEmrgCntcPlcRel(String emrgCntcPlcRel) {
        this.emrgCntcPlcRel = emrgCntcPlcRel;
    }
    public String getPosiNm() {
        return posiNm;
    }
    public void setPosiNm(String posiNm) {
        this.posiNm = posiNm;
    }
    public long getSalrDd() {
        return salrDd;
    }
    public void setSalrDd(long salrDd) {
        this.salrDd = salrDd;
    }
    public String getScreCd() {
        return screCd;
    }
    public void setScreCd(String screCd) {
        this.screCd = screCd;
    }
    public String getPlJobPosiCd() {
        return plJobPosiCd;
    }
    public void setPlJobPosiCd(String plJobPosiCd) {
        this.plJobPosiCd = plJobPosiCd;
    }
    public String getPlBzitCd() {
        return plBzitCd;
    }
    public void setPlBzitCd(String plBzitCd) {
        this.plBzitCd = plBzitCd;
    }
    public String getRentCarVndrFg() {
        return rentCarVndrFg;
    }
    public void setRentCarVndrFg(String rentCarVndrFg) {
        this.rentCarVndrFg = rentCarVndrFg;
    }
    public String getNonRnskFg() {
        return nonRnskFg;
    }
    public void setNonRnskFg(String nonRnskFg) {
        this.nonRnskFg = nonRnskFg;
    }
    public String getTempCustFg() {
        return tempCustFg;
    }
    public void setTempCustFg(String tempCustFg) {
        this.tempCustFg = tempCustFg;
    }
    public String getItmNm() {
        return itmNm;
    }
    public void setItmNm(String itmNm) {
        this.itmNm = itmNm;
    }
    public String getReprNm() {
        return reprNm;
    }
    public void setReprNm(String reprNm) {
        this.reprNm = reprNm;
    }
    public String getBillUseFg() {
        return billUseFg;
    }
    public void setBillUseFg(String billUseFg) {
        this.billUseFg = billUseFg;
    }
    public BigDecimal getVtaxPayAmt() {
        return vtaxPayAmt;
    }
    public void setVtaxPayAmt(BigDecimal vtaxPayAmt) {
        this.vtaxPayAmt = vtaxPayAmt;
    }
    public String getCustPculCd() {
        return custPculCd;
    }
    public void setCustPculCd(String custPculCd) {
        this.custPculCd = custPculCd;
    }
    public String getHpComcComDivCd() {
        return hpComcComDivCd;
    }
    public void setHpComcComDivCd(String hpComcComDivCd) {
        this.hpComcComDivCd = hpComcComDivCd;
    }
    public String getHpNmDivCd() {
        return hpNmDivCd;
    }
    public void setHpNmDivCd(String hpNmDivCd) {
        this.hpNmDivCd = hpNmDivCd;
    }
    public String getPlHireFormCd() {
        return plHireFormCd;
    }
    public void setPlHireFormCd(String plHireFormCd) {
        this.plHireFormCd = plHireFormCd;
    }
    public String getPlOcpgClas() {
        return plOcpgClas;
    }
    public void setPlOcpgClas(String plOcpgClas) {
        this.plOcpgClas = plOcpgClas;
    }
    public String getPlCustPosiCd() {
        return plCustPosiCd;
    }
    public void setPlCustPosiCd(String plCustPosiCd) {
        this.plCustPosiCd = plCustPosiCd;
    }
    public String getPlCustPosiNm() {
        return plCustPosiNm;
    }
    public void setPlCustPosiNm(String plCustPosiNm) {
        this.plCustPosiNm = plCustPosiNm;
    }
    public String getBndlFlmoStatCd() {
        return bndlFlmoStatCd;
    }
    public void setBndlFlmoStatCd(String bndlFlmoStatCd) {
        this.bndlFlmoStatCd = bndlFlmoStatCd;
    }
    public String getNatClasCd() {
        return natClasCd;
    }
    public void setNatClasCd(String natClasCd) {
        this.natClasCd = natClasCd;
    }
    public String getCustEngNm() {
        return custEngNm;
    }
    public void setCustEngNm(String custEngNm) {
        this.custEngNm = custEngNm;
    }
    public String getIndvCustBizManFg() {
        return indvCustBizManFg;
    }
    public void setIndvCustBizManFg(String indvCustBizManFg) {
        this.indvCustBizManFg = indvCustBizManFg;
    }
    public String getCustResiNo() {
        return custResiNo;
    }
    public void setCustResiNo(String custResiNo) {
        this.custResiNo = custResiNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
