package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StDfeeRtDescDTO.java Class
 * 클래스설명   : ST-잔액할인율항목설명(ST_DFEE_RT_DESC) 를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StDfeeRtDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private String snum  = "";  /* 일련번호-001:본인,002:보증인 */
    private String aplyStrtDt  = "";  /* 적용시작일자 */
    private String aplyEndDt  = "";  /* 적용종료일자 */
    private long dfeeRt  = 0;  /* 연체료율 */
    private long dlyDdCntFr  = 0;  /* 코드회계예정일층수FROM */
    private long dlyDdCntTo  = 0;  /* 코드회계예정일층수YTOVALUE */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getAplyStrtDt() {
        return aplyStrtDt;
    }
    public void setAplyStrtDt(String aplyStrtDt) {
        this.aplyStrtDt = aplyStrtDt;
    }
    public String getAplyEndDt() {
        return aplyEndDt;
    }
    public void setAplyEndDt(String aplyEndDt) {
        this.aplyEndDt = aplyEndDt;
    }
    public long getDfeeRt() {
        return dfeeRt;
    }
    public void setDfeeRt(long dfeeRt) {
        this.dfeeRt = dfeeRt;
    }
    public long getDlyDdCntFr() {
        return dlyDdCntFr;
    }
    public void setDlyDdCntFr(long dlyDdCntFr) {
        this.dlyDdCntFr = dlyDdCntFr;
    }
    public long getDlyDdCntTo() {
        return dlyDdCntTo;
    }
    public void setDlyDdCntTo(long dlyDdCntTo) {
        this.dlyDdCntTo = dlyDdCntTo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
