package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StDferIncdPrftDescDTO.java Class
 * 클래스설명   : ST_이연_부대_수익_내역(ST_DFER_INCD_PRFT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StDferIncdPrftDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = ""; /* 대출_번호 */
    private String loanSeq = ""; /* 대출_순번 */
    private String dferIncdPrftDivCd = ""; /* 이연_부대_수익_구분코드 */
    private long snum = 0; /* 일련번호 */
    private long tims = 0; /* 회차 */
    private String procSchdDt = ""; /* 처리_예정_일자 */
    private BigDecimal mmProcAmt = BigDecimal.ZERO; /* 월_처리_금액 */
    private String procDt = ""; /* 처리_일자 */
    private String dferIntnVochNo = ""; /* 이연_내부_전표_번호 */
    private String cnclIntnVochNo = ""; /* 취소_내부_전표_번호 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDferIncdPrftDivCd() {
		return dferIncdPrftDivCd;
	}
	public void setDferIncdPrftDivCd(String dferIncdPrftDivCd) {
		this.dferIncdPrftDivCd = dferIncdPrftDivCd;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public long getTims() {
		return tims;
	}
	public void setTims(long tims) {
		this.tims = tims;
	}
	public String getProcSchdDt() {
		return procSchdDt;
	}
	public void setProcSchdDt(String procSchdDt) {
		this.procSchdDt = procSchdDt;
	}
	public BigDecimal getMmProcAmt() {
		return mmProcAmt;
	}
	public void setMmProcAmt(BigDecimal mmProcAmt) {
		this.mmProcAmt = mmProcAmt;
	}
	public String getProcDt() {
		return procDt;
	}
	public void setProcDt(String procDt) {
		this.procDt = procDt;
	}
	public String getDferIntnVochNo() {
		return dferIntnVochNo;
	}
	public void setDferIntnVochNo(String dferIntnVochNo) {
		this.dferIntnVochNo = dferIntnVochNo;
	}
	public String getCnclIntnVochNo() {
		return cnclIntnVochNo;
	}
	public void setCnclIntnVochNo(String cnclIntnVochNo) {
		this.cnclIntnVochNo = cnclIntnVochNo;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
