package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StDocKeepSpecDTO.java Class
 * 클래스설명   : ST-서류보관상세(ST_DOC_KEEP_SPEC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StDocKeepSpecDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String snum  = "";  /* 일련번호 */
    private String docKeepPlcNo  = "";  /* 서류보관처번호 */
    private String docOccrCd  = "";  /* 서류발생코드 */
    private String loanDocStatCd  = "";  /* 대출서류상태코드 */
    private BigDecimal stmpFee  = BigDecimal.ZERO;  /* 인지대 */
    private String loanRcptDivCd  = "";  /* 대출수납구분코드 */
    private String stmpFeeAdhsDt  = "";  /* 인지대부착일자 */
    private String stmpFeeAdhsDeptCd  = "";  /* 인지대부착부서코드 */
    private String loanDocTranNo  = "";  /* 대출서류이체번호 */
    private String loanDocTranDt  = "";  /* 대출서류이체일자 */
    private String loanDocTranEmpNo  = "";  /* 대출서류이체사원번호 */
    private String loanDocAcptDt  = "";  /* 대출서류접수일자 */
    private String loanDocAcptEmpNo  = "";  /* 대출서류접수사원번호 */
    private String cnclFg  = "";  /* 취소여부 */
    private String stmpFeeAfAcqtFg  = "";  /* 인지대후취여부 */
    private BigDecimal comStmpFee  = BigDecimal.ZERO;  /* 회사인지대 */
    private String stmpFeeBrdnDivCd  = "";  /* 인지대부담구분코드 */
    private String stmpNo  = "";  /* 인지번호 */
    private String stmpFeeAdhsYn  = "";  /* 인지대부착여부 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getDocKeepPlcNo() {
        return docKeepPlcNo;
    }
    public void setDocKeepPlcNo(String docKeepPlcNo) {
        this.docKeepPlcNo = docKeepPlcNo;
    }
    public String getDocOccrCd() {
        return docOccrCd;
    }
    public void setDocOccrCd(String docOccrCd) {
        this.docOccrCd = docOccrCd;
    }
    public String getLoanDocStatCd() {
        return loanDocStatCd;
    }
    public void setLoanDocStatCd(String loanDocStatCd) {
        this.loanDocStatCd = loanDocStatCd;
    }
    public BigDecimal getStmpFee() {
        return stmpFee;
    }
    public void setStmpFee(BigDecimal stmpFee) {
        this.stmpFee = stmpFee;
    }
    public String getLoanRcptDivCd() {
        return loanRcptDivCd;
    }
    public void setLoanRcptDivCd(String loanRcptDivCd) {
        this.loanRcptDivCd = loanRcptDivCd;
    }
    public String getStmpFeeAdhsDt() {
        return stmpFeeAdhsDt;
    }
    public void setStmpFeeAdhsDt(String stmpFeeAdhsDt) {
        this.stmpFeeAdhsDt = stmpFeeAdhsDt;
    }
    public String getStmpFeeAdhsDeptCd() {
        return stmpFeeAdhsDeptCd;
    }
    public void setStmpFeeAdhsDeptCd(String stmpFeeAdhsDeptCd) {
        this.stmpFeeAdhsDeptCd = stmpFeeAdhsDeptCd;
    }
    public String getLoanDocTranNo() {
        return loanDocTranNo;
    }
    public void setLoanDocTranNo(String loanDocTranNo) {
        this.loanDocTranNo = loanDocTranNo;
    }
    public String getLoanDocTranDt() {
        return loanDocTranDt;
    }
    public void setLoanDocTranDt(String loanDocTranDt) {
        this.loanDocTranDt = loanDocTranDt;
    }
    public String getLoanDocTranEmpNo() {
        return loanDocTranEmpNo;
    }
    public void setLoanDocTranEmpNo(String loanDocTranEmpNo) {
        this.loanDocTranEmpNo = loanDocTranEmpNo;
    }
    public String getLoanDocAcptDt() {
        return loanDocAcptDt;
    }
    public void setLoanDocAcptDt(String loanDocAcptDt) {
        this.loanDocAcptDt = loanDocAcptDt;
    }
    public String getLoanDocAcptEmpNo() {
        return loanDocAcptEmpNo;
    }
    public void setLoanDocAcptEmpNo(String loanDocAcptEmpNo) {
        this.loanDocAcptEmpNo = loanDocAcptEmpNo;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getStmpFeeAfAcqtFg() {
        return stmpFeeAfAcqtFg;
    }
    public void setStmpFeeAfAcqtFg(String stmpFeeAfAcqtFg) {
        this.stmpFeeAfAcqtFg = stmpFeeAfAcqtFg;
    }
    public BigDecimal getComStmpFee() {
        return comStmpFee;
    }
    public void setComStmpFee(BigDecimal comStmpFee) {
        this.comStmpFee = comStmpFee;
    }
    public String getStmpFeeBrdnDivCd() {
        return stmpFeeBrdnDivCd;
    }
    public void setStmpFeeBrdnDivCd(String stmpFeeBrdnDivCd) {
        this.stmpFeeBrdnDivCd = stmpFeeBrdnDivCd;
    }
    public String getStmpNo() {
        return stmpNo;
    }
    public void setStmpNo(String stmpNo) {
        this.stmpNo = stmpNo;
    }
    public String getStmpFeeAdhsYn() {
        return stmpFeeAdhsYn;
    }
    public void setStmpFeeAdhsYn(String stmpFeeAdhsYn) {
        this.stmpFeeAdhsYn = stmpFeeAdhsYn;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
