package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtDocExamRsltReptDTO.java Class
 * 클래스설명    : ST_피노텍_서류심사_결과_보고(ST_FT_DOC_EXAM_RSLT_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtDocExamRsltReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String examRslt = "";                       /* 심사결과 */
    private String spmtRqstCntn = "";                   /* 보완요청내용 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getExamRslt() {
        return examRslt;
    }
    public void setExamRslt(String examRslt) {
        this.examRslt = examRslt;
    }
    public String getSpmtRqstCntn() {
        return spmtRqstCntn;
    }
    public void setSpmtRqstCntn(String spmtRqstCntn) {
        this.spmtRqstCntn = spmtRqstCntn;
    }
}
