package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtElecSignReptDTO.java Class
 * 클래스설명    : ST_피노텍_전자_서명_보고(ST_FT_ELEC_SIGN_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtElecSignReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String bankRcgn = "";                       /* 은행 식별자 */
    private String bankSignStat = "";                   /* 서명상태 */
    private String bankSignDttm = "";                   /* 서명일시 */
    private String custRcgn1 = "";                      /* 고객 식별자1 */
    private String custRcgnSignStat1 = "";              /* 서명상태 */
    private String custRcgnSignDttm1 = "";              /* 서명일시 */
    private String custRcgn2 = "";                      /* 고객 식별자 */
    private String custRcgnSignStat2 = "";              /* 서명상태 */
    private String custRcgnSignDttm2 = "";              /* 서명일시 */
    private String custRcgn3 = "";                      /* 고객 식별자 */
    private String custRcgnSignStat3 = "";              /* 서명상태 */
    private String custRcgnSignDttm3 = "";              /* 서명일시 */
    private String custRcgn4 = "";                      /* 고객 식별자 */
    private String custRcgnSignStat4 = "";              /* 서명상태 */
    private String custRcgnSignDttm4 = "";              /* 서명일시 */
    private String custRcgn5 = "";                      /* 고객 식별자 */
    private String custRcgnSignStat5 = "";              /* 서명상태 */
    private String custRcgnSignDttm5 = "";              /* 서명일시 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getBankRcgn() {
        return bankRcgn;
    }
    public void setBankRcgn(String bankRcgn) {
        this.bankRcgn = bankRcgn;
    }
    public String getBankSignStat() {
        return bankSignStat;
    }
    public void setBankSignStat(String bankSignStat) {
        this.bankSignStat = bankSignStat;
    }
    public String getBankSignDttm() {
        return bankSignDttm;
    }
    public void setBankSignDttm(String bankSignDttm) {
        this.bankSignDttm = bankSignDttm;
    }
    public String getCustRcgn1() {
        return custRcgn1;
    }
    public void setCustRcgn1(String custRcgn1) {
        this.custRcgn1 = custRcgn1;
    }
    public String getCustRcgnSignStat1() {
        return custRcgnSignStat1;
    }
    public void setCustRcgnSignStat1(String custRcgnSignStat1) {
        this.custRcgnSignStat1 = custRcgnSignStat1;
    }
    public String getCustRcgnSignDttm1() {
        return custRcgnSignDttm1;
    }
    public void setCustRcgnSignDttm1(String custRcgnSignDttm1) {
        this.custRcgnSignDttm1 = custRcgnSignDttm1;
    }
    public String getCustRcgn2() {
        return custRcgn2;
    }
    public void setCustRcgn2(String custRcgn2) {
        this.custRcgn2 = custRcgn2;
    }
    public String getCustRcgnSignStat2() {
        return custRcgnSignStat2;
    }
    public void setCustRcgnSignStat2(String custRcgnSignStat2) {
        this.custRcgnSignStat2 = custRcgnSignStat2;
    }
    public String getCustRcgnSignDttm2() {
        return custRcgnSignDttm2;
    }
    public void setCustRcgnSignDttm2(String custRcgnSignDttm2) {
        this.custRcgnSignDttm2 = custRcgnSignDttm2;
    }
    public String getCustRcgn3() {
        return custRcgn3;
    }
    public void setCustRcgn3(String custRcgn3) {
        this.custRcgn3 = custRcgn3;
    }
    public String getCustRcgnSignStat3() {
        return custRcgnSignStat3;
    }
    public void setCustRcgnSignStat3(String custRcgnSignStat3) {
        this.custRcgnSignStat3 = custRcgnSignStat3;
    }
    public String getCustRcgnSignDttm3() {
        return custRcgnSignDttm3;
    }
    public void setCustRcgnSignDttm3(String custRcgnSignDttm3) {
        this.custRcgnSignDttm3 = custRcgnSignDttm3;
    }
    public String getCustRcgn4() {
        return custRcgn4;
    }
    public void setCustRcgn4(String custRcgn4) {
        this.custRcgn4 = custRcgn4;
    }
    public String getCustRcgnSignStat4() {
        return custRcgnSignStat4;
    }
    public void setCustRcgnSignStat4(String custRcgnSignStat4) {
        this.custRcgnSignStat4 = custRcgnSignStat4;
    }
    public String getCustRcgnSignDttm4() {
        return custRcgnSignDttm4;
    }
    public void setCustRcgnSignDttm4(String custRcgnSignDttm4) {
        this.custRcgnSignDttm4 = custRcgnSignDttm4;
    }
    public String getCustRcgn5() {
        return custRcgn5;
    }
    public void setCustRcgn5(String custRcgn5) {
        this.custRcgn5 = custRcgn5;
    }
    public String getCustRcgnSignStat5() {
        return custRcgnSignStat5;
    }
    public void setCustRcgnSignStat5(String custRcgnSignStat5) {
        this.custRcgnSignStat5 = custRcgnSignStat5;
    }
    public String getCustRcgnSignDttm5() {
        return custRcgnSignDttm5;
    }
    public void setCustRcgnSignDttm5(String custRcgnSignDttm5) {
        this.custRcgnSignDttm5 = custRcgnSignDttm5;
    }
}
