package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtFlmoRigtSetReqDTO.java Class
 * 클래스설명    : ST_피노텍_근저당권_설정_의뢰(ST_FT_FLMO_RIGT_SET_REQ)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtFlmoRigtSetReqDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String elecRegDiv = "";                     /* 전자등기 구분 */
    private String newReRewFg = "";                     /* 신규/재의뢰 여부 */
    private String prdtDiv = "";                        /* 상품구분 */
    private String closPrgsDiv = "";                    /* 말소 진행 구분 */
    private String obankRmbrFg = "";                    /* 타행 상환 여부 */
    private int esttCnt = 0;                            /* 부동산의 개수 */
    private String esttPclrNo1 = "";                    /* 부동산고유번호 */
    private String landRigtSetDiv1 = "";                /* 지상권 설정 구분 */
    private String esttPclrNo2 = "";                    /* 부동산고유번호 */
    private String landRigtSetDiv2 = "";                /* 지상권 설정 구분 */
    private String esttPclrNo3 = "";                    /* 부동산고유번호 */
    private String landRigtSetDiv3 = "";                /* 지상권 설정 구분 */
    private String setContDt = "";                      /* 설정계약일 */
    private String setCur = "";                         /* 설정통화 */
    private long   loanExecAmt = 0;                     /* 대출실행금액 (2023.05.04 추가) */
    private long   setAmt =  0;                         /* 설정금액(채권최고액) */
    private String elecRmbrAuthLettDocCd = "";          /* 전자상환위임장 문서코드 */
    private String loanHopeDt = "";                     /* 대출 희망일 */
    private String mrtgdDebtRang = "";                  /* 피담보채무의범위 */
    private String lmitMrtgTrKindNm = "";               /* 한정근담보 거래종류명 */
    private String spcfMrtgTrDt1 = "";                  /* 특정근담보 거래일자1 */
    private String spcfMrtgContSign1 = "";              /* 특정근담보 약정서명1 */
    private String spcfMrtgTrDt2 = "";                  /* 특정근담보 거래일자2 */
    private String spcfMrtgContSign2 = "";              /* 특정근담보 약정서명2 */
    private String flmoRigtClacTime = "";               /* 근저당권결산기 */
    private String flmoRigtClacTimeAsgnTpDt = "";       /* 근저당권결산기-지정형 일자 */
    private String spcCntrMtr = "";                     /* 특약사항 */
    private String copyRecpFg = "";                     /* 사본수령여부 */
    private String impMtrDescFg = "";                   /* 중요사항설명여부 */
    private String wdrwRigtGiveupFg = "";               /* 철회권포기여부 */
    private String wdrwRigtGiveupDt = "";               /* 철회권포기일자 */
    private String setRang = "";                        /* 설정 범위 */
    private String contExisTerm = "";                   /* 존속기간 */
    private String setObj = "";                         /* 설정 목적 */
    private String debtCustRcgn = "";                   /* 고객 식별자 */
    private String debtManNm = "";                      /* 채무자 성명 */
    private String mrtgOffrManSameFg = "";              /* 담보제공자와 동일여부 */
    private String baseAddr = "";                       /* 기본주소 */
    private String specAddr = "";                       /* 상세주소 */
    private int mrtgOffrManCnt = 0;                     /* 담보자 제공자수 */
    private int rlnClosCnt = 0;                         /* 대환말소 개수 */
    private String rqstInfo = "";                       /* 요청 정보 */
    private String reqBrnchNm = "";                     /* 의뢰지점명 */
    private String divsManNm = "";                      /* 담당자명 */
    private String divsManTelNo = "";                   /* 담당자 전화 */
    private String divsManFaxNo = "";                   /* 담당자 팩스 */
    private String brnm = "";                           /* 부점명 */
    private String gaztDt = "";                         /* 부임일 */
    private String currMgrNm = "";                      /* 현 지배인명 */
    private String exstMgrNm = "";                      /* 기존 지배인명 */
    public String getGramSeq() {
        return gramSeq;
    }
    public String getElecRegDiv() {
        return elecRegDiv;
    }
    public String getNewReRewFg() {
        return newReRewFg;
    }
    public String getPrdtDiv() {
        return prdtDiv;
    }
    public String getClosPrgsDiv() {
        return closPrgsDiv;
    }
    public String getObankRmbrFg() {
        return obankRmbrFg;
    }
    public int getEsttCnt() {
        return esttCnt;
    }
    public String getEsttPclrNo1() {
        return esttPclrNo1;
    }
    public String getLandRigtSetDiv1() {
        return landRigtSetDiv1;
    }
    public String getEsttPclrNo2() {
        return esttPclrNo2;
    }
    public String getLandRigtSetDiv2() {
        return landRigtSetDiv2;
    }
    public String getEsttPclrNo3() {
        return esttPclrNo3;
    }
    public String getLandRigtSetDiv3() {
        return landRigtSetDiv3;
    }
    public String getSetContDt() {
        return setContDt;
    }
    public String getSetCur() {
        return setCur;
    }
    public long getLoanExecAmt() {
        return loanExecAmt;
    }
    public long getSetAmt() {
        return setAmt;
    }
    public String getElecRmbrAuthLettDocCd() {
        return elecRmbrAuthLettDocCd;
    }
    public String getLoanHopeDt() {
        return loanHopeDt;
    }
    public String getMrtgdDebtRang() {
        return mrtgdDebtRang;
    }
    public String getLmitMrtgTrKindNm() {
        return lmitMrtgTrKindNm;
    }
    public String getSpcfMrtgTrDt1() {
        return spcfMrtgTrDt1;
    }
    public String getSpcfMrtgContSign1() {
        return spcfMrtgContSign1;
    }
    public String getSpcfMrtgTrDt2() {
        return spcfMrtgTrDt2;
    }
    public String getSpcfMrtgContSign2() {
        return spcfMrtgContSign2;
    }
    public String getFlmoRigtClacTime() {
        return flmoRigtClacTime;
    }
    public String getFlmoRigtClacTimeAsgnTpDt() {
        return flmoRigtClacTimeAsgnTpDt;
    }
    public String getSpcCntrMtr() {
        return spcCntrMtr;
    }
    public String getCopyRecpFg() {
        return copyRecpFg;
    }
    public String getImpMtrDescFg() {
        return impMtrDescFg;
    }
    public String getWdrwRigtGiveupFg() {
        return wdrwRigtGiveupFg;
    }
    public String getWdrwRigtGiveupDt() {
        return wdrwRigtGiveupDt;
    }
    public String getSetRang() {
        return setRang;
    }
    public String getContExisTerm() {
        return contExisTerm;
    }
    public String getSetObj() {
        return setObj;
    }
    public String getDebtCustRcgn() {
        return debtCustRcgn;
    }
    public String getDebtManNm() {
        return debtManNm;
    }
    public String getMrtgOffrManSameFg() {
        return mrtgOffrManSameFg;
    }
    public String getBaseAddr() {
        return baseAddr;
    }
    public String getSpecAddr() {
        return specAddr;
    }
    public int getMrtgOffrManCnt() {
        return mrtgOffrManCnt;
    }
    public int getRlnClosCnt() {
        return rlnClosCnt;
    }
    public String getRqstInfo() {
        return rqstInfo;
    }
    public String getReqBrnchNm() {
        return reqBrnchNm;
    }
    public String getDivsManNm() {
        return divsManNm;
    }
    public String getDivsManTelNo() {
        return divsManTelNo;
    }
    public String getDivsManFaxNo() {
        return divsManFaxNo;
    }
    public String getBrnm() {
        return brnm;
    }
    public String getGaztDt() {
        return gaztDt;
    }
    public String getCurrMgrNm() {
        return currMgrNm;
    }
    public String getExstMgrNm() {
        return exstMgrNm;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setElecRegDiv(String elecRegDiv) {
        this.elecRegDiv = elecRegDiv;
    }
    public void setNewReRewFg(String newReRewFg) {
        this.newReRewFg = newReRewFg;
    }
    public void setPrdtDiv(String prdtDiv) {
        this.prdtDiv = prdtDiv;
    }
    public void setClosPrgsDiv(String closPrgsDiv) {
        this.closPrgsDiv = closPrgsDiv;
    }
    public void setObankRmbrFg(String obankRmbrFg) {
        this.obankRmbrFg = obankRmbrFg;
    }
    public void setEsttCnt(int esttCnt) {
        this.esttCnt = esttCnt;
    }
    public void setEsttPclrNo1(String esttPclrNo1) {
        this.esttPclrNo1 = esttPclrNo1;
    }
    public void setLandRigtSetDiv1(String landRigtSetDiv1) {
        this.landRigtSetDiv1 = landRigtSetDiv1;
    }
    public void setEsttPclrNo2(String esttPclrNo2) {
        this.esttPclrNo2 = esttPclrNo2;
    }
    public void setLandRigtSetDiv2(String landRigtSetDiv2) {
        this.landRigtSetDiv2 = landRigtSetDiv2;
    }
    public void setEsttPclrNo3(String esttPclrNo3) {
        this.esttPclrNo3 = esttPclrNo3;
    }
    public void setLandRigtSetDiv3(String landRigtSetDiv3) {
        this.landRigtSetDiv3 = landRigtSetDiv3;
    }
    public void setSetContDt(String setContDt) {
        this.setContDt = setContDt;
    }
    public void setSetCur(String setCur) {
        this.setCur = setCur;
    }
    public void setLoanExecAmt(long loanExecAmt) {
        this.loanExecAmt = loanExecAmt;
    }
    public void setSetAmt(long setAmt) {
        this.setAmt = setAmt;
    }
    public void setElecRmbrAuthLettDocCd(String elecRmbrAuthLettDocCd) {
        this.elecRmbrAuthLettDocCd = elecRmbrAuthLettDocCd;
    }
    public void setLoanHopeDt(String loanHopeDt) {
        this.loanHopeDt = loanHopeDt;
    }
    public void setMrtgdDebtRang(String mrtgdDebtRang) {
        this.mrtgdDebtRang = mrtgdDebtRang;
    }
    public void setLmitMrtgTrKindNm(String lmitMrtgTrKindNm) {
        this.lmitMrtgTrKindNm = lmitMrtgTrKindNm;
    }
    public void setSpcfMrtgTrDt1(String spcfMrtgTrDt1) {
        this.spcfMrtgTrDt1 = spcfMrtgTrDt1;
    }
    public void setSpcfMrtgContSign1(String spcfMrtgContSign1) {
        this.spcfMrtgContSign1 = spcfMrtgContSign1;
    }
    public void setSpcfMrtgTrDt2(String spcfMrtgTrDt2) {
        this.spcfMrtgTrDt2 = spcfMrtgTrDt2;
    }
    public void setSpcfMrtgContSign2(String spcfMrtgContSign2) {
        this.spcfMrtgContSign2 = spcfMrtgContSign2;
    }
    public void setFlmoRigtClacTime(String flmoRigtClacTime) {
        this.flmoRigtClacTime = flmoRigtClacTime;
    }
    public void setFlmoRigtClacTimeAsgnTpDt(String flmoRigtClacTimeAsgnTpDt) {
        this.flmoRigtClacTimeAsgnTpDt = flmoRigtClacTimeAsgnTpDt;
    }
    public void setSpcCntrMtr(String spcCntrMtr) {
        this.spcCntrMtr = spcCntrMtr;
    }
    public void setCopyRecpFg(String copyRecpFg) {
        this.copyRecpFg = copyRecpFg;
    }
    public void setImpMtrDescFg(String impMtrDescFg) {
        this.impMtrDescFg = impMtrDescFg;
    }
    public void setWdrwRigtGiveupFg(String wdrwRigtGiveupFg) {
        this.wdrwRigtGiveupFg = wdrwRigtGiveupFg;
    }
    public void setWdrwRigtGiveupDt(String wdrwRigtGiveupDt) {
        this.wdrwRigtGiveupDt = wdrwRigtGiveupDt;
    }
    public void setSetRang(String setRang) {
        this.setRang = setRang;
    }
    public void setContExisTerm(String contExisTerm) {
        this.contExisTerm = contExisTerm;
    }
    public void setSetObj(String setObj) {
        this.setObj = setObj;
    }
    public void setDebtCustRcgn(String debtCustRcgn) {
        this.debtCustRcgn = debtCustRcgn;
    }
    public void setDebtManNm(String debtManNm) {
        this.debtManNm = debtManNm;
    }
    public void setMrtgOffrManSameFg(String mrtgOffrManSameFg) {
        this.mrtgOffrManSameFg = mrtgOffrManSameFg;
    }
    public void setBaseAddr(String baseAddr) {
        this.baseAddr = baseAddr;
    }
    public void setSpecAddr(String specAddr) {
        this.specAddr = specAddr;
    }
    public void setMrtgOffrManCnt(int mrtgOffrManCnt) {
        this.mrtgOffrManCnt = mrtgOffrManCnt;
    }
    public void setRlnClosCnt(int rlnClosCnt) {
        this.rlnClosCnt = rlnClosCnt;
    }
    public void setRqstInfo(String rqstInfo) {
        this.rqstInfo = rqstInfo;
    }
    public void setReqBrnchNm(String reqBrnchNm) {
        this.reqBrnchNm = reqBrnchNm;
    }
    public void setDivsManNm(String divsManNm) {
        this.divsManNm = divsManNm;
    }
    public void setDivsManTelNo(String divsManTelNo) {
        this.divsManTelNo = divsManTelNo;
    }
    public void setDivsManFaxNo(String divsManFaxNo) {
        this.divsManFaxNo = divsManFaxNo;
    }
    public void setBrnm(String brnm) {
        this.brnm = brnm;
    }
    public void setGaztDt(String gaztDt) {
        this.gaztDt = gaztDt;
    }
    public void setCurrMgrNm(String currMgrNm) {
        this.currMgrNm = currMgrNm;
    }
    public void setExstMgrNm(String exstMgrNm) {
        this.exstMgrNm = exstMgrNm;
    }

}
