package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtOnlnMstrDTO.java Class
 * 클래스설명    : ST_피노텍_온라인_마스터(ST_FP_ONLN_MSTR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtOnlnMstrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String loanCnslNo = "";                     /* 대출상담번호 */
    private String loanApplNo = "";                     /* 대출신청번호 */
    private String loanNo = "";                         /* 대출번호 */
    private String custNo = "";                         /* 고객번호 */
    private String sendComCd = "";                      /* 전송회사코드 */
    private String gramKindCd = "";                     /* 전문종별코드 */
    private String gramSendTm = "";                     /* 전문전송시간 */
    private String regReqNo = "";                       /* 등기의뢰번호 */
    private String bkMngNo = "";                        /* 하나생명 관리번호 */
    private String ftMngNo = "";                        /* 피노텍 관리번호 */
    private String regVndrCd = "";                      /* 등기업체 코드 */
    private int ftGramAllCnt = 0;                       /* 전문전체개수 */
    private int ftGramSeq = 0;                          /* 전문순번 */
    private String ftGramContYn = "";                   /* 전문연속여부 */
    private String ftGramMngNo = "";                    /* 전문관리번호 */
    private String errSeq = "";                         /* 오류순번(상태) */
    private String rsnCd = "";                          /* 응답코드 */
    private String addErrMsg = "";                      /* 추가에러내용(한글) */
    private String regTpCd = "";                        /* 등기 유형 코드 */
    private String loanPayCd = "";                      /* 대출지급코드 */
    private int totSignObjManCnt = 0;                             // 총 서명대상자 수
    private int rmbrAmtCnt = 0;                                   // 상환금의 개수
    private int acptNoCnt = 0;                                    // 접수번호 개수
    private String chngLoanHopeDt = "";                           // 변경대출희망일
    private String cnclRsnCntn = "";                              // 취소사유
    private int regdInfoOffrManCnt = 0;                           // 등기필정보 제공자수

    public String getGramSeq() {
        return gramSeq;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public String getSendComCd() {
        return sendComCd;
    }
    public String getGramKindCd() {
        return gramKindCd;
    }
    public String getGramSendTm() {
        return gramSendTm;
    }
    public String getRegReqNo() {
        return regReqNo;
    }
    public String getBkMngNo() {
        return bkMngNo;
    }
    public String getFtMngNo() {
        return ftMngNo;
    }
    public String getRegVndrCd() {
        return regVndrCd;
    }
    public int getFtGramAllCnt() {
        return ftGramAllCnt;
    }
    public int getFtGramSeq() {
        return ftGramSeq;
    }
    public String getFtGramContYn() {
        return ftGramContYn;
    }
    public String getFtGramMngNo() {
        return ftGramMngNo;
    }
    public String getErrSeq() {
        return errSeq;
    }
    public String getRsnCd() {
        return rsnCd;
    }
    public String getAddErrMsg() {
        return addErrMsg;
    }
    public String getRegTpCd() {
        return regTpCd;
    }
    public String getLoanPayCd() {
        return loanPayCd;
    }
    public int getTotSignObjManCnt() {
        return totSignObjManCnt;
    }
    public int getRmbrAmtCnt() {
        return rmbrAmtCnt;
    }
    public int getAcptNoCnt() {
        return acptNoCnt;
    }
    public String getChngLoanHopeDt() {
        return chngLoanHopeDt;
    }
    public String getCnclRsnCntn() {
        return cnclRsnCntn;
    }
    public int getRegdInfoOffrManCnt() {
        return regdInfoOffrManCnt;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public void setSendComCd(String sendComCd) {
        this.sendComCd = sendComCd;
    }
    public void setGramKindCd(String gramKindCd) {
        this.gramKindCd = gramKindCd;
    }
    public void setGramSendTm(String gramSendTm) {
        this.gramSendTm = gramSendTm;
    }
    public void setRegReqNo(String regReqNo) {
        this.regReqNo = regReqNo;
    }
    public void setBkMngNo(String bkMngNo) {
        this.bkMngNo = bkMngNo;
    }
    public void setFtMngNo(String ftMngNo) {
        this.ftMngNo = ftMngNo;
    }
    public void setRegVndrCd(String regVndrCd) {
        this.regVndrCd = regVndrCd;
    }
    public void setFtGramAllCnt(int ftGramAllCnt) {
        this.ftGramAllCnt = ftGramAllCnt;
    }
    public void setFtGramSeq(int ftGramSeq) {
        this.ftGramSeq = ftGramSeq;
    }
    public void setFtGramContYn(String ftGramContYn) {
        this.ftGramContYn = ftGramContYn;
    }
    public void setFtGramMngNo(String ftGramMngNo) {
        this.ftGramMngNo = ftGramMngNo;
    }
    public void setErrSeq(String errSeq) {
        this.errSeq = errSeq;
    }
    public void setRsnCd(String rsnCd) {
        this.rsnCd = rsnCd;
    }
    public void setAddErrMsg(String addErrMsg) {
        this.addErrMsg = addErrMsg;
    }
    public void setRegTpCd(String regTpCd) {
        this.regTpCd = regTpCd;
    }
    public void setLoanPayCd(String loanPayCd) {
        this.loanPayCd = loanPayCd;
    }
    public void setTotSignObjManCnt(int totSignObjManCnt) {
        this.totSignObjManCnt = totSignObjManCnt;
    }
    public void setRmbrAmtCnt(int rmbrAmtCnt) {
        this.rmbrAmtCnt = rmbrAmtCnt;
    }
    public void setAcptNoCnt(int acptNoCnt) {
        this.acptNoCnt = acptNoCnt;
    }
    public void setChngLoanHopeDt(String chngLoanHopeDt) {
        this.chngLoanHopeDt = chngLoanHopeDt;
    }
    public void setCnclRsnCntn(String cnclRsnCntn) {
        this.cnclRsnCntn = cnclRsnCntn;
    }
    public void setRegdInfoOffrManCnt(int regdInfoOffrManCnt) {
        this.regdInfoOffrManCnt = regdInfoOffrManCnt;
    }

}
