package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegProcCmplReptDTO.java Class
 * 클래스설명    : ST_피노텍_등기_처리_완료_보고(ST_FT_REG_PROC_CMPL_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegProcCmplReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String regProcRslt = "";                    /* 등기처리결과 */
    private String failRsn = "";                        /* 실패사유 */
    private String occrDt = "";                         /* 발생일 */
    private String setReRqstFg = "";                    /* 설정 재요청 여부 */
    private String docExamReReptFg = "";                /* 서류심사 재보고 여부 */
    private String custReSignFg = "";                   /* 고객 재서명 여부 */
    private String bankReSignFg = "";                   /* 은행 재서명 여부 */
    private String regReAcptFg = "";                    /* 등기 재접수 여부 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getRegProcRslt() {
        return regProcRslt;
    }
    public void setRegProcRslt(String regProcRslt) {
        this.regProcRslt = regProcRslt;
    }
    public String getFailRsn() {
        return failRsn;
    }
    public void setFailRsn(String failRsn) {
        this.failRsn = failRsn;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }
    public String getSetReRqstFg() {
        return setReRqstFg;
    }
    public void setSetReRqstFg(String setReRqstFg) {
        this.setReRqstFg = setReRqstFg;
    }
    public String getDocExamReReptFg() {
        return docExamReReptFg;
    }
    public void setDocExamReReptFg(String docExamReReptFg) {
        this.docExamReReptFg = docExamReReptFg;
    }
    public String getCustReSignFg() {
        return custReSignFg;
    }
    public void setCustReSignFg(String custReSignFg) {
        this.custReSignFg = custReSignFg;
    }
    public String getBankReSignFg() {
        return bankReSignFg;
    }
    public void setBankReSignFg(String bankReSignFg) {
        this.bankReSignFg = bankReSignFg;
    }
    public String getRegReAcptFg() {
        return regReAcptFg;
    }
    public void setRegReAcptFg(String regReAcptFg) {
        this.regReAcptFg = regReAcptFg;
    }
}
