package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegStatSrchDTO.java Class
 * 클래스설명    : ST_피노텍_등기_상태_조회(ST_FT_REG_STAT_SRCH)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegStatSrchDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String regPrgsStatCd = "";                  /* 등기진행상태 코드 */
    private String regPrgsStatNm = "";                  /* 등기진행상태 명 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getRegPrgsStatCd() {
        return regPrgsStatCd;
    }
    public void setRegPrgsStatCd(String regPrgsStatCd) {
        this.regPrgsStatCd = regPrgsStatCd;
    }
    public String getRegPrgsStatNm() {
        return regPrgsStatNm;
    }
    public void setRegPrgsStatNm(String regPrgsStatNm) {
        this.regPrgsStatNm = regPrgsStatNm;
    }
}
