package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRmbrAmtReptDTO.java Class
 * 클래스설명    : ST_피노텍_상환금_보고(ST_FT_RMBR_AMT_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRmbrAmtReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                              /* 전문일련번호 */
    private int subSeq = 0;                                   /* 서브 일련번호 */
    private String rmbrAmtDiv = "";                           /* 상환금 구분 */
    private String bankNm = "";                               /* 은행명 */
    private String brnchNm = "";                              /* 지점명 */
    private BigDecimal pamt = BigDecimal.ZERO;                /* 원금 */
    private BigDecimal intAmt = BigDecimal.ZERO;              /* 이자 */
    private BigDecimal midRmbrFee = BigDecimal.ZERO;          /* 중도상환수수료 */
    private BigDecimal obankclosCost = BigDecimal.ZERO;       /* 타행 말소 비용 */
    private BigDecimal etcAmt = BigDecimal.ZERO;              /* 기타 금액 */
    private BigDecimal rmbrAmtSum = BigDecimal.ZERO;          /* 상환금액 합계 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRmbrAmtDiv() {
        return rmbrAmtDiv;
    }
    public void setRmbrAmtDiv(String rmbrAmtDiv) {
        this.rmbrAmtDiv = rmbrAmtDiv;
    }
    public String getBankNm() {
        return bankNm;
    }
    public void setBankNm(String bankNm) {
        this.bankNm = bankNm;
    }
    public String getBrnchNm() {
        return brnchNm;
    }
    public void setBrnchNm(String brnchNm) {
        this.brnchNm = brnchNm;
    }
    public BigDecimal getPamt() {
        return pamt;
    }
    public void setPamt(BigDecimal pamt) {
        this.pamt = pamt;
    }
    public BigDecimal getIntAmt() {
        return intAmt;
    }
    public void setIntAmt(BigDecimal intAmt) {
        this.intAmt = intAmt;
    }
    public BigDecimal getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(BigDecimal midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public BigDecimal getObankclosCost() {
        return obankclosCost;
    }
    public void setObankclosCost(BigDecimal obankclosCost) {
        this.obankclosCost = obankclosCost;
    }
    public BigDecimal getEtcAmt() {
        return etcAmt;
    }
    public void setEtcAmt(BigDecimal etcAmt) {
        this.etcAmt = etcAmt;
    }
    public BigDecimal getRmbrAmtSum() {
        return rmbrAmtSum;
    }
    public void setRmbrAmtSum(BigDecimal rmbrAmtSum) {
        this.rmbrAmtSum = rmbrAmtSum;
    }
}
