package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StGodsBaseDTO.java Class
 * 클래스설명   : ST-물품기본(ST_GODS_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StGodsBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String godsCd  = "";  /* 물품코드 */
    private String godsNm  = "";  /* 물품명 */
    private String godsClasCd  = "";  /* 물품분류코드 */
    private String makeNatCd  = "";  /* 제작국가코드 */
    private String ddmdImptDivCd  = "";  /* 내수수입구분코드 */
    private String makrCd  = "";  /* 메이커코드 */
    private BigDecimal weight  = BigDecimal.ZERO;  /* 중량 */
    private String useFg  = "";  /* 사용여부 */
    private String reptDivCd  = "";  /* 현황구분코드 */
    private long carCc  = 0;  /* 자동차배기량 */
    private long manTrn  = 0;  /* 인승 */
    private String carMdlYear  = "";  /* 자동차년식 */
    private String cprtSplyCom  = "";  /* 제휴공급사 */
    private BigDecimal godsPrce  = BigDecimal.ZERO;  /* 물품가격 */
    private String fuelForm  = "";  /* 연료형태 */

    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getGodsNm() {
        return godsNm;
    }
    public void setGodsNm(String godsNm) {
        this.godsNm = godsNm;
    }
    public String getGodsClasCd() {
        return godsClasCd;
    }
    public void setGodsClasCd(String godsClasCd) {
        this.godsClasCd = godsClasCd;
    }
    public String getMakeNatCd() {
        return makeNatCd;
    }
    public void setMakeNatCd(String makeNatCd) {
        this.makeNatCd = makeNatCd;
    }
    public String getDdmdImptDivCd() {
        return ddmdImptDivCd;
    }
    public void setDdmdImptDivCd(String ddmdImptDivCd) {
        this.ddmdImptDivCd = ddmdImptDivCd;
    }
    public String getMakrCd() {
        return makrCd;
    }
    public void setMakrCd(String makrCd) {
        this.makrCd = makrCd;
    }
    public BigDecimal getWeight() {
        return weight;
    }
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }
    public String getUseFg() {
        return useFg;
    }
    public void setUseFg(String useFg) {
        this.useFg = useFg;
    }
    public String getReptDivCd() {
        return reptDivCd;
    }
    public void setReptDivCd(String reptDivCd) {
        this.reptDivCd = reptDivCd;
    }
    public long getCarCc() {
        return carCc;
    }
    public void setCarCc(long carCc) {
        this.carCc = carCc;
    }
    public long getManTrn() {
        return manTrn;
    }
    public void setManTrn(long manTrn) {
        this.manTrn = manTrn;
    }
    public String getCarMdlYear() {
        return carMdlYear;
    }
    public void setCarMdlYear(String carMdlYear) {
        this.carMdlYear = carMdlYear;
    }
    public String getCprtSplyCom() {
        return cprtSplyCom;
    }
    public void setCprtSplyCom(String cprtSplyCom) {
        this.cprtSplyCom = cprtSplyCom;
    }
    public BigDecimal getGodsPrce() {
        return godsPrce;
    }
    public void setGodsPrce(BigDecimal godsPrce) {
        this.godsPrce = godsPrce;
    }
    public String getFuelForm() {
        return fuelForm;
    }
    public void setFuelForm(String fuelForm) {
        this.fuelForm = fuelForm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
