package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StGodsClasDTO.java Class
 * 클래스설명   : ST-물품분류(ST_GODS_CLAS)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StGodsClasDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String godsClasCd  = "";  /* 물품분류코드 */
    private String clasNm  = "";  /* 분류명 */
    private String lrgeClasCd  = "";  /* 대분류코드 */
    private String midClasCd  = "";  /* 중분류코드 */
    private String smClasCd  = "";  /* 소분류코드 */
    private String detlClasCd  = "";  /* 세분류코드 */
    private String clasDivCd  = "";  /* 분류구분코드 */
    private String clasShrtNm  = "";  /* 분류단축명 */
    private String specClasCd  = "";  /* 상세분류코드 */
    private String useYn  = "";  /* 사용유무 */

    public String getGodsClasCd() {
        return godsClasCd;
    }
    public void setGodsClasCd(String godsClasCd) {
        this.godsClasCd = godsClasCd;
    }
    public String getClasNm() {
        return clasNm;
    }
    public void setClasNm(String clasNm) {
        this.clasNm = clasNm;
    }
    public String getLrgeClasCd() {
        return lrgeClasCd;
    }
    public void setLrgeClasCd(String lrgeClasCd) {
        this.lrgeClasCd = lrgeClasCd;
    }
    public String getMidClasCd() {
        return midClasCd;
    }
    public void setMidClasCd(String midClasCd) {
        this.midClasCd = midClasCd;
    }
    public String getSmClasCd() {
        return smClasCd;
    }
    public void setSmClasCd(String smClasCd) {
        this.smClasCd = smClasCd;
    }
    public String getDetlClasCd() {
        return detlClasCd;
    }
    public void setDetlClasCd(String detlClasCd) {
        this.detlClasCd = detlClasCd;
    }
    public String getClasDivCd() {
        return clasDivCd;
    }
    public void setClasDivCd(String clasDivCd) {
        this.clasDivCd = clasDivCd;
    }
    public String getClasShrtNm() {
        return clasShrtNm;
    }
    public void setClasShrtNm(String clasShrtNm) {
        this.clasShrtNm = clasShrtNm;
    }
    public String getSpecClasCd() {
        return specClasCd;
    }
    public void setSpecClasCd(String specClasCd) {
        this.specClasCd = specClasCd;
    }
    public String getUseYn() {
        return useYn;
    }
    public void setUseYn(String useYn) {
        this.useYn = useYn;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
