package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiEntrAprvDTO.java Class
 * 클래스설명   : ST_하나손보_가입_승인(ST_HI_ENTR_APRV)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiEntrAprvDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String insuScrtNo = "";  /* 증권번호 */
    private String insuEntrDt = "";  /* 보험시기 */
    private String aprvCd = "";  /* 승인코드 */
    private String takeOpn = "";  /* 인수의견 */
    private long baseInsuFee = 0;  /* 기본보험료 */
    private String insuComNm = "";  /* 보험사명 */
    private String divsManNm = "";  /* 담당자명 */
    private String cntcPlc = "";  /* 연락처 */
    private String prpItem = "";  /* 예비 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiEntrAprvDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getInsuScrtNo() {
		return insuScrtNo;
	}
	public void setInsuScrtNo(String insuScrtNo) {
		this.insuScrtNo = insuScrtNo;
	}
	public String getInsuEntrDt() {
		return insuEntrDt;
	}
	public void setInsuEntrDt(String insuEntrDt) {
		this.insuEntrDt = insuEntrDt;
	}
	public String getAprvCd() {
		return aprvCd;
	}
	public void setAprvCd(String aprvCd) {
		this.aprvCd = aprvCd;
	}
	public String getTakeOpn() {
		return takeOpn;
	}
	public void setTakeOpn(String takeOpn) {
		this.takeOpn = takeOpn;
	}
	public long getBaseInsuFee() {
		return baseInsuFee;
	}
	public void setBaseInsuFee(long baseInsuFee) {
		this.baseInsuFee = baseInsuFee;
	}
	public String getInsuComNm() {
		return insuComNm;
	}
	public void setInsuComNm(String insuComNm) {
		this.insuComNm = insuComNm;
	}
	public String getDivsManNm() {
		return divsManNm;
	}
	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}
	public String getCntcPlc() {
		return cntcPlc;
	}
	public void setCntcPlc(String cntcPlc) {
		this.cntcPlc = cntcPlc;
	}
	public String getPrpItem() {
		return prpItem;
	}
	public void setPrpItem(String prpItem) {
		this.prpItem = prpItem;
	}

}
