package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiLoanLoanEndDTO.java Class
 * 클래스설명   : ST_하나손보_대출_상환_종료(ST_HI_LOAN_LOAN_END)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiLoanExecNotiDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String loanExec = "";  /* 대출실행 */
    private String loanExecNotiDttm = "";  /* 대출실행통보일시(자동) */
    private String loanExecBrnchNm = "";  /* 대출실행지점명 */
    private String divsManNm = "";  /* 담당자명 */
    private String divsManTelNo = "";  /* 담당자전화 */
    private String divsManFaxNo = "";  /* 담당자 팩스 */
    private String prpItem = "";  /* 예비 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiLoanExecNotiDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getLoanExec() {
		return loanExec;
	}
	public void setLoanExec(String loanExec) {
		this.loanExec = loanExec;
	}
	public String getLoanExecNotiDttm() {
		return loanExecNotiDttm;
	}
	public void setLoanExecNotiDttm(String loanExecNotiDttm) {
		this.loanExecNotiDttm = loanExecNotiDttm;
	}
	public String getLoanExecBrnchNm() {
		return loanExecBrnchNm;
	}
	public void setLoanExecBrnchNm(String loanExecBrnchNm) {
		this.loanExecBrnchNm = loanExecBrnchNm;
	}
	public String getDivsManNm() {
		return divsManNm;
	}
	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}
	public String getDivsManTelNo() {
		return divsManTelNo;
	}
	public void setDivsManTelNo(String divsManTelNo) {
		this.divsManTelNo = divsManTelNo;
	}
	public String getDivsManFaxNo() {
		return divsManFaxNo;
	}
	public void setDivsManFaxNo(String divsManFaxNo) {
		this.divsManFaxNo = divsManFaxNo;
	}
	public String getPrpItem() {
		return prpItem;
	}
	public void setPrpItem(String prpItem) {
		this.prpItem = prpItem;
	}

}
