package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschCnfmDocDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 26.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StHiRigtRschCnfmDocMoveiHshdDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int retyExfnInfoSeq = 0;                    /* 연번 */
    private String name = "";                           /* 성명 */
    private String resiNo = "";                         /* 주민등록번호 */
    private String moveiDt = "";                        /* 전입일자 */
    private String rel = "";                            /* 관계 */
    private String frstMoveiManNm = "";                 /* 최초전입자성명 */
    private String frstMoveiDt = "";                    /* 최초전입일자 */
    private String atmtDocObj = "";                     /* 붙임서류대상 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getRetyExfnInfoSeq() {
        return retyExfnInfoSeq;
    }
    public void setRetyExfnInfoSeq(int retyExfnInfoSeq) {
        this.retyExfnInfoSeq = retyExfnInfoSeq;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getMoveiDt() {
        return moveiDt;
    }
    public void setMoveiDt(String moveiDt) {
        this.moveiDt = moveiDt;
    }
    public String getRel() {
        return rel;
    }
    public void setRel(String rel) {
        this.rel = rel;
    }
    public String getFrstMoveiManNm() {
        return frstMoveiManNm;
    }
    public void setFrstMoveiManNm(String frstMoveiManNm) {
        this.frstMoveiManNm = frstMoveiManNm;
    }
    public String getFrstMoveiDt() {
        return frstMoveiDt;
    }
    public void setFrstMoveiDt(String frstMoveiDt) {
        this.frstMoveiDt = frstMoveiDt;
    }
    public String getAtmtDocObj() {
        return atmtDocObj;
    }
    public void setAtmtDocObj(String atmtDocObj) {
        this.atmtDocObj = atmtDocObj;
    }

}
