package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReptDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_보고서(ST_HI_RIGT_RSCH_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("serial")
public class StHiRigtRschReptDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String objEsttZipCd = "";  /* 소재지(우편번호) */
    private String objEsttAddr = "";  /* 대상부동산주소(기타주소) */
    private String goodsKind = "";  /* 물건종류 */
    private int rentInfoArryCnt = 0;  /* 배열갯수(임대차내역) */
    private String landUnRegYn = "";  /* 토지미등기여부 */
    private String tmpRegYn = "";  /* 별도등기있음유무 */
    private String actlRelCnfm = "";  /* 사실관계확인 */
    private String rigtStndDttm = "";  /* 권리기준일시 */
    private String rigtRschDt = "";  /* 권리조사일 */
    private String rschMan = "";  /* 조사자 */
    private String cntcPlc = "";  /* 연락처 */
    private String faxNo = "";  /* 팩스번호 */
    private String moveiHshdYn = "";  /* 전입세대 유무 */
    private int moveiHshdInfoArryCnt = 0;  /* 배열갯수(전입세대내역) */
    private int retyExfnInfoArryCnt = 0;  /* 배열갯수(등기부확인) */
    private String ownManNm = "";  /* 소유자 명 */
    private String prpItem = "";  /* 예비 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiRigtRschReptDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getObjEsttZipCd() {
		return objEsttZipCd;
	}
	public void setObjEsttZipCd(String objEsttZipCd) {
		this.objEsttZipCd = objEsttZipCd;
	}
	public String getObjEsttAddr() {
		return objEsttAddr;
	}
	public void setObjEsttAddr(String objEsttAddr) {
		this.objEsttAddr = objEsttAddr;
	}
	public String getGoodsKind() {
		return goodsKind;
	}
	public void setGoodsKind(String goodsKind) {
		this.goodsKind = goodsKind;
	}
	public int getRentInfoArryCnt() {
		return rentInfoArryCnt;
	}
	public void setRentInfoArryCnt(int rentInfoArryCnt) {
		this.rentInfoArryCnt = rentInfoArryCnt;
	}
	public String getLandUnRegYn() {
		return landUnRegYn;
	}
	public void setLandUnRegYn(String landUnRegYn) {
		this.landUnRegYn = landUnRegYn;
	}
	public String getTmpRegYn() {
		return tmpRegYn;
	}
	public void setTmpRegYn(String tmpRegYn) {
		this.tmpRegYn = tmpRegYn;
	}
	public String getActlRelCnfm() {
		return actlRelCnfm;
	}
	public void setActlRelCnfm(String actlRelCnfm) {
		this.actlRelCnfm = actlRelCnfm;
	}
	public String getRigtStndDttm() {
		return rigtStndDttm;
	}
	public void setRigtStndDttm(String rigtStndDttm) {
		this.rigtStndDttm = rigtStndDttm;
	}
	public String getRigtRschDt() {
		return rigtRschDt;
	}
	public void setRigtRschDt(String rigtRschDt) {
		this.rigtRschDt = rigtRschDt;
	}
	public String getRschMan() {
		return rschMan;
	}
	public void setRschMan(String rschMan) {
		this.rschMan = rschMan;
	}
	public String getCntcPlc() {
		return cntcPlc;
	}
	public void setCntcPlc(String cntcPlc) {
		this.cntcPlc = cntcPlc;
	}
	public String getFaxNo() {
		return faxNo;
	}
	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}
	public String getMoveiHshdYn() {
		return moveiHshdYn;
	}
	public void setMoveiHshdYn(String moveiHshdYn) {
		this.moveiHshdYn = moveiHshdYn;
	}
	public int getMoveiHshdInfoArryCnt() {
		return moveiHshdInfoArryCnt;
	}
	public void setMoveiHshdInfoArryCnt(int moveiHshdInfoArryCnt) {
		this.moveiHshdInfoArryCnt = moveiHshdInfoArryCnt;
	}
	public int getRetyExfnInfoArryCnt() {
		return retyExfnInfoArryCnt;
	}
	public void setRetyExfnInfoArryCnt(int retyExfnInfoArryCnt) {
		this.retyExfnInfoArryCnt = retyExfnInfoArryCnt;
	}
	public String getOwnManNm() {
		return ownManNm;
	}
	public void setOwnManNm(String ownManNm) {
		this.ownManNm = ownManNm;
	}
	public String getPrpItem() {
		return prpItem;
	}
	public void setPrpItem(String prpItem) {
		this.prpItem = prpItem;
	}

}
