package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReqDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_의뢰(ST_HI_RIGT_RSCH_REQ)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("serial")
public class StHiRigtRschReqDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String newReReqFg = "";  /* 신규/재의뢰구분 */
    private String objEsttZipCd = "";  /* 대상부동산주소(우편번호) */
    private String objEsttAddr = "";  /* 대상부동산주소(기타주소) */
    private String goodsKind = "";  /* 물건종류 */
    private String kbMkprYn = "";  /* KB시세유무 */
    private String saleGenDiv = "";  /* 매매/일반구분 */
    private long rentGuarAmt = 0;  /* 임대보증금 */
    private int rentRoomCnt = 0;  /* 임대방수 */
    private int florRoomCnt = 0;  /* 층방수 */
    private String brwrName = "";  /* 차주성명 */
    private String brwrBirtDt = "";  /* 차주생년월일 */
    private String brwrZipCd = "";  /* 차주주소(우편번호) */
    private String brwrAddr = "";  /* 차주주소(기타주소) */
    private String brwrCnctPlc = "";  /* 차주연락처 */
    private String brwrHpNo = "";  /* 차주핸드폰번호 */
    private String saleContDoc = "";  /* 매매계약서 */
    private String rentContDoc = "";  /* 임대차계약서 */
    private String etcDocOrRmrk = "";  /* 기타서류/비고 */
    private String reqBrnchNm = "";  /* 의뢰지점명 */
    private String divsManNm = "";  /* 담당자명 */
    private String divsManTelNo = "";  /* 담당자전화 */
    private String divsManFaxNo = "";  /* 담당자 팩스 */
    private String loanTrtSchdBrnch = "";  /* 대출취급예정점 */
    private String loanTrtSchdBrnchCntcPlc = "";  /* 대출취급예정점 연락처 */
    private String cnclRsn  = "";  /* 취소사유 */
    private String spclMtr = "";  /* 특이사항 */
    private String prdtSpecCd = "";  /* 상품규격코드 */
    private String sgJoinNmDiv = "";  /* 단독명의/공동명의 */
    private String brwrAndJoinNmRel = "";  /* 차주와 공동명의자 관계 */
    private String supsNm = "";  /* 공동명의자 배우자 성명 */
    private String supsBirtDt = "";  /* 배우자 생년월일 */
    private String retyExfnNo = "";  /* 등기부 고유번호 */
    private String preSeqFg = "";  /* 선순위여부 */
    private String loanDttm = "";  /* 대출일시(잔금일시) */
    private long loanAmt = 0;  /* 대출금액 */
    private long bndMaxAmt = 0;  /* 채권최고액 */
    private String rentSucsFg = "";  /* 임대차승계여부 */
    private String prpItem = "";  /* 예비 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiRigtRschReqDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getNewReReqFg() {
		return newReReqFg;
	}
	public void setNewReReqFg(String newReReqFg) {
		this.newReReqFg = newReReqFg;
	}
	public String getObjEsttZipCd() {
		return objEsttZipCd;
	}
	public void setObjEsttZipCd(String objEsttZipCd) {
		this.objEsttZipCd = objEsttZipCd;
	}
	public String getObjEsttAddr() {
		return objEsttAddr;
	}
	public void setObjEsttAddr(String objEsttAddr) {
		this.objEsttAddr = objEsttAddr;
	}
	public String getGoodsKind() {
		return goodsKind;
	}
	public void setGoodsKind(String goodsKind) {
		this.goodsKind = goodsKind;
	}
	public String getKbMkprYn() {
		return kbMkprYn;
	}
	public void setKbMkprYn(String kbMkprYn) {
		this.kbMkprYn = kbMkprYn;
	}
	public String getSaleGenDiv() {
		return saleGenDiv;
	}
	public void setSaleGenDiv(String saleGenDiv) {
		this.saleGenDiv = saleGenDiv;
	}
	public long getRentGuarAmt() {
		return rentGuarAmt;
	}
	public void setRentGuarAmt(long rentGuarAmt) {
		this.rentGuarAmt = rentGuarAmt;
	}
	public int getRentRoomCnt() {
		return rentRoomCnt;
	}
	public void setRentRoomCnt(int rentRoomCnt) {
		this.rentRoomCnt = rentRoomCnt;
	}
	public int getFlorRoomCnt() {
		return florRoomCnt;
	}
	public void setFlorRoomCnt(int florRoomCnt) {
		this.florRoomCnt = florRoomCnt;
	}
	public String getBrwrName() {
		return brwrName;
	}
	public void setBrwrName(String brwrName) {
		this.brwrName = brwrName;
	}
	public String getBrwrBirtDt() {
		return brwrBirtDt;
	}
	public void setBrwrBirtDt(String brwrBirtDt) {
		this.brwrBirtDt = brwrBirtDt;
	}
	public String getBrwrZipCd() {
		return brwrZipCd;
	}
	public void setBrwrZipCd(String brwrZipCd) {
		this.brwrZipCd = brwrZipCd;
	}
	public String getBrwrAddr() {
		return brwrAddr;
	}
	public void setBrwrAddr(String brwrAddr) {
		this.brwrAddr = brwrAddr;
	}
	public String getBrwrCnctPlc() {
		return brwrCnctPlc;
	}
	public void setBrwrCnctPlc(String brwrCnctPlc) {
		this.brwrCnctPlc = brwrCnctPlc;
	}
	public String getBrwrHpNo() {
		return brwrHpNo;
	}
	public void setBrwrHpNo(String brwrHpNo) {
		this.brwrHpNo = brwrHpNo;
	}
	public String getSaleContDoc() {
		return saleContDoc;
	}
	public void setSaleContDoc(String saleContDoc) {
		this.saleContDoc = saleContDoc;
	}
	public String getRentContDoc() {
		return rentContDoc;
	}
	public void setRentContDoc(String rentContDoc) {
		this.rentContDoc = rentContDoc;
	}
	public String getEtcDocOrRmrk() {
		return etcDocOrRmrk;
	}
	public void setEtcDocOrRmrk(String etcDocOrRmrk) {
		this.etcDocOrRmrk = etcDocOrRmrk;
	}
	public String getReqBrnchNm() {
		return reqBrnchNm;
	}
	public void setReqBrnchNm(String reqBrnchNm) {
		this.reqBrnchNm = reqBrnchNm;
	}
	public String getDivsManNm() {
		return divsManNm;
	}
	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}
	public String getDivsManTelNo() {
		return divsManTelNo;
	}
	public void setDivsManTelNo(String divsManTelNo) {
		this.divsManTelNo = divsManTelNo;
	}
	public String getDivsManFaxNo() {
		return divsManFaxNo;
	}
	public void setDivsManFaxNo(String divsManFaxNo) {
		this.divsManFaxNo = divsManFaxNo;
	}
	public String getLoanTrtSchdBrnch() {
		return loanTrtSchdBrnch;
	}
	public void setLoanTrtSchdBrnch(String loanTrtSchdBrnch) {
		this.loanTrtSchdBrnch = loanTrtSchdBrnch;
	}
	public String getLoanTrtSchdBrnchCntcPlc() {
		return loanTrtSchdBrnchCntcPlc;
	}
	public void setLoanTrtSchdBrnchCntcPlc(String loanTrtSchdBrnchCntcPlc) {
		this.loanTrtSchdBrnchCntcPlc = loanTrtSchdBrnchCntcPlc;
	}
	public String getCnclRsn() {
		return cnclRsn;
	}
	public void setCnclRsn(String cnclRsn) {
		this.cnclRsn = cnclRsn;
	}
	public String getSpclMtr() {
		return spclMtr;
	}
	public void setSpclMtr(String spclMtr) {
		this.spclMtr = spclMtr;
	}
	public String getPrdtSpecCd() {
		return prdtSpecCd;
	}
	public void setPrdtSpecCd(String prdtSpecCd) {
		this.prdtSpecCd = prdtSpecCd;
	}
	public String getSgJoinNmDiv() {
		return sgJoinNmDiv;
	}
	public void setSgJoinNmDiv(String sgJoinNmDiv) {
		this.sgJoinNmDiv = sgJoinNmDiv;
	}
	public String getBrwrAndJoinNmRel() {
		return brwrAndJoinNmRel;
	}
	public void setBrwrAndJoinNmRel(String brwrAndJoinNmRel) {
		this.brwrAndJoinNmRel = brwrAndJoinNmRel;
	}
	public String getSupsNm() {
		return supsNm;
	}
	public void setSupsNm(String supsNm) {
		this.supsNm = supsNm;
	}
	public String getSupsBirtDt() {
		return supsBirtDt;
	}
	public void setSupsBirtDt(String supsBirtDt) {
		this.supsBirtDt = supsBirtDt;
	}
	public String getRetyExfnNo() {
		return retyExfnNo;
	}
	public void setRetyExfnNo(String retyExfnNo) {
		this.retyExfnNo = retyExfnNo;
	}
	public String getPreSeqFg() {
		return preSeqFg;
	}
	public void setPreSeqFg(String preSeqFg) {
		this.preSeqFg = preSeqFg;
	}
	public String getLoanDttm() {
		return loanDttm;
	}
	public void setLoanDttm(String loanDttm) {
		this.loanDttm = loanDttm;
	}
	public long getLoanAmt() {
		return loanAmt;
	}
	public void setLoanAmt(long loanAmt) {
		this.loanAmt = loanAmt;
	}
	public long getBndMaxAmt() {
		return bndMaxAmt;
	}
	public void setBndMaxAmt(long bndMaxAmt) {
		this.bndMaxAmt = bndMaxAmt;
	}
	public String getRentSucsFg() {
		return rentSucsFg;
	}
	public void setRentSucsFg(String rentSucsFg) {
		this.rentSucsFg = rentSucsFg;
	}
	public String getPrpItem() {
		return prpItem;
	}
	public void setPrpItem(String prpItem) {
		this.prpItem = prpItem;
	}
}
