package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbCrdtIntgInfoDTO.java Class
 * 클래스설명    : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * [2023. 6.  5.][70278 ][전문 변경에 따른 항목변경]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbCrdtIntgInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /** 전문일련번호 */
    private String resiNo = "";                         /** 주민(사업자, 법인)등록번호 */
    private String resiNoDiv = "";                      /** 주민(사업자, 법인)등록번호 구분 */
    private String dataUseDiv = "";                     /** 자료이용목적 */
    private String inqAgrFg = "";                       /** 조회 동의 여부 */
    private String mtalNm = "";                         /** 상호(기업체명) */
    private String name = "";                           /** 성명(대표자) */
    private String jobCd = "";                          /** 직업 코드(미사용) */
    private String bzitCd = "";                         /** 업종 코드 */
    private String moiDcsdFg = "";                      /** 행정자치부 사망자 여부 */
    private String moiDthDt = "";                       /** 행정자치부 사망일자 */
    private String moiRegNoChngInfo = "";               /** 행정자치부 주민등록번호 변경정보 */
    private String fincTrLastUpdtDt = "";               /** 금융거래정보 최종 Update 일자 */
    private String crdtPubInfoLastUpdtDt = "";          /** 신용도판단정보･공공정보 최종 Update 일자 */
    private String loanCardLastUpdtDt = "";             /** 대출･단기카드대출정보 최종 Update 일자 */
    private String debtGuarLastUpdtDt = "";             /** 채무보증정보 최종 Update 일자 */
    private String corpRegNo = "";                      /** 법인(주민)등록번호 */
    private String crctAskMidFg = "";                   /** 정정 청구중 */
    private String relManMore = "";                     /** 관련인 More */
    private String fincTrInfoMoreFg = "";               /** 금융거래정보 More */
    private String crdtPubInfoMore = "";                /** 신용도판단정보･공공정보 More */
    private String loanInfoMore = "";                   /** 대출･단기카드대출정보 More */
    private String debtGuarInfoMore = "";               /** 채무보증정보 More */
    private int relManTotCnt = 0;                       /** 관련인 총건수 */
    private int fincTrInfoTotCnt = 0;                   /** 금융거래정보 총건수 */
    private int crdtJudInfoTotCnt = 0;                  /** 신용도판단정보 총건수 */
    private int pubInfoTotCnt = 0;                      /** 공공정보 총 건수 */
    private int ntsModelTxprInfoTotCnt = 0;             /** 국세청 모범납세자 정보 총 건수 */
    private int loanInfoTotCnt = 0;                     /** 대출･단기카드대출정보 총건수 */
    private int debtGuarTotCnt = 0;                     /** 채무보증정보 총건수 */
    private int moiResiNoChngManInfoTotCnt = 0;         /** 행안부 주민등록번호 변동자 정보 총건수 */
    private int moiResiNoChngManInfoReptCnt = 0;        /** 행안부 주민등록번호 변동자 정보 회보 건수 */
    private int relManReptCnt = 0;                      /** 관련인 회보 건수 */
    private int fincTrInfoReptCnt = 0;                  /** 금융거래정보 회보 건수 */
    private int crdtPubInfoReptCnt = 0;                 /** 신용도판단정보･공공정보 회보 건수 */
    private int loanInfoReptCnt = 0;                    /** 대출･단기카드대출정보 회보 건수 */
    private int debtGuarReptCnt = 0;                    /** 채무보증정보 회보 건수 */
    private int intgInfoReptCnt = 0;                    /** 통합정보 회보 건수 */

    public String getGramSeq() {
        return gramSeq;
    }
    public String getResiNo() {
        return resiNo;
    }
    public String getResiNoDiv() {
        return resiNoDiv;
    }
    public String getDataUseDiv() {
        return dataUseDiv;
    }
    public String getInqAgrFg() {
        return inqAgrFg;
    }
    public String getMtalNm() {
        return mtalNm;
    }
    public String getName() {
        return name;
    }
    public String getJobCd() {
        return jobCd;
    }
    public String getBzitCd() {
        return bzitCd;
    }
    public String getMoiDcsdFg() {
        return moiDcsdFg;
    }
    public String getMoiDthDt() {
        return moiDthDt;
    }
    public String getMoiRegNoChngInfo() {
        return moiRegNoChngInfo;
    }
    public String getFincTrLastUpdtDt() {
        return fincTrLastUpdtDt;
    }
    public String getCrdtPubInfoLastUpdtDt() {
        return crdtPubInfoLastUpdtDt;
    }
    public String getLoanCardLastUpdtDt() {
        return loanCardLastUpdtDt;
    }
    public String getDebtGuarLastUpdtDt() {
        return debtGuarLastUpdtDt;
    }
    public String getCorpRegNo() {
        return corpRegNo;
    }
    public String getCrctAskMidFg() {
        return crctAskMidFg;
    }
    public String getRelManMore() {
        return relManMore;
    }
    public String getFincTrInfoMoreFg() {
        return fincTrInfoMoreFg;
    }
    public String getCrdtPubInfoMore() {
        return crdtPubInfoMore;
    }
    public String getLoanInfoMore() {
        return loanInfoMore;
    }
    public String getDebtGuarInfoMore() {
        return debtGuarInfoMore;
    }
    public int getRelManTotCnt() {
        return relManTotCnt;
    }
    public int getFincTrInfoTotCnt() {
        return fincTrInfoTotCnt;
    }
    public int getCrdtJudInfoTotCnt() {
        return crdtJudInfoTotCnt;
    }
    public int getPubInfoTotCnt() {
        return pubInfoTotCnt;
    }
    public int getNtsModelTxprInfoTotCnt() {
        return ntsModelTxprInfoTotCnt;
    }
    public int getLoanInfoTotCnt() {
        return loanInfoTotCnt;
    }
    public int getDebtGuarTotCnt() {
        return debtGuarTotCnt;
    }
    public int getMoiResiNoChngManInfoTotCnt() {
        return moiResiNoChngManInfoTotCnt;
    }
    public int getMoiResiNoChngManInfoReptCnt() {
        return moiResiNoChngManInfoReptCnt;
    }
    public int getRelManReptCnt() {
        return relManReptCnt;
    }
    public int getFincTrInfoReptCnt() {
        return fincTrInfoReptCnt;
    }
    public int getCrdtPubInfoReptCnt() {
        return crdtPubInfoReptCnt;
    }
    public int getLoanInfoReptCnt() {
        return loanInfoReptCnt;
    }
    public int getDebtGuarReptCnt() {
        return debtGuarReptCnt;
    }
    public int getIntgInfoReptCnt() {
        return intgInfoReptCnt;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public void setResiNoDiv(String resiNoDiv) {
        this.resiNoDiv = resiNoDiv;
    }
    public void setDataUseDiv(String dataUseDiv) {
        this.dataUseDiv = dataUseDiv;
    }
    public void setInqAgrFg(String inqAgrFg) {
        this.inqAgrFg = inqAgrFg;
    }
    public void setMtalNm(String mtalNm) {
        this.mtalNm = mtalNm;
    }
    public void setName(String name) {
        this.name = name;
    }
    public void setJobCd(String jobCd) {
        this.jobCd = jobCd;
    }
    public void setBzitCd(String bzitCd) {
        this.bzitCd = bzitCd;
    }
    public void setMoiDcsdFg(String moiDcsdFg) {
        this.moiDcsdFg = moiDcsdFg;
    }
    public void setMoiDthDt(String moiDthDt) {
        this.moiDthDt = moiDthDt;
    }
    public void setMoiRegNoChngInfo(String moiRegNoChngInfo) {
        this.moiRegNoChngInfo = moiRegNoChngInfo;
    }
    public void setFincTrLastUpdtDt(String fincTrLastUpdtDt) {
        this.fincTrLastUpdtDt = fincTrLastUpdtDt;
    }
    public void setCrdtPubInfoLastUpdtDt(String crdtPubInfoLastUpdtDt) {
        this.crdtPubInfoLastUpdtDt = crdtPubInfoLastUpdtDt;
    }
    public void setLoanCardLastUpdtDt(String loanCardLastUpdtDt) {
        this.loanCardLastUpdtDt = loanCardLastUpdtDt;
    }
    public void setDebtGuarLastUpdtDt(String debtGuarLastUpdtDt) {
        this.debtGuarLastUpdtDt = debtGuarLastUpdtDt;
    }
    public void setCorpRegNo(String corpRegNo) {
        this.corpRegNo = corpRegNo;
    }
    public void setCrctAskMidFg(String crctAskMidFg) {
        this.crctAskMidFg = crctAskMidFg;
    }
    public void setRelManMore(String relManMore) {
        this.relManMore = relManMore;
    }
    public void setFincTrInfoMoreFg(String fincTrInfoMoreFg) {
        this.fincTrInfoMoreFg = fincTrInfoMoreFg;
    }
    public void setCrdtPubInfoMore(String crdtPubInfoMore) {
        this.crdtPubInfoMore = crdtPubInfoMore;
    }
    public void setLoanInfoMore(String loanInfoMore) {
        this.loanInfoMore = loanInfoMore;
    }
    public void setDebtGuarInfoMore(String debtGuarInfoMore) {
        this.debtGuarInfoMore = debtGuarInfoMore;
    }
    public void setRelManTotCnt(int relManTotCnt) {
        this.relManTotCnt = relManTotCnt;
    }
    public void setFincTrInfoTotCnt(int fincTrInfoTotCnt) {
        this.fincTrInfoTotCnt = fincTrInfoTotCnt;
    }
    public void setCrdtJudInfoTotCnt(int crdtJudInfoTotCnt) {
        this.crdtJudInfoTotCnt = crdtJudInfoTotCnt;
    }
    public void setPubInfoTotCnt(int pubInfoTotCnt) {
        this.pubInfoTotCnt = pubInfoTotCnt;
    }
    public void setNtsModelTxprInfoTotCnt(int ntsModelTxprInfoTotCnt) {
        this.ntsModelTxprInfoTotCnt = ntsModelTxprInfoTotCnt;
    }
    public void setLoanInfoTotCnt(int loanInfoTotCnt) {
        this.loanInfoTotCnt = loanInfoTotCnt;
    }
    public void setDebtGuarTotCnt(int debtGuarTotCnt) {
        this.debtGuarTotCnt = debtGuarTotCnt;
    }
    public void setMoiResiNoChngManInfoTotCnt(int moiResiNoChngManInfoTotCnt) {
        this.moiResiNoChngManInfoTotCnt = moiResiNoChngManInfoTotCnt;
    }
    public void setMoiResiNoChngManInfoReptCnt(int moiResiNoChngManInfoReptCnt) {
        this.moiResiNoChngManInfoReptCnt = moiResiNoChngManInfoReptCnt;
    }
    public void setRelManReptCnt(int relManReptCnt) {
        this.relManReptCnt = relManReptCnt;
    }
    public void setFincTrInfoReptCnt(int fincTrInfoReptCnt) {
        this.fincTrInfoReptCnt = fincTrInfoReptCnt;
    }
    public void setCrdtPubInfoReptCnt(int crdtPubInfoReptCnt) {
        this.crdtPubInfoReptCnt = crdtPubInfoReptCnt;
    }
    public void setLoanInfoReptCnt(int loanInfoReptCnt) {
        this.loanInfoReptCnt = loanInfoReptCnt;
    }
    public void setDebtGuarReptCnt(int debtGuarReptCnt) {
        this.debtGuarReptCnt = debtGuarReptCnt;
    }
    public void setIntgInfoReptCnt(int intgInfoReptCnt) {
        this.intgInfoReptCnt = intgInfoReptCnt;
    }
}
