package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKisCrdtIntgInfoHistDTO.java Class
 * 클래스설명    : ST_신정원_신용통합정보이력(회보)(ST_KFB_CRDT_INTG_INFO_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * [2023. 6.  5.][70278 ][전문 변경에 따른 항목변경]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbCrdtIntgInfoHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /** 전문일련번호 */
    private int subSeq = 0;                             /** 서브 일련번호 */
    private String dataDivCd = "";                      /** 자료 구분 */
    private String rsnDivCd = "";                       /** 사유 구분 코드 */
    private String regRsnCd = "";                       /** 등록 사유 */
    private String acntNo = "";                         /** 계좌 번호 */
    private String regShop = "";                        /** 등록 점포 */
    private String occrDt = "";                         /** 발생일 */
    private String closDt = "";                         /** 해제일 (변동일) */
    private String acptDt = "";                         /** 접수일 */
    private String notiDt = "";                         /** 통보일 */
    private long   regAmt = 0;                          /** 등록금액 (단위 : 천원) */
    private long   dlyAmt = 0;                          /** 연체금액 (단위 : 천원) */
    private String contDt = "";                         /** 약정일자 */
    private String closDivCd = "";                      /** 해제구분코드 */
    private String closAcptDt = "";                     /** 해제 접수일 */
    private String closNotiDt = "";                     /** 해제 통보일 */
    private String oldRegRsnCd = "";                    /** 구 등록사유 */
    private String delSchdDt = "";                      /** 삭제예정일 */
    private String loanMrtgDivCd = "";                  /** 대출(담보)종류 구분 */
    private String lnkLoanFg = "";                      /** 연계대출여부 */
    private String ppFincDivCd = "";                    /** 대출 서민금융 구분 */

    public String getGramSeq() {
        return gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public String getDataDivCd() {
        return dataDivCd;
    }
    public String getRsnDivCd() {
        return rsnDivCd;
    }
    public String getRegRsnCd() {
        return regRsnCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public String getRegShop() {
        return regShop;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public String getClosDt() {
        return closDt;
    }
    public String getAcptDt() {
        return acptDt;
    }
    public String getNotiDt() {
        return notiDt;
    }
    public long getRegAmt() {
        return regAmt;
    }
    public long getDlyAmt() {
        return dlyAmt;
    }
    public String getContDt() {
        return contDt;
    }
    public String getClosDivCd() {
        return closDivCd;
    }
    public String getClosAcptDt() {
        return closAcptDt;
    }
    public String getClosNotiDt() {
        return closNotiDt;
    }
    public String getOldRegRsnCd() {
        return oldRegRsnCd;
    }
    public String getDelSchdDt() {
        return delSchdDt;
    }
    public String getLoanMrtgDivCd() {
        return loanMrtgDivCd;
    }
    public String getLnkLoanFg() {
        return lnkLoanFg;
    }
    public String getPpFincDivCd() {
        return ppFincDivCd;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public void setDataDivCd(String dataDivCd) {
        this.dataDivCd = dataDivCd;
    }
    public void setRsnDivCd(String rsnDivCd) {
        this.rsnDivCd = rsnDivCd;
    }
    public void setRegRsnCd(String regRsnCd) {
        this.regRsnCd = regRsnCd;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public void setRegShop(String regShop) {
        this.regShop = regShop;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }
    public void setClosDt(String closDt) {
        this.closDt = closDt;
    }
    public void setAcptDt(String acptDt) {
        this.acptDt = acptDt;
    }
    public void setNotiDt(String notiDt) {
        this.notiDt = notiDt;
    }
    public void setRegAmt(long regAmt) {
        this.regAmt = regAmt;
    }
    public void setDlyAmt(long dlyAmt) {
        this.dlyAmt = dlyAmt;
    }
    public void setContDt(String contDt) {
        this.contDt = contDt;
    }
    public void setClosDivCd(String closDivCd) {
        this.closDivCd = closDivCd;
    }
    public void setClosAcptDt(String closAcptDt) {
        this.closAcptDt = closAcptDt;
    }
    public void setClosNotiDt(String closNotiDt) {
        this.closNotiDt = closNotiDt;
    }
    public void setOldRegRsnCd(String oldRegRsnCd) {
        this.oldRegRsnCd = oldRegRsnCd;
    }
    public void setDelSchdDt(String delSchdDt) {
        this.delSchdDt = delSchdDt;
    }
    public void setLoanMrtgDivCd(String loanMrtgDivCd) {
        this.loanMrtgDivCd = loanMrtgDivCd;
    }
    public void setLnkLoanFg(String lnkLoanFg) {
        this.lnkLoanFg = lnkLoanFg;
    }
    public void setPpFincDivCd(String ppFincDivCd) {
        this.ppFincDivCd = ppFincDivCd;
    }
}
