package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbIndvRvvlApplHistDTO.java Class
 * 클래스설명    : ST_신정원_개인회생신청정보이력(회보)(ST_KFB_INDV_RVVL_APPL_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbIndvRvvlApplHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String regCdDiv = "";                       /* 등록코드구분 */
    private String regCd = "";                          /* 등록코드 */
    private String caseNo = "";                         /* 사건번호 */
    private String fincOrgShopCd = "";                  /* 금융기관 점포코드 */
    private String cortCd = "";                         /* 법원코드 */
    private String occrDt = "";                         /* 발생일자 */

    public String getGramSeq() {
        return gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public String getRegCdDiv() {
        return regCdDiv;
    }
    public String getRegCd() {
        return regCd;
    }
    public String getCaseNo() {
        return caseNo;
    }
    public String getFincOrgShopCd() {
        return fincOrgShopCd;
    }
    public String getCortCd() {
        return cortCd;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public void setRegCdDiv(String regCdDiv) {
        this.regCdDiv = regCdDiv;
    }
    public void setRegCd(String regCd) {
        this.regCd = regCd;
    }
    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public void setFincOrgShopCd(String fincOrgShopCd) {
        this.fincOrgShopCd = fincOrgShopCd;
    }
    public void setCortCd(String cortCd) {
        this.cortCd = cortCd;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }


}
