package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbLoanContWdrwInfoHistDTO.java Class
 * 클래스설명    : ST_신정원_대출계약철회정보(회보)(ST_KFB_LOAN_CONT_WDRW_INFO_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 15.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 15.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * [2023. 5.  8.][70278 ][클래스명 변경 ST_KFB_HOUS_LOAN_CONT_WDRW_INFO_HIST=>ST_KFB_LOAN_CONT_WDRW_INFO_HIST]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbLoanContWdrwInfoHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String regRsnCd = "";                       /* 등록(사유) 코드 */
    private String shopCd = "";                         /* 점포 코드 */
    private String acntNo = "";                         /* 계좌번호 */
    private String occrDt = "";                         /* 발생일 */
    private String contWdrwDt = "";                     /* 계약 철회일자 */
    private String procDt = "";                         /* 처리일 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRegRsnCd() {
        return regRsnCd;
    }
    public void setRegRsnCd(String regRsnCd) {
        this.regRsnCd = regRsnCd;
    }
    public String getShopCd() {
        return shopCd;
    }
    public void setShopCd(String shopCd) {
        this.shopCd = shopCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }
    public String getContWdrwDt() {
        return contWdrwDt;
    }
    public void setContWdrwDt(String contWdrwDt) {
        this.contWdrwDt = contWdrwDt;
    }
    public String getProcDt() {
        return procDt;
    }
    public void setProcDt(String procDt) {
        this.procDt = procDt;
    }
}
