package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbLoanDsrSpecDTO.java Class
 * 클래스설명    : ST_신정원_대출DSR상세정보(ST_KFB_LOAN_DSR_SPEC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbLoanDsrSpecDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String resiNo = "";                         /* 주민(사업자)등록번호 */
    private String useObjCd = "";                       /* 자료이용목적 */
    private String inqAgrYn = "";                       /* 조회 동의 여부 */
    private String dsrStndDt = "";                      /* DSR 산정만기 기준일자 */
    private String mtalNm = "";                         /* 상호(기업체명) */
    private String custNm = "";                         /* 성명(대표자) */
    private String bzitDivCd = "";                      /* 업종 코드 */
    private String loan100MillionOverDiv = "";          /* 신용대출 1억초과 구분 */
    private String brwrUnitDsrAplyDiv = "";             /* 차주단위 DSR적용 신용대출 차주 구분 */
    private String lastUpdtDt = "";                     /* 대출정보 Update 최근 일자 */
    private String infoMoreFg = "";                     /* 대출･단기카드대출 정보 More */
    private int loanTotCnt = 0;                         /* 대출･단기카드대출 정보 총 건수 */
    private int loanHistCnt = 0;                        /* 대출･단기카드대출 정보 회보 건수 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getUseObjCd() {
        return useObjCd;
    }
    public void setUseObjCd(String useObjCd) {
        this.useObjCd = useObjCd;
    }
    public String getInqAgrYn() {
        return inqAgrYn;
    }
    public void setInqAgrYn(String inqAgrYn) {
        this.inqAgrYn = inqAgrYn;
    }
    public String getDsrStndDt() {
        return dsrStndDt;
    }
    public void setDsrStndDt(String dsrStndDt) {
        this.dsrStndDt = dsrStndDt;
    }
    public String getMtalNm() {
        return mtalNm;
    }
    public void setMtalNm(String mtalNm) {
        this.mtalNm = mtalNm;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getBzitDivCd() {
        return bzitDivCd;
    }
    public void setBzitDivCd(String bzitDivCd) {
        this.bzitDivCd = bzitDivCd;
    }
    public String getLoan100MillionOverDiv() {
        return loan100MillionOverDiv;
    }
    public void setLoan100MillionOverDiv(String loan100MillionOverDiv) {
        this.loan100MillionOverDiv = loan100MillionOverDiv;
    }
    public String getBrwrUnitDsrAplyDiv() {
        return brwrUnitDsrAplyDiv;
    }
    public void setBrwrUnitDsrAplyDiv(String brwrUnitDsrAplyDiv) {
        this.brwrUnitDsrAplyDiv = brwrUnitDsrAplyDiv;
    }
    public String getLastUpdtDt() {
        return lastUpdtDt;
    }
    public void setLastUpdtDt(String lastUpdtDt) {
        this.lastUpdtDt = lastUpdtDt;
    }
    public String getInfoMoreFg() {
        return infoMoreFg;
    }
    public void setInfoMoreFg(String infoMoreFg) {
        this.infoMoreFg = infoMoreFg;
    }
    public int getLoanTotCnt() {
        return loanTotCnt;
    }
    public void setLoanTotCnt(int loanTotCnt) {
        this.loanTotCnt = loanTotCnt;
    }
    public int getLoanHistCnt() {
        return loanHistCnt;
    }
    public void setLoanHistCnt(int loanHistCnt) {
        this.loanHistCnt = loanHistCnt;
    }
}
