package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbLoanDsrSpecHistDTO.java Class
 * 클래스설명    : ST_신정원_대출DSR상세정보이력(회보)(ST_KFB_LOAN_DSR_SPEC_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbLoanDsrSpecHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String rsnCd = "";                          /* 등록 코드 */
    private String shopCd = "";                         /* 점포 코드 */
    private String occrDt = "";                         /* 발생일 */
    private String loanAmt = "";                        /* 등록 금액 (단위 : 천원) */
    private String chngDt = "";                         /* 변동일 */
    private String acntNo = "";                         /* 계좌번호 */
    private String loanDivCd = "";                      /* 대출(담보)종류 구분 */
    private String dsrEstmDivCd = "";                   /* 산정_미산정코드 */
    private String dsrChngDt = "";                      /* 금리 등 정보 변동일 */
    private String dsrRgltObjMrtgDivCd = "";            /* DSR 규제대상 주택담보대출 구분 */
    private String mrtgSpecKindCd = "";                 /* 담보 세부 종류(코드) */
    private int yrRepayAmt = 0;                         /* [신정원 산정]연간 상환 예정액 */
    private int yrRepayAmtStr = 0;                      /* [신정원 산정]연간 상환 예정액(스트레스 금리 가산) */
    private String lnkProjDiv = "";                     /* 연계대출 및 집단대출 구분 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRsnCd() {
        return rsnCd;
    }
    public void setRsnCd(String rsnCd) {
        this.rsnCd = rsnCd;
    }
    public String getShopCd() {
        return shopCd;
    }
    public void setShopCd(String shopCd) {
        this.shopCd = shopCd;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }
    public String getLoanAmt() {
        return loanAmt;
    }
    public void setLoanAmt(String loanAmt) {
        this.loanAmt = loanAmt;
    }
    public String getChngDt() {
        return chngDt;
    }
    public void setChngDt(String chngDt) {
        this.chngDt = chngDt;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getLoanDivCd() {
        return loanDivCd;
    }
    public void setLoanDivCd(String loanDivCd) {
        this.loanDivCd = loanDivCd;
    }
    public String getDsrEstmDivCd() {
        return dsrEstmDivCd;
    }
    public void setDsrEstmDivCd(String dsrEstmDivCd) {
        this.dsrEstmDivCd = dsrEstmDivCd;
    }
    public String getDsrChngDt() {
        return dsrChngDt;
    }
    public void setDsrChngDt(String dsrChngDt) {
        this.dsrChngDt = dsrChngDt;
    }
    public String getDsrRgltObjMrtgDivCd() {
        return dsrRgltObjMrtgDivCd;
    }
    public void setDsrRgltObjMrtgDivCd(String dsrRgltObjMrtgDivCd) {
        this.dsrRgltObjMrtgDivCd = dsrRgltObjMrtgDivCd;
    }
    public String getMrtgSpecKindCd() {
        return mrtgSpecKindCd;
    }
    public void setMrtgSpecKindCd(String mrtgSpecKindCd) {
        this.mrtgSpecKindCd = mrtgSpecKindCd;
    }
    public int getYrRepayAmt() {
        return yrRepayAmt;
    }
    public void setYrRepayAmt(int yrRepayAmt) {
        this.yrRepayAmt = yrRepayAmt;
    }
    public int getYrRepayAmtStr() {
        return yrRepayAmtStr;
    }
    public void setYrRepayAmtStr(int yrRepayAmtStr) {
        this.yrRepayAmtStr = yrRepayAmtStr;
    }
    public String getLnkProjDiv() {
        return lnkProjDiv;
    }
    public void setLnkProjDiv(String lnkProjDiv) {
        this.lnkProjDiv = lnkProjDiv;
    }
}
