package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbOnlnMstrDTO.java Class
 * 클래스설명    : ST_신정원_온라인_마스터(ST_KFB_ONLN_MSTR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbOnlnMstrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String loanCnslNo = "";                     /* 대출상담번호 */
    private String loanApplNo = "";                     /* 대출신청번호 */
    private String loanNo = "";                         /* 대출번호 */
    private String custNo = "";                         /* 고객번호 */
    private String gramKindCd = "";                     /* 전문종별코드 */
    private String bsnDivCd = "";                       /* 업무구분코드 */
    private String rspnCd = "";                         /* 응답코드 */
    private String orgMngNo = "";                       /* 금융기관전문관리번호 */
    private String orgSndTm = "";                       /* 금융기관전문전송시간 */
    private String unionMngNo = "";                     /* 신용정보원전문관리번호 */
    private String unionSndTm = "";                     /* 신용정보원전문전송시간 */
    private String resiNo = "";                         /* 주민등록번호 */
    private String resiNoDiv = "";                      /* 주민등록번호 구분 */
    private String dataUseDiv = "";                     /* 자료이용목적 */
    private String inqAgrFg = "";                       /* 조회 동의 여부 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getGramKindCd() {
        return gramKindCd;
    }
    public void setGramKindCd(String gramKindCd) {
        this.gramKindCd = gramKindCd;
    }
    public String getBsnDivCd() {
        return bsnDivCd;
    }
    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }
    public String getRspnCd() {
        return rspnCd;
    }
    public void setRspnCd(String rspnCd) {
        this.rspnCd = rspnCd;
    }
    public String getOrgMngNo() {
        return orgMngNo;
    }
    public void setOrgMngNo(String orgMngNo) {
        this.orgMngNo = orgMngNo;
    }
    public String getOrgSndTm() {
        return orgSndTm;
    }
    public void setOrgSndTm(String orgSndTm) {
        this.orgSndTm = orgSndTm;
    }
    public String getUnionMngNo() {
        return unionMngNo;
    }
    public void setUnionMngNo(String unionMngNo) {
        this.unionMngNo = unionMngNo;
    }
    public String getUnionSndTm() {
        return unionSndTm;
    }
    public void setUnionSndTm(String unionSndTm) {
        this.unionSndTm = unionSndTm;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getResiNoDiv() {
        return resiNoDiv;
    }
    public void setResiNoDiv(String resiNoDiv) {
        this.resiNoDiv = resiNoDiv;
    }
    public String getDataUseDiv() {
        return dataUseDiv;
    }
    public void setDataUseDiv(String dataUseDiv) {
        this.dataUseDiv = dataUseDiv;
    }
    public String getInqAgrFg() {
        return inqAgrFg;
    }
    public void setInqAgrFg(String inqAgrFg) {
        this.inqAgrFg = inqAgrFg;
    }
}
