package hanalife.c.co.mapper.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/***
 * <pre>
 * 클래스명    : StLoanBaseDTO.java Class
 * 클래스설명  : StLoanBase[대출_기본]를(을) 위한	DTO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class StLoanBaseDTO implements Serializable {

    private String loanNo  = "";  /** 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /** 상담대출순번 */
    private String mngNo  = "";  /** 관리번호 */
    private long mngSeq  = 0;  /** 관리순번 */
    private String imgAcntBankCd  = "";  /** 가상계좌은행코드 */
    private String imgAcntNo  = "";  /** 가상계좌번호 */
    private String prdtLrgeClasCd  = "";  /** 상품대분류코드 */
    private String prdtMidClasCd  = "";  /** 상품중분류코드 */
    private String prdtSmClasCd  = "";  /** 관리상품소분류코드 */
    private String prdtCd  = "";  /** 상품코드 */
    private String contManNo  = "";  /** 계약자번호 */
    private String rlDueManNo  = "";  /** 실납입자번호 */
    private String loanStatCd  = "";  /** 대출상태코드 */
    private String loanLastFg  = "";  /** 대출최종여부 */
    private String loanOccrCd  = "";  /** 대출발생코드 */
    private String mngDeptCd  = "";  /** 관리부서코드 */
    private String occrDeptCd  = "";  /** 발생부서코드 */
    private String lnDivsEmpNo  = "";  /** 여신담당사번 */
    private String bndDivsEmpNo  = "";  /** 채권담당사원번호 */
    private long loanTerm  = 0;  /** 대출기간 */
    private String dueMethCd  = "";  /** 납입방법코드 */
    private String trtFeeDivsRcptFg  = "";  /** 취급수수료분할수납여부 */
    private String housGrpCd  = "";  /** 주택단지코드 */
    private String empCondCd  = "";  /** 임직원조건코드 */
    private String cmpg1Cd  = "";  /** 캠페인1코드 */
    private String cmpg2Cd  = "";  /** 캠페인2코드 */
    private String cmpg3Cd  = "";  /** 캠페인3코드 */
    private long frstLoanIntRt  = 0;  /** 최초대출이자율 */
    private long loanIntRt  = 0;  /** 대출이자율 */
    private long intnPrftRt  = 0;  /** 내부수익율 */
    private long dfeeRt  = 0;  /** 연체료율 */
    private long trtFeeRt  = 0;  /** 취급수수료율 */
    private long cprtFeeRt  = 0;  /** 제휴수수료율 */
    private long brcvRt  = 0;  /** 선수율 */
    private String fcntMopaCalcFg  = "";  /** 초회월할계산여부 */
    private String fcntDueDt  = "";  /** 초회납입일 */
    private String setlDd  = "";  /** 결제일 */
    private String intStrtDt  = "";  /** 이자시작일자 */
    private String deliDt  = "";  /** 출고일자 */
    private String applDt  = "";  /** 신청일자 */
    private String loanDt  = "";  /** 대출일자 */
    private String aprvDt  = "";  /** 승인일자 */
    private String eprtDt  = "";  /** 만기일자 */
    private String payDt  = "";  /** 지급일자 */
    private String endDt  = "";  /** 종국일 */
    private String examDgreCd  = "";  /** 심사등급코드 */
    private String examJudgCd  = "";  /** 심사판정코드 */
    private String ntrmJstManCd  = "";  /** 차기결재자코드 */
    private String saleEmpResiNo  = "";  /** 판매사원주민등록번호 */
    private String prEmpResiNo  = "";  /** 판촉사원주민등록번호 */
    private BigDecimal loanContAmt  = BigDecimal.ZERO;  /** 대출약정금액 */
    private BigDecimal loanPamt  = BigDecimal.ZERO;  /** 대출원금 */
    private BigDecimal loanInt  = BigDecimal.ZERO;  /** 대출이자 */
    private BigDecimal custTrtFee  = BigDecimal.ZERO;  /** 고객취급수수료 */
    private BigDecimal cprtComTrtFee  = BigDecimal.ZERO;  /** 제휴사취급수수료 */
    private BigDecimal cprtFee  = BigDecimal.ZERO;  /** 제휴수수료 */
    private BigDecimal setFee  = BigDecimal.ZERO;  /** 설정료 */
    private BigDecimal notaFee  = BigDecimal.ZERO;  /** 공증료 */
    private BigDecimal etcFee  = BigDecimal.ZERO;  /** 기타수수료 */
    private BigDecimal crdtRcvrUnrcvAmt  = BigDecimal.ZERO;  /** 신용회복미수금 */
    private BigDecimal midRmbrFee  = BigDecimal.ZERO;  /** 중도상환수수료 */
    private BigDecimal leglActsCost  = BigDecimal.ZERO;  /** 법적조치비용 */
    private BigDecimal loanPamtRamt  = BigDecimal.ZERO;  /** 연체회차사용여부 */
    private BigDecimal loanIntRamt  = BigDecimal.ZERO;  /** 대출이자잔액 */
    private BigDecimal leglActsCostRamt  = BigDecimal.ZERO;  /** 법적조치비용잔액 */
    private BigDecimal rmbrPamt  = BigDecimal.ZERO;  /** 상환원금 */
    private BigDecimal rmbrInt  = BigDecimal.ZERO;  /** 상환이자 */
    private BigDecimal midRmbrInt  = BigDecimal.ZERO;  /** 중도상환이자 */
    private BigDecimal rmbrDfee  = BigDecimal.ZERO;  /** 상환연체료 */
    private BigDecimal discTrtFee  = BigDecimal.ZERO;  /** 할인취급수수료 */
    private BigDecimal discDfee  = BigDecimal.ZERO;  /** 할인연체료 */
    private BigDecimal rmbrLeglActsCost  = BigDecimal.ZERO;  /** 상환법적조치비용 */
    private BigDecimal rmbrCrdtRcvrUnrcvAmt  = BigDecimal.ZERO;  /** 회차할부금융업종조회총건수회복이자금액 */
    private BigDecimal exmpPamt  = BigDecimal.ZERO;  /** 면제원금 */
    private BigDecimal exmpInt  = BigDecimal.ZERO;  /** 면제이자 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /** 면제연체료 */
    private BigDecimal exmpLeglActsCost  = BigDecimal.ZERO;  /** 면제법적조치비용 */
    private BigDecimal exmpMidRmbrFee  = BigDecimal.ZERO;  /** 면제중도상환수수료 */
    private BigDecimal exemPamt  = BigDecimal.ZERO;  /** 감면원금 */
    private long acntSnum  = 0;  /** 계좌일련번호 */
    private String setlBankCd  = "";  /** 결제은행코드 */
    private String setlAcntNo  = "";  /** 결제계좌번호 */
    private String acntStatCd  = "";  /** 계좌상태코드 */
    private String autoTranAplyDt  = "";  /** 자동이체적용일자 */
    private String depoOwnNo  = "";  /** 예금주번호 */
    private String depoOwnnm  = "";  /** 예금주명 */
    private String depoOwnRelcd  = "";  /** 예금주관계코드 */
    private long totTims  = 0;  /** 총회차 */
    private long cpayTims  = 0;  /** 완납회차 */
    private long setlNo  = 0;  /** 결제번호 */
    private String rcptStatCd  = "";  /** 수납상태코드 */
    private String leglActsStatCd  = "";  /** 법적조치상태코드 */
    private String badDebtProcStatCd  = "";  /** 대손대상제외여부 */
    private String crdtRcvrStatCd  = "";  /** 신용회복상태코드 */
    private String loanNormIzeFg  = "";  /** 대출정상화여부 */
    private String lawCostOccrFg  = "";  /** 법비용발생여부 */
    private String flotIzeDivCd  = "";  /** 유동화구분코드 */
    private String flotIzeSeq  = "";  /** 유동화차수 */
    private long flotIzeStrtSetlNo  = 0;  /** 유동화환매회차정착번호 */
    private long flotIzeEndSetlNo  = 0;  /** 유동화환매회차정착번호 */
    private String flotIzeRpchFg  = "";  /** 유동화환매여부 */
    private String collComCd  = "";  /** 추심회사코드 */
    private String badBndSellComCd  = "";  /** 불량채권매각회사코드 */
    private String crdtInfoAgrFg  = "";  /** 신용정보동의여부 */
    private String dmscRegIntnVochNo  = "";  /** 자판등록내부전표번호 */
    private String dmscCnclIntnVochNo  = "";  /** 자판취소내부전표번호 */
    private String loanAcctDt  = "";  /** 대출회계일자 */
    private long frstStndIntRt  = 0;  /** 최초등록자사번기준잔액할인율 */
    private long frstStndTrtFeeRt  = 0;  /** 최초등록자사번기준취급금할인율 */
    private BigDecimal frstStndCustTrtFee  = BigDecimal.ZERO;  /** 최초등록자사번기준고객취급금 */
    private BigDecimal frstStndCprtComTrtFee  = BigDecimal.ZERO;  /** 최초등록자사번기준코드회사명취급금 */
    private long frstStndPrFeeRt  = 0;  /** 최초등록자사번기준판촉수수료금할인율 */
    private BigDecimal frstStndPrFee  = BigDecimal.ZERO;  /** 최초등록자사번기준판촉수수료금 */
    private long frstStndIntnPrftRt  = 0;  /** 최초등록자사번기준인터넷이익할인율 */
    private String bndOldNewFg  = "";  /** 채권구1신여부 */
    private long factIntRt  = 0;  /** 실제이자율 */
    private String spclCarsFg  = "";  /** 특수차량여부 */
    private String spclCarsLoanNo  = "";  /** 특수차량대출번호 */
    private String trtFeeDiscExclFg  = "";  /** 취급금할인율제외자여부 */
    private String execDt  = "";  /** 실행일자 */
    private String intRtDivCd  = "";  /** 이자율구분코드 */
    private String monyPrpsCd  = "";  /** 자금용도코드 */
    private String loanTpCd  = "";  /** 대출유형코드 */
    private String rmbrMethCd  = "";  /** 상환방법코드 */
    private String empDivCd  = "";  /** 임직원구분코드 */
    private String setFeeBrdnDivCd  = "";  /** 설정료부담구분코드 */
    private String trtFeeBrdnDivCd  = "";  /** 취급수수료부담구분코드 */
    private String loanApplDivCd  = "";  /** 대출신청구분코드 */
    private String loanSchdDt  = "";  /** 대출예정일자 */
    private long baseIntRt  = 0;  /** 기본이자율 */
    private long addIntRt  = 0;  /** 가산이자율 */
    private long aosIntRt  = 0;  /** 가감이자율 */
    private long ltvr  = 0;  /** LTVR */
    private long dtir  = 0;  /** DTIR */
    private BigDecimal rigtInsuFee  = BigDecimal.ZERO;  /** 권리보험료 */
    private BigDecimal judgFee  = BigDecimal.ZERO;  /** 감정수수료 */
    private long defrTerm  = 0;  /** 거치기간 */
    private String plPrdtDiv  = "";  /** PL상품구분 */
    private String plCnslDiv  = "";  /** PL상담구분 */
    private long addIntRt2  = 0;  /** 추가이자율2 */
    private long aosIntRt2  = 0;  /** 가감이자율2 */
    private long addIntRt3  = 0;  /** 추가이자율3 */
    private long aosIntRt3  = 0;  /** 가감이자율3 */
    private long spclDiscIntRt  = 0;  /** 특별할인이자율 */
    private String acptPathCd  = "";  /** 접수경로코드 */
    private String rentCarFg  = "";  /** 임대차판촉여부 */
    private long addIntRt1  = 0;  /** 환개금잔액이율1 */
    private long aosIntRt1  = 0;  /** 금액잔액이율1 */
    private String vsitEmpNo  = "";  /** 방문사원번호 */
    private String autoTranIntgFg  = "";  /** 자동이체통합여부 */
    private String eprtRmbrSlctCd  = "";  /** 만기일자회차선정코드 */
    private String moggSpclPrdtDivCd  = "";  /** 모기지특수상품구분코드 */
    private String rsltCnclDt  = "";  /** 코드해제일자 */
    private String mngPlcBndDivsEmpNo  = "";  /** 관리처채권담당사원번호 */
    private String moggIncrAmtFg  = "";  /** 모기지증액여부 */
    private String moggRigtInsuComDivCd  = "";  /** 모기지취득가입회사명구분코드 */
    private String extnDt  = "";  /** 종료일자 */
    private String loanRegEmpNo  = "";  /** 대출등록사원번호 */
    private String deliDcsnDt  = "";  /** 출고번호확정일자 */
    private String corpBndlLoanObjFg  = "";  /** 법인포괄대출회피여부 */
    private String corpBndlLoanReprNoFg  = "";  /** 법인포괄대출여부번호여부 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /** 취급수수료 */
    private BigDecimal trtFeeRamt  = BigDecimal.ZERO;  /** 취급수수료잔액 */
    private BigDecimal rmbrTrtFee  = BigDecimal.ZERO;  /** 상환취급수수료 */
    private BigDecimal exmpTrtFee  = BigDecimal.ZERO;  /** 면제취급수수료 */
    private String bfLoanNo  = "";  /** 전대출번호 */
    private BigDecimal bfLoanRamt  = BigDecimal.ZERO;  /** 전대출잔액 */
    private BigDecimal bfLoanCpayInt  = BigDecimal.ZERO;  /** 전대출완납이자 */
    private long addTcnt  = 0;  /** 환개금횟수 */
    private String mrtgClosFbidFg  = "";  /** 담보말소금지여부 */
    private String crdtPasrComrDivCd  = "";  /** 신용승용상용구분코드 */
    private String trtFeeFg  = "";  /** 취급수수료여부 */
    private String mngPlcDivCd  = "";  /** 관리처구분코드 */
    private String wdrwPlcDivCd  = "";  /** 회수처구분코드 */
    private String plDocTrtDivCd  = "";  /** 손익서식취급구분코드 */
    private String contNo  = "";  /** 약정번호 */
    private String cnslNo  = "";  /** 상담번호 */
    private String ablIzeDivCd  = "";  /** ABL환매구분코드 */
    private String ablIzeSeq  = "";  /** ABL환매순번 */
    private String contManType  = "";  /** 여부인TYPE */
    private String loanNoK  = "";  /** K-대출번호 */
    private String custNo  = "";  /** 주민등록번호 */
    private String instEmpResiNo  = "";  /** 할부사원주민등록번호 */
    private String instCprtComNo  = "";  /** 할부제휴사번호 */
    private String instCprtBranCd  = "";  /** 할부제휴점코드 */
    private String bndDeptCd  = "";  /** 확보부서코드 */
    private long askFbidFg  = 0;  /** 청구지금지여부 */
    private long minIntRt  = 0;  /** 최소이자율 */
    private String bndSellExclYn  = "";  /** 확보채권매각차수제외자유무 */
    private String lastProcEmpNo  = "";  /** 최종처리사원 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngNo() {
        return mngNo;
    }
    public void setMngNo(String mngNo) {
        this.mngNo = mngNo;
    }
    public long getMngSeq() {
        return mngSeq;
    }
    public void setMngSeq(long mngSeq) {
        this.mngSeq = mngSeq;
    }
    public String getImgAcntBankCd() {
        return imgAcntBankCd;
    }
    public void setImgAcntBankCd(String imgAcntBankCd) {
        this.imgAcntBankCd = imgAcntBankCd;
    }
    public String getImgAcntNo() {
        return imgAcntNo;
    }
    public void setImgAcntNo(String imgAcntNo) {
        this.imgAcntNo = imgAcntNo;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getContManNo() {
        return contManNo;
    }
    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }
    public String getRlDueManNo() {
        return rlDueManNo;
    }
    public void setRlDueManNo(String rlDueManNo) {
        this.rlDueManNo = rlDueManNo;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getLoanLastFg() {
        return loanLastFg;
    }
    public void setLoanLastFg(String loanLastFg) {
        this.loanLastFg = loanLastFg;
    }
    public String getLoanOccrCd() {
        return loanOccrCd;
    }
    public void setLoanOccrCd(String loanOccrCd) {
        this.loanOccrCd = loanOccrCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getOccrDeptCd() {
        return occrDeptCd;
    }
    public void setOccrDeptCd(String occrDeptCd) {
        this.occrDeptCd = occrDeptCd;
    }
    public String getLnDivsEmpNo() {
        return lnDivsEmpNo;
    }
    public void setLnDivsEmpNo(String lnDivsEmpNo) {
        this.lnDivsEmpNo = lnDivsEmpNo;
    }
    public String getBndDivsEmpNo() {
        return bndDivsEmpNo;
    }
    public void setBndDivsEmpNo(String bndDivsEmpNo) {
        this.bndDivsEmpNo = bndDivsEmpNo;
    }
    public long getLoanTerm() {
        return loanTerm;
    }
    public void setLoanTerm(long loanTerm) {
        this.loanTerm = loanTerm;
    }
    public String getDueMethCd() {
        return dueMethCd;
    }
    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }
    public String getTrtFeeDivsRcptFg() {
        return trtFeeDivsRcptFg;
    }
    public void setTrtFeeDivsRcptFg(String trtFeeDivsRcptFg) {
        this.trtFeeDivsRcptFg = trtFeeDivsRcptFg;
    }
    public String getHousGrpCd() {
        return housGrpCd;
    }
    public void setHousGrpCd(String housGrpCd) {
        this.housGrpCd = housGrpCd;
    }
    public String getEmpCondCd() {
        return empCondCd;
    }
    public void setEmpCondCd(String empCondCd) {
        this.empCondCd = empCondCd;
    }
    public String getCmpg1Cd() {
        return cmpg1Cd;
    }
    public void setCmpg1Cd(String cmpg1Cd) {
        this.cmpg1Cd = cmpg1Cd;
    }
    public String getCmpg2Cd() {
        return cmpg2Cd;
    }
    public void setCmpg2Cd(String cmpg2Cd) {
        this.cmpg2Cd = cmpg2Cd;
    }
    public String getCmpg3Cd() {
        return cmpg3Cd;
    }
    public void setCmpg3Cd(String cmpg3Cd) {
        this.cmpg3Cd = cmpg3Cd;
    }
    public long getFrstLoanIntRt() {
        return frstLoanIntRt;
    }
    public void setFrstLoanIntRt(long frstLoanIntRt) {
        this.frstLoanIntRt = frstLoanIntRt;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public long getIntnPrftRt() {
        return intnPrftRt;
    }
    public void setIntnPrftRt(long intnPrftRt) {
        this.intnPrftRt = intnPrftRt;
    }
    public long getDfeeRt() {
        return dfeeRt;
    }
    public void setDfeeRt(long dfeeRt) {
        this.dfeeRt = dfeeRt;
    }
    public long getTrtFeeRt() {
        return trtFeeRt;
    }
    public void setTrtFeeRt(long trtFeeRt) {
        this.trtFeeRt = trtFeeRt;
    }
    public long getCprtFeeRt() {
        return cprtFeeRt;
    }
    public void setCprtFeeRt(long cprtFeeRt) {
        this.cprtFeeRt = cprtFeeRt;
    }
    public long getBrcvRt() {
        return brcvRt;
    }
    public void setBrcvRt(long brcvRt) {
        this.brcvRt = brcvRt;
    }
    public String getFcntMopaCalcFg() {
        return fcntMopaCalcFg;
    }
    public void setFcntMopaCalcFg(String fcntMopaCalcFg) {
        this.fcntMopaCalcFg = fcntMopaCalcFg;
    }
    public String getFcntDueDt() {
        return fcntDueDt;
    }
    public void setFcntDueDt(String fcntDueDt) {
        this.fcntDueDt = fcntDueDt;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public String getIntStrtDt() {
        return intStrtDt;
    }
    public void setIntStrtDt(String intStrtDt) {
        this.intStrtDt = intStrtDt;
    }
    public String getDeliDt() {
        return deliDt;
    }
    public void setDeliDt(String deliDt) {
        this.deliDt = deliDt;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getAprvDt() {
        return aprvDt;
    }
    public void setAprvDt(String aprvDt) {
        this.aprvDt = aprvDt;
    }
    public String getEprtDt() {
        return eprtDt;
    }
    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }
    public String getPayDt() {
        return payDt;
    }
    public void setPayDt(String payDt) {
        this.payDt = payDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public String getExamDgreCd() {
        return examDgreCd;
    }
    public void setExamDgreCd(String examDgreCd) {
        this.examDgreCd = examDgreCd;
    }
    public String getExamJudgCd() {
        return examJudgCd;
    }
    public void setExamJudgCd(String examJudgCd) {
        this.examJudgCd = examJudgCd;
    }
    public String getNtrmJstManCd() {
        return ntrmJstManCd;
    }
    public void setNtrmJstManCd(String ntrmJstManCd) {
        this.ntrmJstManCd = ntrmJstManCd;
    }
    public String getSaleEmpResiNo() {
        return saleEmpResiNo;
    }
    public void setSaleEmpResiNo(String saleEmpResiNo) {
        this.saleEmpResiNo = saleEmpResiNo;
    }
    public String getPrEmpResiNo() {
        return prEmpResiNo;
    }
    public void setPrEmpResiNo(String prEmpResiNo) {
        this.prEmpResiNo = prEmpResiNo;
    }
    public BigDecimal getLoanContAmt() {
        return loanContAmt;
    }
    public void setLoanContAmt(BigDecimal loanContAmt) {
        this.loanContAmt = loanContAmt;
    }
    public BigDecimal getLoanPamt() {
        return loanPamt;
    }
    public void setLoanPamt(BigDecimal loanPamt) {
        this.loanPamt = loanPamt;
    }
    public BigDecimal getLoanInt() {
        return loanInt;
    }
    public void setLoanInt(BigDecimal loanInt) {
        this.loanInt = loanInt;
    }
    public BigDecimal getCustTrtFee() {
        return custTrtFee;
    }
    public void setCustTrtFee(BigDecimal custTrtFee) {
        this.custTrtFee = custTrtFee;
    }
    public BigDecimal getCprtComTrtFee() {
        return cprtComTrtFee;
    }
    public void setCprtComTrtFee(BigDecimal cprtComTrtFee) {
        this.cprtComTrtFee = cprtComTrtFee;
    }
    public BigDecimal getCprtFee() {
        return cprtFee;
    }
    public void setCprtFee(BigDecimal cprtFee) {
        this.cprtFee = cprtFee;
    }
    public BigDecimal getSetFee() {
        return setFee;
    }
    public void setSetFee(BigDecimal setFee) {
        this.setFee = setFee;
    }
    public BigDecimal getNotaFee() {
        return notaFee;
    }
    public void setNotaFee(BigDecimal notaFee) {
        this.notaFee = notaFee;
    }
    public BigDecimal getEtcFee() {
        return etcFee;
    }
    public void setEtcFee(BigDecimal etcFee) {
        this.etcFee = etcFee;
    }
    public BigDecimal getCrdtRcvrUnrcvAmt() {
        return crdtRcvrUnrcvAmt;
    }
    public void setCrdtRcvrUnrcvAmt(BigDecimal crdtRcvrUnrcvAmt) {
        this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
    }
    public BigDecimal getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(BigDecimal midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public BigDecimal getLeglActsCost() {
        return leglActsCost;
    }
    public void setLeglActsCost(BigDecimal leglActsCost) {
        this.leglActsCost = leglActsCost;
    }
    public BigDecimal getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public BigDecimal getLoanIntRamt() {
        return loanIntRamt;
    }
    public void setLoanIntRamt(BigDecimal loanIntRamt) {
        this.loanIntRamt = loanIntRamt;
    }
    public BigDecimal getLeglActsCostRamt() {
        return leglActsCostRamt;
    }
    public void setLeglActsCostRamt(BigDecimal leglActsCostRamt) {
        this.leglActsCostRamt = leglActsCostRamt;
    }
    public BigDecimal getRmbrPamt() {
        return rmbrPamt;
    }
    public void setRmbrPamt(BigDecimal rmbrPamt) {
        this.rmbrPamt = rmbrPamt;
    }
    public BigDecimal getRmbrInt() {
        return rmbrInt;
    }
    public void setRmbrInt(BigDecimal rmbrInt) {
        this.rmbrInt = rmbrInt;
    }
    public BigDecimal getMidRmbrInt() {
        return midRmbrInt;
    }
    public void setMidRmbrInt(BigDecimal midRmbrInt) {
        this.midRmbrInt = midRmbrInt;
    }
    public BigDecimal getRmbrDfee() {
        return rmbrDfee;
    }
    public void setRmbrDfee(BigDecimal rmbrDfee) {
        this.rmbrDfee = rmbrDfee;
    }
    public BigDecimal getDiscTrtFee() {
        return discTrtFee;
    }
    public void setDiscTrtFee(BigDecimal discTrtFee) {
        this.discTrtFee = discTrtFee;
    }
    public BigDecimal getDiscDfee() {
        return discDfee;
    }
    public void setDiscDfee(BigDecimal discDfee) {
        this.discDfee = discDfee;
    }
    public BigDecimal getRmbrLeglActsCost() {
        return rmbrLeglActsCost;
    }
    public void setRmbrLeglActsCost(BigDecimal rmbrLeglActsCost) {
        this.rmbrLeglActsCost = rmbrLeglActsCost;
    }
    public BigDecimal getRmbrCrdtRcvrUnrcvAmt() {
        return rmbrCrdtRcvrUnrcvAmt;
    }
    public void setRmbrCrdtRcvrUnrcvAmt(BigDecimal rmbrCrdtRcvrUnrcvAmt) {
        this.rmbrCrdtRcvrUnrcvAmt = rmbrCrdtRcvrUnrcvAmt;
    }
    public BigDecimal getExmpPamt() {
        return exmpPamt;
    }
    public void setExmpPamt(BigDecimal exmpPamt) {
        this.exmpPamt = exmpPamt;
    }
    public BigDecimal getExmpInt() {
        return exmpInt;
    }
    public void setExmpInt(BigDecimal exmpInt) {
        this.exmpInt = exmpInt;
    }
    public BigDecimal getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(BigDecimal exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public BigDecimal getExmpLeglActsCost() {
        return exmpLeglActsCost;
    }
    public void setExmpLeglActsCost(BigDecimal exmpLeglActsCost) {
        this.exmpLeglActsCost = exmpLeglActsCost;
    }
    public BigDecimal getExmpMidRmbrFee() {
        return exmpMidRmbrFee;
    }
    public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
        this.exmpMidRmbrFee = exmpMidRmbrFee;
    }
    public BigDecimal getExemPamt() {
        return exemPamt;
    }
    public void setExemPamt(BigDecimal exemPamt) {
        this.exemPamt = exemPamt;
    }
    public long getAcntSnum() {
        return acntSnum;
    }
    public void setAcntSnum(long acntSnum) {
        this.acntSnum = acntSnum;
    }
    public String getSetlBankCd() {
        return setlBankCd;
    }
    public void setSetlBankCd(String setlBankCd) {
        this.setlBankCd = setlBankCd;
    }
    public String getSetlAcntNo() {
        return setlAcntNo;
    }
    public void setSetlAcntNo(String setlAcntNo) {
        this.setlAcntNo = setlAcntNo;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getAutoTranAplyDt() {
        return autoTranAplyDt;
    }
    public void setAutoTranAplyDt(String autoTranAplyDt) {
        this.autoTranAplyDt = autoTranAplyDt;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelcd() {
        return depoOwnRelcd;
    }
    public void setDepoOwnRelcd(String depoOwnRelcd) {
        this.depoOwnRelcd = depoOwnRelcd;
    }
    public long getTotTims() {
        return totTims;
    }
    public void setTotTims(long totTims) {
        this.totTims = totTims;
    }
    public long getCpayTims() {
        return cpayTims;
    }
    public void setCpayTims(long cpayTims) {
        this.cpayTims = cpayTims;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getRcptStatCd() {
        return rcptStatCd;
    }
    public void setRcptStatCd(String rcptStatCd) {
        this.rcptStatCd = rcptStatCd;
    }
    public String getLeglActsStatCd() {
        return leglActsStatCd;
    }
    public void setLeglActsStatCd(String leglActsStatCd) {
        this.leglActsStatCd = leglActsStatCd;
    }
    public String getBadDebtProcStatCd() {
        return badDebtProcStatCd;
    }
    public void setBadDebtProcStatCd(String badDebtProcStatCd) {
        this.badDebtProcStatCd = badDebtProcStatCd;
    }
    public String getCrdtRcvrStatCd() {
        return crdtRcvrStatCd;
    }
    public void setCrdtRcvrStatCd(String crdtRcvrStatCd) {
        this.crdtRcvrStatCd = crdtRcvrStatCd;
    }
    public String getLoanNormIzeFg() {
        return loanNormIzeFg;
    }
    public void setLoanNormIzeFg(String loanNormIzeFg) {
        this.loanNormIzeFg = loanNormIzeFg;
    }
    public String getLawCostOccrFg() {
        return lawCostOccrFg;
    }
    public void setLawCostOccrFg(String lawCostOccrFg) {
        this.lawCostOccrFg = lawCostOccrFg;
    }
    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getFlotIzeSeq() {
        return flotIzeSeq;
    }
    public void setFlotIzeSeq(String flotIzeSeq) {
        this.flotIzeSeq = flotIzeSeq;
    }
    public long getFlotIzeStrtSetlNo() {
        return flotIzeStrtSetlNo;
    }
    public void setFlotIzeStrtSetlNo(long flotIzeStrtSetlNo) {
        this.flotIzeStrtSetlNo = flotIzeStrtSetlNo;
    }
    public long getFlotIzeEndSetlNo() {
        return flotIzeEndSetlNo;
    }
    public void setFlotIzeEndSetlNo(long flotIzeEndSetlNo) {
        this.flotIzeEndSetlNo = flotIzeEndSetlNo;
    }
    public String getFlotIzeRpchFg() {
        return flotIzeRpchFg;
    }
    public void setFlotIzeRpchFg(String flotIzeRpchFg) {
        this.flotIzeRpchFg = flotIzeRpchFg;
    }
    public String getCollComCd() {
        return collComCd;
    }
    public void setCollComCd(String collComCd) {
        this.collComCd = collComCd;
    }
    public String getBadBndSellComCd() {
        return badBndSellComCd;
    }
    public void setBadBndSellComCd(String badBndSellComCd) {
        this.badBndSellComCd = badBndSellComCd;
    }
    public String getCrdtInfoAgrFg() {
        return crdtInfoAgrFg;
    }
    public void setCrdtInfoAgrFg(String crdtInfoAgrFg) {
        this.crdtInfoAgrFg = crdtInfoAgrFg;
    }
    public String getDmscRegIntnVochNo() {
        return dmscRegIntnVochNo;
    }
    public void setDmscRegIntnVochNo(String dmscRegIntnVochNo) {
        this.dmscRegIntnVochNo = dmscRegIntnVochNo;
    }
    public String getDmscCnclIntnVochNo() {
        return dmscCnclIntnVochNo;
    }
    public void setDmscCnclIntnVochNo(String dmscCnclIntnVochNo) {
        this.dmscCnclIntnVochNo = dmscCnclIntnVochNo;
    }
    public String getLoanAcctDt() {
        return loanAcctDt;
    }
    public void setLoanAcctDt(String loanAcctDt) {
        this.loanAcctDt = loanAcctDt;
    }
    public long getFrstStndIntRt() {
        return frstStndIntRt;
    }
    public void setFrstStndIntRt(long frstStndIntRt) {
        this.frstStndIntRt = frstStndIntRt;
    }
    public long getFrstStndTrtFeeRt() {
        return frstStndTrtFeeRt;
    }
    public void setFrstStndTrtFeeRt(long frstStndTrtFeeRt) {
        this.frstStndTrtFeeRt = frstStndTrtFeeRt;
    }
    public BigDecimal getFrstStndCustTrtFee() {
        return frstStndCustTrtFee;
    }
    public void setFrstStndCustTrtFee(BigDecimal frstStndCustTrtFee) {
        this.frstStndCustTrtFee = frstStndCustTrtFee;
    }
    public BigDecimal getFrstStndCprtComTrtFee() {
        return frstStndCprtComTrtFee;
    }
    public void setFrstStndCprtComTrtFee(BigDecimal frstStndCprtComTrtFee) {
        this.frstStndCprtComTrtFee = frstStndCprtComTrtFee;
    }
    public long getFrstStndPrFeeRt() {
        return frstStndPrFeeRt;
    }
    public void setFrstStndPrFeeRt(long frstStndPrFeeRt) {
        this.frstStndPrFeeRt = frstStndPrFeeRt;
    }
    public BigDecimal getFrstStndPrFee() {
        return frstStndPrFee;
    }
    public void setFrstStndPrFee(BigDecimal frstStndPrFee) {
        this.frstStndPrFee = frstStndPrFee;
    }
    public long getFrstStndIntnPrftRt() {
        return frstStndIntnPrftRt;
    }
    public void setFrstStndIntnPrftRt(long frstStndIntnPrftRt) {
        this.frstStndIntnPrftRt = frstStndIntnPrftRt;
    }
    public String getBndOldNewFg() {
        return bndOldNewFg;
    }
    public void setBndOldNewFg(String bndOldNewFg) {
        this.bndOldNewFg = bndOldNewFg;
    }
    public long getFactIntRt() {
        return factIntRt;
    }
    public void setFactIntRt(long factIntRt) {
        this.factIntRt = factIntRt;
    }
    public String getSpclCarsFg() {
        return spclCarsFg;
    }
    public void setSpclCarsFg(String spclCarsFg) {
        this.spclCarsFg = spclCarsFg;
    }
    public String getSpclCarsLoanNo() {
        return spclCarsLoanNo;
    }
    public void setSpclCarsLoanNo(String spclCarsLoanNo) {
        this.spclCarsLoanNo = spclCarsLoanNo;
    }
    public String getTrtFeeDiscExclFg() {
        return trtFeeDiscExclFg;
    }
    public void setTrtFeeDiscExclFg(String trtFeeDiscExclFg) {
        this.trtFeeDiscExclFg = trtFeeDiscExclFg;
    }
    public String getExecDt() {
        return execDt;
    }
    public void setExecDt(String execDt) {
        this.execDt = execDt;
    }
    public String getIntRtDivCd() {
        return intRtDivCd;
    }
    public void setIntRtDivCd(String intRtDivCd) {
        this.intRtDivCd = intRtDivCd;
    }
    public String getMonyPrpsCd() {
        return monyPrpsCd;
    }
    public void setMonyPrpsCd(String monyPrpsCd) {
        this.monyPrpsCd = monyPrpsCd;
    }
    public String getLoanTpCd() {
        return loanTpCd;
    }
    public void setLoanTpCd(String loanTpCd) {
        this.loanTpCd = loanTpCd;
    }
    public String getRmbrMethCd() {
        return rmbrMethCd;
    }
    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }
    public String getEmpDivCd() {
        return empDivCd;
    }
    public void setEmpDivCd(String empDivCd) {
        this.empDivCd = empDivCd;
    }
    public String getSetFeeBrdnDivCd() {
        return setFeeBrdnDivCd;
    }
    public void setSetFeeBrdnDivCd(String setFeeBrdnDivCd) {
        this.setFeeBrdnDivCd = setFeeBrdnDivCd;
    }
    public String getTrtFeeBrdnDivCd() {
        return trtFeeBrdnDivCd;
    }
    public void setTrtFeeBrdnDivCd(String trtFeeBrdnDivCd) {
        this.trtFeeBrdnDivCd = trtFeeBrdnDivCd;
    }
    public String getLoanApplDivCd() {
        return loanApplDivCd;
    }
    public void setLoanApplDivCd(String loanApplDivCd) {
        this.loanApplDivCd = loanApplDivCd;
    }
    public String getLoanSchdDt() {
        return loanSchdDt;
    }
    public void setLoanSchdDt(String loanSchdDt) {
        this.loanSchdDt = loanSchdDt;
    }
    public long getBaseIntRt() {
        return baseIntRt;
    }
    public void setBaseIntRt(long baseIntRt) {
        this.baseIntRt = baseIntRt;
    }
    public long getAddIntRt() {
        return addIntRt;
    }
    public void setAddIntRt(long addIntRt) {
        this.addIntRt = addIntRt;
    }
    public long getAosIntRt() {
        return aosIntRt;
    }
    public void setAosIntRt(long aosIntRt) {
        this.aosIntRt = aosIntRt;
    }
    public long getLtvr() {
        return ltvr;
    }
    public void setLtvr(long ltvr) {
        this.ltvr = ltvr;
    }
    public long getDtir() {
        return dtir;
    }
    public void setDtir(long dtir) {
        this.dtir = dtir;
    }
    public BigDecimal getRigtInsuFee() {
        return rigtInsuFee;
    }
    public void setRigtInsuFee(BigDecimal rigtInsuFee) {
        this.rigtInsuFee = rigtInsuFee;
    }
    public BigDecimal getJudgFee() {
        return judgFee;
    }
    public void setJudgFee(BigDecimal judgFee) {
        this.judgFee = judgFee;
    }
    public long getDefrTerm() {
        return defrTerm;
    }
    public void setDefrTerm(long defrTerm) {
        this.defrTerm = defrTerm;
    }
    public String getPlPrdtDiv() {
        return plPrdtDiv;
    }
    public void setPlPrdtDiv(String plPrdtDiv) {
        this.plPrdtDiv = plPrdtDiv;
    }
    public String getPlCnslDiv() {
        return plCnslDiv;
    }
    public void setPlCnslDiv(String plCnslDiv) {
        this.plCnslDiv = plCnslDiv;
    }
    public long getAddIntRt2() {
        return addIntRt2;
    }
    public void setAddIntRt2(long addIntRt2) {
        this.addIntRt2 = addIntRt2;
    }
    public long getAosIntRt2() {
        return aosIntRt2;
    }
    public void setAosIntRt2(long aosIntRt2) {
        this.aosIntRt2 = aosIntRt2;
    }
    public long getAddIntRt3() {
        return addIntRt3;
    }
    public void setAddIntRt3(long addIntRt3) {
        this.addIntRt3 = addIntRt3;
    }
    public long getAosIntRt3() {
        return aosIntRt3;
    }
    public void setAosIntRt3(long aosIntRt3) {
        this.aosIntRt3 = aosIntRt3;
    }
    public long getSpclDiscIntRt() {
        return spclDiscIntRt;
    }
    public void setSpclDiscIntRt(long spclDiscIntRt) {
        this.spclDiscIntRt = spclDiscIntRt;
    }
    public String getAcptPathCd() {
        return acptPathCd;
    }
    public void setAcptPathCd(String acptPathCd) {
        this.acptPathCd = acptPathCd;
    }
    public String getRentCarFg() {
        return rentCarFg;
    }
    public void setRentCarFg(String rentCarFg) {
        this.rentCarFg = rentCarFg;
    }
    public long getAddIntRt1() {
        return addIntRt1;
    }
    public void setAddIntRt1(long addIntRt1) {
        this.addIntRt1 = addIntRt1;
    }
    public long getAosIntRt1() {
        return aosIntRt1;
    }
    public void setAosIntRt1(long aosIntRt1) {
        this.aosIntRt1 = aosIntRt1;
    }
    public String getVsitEmpNo() {
        return vsitEmpNo;
    }
    public void setVsitEmpNo(String vsitEmpNo) {
        this.vsitEmpNo = vsitEmpNo;
    }
    public String getAutoTranIntgFg() {
        return autoTranIntgFg;
    }
    public void setAutoTranIntgFg(String autoTranIntgFg) {
        this.autoTranIntgFg = autoTranIntgFg;
    }
    public String getEprtRmbrSlctCd() {
        return eprtRmbrSlctCd;
    }
    public void setEprtRmbrSlctCd(String eprtRmbrSlctCd) {
        this.eprtRmbrSlctCd = eprtRmbrSlctCd;
    }
    public String getMoggSpclPrdtDivCd() {
        return moggSpclPrdtDivCd;
    }
    public void setMoggSpclPrdtDivCd(String moggSpclPrdtDivCd) {
        this.moggSpclPrdtDivCd = moggSpclPrdtDivCd;
    }
    public String getRsltCnclDt() {
        return rsltCnclDt;
    }
    public void setRsltCnclDt(String rsltCnclDt) {
        this.rsltCnclDt = rsltCnclDt;
    }
    public String getMngPlcBndDivsEmpNo() {
        return mngPlcBndDivsEmpNo;
    }
    public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
        this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
    }
    public String getMoggIncrAmtFg() {
        return moggIncrAmtFg;
    }
    public void setMoggIncrAmtFg(String moggIncrAmtFg) {
        this.moggIncrAmtFg = moggIncrAmtFg;
    }
    public String getMoggRigtInsuComDivCd() {
        return moggRigtInsuComDivCd;
    }
    public void setMoggRigtInsuComDivCd(String moggRigtInsuComDivCd) {
        this.moggRigtInsuComDivCd = moggRigtInsuComDivCd;
    }
    public String getExtnDt() {
        return extnDt;
    }
    public void setExtnDt(String extnDt) {
        this.extnDt = extnDt;
    }
    public String getLoanRegEmpNo() {
        return loanRegEmpNo;
    }
    public void setLoanRegEmpNo(String loanRegEmpNo) {
        this.loanRegEmpNo = loanRegEmpNo;
    }
    public String getDeliDcsnDt() {
        return deliDcsnDt;
    }
    public void setDeliDcsnDt(String deliDcsnDt) {
        this.deliDcsnDt = deliDcsnDt;
    }
    public String getCorpBndlLoanObjFg() {
        return corpBndlLoanObjFg;
    }
    public void setCorpBndlLoanObjFg(String corpBndlLoanObjFg) {
        this.corpBndlLoanObjFg = corpBndlLoanObjFg;
    }
    public String getCorpBndlLoanReprNoFg() {
        return corpBndlLoanReprNoFg;
    }
    public void setCorpBndlLoanReprNoFg(String corpBndlLoanReprNoFg) {
        this.corpBndlLoanReprNoFg = corpBndlLoanReprNoFg;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public BigDecimal getTrtFeeRamt() {
        return trtFeeRamt;
    }
    public void setTrtFeeRamt(BigDecimal trtFeeRamt) {
        this.trtFeeRamt = trtFeeRamt;
    }
    public BigDecimal getRmbrTrtFee() {
        return rmbrTrtFee;
    }
    public void setRmbrTrtFee(BigDecimal rmbrTrtFee) {
        this.rmbrTrtFee = rmbrTrtFee;
    }
    public BigDecimal getExmpTrtFee() {
        return exmpTrtFee;
    }
    public void setExmpTrtFee(BigDecimal exmpTrtFee) {
        this.exmpTrtFee = exmpTrtFee;
    }
    public String getBfLoanNo() {
        return bfLoanNo;
    }
    public void setBfLoanNo(String bfLoanNo) {
        this.bfLoanNo = bfLoanNo;
    }
    public BigDecimal getBfLoanRamt() {
        return bfLoanRamt;
    }
    public void setBfLoanRamt(BigDecimal bfLoanRamt) {
        this.bfLoanRamt = bfLoanRamt;
    }
    public BigDecimal getBfLoanCpayInt() {
        return bfLoanCpayInt;
    }
    public void setBfLoanCpayInt(BigDecimal bfLoanCpayInt) {
        this.bfLoanCpayInt = bfLoanCpayInt;
    }
    public long getAddTcnt() {
        return addTcnt;
    }
    public void setAddTcnt(long addTcnt) {
        this.addTcnt = addTcnt;
    }
    public String getMrtgClosFbidFg() {
        return mrtgClosFbidFg;
    }
    public void setMrtgClosFbidFg(String mrtgClosFbidFg) {
        this.mrtgClosFbidFg = mrtgClosFbidFg;
    }
    public String getCrdtPasrComrDivCd() {
        return crdtPasrComrDivCd;
    }
    public void setCrdtPasrComrDivCd(String crdtPasrComrDivCd) {
        this.crdtPasrComrDivCd = crdtPasrComrDivCd;
    }
    public String getTrtFeeFg() {
        return trtFeeFg;
    }
    public void setTrtFeeFg(String trtFeeFg) {
        this.trtFeeFg = trtFeeFg;
    }
    public String getMngPlcDivCd() {
        return mngPlcDivCd;
    }
    public void setMngPlcDivCd(String mngPlcDivCd) {
        this.mngPlcDivCd = mngPlcDivCd;
    }
    public String getWdrwPlcDivCd() {
        return wdrwPlcDivCd;
    }
    public void setWdrwPlcDivCd(String wdrwPlcDivCd) {
        this.wdrwPlcDivCd = wdrwPlcDivCd;
    }
    public String getPlDocTrtDivCd() {
        return plDocTrtDivCd;
    }
    public void setPlDocTrtDivCd(String plDocTrtDivCd) {
        this.plDocTrtDivCd = plDocTrtDivCd;
    }
    public String getContNo() {
        return contNo;
    }
    public void setContNo(String contNo) {
        this.contNo = contNo;
    }
    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getAblIzeDivCd() {
        return ablIzeDivCd;
    }
    public void setAblIzeDivCd(String ablIzeDivCd) {
        this.ablIzeDivCd = ablIzeDivCd;
    }
    public String getAblIzeSeq() {
        return ablIzeSeq;
    }
    public void setAblIzeSeq(String ablIzeSeq) {
        this.ablIzeSeq = ablIzeSeq;
    }
    public String getContManType() {
        return contManType;
    }
    public void setContManType(String contManType) {
        this.contManType = contManType;
    }
    public String getLoanNoK() {
        return loanNoK;
    }
    public void setLoanNoK(String loanNoK) {
        this.loanNoK = loanNoK;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getInstEmpResiNo() {
        return instEmpResiNo;
    }
    public void setInstEmpResiNo(String instEmpResiNo) {
        this.instEmpResiNo = instEmpResiNo;
    }
    public String getInstCprtComNo() {
        return instCprtComNo;
    }
    public void setInstCprtComNo(String instCprtComNo) {
        this.instCprtComNo = instCprtComNo;
    }
    public String getInstCprtBranCd() {
        return instCprtBranCd;
    }
    public void setInstCprtBranCd(String instCprtBranCd) {
        this.instCprtBranCd = instCprtBranCd;
    }
    public String getBndDeptCd() {
        return bndDeptCd;
    }
    public void setBndDeptCd(String bndDeptCd) {
        this.bndDeptCd = bndDeptCd;
    }
    public long getAskFbidFg() {
        return askFbidFg;
    }
    public void setAskFbidFg(long askFbidFg) {
        this.askFbidFg = askFbidFg;
    }
    public long getMinIntRt() {
        return minIntRt;
    }
    public void setMinIntRt(long minIntRt) {
        this.minIntRt = minIntRt;
    }
    public String getBndSellExclYn() {
        return bndSellExclYn;
    }
    public void setBndSellExclYn(String bndSellExclYn) {
        this.bndSellExclYn = bndSellExclYn;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}