package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanGodsDescDTO.java Class
 * 클래스설명   : ST-대출상품(물품)내역(ST_LOAN_GODS_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanGodsDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String godsCd  = "";  /* 물품코드 */
    private BigDecimal godsPrce  = BigDecimal.ZERO;  /* 물품가격 */
    private long godsQty  = 0;  /* 물품수량 */
    private BigDecimal ucarMkpr  = BigDecimal.ZERO;  /* 중고차시세 */
    private String gainDt  = "";  /* 취득일자 */
    private String makeYymm  = "";  /* 제작년월 */
    private String autoGrstFg  = "";  /* 자동변속여부 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String godsClasCd  = "";  /* 물품분류코드 */
    private String snum  = "";  /* 순번 */
    private String niceCarCode  = "";  /* NICE차량코드 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public BigDecimal getGodsPrce() {
        return godsPrce;
    }
    public void setGodsPrce(BigDecimal godsPrce) {
        this.godsPrce = godsPrce;
    }
    public long getGodsQty() {
        return godsQty;
    }
    public void setGodsQty(long godsQty) {
        this.godsQty = godsQty;
    }
    public BigDecimal getUcarMkpr() {
        return ucarMkpr;
    }
    public void setUcarMkpr(BigDecimal ucarMkpr) {
        this.ucarMkpr = ucarMkpr;
    }
    public String getGainDt() {
        return gainDt;
    }
    public void setGainDt(String gainDt) {
        this.gainDt = gainDt;
    }
    public String getMakeYymm() {
        return makeYymm;
    }
    public void setMakeYymm(String makeYymm) {
        this.makeYymm = makeYymm;
    }
    public String getAutoGrstFg() {
        return autoGrstFg;
    }
    public void setAutoGrstFg(String autoGrstFg) {
        this.autoGrstFg = autoGrstFg;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getGodsClasCd() {
        return godsClasCd;
    }
    public void setGodsClasCd(String godsClasCd) {
        this.godsClasCd = godsClasCd;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getNiceCarCode() {
        return niceCarCode;
    }
    public void setNiceCarCode(String niceCarCode) {
        this.niceCarCode = niceCarCode;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
