package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanGodsSpecDTO.java Class
 * 클래스설명   : ST-대출상품(물품)상세(ST_LOAN_GODS_SPEC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanGodsSpecDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String godsCd  = "";  /* 물품코드 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String vinNo  = "";  /* 차대번호 */
    private String snum  = "";  /* 일련번호 */
    private String carsNo  = "";  /* 차량번호 */
    private String carsRegDt  = "";  /* 차량등록일자 */
    private String exptCnfmDt  = "";  /* 수출확인일자 */
    private String exptFg  = "";  /* 수출여부 */
    private String taxclasDivsMan  = "";  /* 세관담당자 */
    private String taxclasCntcPlc  = "";  /* 세관연락처 */
    private String carsCrtn  = "";  /* 차량색상 */
    private BigDecimal drivDstn  = BigDecimal.ZERO;  /* 주행거리 */
    private BigDecimal myCarDamgAmt  = BigDecimal.ZERO;  /* 내차피해금액 */

    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getVinNo() {
        return vinNo;
    }
    public void setVinNo(String vinNo) {
        this.vinNo = vinNo;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getCarsNo() {
        return carsNo;
    }
    public void setCarsNo(String carsNo) {
        this.carsNo = carsNo;
    }
    public String getCarsRegDt() {
        return carsRegDt;
    }
    public void setCarsRegDt(String carsRegDt) {
        this.carsRegDt = carsRegDt;
    }
    public String getExptCnfmDt() {
        return exptCnfmDt;
    }
    public void setExptCnfmDt(String exptCnfmDt) {
        this.exptCnfmDt = exptCnfmDt;
    }
    public String getExptFg() {
        return exptFg;
    }
    public void setExptFg(String exptFg) {
        this.exptFg = exptFg;
    }
    public String getTaxclasDivsMan() {
        return taxclasDivsMan;
    }
    public void setTaxclasDivsMan(String taxclasDivsMan) {
        this.taxclasDivsMan = taxclasDivsMan;
    }
    public String getTaxclasCntcPlc() {
        return taxclasCntcPlc;
    }
    public void setTaxclasCntcPlc(String taxclasCntcPlc) {
        this.taxclasCntcPlc = taxclasCntcPlc;
    }
    public String getCarsCrtn() {
        return carsCrtn;
    }
    public void setCarsCrtn(String carsCrtn) {
        this.carsCrtn = carsCrtn;
    }
    public BigDecimal getDrivDstn() {
        return drivDstn;
    }
    public void setDrivDstn(BigDecimal drivDstn) {
        this.drivDstn = drivDstn;
    }
    public BigDecimal getMyCarDamgAmt() {
        return myCarDamgAmt;
    }
    public void setMyCarDamgAmt(BigDecimal myCarDamgAmt) {
        this.myCarDamgAmt = myCarDamgAmt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
