package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanGodsSpecHistDTO.java Class
 * 클래스설명   : ST-대출상품(물품)상세이력(ST_LOAN_GODS_SPEC_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanGodsSpecHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String godsCd  = "";  /* 물품코드 */
    private String vinNo  = "";  /* 차대번호 */
    private String snum  = "";  /* 일련번호 */
    private long seq  = 0;  /* 순번 */
    private String carsNo  = "";  /* 차량번호 */
    private String carsRegDt  = "";  /* 차량등록일자 */
    private String carsCrtn  = "";  /* 차량색상 */
    private BigDecimal drivDstn  = BigDecimal.ZERO;  /* 주행거리 */
    private BigDecimal myCarDamgAmt  = BigDecimal.ZERO;  /* 내차피해금액 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getVinNo() {
        return vinNo;
    }
    public void setVinNo(String vinNo) {
        this.vinNo = vinNo;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public long getSeq() {
        return seq;
    }
    public void setSeq(long seq) {
        this.seq = seq;
    }
    public String getCarsNo() {
        return carsNo;
    }
    public void setCarsNo(String carsNo) {
        this.carsNo = carsNo;
    }
    public String getCarsRegDt() {
        return carsRegDt;
    }
    public void setCarsRegDt(String carsRegDt) {
        this.carsRegDt = carsRegDt;
    }
    public String getCarsCrtn() {
        return carsCrtn;
    }
    public void setCarsCrtn(String carsCrtn) {
        this.carsCrtn = carsCrtn;
    }
    public BigDecimal getDrivDstn() {
        return drivDstn;
    }
    public void setDrivDstn(BigDecimal drivDstn) {
        this.drivDstn = drivDstn;
    }
    public BigDecimal getMyCarDamgAmt() {
        return myCarDamgAmt;
    }
    public void setMyCarDamgAmt(BigDecimal myCarDamgAmt) {
        this.myCarDamgAmt = myCarDamgAmt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
