package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanImgAcntHistDTO.java Class
 * 클래스설명   : ST-대출가상계좌이력(ST_LOAN_IMG_ACNT_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanImgAcntHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String imgAcntBankCd  = "";  /* 가상계좌은행코드 */
    private String imgAcntNo  = "";  /* 가상계좌번호 */
    private String chngSnum  = "";  /* 변경일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String useFg  = "";  /* 사용여부 */
    private String useCmplDt  = "";  /* 사용완료일자 */
    private String disuDt  = "";  /* 폐기일자 */
    private String rmrk  = "";  /* 비고 */
    private String isrtDeptCd  = "";  /* 입력부서코드 */

    public String getImgAcntBankCd() {
        return imgAcntBankCd;
    }
    public void setImgAcntBankCd(String imgAcntBankCd) {
        this.imgAcntBankCd = imgAcntBankCd;
    }
    public String getImgAcntNo() {
        return imgAcntNo;
    }
    public void setImgAcntNo(String imgAcntNo) {
        this.imgAcntNo = imgAcntNo;
    }
    public String getChngSnum() {
        return chngSnum;
    }
    public void setChngSnum(String chngSnum) {
        this.chngSnum = chngSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getUseFg() {
        return useFg;
    }
    public void setUseFg(String useFg) {
        this.useFg = useFg;
    }
    public String getUseCmplDt() {
        return useCmplDt;
    }
    public void setUseCmplDt(String useCmplDt) {
        this.useCmplDt = useCmplDt;
    }
    public String getDisuDt() {
        return disuDt;
    }
    public void setDisuDt(String disuDt) {
        this.disuDt = disuDt;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
