package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanMnrtCutApplMngDTO.java Class
 * 클래스설명   : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanMnrtCutApplMngDTO extends AbstractVO {

    private String applSeq; //APPL_SEQ 금리_인하_신청_순번(채번 분류종류 : S103  yymmdd + seq(5))
    private String loanNo; //LOAN_NO 대출_번호
    private String loanSeq; //LOAN_SEQ 대출_순번
    private String applDt; //APPL_DT 신청일자
    private String applRsn; //APPL_RSN 신청사유(공통코드:S80005)
    private String procStatCd; //PROC_STAT_CD 처리상태(공통코드:S80006)
    private String examRsltCd; //EXAM_RSLT_CD 심사결과(공통코드:S80007)
    private String rjctRsnCd; //RJCT_RSN_CD 거절사유(공통코드:S80008)
    private long intRt; //INT_RT 기존금리
    private long newIntRt; //NEW_INT_RT 신규금리
    private String rsltNotiDt; //RSLT_NOTI_DT 통지일자
    private String rsltNotiCd; //RSLT_NOTI_CD 결과통지(공통코드:S80009)
    private String rsltNotiEtcCntn; //RSLT_NOTI_ETC_CNTN 기타_통지내용
    private String examOpn; //EXAM_OPN 심사의견
    private String frstRegDt; //FRST_REG_DT 최초_등록_일자
    private String frstRegTm; //FRST_REG_TM 최초_등록_시각
    private String frstRegEmpNo; //FRST_REG_EMPNO 최초_등록_사원_번호
    private String lastProcDt; //LAST_PROC_DT 최종_처리_일자
    private String lastProcTm; //LAST_PROC_TM 최종_처리_시각
    private String lastProcEmpNo; //LAST_PROC_EMPNO 최종_처리_사원_번호

    public String getApplSeq() {
        return applSeq;
    }
    public void setApplSeq(String applSeq) {
        this.applSeq = applSeq;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getApplRsn() {
        return applRsn;
    }
    public void setApplRsn(String applRsn) {
        this.applRsn = applRsn;
    }
    public String getProcStatCd() {
        return procStatCd;
    }
    public void setProcStatCd(String procStatCd) {
        this.procStatCd = procStatCd;
    }
    public String getExamRsltCd() {
        return examRsltCd;
    }
    public void setExamRsltCd(String examRsltCd) {
        this.examRsltCd = examRsltCd;
    }
    public String getRjctRsnCd() {
        return rjctRsnCd;
    }
    public void setRjctRsnCd(String rjctRsnCd) {
        this.rjctRsnCd = rjctRsnCd;
    }
    public long getIntRt() {
        return intRt;
    }
    public void setIntRt(long intRt) {
        this.intRt = intRt;
    }
    public long getNewIntRt() {
        return newIntRt;
    }
    public void setNewIntRt(long newIntRt) {
        this.newIntRt = newIntRt;
    }
    public String getRsltNotiDt() {
        return rsltNotiDt;
    }
    public void setRsltNotiDt(String rsltNotiDt) {
        this.rsltNotiDt = rsltNotiDt;
    }
    public String getRsltNotiCd() {
        return rsltNotiCd;
    }
    public void setRsltNotiCd(String rsltNotiCd) {
        this.rsltNotiCd = rsltNotiCd;
    }
    public String getRsltNotiEtcCntn() {
        return rsltNotiEtcCntn;
    }
    public void setRsltNotiEtcCntn(String rsltNotiEtcCntn) {
        this.rsltNotiEtcCntn = rsltNotiEtcCntn;
    }
    public String getExamOpn() {
        return examOpn;
    }
    public void setExamOpn(String examOpn) {
        this.examOpn = examOpn;
    }
    @Override
    public String getFrstRegDt() {
        return frstRegDt;
    }
    @Override
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    @Override
    public String getFrstRegTm() {
        return frstRegTm;
    }
    @Override
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    @Override
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
    public String getLastProcDt() {
        return lastProcDt;
    }
    @Override
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    @Override
    public String getLastProcTm() {
        return lastProcTm;
    }
    @Override
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    @Override
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}
