package hanalife.c.co.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanRelManNochDescDTO.java Class
 * 클래스설명   : ST-대출관계자녹취내역(ST_LOAN_REL_MAN_NOCH_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanRelManNochDescDTO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String custNo  = "";  /* 고객번호 */
    private String snum  = "";  /* 일련번호 */
    private String nochRegDept  = "";  /* 녹취등록부서 */
    private String nochRegEmpNo  = "";  /* 녹취등록사원번호 */
    private String frstRegDt  = "";  /* 최초등록일자 */
    private String frstRegTm  = "";  /* 최초등록시각 */
    private String frstRegEmpNo  = "";  /* 최초등록사원번호 */
    private String ivltRegLoanNo  = "";  /* 강제등록대출번호 */
    private String nochDivCd  = "";  /* 녹취구분코드 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getNochRegDept() {
        return nochRegDept;
    }
    public void setNochRegDept(String nochRegDept) {
        this.nochRegDept = nochRegDept;
    }
    public String getNochRegEmpNo() {
        return nochRegEmpNo;
    }
    public void setNochRegEmpNo(String nochRegEmpNo) {
        this.nochRegEmpNo = nochRegEmpNo;
    }
    public String getFrstRegDt() {
        return frstRegDt;
    }
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    public String getFrstRegTm() {
        return frstRegTm;
    }
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getIvltRegLoanNo() {
        return ivltRegLoanNo;
    }
    public void setIvltRegLoanNo(String ivltRegLoanNo) {
        this.ivltRegLoanNo = ivltRegLoanNo;
    }
    public String getNochDivCd() {
        return nochDivCd;
    }
    public void setNochDivCd(String nochDivCd) {
        this.nochDivCd = nochDivCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
