package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StMidRmbrFeeRtMngDTO.java Class
 * 클래스설명   : ST-중도상환수수료율관리(ST_MID_RMBR_FEE_RT_MNG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StMidRmbrFeeRtMngDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String prdtCd  = "";  /* 상품코드 */
    private String aplyStrtDt  = "";  /* 적용시작일자 */
    private String seq  = "";  /* 순번 */
    private String aplyDiv  = "";  /* 적용구분 */
    private String sctnStrtVal  = "";  /* 구간시작값 */
    private String sctnEndVal  = "";  /* 구간종료값 */
    private String sctnAplyFeeRt  = "";  /* 구간적용수수료율 */
    private String intUplmitRt  = "";  /* 이자율상한제이율 */

    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getAplyStrtDt() {
        return aplyStrtDt;
    }
    public void setAplyStrtDt(String aplyStrtDt) {
        this.aplyStrtDt = aplyStrtDt;
    }
    public String getSeq() {
        return seq;
    }
    public void setSeq(String seq) {
        this.seq = seq;
    }
    public String getAplyDiv() {
        return aplyDiv;
    }
    public void setAplyDiv(String aplyDiv) {
        this.aplyDiv = aplyDiv;
    }
    public String getSctnStrtVal() {
        return sctnStrtVal;
    }
    public void setSctnStrtVal(String sctnStrtVal) {
        this.sctnStrtVal = sctnStrtVal;
    }
    public String getSctnEndVal() {
        return sctnEndVal;
    }
    public void setSctnEndVal(String sctnEndVal) {
        this.sctnEndVal = sctnEndVal;
    }
    public String getSctnAplyFeeRt() {
        return sctnAplyFeeRt;
    }
    public void setSctnAplyFeeRt(String sctnAplyFeeRt) {
        this.sctnAplyFeeRt = sctnAplyFeeRt;
    }
    public String getIntUplmitRt() {
        return intUplmitRt;
    }
    public void setIntUplmitRt(String intUplmitRt) {
        this.intUplmitRt = intUplmitRt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
