package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StPrdtClasDTO.java Class
 * 클래스설명   : ST-상품분류코드(ST_PRDT_CLAS)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StPrdtClasDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String prdtClasCd  = "";  /* 상품분류코드 */
    private String clasNm  = "";  /* 분류명 */
    private String lrgeClasCd  = "";  /* 대분류코드 */
    private String midClasCd  = "";  /* 중분류코드 */
    private String smClasCd  = "";  /* 소분류코드 */
    private String clasDivCd  = "";  /* 분류구분코드 */
    private String ddayPrftLoseFg  = "";  /* 기한이익상실여부 */
    private String sale1ClasNm  = "";  /* SALE1코드명 */
    private String sale2ClasNm  = "";  /* SALE2코드명 */
    private String mngClasNm  = "";  /* 관리코드명 */
    private String bnd1ClasNm  = "";  /* BND1코드명 */
    private String bnd2ClasNm  = "";  /* BND2코드명 */
    private String crdtClasNm  = "";  /* 할부금융업종조회총건수코드명 */
    private String useYn  = "";  /* 사용유무 */
    private long ddayPrftLoseDivCd  = 0;  /* 정산요청시한일자이익상실구분코드 */
    private long ddayPrftLoseDivVal  = 0;  /* 정산요청시한일자이익상실구분값 */

    public String getPrdtClasCd() {
        return prdtClasCd;
    }
    public void setPrdtClasCd(String prdtClasCd) {
        this.prdtClasCd = prdtClasCd;
    }
    public String getClasNm() {
        return clasNm;
    }
    public void setClasNm(String clasNm) {
        this.clasNm = clasNm;
    }
    public String getLrgeClasCd() {
        return lrgeClasCd;
    }
    public void setLrgeClasCd(String lrgeClasCd) {
        this.lrgeClasCd = lrgeClasCd;
    }
    public String getMidClasCd() {
        return midClasCd;
    }
    public void setMidClasCd(String midClasCd) {
        this.midClasCd = midClasCd;
    }
    public String getSmClasCd() {
        return smClasCd;
    }
    public void setSmClasCd(String smClasCd) {
        this.smClasCd = smClasCd;
    }
    public String getClasDivCd() {
        return clasDivCd;
    }
    public void setClasDivCd(String clasDivCd) {
        this.clasDivCd = clasDivCd;
    }
    public String getDdayPrftLoseFg() {
        return ddayPrftLoseFg;
    }
    public void setDdayPrftLoseFg(String ddayPrftLoseFg) {
        this.ddayPrftLoseFg = ddayPrftLoseFg;
    }
    public String getSale1ClasNm() {
        return sale1ClasNm;
    }
    public void setSale1ClasNm(String sale1ClasNm) {
        this.sale1ClasNm = sale1ClasNm;
    }
    public String getSale2ClasNm() {
        return sale2ClasNm;
    }
    public void setSale2ClasNm(String sale2ClasNm) {
        this.sale2ClasNm = sale2ClasNm;
    }
    public String getMngClasNm() {
        return mngClasNm;
    }
    public void setMngClasNm(String mngClasNm) {
        this.mngClasNm = mngClasNm;
    }
    public String getBnd1ClasNm() {
        return bnd1ClasNm;
    }
    public void setBnd1ClasNm(String bnd1ClasNm) {
        this.bnd1ClasNm = bnd1ClasNm;
    }
    public String getBnd2ClasNm() {
        return bnd2ClasNm;
    }
    public void setBnd2ClasNm(String bnd2ClasNm) {
        this.bnd2ClasNm = bnd2ClasNm;
    }
    public String getCrdtClasNm() {
        return crdtClasNm;
    }
    public void setCrdtClasNm(String crdtClasNm) {
        this.crdtClasNm = crdtClasNm;
    }
    public String getUseYn() {
        return useYn;
    }
    public void setUseYn(String useYn) {
        this.useYn = useYn;
    }
    public long getDdayPrftLoseDivCd() {
        return ddayPrftLoseDivCd;
    }
    public void setDdayPrftLoseDivCd(long ddayPrftLoseDivCd) {
        this.ddayPrftLoseDivCd = ddayPrftLoseDivCd;
    }
    public long getDdayPrftLoseDivVal() {
        return ddayPrftLoseDivVal;
    }
    public void setDdayPrftLoseDivVal(long ddayPrftLoseDivVal) {
        this.ddayPrftLoseDivVal = ddayPrftLoseDivVal;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
