package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRmbrPlanHistDTO.java Class
 * 클래스설명   : ST-상환계획내역(ST_RMBR_PLAN_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StRmbrPlanHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private long frstRank  = 0;  /* 우선순위 */
    private long tims  = 0;  /* 회차 */
    private String dueDt  = "";  /* 납입일자 */
    private String rmbrFrmlCd  = "";  /* 상환방식코드 */
    private String crteDivCd  = "";  /* 생성구분코드 */
    private BigDecimal mmPamt  = BigDecimal.ZERO;  /* 월원금 */
    private BigDecimal mmInt  = BigDecimal.ZERO;  /* 월이자 */
    private BigDecimal mmPiamt  = BigDecimal.ZERO;  /* 월원리금 */
    private BigDecimal timsBfPamtRamt  = BigDecimal.ZERO;  /* 회차전원금잔액 */
    private BigDecimal timsAfPamtRamt  = BigDecimal.ZERO;  /* 회차후원금잔액 */
    private BigDecimal timsBfIntRamt  = BigDecimal.ZERO;  /* 회차전이자잔액 */
    private BigDecimal timsAfIntRamt  = BigDecimal.ZERO;  /* 회차후이자잔액 */
    private BigDecimal psgInt  = BigDecimal.ZERO;  /* 경과이자 */
    private String pdueFg  = "";  /* 선납여부 */
    private long intRt  = 0;  /* 이자율 */
    private String intStrtDt  = "";  /* 이자시작일자 */
    private String intEndDt  = "";  /* 이자종료일자 */
    private BigDecimal defrIntDistPamt  = BigDecimal.ZERO;  /* 거치이자배분원금 */
    private BigDecimal defrIntDistInt  = BigDecimal.ZERO;  /* 거치이자배분이자 */
    private BigDecimal mmTrtFee  = BigDecimal.ZERO;  /* 월취급수수료 */
    private BigDecimal timsBfTrtFeeRamt  = BigDecimal.ZERO;  /* 회차전취급수수료잔액 */
    private BigDecimal timsAfTrtFeeRamt  = BigDecimal.ZERO;  /* 회차후취급수수료잔액 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public long getFrstRank() {
        return frstRank;
    }
    public void setFrstRank(long frstRank) {
        this.frstRank = frstRank;
    }
    public long getTims() {
        return tims;
    }
    public void setTims(long tims) {
        this.tims = tims;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getCrteDivCd() {
        return crteDivCd;
    }
    public void setCrteDivCd(String crteDivCd) {
        this.crteDivCd = crteDivCd;
    }
    public BigDecimal getMmPamt() {
        return mmPamt;
    }
    public void setMmPamt(BigDecimal mmPamt) {
        this.mmPamt = mmPamt;
    }
    public BigDecimal getMmInt() {
        return mmInt;
    }
    public void setMmInt(BigDecimal mmInt) {
        this.mmInt = mmInt;
    }
    public BigDecimal getMmPiamt() {
        return mmPiamt;
    }
    public void setMmPiamt(BigDecimal mmPiamt) {
        this.mmPiamt = mmPiamt;
    }
    public BigDecimal getTimsBfPamtRamt() {
        return timsBfPamtRamt;
    }
    public void setTimsBfPamtRamt(BigDecimal timsBfPamtRamt) {
        this.timsBfPamtRamt = timsBfPamtRamt;
    }
    public BigDecimal getTimsAfPamtRamt() {
        return timsAfPamtRamt;
    }
    public void setTimsAfPamtRamt(BigDecimal timsAfPamtRamt) {
        this.timsAfPamtRamt = timsAfPamtRamt;
    }
    public BigDecimal getTimsBfIntRamt() {
        return timsBfIntRamt;
    }
    public void setTimsBfIntRamt(BigDecimal timsBfIntRamt) {
        this.timsBfIntRamt = timsBfIntRamt;
    }
    public BigDecimal getTimsAfIntRamt() {
        return timsAfIntRamt;
    }
    public void setTimsAfIntRamt(BigDecimal timsAfIntRamt) {
        this.timsAfIntRamt = timsAfIntRamt;
    }
    public BigDecimal getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(BigDecimal psgInt) {
        this.psgInt = psgInt;
    }
    public String getPdueFg() {
        return pdueFg;
    }
    public void setPdueFg(String pdueFg) {
        this.pdueFg = pdueFg;
    }
    public long getIntRt() {
        return intRt;
    }
    public void setIntRt(long intRt) {
        this.intRt = intRt;
    }
    public String getIntStrtDt() {
        return intStrtDt;
    }
    public void setIntStrtDt(String intStrtDt) {
        this.intStrtDt = intStrtDt;
    }
    public String getIntEndDt() {
        return intEndDt;
    }
    public void setIntEndDt(String intEndDt) {
        this.intEndDt = intEndDt;
    }
    public BigDecimal getDefrIntDistPamt() {
        return defrIntDistPamt;
    }
    public void setDefrIntDistPamt(BigDecimal defrIntDistPamt) {
        this.defrIntDistPamt = defrIntDistPamt;
    }
    public BigDecimal getDefrIntDistInt() {
        return defrIntDistInt;
    }
    public void setDefrIntDistInt(BigDecimal defrIntDistInt) {
        this.defrIntDistInt = defrIntDistInt;
    }
    public BigDecimal getMmTrtFee() {
        return mmTrtFee;
    }
    public void setMmTrtFee(BigDecimal mmTrtFee) {
        this.mmTrtFee = mmTrtFee;
    }
    public BigDecimal getTimsBfTrtFeeRamt() {
        return timsBfTrtFeeRamt;
    }
    public void setTimsBfTrtFeeRamt(BigDecimal timsBfTrtFeeRamt) {
        this.timsBfTrtFeeRamt = timsBfTrtFeeRamt;
    }
    public BigDecimal getTimsAfTrtFeeRamt() {
        return timsAfTrtFeeRamt;
    }
    public void setTimsAfTrtFeeRamt(BigDecimal timsAfTrtFeeRamt) {
        this.timsAfTrtFeeRamt = timsAfTrtFeeRamt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
