package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiInsuAcdtNotiDTO.java Class
 * 클래스설명    : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiInsuAcdtNotiDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String acdtDt = "";                         /* 사고년월 */
    private String guarBondNo = "";                     /* 보증보험증권번호 */
    private String rsltCd = "";                         /* 결과코드 */
    private String rsnOccrDt = "";                      /* 사유발생일자 */
    private String custNo = "";                         /* 고객번호 */
    private String mdebManResiNo = "";                  /* 주채무자주민번호 */
    private String mdebManNm = "";                      /* 주채무자명 */
    private String mrtgOffrManNm = "";                  /* 담보제공자명 */
    private String loanDt = "";                         /* 대출_일자 */
    private String eprtDt = "";                         /* 만기_일자 */
    private String insuAcdtInspStndDt = "";             /* 보험사고점검기준일자 */
    private String insuAcdtOccrDt = "";                 /* 보험사고발생일자 */
    private int dlyDdcnt = 0;                           /* 연체일수 */
    private String loanAcntNo = "";                     /* 대출계좌번호 */
    private String brdnRsnCd = "";                      /* 부담사유코드 */
    private BigDecimal dlyTamt = BigDecimal.ZERO;       /* 연체총액 */
    private BigDecimal dlyPamt = BigDecimal.ZERO;       /* 연체원금 */
    private BigDecimal dlyInt = BigDecimal.ZERO;        /* 연체이자 */
    private String dlyTrtBrnchNm = "";                  /* 연체취급지점명 */
    private String sendDt = "";                         /* 전송일자 */
    private String sendTm = "";                         /* 전송시각 */
    private String sendYn = "";                         /* 전송여부 */

    public String getAcdtDt() {
        return acdtDt;
    }
    public void setAcdtDt(String acdtDt) {
        this.acdtDt = acdtDt;
    }
    public String getGuarBondNo() {
        return guarBondNo;
    }
    public void setGuarBondNo(String guarBondNo) {
        this.guarBondNo = guarBondNo;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsnOccrDt() {
        return rsnOccrDt;
    }
    public void setRsnOccrDt(String rsnOccrDt) {
        this.rsnOccrDt = rsnOccrDt;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getMdebManResiNo() {
        return mdebManResiNo;
    }
    public void setMdebManResiNo(String mdebManResiNo) {
        this.mdebManResiNo = mdebManResiNo;
    }
    public String getMdebManNm() {
        return mdebManNm;
    }
    public void setMdebManNm(String mdebManNm) {
        this.mdebManNm = mdebManNm;
    }
    public String getMrtgOffrManNm() {
        return mrtgOffrManNm;
    }
    public void setMrtgOffrManNm(String mrtgOffrManNm) {
        this.mrtgOffrManNm = mrtgOffrManNm;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getEprtDt() {
        return eprtDt;
    }
    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }
    public String getInsuAcdtInspStndDt() {
        return insuAcdtInspStndDt;
    }
    public void setInsuAcdtInspStndDt(String insuAcdtInspStndDt) {
        this.insuAcdtInspStndDt = insuAcdtInspStndDt;
    }
    public String getInsuAcdtOccrDt() {
        return insuAcdtOccrDt;
    }
    public void setInsuAcdtOccrDt(String insuAcdtOccrDt) {
        this.insuAcdtOccrDt = insuAcdtOccrDt;
    }
    public int getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(int dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public String getLoanAcntNo() {
        return loanAcntNo;
    }
    public void setLoanAcntNo(String loanAcntNo) {
        this.loanAcntNo = loanAcntNo;
    }
    public String getBrdnRsnCd() {
        return brdnRsnCd;
    }
    public void setBrdnRsnCd(String brdnRsnCd) {
        this.brdnRsnCd = brdnRsnCd;
    }
    public BigDecimal getDlyTamt() {
        return dlyTamt;
    }
    public void setDlyTamt(BigDecimal dlyTamt) {
        this.dlyTamt = dlyTamt;
    }
    public BigDecimal getDlyPamt() {
        return dlyPamt;
    }
    public void setDlyPamt(BigDecimal dlyPamt) {
        this.dlyPamt = dlyPamt;
    }
    public BigDecimal getDlyInt() {
        return dlyInt;
    }
    public void setDlyInt(BigDecimal dlyInt) {
        this.dlyInt = dlyInt;
    }
    public String getDlyTrtBrnchNm() {
        return dlyTrtBrnchNm;
    }
    public void setDlyTrtBrnchNm(String dlyTrtBrnchNm) {
        this.dlyTrtBrnchNm = dlyTrtBrnchNm;
    }
    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getSendTm() {
        return sendTm;
    }
    public void setSendTm(String sendTm) {
        this.sendTm = sendTm;
    }
    public String getSendYn() {
        return sendYn;
    }
    public void setSendYn(String sendYn) {
        this.sendYn = sendYn;
    }
}
