package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiInsuMstDTO.java Class
 * 클래스설명    : ST_SGI_보험원장(ST_SGI_INSU_MST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiInsuMstDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo = "";                                 /* 고객번호 */
    private String contSnum = "";                               /* 계약일련번호 */
    private String trMngNo = "";                                /* 거래관리번호 */
    private String guarBondNo = "";                             /* 보증보험증권번호 */
    private String insuContStatCd = "";                         /* 보험계약상태코드 */
    private String insuEndFg = "";                              /* 보험종료여부 */
    private BigDecimal loanApplAmt = BigDecimal.ZERO;           /* 대출신청금액 */
    private BigDecimal bfLoanApplAmt = BigDecimal.ZERO;         /* 대출신청금액(변경전) */
    private BigDecimal lastLoanApplAmt = BigDecimal.ZERO;       /* 대출신청금액(최종) */
    private String bfInsuSubsDt = "";                           /* 보험청약일자(변경전) */
    private String afInsuSubsDt = "";                           /* 보험청약일자(변경후) */
    private BigDecimal intInsuEntrAmt = BigDecimal.ZERO;        /* 초기보험가입금액 */
    private BigDecimal bfInsuEntrAmt = BigDecimal.ZERO;         /* 보험가입금액(변경전) */
    private BigDecimal lastInsuEntrAmt = BigDecimal.ZERO;       /* 보험가입금액(최종) */
    private String insuStrtDt = "";                             /* 보험기간개시일 */
    private String bfInsuEndDt = "";                            /* 보험기간종료일(변경전) */
    private String lastInsuEndDt = "";                          /* 보험기간종료일(최종) */
    private String insuAcdtFg = "";                             /* 보험사고여부 */
    private String mrtgRigtExecFg = "";                         /* 담보권실행여부 */
    private String eprtClosFg = "";                             /* 만기해지여부 */
    private String adjFg = "";                                  /* 정산여부 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getContSnum() {
        return contSnum;
    }
    public void setContSnum(String contSnum) {
        this.contSnum = contSnum;
    }
    public String getTrMngNo() {
        return trMngNo;
    }
    public void setTrMngNo(String trMngNo) {
        this.trMngNo = trMngNo;
    }
    public String getGuarBondNo() {
        return guarBondNo;
    }
    public void setGuarBondNo(String guarBondNo) {
        this.guarBondNo = guarBondNo;
    }
    public String getInsuContStatCd() {
        return insuContStatCd;
    }
    public void setInsuContStatCd(String insuContStatCd) {
        this.insuContStatCd = insuContStatCd;
    }
    public String getInsuEndFg() {
        return insuEndFg;
    }
    public void setInsuEndFg(String insuEndFg) {
        this.insuEndFg = insuEndFg;
    }
    public BigDecimal getLoanApplAmt() {
        return loanApplAmt;
    }
    public void setLoanApplAmt(BigDecimal loanApplAmt) {
        this.loanApplAmt = loanApplAmt;
    }
    public BigDecimal getBfLoanApplAmt() {
        return bfLoanApplAmt;
    }
    public void setBfLoanApplAmt(BigDecimal bfLoanApplAmt) {
        this.bfLoanApplAmt = bfLoanApplAmt;
    }
    public BigDecimal getLastLoanApplAmt() {
        return lastLoanApplAmt;
    }
    public void setLastLoanApplAmt(BigDecimal lastLoanApplAmt) {
        this.lastLoanApplAmt = lastLoanApplAmt;
    }
    public String getBfInsuSubsDt() {
        return bfInsuSubsDt;
    }
    public void setBfInsuSubsDt(String bfInsuSubsDt) {
        this.bfInsuSubsDt = bfInsuSubsDt;
    }
    public String getAfInsuSubsDt() {
        return afInsuSubsDt;
    }
    public void setAfInsuSubsDt(String afInsuSubsDt) {
        this.afInsuSubsDt = afInsuSubsDt;
    }
    public BigDecimal getIntInsuEntrAmt() {
        return intInsuEntrAmt;
    }
    public void setIntInsuEntrAmt(BigDecimal intInsuEntrAmt) {
        this.intInsuEntrAmt = intInsuEntrAmt;
    }
    public BigDecimal getBfInsuEntrAmt() {
        return bfInsuEntrAmt;
    }
    public void setBfInsuEntrAmt(BigDecimal bfInsuEntrAmt) {
        this.bfInsuEntrAmt = bfInsuEntrAmt;
    }
    public BigDecimal getLastInsuEntrAmt() {
        return lastInsuEntrAmt;
    }
    public void setLastInsuEntrAmt(BigDecimal lastInsuEntrAmt) {
        this.lastInsuEntrAmt = lastInsuEntrAmt;
    }
    public String getInsuStrtDt() {
        return insuStrtDt;
    }
    public void setInsuStrtDt(String insuStrtDt) {
        this.insuStrtDt = insuStrtDt;
    }
    public String getBfInsuEndDt() {
        return bfInsuEndDt;
    }
    public void setBfInsuEndDt(String bfInsuEndDt) {
        this.bfInsuEndDt = bfInsuEndDt;
    }
    public String getLastInsuEndDt() {
        return lastInsuEndDt;
    }
    public void setLastInsuEndDt(String lastInsuEndDt) {
        this.lastInsuEndDt = lastInsuEndDt;
    }
    public String getInsuAcdtFg() {
        return insuAcdtFg;
    }
    public void setInsuAcdtFg(String insuAcdtFg) {
        this.insuAcdtFg = insuAcdtFg;
    }
    public String getMrtgRigtExecFg() {
        return mrtgRigtExecFg;
    }
    public void setMrtgRigtExecFg(String mrtgRigtExecFg) {
        this.mrtgRigtExecFg = mrtgRigtExecFg;
    }
    public String getEprtClosFg() {
        return eprtClosFg;
    }
    public void setEprtClosFg(String eprtClosFg) {
        this.eprtClosFg = eprtClosFg;
    }
    public String getAdjFg() {
        return adjFg;
    }
    public void setAdjFg(String adjFg) {
        this.adjFg = adjFg;
    }
}
