package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiInsuTrDescDTO.java Class
 * 클래스설명    : ST_SGI_보험거래내역(ST_SGI_INSU_TR_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiInsuTrDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trMngNo = "";                                    /* 거래관리번호 */
    private String bsnDivCd = "";                                   /* 업무구분코드 */
    private String rsnCd = "";                                      /* 사유코드 */
    private String rsltCd = "";                                     /* 결과코드 */
    private String loanCnslNo = "";                                 /* 대출상담번호 */
    private String loanApplNo = "";                                 /* 대출신청번호 */
    private String custNo = "";                                     /* 고객번호 */
    private String guarBondNo = "";                                 /* 보증보험증권번호 */
    private String trDt = "";                                       /* 거래일자 */
    private String endorNo = "";                                    /* 배서번호 */
    private String rsnOccrDt = "";                                  /* 사유발생일자 */
    private String mdebManResiNo = "";                              /* 주채무자주민등록번호 */
    private String afMdebManResiNo = "";                            /* 변경후_주채무자주민등록번호 */
    private String mrtgEsttKindCd = "";                             /* 담보부동산 종류 */
    private String mrtgLoctZipCd = "";                              /* 담보소재지 우편번호 */
    private String mrtgLoctAddr = "";                               /* 담보부동산소재지 */
    private int roomCnt = 0;                                        /* 방칸수 */
    private int euseArea = 0;                                       /* 전용면적 */
    private BigDecimal preSeqSetAmt = BigDecimal.ZERO;              /* 선순위 설정금액 */
    private BigDecimal esttEvalAmt = BigDecimal.ZERO;               /* 부동산 평가금액 */
    private BigDecimal totLoanPossAmt = BigDecimal.ZERO;            /* 총 대출가능금액 */
    private BigDecimal loanApplAmt = BigDecimal.ZERO;               /* 대출신청금액 */
    private BigDecimal valdMrtgAmt = BigDecimal.ZERO;               /* 유효(가용)담보가 */
    private String esttEvalMethCd = "";                             /* 부동산평가방법 */
    private BigDecimal chngAfLoanApplAmt = BigDecimal.ZERO;         /* 변경후_대출신청금액 */
    private BigDecimal chngAfValdMrtgAmt = BigDecimal.ZERO;         /* 변경후_유효담보가 */
    private String loanStrtDt = "";                                 /* 대출기간개시일자 */
    private String loanEndDt = "";                                  /* 대출기간종료일자 */
    private String calcLoanEndDt = "";                              /* 대출기간종료일자(보험료계산용도) */
    private String rmbrMethCd = "";                                 /* 상환방법 */
    private BigDecimal timsRmbrAmt = BigDecimal.ZERO;               /* 1회상환금액 */
    private BigDecimal loanIntRt = BigDecimal.ZERO;                 /* 대출이자율 */
    private String fcntRmbrDt = "";                                 /* 초회상환일자 */
    private int rmbrUnit = 0;                                       /* 상환단위 */
    private String insuSubsDt = "";                                 /* 보험청약일자 */
    private BigDecimal insuEntrAmt = BigDecimal.ZERO;               /* 보험가입금액 */
    private String insuTermStrtDt = "";                             /* 보험기간개시일자 */
    private String insuTermEndDt = "";                              /* 보험기간종료일자(당초,변경전) */
    private String chngAfInsuTermEndDt = "";                        /* 보험기간종료일자(변경후) */
    private BigDecimal aplyInsuRt = BigDecimal.ZERO;                /* 적용보험요율 */
    private BigDecimal chngAfAplyInsuRt = BigDecimal.ZERO;          /* 적용보험요율(변경후) */
    private BigDecimal frstInsuFee = BigDecimal.ZERO;               /* 최초 보험료 */
    private BigDecimal toutInsuFee = BigDecimal.ZERO;               /* 환급보험료 */
    private BigDecimal pentInsuFee = BigDecimal.ZERO;               /* 추징보험료 */
    private String mdebManNm = "";                                  /* 주채무자 성명 */
    private String mdebManJobCd = "";                               /* 주채무자직업구분코드 */
    private String mdebManResiZipCd = "";                           /* 주채무자 주민등록주소우편번호 */
    private String mdebManResiAddr = "";                            /* 주채무자 주민등록주소 */
    private String mdebManTelNo = "";                               /* 주채무자 주민등록주소전화번호 */
    private String mdebManHpNo = "";                                /* 주채무자 휴대폰번호 */
    private String sendDt = "";                                     /* 전송일자 */
    private String sendTm = "";                                     /* 전송시각 */
    private String emptRmFg = "";                                   /* 공실여부 */
    private String loanKindCd = "";                                 /* 대출종류 */
    private String insuUpdtFg = "";                                 /* 보험갱신계약여부 */
    private String bfGuarBondNo = "";                               /* 보험증권번호(갱신전) */
    private int totBuildCnt = 0;                                    /* 총동수 */
    private int totHshdCnt = 0;                                     /* 총세대수 */
    private BigDecimal incoAmt = BigDecimal.ZERO;                   /* 소득금액 */
    private String esttEvalOrgCd = "";                              /* 부동산평가기관 */
    private int ltvLimRto = 0;                                      /* LTV한도 */
    private BigDecimal samtLeasGuarAmt = BigDecimal.ZERO;           /* 소액임차보증금 해당액 */
    private BigDecimal eprtRmbrAmt = BigDecimal.ZERO;               /* 만기일시 상환금 */
    private String jobGrpCd = "";                                   /* 직업군코드 */
    private BigDecimal mciEntrLimAmt = BigDecimal.ZERO;             /* MCI가입한도(일부은행용) */
    private BigDecimal mciEntrAfAddLimAmt = BigDecimal.ZERO;        /* MCI가입후 추가대출한도(일부은행용) */
    private BigDecimal mciEntrAfLastPossAmt = BigDecimal.ZERO;      /* MCI가입후 최종대출가능금액(일부은행용) */
    private BigDecimal mciEntrAfValdMrtgAmt = BigDecimal.ZERO;      /* MCI가입후 유효담보가(일부은행용) */
    private String judgEvalCorpNm = "";                             /* 감정평가법인명 */
    private BigDecimal etcSamtLeasGuarAmt = BigDecimal.ZERO;        /* 기타주택 소액임차보증금(공제대상 방수) */
    private String debtManCiReadAgrFg = "";                         /* 채무자신용정보조회동의여부 */
    private String debtManOffrMndtAgrFg = "";                       /* 채무자신용정보제공필수동의여부 */
    private String debtManOffrSlctAgrFg = "";                       /* 채무자신용정보제공선택동의여부 */
    private String debtManGathUseMndtAgrFg = "";                    /* 채무자신용정보수집이용필수동의여부 */
    private String debtManGathUseSlctAgrFg = "";                    /* 채무자신용정보수집이용선택동의여부 */
    private String debtManRcgnAgrFg = "";                           /* 채무자고객식별정보동의여부 */
    private String mrtgLoctPlmkBaseAddr = "";                       /* 담보소재지지번기본주소 */
    private String mrtgLoctAddrDivCd = "";                          /* 담보소재지주소구분코드 */
    private String mrtgLoctRoadBaseAddr = "";                       /* 담보소재지도로명기본주소 */
    private String mrtgLoctRoadEtcAddr = "";                        /* 담보소재지도로명기타주소 */
    private String mdebManAddrDivCd = "";                           /* 주채무자주소구분코드 */
    private String mdebManPlmkBaseAddr = "";                        /* 주채무자지번기본주소 */
    private String mdebManRoadBaseAddr = "";                        /* 주채무자도로명기본주소 */
    private String mdebManRoadEtcAddr = "";                         /* 주채무자도로명기타주소 */
    private String mrtgPclrNo = "";                                 /* 부동산고유번호 */

    public String getTrMngNo() {
        return trMngNo;
    }
    public void setTrMngNo(String trMngNo) {
        this.trMngNo = trMngNo;
    }
    public String getBsnDivCd() {
        return bsnDivCd;
    }
    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }
    public String getRsnCd() {
        return rsnCd;
    }
    public void setRsnCd(String rsnCd) {
        this.rsnCd = rsnCd;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getGuarBondNo() {
        return guarBondNo;
    }
    public void setGuarBondNo(String guarBondNo) {
        this.guarBondNo = guarBondNo;
    }
    public String getTrDt() {
        return trDt;
    }
    public void setTrDt(String trDt) {
        this.trDt = trDt;
    }
    public String getEndorNo() {
        return endorNo;
    }
    public void setEndorNo(String endorNo) {
        this.endorNo = endorNo;
    }
    public String getRsnOccrDt() {
        return rsnOccrDt;
    }
    public void setRsnOccrDt(String rsnOccrDt) {
        this.rsnOccrDt = rsnOccrDt;
    }
    public String getMdebManResiNo() {
        return mdebManResiNo;
    }
    public void setMdebManResiNo(String mdebManResiNo) {
        this.mdebManResiNo = mdebManResiNo;
    }
    public String getAfMdebManResiNo() {
        return afMdebManResiNo;
    }
    public void setAfMdebManResiNo(String afMdebManResiNo) {
        this.afMdebManResiNo = afMdebManResiNo;
    }
    public String getMrtgEsttKindCd() {
        return mrtgEsttKindCd;
    }
    public void setMrtgEsttKindCd(String mrtgEsttKindCd) {
        this.mrtgEsttKindCd = mrtgEsttKindCd;
    }
    public String getMrtgLoctZipCd() {
        return mrtgLoctZipCd;
    }
    public void setMrtgLoctZipCd(String mrtgLoctZipCd) {
        this.mrtgLoctZipCd = mrtgLoctZipCd;
    }
    public String getMrtgLoctAddr() {
        return mrtgLoctAddr;
    }
    public void setMrtgLoctAddr(String mrtgLoctAddr) {
        this.mrtgLoctAddr = mrtgLoctAddr;
    }
    public int getRoomCnt() {
        return roomCnt;
    }
    public void setRoomCnt(int roomCnt) {
        this.roomCnt = roomCnt;
    }
    public int getEuseArea() {
        return euseArea;
    }
    public void setEuseArea(int euseArea) {
        this.euseArea = euseArea;
    }
    public BigDecimal getPreSeqSetAmt() {
        return preSeqSetAmt;
    }
    public void setPreSeqSetAmt(BigDecimal preSeqSetAmt) {
        this.preSeqSetAmt = preSeqSetAmt;
    }
    public BigDecimal getEsttEvalAmt() {
        return esttEvalAmt;
    }
    public void setEsttEvalAmt(BigDecimal esttEvalAmt) {
        this.esttEvalAmt = esttEvalAmt;
    }
    public BigDecimal getTotLoanPossAmt() {
        return totLoanPossAmt;
    }
    public void setTotLoanPossAmt(BigDecimal totLoanPossAmt) {
        this.totLoanPossAmt = totLoanPossAmt;
    }
    public BigDecimal getLoanApplAmt() {
        return loanApplAmt;
    }
    public void setLoanApplAmt(BigDecimal loanApplAmt) {
        this.loanApplAmt = loanApplAmt;
    }
    public BigDecimal getValdMrtgAmt() {
        return valdMrtgAmt;
    }
    public void setValdMrtgAmt(BigDecimal valdMrtgAmt) {
        this.valdMrtgAmt = valdMrtgAmt;
    }
    public String getEsttEvalMethCd() {
        return esttEvalMethCd;
    }
    public void setEsttEvalMethCd(String esttEvalMethCd) {
        this.esttEvalMethCd = esttEvalMethCd;
    }
    public BigDecimal getChngAfLoanApplAmt() {
        return chngAfLoanApplAmt;
    }
    public void setChngAfLoanApplAmt(BigDecimal chngAfLoanApplAmt) {
        this.chngAfLoanApplAmt = chngAfLoanApplAmt;
    }
    public BigDecimal getChngAfValdMrtgAmt() {
        return chngAfValdMrtgAmt;
    }
    public void setChngAfValdMrtgAmt(BigDecimal chngAfValdMrtgAmt) {
        this.chngAfValdMrtgAmt = chngAfValdMrtgAmt;
    }
    public String getLoanStrtDt() {
        return loanStrtDt;
    }
    public void setLoanStrtDt(String loanStrtDt) {
        this.loanStrtDt = loanStrtDt;
    }
    public String getLoanEndDt() {
        return loanEndDt;
    }
    public void setLoanEndDt(String loanEndDt) {
        this.loanEndDt = loanEndDt;
    }
    public String getCalcLoanEndDt() {
        return calcLoanEndDt;
    }
    public void setCalcLoanEndDt(String calcLoanEndDt) {
        this.calcLoanEndDt = calcLoanEndDt;
    }
    public String getRmbrMethCd() {
        return rmbrMethCd;
    }
    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }
    public BigDecimal getTimsRmbrAmt() {
        return timsRmbrAmt;
    }
    public void setTimsRmbrAmt(BigDecimal timsRmbrAmt) {
        this.timsRmbrAmt = timsRmbrAmt;
    }
    public BigDecimal getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(BigDecimal loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public String getFcntRmbrDt() {
        return fcntRmbrDt;
    }
    public void setFcntRmbrDt(String fcntRmbrDt) {
        this.fcntRmbrDt = fcntRmbrDt;
    }
    public int getRmbrUnit() {
        return rmbrUnit;
    }
    public void setRmbrUnit(int rmbrUnit) {
        this.rmbrUnit = rmbrUnit;
    }
    public String getInsuSubsDt() {
        return insuSubsDt;
    }
    public void setInsuSubsDt(String insuSubsDt) {
        this.insuSubsDt = insuSubsDt;
    }
    public BigDecimal getInsuEntrAmt() {
        return insuEntrAmt;
    }
    public void setInsuEntrAmt(BigDecimal insuEntrAmt) {
        this.insuEntrAmt = insuEntrAmt;
    }
    public String getInsuTermStrtDt() {
        return insuTermStrtDt;
    }
    public void setInsuTermStrtDt(String insuTermStrtDt) {
        this.insuTermStrtDt = insuTermStrtDt;
    }
    public String getInsuTermEndDt() {
        return insuTermEndDt;
    }
    public void setInsuTermEndDt(String insuTermEndDt) {
        this.insuTermEndDt = insuTermEndDt;
    }
    public String getChngAfInsuTermEndDt() {
        return chngAfInsuTermEndDt;
    }
    public void setChngAfInsuTermEndDt(String chngAfInsuTermEndDt) {
        this.chngAfInsuTermEndDt = chngAfInsuTermEndDt;
    }
    public BigDecimal getAplyInsuRt() {
        return aplyInsuRt;
    }
    public void setAplyInsuRt(BigDecimal aplyInsuRt) {
        this.aplyInsuRt = aplyInsuRt;
    }
    public BigDecimal getChngAfAplyInsuRt() {
        return chngAfAplyInsuRt;
    }
    public void setChngAfAplyInsuRt(BigDecimal chngAfAplyInsuRt) {
        this.chngAfAplyInsuRt = chngAfAplyInsuRt;
    }
    public BigDecimal getFrstInsuFee() {
        return frstInsuFee;
    }
    public void setFrstInsuFee(BigDecimal frstInsuFee) {
        this.frstInsuFee = frstInsuFee;
    }
    public BigDecimal getToutInsuFee() {
        return toutInsuFee;
    }
    public void setToutInsuFee(BigDecimal toutInsuFee) {
        this.toutInsuFee = toutInsuFee;
    }
    public BigDecimal getPentInsuFee() {
        return pentInsuFee;
    }
    public void setPentInsuFee(BigDecimal pentInsuFee) {
        this.pentInsuFee = pentInsuFee;
    }
    public String getMdebManNm() {
        return mdebManNm;
    }
    public void setMdebManNm(String mdebManNm) {
        this.mdebManNm = mdebManNm;
    }
    public String getMdebManJobCd() {
        return mdebManJobCd;
    }
    public void setMdebManJobCd(String mdebManJobCd) {
        this.mdebManJobCd = mdebManJobCd;
    }
    public String getMdebManResiZipCd() {
        return mdebManResiZipCd;
    }
    public void setMdebManResiZipCd(String mdebManResiZipCd) {
        this.mdebManResiZipCd = mdebManResiZipCd;
    }
    public String getMdebManResiAddr() {
        return mdebManResiAddr;
    }
    public void setMdebManResiAddr(String mdebManResiAddr) {
        this.mdebManResiAddr = mdebManResiAddr;
    }
    public String getMdebManTelNo() {
        return mdebManTelNo;
    }
    public void setMdebManTelNo(String mdebManTelNo) {
        this.mdebManTelNo = mdebManTelNo;
    }
    public String getMdebManHpNo() {
        return mdebManHpNo;
    }
    public void setMdebManHpNo(String mdebManHpNo) {
        this.mdebManHpNo = mdebManHpNo;
    }
    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getSendTm() {
        return sendTm;
    }
    public void setSendTm(String sendTm) {
        this.sendTm = sendTm;
    }
    public String getEmptRmFg() {
        return emptRmFg;
    }
    public void setEmptRmFg(String emptRmFg) {
        this.emptRmFg = emptRmFg;
    }
    public String getLoanKindCd() {
        return loanKindCd;
    }
    public void setLoanKindCd(String loanKindCd) {
        this.loanKindCd = loanKindCd;
    }
    public String getInsuUpdtFg() {
        return insuUpdtFg;
    }
    public void setInsuUpdtFg(String insuUpdtFg) {
        this.insuUpdtFg = insuUpdtFg;
    }
    public String getBfGuarBondNo() {
        return bfGuarBondNo;
    }
    public void setBfGuarBondNo(String bfGuarBondNo) {
        this.bfGuarBondNo = bfGuarBondNo;
    }
    public int getTotBuildCnt() {
        return totBuildCnt;
    }
    public void setTotBuildCnt(int totBuildCnt) {
        this.totBuildCnt = totBuildCnt;
    }
    public int getTotHshdCnt() {
        return totHshdCnt;
    }
    public void setTotHshdCnt(int totHshdCnt) {
        this.totHshdCnt = totHshdCnt;
    }
    public BigDecimal getIncoAmt() {
        return incoAmt;
    }
    public void setIncoAmt(BigDecimal incoAmt) {
        this.incoAmt = incoAmt;
    }
    public String getEsttEvalOrgCd() {
        return esttEvalOrgCd;
    }
    public void setEsttEvalOrgCd(String esttEvalOrgCd) {
        this.esttEvalOrgCd = esttEvalOrgCd;
    }
    public int getLtvLimRto() {
        return ltvLimRto;
    }
    public void setLtvLimRto(int ltvLimRto) {
        this.ltvLimRto = ltvLimRto;
    }
    public BigDecimal getSamtLeasGuarAmt() {
        return samtLeasGuarAmt;
    }
    public void setSamtLeasGuarAmt(BigDecimal samtLeasGuarAmt) {
        this.samtLeasGuarAmt = samtLeasGuarAmt;
    }
    public BigDecimal getEprtRmbrAmt() {
        return eprtRmbrAmt;
    }
    public void setEprtRmbrAmt(BigDecimal eprtRmbrAmt) {
        this.eprtRmbrAmt = eprtRmbrAmt;
    }
    public String getJobGrpCd() {
        return jobGrpCd;
    }
    public void setJobGrpCd(String jobGrpCd) {
        this.jobGrpCd = jobGrpCd;
    }
    public BigDecimal getMciEntrLimAmt() {
        return mciEntrLimAmt;
    }
    public void setMciEntrLimAmt(BigDecimal mciEntrLimAmt) {
        this.mciEntrLimAmt = mciEntrLimAmt;
    }
    public BigDecimal getMciEntrAfAddLimAmt() {
        return mciEntrAfAddLimAmt;
    }
    public void setMciEntrAfAddLimAmt(BigDecimal mciEntrAfAddLimAmt) {
        this.mciEntrAfAddLimAmt = mciEntrAfAddLimAmt;
    }
    public BigDecimal getMciEntrAfLastPossAmt() {
        return mciEntrAfLastPossAmt;
    }
    public void setMciEntrAfLastPossAmt(BigDecimal mciEntrAfLastPossAmt) {
        this.mciEntrAfLastPossAmt = mciEntrAfLastPossAmt;
    }
    public BigDecimal getMciEntrAfValdMrtgAmt() {
        return mciEntrAfValdMrtgAmt;
    }
    public void setMciEntrAfValdMrtgAmt(BigDecimal mciEntrAfValdMrtgAmt) {
        this.mciEntrAfValdMrtgAmt = mciEntrAfValdMrtgAmt;
    }
    public String getJudgEvalCorpNm() {
        return judgEvalCorpNm;
    }
    public void setJudgEvalCorpNm(String judgEvalCorpNm) {
        this.judgEvalCorpNm = judgEvalCorpNm;
    }
    public BigDecimal getEtcSamtLeasGuarAmt() {
        return etcSamtLeasGuarAmt;
    }
    public void setEtcSamtLeasGuarAmt(BigDecimal etcSamtLeasGuarAmt) {
        this.etcSamtLeasGuarAmt = etcSamtLeasGuarAmt;
    }
    public String getDebtManCiReadAgrFg() {
        return debtManCiReadAgrFg;
    }
    public void setDebtManCiReadAgrFg(String debtManCiReadAgrFg) {
        this.debtManCiReadAgrFg = debtManCiReadAgrFg;
    }
    public String getDebtManOffrMndtAgrFg() {
        return debtManOffrMndtAgrFg;
    }
    public void setDebtManOffrMndtAgrFg(String debtManOffrMndtAgrFg) {
        this.debtManOffrMndtAgrFg = debtManOffrMndtAgrFg;
    }
    public String getDebtManOffrSlctAgrFg() {
        return debtManOffrSlctAgrFg;
    }
    public void setDebtManOffrSlctAgrFg(String debtManOffrSlctAgrFg) {
        this.debtManOffrSlctAgrFg = debtManOffrSlctAgrFg;
    }
    public String getDebtManGathUseMndtAgrFg() {
        return debtManGathUseMndtAgrFg;
    }
    public void setDebtManGathUseMndtAgrFg(String debtManGathUseMndtAgrFg) {
        this.debtManGathUseMndtAgrFg = debtManGathUseMndtAgrFg;
    }
    public String getDebtManGathUseSlctAgrFg() {
        return debtManGathUseSlctAgrFg;
    }
    public void setDebtManGathUseSlctAgrFg(String debtManGathUseSlctAgrFg) {
        this.debtManGathUseSlctAgrFg = debtManGathUseSlctAgrFg;
    }
    public String getDebtManRcgnAgrFg() {
        return debtManRcgnAgrFg;
    }
    public void setDebtManRcgnAgrFg(String debtManRcgnAgrFg) {
        this.debtManRcgnAgrFg = debtManRcgnAgrFg;
    }
    public String getMrtgLoctPlmkBaseAddr() {
        return mrtgLoctPlmkBaseAddr;
    }
    public void setMrtgLoctPlmkBaseAddr(String mrtgLoctPlmkBaseAddr) {
        this.mrtgLoctPlmkBaseAddr = mrtgLoctPlmkBaseAddr;
    }
    public String getMrtgLoctAddrDivCd() {
        return mrtgLoctAddrDivCd;
    }
    public void setMrtgLoctAddrDivCd(String mrtgLoctAddrDivCd) {
        this.mrtgLoctAddrDivCd = mrtgLoctAddrDivCd;
    }
    public String getMrtgLoctRoadBaseAddr() {
        return mrtgLoctRoadBaseAddr;
    }
    public void setMrtgLoctRoadBaseAddr(String mrtgLoctRoadBaseAddr) {
        this.mrtgLoctRoadBaseAddr = mrtgLoctRoadBaseAddr;
    }
    public String getMrtgLoctRoadEtcAddr() {
        return mrtgLoctRoadEtcAddr;
    }
    public void setMrtgLoctRoadEtcAddr(String mrtgLoctRoadEtcAddr) {
        this.mrtgLoctRoadEtcAddr = mrtgLoctRoadEtcAddr;
    }
    public String getMdebManAddrDivCd() {
        return mdebManAddrDivCd;
    }
    public void setMdebManAddrDivCd(String mdebManAddrDivCd) {
        this.mdebManAddrDivCd = mdebManAddrDivCd;
    }
    public String getMdebManPlmkBaseAddr() {
        return mdebManPlmkBaseAddr;
    }
    public void setMdebManPlmkBaseAddr(String mdebManPlmkBaseAddr) {
        this.mdebManPlmkBaseAddr = mdebManPlmkBaseAddr;
    }
    public String getMdebManRoadBaseAddr() {
        return mdebManRoadBaseAddr;
    }
    public void setMdebManRoadBaseAddr(String mdebManRoadBaseAddr) {
        this.mdebManRoadBaseAddr = mdebManRoadBaseAddr;
    }
    public String getMdebManRoadEtcAddr() {
        return mdebManRoadEtcAddr;
    }
    public void setMdebManRoadEtcAddr(String mdebManRoadEtcAddr) {
        this.mdebManRoadEtcAddr = mdebManRoadEtcAddr;
    }
    public String getMrtgPclrNo() {
        return mrtgPclrNo;
    }
    public void setMrtgPclrNo(String mrtgPclrNo) {
        this.mrtgPclrNo = mrtgPclrNo;
    }
}
