package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiOnlnInsuAcdtNotiDTO.java Class
 * 클래스설명    : ST_서울신용보증_온라인_보험사고(연체)통보전문(ST_SGI_ONLN_INSU_ACDT_NOTI)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiOnlnInsuAcdtNotiDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String insrdUse = "";                       /* 은행용도 */
    private String bndno = "";                          /* 보험증권번호 */
    private String chngDvscd = "";                      /* 구분코드 */
    private String rsnDate = "";                        /* 사유발생일자 */
    private String mzdbRsrno = "";                      /* 주채무자 주민등록번호 */
    private String mzdbName = "";                       /* 주채무자명 */
    private String cllofRsrno = "";                     /* 담보제공자 주민번호 */
    private String cllofName = "";                      /* 담보제공자명 */
    private String lnprStrdt = "";                      /* 대출개시일 */
    private String lnprEnddt = "";                      /* 대출종료일 */
    private String insrnAccdnChcdt = "";                /* 보험사고점검 기준일 */
    private String insacOccdt = "";                     /* 보험사고일 */
    private int    delayDyscn = 0;                      /* 연체일수 */
    private String loanAcono = "";                      /* 대출계좌번호 */
    private String tlgrmTradt = "";                     /* 전송일자 */
    private String tlgrmTratm = "";                     /* 전송시각 */
    private String cvrgCode = "";                       /* 부담사유코드 */
    private long   delaySmam = 0;                       /* 연체총액 */
    private String delayAgncyName = "";                 /* 연체 취급점소명(한글) */
    private long   loanPrncp = 0;                       /* 대출원금 */
    private long   accrdIntrs = 0;                      /* 미수이자 */

    public String getInsrdUse() {
        return insrdUse;
    }
    public String getBndno() {
        return bndno;
    }
    public String getChngDvscd() {
        return chngDvscd;
    }
    public String getRsnDate() {
        return rsnDate;
    }
    public String getMzdbRsrno() {
        return mzdbRsrno;
    }
    public String getMzdbName() {
        return mzdbName;
    }
    public String getCllofRsrno() {
        return cllofRsrno;
    }
    public String getCllofName() {
        return cllofName;
    }
    public String getLnprStrdt() {
        return lnprStrdt;
    }
    public String getLnprEnddt() {
        return lnprEnddt;
    }
    public String getInsrnAccdnChcdt() {
        return insrnAccdnChcdt;
    }
    public String getInsacOccdt() {
        return insacOccdt;
    }
    public int getDelayDyscn() {
        return delayDyscn;
    }
    public String getLoanAcono() {
        return loanAcono;
    }
    public String getTlgrmTradt() {
        return tlgrmTradt;
    }
    public String getTlgrmTratm() {
        return tlgrmTratm;
    }
    public String getCvrgCode() {
        return cvrgCode;
    }
    public long getDelaySmam() {
        return delaySmam;
    }
    public String getDelayAgncyName() {
        return delayAgncyName;
    }
    public long getLoanPrncp() {
        return loanPrncp;
    }
    public long getAccrdIntrs() {
        return accrdIntrs;
    }
    public void setInsrdUse(String insrdUse) {
        this.insrdUse = insrdUse;
    }
    public void setBndno(String bndno) {
        this.bndno = bndno;
    }
    public void setChngDvscd(String chngDvscd) {
        this.chngDvscd = chngDvscd;
    }
    public void setRsnDate(String rsnDate) {
        this.rsnDate = rsnDate;
    }
    public void setMzdbRsrno(String mzdbRsrno) {
        this.mzdbRsrno = mzdbRsrno;
    }
    public void setMzdbName(String mzdbName) {
        this.mzdbName = mzdbName;
    }
    public void setCllofRsrno(String cllofRsrno) {
        this.cllofRsrno = cllofRsrno;
    }
    public void setCllofName(String cllofName) {
        this.cllofName = cllofName;
    }
    public void setLnprStrdt(String lnprStrdt) {
        this.lnprStrdt = lnprStrdt;
    }
    public void setLnprEnddt(String lnprEnddt) {
        this.lnprEnddt = lnprEnddt;
    }
    public void setInsrnAccdnChcdt(String insrnAccdnChcdt) {
        this.insrnAccdnChcdt = insrnAccdnChcdt;
    }
    public void setInsacOccdt(String insacOccdt) {
        this.insacOccdt = insacOccdt;
    }
    public void setDelayDyscn(int delayDyscn) {
        this.delayDyscn = delayDyscn;
    }
    public void setLoanAcono(String loanAcono) {
        this.loanAcono = loanAcono;
    }
    public void setTlgrmTradt(String tlgrmTradt) {
        this.tlgrmTradt = tlgrmTradt;
    }
    public void setTlgrmTratm(String tlgrmTratm) {
        this.tlgrmTratm = tlgrmTratm;
    }
    public void setCvrgCode(String cvrgCode) {
        this.cvrgCode = cvrgCode;
    }
    public void setDelaySmam(long delaySmam) {
        this.delaySmam = delaySmam;
    }
    public void setDelayAgncyName(String delayAgncyName) {
        this.delayAgncyName = delayAgncyName;
    }
    public void setLoanPrncp(long loanPrncp) {
        this.loanPrncp = loanPrncp;
    }
    public void setAccrdIntrs(long accrdIntrs) {
        this.accrdIntrs = accrdIntrs;
    }
}
