package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiOnlnInsuFeeAdjDTO.java Class
 * 클래스설명    : ST_서울신용보증_온라인_보험료정산전문(ST_SGI_ONLN_INSU_FEE_ADJ)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiOnlnInsuFeeAdjDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String insrdUse = "";                   /* 은행용도 */
    private String excclDate = "";                  /* 정산일자(항상당일임) */
    private String excltDate = "";                  /* 정산대상영업일 */
    private int    bankNewCount = 0;                /* 은행신규건수(A11) */
    private int    grninNewCount = 0;               /* SGI신규건수(A11) */
    private long   bankNewPrmm = 0;                 /* 은행신규보험료(A11) */
    private long   grninNewPrmm = 0;                /* SGI신규보험료(A11) */
    private int    bankTrmntCount = 0;              /* 은행해지건수(A31해지) */
    private int    grninTrmntCount = 0;             /* SGI해지건수(A31해지) */
    private long   bankTrmntPrmm = 0;               /* 은행해지보험료(A31해지) */
    private long   grninTrmntPrmm = 0;              /* SGI해지보험료(A31해지) */
    private int    bankBondIssueTrmntCount = 0;     /* 은행증권발급해지건수(A33해지) */
    private int    grninBondIssueTrmntCount = 0;    /* SGI증권발급해지건수(A33해지) */
    private long   bankBondIssueTrmntPrmm = 0;      /* 은행증권발급해지보험료(A33해지) */
    private long   grninBondIssueTrmntPrmm = 0;     /* SGI증권발급해지보험료(A33해지) */
    private long   bankGrntPrdExtnsCount = 0;       /* 은행보증기간연장건수(A51연장) */
    private long   grninGrntPrdExtnsCount = 0;      /* SGI보증기간연장건수(A51연장) */
    private long   bankGrntPrdExtnsPrmm = 0;        /* 은행보증기간연장보험료(A51연장) */
    private long   grninGrntPrdExtnsPrmm = 0;       /* SGI보증기간연장보험료(A51연장) */
    private int    bankCntcnModifiCount = 0;        /* 피보험자중도계약변경건수 */
    private int    grninCntcnModifiCount = 0;       /* SGI중도계약변경건수 */
    private long   bankCntcnModifiPrmm = 0;         /* 피보험자중도계약변경보험료 */
    private long   grninCntcnModifiPrmm = 0;        /* SGI중도계약변경보험료 */
    private int    bankRdcamCount = 0;              /* 은행감액건수(A53) */
    private int    grninRdcamCount = 0;             /* SGI감액건수(A53) */
    private long   bankRdcamPrmm = 0;               /* 은행감액보험료(A53) */
    private long   grninRdcamPrmm = 0;              /* SGI감액보험료(A53) */
    private String tlgrmTradt = "";                 /* 전문전송일자 */
    private String tlgrmTratm = "";                 /* 전문전송시각 */
    private int    bankRfndCount = 0;               /* 정정배서 환급건수(은행) */
    private int    grninRfndCount = 0;              /* 정정배서 환급건수(SGI) */
    private long   bankRfndPrmm = 0;                /* 정정배서 환급보험료(은행) */
    private long   grninRfndPrmm = 0;               /* 정정배서 환급보험료(SGI) */
    private int    bankAddtnCount = 0;              /* 정정배서 추가건수(은행) */
    private int    grninAddtnCount = 0;             /* 정정배서 추가건수(SGI) */
    private long   bankAddtnPrmm = 0;               /* 정정배서 추가보험료(은행) */
    private long   grninAddtnPrmm = 0;              /* 정정배서 추가보험료(SGI) */
    private int    dCnclCntSgi = 0;                 /* SGI정산후취소 건수 */
    private int    dCnclPrmmSgi = 0;                /* SGI정산후취소 보험료 */

    public String getInsrdUse() {
        return insrdUse;
    }
    public String getExcclDate() {
        return excclDate;
    }
    public String getExcltDate() {
        return excltDate;
    }
    public int getBankNewCount() {
        return bankNewCount;
    }
    public int getGrninNewCount() {
        return grninNewCount;
    }
    public long getBankNewPrmm() {
        return bankNewPrmm;
    }
    public long getGrninNewPrmm() {
        return grninNewPrmm;
    }
    public int getBankTrmntCount() {
        return bankTrmntCount;
    }
    public int getGrninTrmntCount() {
        return grninTrmntCount;
    }
    public long getBankTrmntPrmm() {
        return bankTrmntPrmm;
    }
    public long getGrninTrmntPrmm() {
        return grninTrmntPrmm;
    }
    public int getBankBondIssueTrmntCount() {
        return bankBondIssueTrmntCount;
    }
    public int getGrninBondIssueTrmntCount() {
        return grninBondIssueTrmntCount;
    }
    public long getBankBondIssueTrmntPrmm() {
        return bankBondIssueTrmntPrmm;
    }
    public long getGrninBondIssueTrmntPrmm() {
        return grninBondIssueTrmntPrmm;
    }
    public long getBankGrntPrdExtnsCount() {
        return bankGrntPrdExtnsCount;
    }
    public long getGrninGrntPrdExtnsCount() {
        return grninGrntPrdExtnsCount;
    }
    public long getBankGrntPrdExtnsPrmm() {
        return bankGrntPrdExtnsPrmm;
    }
    public long getGrninGrntPrdExtnsPrmm() {
        return grninGrntPrdExtnsPrmm;
    }
    public int getBankCntcnModifiCount() {
        return bankCntcnModifiCount;
    }
    public int getGrninCntcnModifiCount() {
        return grninCntcnModifiCount;
    }
    public long getBankCntcnModifiPrmm() {
        return bankCntcnModifiPrmm;
    }
    public long getGrninCntcnModifiPrmm() {
        return grninCntcnModifiPrmm;
    }
    public int getBankRdcamCount() {
        return bankRdcamCount;
    }
    public int getGrninRdcamCount() {
        return grninRdcamCount;
    }
    public long getBankRdcamPrmm() {
        return bankRdcamPrmm;
    }
    public long getGrninRdcamPrmm() {
        return grninRdcamPrmm;
    }
    public String getTlgrmTradt() {
        return tlgrmTradt;
    }
    public String getTlgrmTratm() {
        return tlgrmTratm;
    }
    public int getBankRfndCount() {
        return bankRfndCount;
    }
    public int getGrninRfndCount() {
        return grninRfndCount;
    }
    public long getBankRfndPrmm() {
        return bankRfndPrmm;
    }
    public long getGrninRfndPrmm() {
        return grninRfndPrmm;
    }
    public int getBankAddtnCount() {
        return bankAddtnCount;
    }
    public int getGrninAddtnCount() {
        return grninAddtnCount;
    }
    public long getBankAddtnPrmm() {
        return bankAddtnPrmm;
    }
    public long getGrninAddtnPrmm() {
        return grninAddtnPrmm;
    }
    public int getdCnclCntSgi() {
        return dCnclCntSgi;
    }
    public int getdCnclPrmmSgi() {
        return dCnclPrmmSgi;
    }
    public void setInsrdUse(String insrdUse) {
        this.insrdUse = insrdUse;
    }
    public void setExcclDate(String excclDate) {
        this.excclDate = excclDate;
    }
    public void setExcltDate(String excltDate) {
        this.excltDate = excltDate;
    }
    public void setBankNewCount(int bankNewCount) {
        this.bankNewCount = bankNewCount;
    }
    public void setGrninNewCount(int grninNewCount) {
        this.grninNewCount = grninNewCount;
    }
    public void setBankNewPrmm(long bankNewPrmm) {
        this.bankNewPrmm = bankNewPrmm;
    }
    public void setGrninNewPrmm(long grninNewPrmm) {
        this.grninNewPrmm = grninNewPrmm;
    }
    public void setBankTrmntCount(int bankTrmntCount) {
        this.bankTrmntCount = bankTrmntCount;
    }
    public void setGrninTrmntCount(int grninTrmntCount) {
        this.grninTrmntCount = grninTrmntCount;
    }
    public void setBankTrmntPrmm(long bankTrmntPrmm) {
        this.bankTrmntPrmm = bankTrmntPrmm;
    }
    public void setGrninTrmntPrmm(long grninTrmntPrmm) {
        this.grninTrmntPrmm = grninTrmntPrmm;
    }
    public void setBankBondIssueTrmntCount(int bankBondIssueTrmntCount) {
        this.bankBondIssueTrmntCount = bankBondIssueTrmntCount;
    }
    public void setGrninBondIssueTrmntCount(int grninBondIssueTrmntCount) {
        this.grninBondIssueTrmntCount = grninBondIssueTrmntCount;
    }
    public void setBankBondIssueTrmntPrmm(long bankBondIssueTrmntPrmm) {
        this.bankBondIssueTrmntPrmm = bankBondIssueTrmntPrmm;
    }
    public void setGrninBondIssueTrmntPrmm(long grninBondIssueTrmntPrmm) {
        this.grninBondIssueTrmntPrmm = grninBondIssueTrmntPrmm;
    }
    public void setBankGrntPrdExtnsCount(long bankGrntPrdExtnsCount) {
        this.bankGrntPrdExtnsCount = bankGrntPrdExtnsCount;
    }
    public void setGrninGrntPrdExtnsCount(long grninGrntPrdExtnsCount) {
        this.grninGrntPrdExtnsCount = grninGrntPrdExtnsCount;
    }
    public void setBankGrntPrdExtnsPrmm(long bankGrntPrdExtnsPrmm) {
        this.bankGrntPrdExtnsPrmm = bankGrntPrdExtnsPrmm;
    }
    public void setGrninGrntPrdExtnsPrmm(long grninGrntPrdExtnsPrmm) {
        this.grninGrntPrdExtnsPrmm = grninGrntPrdExtnsPrmm;
    }
    public void setBankCntcnModifiCount(int bankCntcnModifiCount) {
        this.bankCntcnModifiCount = bankCntcnModifiCount;
    }
    public void setGrninCntcnModifiCount(int grninCntcnModifiCount) {
        this.grninCntcnModifiCount = grninCntcnModifiCount;
    }
    public void setBankCntcnModifiPrmm(long bankCntcnModifiPrmm) {
        this.bankCntcnModifiPrmm = bankCntcnModifiPrmm;
    }
    public void setGrninCntcnModifiPrmm(long grninCntcnModifiPrmm) {
        this.grninCntcnModifiPrmm = grninCntcnModifiPrmm;
    }
    public void setBankRdcamCount(int bankRdcamCount) {
        this.bankRdcamCount = bankRdcamCount;
    }
    public void setGrninRdcamCount(int grninRdcamCount) {
        this.grninRdcamCount = grninRdcamCount;
    }
    public void setBankRdcamPrmm(long bankRdcamPrmm) {
        this.bankRdcamPrmm = bankRdcamPrmm;
    }
    public void setGrninRdcamPrmm(long grninRdcamPrmm) {
        this.grninRdcamPrmm = grninRdcamPrmm;
    }
    public void setTlgrmTradt(String tlgrmTradt) {
        this.tlgrmTradt = tlgrmTradt;
    }
    public void setTlgrmTratm(String tlgrmTratm) {
        this.tlgrmTratm = tlgrmTratm;
    }
    public void setBankRfndCount(int bankRfndCount) {
        this.bankRfndCount = bankRfndCount;
    }
    public void setGrninRfndCount(int grninRfndCount) {
        this.grninRfndCount = grninRfndCount;
    }
    public void setBankRfndPrmm(long bankRfndPrmm) {
        this.bankRfndPrmm = bankRfndPrmm;
    }
    public void setGrninRfndPrmm(long grninRfndPrmm) {
        this.grninRfndPrmm = grninRfndPrmm;
    }
    public void setBankAddtnCount(int bankAddtnCount) {
        this.bankAddtnCount = bankAddtnCount;
    }
    public void setGrninAddtnCount(int grninAddtnCount) {
        this.grninAddtnCount = grninAddtnCount;
    }
    public void setBankAddtnPrmm(long bankAddtnPrmm) {
        this.bankAddtnPrmm = bankAddtnPrmm;
    }
    public void setGrninAddtnPrmm(long grninAddtnPrmm) {
        this.grninAddtnPrmm = grninAddtnPrmm;
    }
    public void setdCnclCntSgi(int dCnclCntSgi) {
        this.dCnclCntSgi = dCnclCntSgi;
    }
    public void setdCnclPrmmSgi(int dCnclPrmmSgi) {
        this.dCnclPrmmSgi = dCnclPrmmSgi;
    }
}
