package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiOnlnSaleGramDTO.java Class
 * 클래스설명    : ST_서울신용보증_온라인_영업전문(ST_SGI_ONLN_SALE_GRAM)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiOnlnSaleGramDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String insrdUse = "";                       /* 은행용도 */
    private String trMngNo = "";                        /* 거래관리번호 */
    private String bndno = "";                          /* SGI보험증권번호 */
    private String bndnoSeq = "";                       /* 배서번호 */
    private String rsnCode = "";                        /* 사유코드 */
    private String rsnDate = "";                        /* 사유발생일자 */
    private String mzdbRsrno = "";                      /* 주채무자 주민등록번호 */
    private String aftchMzdbRsrno = "";                 /* 주채무자 주민등록번호(변경후) */
    private String clltrRlesKndcd = "";                 /* 담보부동산 종류 */
    private String clltrLctnZpcd = "";                  /* 담보소재지 우편번호 */
    private String clltrLctnAddrs = "";                 /* 담보부동산소재지 */
    private int    roomCount = 0;                       /* 방칸수 */
    private int    prvusAreaSqrmt = 0;                  /* 전용면적 */
    private long   orofpStupAmnt = 0;                   /* 선순위 설정금액 */
    private long   rlesEsvam = 0;                       /* 부동산 평가금액 */
    private long   loanPssam = 0;                       /* 총 대출가능금액 */
    private long   loanRqstAmnt = 0;                    /* 대출신청금액 */
    private long   vldtyClltrAmnt = 0;                  /* 유효(가용)담보가 */
    private String mciRlesVztnMthcd = "";               /* 부동산평가방법 */
    private long   aftchRlesEsvam = 0;                  /* 부동산 평가금액(변경후) */
    private long   aftchLoanPssam = 0;                  /* 총 대출가능금액(변경후) */
    private long   aftchLoanRqstAmnt = 0;               /* 대출신청금액(변경후) */
    private long   aftchVldtyClltrAmnt = 0;             /* 유효(가용)담보가 (변경후) */
    private String lnprStrdt = "";                      /* 대출기간개시일자 */
    private String lnprEnddt = "";                      /* 대출기간종료일자 */
    private String aftchLnprEnddt = "";                 /* 대출기간종료일자(보험료계산용도) */
    private String rpmcd = "";                          /* 상환방법 */
    private long   t1HRpyam = 0;                        /* 1회상환금액 */
    private double loanIntrt = 0.0;                     /* 대출이자율 */
    private String frscnRpedt = "";                     /* 초회상환일자 */
    private String rpyunMntcn = "";                     /* 상환단위 */
    private String applcDate = "";                      /* 보험청약일자 */
    private long   insrnEniam = 0;                      /* 보험가입금액 */
    private String aftchInsrnEniam = "";                /* 보험가입금액(변경후) */
    private String insprStrdt = "";                     /* 보험기간개시일자 */
    private String insprEnddt = "";                     /* 보험기간종료일자(당초,변경전) */
    private String aftchInsprEnddt = "";                /* 보험기간종료일자(변경후) */
    private double applcInprt = 0;                      /* 적용보험요율 */
    private double aftchApplcInprt = 0;                 /* 적용보험요율(변경후) */
    private long   firstPrmm = 0;                       /* 최초 보험료 */
    private long   dbtamInclsPrmm = 0;                  /* 대출금산입후 보험료 */
    private long   rfndPrmm = 0;                        /* 환급보험료 */
    private long   pnadcPrmm = 0;                       /* 추징보험료 */
    private String mzdbName = "";                       /* 주채무자 성명 */
    private String mzdbQlfctCode = "";                  /* 주채무자 자격 */
    private String mzdbAddrsZpcd = "";                  /* 주채무자 주민등록주소우편번호 */
    private String mzdbAddrs = "";                      /* 주채무자 주민등록주소 */
    private String mzdbTlpno = "";                      /* 주채무자 주민등록주소전화번호 */
    private String mzdbMbpno = "";                      /* 주채무자 휴대폰번호 */
    private String elctrDate = "";                      /* 전송일자 */
    private String elctrTime = "";                      /* 전송시각 */
    private String mzdbNoEnfrcInputYn = "";             /* 주채무자 번호 강제 비트 */
    private String emprmYn = "";                        /* 공실여부 */
    private String loanDvscd = "";                      /* 대출종류 */
    private String rnwlCntrcYn = "";                    /* 보험갱신계약여부 */
    private String rnwlBfrBndno = "";                   /* 보험증권번호(갱신전) */
    private int    totalVllgCount = 0;                  /* 총동수 */
    private int    totalGnrtnCount = 0;                 /* 총세대수 */
    private long   incmAmnt = 0;                        /* 소득금액 입력 */
    private String mciRlesVztnOrgcd = "";               /* 부동산평가기관 */
    private int lntvLmtrt = 0;                          /* LTV한도 */
    private long smlamTnncyGrnam = 0;                   /* 소액임차보증금 해당액 */
    private long exprtDttmRpyam = 0;                    /* 만기일시 상환금 */
    private int cnorcJbccd = 0;                         /* 직업군코드 TODO : 문자열로 변경 필요 */
    private long   mciSgnpLmtam = 0;                    /* MCI가입한도(일부은행용) */
    private long   mciSgnpAddlnLmtam = 0;               /* MCI가입후 추가대출한도(일부은행용) */
    private long   mciFinalLoanPssam = 0;               /* MCI가입후 최종대출가능금액(일부은행용) */
    private long   mciVldtyClltrPssam = 0;              /* MCI가입후 유효담보가(일부은행용) */
    private String apprsOrgnm = "";                     /* 감정평가법인명 */
    private long   etcSmlamTnncyGrnam = 0;              /* 기타주택 보증가능한 소액임차보증금(공제대상 방수) */
    private String crdhsRfrncAgreeYn1 = "";             /* 채무자신용정보조회동의여부 */
    private String offerEssntAgryn1 = "";               /* 채무자신용정보제공필수동의여부 */
    private String offerSlctnAgryn1 = "";               /* 채무자신용정보제공선택동의여부 */
    private String gthrUseEssntAgryn1 = "";             /* 채무자신용정보수집이용필수동의여부 */
    private String gthrUseSlctnAgryn1 = "";             /* 채무자신용정보수집이용선택동의여부 */
    private String cstmrIdnifAgryn1 = "";               /* 채무자고객식별정보동의여부 */
    private String clltrLctnLtnoPrmad = "";             /* 담보소재지지번기본주소 */
    private String clltrLctnAddrsDvscd = "";            /* 담보소재지주소구분코드 */
    private String clltrLctnLodnmPrmad = "";            /* 담보소재지도로명기본주소 */
    private String clltrLctnLodnmEtcad = "";            /* 담보소재지도로명기타주소 */
    private String mzdbRsdrgAddrsOrgcpDvscd = "";       /* 주채무자주소구분코드 */
    private String mzdbRsdrgLtnoPrmad = "";             /* 주채무자지번기본주소 */
    private String mzdbRsdrgLodnmPrmad = "";            /* 주채무자도로명기본주소 */
    private String mzdbRsdrgLodnmEtcad = "";            /* 주채무자도로명기타주소 */
    private String clltrRsdrgAddrsOrgcpDvscd = "";      /* 담보제공자주소구분코드 */
    private String clltrRsdrgLtnoPrmad = "";            /* 담보제공자지번기본주소 */
    private String clltrRsdrgLodnmPrmad = "";           /* 담보제공자도로명기본주소 */
    private String clltrRsdrgLodnmEtcad = "";           /* 담보제공자도로명기타주소 */
    private String clltrregno = "";                     /* 부동산고유번호 */
    public String getInsrdUse() {
        return insrdUse;
    }
    public String getTrMngNo() {
        return trMngNo;
    }
    public String getBndno() {
        return bndno;
    }
    public String getBndnoSeq() {
        return bndnoSeq;
    }
    public String getRsnCode() {
        return rsnCode;
    }
    public String getRsnDate() {
        return rsnDate;
    }
    public String getMzdbRsrno() {
        return mzdbRsrno;
    }
    public String getAftchMzdbRsrno() {
        return aftchMzdbRsrno;
    }
    public String getClltrRlesKndcd() {
        return clltrRlesKndcd;
    }
    public String getClltrLctnZpcd() {
        return clltrLctnZpcd;
    }
    public String getClltrLctnAddrs() {
        return clltrLctnAddrs;
    }
    public int getRoomCount() {
        return roomCount;
    }
    public int getPrvusAreaSqrmt() {
        return prvusAreaSqrmt;
    }
    public long getOrofpStupAmnt() {
        return orofpStupAmnt;
    }
    public long getRlesEsvam() {
        return rlesEsvam;
    }
    public long getLoanPssam() {
        return loanPssam;
    }
    public long getLoanRqstAmnt() {
        return loanRqstAmnt;
    }
    public long getVldtyClltrAmnt() {
        return vldtyClltrAmnt;
    }
    public String getMciRlesVztnMthcd() {
        return mciRlesVztnMthcd;
    }
    public long getAftchRlesEsvam() {
        return aftchRlesEsvam;
    }
    public long getAftchLoanPssam() {
        return aftchLoanPssam;
    }
    public long getAftchLoanRqstAmnt() {
        return aftchLoanRqstAmnt;
    }
    public long getAftchVldtyClltrAmnt() {
        return aftchVldtyClltrAmnt;
    }
    public String getLnprStrdt() {
        return lnprStrdt;
    }
    public String getLnprEnddt() {
        return lnprEnddt;
    }
    public String getAftchLnprEnddt() {
        return aftchLnprEnddt;
    }
    public String getRpmcd() {
        return rpmcd;
    }
    public long getT1HRpyam() {
        return t1HRpyam;
    }
    public double getLoanIntrt() {
        return loanIntrt;
    }
    public String getFrscnRpedt() {
        return frscnRpedt;
    }
    public String getRpyunMntcn() {
        return rpyunMntcn;
    }
    public String getApplcDate() {
        return applcDate;
    }
    public long getInsrnEniam() {
        return insrnEniam;
    }
    public String getAftchInsrnEniam() {
        return aftchInsrnEniam;
    }
    public String getInsprStrdt() {
        return insprStrdt;
    }
    public String getInsprEnddt() {
        return insprEnddt;
    }
    public String getAftchInsprEnddt() {
        return aftchInsprEnddt;
    }
    public double getApplcInprt() {
        return applcInprt;
    }
    public double getAftchApplcInprt() {
        return aftchApplcInprt;
    }
    public long getFirstPrmm() {
        return firstPrmm;
    }
    public long getDbtamInclsPrmm() {
        return dbtamInclsPrmm;
    }
    public long getRfndPrmm() {
        return rfndPrmm;
    }
    public long getPnadcPrmm() {
        return pnadcPrmm;
    }
    public String getMzdbName() {
        return mzdbName;
    }
    public String getMzdbQlfctCode() {
        return mzdbQlfctCode;
    }
    public String getMzdbAddrsZpcd() {
        return mzdbAddrsZpcd;
    }
    public String getMzdbAddrs() {
        return mzdbAddrs;
    }
    public String getMzdbTlpno() {
        return mzdbTlpno;
    }
    public String getMzdbMbpno() {
        return mzdbMbpno;
    }
    public String getElctrDate() {
        return elctrDate;
    }
    public String getElctrTime() {
        return elctrTime;
    }
    public String getMzdbNoEnfrcInputYn() {
        return mzdbNoEnfrcInputYn;
    }
    public String getEmprmYn() {
        return emprmYn;
    }
    public String getLoanDvscd() {
        return loanDvscd;
    }
    public String getRnwlCntrcYn() {
        return rnwlCntrcYn;
    }
    public String getRnwlBfrBndno() {
        return rnwlBfrBndno;
    }
    public int getTotalVllgCount() {
        return totalVllgCount;
    }
    public int getTotalGnrtnCount() {
        return totalGnrtnCount;
    }
    public long getIncmAmnt() {
        return incmAmnt;
    }
    public String getMciRlesVztnOrgcd() {
        return mciRlesVztnOrgcd;
    }
    public int getLntvLmtrt() {
        return lntvLmtrt;
    }
    public long getSmlamTnncyGrnam() {
        return smlamTnncyGrnam;
    }
    public long getExprtDttmRpyam() {
        return exprtDttmRpyam;
    }
    public int getCnorcJbccd() {
        return cnorcJbccd;
    }
    public long getMciSgnpLmtam() {
        return mciSgnpLmtam;
    }
    public long getMciSgnpAddlnLmtam() {
        return mciSgnpAddlnLmtam;
    }
    public long getMciFinalLoanPssam() {
        return mciFinalLoanPssam;
    }
    public long getMciVldtyClltrPssam() {
        return mciVldtyClltrPssam;
    }
    public String getApprsOrgnm() {
        return apprsOrgnm;
    }
    public long getEtcSmlamTnncyGrnam() {
        return etcSmlamTnncyGrnam;
    }
    public String getCrdhsRfrncAgreeYn1() {
        return crdhsRfrncAgreeYn1;
    }
    public String getOfferEssntAgryn1() {
        return offerEssntAgryn1;
    }
    public String getOfferSlctnAgryn1() {
        return offerSlctnAgryn1;
    }
    public String getGthrUseEssntAgryn1() {
        return gthrUseEssntAgryn1;
    }
    public String getGthrUseSlctnAgryn1() {
        return gthrUseSlctnAgryn1;
    }
    public String getCstmrIdnifAgryn1() {
        return cstmrIdnifAgryn1;
    }
    public String getClltrLctnLtnoPrmad() {
        return clltrLctnLtnoPrmad;
    }
    public String getClltrLctnAddrsDvscd() {
        return clltrLctnAddrsDvscd;
    }
    public String getClltrLctnLodnmPrmad() {
        return clltrLctnLodnmPrmad;
    }
    public String getClltrLctnLodnmEtcad() {
        return clltrLctnLodnmEtcad;
    }
    public String getMzdbRsdrgAddrsOrgcpDvscd() {
        return mzdbRsdrgAddrsOrgcpDvscd;
    }
    public String getMzdbRsdrgLtnoPrmad() {
        return mzdbRsdrgLtnoPrmad;
    }
    public String getMzdbRsdrgLodnmPrmad() {
        return mzdbRsdrgLodnmPrmad;
    }
    public String getMzdbRsdrgLodnmEtcad() {
        return mzdbRsdrgLodnmEtcad;
    }
    public String getClltrRsdrgAddrsOrgcpDvscd() {
        return clltrRsdrgAddrsOrgcpDvscd;
    }
    public String getClltrRsdrgLtnoPrmad() {
        return clltrRsdrgLtnoPrmad;
    }
    public String getClltrRsdrgLodnmPrmad() {
        return clltrRsdrgLodnmPrmad;
    }
    public String getClltrRsdrgLodnmEtcad() {
        return clltrRsdrgLodnmEtcad;
    }
    public String getClltrregno() {
        return clltrregno;
    }
    public void setInsrdUse(String insrdUse) {
        this.insrdUse = insrdUse;
    }
    public void setTrMngNo(String trMngNo) {
        this.trMngNo = trMngNo;
    }
    public void setBndno(String bndno) {
        this.bndno = bndno;
    }
    public void setBndnoSeq(String bndnoSeq) {
        this.bndnoSeq = bndnoSeq;
    }
    public void setRsnCode(String rsnCode) {
        this.rsnCode = rsnCode;
    }
    public void setRsnDate(String rsnDate) {
        this.rsnDate = rsnDate;
    }
    public void setMzdbRsrno(String mzdbRsrno) {
        this.mzdbRsrno = mzdbRsrno;
    }
    public void setAftchMzdbRsrno(String aftchMzdbRsrno) {
        this.aftchMzdbRsrno = aftchMzdbRsrno;
    }
    public void setClltrRlesKndcd(String clltrRlesKndcd) {
        this.clltrRlesKndcd = clltrRlesKndcd;
    }
    public void setClltrLctnZpcd(String clltrLctnZpcd) {
        this.clltrLctnZpcd = clltrLctnZpcd;
    }
    public void setClltrLctnAddrs(String clltrLctnAddrs) {
        this.clltrLctnAddrs = clltrLctnAddrs;
    }
    public void setRoomCount(int roomCount) {
        this.roomCount = roomCount;
    }
    public void setPrvusAreaSqrmt(int prvusAreaSqrmt) {
        this.prvusAreaSqrmt = prvusAreaSqrmt;
    }
    public void setOrofpStupAmnt(long orofpStupAmnt) {
        this.orofpStupAmnt = orofpStupAmnt;
    }
    public void setRlesEsvam(long rlesEsvam) {
        this.rlesEsvam = rlesEsvam;
    }
    public void setLoanPssam(long loanPssam) {
        this.loanPssam = loanPssam;
    }
    public void setLoanRqstAmnt(long loanRqstAmnt) {
        this.loanRqstAmnt = loanRqstAmnt;
    }
    public void setVldtyClltrAmnt(long vldtyClltrAmnt) {
        this.vldtyClltrAmnt = vldtyClltrAmnt;
    }
    public void setMciRlesVztnMthcd(String mciRlesVztnMthcd) {
        this.mciRlesVztnMthcd = mciRlesVztnMthcd;
    }
    public void setAftchRlesEsvam(long aftchRlesEsvam) {
        this.aftchRlesEsvam = aftchRlesEsvam;
    }
    public void setAftchLoanPssam(long aftchLoanPssam) {
        this.aftchLoanPssam = aftchLoanPssam;
    }
    public void setAftchLoanRqstAmnt(long aftchLoanRqstAmnt) {
        this.aftchLoanRqstAmnt = aftchLoanRqstAmnt;
    }
    public void setAftchVldtyClltrAmnt(long aftchVldtyClltrAmnt) {
        this.aftchVldtyClltrAmnt = aftchVldtyClltrAmnt;
    }
    public void setLnprStrdt(String lnprStrdt) {
        this.lnprStrdt = lnprStrdt;
    }
    public void setLnprEnddt(String lnprEnddt) {
        this.lnprEnddt = lnprEnddt;
    }
    public void setAftchLnprEnddt(String aftchLnprEnddt) {
        this.aftchLnprEnddt = aftchLnprEnddt;
    }
    public void setRpmcd(String rpmcd) {
        this.rpmcd = rpmcd;
    }
    public void setT1HRpyam(long t1hRpyam) {
        t1HRpyam = t1hRpyam;
    }
    public void setLoanIntrt(double loanIntrt) {
        this.loanIntrt = loanIntrt;
    }
    public void setFrscnRpedt(String frscnRpedt) {
        this.frscnRpedt = frscnRpedt;
    }
    public void setRpyunMntcn(String rpyunMntcn) {
        this.rpyunMntcn = rpyunMntcn;
    }
    public void setApplcDate(String applcDate) {
        this.applcDate = applcDate;
    }
    public void setInsrnEniam(long insrnEniam) {
        this.insrnEniam = insrnEniam;
    }
    public void setAftchInsrnEniam(String aftchInsrnEniam) {
        this.aftchInsrnEniam = aftchInsrnEniam;
    }
    public void setInsprStrdt(String insprStrdt) {
        this.insprStrdt = insprStrdt;
    }
    public void setInsprEnddt(String insprEnddt) {
        this.insprEnddt = insprEnddt;
    }
    public void setAftchInsprEnddt(String aftchInsprEnddt) {
        this.aftchInsprEnddt = aftchInsprEnddt;
    }
    public void setApplcInprt(double applcInprt) {
        this.applcInprt = applcInprt;
    }
    public void setAftchApplcInprt(double aftchApplcInprt) {
        this.aftchApplcInprt = aftchApplcInprt;
    }
    public void setFirstPrmm(long firstPrmm) {
        this.firstPrmm = firstPrmm;
    }
    public void setDbtamInclsPrmm(long dbtamInclsPrmm) {
        this.dbtamInclsPrmm = dbtamInclsPrmm;
    }
    public void setRfndPrmm(long rfndPrmm) {
        this.rfndPrmm = rfndPrmm;
    }
    public void setPnadcPrmm(long pnadcPrmm) {
        this.pnadcPrmm = pnadcPrmm;
    }
    public void setMzdbName(String mzdbName) {
        this.mzdbName = mzdbName;
    }
    public void setMzdbQlfctCode(String mzdbQlfctCode) {
        this.mzdbQlfctCode = mzdbQlfctCode;
    }
    public void setMzdbAddrsZpcd(String mzdbAddrsZpcd) {
        this.mzdbAddrsZpcd = mzdbAddrsZpcd;
    }
    public void setMzdbAddrs(String mzdbAddrs) {
        this.mzdbAddrs = mzdbAddrs;
    }
    public void setMzdbTlpno(String mzdbTlpno) {
        this.mzdbTlpno = mzdbTlpno;
    }
    public void setMzdbMbpno(String mzdbMbpno) {
        this.mzdbMbpno = mzdbMbpno;
    }
    public void setElctrDate(String elctrDate) {
        this.elctrDate = elctrDate;
    }
    public void setElctrTime(String elctrTime) {
        this.elctrTime = elctrTime;
    }
    public void setMzdbNoEnfrcInputYn(String mzdbNoEnfrcInputYn) {
        this.mzdbNoEnfrcInputYn = mzdbNoEnfrcInputYn;
    }
    public void setEmprmYn(String emprmYn) {
        this.emprmYn = emprmYn;
    }
    public void setLoanDvscd(String loanDvscd) {
        this.loanDvscd = loanDvscd;
    }
    public void setRnwlCntrcYn(String rnwlCntrcYn) {
        this.rnwlCntrcYn = rnwlCntrcYn;
    }
    public void setRnwlBfrBndno(String rnwlBfrBndno) {
        this.rnwlBfrBndno = rnwlBfrBndno;
    }
    public void setTotalVllgCount(int totalVllgCount) {
        this.totalVllgCount = totalVllgCount;
    }
    public void setTotalGnrtnCount(int totalGnrtnCount) {
        this.totalGnrtnCount = totalGnrtnCount;
    }
    public void setIncmAmnt(long incmAmnt) {
        this.incmAmnt = incmAmnt;
    }
    public void setMciRlesVztnOrgcd(String mciRlesVztnOrgcd) {
        this.mciRlesVztnOrgcd = mciRlesVztnOrgcd;
    }
    public void setLntvLmtrt(int lntvLmtrt) {
        this.lntvLmtrt = lntvLmtrt;
    }
    public void setSmlamTnncyGrnam(long smlamTnncyGrnam) {
        this.smlamTnncyGrnam = smlamTnncyGrnam;
    }
    public void setExprtDttmRpyam(long exprtDttmRpyam) {
        this.exprtDttmRpyam = exprtDttmRpyam;
    }
    public void setCnorcJbccd(int cnorcJbccd) {
        this.cnorcJbccd = cnorcJbccd;
    }
    public void setMciSgnpLmtam(long mciSgnpLmtam) {
        this.mciSgnpLmtam = mciSgnpLmtam;
    }
    public void setMciSgnpAddlnLmtam(long mciSgnpAddlnLmtam) {
        this.mciSgnpAddlnLmtam = mciSgnpAddlnLmtam;
    }
    public void setMciFinalLoanPssam(long mciFinalLoanPssam) {
        this.mciFinalLoanPssam = mciFinalLoanPssam;
    }
    public void setMciVldtyClltrPssam(long mciVldtyClltrPssam) {
        this.mciVldtyClltrPssam = mciVldtyClltrPssam;
    }
    public void setApprsOrgnm(String apprsOrgnm) {
        this.apprsOrgnm = apprsOrgnm;
    }
    public void setEtcSmlamTnncyGrnam(long etcSmlamTnncyGrnam) {
        this.etcSmlamTnncyGrnam = etcSmlamTnncyGrnam;
    }
    public void setCrdhsRfrncAgreeYn1(String crdhsRfrncAgreeYn1) {
        this.crdhsRfrncAgreeYn1 = crdhsRfrncAgreeYn1;
    }
    public void setOfferEssntAgryn1(String offerEssntAgryn1) {
        this.offerEssntAgryn1 = offerEssntAgryn1;
    }
    public void setOfferSlctnAgryn1(String offerSlctnAgryn1) {
        this.offerSlctnAgryn1 = offerSlctnAgryn1;
    }
    public void setGthrUseEssntAgryn1(String gthrUseEssntAgryn1) {
        this.gthrUseEssntAgryn1 = gthrUseEssntAgryn1;
    }
    public void setGthrUseSlctnAgryn1(String gthrUseSlctnAgryn1) {
        this.gthrUseSlctnAgryn1 = gthrUseSlctnAgryn1;
    }
    public void setCstmrIdnifAgryn1(String cstmrIdnifAgryn1) {
        this.cstmrIdnifAgryn1 = cstmrIdnifAgryn1;
    }
    public void setClltrLctnLtnoPrmad(String clltrLctnLtnoPrmad) {
        this.clltrLctnLtnoPrmad = clltrLctnLtnoPrmad;
    }
    public void setClltrLctnAddrsDvscd(String clltrLctnAddrsDvscd) {
        this.clltrLctnAddrsDvscd = clltrLctnAddrsDvscd;
    }
    public void setClltrLctnLodnmPrmad(String clltrLctnLodnmPrmad) {
        this.clltrLctnLodnmPrmad = clltrLctnLodnmPrmad;
    }
    public void setClltrLctnLodnmEtcad(String clltrLctnLodnmEtcad) {
        this.clltrLctnLodnmEtcad = clltrLctnLodnmEtcad;
    }
    public void setMzdbRsdrgAddrsOrgcpDvscd(String mzdbRsdrgAddrsOrgcpDvscd) {
        this.mzdbRsdrgAddrsOrgcpDvscd = mzdbRsdrgAddrsOrgcpDvscd;
    }
    public void setMzdbRsdrgLtnoPrmad(String mzdbRsdrgLtnoPrmad) {
        this.mzdbRsdrgLtnoPrmad = mzdbRsdrgLtnoPrmad;
    }
    public void setMzdbRsdrgLodnmPrmad(String mzdbRsdrgLodnmPrmad) {
        this.mzdbRsdrgLodnmPrmad = mzdbRsdrgLodnmPrmad;
    }
    public void setMzdbRsdrgLodnmEtcad(String mzdbRsdrgLodnmEtcad) {
        this.mzdbRsdrgLodnmEtcad = mzdbRsdrgLodnmEtcad;
    }
    public void setClltrRsdrgAddrsOrgcpDvscd(String clltrRsdrgAddrsOrgcpDvscd) {
        this.clltrRsdrgAddrsOrgcpDvscd = clltrRsdrgAddrsOrgcpDvscd;
    }
    public void setClltrRsdrgLtnoPrmad(String clltrRsdrgLtnoPrmad) {
        this.clltrRsdrgLtnoPrmad = clltrRsdrgLtnoPrmad;
    }
    public void setClltrRsdrgLodnmPrmad(String clltrRsdrgLodnmPrmad) {
        this.clltrRsdrgLodnmPrmad = clltrRsdrgLodnmPrmad;
    }
    public void setClltrRsdrgLodnmEtcad(String clltrRsdrgLodnmEtcad) {
        this.clltrRsdrgLodnmEtcad = clltrRsdrgLodnmEtcad;
    }
    public void setClltrregno(String clltrregno) {
        this.clltrregno = clltrregno;
    }
}
