package hanalife.c.co.service;

import hanalife.c.co.vo.CommCostVO;

/**
 * <pre>
 * 프로젝트명 	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명 	: CommCostService.java Class
 * 클래스설명	: 업무별 공통 Util Service
 * 작성일자 	: 2023. 6. 13.
 * 작성자명 	: 70319 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * Method Information
 * -----------------------------------------------------------------------------
 * 1. searchCostInfo     : 대출번호/순번 존재여부 조회
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface CommCostService {

    /**
     * <pre>
     * 메소드명 	: searchCostInfo
     * 설명 		: 제비용 등록여부 조회
     * 메소드인수1	: 대출신청번호
     * 사용예) CommCostServiceImpl.searchCostInfo(대출신청번호, 비용구분코드)
     * 메소드리턴값	: CommCostVO(대출신청번호, 비용구분코드, 등록여부, 금액)
     * </pre>
     */
    public CommCostVO searchCostInfo(String pstrLoanApplNo, String pstrCostDiv) throws Exception;

    /**
     * <pre>
     * 메소드명 	: insertCostInfo
     * 설명 		: 제비용 등록
     * 메소드인수1	: 대출신청번호
     * 사용예) CommCostServiceImpl.insertCostInfo(대출신청번호, 비용구분, 처리구분)
     * 메소드리턴값	: CommCostVO(대출신청번호, 비용구분, 등록여부, 금액)
     * </pre>
     */
    public CommCostVO insertCostInfo(String pstrLoanApplNo, String pstrCostDiv, String pstrProcDiv) throws Exception;

    /**
     * <pre>
     * 메소드명 	: updateCostInfo
     * 설명 		: 제비용 등록
     * 메소드인수1	: 대출신청번호
     * 사용예) CommCostServiceImpl.insertCostInfo(대출신청번호, 비용구분, 처리구분)
     * 메소드리턴값	: CommCostVO(대출신청번호, 비용구분, 등록여부, 금액)
     * </pre>
     */
//    public CommCostVO updateCostInfo(String pstrLoanApplNo, String pstrCostDiv, String pstrProcDiv) throws Exception;
}
