package hanalife.c.co.vo;

import java.io.Serializable;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AbstractVO.java Class
 * 클래스설명   : 테이블 공용 항목(입/출력)를(을) 위한 테이블 DTO
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public abstract class AbstractVO implements Serializable {

    private String frstRegDt;  /* 최초등록일자 */
    private String frstRegTm;  /* 최초등록시각 */
    private String frstRegEmpNo;  /* 최초등록사원번호 */
    private String lastProcDt;  /* 최종처리일자 */
    private String lastProcTm;  /* 최종처리시각 */
    private String lastProcEmpNo;  /* 최종처리사원번호 */

    public String getFrstRegDt() {
        return frstRegDt;
    }
    public void setFrstRegDt(String frstRegDt) {
        this.frstRegDt = frstRegDt;
    }
    public String getFrstRegTm() {
        return frstRegTm;
    }
    public void setFrstRegTm(String frstRegTm) {
        this.frstRegTm = frstRegTm;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcDt() {
        return lastProcDt;
    }
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    public String getLastProcTm() {
        return lastProcTm;
    }
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }

}
