package hanalife.c.co.vo;

import java.io.Serializable;

import hanalife.c.co.vo.PageVO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
 * 그룹관리 VO
 * <pre>
 * </pre>
 *
 * @author 70086
 * @since  2022.06.28
 * @version 1.0
 */
@Getter
@Setter
@ToString
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GrpMgtVO extends PageVO implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 8562406668753370927L;
	/** 조회(목폭PAGE) ******************/
	private String useAcssAuthId;  	//사용접근권한ID
	private String useAcssAuthNm;  	//사용접근권한 명
	private String useAcssAuthNmOth;//사용접근권한 명
	private int	   acssMnuCnt;		//접근메뉴 수
	private String rgrId;			//등록자
	private String regDtm;			//등록일시
	private String uturId;			//수정자
	private String updDtm;			//수정일시


	/** 조회,등록(상세PAGE) ******************/
	private String mnuId;    		//MNU_ID IS '메뉴ID';
	private String chnId;	 		//CHN_ID IS '채널ID';
	private String inqAuthDv;   	//INQ_AUTH_DV IS     '조회권한 구분';
	private String inqAuthDvCho;	//INQ_AUTH_DV_CHO IS '조회권한 구분 값';
	private String readWrtDelAuth;  //READ_WRT_DEL_AUTH IS '게시판권한(등록/수정/삭제)';
	private String rcnlHideExsrYn;  //RCNL_HIDE_EXSR_YN IS '캠페인고객관리(회수/숨기기/보이기)';
	private String pstReqYn;	    //PST_REQ_YN IS '캠페인고객관리(유예신청)';
	private String treReqYn;        //TRE_REQ_YN IS '캠페인고객관리(이관신청)';
	private String stmtAuthDv;		//STMT_AUTH_DV IS '캠페인결제권한구분(1등급~4등급, 없음)';

	/******** 2022.07.15 컬럼추가 **/
	private String useMnuChk;		//USE_MNU)CHK '사용메뉴 체크';
	private String mnuNm; 			//MNU_NM IS '메뉴명';
	private String mnuLinkAddr;		//메뉴 링크주소
	private String mnuGrpId;		//MNU_GRP_ID IS '부모 메뉴 아이디';
	private int    mnuLve; 		    //MNU_LVE IS '메뉴레벨';
	private String otptOdr; 	    //OTPT_ODR IS '출력순서';
	private String otptYn; 		    //OTPT_YN IS '출력여부';
	private String useYn; 		    //USE_YN IS '사용여부';

	/******** 2022.07.25 컬럼추가 **/
	private String filterChk;		//체크메뉴만 보이기 유/무
	private String accessWeb;			//내부망 외부망 (내부망 "INT" 외부망 "EXT")
	//private String accessEnv;		//접속 환경 (PC, TBL, MB)
}
