package hanalife.c.sc.ro.service;

import hanalife.c.sc.ro.vo.CSCROM01I01InVO;
import hanalife.c.sc.ro.vo.CSCROM01InVO;
import hanalife.c.sc.ro.vo.CSCROM01OutVO;

/**
 * <pre>
 * 클래스명    : CCSROM01Service.java Class
 * 클래스설명  : 역할관리 (RRCRCM02) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 24
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface CCSROM01Service {

    /**
     * <p>메소드명      : getCCSROM01S01 : 역할관리 목록조회</p>
     * <p>작성일자      : 2023. 3. 24.
     * <p>작성자(author): 70319
     * <p>설명          : 역할관리 목록을 조회 한다.</p>
     * <p>메소드인수    : CSCROM01InVO </p>
     * <p>메소드리턴값  : CSCROM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public CSCROM01OutVO getCCSROM01S01(CSCROM01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getCCSROM0S02 : 역할번호에 대한 count 조회 </p>
     * <p>작성일자      : 2023. 3. 24.
     * <p>작성자(author): 70319
     * <p>설명          : 역할번호에 대한 count 조회를 한다.</p>
     * <p>메소드인수    : CSCROM01I01InVO </p>
     * <p>메소드리턴값  : int </p>
     * <p>예외처리      : Exception</p>
     */
    public int getCCSROM01S02(CSCROM01I01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : saveCCSROM01I01 : 역할관리 저장 </p>
     * <p>작성일자      : 2023. 3. 24.
     * <p>작성자(author): 70319
     * <p>설명          : 역할관리 저장을 한다.</p>
     * <p>메소드인수    : CSCROM01I01InVO </p>
     * <p>메소드리턴값  : CSCROM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public CSCROM01OutVO saveCCSROM01I01(CSCROM01I01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : updCCSROM01U01 : 역할관리 수정 </p>
     * <p>작성일자      : 2023. 3. 24.
     * <p>작성자(author): 70319
     * <p>설명          : 역할관리 수정을 한다.</p>
     * <p>메소드인수    : CSCROM01I01InVO </p>
     * <p>메소드리턴값  : CSCROM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public CSCROM01OutVO updCCSROM01U01(CSCROM01I01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : delCCSROM01D01 : 역할관리 삭제 </p>
     * <p>작성일자      : 2023. 3. 24.
     * <p>작성자(author): 70319
     * <p>설명          : 역할관리 삭제를 한다.</p>
     * <p>메소드인수    : CSCROM01I01InVO </p>
     * <p>메소드리턴값  : CSCROM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public CSCROM01OutVO delCCSROM01D01(CSCROM01I01InVO inVo) throws Exception;
}
