package hanalife.framework.comm.eai.easymade;

import hanalife.c.co.util.DateUtil;
import hanalife.framework.comm.eai.easymade.connect.RealTimePayClient;
import hanalife.framework.comm.eai.easymade.model.CardBean;
import hanalife.framework.comm.eai.easymade.model.HFBSBean;
import hanalife.framework.comm.eai.easymade.model.MemberBean;
import hanalife.framework.comm.eai.easymade.model.MembershipBean;
import hanalife.util.BizException;

public class TestClient {

	public void cartTest() throws BizException {

		CardBean reqBean = new CardBean();

		reqBean.setSpecType("F");
		reqBean.setColetCode("1"); // 1:승인, 2: 인증+승인 요청 , 3= 인증 요청
		reqBean.setSpecNumber(""); // 전문 일련 번호
		reqBean.setPosEntryMode("K"); // K : KeyIn
		reqBean.setTrackII("111111111123=2103"); // 37바이트 카드 번호 신용카드 = 유효기간
		reqBean.setInstall("00"); // 할부 개월 2자리
		reqBean.setAmount(270); // 금액
		reqBean.setServiceFee(0); // 봉사료
		reqBean.setVat(0); // 부가세
		reqBean.setWorkingKeyIdx("AA"); // "AA" : 비밀번호 미사용 , "BB" : 암호화되지 않은 비밀번호 사용, "00"="99" 암호회된 비밀번호 사용시
		reqBean.setPassword("0000000000000000"); // "00000000000000" : "AA"
		reqBean.setIndenti("8507311182525"); // 주민번호 사업자번호

		// 아래 정보 필수 정보 아님.
		reqBean.setPdtCode(""); // 상품코드
		reqBean.setSecurityLevel(""); // 사용안해도 됨.
		reqBean.setDomain(""); // 도메인
		reqBean.setServerIp(""); // 서버 IP
		reqBean.setMallIdenti(""); // 개별 mall 사업자 번호
		reqBean.setUserId(""); // 가맹점 사용 ID
		reqBean.setUserField(""); // 가맹점 사용 필드
		reqBean.setSystemId("TMWEB"); // 요청 시스템 명
		reqBean.setPolNo(""); // 증권번호

		/*
		 * Socket 정보 설정 IP & PORT & SOCKET TIMEOUT
		 */
		// String ip = "127.0.0.1";
		// String port = "12345";
		// String timeOut = "30000";

		/*
		 * Socket client 생성
		 */
		// RealTimePayClient clt = new RealTimePayClient(ip, port, timeOut);
		RealTimePayClient clt = new RealTimePayClient();

		/*
		 * 통신 및 응답 전문 수신
		 */
		CardBean resBean = clt.executeCard(reqBean);

		System.out.println("HFBS << CARD [" + resBean.getTransaction() + "]");
		System.out.println(" STATUS =[" + resBean.getStatus() + "] ");
		System.out.println(" MSG=[" + resBean.getMessage1() + resBean.getMessage2() + "]");
		System.out.println(" 전문번호  : [" + resBean.getSpecNumber() + "]");
		System.out.println(" 거래일시   : [" + resBean.getTrnDate() + "]");
		System.out.println(" 승인번호  : [" + resBean.getApprovalNo() + "]");
		System.out.println(" 카드종류명  : [" + resBean.getCardName() + "]");
		System.out.println(" 발급사코드  : [" + resBean.getIssuerCd() + "]");
		System.out.println(" 매입사명  : [" + resBean.getBuyerName() + "]");
		System.out.println(" 매입사코드  : [" + resBean.getBuyerCd() + "]");
		System.out.println(" 가맹점번호  : [" + resBean.getMerchantId() + "]");
		System.out.println(" WORKINGKEYIDX  : [" + resBean.getWorkingKeyIdx() + "]");
		System.out.println(" 전송구분  : [" + resBean.getSendType() + "]");
		System.out.println(" Notice  : [" + resBean.getNotice() + "]");
		System.out.println(" 사용자정보  : [" + resBean.getUserId() + "]");
		System.out.println(" 전자상거래 등급  : [" + resBean.getSecurityLevel() + "]");
		System.out.println(" 발생포인트 : [" + resBean.getOccurePoint() + "]");
		System.out.println(" 가용포인트  : [" + resBean.getUsefulPoint() + "]");
		System.out.println(" 누적포인트  : [" + resBean.getAddedPoint() + "]");
		System.out.println(" 포인트메세지  : [" + resBean.getPointMessage() + "]");
		System.out.println(" 잔액: [" + resBean.getRemainAmount() + "]");

	}

	public void firmTest() throws BizException {

		HFBSBean hfbsBean = new HFBSBean();
		hfbsBean.setSpecType("A"); // 전문 종류 (A = 집금, B= 통신장애에 의한 결과 조회(집금) , C = 지급, D = 결과조회(지급), E = 예금주 조회)
		hfbsBean.setBankCd("000"); // 집금 모계좌 은행코드
		hfbsBean.setCtmBankCd("081"); // 고객 은행코드
		hfbsBean.setCtmAccount("11111122233455"); // 고객 계좌번호
		hfbsBean.setCtmDigit("8507311182525"); // 고객 주민번호 또는 사업자 번호
		hfbsBean.setCtmName(""); // 고객 이름
		hfbsBean.setAmount("270"); // 출금 금액
		hfbsBean.setSystemId("TMWEB"); // 요청 시스템 명
		hfbsBean.setPolNo("10919432"); // 증권번호
		hfbsBean.setReturnSpace(""); // 예비 공간
		hfbsBean.setReturnValue(""); // 예비 공간 2
		hfbsBean.setSendAccount(""); // 송금시 모계좌 번호

		/*
		 * 응답데이터 값으로 설정하지 않음
		 */
		hfbsBean.setPkIdx(""); // KSNET_LOG 등록 INDEX
		hfbsBean.setSpecNumber(""); // 전문번호
		hfbsBean.setResultCd(""); // 응답코드
		hfbsBean.setResultMsg(""); // 응답메세지

		/*
		 * Socket 정보 설정 IP & PORT & SOCKET TIMEOUT
		 */
//		String ip = "127.0.0.1";
//		String port = "12345";
//		String timeOut = "30000";

		/*
		 * Socket client 생성
		 */
//		RealTimePayClient clt = new RealTimePayClient(ip, port, timeOut);
		RealTimePayClient clt = new RealTimePayClient();

		/*
		 * 통신 및 응답 전문 수신
		 */
		HFBSBean resBean = clt.executeFirm(hfbsBean);
		System.out.println(" 통신결과  : [" + resBean.getResultCd()+ "]");
		//System.out.println("ctmName = "+ resBean.getCtmName()+ "   leng ="+resBean.getCtmName().length());
		if (resBean.getResultCd().equals("0000")) { // 정상 - 결과 성공
			System.out.println(" 통신결과  : 정상 - 결과 성공");
		} else if (resBean.getResultCd().equals("XXXX")) { // 통신장애
			System.out.println(" 통신결과  : 통신장애");
		} else {
			System.out.println(" 통신결과  : 알수 없음");
		}

	}


	public void memberTest() throws BizException {

		MemberBean mBean = new MemberBean();

		mBean.setSpecType("M");
		mBean.setMcNo("HFG9000");
		mBean.setMcNm("하나생명대표가맹점");
		mBean.setCstDrmDvC("2");
		mBean.setCdNo("");
		mBean.setMebCstNo("HFG0003696456");
		mBean.setCi("");	//rW9QXZwI16DVoMPptpNLrgQlr23iwpfGd1BsUMOhnruzUU52EGaXPhh00YVsavSXog891N1vfbzYfYr6jUeqHA==

		RealTimePayClient clt = new RealTimePayClient();
		MemberBean resmBean = clt.executeMember(mBean);

		System.out.println("응답결과 = "+resmBean.getResultCd());
		if(resmBean.getResultCd().equals("00000")){				//정상 - 결과 성공
			System.out.println("정상 - 결과 성공");
		}else if(resmBean.getResultCd().equals("99999")){			//통신장애
			System.out.println("통신장애");
		}else {
			System.out.println("실패 ");
		}
	}

	public void memberPaymentTest() throws BizException {

		MembershipBean mBean = new MembershipBean();

		mBean.setSpecType("T");						//구분 '전문 종류  - 'T' 코인사용,  'R' 코인취소
		mBean.setMcNo("HFG5000");					//가맹점_번호
		mBean.setMcNm("1QDIRECTM");//하나생명대표가맹점	//가맹점_명
		mBean.setCstDrmDvC("2");					//고객_식별_구분_코드 ‘1’- 카드_번호, ‘2’- 멤버십_고객_번호, '3' - CI
		mBean.setCdNo("");							//카드_번호 고객_식별_구분_코드가 ‘1’이면 필수
		mBean.setMebCstNo("HFG0003696456");			//멤버십_고객_번호 고객_식별_구분_코드가 ‘2’이면 필수(하나금융 관계사 전용)
		mBean.setCi("");							//CI 고객_식별_구분_코드가 ‘3’이면 필수(제휴사용)
		mBean.setDeRsonC("31001");					//거래_사유_코드 (사용:31001, 취소:21001)
		mBean.setDeDt(DateUtil.getCurrentDateString("yyyyMMdd"));	//YYYYMMDD
		mBean.setDeHr(DateUtil.getCurrentDateString("HH24MISS"));	//HH24MISS
		mBean.setAmArDv("01");			//코인사용 시 정액/정율에 대한 구분  (01 : 정액, 02 : 정율)
		mBean.setAmUseCoin("270");		//정액_정율_구분이 정액(01)일 경우 필수 예) 0000040000
		mBean.setArUsecoinC("");		//정액_정율_구분이 정율(02)일 경우 필수 01 : 10%, 02 : 20%, 03 : 30%, 04 : 40%, 05 : 50%, 06 : 60%, 07 : 70%, 08 : 80%, 09 : 90%, 10 : 100% 정율사용 계산시 소수점 아래 절사처리(532.9 -> 532)
		mBean.setCcoUsePt("");			//제휴사_사용_포인트 예) 0000040000 (제휴사 전용 - 합산사용시 제휴사사용 코인)
		mBean.setHsCtfDv("");			//본인_인증_구분 ‘P’- 비밀번호
		mBean.setPswd("");				//비밀번호 온_오프_구분이 OFF: 오프라인 거래일 경우는 필수
		mBean.setDeAm("");				//거래_금액 예) 0000050000  (직제휴사 필수)
		mBean.setDscAm("");				//할인_금액 예) 0000010000  (직제휴사 필수)
		mBean.setLimUseYn("");			//한도_사용_여부 사용가능코인이 부족할 경우 잔여코인에 대한 사용처리 여부 Y: 사용요청_코인 > 가용_코인인 경우도 정상 사용처리 N: 사용요청_코인 <= 가용_코인 일 경우만 정상 사용처리		관계사 전용 컬럼이며 제휴사는 무조건 'N'
		mBean.setRelcoPdclsC("");		//관계사_상품분류_코드	상품분류코드 : 관계사 관리 및 사용

		mBean.setCmpC("");				//캠페인_코드
		mBean.setCponC("");				//쿠폰_코드
		mBean.setCponNo("");			//쿠폰_번호
		mBean.setCponPswdChkYn(""); 	//쿠폰_비밀번호_체크_여부
		mBean.setCponPswd("");			//쿠폰_비밀번호

		mBean.setChpId("HFG5000");		//변경자_ID
		mBean.setBizTermId("HFG5000");	//영업_단말_ID
		mBean.setOriAprDt("");			//원_승인_일자	취소 거래시 필수
		mBean.setOriAprNo("");			//원_승인_번호	취소 거래시 필수
		mBean.setOriDeFlwNo("");		//원_거래_추적_번호	취소 거래시 필수(추적_번호)


		/*
		 * Socket client 생성
		 */
		RealTimePayClient clt = new RealTimePayClient();

		/*
		 * 통신 및 응답 전문 수신
		 */
		MembershipBean resmBean = clt.executeMembership(mBean);

		System.out.println("응답결과 = "+resmBean.getResultCd());
		if(resmBean.getResultCd().equals("00000")){				//정상 - 결과 성공
			System.out.println("정상 - 결과 성공");
		}else if(resmBean.getResultCd().equals("99999")){			//통신장애
			System.out.println("통신장애");
		}else {
			System.out.println("실패 ");
		}

	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		TestClient tc = new TestClient();
		try {
			tc.cartTest();
			//tc.firmTest();
			//tc.memberTest();
//			tc.memberPaymentTest();

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
