package hanalife.framework.comm.eai.easymade.model;

import biz.trustnet.common.util.CommonUtil;
import hanalife.framework.comm.util.CommUtil;

/**
 * KSNET 실시간 카드결제 Bean
 * @author dev10
 *	khkim	:	2023.02.09	:	[202301_0374]	:	신규가맹점 번호 및 신규단말기 번호 등록 요청
 *
 */
public class CardBean {

	private int length			= 0;	//전문 전체 길이 자기자신 4 바이트 제외한 길이
	private String specType		= "";	//전문 종류 (F)
	private String ColetCode	= "";   // 1:승인, 2: 인증+승인 요청 , 3= 인증 요청
	private String specNumber	= "";	// 전문 일련 번호
	private String posEntryMode = "";   // K : KeyIn
	private String trackII		= "";	// 37바이트 카드 번호  신용카드 = 유효기간
	private String install		= "";	// 할부 개월 2자리
	private long amount			= 0;	// 금액
	private long serviceFee		= 0;	// 봉사료
	private long vat			= 0;	// 부가세
	private String workingKeyIdx= "";	// "AA" : 비밀번호 미사용 , "BB" : 암호화되지 않은 비밀번호 사용, "00"="99" 암호회된 비밀번호 사용시
	private String password		= "";	// "00000000000000" : "AA"
	private String pdtCode		= "";	// 상품코드
	private String indenti		= "";	// 주민번호 사업자번호
	private String securityLevel= "";	//전자 상거래시만 필요 ( 전자상거래 보안등급)
	private String domain		= "";	//도메인
	private String serverIp		= "";	//서버 IP
	private String mallIdenti	= "";	//개별 mall 사업자 번호
	private String userId		= "";	//가맹점 사용 ID
	private String userField	= "";	//가맹점 사용 필드
	private String status		= "";	// 'O' : 승인 'P' : 자동이체승인 , 'X' : 거절
	private String trnDate		= "";	//YYMMDDHHMM
	private String message1		= "";	//승인시 카드 종류명
	private String message2		= "";	//승인번호 또는 거절 메세지
	private String approvalNo	= "";	//승인번호
	private String cardName		= "";	//발급사 카드 종류명
	private String issuerCd		= "";	//발급사코드
	private String buyerName	= "";	//매입사명
	private String buyerCd		= "";	//매입사코드
	private String merchantId	= "";	//가맹점 번호
	private String sendType		= "";	//전송구분
	private String notice		= "";	//notice
	private long occurePoint	= 0;	//발생 포인트
	private long usefulPoint	= 0;	//가용 포인트
	private long addedPoint		= 0;	//누적 포인트
	private String pointMessage	= "";	//포인트카드사 메세지
	private String remainAmount	= "";	//잔액
	private String systemId		= "";	//시스템 아이디
	private String polNo		= "";	//증권번호
	private String returnSpace	= "";	//예비 공간
	private String pkIdx		= "";	//KSNET_LOG 등록 INDEX
	private String terminalId	= "";	//단말기 번호

	public CardBean() {
	}

	public CardBean(String transaction){
		this(transaction.getBytes());
	}

	public CardBean(byte[] transaction){
		this.length			= CommonUtil.parseInt(CommonUtil.toString(transaction,0,4).trim());
		this.specType		= CommonUtil.toString(transaction,4,1).trim();
		this.ColetCode		= CommonUtil.toString(transaction,5,1).trim();   	// 1:승인, 2: 인증+승인 요청 , 3= 인증 요청
		this.specNumber		= CommonUtil.toString(transaction,6,6).trim();		// 전문 일련 번호
		this.posEntryMode 	= CommonUtil.toString(transaction,12,1).trim();   	// K : KeyIn
		this.trackII		= CommonUtil.toString(transaction,13,37).trim();	// 37바이트 카드 번호  신용카드 = 유효기간
		this.install		= CommonUtil.toString(transaction,50,2).trim();		// 할부 개월 2자리
		this.amount			= CommonUtil.parseLong(CommonUtil.toString(transaction,52,9));	// 금액
		this.serviceFee		= CommonUtil.parseLong(CommonUtil.toString(transaction,61,9));;	// 봉사료
		this.vat			= CommonUtil.parseLong(CommonUtil.toString(transaction,70,9));;	// 부가세
		this.workingKeyIdx	= CommonUtil.toString(transaction,79,2).trim();		// "AA" : 비밀번호 미사용 , "BB" : 암호화되지 않은 비밀번호 사용, "00"="99" 암호회된 비밀번호 사용시
		this.password		= CommonUtil.toString(transaction,81,16).trim();	// "00000000000000" : "AA"
		this.pdtCode		= CommonUtil.toString(transaction,97,6).trim();		// 상품코드
		this.indenti		= CommonUtil.toString(transaction,103,13).trim();	// 주민번호 사업자번호
		this.securityLevel	= CommonUtil.toString(transaction,116,1).trim();	//전자 상거래시만 필요 ( 전자상거래 보안등급)
		this.domain			= CommonUtil.toString(transaction,117,40).trim();	//도메인
		this.serverIp		= CommonUtil.toString(transaction,157,20).trim();	//서버 IP
		this.mallIdenti		= CommonUtil.toString(transaction,177,10).trim();	//개별 mall 사업자 번호
		this.userId			= CommonUtil.toString(transaction,187,2).trim();	//가맹점 사용 ID
		this.userField		= CommonUtil.toString(transaction,189,30).trim();	//가맹점 사용 필드
		this.status			= CommonUtil.toString(transaction,219,1).trim();	// 'O' : 승인 'P' : 자동이체승인 , 'X' : 거절
		this.trnDate		= CommonUtil.toString(transaction,220,10).trim();	//YYMMDDHHMM
		this.message1		= CommonUtil.toString(transaction,230,16).trim();	//승인시 카드 종류명
		this.message2		= CommonUtil.toString(transaction,246,16).trim();	//승인번호 또는 거절 메세지
		this.approvalNo		= CommonUtil.toString(transaction,262,8).trim();	//승인번호
		this.cardName		= CommonUtil.toString(transaction,270,16).trim();	//발급사 카드 종류명
		this.issuerCd		= CommonUtil.toString(transaction,286,2).trim();	//발급사코드
		this.buyerName		= CommonUtil.toString(transaction,288,16).trim();	//매입사명
		this.buyerCd		= CommonUtil.toString(transaction,304,2).trim();	//매입사코드
		this.merchantId		= CommonUtil.toString(transaction,306,15).trim();	//가맹점 번호
		this.sendType		= CommonUtil.toString(transaction,321,2).trim();	//전송구분
		this.notice			= CommonUtil.toString(transaction,323,18).trim();	//notice
		this.occurePoint	= CommonUtil.parseLong(CommonUtil.toString(transaction,341,9));	//발생 포인트
		this.usefulPoint	= CommonUtil.parseLong(CommonUtil.toString(transaction,350,9));	//가용 포인트
		this.addedPoint		= CommonUtil.parseLong(CommonUtil.toString(transaction,359,9));	//누적 포인트
		this.pointMessage	= CommonUtil.toString(transaction,368,40).trim();	//포인트카드사 메세지
		this.remainAmount	= CommonUtil.toString(transaction,408,9).trim();	//잔액
		this.systemId		= CommonUtil.toString(transaction,417,10).trim();
		this.polNo			= CommonUtil.toString(transaction,427,10).trim();
		this.returnSpace	= CommonUtil.toString(transaction,437,20).trim();
		this.pkIdx			= CommonUtil.toString(transaction,457,10).trim();
		System.out.println("transaction.length=[" + transaction.length + "]");
		if(transaction.length > 467){
			System.out.println("CommonUtil.toString(transaction,467,10).trim()=[" + CommonUtil.toString(transaction,467,10).trim() + "]");
			this.terminalId		= CommonUtil.toString(transaction,467,10).trim();	//단말기번호
		}else{
			this.terminalId = "DPT0NODATA";
		}
	}

	public String getTransaction(){
		StringBuffer transaction = new StringBuffer();
		transaction.append(CommonUtil.byteFiller(specType	,1));
		transaction.append(CommonUtil.byteFiller(ColetCode	,1));
		transaction.append(CommonUtil.byteFiller(specNumber	,6));
		transaction.append(CommonUtil.byteFiller(posEntryMode,1));
		transaction.append(CommonUtil.byteFiller(trackII	,37));
		transaction.append(CommonUtil.byteFiller(install	,2));
		transaction.append(CommonUtil.zerofill(amount		,9));
		transaction.append(CommonUtil.zerofill(serviceFee	,9));
		transaction.append(CommonUtil.zerofill(vat		,9));
		transaction.append(CommonUtil.byteFiller(workingKeyIdx	,2));
		transaction.append(CommonUtil.byteFiller(password	,16));
		transaction.append(CommonUtil.byteFiller(pdtCode	,6));
		transaction.append(CommonUtil.byteFiller(indenti	,13));
		transaction.append(CommonUtil.byteFiller(securityLevel	,1));
		transaction.append(CommonUtil.byteFiller(domain		,40));
		transaction.append(CommonUtil.byteFiller(serverIp	,20));
		transaction.append(CommonUtil.byteFiller(mallIdenti	,10));
		transaction.append(CommonUtil.byteFiller(userId		,2));
		transaction.append(CommonUtil.byteFiller(userField	,30));
		transaction.append(CommonUtil.byteFiller(status		,1));
		transaction.append(CommonUtil.byteFiller(trnDate	,10));
		transaction.append(CommonUtil.byteFiller(message1	,16));
		transaction.append(CommonUtil.byteFiller(message2	,16));
		transaction.append(CommonUtil.byteFiller(approvalNo	,8));
		transaction.append(CommonUtil.byteFiller(cardName	,16));
		transaction.append(CommonUtil.byteFiller(issuerCd	,2));
		transaction.append(CommonUtil.byteFiller(buyerName	,16));
		transaction.append(CommonUtil.byteFiller(buyerCd	,2));
		transaction.append(CommonUtil.byteFiller(merchantId	,15));
		transaction.append(CommonUtil.byteFiller(sendType	,2));
		transaction.append(CommonUtil.byteFiller(notice		,18));
		transaction.append(CommonUtil.zerofill(occurePoint	,9));
		transaction.append(CommonUtil.zerofill(usefulPoint	,9));
		transaction.append(CommonUtil.zerofill(addedPoint	,9));
		transaction.append(CommonUtil.byteFiller(pointMessage	,40));
		transaction.append(CommonUtil.byteFiller(remainAmount	,9));
		transaction.append(CommonUtil.byteFiller(systemId,10));
		transaction.append(CommonUtil.byteFiller(polNo,10));
		transaction.append(CommonUtil.byteFiller(returnSpace,20));
		transaction.append(CommonUtil.zerofill(pkIdx,10));
		System.out.println("terminalId=[" + terminalId +"]" );
		transaction.append(CommonUtil.byteFiller(terminalId,10));	//단말기번호 추가
		return CommonUtil.zerofill(transaction.toString().getBytes().length,4) + transaction.toString();
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public String getSpecType() {
		return specType;
	}

	public void setSpecType(String specType) {
		this.specType = specType;
	}

	public String getColetCode() {
		return ColetCode;
	}

	public void setColetCode(String coletCode) {
		ColetCode = coletCode;
	}

	public String getSpecNumber() {
		return specNumber;
	}

	public void setSpecNumber(String specNumber) {
		this.specNumber = specNumber;
	}

	public String getPosEntryMode() {
		return posEntryMode;
	}

	public void setPosEntryMode(String posEntryMode) {
		this.posEntryMode = posEntryMode;
	}

	public String getTrackII() {
		return trackII;
	}

	public void setTrackII(String trackII) {
		this.trackII = trackII;
	}

	public String getInstall() {
		return install;
	}

	public void setInstall(String install) {
		this.install = install;
	}

	public long getAmount() {
		return amount;
	}

	public void setAmount(long amount) {
		this.amount = amount;
	}

	public long getServiceFee() {
		return serviceFee;
	}

	public void setServiceFee(long serviceFee) {
		this.serviceFee = serviceFee;
	}

	public long getVat() {
		return vat;
	}

	public void setVat(long vat) {
		this.vat = vat;
	}

	public String getWorkingKeyIdx() {
		return workingKeyIdx;
	}

	public void setWorkingKeyIdx(String workingKeyIdx) {
		this.workingKeyIdx = workingKeyIdx;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPdtCode() {
		return pdtCode;
	}

	public void setPdtCode(String pdtCode) {
		this.pdtCode = pdtCode;
	}

	public String getIndenti() {
		return indenti;
	}

	public void setIndenti(String indenti) {
		this.indenti = indenti;
	}

	public String getSecurityLevel() {
		return securityLevel;
	}

	public void setSecurityLevel(String securityLevel) {
		this.securityLevel = securityLevel;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getServerIp() {
		return serverIp;
	}

	public void setServerIp(String serverIp) {
		this.serverIp = serverIp;
	}

	public String getMallIdenti() {
		return mallIdenti;
	}

	public void setMallIdenti(String mallIdenti) {
		this.mallIdenti = mallIdenti;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserField() {
		return userField;
	}

	public void setUserField(String userField) {
		this.userField = userField;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getTrnDate() {
		return trnDate;
	}

	public void setTrnDate(String trnDate) {
		this.trnDate = trnDate;
	}

	public String getMessage1() {
		return message1;
	}

	public void setMessage1(String message1) {
		this.message1 = message1;
	}

	public String getMessage2() {
		return message2;
	}

	public void setMessage2(String message2) {
		this.message2 = message2;
	}

	public String getApprovalNo() {
		return approvalNo;
	}

	public void setApprovalNo(String approvalNo) {
		this.approvalNo = approvalNo;
	}

	public String getCardName() {
		return cardName;
	}

	public void setCardName(String cardName) {
		this.cardName = cardName;
	}

	public String getIssuerCd() {
		return issuerCd;
	}

	public void setIssuerCd(String issuerCd) {
		this.issuerCd = issuerCd;
	}

	public String getBuyerName() {
		return buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getBuyerCd() {
		return buyerCd;
	}

	public void setBuyerCd(String buyerCd) {
		this.buyerCd = buyerCd;
	}

	public String getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(String merchantId) {
		this.merchantId = merchantId;
	}

	public String getSendType() {
		return sendType;
	}

	public void setSendType(String sendType) {
		this.sendType = sendType;
	}

	public String getNotice() {
		return notice;
	}

	public void setNotice(String notice) {
		this.notice = notice;
	}

	public long getOccurePoint() {
		return occurePoint;
	}

	public void setOccurePoint(long occurePoint) {
		this.occurePoint = occurePoint;
	}

	public long getUsefulPoint() {
		return usefulPoint;
	}

	public void setUsefulPoint(long usefulPoint) {
		this.usefulPoint = usefulPoint;
	}

	public long getAddedPoint() {
		return addedPoint;
	}

	public void setAddedPoint(long addedPoint) {
		this.addedPoint = addedPoint;
	}

	public String getPointMessage() {
		return pointMessage;
	}

	public void setPointMessage(String pointMessage) {
		this.pointMessage = pointMessage;
	}

	public String getRemainAmount() {
		return remainAmount;
	}

	public void setRemainAmount(String remainAmount) {
		this.remainAmount = remainAmount;
	}

	public String getSystemId() {
		return systemId;
	}

	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

	public String getPolNo() {
		return polNo;
	}

	public void setPolNo(String polNo) {
		this.polNo = polNo;
	}

	public String getReturnSpace() {
		return returnSpace;
	}

	public void setReturnSpace(String returnSpace) {
		this.returnSpace = returnSpace;
	}

	public String getPkIdx() {
		return pkIdx;
	}

	public void setPkIdx(String pkIdx) {
		this.pkIdx = pkIdx;
	}

	@Override
	public String toString() {
		return "CardBean [length=" + length + ", specType=" + specType + ", ColetCode=" + ColetCode + ", specNumber=" + specNumber + ", posEntryMode=" + posEntryMode + ", trackII=" + trackII
				+ ", install=" + install + ", amount=" + amount + ", serviceFee=" + serviceFee + ", vat=" + vat + ", workingKeyIdx=" + workingKeyIdx + ", password=" + password + ", pdtCode="
				+ pdtCode + ", indenti=" + indenti + ", securityLevel=" + securityLevel + ", domain=" + domain + ", serverIp=" + serverIp + ", mallIdenti=" + mallIdenti + ", userId=" + userId
				+ ", userField=" + userField + ", status=" + status + ", trnDate=" + trnDate + ", message1=" + message1 + ", message2=" + message2 + ", approvalNo=" + approvalNo + ", cardName="
				+ cardName + ", issuerCd=" + issuerCd + ", buyerName=" + buyerName + ", buyerCd=" + buyerCd + ", merchantId=" + merchantId + ", sendType=" + sendType + ", notice=" + notice
				+ ", occurePoint=" + occurePoint + ", usefulPoint=" + usefulPoint + ", addedPoint=" + addedPoint + ", pointMessage=" + pointMessage + ", remainAmount=" + remainAmount + ", systemId="
				+ systemId + ", polNo=" + polNo + ", returnSpace=" + returnSpace + ", pkIdx=" + pkIdx + ", terminalId=" + terminalId + "]";
	}

	public String getMaskedToString() {
		return "CardBean [length=" + length + ", specType=" + specType + ", ColetCode=" + ColetCode + ", specNumber=" + specNumber + ", posEntryMode=" + posEntryMode + ", trackII=" + (trackII.split("=").length > 1 ? CommUtil.setMasking((trackII.split("=")[0])+ trackII.split("=")[1], "01") : trackII)
				+ ", install=" + install + ", amount=" + amount + ", serviceFee=" + serviceFee + ", vat=" + vat + ", workingKeyIdx=" + workingKeyIdx + ", password=" + password + ", pdtCode="
				+ pdtCode + ", indenti=" + indenti + ", securityLevel=" + securityLevel + ", domain=" + domain + ", serverIp=" + serverIp + ", mallIdenti=" + mallIdenti + ", userId=" + userId
				+ ", userField=" + userField + ", status=" + status + ", trnDate=" + trnDate + ", message1=" + message1 + ", message2=" + message2 + ", approvalNo=" + approvalNo + ", cardName="
				+ cardName + ", issuerCd=" + issuerCd + ", buyerName=" + buyerName + ", buyerCd=" + buyerCd + ", merchantId=" + merchantId + ", sendType=" + sendType + ", notice=" + notice
				+ ", occurePoint=" + occurePoint + ", usefulPoint=" + usefulPoint + ", addedPoint=" + addedPoint + ", pointMessage=" + pointMessage + ", remainAmount=" + remainAmount + ", systemId="
				+ systemId + ", polNo=" + polNo + ", returnSpace=" + returnSpace + ", pkIdx=" + pkIdx + ", terminalId=" + terminalId + "]";
	}

	public String getTerminalId() {
		return terminalId;
	}

	public void setTerminalId(String terminalId) {
		this.terminalId = terminalId;
	}

}
