package hanalife.framework.comm.eai.easymade.model;

import biz.trustnet.common.util.CommonUtil;
import hanalife.framework.comm.util.CommUtil;

/**
 * KSNET 실시간 예금주 확인 및 계좌결제 Bean
 * @author dev10
 *
 */
public class HFBSBean {

	private int length			= 0;	//전문 전체 길이 자기자신 4 바이트 제외한 길이
	private String specType		= "";	//전문 종류 (A = 집금, B= 통신장애에 의한 결과 조회)
	private String bankCd		= "";	//집금 모계좌 은행코드
	private String ctmBankCd	= "";	//고객 은행코드
	private String ctmAccount	= "";	//고객 계좌번호
	private String ctmDigit		= "";	//고객 주민번호 또는 사업자 번호
	private String ctmName		= "";	//고객 이름
	private String amount		= "";	//출금 금액
	private String systemId		= "";	//요청 시스템 명
	private String polNo		= "";	//증권번호
	private String returnSpace	= "";	//예비 공간
	private String returnValue	= "";	//예비 공간 2
	private String pkIdx		= "";	//KSNET_LOG 등록 INDEX
	private String sendAccount	= "";	//송금시 모계좌 번호

	private String specNumber	= "";	//전문번호
	private String resultCd		= "";	//응답코드
	private String resultMsg	= "";	//응답메세지

	public HFBSBean() {
	}

	public HFBSBean(String transaction){
		this(transaction.getBytes());
	}

	public HFBSBean(byte[] transaction){
		this.length		= CommonUtil.parseInt(CommonUtil.toString(transaction,0,4).trim());
		this.specType	= CommonUtil.toString(transaction,4,1).trim();
		this.bankCd		= CommonUtil.toString(transaction,5,3).trim();
		this.ctmBankCd	= CommonUtil.toString(transaction,8,3).trim();
		this.ctmAccount	= CommonUtil.toString(transaction,11,15).trim();
		this.ctmDigit	= CommonUtil.toString(transaction,26,13).trim();
		this.ctmName	= CommonUtil.toString(transaction,39,20).trim();
		this.amount		= CommonUtil.toString(transaction,59,13).trim();
		this.systemId	= CommonUtil.toString(transaction,72,10).trim();
		this.polNo		= CommonUtil.toString(transaction,82,10).trim();
		this.returnSpace= CommonUtil.toString(transaction,92,20).trim();
		this.returnValue= CommonUtil.toString(transaction,112,20).trim();
		this.pkIdx		= CommonUtil.toString(transaction,132,10).trim();
		this.sendAccount= CommonUtil.toString(transaction,142,16).trim();
		this.specNumber	= CommonUtil.toString(transaction,158,6).trim();
		this.resultCd	= CommonUtil.toString(transaction,164,4).trim();
		if(transaction.length > 168){
			this.resultMsg	= CommonUtil.toString(transaction,168,transaction.length - 168).trim();
		}
	}

	public String getTransaction(){
		StringBuffer transaction = new StringBuffer();
		transaction.append(CommonUtil.byteFiller(specType,1));
		transaction.append(CommonUtil.zerofill(bankCd,3));
		transaction.append(CommonUtil.zerofill(ctmBankCd,3));
		transaction.append(CommonUtil.byteFiller(ctmAccount,15));
		transaction.append(CommonUtil.byteFiller(ctmDigit,13));
		transaction.append(CommonUtil.byteFiller(ctmName,20));
		if(ctmName.length() > 0){
			int toStr = ctmName.length();
			int count = 0;
			for(int i=0; i<toStr; i++){
				int j = i+1;
				if(CommonUtil.containsExtraChar(ctmName.substring(i, j))){
					count++;
				}
			}
			toStr = toStr - count;
			transaction.append(CommonUtil.byteFiller("",toStr));
		}
		transaction.append(CommonUtil.zerofill(amount,13));
		transaction.append(CommonUtil.byteFiller(systemId,10));
		transaction.append(CommonUtil.byteFiller(polNo,10));
		transaction.append(CommonUtil.byteFiller(returnSpace,20));
		transaction.append(CommonUtil.byteFiller(returnValue,20));
		transaction.append(CommonUtil.zerofill(pkIdx,10));
		transaction.append(CommonUtil.byteFiller(sendAccount,16));
		transaction.append(CommonUtil.zerofill(specNumber,6));
		transaction.append(CommonUtil.byteFiller(resultCd,4));
		transaction.append(resultMsg);

		return CommonUtil.zerofill(transaction.toString().getBytes().length,4) + transaction.toString();
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public String getSpecType() {
		return specType;
	}

	public void setSpecType(String specType) {
		this.specType = specType;
	}

	public String getBankCd() {
		return bankCd;
	}

	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}

	public String getCtmBankCd() {
		return ctmBankCd;
	}

	public void setCtmBankCd(String ctmBankCd) {
		this.ctmBankCd = ctmBankCd;
	}

	public String getCtmAccount() {
		return ctmAccount;
	}

	public void setCtmAccount(String ctmAccount) {
		this.ctmAccount = ctmAccount;
	}

	public String getCtmDigit() {
		return ctmDigit;
	}

	public void setCtmDigit(String ctmDigit) {
		this.ctmDigit = ctmDigit;
	}

	public String getCtmName() {
		return ctmName;
	}

	public void setCtmName(String ctmName) {
		this.ctmName = ctmName;
	}

	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getSystemId() {
		return systemId;
	}

	public void setSystemId(String systemId) {
		this.systemId = systemId;
	}

	public String getPolNo() {
		return polNo;
	}

	public void setPolNo(String polNo) {
		this.polNo = polNo;
	}

	public String getReturnSpace() {
		return returnSpace;
	}

	public void setReturnSpace(String returnSpace) {
		this.returnSpace = returnSpace;
	}

	public String getReturnValue() {
		return returnValue;
	}

	public void setReturnValue(String returnValue) {
		this.returnValue = returnValue;
	}

	public String getPkIdx() {
		return pkIdx;
	}

	public void setPkIdx(String pkIdx) {
		this.pkIdx = pkIdx;
	}

	public String getSendAccount() {
		return sendAccount;
	}

	public void setSendAccount(String sendAccount) {
		this.sendAccount = sendAccount;
	}

	public String getSpecNumber() {
		return specNumber;
	}

	public void setSpecNumber(String specNumber) {
		this.specNumber = specNumber;
	}

	public String getResultCd() {
		return resultCd;
	}

	public void setResultCd(String resultCd) {
		this.resultCd = resultCd;
	}

	public String getResultMsg() {
		return resultMsg;
	}

	public void setResultMsg(String resultMsg) {
		this.resultMsg = resultMsg;
	}

	@Override
	public String toString() {
		return "HFBSBean [length=" + length + ", specType=" + specType + ", bankCd=" + bankCd + ", ctmBankCd=" + ctmBankCd + ", ctmAccount=" + ctmAccount + ", ctmDigit=" + ctmDigit + ", ctmName="
				+ ctmName + ", amount=" + amount + ", systemId=" + systemId + ", polNo=" + polNo + ", returnSpace=" + returnSpace + ", returnValue=" + returnValue + ", pkIdx=" + pkIdx
				+ ", sendAccount=" + sendAccount + ", specNumber=" + specNumber + ", resultCd=" + resultCd + ", resultMsg=" + resultMsg + "]";
	}

	public String getMaskedToString() {
		return "HFBSBean [length=" + length + ", specType=" + specType + ", bankCd=" + bankCd + ", ctmBankCd=" + ctmBankCd + ", ctmAccount=" + CommUtil.setMasking(ctmAccount, "01") + ", ctmDigit=" + ctmDigit + ", ctmName="
				+ ctmName + ", amount=" + amount + ", systemId=" + systemId + ", polNo=" + polNo + ", returnSpace=" + returnSpace + ", returnValue=" + returnValue + ", pkIdx=" + pkIdx
				+ ", sendAccount=" + sendAccount + ", specNumber=" + specNumber + ", resultCd=" + resultCd + ", resultMsg=" + resultMsg + "]";
	}

}
