package hanalife.framework.comm.eai.easymade.model;

import biz.trustnet.common.util.CommonUtil;

/**
 * 실시간 통합멤버십 포인트 조회 Bean
 * @author dev10
 *
 */
public class MemberBean {

	private int length					= 0;	//전문 전체 길이 자기자신 4 바이트 제외한 길이
	private String specType				= "";	//전문 종류
	private String mcNo 				= "";	//가맹점_번호
	private String mcNm 				= "";	//가맹점_명
	private String cstDrmDvC 			= "";	//고객_식별_구분_코드(‘1’- 카드_번호, ‘2’- 멤버십_고객_번호, '3' - CI)
	private String cdNo 				= "";	//카드_번호 (고객_식별_구분_코드가 ‘1’이면 필수)
	private String mebCstNo 			= "";	//멤버십_고객_번호 (고객_식별_구분_코드가 ‘2’이면 필수(하나금융 관계사 전용))
	private String ci 					= "";	//CI (고객_식별_구분_코드가 ‘3’이면 필수(제휴사용))
	private String rspMsg1				= "";	//운영사 처리응답_메시지
	private String rspMsg2				= "";	//화면디스플레이용 응답_메시지
	private String rspMsg3				= "";	//영수증 출력용 응답_메시지
	private String cstNm				= "";	//고객_명
	private String cstStc				= "";	//고객_상태_코드
	private String cstGdc				= "";	//고객_등급_코드
	private String space				= "";
	private String avlCoin				= "";	//가용_코인
	private String avlPlanCoin			= "";	//가용_예정_코인
	private String ntxmExctPlanCoin		= "";	//익월_소멸_예정_코인
	private String bfmRvCoin			= "";
	private String bfmUseCoin			= "";
	private String thmRcCoin			= "";
	private String thmUseCoin			= "";
	private String resultCd				= "";

	public MemberBean() {
	}

	public MemberBean(String transaction){
		this(transaction.getBytes());
	}

	public MemberBean(byte[] transaction){

		length				= CommonUtil.parseInt(CommonUtil.toString(transaction,0,4).trim());
		specType			= CommonUtil.toString(transaction,4,1).trim();
		mcNo 				= CommonUtil.toString(transaction,5,20).trim();
		mcNm 				= CommonUtil.toString(transaction,25,50).trim();
		cstDrmDvC 			= CommonUtil.toString(transaction,75,1).trim();
		cdNo 				= CommonUtil.toString(transaction,76,20).trim();
		mebCstNo 			= CommonUtil.toString(transaction,96,13).trim();
		ci 					= CommonUtil.toString(transaction,109,88).trim();
		rspMsg1 			= CommonUtil.toString(transaction,197,100).trim();
		rspMsg2 			= CommonUtil.toString(transaction,297,150).trim();
		rspMsg3 			= CommonUtil.toString(transaction,447,150).trim();
		cstNm 				= CommonUtil.toString(transaction,597,20).trim();
		cstStc 				= CommonUtil.toString(transaction,617,2).trim();
		cstGdc 				= CommonUtil.toString(transaction,619,2).trim();
		space 				= CommonUtil.toString(transaction,621,2).trim();
		avlCoin 			= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,623,10).trim()));
		avlPlanCoin 		= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,633,10).trim()));
		ntxmExctPlanCoin 	= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,643,10).trim()));
		bfmRvCoin 			= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,653,10).trim()));
		bfmUseCoin 			= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,663,10).trim()));
		thmRcCoin 			= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,673,10).trim()));
		thmUseCoin 			= CommonUtil.toString(CommonUtil.parseLong(CommonUtil.toString(transaction,683,10).trim()));
		resultCd			= CommonUtil.toString(transaction,693,5).trim();

	}

	public String getTransaction(){
		StringBuffer transaction = new StringBuffer();
		transaction.append(CommonUtil.byteFiller(specType,1));
		transaction.append(CommonUtil.byteFiller(mcNo,20));
		transaction.append(CommonUtil.byteFiller(mcNm,50));
		transaction.append(CommonUtil.byteFiller(cstDrmDvC,1));
		transaction.append(CommonUtil.byteFiller(cdNo,20));
		transaction.append(CommonUtil.byteFiller(mebCstNo,13));
		transaction.append(CommonUtil.byteFiller(ci,88));

		transaction.append(CommonUtil.byteFiller(rspMsg1,100));
		transaction.append(CommonUtil.byteFiller(rspMsg2,150));
		transaction.append(CommonUtil.byteFiller(rspMsg3,150));
		transaction.append(CommonUtil.byteFiller(cstNm,20));
		transaction.append(CommonUtil.byteFiller(cstStc,2));
		transaction.append(CommonUtil.byteFiller(cstGdc,2));
		transaction.append(CommonUtil.byteFiller(space,2));
		transaction.append(CommonUtil.byteFiller(avlCoin,10));
		transaction.append(CommonUtil.byteFiller(avlPlanCoin,10));
		transaction.append(CommonUtil.byteFiller(ntxmExctPlanCoin,10));
		transaction.append(CommonUtil.byteFiller(bfmRvCoin,10));
		transaction.append(CommonUtil.byteFiller(bfmUseCoin,10));
		transaction.append(CommonUtil.byteFiller(thmRcCoin,10));
		transaction.append(CommonUtil.byteFiller(thmUseCoin,10));
		transaction.append(CommonUtil.byteFiller(resultCd,5));


		return CommonUtil.zerofill(transaction.toString().getBytes().length,4) + transaction.toString();

	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public String getSpecType() {
		return specType;
	}

	public void setSpecType(String specType) {
		this.specType = specType;
	}

	public String getMcNo() {
		return mcNo;
	}

	public void setMcNo(String mcNo) {
		this.mcNo = mcNo;
	}

	public String getMcNm() {
		return mcNm;
	}

	public void setMcNm(String mcNm) {
		this.mcNm = mcNm;
	}

	public String getCstDrmDvC() {
		return cstDrmDvC;
	}

	public void setCstDrmDvC(String cstDrmDvC) {
		this.cstDrmDvC = cstDrmDvC;
	}

	public String getCdNo() {
		return cdNo;
	}

	public void setCdNo(String cdNo) {
		this.cdNo = cdNo;
	}

	public String getMebCstNo() {
		return mebCstNo;
	}

	public void setMebCstNo(String mebCstNo) {
		this.mebCstNo = mebCstNo;
	}

	public String getCi() {
		return ci;
	}

	public void setCi(String ci) {
		this.ci = ci;
	}

	public String getRspMsg1() {
		return rspMsg1;
	}

	public void setRspMsg1(String rspMsg1) {
		this.rspMsg1 = rspMsg1;
	}

	public String getRspMsg2() {
		return rspMsg2;
	}

	public void setRspMsg2(String rspMsg2) {
		this.rspMsg2 = rspMsg2;
	}

	public String getRspMsg3() {
		return rspMsg3;
	}

	public void setRspMsg3(String rspMsg3) {
		this.rspMsg3 = rspMsg3;
	}

	public String getCstNm() {
		return cstNm;
	}

	public void setCstNm(String cstNm) {
		this.cstNm = cstNm;
	}

	public String getCstStc() {
		return cstStc;
	}

	public void setCstStc(String cstStc) {
		this.cstStc = cstStc;
	}

	public String getCstGdc() {
		return cstGdc;
	}

	public void setCstGdc(String cstGdc) {
		this.cstGdc = cstGdc;
	}

	public String getSpace() {
		return space;
	}

	public void setSpace(String space) {
		this.space = space;
	}

	public String getAvlCoin() {
		return avlCoin;
	}

	public void setAvlCoin(String avlCoin) {
		this.avlCoin = avlCoin;
	}

	public String getAvlPlanCoin() {
		return avlPlanCoin;
	}

	public void setAvlPlanCoin(String avlPlanCoin) {
		this.avlPlanCoin = avlPlanCoin;
	}

	public String getNtxmExctPlanCoin() {
		return ntxmExctPlanCoin;
	}

	public void setNtxmExctPlanCoin(String ntxmExctPlanCoin) {
		this.ntxmExctPlanCoin = ntxmExctPlanCoin;
	}

	public String getBfmRvCoin() {
		return bfmRvCoin;
	}

	public void setBfmRvCoin(String bfmRvCoin) {
		this.bfmRvCoin = bfmRvCoin;
	}

	public String getBfmUseCoin() {
		return bfmUseCoin;
	}

	public void setBfmUseCoin(String bfmUseCoin) {
		this.bfmUseCoin = bfmUseCoin;
	}

	public String getThmRcCoin() {
		return thmRcCoin;
	}

	public void setThmRcCoin(String thmRcCoin) {
		this.thmRcCoin = thmRcCoin;
	}

	public String getThmUseCoin() {
		return thmUseCoin;
	}

	public void setThmUseCoin(String thmUseCoin) {
		this.thmUseCoin = thmUseCoin;
	}

	public String getResultCd() {
		return resultCd;
	}

	public void setResultCd(String resultCd) {
		this.resultCd = resultCd;
	}

	@Override
	public String toString() {
		return "MemberBean [length=" + length + ", specType=" + specType + ", mcNo=" + mcNo + ", mcNm=" + mcNm + ", cstDrmDvC=" + cstDrmDvC + ", cdNo=" + cdNo + ", mebCstNo=" + mebCstNo + ", ci="
				+ ci + ", rspMsg1=" + rspMsg1 + ", rspMsg2=" + rspMsg2 + ", rspMsg3=" + rspMsg3 + ", cstNm=" + cstNm + ", cstStc=" + cstStc + ", cstGdc=" + cstGdc + ", space=" + space + ", avlCoin="
				+ avlCoin + ", avlPlanCoin=" + avlPlanCoin + ", ntxmExctPlanCoin=" + ntxmExctPlanCoin + ", bfmRvCoin=" + bfmRvCoin + ", bfmUseCoin=" + bfmUseCoin + ", thmRcCoin=" + thmRcCoin
				+ ", thmUseCoin=" + thmUseCoin + ", resultCd=" + resultCd + "]";
	}

}
