package hanalife.framework.comm.eai.myreal.model;

import java.util.List;


/**
 *
 * @author  박수용
 * @version 1.0
 * Copyright 2020 HanaI&S co. All right reserved
 *
 *     성  명            일  자            	근 거 자 료            				변 경 내 용
 *     박수용	2020.02.20	PIST 프로젝트 보험진단 Model		최초작성
 *
 */
public class InsInfo {
	/*********************** 공통정보부 START ***********************/
	String trnsCd;				// 협의에 의해 송신전문에  set 한다
	String tlgrmLng;			// 전문 길이
	String sysId;				// 시스템ID '90' setting
	String rprsnCd;				// 대표기관코드
	String cmpCd;				// 전문종별코드
	String bsnsCd;				// 업무구분코드
	String ioFlag;				// 송수신Flag 'I'
	String rtnCd;				// 응답코드
	String jpCd;				// 점포코드
	String insTlgrmNo;			// 보험회사등 전문관리번호
	String insTrnsDate;			// 보험회사등 전문전송시간
	String kciTlgrmNo;			// 한국신용정보원 전문관리번호
	String kciTrnsDate;			// 한국신용정보원 전문전송 시간
	String todoField;			// 예비정보 필드
	/*********************** 공통정보부 END ***********************/
	/*********************** 개별공통부 START ***********************/
	String userId;				// 사용자ID
	String userIp;
	String userName;
	String goalCd;				// 자료조회목전코드
	String ssno;
	String agrYn;
	String useDataDate;
	String saveDataDate;		// 보유기간
	//위에까지 270,291 동일전문
	//270
	String insCmpCd;			// 회사코드
	String insCtrctNo;			// 증권번호
	//291
	String mainCtrctStateCd;
	String grntStateCd;			// 담보상태코드
	String reqTlgrmNo;			// 요청전문번호
	String totTlgrmNo;			// 전체전문번호
	/*********************** 개별공통부 END ***********************/
	/*********************** 개별데이터부 START ***********************/
	//270
	String insurer;				// 보험회사명
	String product;				// 보험상품명
	String insNo;
	String insRstCd;
	String insStartDate;
	String insEndDate;
	String ctrctStateCd;
	String diagCtrctYn;			// 진단계약여부
	String ctrctDate;
	String validDate;			// 실효일자
	String revrDate;			// 부활일자
	String trmtDate;			// 해지일자
	String price;				// 남입보험료
	String payPeriodCd;			// 납입주기코드
	String payDate;				// 납입기간
	String inPathCd;
	String inPathName;
	String inPathBirth;
	String inPathSex;
	String inPathSsno;
	String inPathDate;
	String inPathCmpNm;
	String retCnt;				// 회보건수 (MAX:20 * 133=2660)
	//291
	String totCnt;				// 전체회보건수
	//String retCnt;				// 회보건수 (MAX:20 * 133=2660)
	List<InsSmpInfo> insSmpInfo;
	List<InsDtlInfo> insDtlInfo;
	/*********************** 개별데이터부 END ***********************/

	public void setTrnsCd(String trnsCd) {
		this.trnsCd = trnsCd;
	}
	public String getTlgrmLng() {
		return tlgrmLng;
	}
	public void setTlgrmLng(String tlgrmLng) {
		this.tlgrmLng = tlgrmLng;
	}
	public String getSysId() {
		return sysId;
	}
	public void setSysId(String sysId) {
		this.sysId = sysId;
	}
	public String getRprsnCd() {
		return rprsnCd;
	}
	public void setRprsnCd(String rprsnCd) {
		this.rprsnCd = rprsnCd;
	}
	public String getCmpCd() {
		return cmpCd;
	}
	public void setCmpCd(String cmpCd) {
		this.cmpCd = cmpCd;
	}
	public String getBsnsCd() {
		return bsnsCd;
	}
	public void setBsnsCd(String bsnsCd) {
		this.bsnsCd = bsnsCd;
	}
	public String getIoFlag() {
		return ioFlag;
	}
	public void setIoFlag(String ioFlag) {
		this.ioFlag = ioFlag;
	}
	public String getRtnCd() {
		return rtnCd;
	}
	public void setRtnCd(String rtnCd) {
		this.rtnCd = rtnCd;
	}
	public String getJpCd() {
		return jpCd;
	}
	public void setJpCd(String jpCd) {
		this.jpCd = jpCd;
	}
	public String getInsTlgrmNo() {
		return insTlgrmNo;
	}
	public void setInsTlgrmNo(String insTlgrmNo) {
		this.insTlgrmNo = insTlgrmNo;
	}
	public String getInsTrnsDate() {
		return insTrnsDate;
	}
	public void setInsTrnsDate(String insTrnsDate) {
		this.insTrnsDate = insTrnsDate;
	}
	public String getKciTlgrmNo() {
		return kciTlgrmNo;
	}
	public void setKciTlgrmNo(String kciTlgrmNo) {
		this.kciTlgrmNo = kciTlgrmNo;
	}
	public String getKciTrnsDate() {
		return kciTrnsDate;
	}
	public void setKciTrnsDate(String kciTrnsDate) {
		this.kciTrnsDate = kciTrnsDate;
	}
	public String getTodoField() {
		return todoField;
	}
	public void setTodoField(String todoField) {
		this.todoField = todoField;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserIp() {
		return userIp;
	}
	public void setUserIp(String userIp) {
		this.userIp = userIp;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getGoalCd() {
		return goalCd;
	}
	public void setGoalCd(String goalCd) {
		this.goalCd = goalCd;
	}
	public String getSsno() {
		return ssno;
	}
	public void setSsno(String ssno) {
		this.ssno = ssno;
	}
	public String getAgrYn() {
		return agrYn;
	}
	public void setAgrYn(String agrYn) {
		this.agrYn = agrYn;
	}
	public String getUseDataDate() {
		return useDataDate;
	}
	public void setUseDataDate(String useDataDate) {
		this.useDataDate = useDataDate;
	}
	public String getSaveDataDate() {
		return saveDataDate;
	}
	public void setSaveDataDate(String saveDataDate) {
		this.saveDataDate = saveDataDate;
	}
	public String getInsCmpCd() {
		return insCmpCd;
	}
	public void setInsCmpCd(String insCmpCd) {
		this.insCmpCd = insCmpCd;
	}
	public String getInsCtrctNo() {
		return insCtrctNo;
	}
	public void setInsCtrctNo(String insCtrctNo) {
		this.insCtrctNo = insCtrctNo;
	}
	public String getMainCtrctStateCd() {
		return mainCtrctStateCd;
	}
	public void setMainCtrctStateCd(String mainCtrctStateCd) {
		this.mainCtrctStateCd = mainCtrctStateCd;
	}
	public String getGrntStateCd() {
		return grntStateCd;
	}
	public void setGrntStateCd(String grntStateCd) {
		this.grntStateCd = grntStateCd;
	}
	public String getReqTlgrmNo() {
		return reqTlgrmNo;
	}
	public void setReqTlgrmNo(String reqTlgrmNo) {
		this.reqTlgrmNo = reqTlgrmNo;
	}
	public String getTotTlgrmNo() {
		return totTlgrmNo;
	}
	public void setTotTlgrmNo(String totTlgrmNo) {
		this.totTlgrmNo = totTlgrmNo;
	}
	public String getInsurer() {
		return insurer;
	}
	public void setInsurer(String insurer) {
		this.insurer = insurer;
	}
	public String getProduct() {
		return product;
	}
	public void setProduct(String product) {
		this.product = product;
	}
	public String getInsNo() {
		return insNo;
	}
	public void setInsNo(String insNo) {
		this.insNo = insNo;
	}
	public String getInsRstCd() {
		return insRstCd;
	}
	public void setInsRstCd(String insRstCd) {
		this.insRstCd = insRstCd;
	}
	public String getInsStartDate() {
		return insStartDate;
	}
	public void setInsStartDate(String insStartDate) {
		this.insStartDate = insStartDate;
	}
	public String getInsEndDate() {
		return insEndDate;
	}
	public void setInsEndDate(String insEndDate) {
		this.insEndDate = insEndDate;
	}
	public String getCtrctStateCd() {
		return ctrctStateCd;
	}
	public void setCtrctStateCd(String ctrctStateCd) {
		this.ctrctStateCd = ctrctStateCd;
	}
	public String getDiagCtrctYn() {
		return diagCtrctYn;
	}
	public void setDiagCtrctYn(String diagCtrctYn) {
		this.diagCtrctYn = diagCtrctYn;
	}
	public String getCtcrtDate() {
		return ctrctDate;
	}
	public void setCtrctDate(String ctrctDate) {
		this.ctrctDate = ctrctDate;
	}
	public String getValidDate() {
		return validDate;
	}
	public void setVaildDate(String validDate) {
		this.validDate = validDate;
	}
	public String getRevrDate() {
		return revrDate;
	}
	public void setRevrDate(String revrDate) {
		this.revrDate = revrDate;
	}
	public String getTrmtDate() {
		return trmtDate;
	}
	public void setTrmtDate(String trmtDate) {
		this.trmtDate = trmtDate;
	}
	public String getPrice() {
		return price;
	}
	public void setPrice(String price) {
		this.price = price;
	}
	public String getPayPeriodCd() {
		return payPeriodCd;
	}
	public void setPayPeriodCd(String payPeriodCd) {
		this.payPeriodCd = payPeriodCd;
	}
	public String getPayDate() {
		return payDate;
	}
	public void setPayDate(String payDate) {
		this.payDate = payDate;
	}
	public String getInPathCd() {
		return inPathCd;
	}
	public void setInPathCd(String inPathCd) {
		this.inPathCd = inPathCd;
	}
	public String getInPathName() {
		return inPathName;
	}
	public void setInPathName(String inPathName) {
		this.inPathName = inPathName;
	}
	public String getInPathBirth() {
		return inPathBirth;
	}
	public void setInPathBirth(String inPathBirth) {
		this.inPathBirth = inPathBirth;
	}
	public String getInPathSex() {
		return inPathSex;
	}
	public void setInPathSex(String inPathSex) {
		this.inPathSex = inPathSex;
	}
	public String getInPathSsno() {
		return inPathSsno;
	}
	public void setInPathSsno(String inParhSsno) {
		this.inPathSsno = inParhSsno;
	}
	public String getInPathDate() {
		return inPathDate;
	}
	public void setInPathDate(String inPathDate) {
		this.inPathDate = inPathDate;
	}
	public String getInPathCmpNm() {
		return inPathCmpNm;
	}
	public void setInPathCmpNm(String inPathCmpNm) {
		this.inPathCmpNm = inPathCmpNm;
	}
	public String getRetCnt() {
		return retCnt;
	}
	public void setRetCnt(String retCnt) {
		this.retCnt = retCnt;
	}
	public String getTrnsCd() {
		return trnsCd;
	}
	public String getTotCnt() {
		return totCnt;
	}
	public void setTotCnt(String totCnt) {
		this.totCnt = totCnt;
	}
	public List<InsSmpInfo> getInsSmpInfo() {
		return insSmpInfo;
	}
	public void setInsSmpInfo(List<InsSmpInfo> insSmpInfo) {
		this.insSmpInfo = insSmpInfo;
	}
	public List<InsDtlInfo> getInsDtlInfo() {
		return insDtlInfo;
	}
	public void setInsDtlInfo(List<InsDtlInfo> insDtlInfo) {
		this.insDtlInfo = insDtlInfo;
	}

	@Override
	public String toString() {
		return "InsInfo [trnsCd=" + trnsCd + ", tlgrmLng=" + tlgrmLng + ", sysId=" + sysId + ", rprsnCd=" + rprsnCd + ", cmpCd=" + cmpCd + ", bsnsCd=" + bsnsCd + ", ioFlag=" + ioFlag + ", rtnCd="
				+ rtnCd + ", jpCd=" + jpCd + ", insTlgrmNo=" + insTlgrmNo + ", insTrnsDate=" + insTrnsDate + ", kciTlgrmNo=" + kciTlgrmNo + ", kciTrnsDate=" + kciTrnsDate + ", todoField=" + todoField
				+ ", userId=" + userId + ", userIp=" + userIp + ", userName=" + userName + ", goalCd=" + goalCd + ", ssno=" + ssno + ", agrYn=" + agrYn + ", useDataDate=" + useDataDate
				+ ", saveDataDate=" + saveDataDate + ", insCmpCd=" + insCmpCd + ", insCtrctNo=" + insCtrctNo + ", mainCtrctStateCd=" + mainCtrctStateCd + ", grntStateCd=" + grntStateCd
				+ ", reqTlgrmNo=" + reqTlgrmNo + ", totTlgrmNo=" + totTlgrmNo + ", insurer=" + insurer + ", product=" + product + ", insNo=" + insNo + ", insRstCd=" + insRstCd + ", insStartDate="
				+ insStartDate + ", insEndDate=" + insEndDate + ", ctrctStateCd=" + ctrctStateCd + ", diagCtrctYn=" + diagCtrctYn + ", ctrctDate=" + ctrctDate + ", validDate=" + validDate + ", revrDate="
				+ revrDate + ", trmtDate=" + trmtDate + ", price=" + price + ", payPeriodCd=" + payPeriodCd + ", payDate=" + payDate + ", inPathCd=" + inPathCd + ", inPathName=" + inPathName
				+ ", inPathBirth=" + inPathBirth + ", inPathSex=" + inPathSex + ", inPathSsno=" + inPathSsno + ", inPathDate=" + inPathDate + ", inPathCmpNm=" + inPathCmpNm + ", retCnt=" + retCnt
				+ ", totCnt=" + totCnt + ", insSmpInfo=" + insSmpInfo + ", insDtlInfo=" + insDtlInfo + "]";
	}
}
