package hanalife.framework.comm.exception;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class HLFLException extends RuntimeException {

	protected HLFLException() {
	}
	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	/** 에러코드 */
	private String errorCode;

	/** 에러코드 파라메타 */
	private Object[] params;

	/**
	 * @param errorMessage 예외메시지
	 */
	public HLFLException(String errorMessage) {
		this(null, errorMessage, null, null);
	}

	/**
	 * @param errorMessage 예외메시지
	 */
	public HLFLException(String errorMessage, Object[] params) {
		this(null, errorMessage, null, null);
		if(params != null){
			this.params = params;
		}

	}

	/**
	 * @param errorMessage 예외메시지
	 * @param cause 예외원인
	 */
	public HLFLException(String errorMessage, Throwable cause) {
		this(null, errorMessage, cause, null);
	}

	/**
	 * @param errorMessage 예외메시지
	 */
	public HLFLException(String errorCode, String errorMessage) {
		this(errorCode, errorMessage, null, null);
	}

	public HLFLException(String errorCode, String errorMessage, Throwable cause, Object[] params) {
		super(errorMessage, cause);

		if(errorCode != null){
			this.errorCode = errorCode;
		}

		if(params != null){
			this.params = params;
		}
	}

}
