package hanalife.framework.comm.interceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import hanalife.framework.comm.listener.HLFLHttpSessionListener;

public class ControllerInterceptor implements HandlerInterceptor {

	private static final Logger LOGGER = LoggerFactory.getLogger(ControllerInterceptor.class);

	public ControllerInterceptor() {
		
	}
	
	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {

		return true;
	}

	@Override
	public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {

	}

	@Override
	public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception exception) throws Exception {
		//LOGGER.debug("ControllerInterceptor.afterCompletion - start");
		
		/**
		 * Log Memory
		 */
		long totalMemory = Runtime.getRuntime().totalMemory();
		long freeMemory = Runtime.getRuntime().freeMemory();
		long usedMemory = Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory();
		long maxMemory = Runtime.getRuntime().maxMemory();
		int availableProcessors = Runtime.getRuntime().availableProcessors();
		
		LOGGER.info(new StringBuffer()
				.append("<Memory Status> [ Used ")
				.append(usedMemory / 1024 / 1024)
				.append("MB (")
				.append(100 * usedMemory / totalMemory)
				.append("%) + Free ")
				.append(freeMemory / 1024 / 1024)
				.append("MB (")
				.append(100 * freeMemory / totalMemory)
				.append("%) ] / [ Total ")
				.append(totalMemory / 1024 / 1024)
				.append("MB ] [ Max ")
				.append(maxMemory / 1024 / 1024)
				.append("MB ] ")
				.toString());
		
		LOGGER.info(new StringBuffer()
					.append("<availableProcessors> : ").append(availableProcessors)
					.append(" / <activeSessionCount> : ").append(HLFLHttpSessionListener.getSessionCnt())
					.toString());

		if (exception != null) {
			LOGGER.error("[!] ControllerInterceptor.afterCompletion - Exception");
		}
		
		//LOGGER.debug("ControllerInterceptor.afterCompletion - end\n");
	}


}
