package hanalife.framework.comm.util;

import java.io.IOException;
import java.io.Reader;
import java.util.Arrays;
import java.util.Properties;

import com.ibatis.common.resources.Resources;

public class PropertiesHandler {

	private Properties properties = new Properties();
	
	private static PropertiesHandler instance = null;

	private PropertiesHandler() {
		String resource = "egovframework/properties/globals.properties"; //classes

		try {
			Reader reader = Resources.getResourceAsReader(resource);
			this.properties.load(reader);

		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static PropertiesHandler getInstance() {
		if (instance == null) {
			instance = new PropertiesHandler();
		}
		return instance;
	}
	
	public String getProperty(String key) {
		String value = properties.getProperty(key);
		return value;
	}
	
	public String[] getArrayProperty(String key) {
		String value = properties.getProperty(key);
		return Arrays.stream(value.split(",")).map(String::trim).toArray(String[]::new);
	}
}
