package hanalife.framework.comm.util;

import java.io.File;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.ahnlab.v3mobileplus.interfaces.parser.json.JSONObject;
import com.google.common.io.Files;

import hanalife.c.co.util.StringUtil;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xexcel5.util.XExcelDrmEncryptInterfaceEx;

public class XExcelDownloadManager implements XExcelDrmEncryptInterfaceEx{
	
	
	private Log log = LogFactory.getLog("Util");
	
	String excelPath = PropertiesHandler.getInstance().getProperty("xframe5.excel.path");
	
	/**
	 * saveFileAbsolutePath : 엑셀 파일 저정 Path
	 * strGolbalInfo : factory.setxcelgolbalinfo 정보
	 * strGridInfo : 그리드 setexcelgridinfo 정보
	 **/
	@Override
	public String execute(String saveFileAbsolutePath, String strGolbalInfo, String strGridInfo) throws Exception {
		
		URL resource = getClass().getResource("../../../../../");
		String path = resource.getPath();
		String copyFilePath = "";
		JSONObject excelInfo = null;
		
		String dsIndvInfoYn = "";
		String downLoadUser = "";
		String downloadTime = "";
		String downloadExcelFileName = "";
		String screenId = "";
		String gridName = "";
		String subDir   = "";
		
		//log.debug("strGolbalInfo : "+strGolbalInfo);
		//log.debug("strGolbalInfo : "+strGridInfo);
		
		if(strGolbalInfo.length() > 0) {
			excelInfo = new JSONObject(strGolbalInfo);
			//{"dsIndvInfoYn":dsIndvInfoYn , "downLoadUser":SYSVar.loginUserInfo.EMP_NO, "downloadTime":currTime}; 
			dsIndvInfoYn = StringUtil.NVL(excelInfo.getString("dsIndvInfoYn"));
			downLoadUser = StringUtil.NVL(excelInfo.getString("downLoadUser"));
			downloadTime = StringUtil.NVL(excelInfo.getString("downloadTime"));
			downloadExcelFileName = StringUtil.NVL(excelInfo.getString("downloadExcelFileName"));
			screenId = StringUtil.NVL(excelInfo.getString("screenId"));
			gridName = StringUtil.NVL(excelInfo.getString("downloadExcelFileName"));
			subDir   = downloadTime.substring(0 , 8);
		}
		
		/*
		log.debug("###############################################");
		log.debug(saveFileAbsolutePath);
		log.debug(path);
		log.debug("dsIndvInfoYn:"+dsIndvInfoYn);
		log.debug("downLoadUser:"+downLoadUser);
		log.debug("downloadTime:"+downloadTime);
		log.debug("downloadExcelFileName:"+downloadExcelFileName);
		log.debug("subDir:"+subDir);
		log.debug("###############################################");
		*/
		
		try {
			
			// 개인정보를 포함한 grid면.. 데이터가 없고 개인정보가 포함되어 있다는 알림문구 파일이 다운로드 된다.
			if("Y".equals(dsIndvInfoYn)) {
				
				//log.debug("if(\"Y\".endsWith(dsIndvInfoYn)) {");
				
				// 엑셀의 개인정보가 있을 경우 템플릿 파일을 대상 파일로 지정한다.
				String templetFile = excelPath+"templet/excelInfo.xlsx";
				File  fromlFile = new File(templetFile);
				File  toFile = new File(excelPath+"excelInfo.xlsx");
				
				// 한번사용된 파일은 삭제되기 때문에 대상 디렉토리에 해당 파일을 copy 해 주어야 한다.
				Files.copy(fromlFile, toFile);
				
				// 템플릿 파일은 경로 리턴..
				copyFilePath = excelPath+"excelInfo.xlsx";
				String targetDirPath = excelPath+downLoadUser+"/"+screenId+"/"+subDir;
				
				File  targetDir = new File(targetDirPath);
				
				//log.debug("###################################################");
				//log.debug(targetDirPath);
				//log.debug(!targetDir.exists()) ;
				//log.debug(targetDirPath+"/"+downloadExcelFileName+".xlsx") ;
				
				if(!targetDir.exists()) {
					boolean makeOk = targetDir.mkdirs();
				}
				//log.debug("###################################################");
				// 오리지널 파일은 사용자 이름 디렉토레에 넣어둔다.
				// 향후 승인후 이 파일을 다운로드 시켜야 함
				File  fromOriginFile = new File(saveFileAbsolutePath);
				File  toOriginFile = new File(targetDirPath+"/"+downloadExcelFileName+".xlsx");
				Files.copy(fromOriginFile, toOriginFile);
				
				// 오리지널 파일 저장 정보를 DB에 넣는다.  향후 승인자가 승인시 열람 또는 승인후 다운로드 신청자가 다운로드 해야함
				// 현파일은 서블릿이기 때문에.. Component로 등록되어 있는 XFrame5DataSetUtil의 insertFileInfo 를 이용하여  insert 한다.
				// --------------- DB FILE INFO Start ----------------------------------------------
				List<Map<String,Object>> pramList = new ArrayList<Map<String,Object>>();
				
				Map<String,Object> fileInfo = new HashMap<String,Object>();
				
				fileInfo.put("fileSnum"    , "1");
				fileInfo.put("bsnDivCd"    , "C");
				fileInfo.put("docGrpDivCd" , screenId);
				fileInfo.put("docDivCd"    , "");
				fileInfo.put("filePath"    , targetDirPath);
				fileInfo.put("fileNm"      , downloadExcelFileName+".xlsx");
				fileInfo.put("fileSize"    , toOriginFile.length());
				fileInfo.put("logInEmpNo"  , downLoadUser);
				
				pramList.add(fileInfo);
				
				Map<String, Object> param = new HashMap<String,Object>();
				param.put("paramList", pramList);
				
				XFrame5DataSetUtil.insertFileInfo(param);
				// --------------- DB FILE INFO END ----------------------------------------------
			}else {
				copyFilePath = saveFileAbsolutePath;
			}
			
			File downloadFile = new File(copyFilePath);
			
			//log.debug( "### DownloadFile Check >>>  "+ downloadFile.isFile()  );
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			//turn saveFileAbsolutePath ; //;"개인정보 포함 엑셀 입니다.";
		}
		
		log.debug("### copyFilePath >>>>> "+copyFilePath);
		
		return copyFilePath;
	}

	@Override	
	public boolean initialize() throws Exception {
		// TODO Auto-generated method stub
		return true;
	}

}
