package hanalife.l.cm.cm.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.l.cm.cm.mapper.dto.LtLeasIFRSLeaseDescINDTO;
import hanalife.l.cm.cm.mapper.dto.RsltIFRSDeprScheduleOUTDTO;
import hanalife.l.cm.cm.mapper.dto.RsltIFRSLeaseBaseDTO;



/**
 * <pre>
 * 클래스명    : LtLeasIFRSLeaseDescMapper.java
 * 클래스설명  : IFRS자산원장생성 를(을) 위한 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 15.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 10.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("LtLeasIFRSLeaseDescMapper")
public interface LtLeasIFRSLeaseDescMapper {

	/**
	 * <pre>
     * TODO 미사용
	 * <p>메소드명	: selectIFRSLoanExist</p>
	 * <p>설　　명	: IFRS LT_리스_자산_원장 select</p>
	 * <p>메소드인수	: RsltIFRSLeaseBaseDTO</p>
	 * <p>리　턴　값	: RsltIFRSLeaseBaseDTO</p>
	 */
	public RsltIFRSLeaseBaseDTO selectIFRSLoanExist(RsltIFRSLeaseBaseDTO inDTO) throws Exception;

    /**
     * <p>메소드명     : selectIFRSdeprDesc_Depr</p>
     * <p>설명         : LT_IFRS_리스_상각_스케쥴 select</p>
	 * <p>메소드인수	: LtLeasIFRSLeaseDescINDTO</p>
	 * <p>리　턴　값	: RsltIFRSDeprScheduleOUTDTO</p>
     */
     public RsltIFRSDeprScheduleOUTDTO selectIFRSdeprDesc_Depr(LtLeasIFRSLeaseDescINDTO inDTO) throws Exception;

     /**
      * <p>메소드명             : selectLeasAsetBase</p>
      * <p>설명                       : LT_리스_자산 select</p>
	 * <p>메소드인수	: LtLeasIFRSLeaseDescINDTO</p>
	 * <p>리　턴　값	: RsltIFRSDeprScheduleOUTDTO</p>
      */
      public StLoanBaseDTO selectStLoanData(StLoanBaseDTO inDTO) throws Exception;
}


