package hanalife.l.cm.cm.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : LtLeasIFRSLeaseDescVO
 * 클래스설명 : IFRS운용리스자산원장생성 DAO 를(을) 위한  VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LtLeasIFRSLeaseDescINDTO extends AbstractVO {
	private static final long serialVersionUID = 1L;

	/* LT_리스_감가_상각_내역 (DBSDWCA.LT_LEAS_DEPR_DEPR_DESC) */
	private String asetNo;    			//자산번호(PK KEY)
	private String deprMethCd;    		//상각_방법_코드(PK KEY)
	private Integer deprTims;    		//상각_회차(PK KEY)
	private String deprYymm;    		//상각_년월
	private Long btrmDeprTotAmt;    	//전기_상각_누계_금액
	private Long mmDeprAmt;    			//월_상각_액
	private Long ttrmDeprTotAmt;    	//당기_상각_누계_금액
	private Long deprTotAmt;    		//상각_누계_금액
	private Long ldgrVamt;    			//장부_가액

	private Long btrmDeprTotAmt1;    	//개설_원가_전기_상각_누계_금액
	private Long mmDeprAmt1;    		//개설_원가_월_상각_액
	private Long ttrmDeprTotAmt1;    	//개설_원가_당기_상각_누계_금액
	private Long deprTotAmt1;    		//개설_원가_상각_누계_금액
	private Long ldgrVamt1;    			//개설_원가_장부_가액

	private String intnVochNo;    		//내부_전표_번호
	private String unaplyProcDt; 		//UNAPLY_PROC_DT		미적용_처리_일자
	private String frstRegDt;    		//최초_등록_일자
	private String frstRegTm;    		//최초_등록_시각
	private String frstRegEmpNo;    	//최초_등록_사원번호
	private String lastProcDt;    		//최종_처리_일자
	private String lastProcTm;    		//최종_처리_시각
	private String lastProcEmpNo;    	//최종_처리_사원번호

	/* LT_리스_자산(DBSLEAS.LT_LEAS_ASET) */
	private String asetTpCd;    		//자산_유형_코드
	private String godsNo;    			//물건_번호
	private String asetStatCd;    		//자산_상태_코드
	private String asetNm;    			//자산_명
	private String busiCd;    			//거래처_코드
	private String rvrtDeptCd;    		//귀속_부서_코드
	private String gainDeptCd;    		//취득_부서_코드
	private String gainDt;    			//취득_일자
	private Integer gainQty;    		//취득_수량
	private Long gainAmt;    			//취득_금액
	private Long gainVtax;    			//취득_부가세
	private String sellDt;    			//매각_일자
	private Long sellAmt;    			//매각_금액
	private String usedAsetFg;    		//중고_자산_여부
	private String deprObjFg;    		//상각_대상_여부
	private Integer duyy;    			//내용년수
	private double deprRt;    			//상각율
	private Long btrmDeprTamt;    		//전기_상각_누계액
	private Long btrmApprTotAmt;    	//전기_충당_누계_금액
	private Long ttrmApprTotAmt;    	//당기_충당_누계_금액
	private Long apprTotAmt;    		//충당_누계_금액
	private Long unApprRamt;    		//미_충당_잔액
	private String spec;    			//규격
	private String rmrk;    			//비고
	private String delFg;    			//삭제_여부

	/* LT_리스_기본(DBSLEAS.LT_LEAS_BASE) */
	private String loanNo;    			//대출_번호
	private String loanSeq;    			//대출_순번
	private String contDt;    			//계약_일자
	private String contNo;    			//계약_번호
	private String loanExecSeq;    		//대출_실행_차수
	private String tpNo;    			//유형_번호
	private String prdtCd;    			//상품_코드
	private String leasStatCd;   		//리스_상태_코드
	private Long salecomBrcvAmt;    	//판매사_선수금
	private String salecomBrcvAmtGuarAmtCvrt;	//판매사_선수금_보증금_전환_여부
	private String regNmDivCd;    		//등록_명의_구분_코드
	private String sgProcCd;    		//단수_처리_코드
	private String sgUnitCd;    		//단수_단위_코드
	private String avpyFupyDiv;    		//선불_후불_구분
	private Long guarAmtRt;    		//보증금_율
	private Long guarAmt;    			//보증_금액
	private double guarRamtRt;    		//보증_잔가_율
	private Long guarRamtAmt;    		//보증_잔가_금액
	private double noguarRamtRt;    	//무보증_잔가_율
	private Long noguarRamtAmt;    		//무보증_잔가_금액
	private double ramtSctnFr;    		//잔가_구간_FROM
	private double ramtSctnTo;    		//잔가_구간_TO
	private String mnrtStndDivCd;    	//금리_기준_구분_코드
	private double pureIrr;    			//순수_IRR
	private double addIrr;    			//가산_IRR
	private double stndMnrt;    		//기준_금리
	private double aplyAddMnrt;    		//적용_가산_금리
	private String rmbrTpCd;    		//상환_유형_코드
	private Integer leasTerm;    			//리스_기간
	private String yyrelContDstn;    	//년간_약정_거리
	private String guarRamtObjAmtDivCd; //보증_잔가_대상_금액_구분_코드
	private String gainPcstCalcMethCd;  //취득_원가_계산_방법_코드
	private String leasfeeCalcMethCd;   //리스료_계산_방법_코드
	private String guarAmtRsndDivCd;    //보증금_반환_구분_코드
	private String insuBrdnMan;    		//보험_부담자_구분_코드
	private String insuKindCd;    		//보험_종료_코드
	private Long insuFee;    			//보험_료
	private String cartaxEnvBrdnamtAdjMeth;    	//자동차세_환경_개선_부담금_정산_방법_코드
	private String cartaxEnvBrdnamtPentMethC;   //자동차세_환경_부담금_추징_방법_코드
	private Long ltrmLeasBrcvAmt;    	//장기_리스_선수금
	private String ltrmLeasBrcvAmtRcptMethC;    //장기_리스_선수금_수납_방법_코드
	private String reLeasAmtStndCd;    	//재리스_금액_기준_코드
	private Long execAmt;    			//재_리스_금액
	private Long qtax;    				//취득세
	private String qtaxInclFg;    		//취득세_포함_여부
	private Long rtax;    				//등록세
	private String rtaxInclFg;    		//등록세_포함_여부
	private Long cnsgFee;    			//탁송료
	private String cnsgFeeInclFg;    	//탁송료_포함_여부
	private Long pbnd;    				//공채
	private String pbndInclFg;    		//공채_포함_여부
	private Long regAgntcost;    		//등록_대행비
	private String regAgntcostInclFg;   //등록_대행비_포함_여부
	private Long regExtrExps;    		//등록_제비용
	private String regExtrExpsInclFg;   //등록_제비용_포함_여부
	private String npvStndMnrtDivCd;    //NPV_기준_금리_구분_코드
	private double npvStndMnrt;    		//NPV_기준_금리
	private Long netCurrVal;    		//순_현재_가치
	private String saleMethCd;    		//영업_방법_코드
	private String spcCntrMtr;    		//특약_사항
	private String chngBfLoanNo;    	//변경_전_대출_번호
	private String chngBfLoanSeq;    	//변경전_대출_순번
	private String dlyIntRtCd;    		//연체_이자율_코드
	private double imptFeeRt;    		//수입_수수료율
	private double payFeeRt;    		//지급_수수료율
	private String eprtAfProcMethCd;    //만기_후_처리_방법
	private String dueCycl;    			//납입_주기
	private String rllsAmtCalcMethCd;   //규손금_계산_방법_코드
	private double rllsAmtRto;    		//규손금_비율
	private String damgIndmMethCd;    	//손해_배상_방법_코드
	private String midClosCalcMethCd;   //중도_해지_계산_방법_코드
	private String overDrvCalcMethCd;   //초과_운행_계산_방법_코드
	private String rsndOdueamtCalcMethCd;	//반환_지연금_계산_방법_코드
	private String guarAmtAplyFg;    	//보증금_적용_여부
	private String ppayIntAplyDivCd;    //선급_이자_적용_구분_코드
	private Long ppayIntFcntAskAmt;    	//선급_이자_초회_청구_금액
	private Long ppayIntFcntRcptAmt;    //선급_이자_초회_수납_금액
	private String contRsnCd;    		//계약_사유_코드
	private String defrIntRmbrFrmlCd;   //거치_이자_상환_방식_코드
	private Long totDefrInt;    		//총_거치_이자
	private String execAcctDt;    		//실행_회계_일자
	private String execVochNo;    		//실행_전표_번호
	private String execCnclAcctDt;    	//실행_취소_회계_일자
	private String execCnclVochNo;    	//실행_취소_전표_번호
	private String leasEprtDt;    		//리스_만기_일자
	private String ddayPrftLoseDt;    	//기한_이익_상실_일자
	private String intCalcMethCd;    	//이자_계산_방법_코드
	private String closRsnCd;    		//해지_사유_코드

	/* ST_상환계획_내역(DBSSALE.ST_RMBR_PLAN_DESC) */
	private Integer trSnum;    			//거래_일련번호
	private Integer frstRank;    		//우선_순위
	private Integer tims;    			//회차
	private String dueDt;    			//납입_일자
	private String rmbrFrmlCd;    		//상환_방식_코드
	private String crteDivCd;    		//생성_구분_코드
	private Long mmPamt;    			//월_원금
	private Long mmInt;    				//월_이자
	private Long mmPiamt;    			//월_원리금
	private Long timsBfPamtRamt;    	//회차_전_원금_잔액
	private Long timsAfPamtRamt;    	//회차_후_원금_잔액
	private Long timsBfIntRamt;    		//회차_전_이자_잔액
	private Long timsAfIntRamt;   	 	//회차_후_이자_잔액
	private Long psgInt;    			//경과이자
	private String pdueFg;    			//선납_여부
	private double intRt;    			//이자율
	private String intStrtDt;    		//이자_시작일자
	private String intEndDt;    		//이자_종료일자

	private Integer[] timsArr;			//거래_일련번호
	private Long[] mmPamtArr;  			//월_원금

	/* CT_공통_코드_내역(DBSCOMM.CT_COMM_CD_DESC) */
	private String 	cdKindNo;			// 코드_종류_번호
	private String 	cdDescNo;			// 코드_내역_번호
	private String 	cdDescKorNm;		// 코드_내역_한글_명
	private String 	cdDescEngNm;		// 코드_내역_영문_명
	private String 	cdDescShrtNm;		// 코드_내역_단축_명
	private String 	cdDescEtcNm;		// 코드_내역_기타_명
	private String 	clas1;				// 분류1
	private String 	clas2;				// 분류2
	private Integer markOdr;			// 표시_순서

	/* IFRS_운용리스자산원장 수정*/
	private String frstLoanNo  ;     	//최초_대출_번호',
	private String frstLoanSeq;			//최초_대출_순번,
	private String currLoanNo  ;     	//현재_대출_번호',
  private Long damgDflsAmt	;	//손상_차손_액',
  private String currLoanSeq  ;     		//현재_대출_순번
	private Long leasDamgDflsAmt;			//리스_손상_차손_액
	private Long openPcstDamgDflsAmt;		//개설_원가_손상_차손_액

	/*수수료*/
	private Long feeAmt;
	private Long rlPayamt;
	private String feeCd;
	private String feeDivCd;
	private Integer feeSeq;

	/*현재가치 할인금액*/
	private String  procDv;
	private String  loanDt;
	private String  eprtDt;
	private Long    loanPamt;


	/*DBSDWCA.RT_CLS_SUB_DESC 자동전표보조내역*/

	private String leasExecDt  ;       //리스_실행일
	private Long vochAmt; //전표금액
	private String divCd;
	private int    snum;


	public String getDivCd() {
    return divCd;
  }
  public void setDivCd(String divCd) {
    this.divCd = divCd;
  }
  public int getSnum() {
    return snum;
  }
  public void setSnum(int snum) {
    this.snum = snum;
  }

	public Long getVochAmt() {
    return vochAmt;
  }
  public void setVochAmt(Long vochAmt) {
    this.vochAmt = vochAmt;
  }
  public String getLeasExecDt() {
    return leasExecDt;
  }
  public void setLeasExecDt(String leasExecDt) {
    this.leasExecDt = leasExecDt;
  }
  public String getAsetNo() {
		return asetNo;
	}
	public void setAsetNo(String asetNo) {
		this.asetNo = asetNo;
	}
	public String getDeprMethCd() {
		return deprMethCd;
	}
	public void setDeprMethCd(String deprMethCd) {
		this.deprMethCd = deprMethCd;
	}
	public Integer getDeprTims() {
		return deprTims;
	}
	public void setDeprTims(Integer deprTims) {
		this.deprTims = deprTims;
	}
	public String getDeprYymm() {
		return deprYymm;
	}
	public void setDeprYymm(String deprYymm) {
		this.deprYymm = deprYymm;
	}
	public Long getBtrmDeprTotAmt() {
		return btrmDeprTotAmt;
	}
	public void setBtrmDeprTotAmt(Long btrmDeprTotAmt) {
		this.btrmDeprTotAmt = btrmDeprTotAmt;
	}
	public Long getMmDeprAmt() {
		return mmDeprAmt;
	}
	public void setMmDeprAmt(Long mmDeprAmt) {
		this.mmDeprAmt = mmDeprAmt;
	}
	public Long getTtrmDeprTotAmt() {
		return ttrmDeprTotAmt;
	}
	public void setTtrmDeprTotAmt(Long ttrmDeprTotAmt) {
		this.ttrmDeprTotAmt = ttrmDeprTotAmt;
	}
	public Long getDeprTotAmt() {
		return deprTotAmt;
	}
	public void setDeprTotAmt(Long deprTotAmt) {
		this.deprTotAmt = deprTotAmt;
	}
	public Long getLdgrVamt() {
		return ldgrVamt;
	}
	public void setLdgrVamt(Long ldgrVamt) {
		this.ldgrVamt = ldgrVamt;
	}
	public String getIntnVochNo() {
		return intnVochNo;
	}
	public void setIntnVochNo(String intnVochNo) {
		this.intnVochNo = intnVochNo;
	}
	public String getUnaplyProcDt() {
		return unaplyProcDt;
	}
	public void setUnaplyProcDt(String unaplyProcDt) {
		this.unaplyProcDt = unaplyProcDt;
	}
	@Override
	public String getFrstRegDt() {
		return frstRegDt;
	}
	@Override
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	@Override
	public String getFrstRegTm() {
		return frstRegTm;
	}
	@Override
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	@Override
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	@Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	@Override
	public String getLastProcDt() {
		return lastProcDt;
	}
	@Override
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	@Override
	public String getLastProcTm() {
		return lastProcTm;
	}
	@Override
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	@Override
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	@Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getAsetTpCd() {
		return asetTpCd;
	}
	public void setAsetTpCd(String asetTpCd) {
		this.asetTpCd = asetTpCd;
	}
	public String getGodsNo() {
		return godsNo;
	}
	public void setGodsNo(String godsNo) {
		this.godsNo = godsNo;
	}
	public String getAsetStatCd() {
		return asetStatCd;
	}
	public void setAsetStatCd(String asetStatCd) {
		this.asetStatCd = asetStatCd;
	}
	public String getAsetNm() {
		return asetNm;
	}
	public void setAsetNm(String asetNm) {
		this.asetNm = asetNm;
	}
	public String getBusiCd() {
		return busiCd;
	}
	public void setBusiCd(String busiCd) {
		this.busiCd = busiCd;
	}
	public String getRvrtDeptCd() {
		return rvrtDeptCd;
	}
	public void setRvrtDeptCd(String rvrtDeptCd) {
		this.rvrtDeptCd = rvrtDeptCd;
	}
	public String getGainDeptCd() {
		return gainDeptCd;
	}
	public void setGainDeptCd(String gainDeptCd) {
		this.gainDeptCd = gainDeptCd;
	}
	public String getGainDt() {
		return gainDt;
	}
	public void setGainDt(String gainDt) {
		this.gainDt = gainDt;
	}
	public Integer getGainQty() {
		return gainQty;
	}
	public void setGainQty(Integer gainQty) {
		this.gainQty = gainQty;
	}
	public Long getGainAmt() {
		return gainAmt;
	}
	public void setGainAmt(Long gainAmt) {
		this.gainAmt = gainAmt;
	}
	public Long getGainVtax() {
		return gainVtax;
	}
	public void setGainVtax(Long gainVtax) {
		this.gainVtax = gainVtax;
	}
	public String getSellDt() {
		return sellDt;
	}
	public void setSellDt(String sellDt) {
		this.sellDt = sellDt;
	}
	public Long getSellAmt() {
		return sellAmt;
	}
	public void setSellAmt(Long sellAmt) {
		this.sellAmt = sellAmt;
	}
	public String getUsedAsetFg() {
		return usedAsetFg;
	}
	public void setUsedAsetFg(String usedAsetFg) {
		this.usedAsetFg = usedAsetFg;
	}
	public String getDeprObjFg() {
		return deprObjFg;
	}
	public void setDeprObjFg(String deprObjFg) {
		this.deprObjFg = deprObjFg;
	}
	public Integer getDuyy() {
		return duyy;
	}
	public void setDuyy(Integer duyy) {
		this.duyy = duyy;
	}
	public double getDeprRt() {
		return deprRt;
	}
	public void setDeprRt(double deprRt) {
		this.deprRt = deprRt;
	}
	public Long getBtrmDeprTamt() {
		return btrmDeprTamt;
	}
	public void setBtrmDeprTamt(Long btrmDeprTamt) {
		this.btrmDeprTamt = btrmDeprTamt;
	}
	public Long getBtrmApprTotAmt() {
		return btrmApprTotAmt;
	}
	public void setBtrmApprTotAmt(Long btrmApprTotAmt) {
		this.btrmApprTotAmt = btrmApprTotAmt;
	}
	public Long getTtrmApprTotAmt() {
		return ttrmApprTotAmt;
	}
	public void setTtrmApprTotAmt(Long ttrmApprTotAmt) {
		this.ttrmApprTotAmt = ttrmApprTotAmt;
	}
	public Long getApprTotAmt() {
		return apprTotAmt;
	}
	public void setApprTotAmt(Long apprTotAmt) {
		this.apprTotAmt = apprTotAmt;
	}
	public Long getUnApprRamt() {
		return unApprRamt;
	}
	public void setUnApprRamt(Long unApprRamt) {
		this.unApprRamt = unApprRamt;
	}
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	public String getRmrk() {
		return rmrk;
	}
	public void setRmrk(String rmrk) {
		this.rmrk = rmrk;
	}
	public String getDelFg() {
		return delFg;
	}
	public void setDelFg(String delFg) {
		this.delFg = delFg;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContDt() {
		return contDt;
	}
	public void setContDt(String contDt) {
		this.contDt = contDt;
	}
	public String getContNo() {
		return contNo;
	}
	public void setContNo(String contNo) {
		this.contNo = contNo;
	}
	public String getLoanExecSeq() {
		return loanExecSeq;
	}
	public void setLoanExecSeq(String loanExecSeq) {
		this.loanExecSeq = loanExecSeq;
	}
	public String getTpNo() {
		return tpNo;
	}
	public void setTpNo(String tpNo) {
		this.tpNo = tpNo;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getLeasStatCd() {
		return leasStatCd;
	}
	public void setLeasStatCd(String leasStatCd) {
		this.leasStatCd = leasStatCd;
	}
	public Long getSalecomBrcvAmt() {
		return salecomBrcvAmt;
	}
	public void setSalecomBrcvAmt(Long salecomBrcvAmt) {
		this.salecomBrcvAmt = salecomBrcvAmt;
	}
	public String getSalecomBrcvAmtGuarAmtCvrt() {
		return salecomBrcvAmtGuarAmtCvrt;
	}
	public void setSalecomBrcvAmtGuarAmtCvrt(String salecomBrcvAmtGuarAmtCvrt) {
		this.salecomBrcvAmtGuarAmtCvrt = salecomBrcvAmtGuarAmtCvrt;
	}
	public String getRegNmDivCd() {
		return regNmDivCd;
	}
	public void setRegNmDivCd(String regNmDivCd) {
		this.regNmDivCd = regNmDivCd;
	}
	public String getSgProcCd() {
		return sgProcCd;
	}
	public void setSgProcCd(String sgProcCd) {
		this.sgProcCd = sgProcCd;
	}
	public String getSgUnitCd() {
		return sgUnitCd;
	}
	public void setSgUnitCd(String sgUnitCd) {
		this.sgUnitCd = sgUnitCd;
	}
	public String getAvpyFupyDiv() {
		return avpyFupyDiv;
	}
	public void setAvpyFupyDiv(String avpyFupyDiv) {
		this.avpyFupyDiv = avpyFupyDiv;
	}
	public Long getGuarAmtRt() {
		return guarAmtRt;
	}
	public void setGuarAmtRt(Long guarAmtRt) {
		this.guarAmtRt = guarAmtRt;
	}
	public Long getGuarAmt() {
		return guarAmt;
	}
	public void setGuarAmt(Long guarAmt) {
		this.guarAmt = guarAmt;
	}
	public double getGuarRamtRt() {
		return guarRamtRt;
	}
	public void setGuarRamtRt(double guarRamtRt) {
		this.guarRamtRt = guarRamtRt;
	}
	public Long getGuarRamtAmt() {
		return guarRamtAmt;
	}
	public void setGuarRamtAmt(Long guarRamtAmt) {
		this.guarRamtAmt = guarRamtAmt;
	}
	public double getNoguarRamtRt() {
		return noguarRamtRt;
	}
	public void setNoguarRamtRt(double noguarRamtRt) {
		this.noguarRamtRt = noguarRamtRt;
	}
	public Long getNoguarRamtAmt() {
		return noguarRamtAmt;
	}
	public void setNoguarRamtAmt(Long noguarRamtAmt) {
		this.noguarRamtAmt = noguarRamtAmt;
	}
	public double getRamtSctnFr() {
		return ramtSctnFr;
	}
	public void setRamtSctnFr(double ramtSctnFr) {
		this.ramtSctnFr = ramtSctnFr;
	}
	public double getRamtSctnTo() {
		return ramtSctnTo;
	}
	public void setRamtSctnTo(double ramtSctnTo) {
		this.ramtSctnTo = ramtSctnTo;
	}
	public String getMnrtStndDivCd() {
		return mnrtStndDivCd;
	}
	public void setMnrtStndDivCd(String mnrtStndDivCd) {
		this.mnrtStndDivCd = mnrtStndDivCd;
	}
	public double getPureIrr() {
		return pureIrr;
	}
	public void setPureIrr(double pureIrr) {
		this.pureIrr = pureIrr;
	}
	public double getAddIrr() {
		return addIrr;
	}
	public void setAddIrr(double addIrr) {
		this.addIrr = addIrr;
	}
	public double getStndMnrt() {
		return stndMnrt;
	}
	public void setStndMnrt(double stndMnrt) {
		this.stndMnrt = stndMnrt;
	}
	public double getAplyAddMnrt() {
		return aplyAddMnrt;
	}
	public void setAplyAddMnrt(double aplyAddMnrt) {
		this.aplyAddMnrt = aplyAddMnrt;
	}
	public String getRmbrTpCd() {
		return rmbrTpCd;
	}
	public void setRmbrTpCd(String rmbrTpCd) {
		this.rmbrTpCd = rmbrTpCd;
	}
	public Integer getLeasTerm() {
		return leasTerm;
	}
	public void setLeasTerm(Integer leasTerm) {
		this.leasTerm = leasTerm;
	}
	public String getYyrelContDstn() {
		return yyrelContDstn;
	}
	public void setYyrelContDstn(String yyrelContDstn) {
		this.yyrelContDstn = yyrelContDstn;
	}
	public String getGuarRamtObjAmtDivCd() {
		return guarRamtObjAmtDivCd;
	}
	public void setGuarRamtObjAmtDivCd(String guarRamtObjAmtDivCd) {
		this.guarRamtObjAmtDivCd = guarRamtObjAmtDivCd;
	}
	public String getGainPcstCalcMethCd() {
		return gainPcstCalcMethCd;
	}
	public void setGainPcstCalcMethCd(String gainPcstCalcMethCd) {
		this.gainPcstCalcMethCd = gainPcstCalcMethCd;
	}
	public String getLeasfeeCalcMethCd() {
		return leasfeeCalcMethCd;
	}
	public void setLeasfeeCalcMethCd(String leasfeeCalcMethCd) {
		this.leasfeeCalcMethCd = leasfeeCalcMethCd;
	}
	public String getGuarAmtRsndDivCd() {
		return guarAmtRsndDivCd;
	}
	public void setGuarAmtRsndDivCd(String guarAmtRsndDivCd) {
		this.guarAmtRsndDivCd = guarAmtRsndDivCd;
	}
	public String getInsuBrdnMan() {
		return insuBrdnMan;
	}
	public void setInsuBrdnMan(String insuBrdnMan) {
		this.insuBrdnMan = insuBrdnMan;
	}
	public String getInsuKindCd() {
		return insuKindCd;
	}
	public void setInsuKindCd(String insuKindCd) {
		this.insuKindCd = insuKindCd;
	}
	public Long getInsuFee() {
		return insuFee;
	}
	public void setInsuFee(Long insuFee) {
		this.insuFee = insuFee;
	}
	public String getCartaxEnvBrdnamtAdjMeth() {
		return cartaxEnvBrdnamtAdjMeth;
	}
	public void setCartaxEnvBrdnamtAdjMeth(String cartaxEnvBrdnamtAdjMeth) {
		this.cartaxEnvBrdnamtAdjMeth = cartaxEnvBrdnamtAdjMeth;
	}
	public String getCartaxEnvBrdnamtPentMethC() {
		return cartaxEnvBrdnamtPentMethC;
	}
	public void setCartaxEnvBrdnamtPentMethC(String cartaxEnvBrdnamtPentMethC) {
		this.cartaxEnvBrdnamtPentMethC = cartaxEnvBrdnamtPentMethC;
	}
	public Long getLtrmLeasBrcvAmt() {
		return ltrmLeasBrcvAmt;
	}
	public void setLtrmLeasBrcvAmt(Long ltrmLeasBrcvAmt) {
		this.ltrmLeasBrcvAmt = ltrmLeasBrcvAmt;
	}
	public String getLtrmLeasBrcvAmtRcptMethC() {
		return ltrmLeasBrcvAmtRcptMethC;
	}
	public void setLtrmLeasBrcvAmtRcptMethC(String ltrmLeasBrcvAmtRcptMethC) {
		this.ltrmLeasBrcvAmtRcptMethC = ltrmLeasBrcvAmtRcptMethC;
	}
	public String getReLeasAmtStndCd() {
		return reLeasAmtStndCd;
	}
	public void setReLeasAmtStndCd(String reLeasAmtStndCd) {
		this.reLeasAmtStndCd = reLeasAmtStndCd;
	}
	public Long getExecAmt() {
		return execAmt;
	}
	public void setExecAmt(Long execAmt) {
		this.execAmt = execAmt;
	}
	public Long getQtax() {
		return qtax;
	}
	public void setQtax(Long qtax) {
		this.qtax = qtax;
	}
	public String getQtaxInclFg() {
		return qtaxInclFg;
	}
	public void setQtaxInclFg(String qtaxInclFg) {
		this.qtaxInclFg = qtaxInclFg;
	}
	public Long getRtax() {
		return rtax;
	}
	public void setRtax(Long rtax) {
		this.rtax = rtax;
	}
	public String getRtaxInclFg() {
		return rtaxInclFg;
	}
	public void setRtaxInclFg(String rtaxInclFg) {
		this.rtaxInclFg = rtaxInclFg;
	}
	public Long getCnsgFee() {
		return cnsgFee;
	}
	public void setCnsgFee(Long cnsgFee) {
		this.cnsgFee = cnsgFee;
	}
	public String getCnsgFeeInclFg() {
		return cnsgFeeInclFg;
	}
	public void setCnsgFeeInclFg(String cnsgFeeInclFg) {
		this.cnsgFeeInclFg = cnsgFeeInclFg;
	}
	public Long getPbnd() {
		return pbnd;
	}
	public void setPbnd(Long pbnd) {
		this.pbnd = pbnd;
	}
	public String getPbndInclFg() {
		return pbndInclFg;
	}
	public void setPbndInclFg(String pbndInclFg) {
		this.pbndInclFg = pbndInclFg;
	}
	public Long getRegAgntcost() {
		return regAgntcost;
	}
	public void setRegAgntcost(Long regAgntcost) {
		this.regAgntcost = regAgntcost;
	}
	public String getRegAgntcostInclFg() {
		return regAgntcostInclFg;
	}
	public void setRegAgntcostInclFg(String regAgntcostInclFg) {
		this.regAgntcostInclFg = regAgntcostInclFg;
	}
	public Long getRegExtrExps() {
		return regExtrExps;
	}
	public void setRegExtrExps(Long regExtrExps) {
		this.regExtrExps = regExtrExps;
	}
	public String getRegExtrExpsInclFg() {
		return regExtrExpsInclFg;
	}
	public void setRegExtrExpsInclFg(String regExtrExpsInclFg) {
		this.regExtrExpsInclFg = regExtrExpsInclFg;
	}
	public String getNpvStndMnrtDivCd() {
		return npvStndMnrtDivCd;
	}
	public void setNpvStndMnrtDivCd(String npvStndMnrtDivCd) {
		this.npvStndMnrtDivCd = npvStndMnrtDivCd;
	}
	public double getNpvStndMnrt() {
		return npvStndMnrt;
	}
	public void setNpvStndMnrt(double npvStndMnrt) {
		this.npvStndMnrt = npvStndMnrt;
	}
	public Long getNetCurrVal() {
		return netCurrVal;
	}
	public void setNetCurrVal(Long netCurrVal) {
		this.netCurrVal = netCurrVal;
	}
	public String getSaleMethCd() {
		return saleMethCd;
	}
	public void setSaleMethCd(String saleMethCd) {
		this.saleMethCd = saleMethCd;
	}
	public String getSpcCntrMtr() {
		return spcCntrMtr;
	}
	public void setSpcCntrMtr(String spcCntrMtr) {
		this.spcCntrMtr = spcCntrMtr;
	}
	public String getChngBfLoanNo() {
		return chngBfLoanNo;
	}
	public void setChngBfLoanNo(String chngBfLoanNo) {
		this.chngBfLoanNo = chngBfLoanNo;
	}
	public String getChngBfLoanSeq() {
		return chngBfLoanSeq;
	}
	public void setChngBfLoanSeq(String chngBfLoanSeq) {
		this.chngBfLoanSeq = chngBfLoanSeq;
	}
	public String getDlyIntRtCd() {
		return dlyIntRtCd;
	}
	public void setDlyIntRtCd(String dlyIntRtCd) {
		this.dlyIntRtCd = dlyIntRtCd;
	}
	public double getImptFeeRt() {
		return imptFeeRt;
	}
	public void setImptFeeRt(double imptFeeRt) {
		this.imptFeeRt = imptFeeRt;
	}
	public double getPayFeeRt() {
		return payFeeRt;
	}
	public void setPayFeeRt(double payFeeRt) {
		this.payFeeRt = payFeeRt;
	}
	public String getEprtAfProcMethCd() {
		return eprtAfProcMethCd;
	}
	public void setEprtAfProcMethCd(String eprtAfProcMethCd) {
		this.eprtAfProcMethCd = eprtAfProcMethCd;
	}
	public String getDueCycl() {
		return dueCycl;
	}
	public void setDueCycl(String dueCycl) {
		this.dueCycl = dueCycl;
	}
	public String getRllsAmtCalcMethCd() {
		return rllsAmtCalcMethCd;
	}
	public void setRllsAmtCalcMethCd(String rllsAmtCalcMethCd) {
		this.rllsAmtCalcMethCd = rllsAmtCalcMethCd;
	}
	public double getRllsAmtRto() {
		return rllsAmtRto;
	}
	public void setRllsAmtRto(double rllsAmtRto) {
		this.rllsAmtRto = rllsAmtRto;
	}
	public String getDamgIndmMethCd() {
		return damgIndmMethCd;
	}
	public void setDamgIndmMethCd(String damgIndmMethCd) {
		this.damgIndmMethCd = damgIndmMethCd;
	}
	public String getMidClosCalcMethCd() {
		return midClosCalcMethCd;
	}
	public void setMidClosCalcMethCd(String midClosCalcMethCd) {
		this.midClosCalcMethCd = midClosCalcMethCd;
	}
	public String getOverDrvCalcMethCd() {
		return overDrvCalcMethCd;
	}
	public void setOverDrvCalcMethCd(String overDrvCalcMethCd) {
		this.overDrvCalcMethCd = overDrvCalcMethCd;
	}
	public String getRsndOdueamtCalcMethCd() {
		return rsndOdueamtCalcMethCd;
	}
	public void setRsndOdueamtCalcMethCd(String rsndOdueamtCalcMethCd) {
		this.rsndOdueamtCalcMethCd = rsndOdueamtCalcMethCd;
	}
	public String getGuarAmtAplyFg() {
		return guarAmtAplyFg;
	}
	public void setGuarAmtAplyFg(String guarAmtAplyFg) {
		this.guarAmtAplyFg = guarAmtAplyFg;
	}
	public String getPpayIntAplyDivCd() {
		return ppayIntAplyDivCd;
	}
	public void setPpayIntAplyDivCd(String ppayIntAplyDivCd) {
		this.ppayIntAplyDivCd = ppayIntAplyDivCd;
	}
	public Long getPpayIntFcntAskAmt() {
		return ppayIntFcntAskAmt;
	}
	public void setPpayIntFcntAskAmt(Long ppayIntFcntAskAmt) {
		this.ppayIntFcntAskAmt = ppayIntFcntAskAmt;
	}
	public Long getPpayIntFcntRcptAmt() {
		return ppayIntFcntRcptAmt;
	}
	public void setPpayIntFcntRcptAmt(Long ppayIntFcntRcptAmt) {
		this.ppayIntFcntRcptAmt = ppayIntFcntRcptAmt;
	}
	public String getContRsnCd() {
		return contRsnCd;
	}
	public void setContRsnCd(String contRsnCd) {
		this.contRsnCd = contRsnCd;
	}
	public String getDefrIntRmbrFrmlCd() {
		return defrIntRmbrFrmlCd;
	}
	public void setDefrIntRmbrFrmlCd(String defrIntRmbrFrmlCd) {
		this.defrIntRmbrFrmlCd = defrIntRmbrFrmlCd;
	}
	public Long getTotDefrInt() {
		return totDefrInt;
	}
	public void setTotDefrInt(Long totDefrInt) {
		this.totDefrInt = totDefrInt;
	}
	public String getExecAcctDt() {
		return execAcctDt;
	}
	public void setExecAcctDt(String execAcctDt) {
		this.execAcctDt = execAcctDt;
	}
	public String getExecVochNo() {
		return execVochNo;
	}
	public void setExecVochNo(String execVochNo) {
		this.execVochNo = execVochNo;
	}
	public String getExecCnclAcctDt() {
		return execCnclAcctDt;
	}
	public void setExecCnclAcctDt(String execCnclAcctDt) {
		this.execCnclAcctDt = execCnclAcctDt;
	}
	public String getExecCnclVochNo() {
		return execCnclVochNo;
	}
	public void setExecCnclVochNo(String execCnclVochNo) {
		this.execCnclVochNo = execCnclVochNo;
	}
	public String getLeasEprtDt() {
		return leasEprtDt;
	}
	public void setLeasEprtDt(String leasEprtDt) {
		this.leasEprtDt = leasEprtDt;
	}
	public String getDdayPrftLoseDt() {
		return ddayPrftLoseDt;
	}
	public void setDdayPrftLoseDt(String ddayPrftLoseDt) {
		this.ddayPrftLoseDt = ddayPrftLoseDt;
	}
	public String getIntCalcMethCd() {
		return intCalcMethCd;
	}
	public void setIntCalcMethCd(String intCalcMethCd) {
		this.intCalcMethCd = intCalcMethCd;
	}
	public String getClosRsnCd() {
		return closRsnCd;
	}
	public void setClosRsnCd(String closRsnCd) {
		this.closRsnCd = closRsnCd;
	}
	public Integer getTrSnum() {
		return trSnum;
	}
	public void setTrSnum(Integer trSnum) {
		this.trSnum = trSnum;
	}
	public Integer getFrstRank() {
		return frstRank;
	}
	public void setFrstRank(Integer frstRank) {
		this.frstRank = frstRank;
	}
	public Integer getTims() {
		return tims;
	}
	public void setTims(Integer tims) {
		this.tims = tims;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public String getCrteDivCd() {
		return crteDivCd;
	}
	public void setCrteDivCd(String crteDivCd) {
		this.crteDivCd = crteDivCd;
	}
	public Long getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(Long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public Long getMmInt() {
		return mmInt;
	}
	public void setMmInt(Long mmInt) {
		this.mmInt = mmInt;
	}
	public Long getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(Long mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public Long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public void setTimsBfPamtRamt(Long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public Long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(Long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public Long getTimsBfIntRamt() {
		return timsBfIntRamt;
	}
	public void setTimsBfIntRamt(Long timsBfIntRamt) {
		this.timsBfIntRamt = timsBfIntRamt;
	}
	public Long getTimsAfIntRamt() {
		return timsAfIntRamt;
	}
	public void setTimsAfIntRamt(Long timsAfIntRamt) {
		this.timsAfIntRamt = timsAfIntRamt;
	}
	public Long getPsgInt() {
		return psgInt;
	}
	public void setPsgInt(Long psgInt) {
		this.psgInt = psgInt;
	}
	public String getPdueFg() {
		return pdueFg;
	}
	public void setPdueFg(String pdueFg) {
		this.pdueFg = pdueFg;
	}
	public double getIntRt() {
		return intRt;
	}
	public void setIntRt(double intRt) {
		this.intRt = intRt;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public String getIntEndDt() {
		return intEndDt;
	}
	public void setIntEndDt(String intEndDt) {
		this.intEndDt = intEndDt;
	}
	public Integer[] getTimsArr() {
		return timsArr;
	}
	public void setTimsArr(Integer[] timsArr) {
		this.timsArr = timsArr;
	}
	public Long[] getMmPamtArr() {
		return mmPamtArr;
	}
	public void setMmPamtArr(Long[] mmPamtArr) {
		this.mmPamtArr = mmPamtArr;
	}
	public String getCdKindNo() {
		return cdKindNo;
	}
	public void setCdKindNo(String cdKindNo) {
		this.cdKindNo = cdKindNo;
	}
	public String getCdDescNo() {
		return cdDescNo;
	}
	public void setCdDescNo(String cdDescNo) {
		this.cdDescNo = cdDescNo;
	}
	public String getCdDescKorNm() {
		return cdDescKorNm;
	}
	public void setCdDescKorNm(String cdDescKorNm) {
		this.cdDescKorNm = cdDescKorNm;
	}
	public String getCdDescEngNm() {
		return cdDescEngNm;
	}
	public void setCdDescEngNm(String cdDescEngNm) {
		this.cdDescEngNm = cdDescEngNm;
	}
	public String getCdDescShrtNm() {
		return cdDescShrtNm;
	}
	public void setCdDescShrtNm(String cdDescShrtNm) {
		this.cdDescShrtNm = cdDescShrtNm;
	}
	public String getCdDescEtcNm() {
		return cdDescEtcNm;
	}
	public void setCdDescEtcNm(String cdDescEtcNm) {
		this.cdDescEtcNm = cdDescEtcNm;
	}
	public String getClas1() {
		return clas1;
	}
	public void setClas1(String clas1) {
		this.clas1 = clas1;
	}
	public String getClas2() {
		return clas2;
	}
	public void setClas2(String clas2) {
		this.clas2 = clas2;
	}
	public Integer getMarkOdr() {
		return markOdr;
	}
	public void setMarkOdr(Integer markOdr) {
		this.markOdr = markOdr;
	}
	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public String getCurrLoanNo() {
		return currLoanNo;
	}
	public void setCurrLoanNo(String currLoanNo) {
		this.currLoanNo = currLoanNo;
	}
	public Long getDamgDflsAmt() {
		return damgDflsAmt;
	}
	public void setDamgDflsAmt(Long damgDflsAmt) {
		this.damgDflsAmt = damgDflsAmt;
	}
	public String getFrstLoanNo() {
		return frstLoanNo;
	}
	public void setFrstLoanNo(String frstLoanNo) {
		this.frstLoanNo = frstLoanNo;
	}
	public String getFrstLoanSeq() {
		return frstLoanSeq;
	}
	public void setFrstLoanSeq(String frstLoanSeq) {
		this.frstLoanSeq = frstLoanSeq;
	}
	public String getCurrLoanSeq() {
		return currLoanSeq;
	}
	public void setCurrLoanSeq(String currLoanSeq) {
		this.currLoanSeq = currLoanSeq;
	}
	public Long getLeasDamgDflsAmt() {
		return leasDamgDflsAmt;
	}
	public void setLeasDamgDflsAmt(Long leasDamgDflsAmt) {
		this.leasDamgDflsAmt = leasDamgDflsAmt;
	}
	public Long getOpenPcstDamgDflsAmt() {
		return openPcstDamgDflsAmt;
	}
	public void setOpenPcstDamgDflsAmt(Long openPcstDamgDflsAmt) {
		this.openPcstDamgDflsAmt = openPcstDamgDflsAmt;
	}
	public Long getBtrmDeprTotAmt1() {
		return btrmDeprTotAmt1;
	}
	public void setBtrmDeprTotAmt1(Long btrmDeprTotAmt1) {
		this.btrmDeprTotAmt1 = btrmDeprTotAmt1;
	}
	public Long getDeprTotAmt1() {
		return deprTotAmt1;
	}
	public void setDeprTotAmt1(Long deprTotAmt1) {
		this.deprTotAmt1 = deprTotAmt1;
	}
	public Long getLdgrVamt1() {
		return ldgrVamt1;
	}
	public void setLdgrVamt1(Long ldgrVamt1) {
		this.ldgrVamt1 = ldgrVamt1;
	}
	public Long getMmDeprAmt1() {
		return mmDeprAmt1;
	}
	public void setMmDeprAmt1(Long mmDeprAmt1) {
		this.mmDeprAmt1 = mmDeprAmt1;
	}
	public Long getTtrmDeprTotAmt1() {
		return ttrmDeprTotAmt1;
	}
	public void setTtrmDeprTotAmt1(Long ttrmDeprTotAmt1) {
		this.ttrmDeprTotAmt1 = ttrmDeprTotAmt1;
	}
	public Long getFeeAmt() {
		return feeAmt;
	}
	public void setFeeAmt(Long feeAmt) {
		this.feeAmt = feeAmt;
	}
	public String getFeeCd() {
		return feeCd;
	}
	public void setFeeCd(String feeCd) {
		this.feeCd = feeCd;
	}
	public String getFeeDivCd() {
		return feeDivCd;
	}
	public void setFeeDivCd(String feeDivCd) {
		this.feeDivCd = feeDivCd;
	}
	public Integer getFeeSeq() {
		return feeSeq;
	}
	public void setFeeSeq(Integer feeSeq) {
		this.feeSeq = feeSeq;
	}
	public Long getRlPayamt() {
		return rlPayamt;
	}
	public void setRlPayamt(Long rlPayamt) {
		this.rlPayamt = rlPayamt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public Long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(Long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getProcDv() {
		return procDv;
	}
	public void setProcDv(String procDv) {
		this.procDv = procDv;
	}

}
