package hanalife.l.cm.cm.mapper.dto;

/**
 * <pre>
 * 클래스명    : RsltIFRSDeprScheduleVO
 * 클래스설명 : IFRS리스감가상각스케쥴 를(을) 위한 Result VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RsltIFRSDeprScheduleOUTDTO {
	/**
	 * <p>에러코드</p>
	 */
	private String rsltCd; //에러코드
	/**
	 * <p>에러메시지</p>
	 */
	private String rsltMsg; //에러메시지

	private String 	loanNo;    			//대출번호(PK KEY)       LOAN_NO
	private Integer deprTims;    		//상각_회차(PK KEY)      DEPR_TIMS
	private String 	deprYymm;    		//상각_년월              DEPR_YYMM
	private Long 	btrmDeprTotAmt;    	//전기_상각_누계_금액    BTRM_DEPR_TOT_AMT
	private Long 	mmDeprAmt;    		//월_상각_액             MM_DEPR_AMT
	private Long 	ttrmDeprTotAmt;    	//당기_상각_누계_금액    TTRM_DEPR_TOT_AMT
	private Long 	deprTotAmt;    		//상각_누계_금액         DEPR_TOT_AMT
	private Long 	ldgrVamt;    		//장부_가액              LDGR_VAMT

	private Long 	btrmDeprTotAmt1;    	//개설_원가_전기_상각_누계_금액    BTRM_DEPR_TOT_AMT
	private Long 	mmDeprAmt1;    		//개설_원가_월_상각_액             MM_DEPR_AMT
	private Long 	ttrmDeprTotAmt1;    	//개설_원가_당기_상각_누계_금액    TTRM_DEPR_TOT_AMT
	private Long 	deprTotAmt1;    		//개설_원가_상각_누계_금액         DEPR_TOT_AMT
	private Long 	ldgrVamt1;    		//개설_원가_장부_가액              LDGR_VAMT

	private Long 	openPcstDamgDflsAmt;	//개설_원가_손상_차손_액

	private String 	unaplyProcDt;		//미적용_처리_일자
	private String 	intnVochNo;    		//내부_전표_번호         INTN_VOCH_NO
	private String 	frstRegDt;    		//최초_등록_일자         FRST_REG_DT
	private String 	frstRegTm;    		//최초_등록_시각         FRST_REG_TM
	private String 	frstRegEmpNo;    	//최초_등록_사원번호     FRST_REG_EMP_NO
	private String 	lastProcDt;    		//최종_처리_일자         LAST_PROC_DT
	private String 	lastProcTm;    		//최종_처리_시각         LAST_PROC_TM
	private String 	lastProcEmpNo;    	//최종_처리_사원번호     LAST_PROC_EMP_NO
	private String  procEmpNo; 		    //처리사원번호

	@Override
	public String toString() {
		return	"rsltCd=[" + this.rsltCd + "] rsltMsg=["+this.rsltMsg+"] \n"
				+"loanNo    	 =["+ this.loanNo    	        	+"]\n"
				+"deprTims    	 =["+ ((this.deprTims==null)?null:""+this.deprTims.intValue())       		+"]\n"
				+"deprYymm    	 =["+ this.deprYymm    	        	+"]\n"
				+"btrmDeprTotAmt =["+ ((this.btrmDeprTotAmt==null)?null:""+this.btrmDeprTotAmt.longValue())  	+"]\n"
				+"mmDeprAmt    	 =["+ ((this.mmDeprAmt==null)?null:""+this.mmDeprAmt.longValue())    	        +"]\n"
				+"ttrmDeprTotAmt =["+ ((this.ttrmDeprTotAmt==null)?null:""+this.ttrmDeprTotAmt.longValue())  	+"]\n"
				+"deprTotAmt     =["+ ((this.deprTotAmt==null)?null:""+this.deprTotAmt.longValue())    	        +"]\n"
				+"ldgrVamt    	 =["+ this.ldgrVamt    	        	+"]\n"
				+"btrmDeprTotAmt1 =["+ ((this.btrmDeprTotAmt1==null)?null:""+this.btrmDeprTotAmt1.longValue())  	+"]\n"
				+"mmDeprAmt1    	 =["+ ((this.mmDeprAmt1==null)?null:""+this.mmDeprAmt1.longValue())    	        +"]\n"
				+"ttrmDeprTotAmt1 =["+ ((this.ttrmDeprTotAmt1==null)?null:""+this.ttrmDeprTotAmt1.longValue())  	+"]\n"
				+"deprTotAmt1     =["+ ((this.deprTotAmt1==null)?null:""+this.deprTotAmt1.longValue())    	        +"]\n"
				+"ldgrVamt1    	 =["+ this.ldgrVamt1    	        	+"]\n"
				+"intnVochNo     =["+ this.intnVochNo    	        +"]\n"
				+"frstRegDt    	 =["+ this.frstRegDt    	        +"]\n"
				+"frstRegTm    	 =["+ this.frstRegTm    	        +"]\n"
				+"frstRegEmpNo   =["+ this.frstRegEmpNo    			+"]\n"
				+"lastProcDt     =["+ this.lastProcDt    	        +"]\n"
				+"lastProcTm     =["+ this.lastProcTm    	        +"]\n"
				+"lastProcEmpNo  =["+ this.lastProcEmpNo            +"]\n";
	}

	public Long getBtrmDeprTotAmt() {
		return btrmDeprTotAmt;
	}

	public void setBtrmDeprTotAmt(Long btrmDeprTotAmt) {
		this.btrmDeprTotAmt = btrmDeprTotAmt;
	}

	public Integer getDeprTims() {
		return deprTims;
	}

	public void setDeprTims(Integer deprTims) {
		this.deprTims = deprTims;
	}

	public Long getDeprTotAmt() {
		return deprTotAmt;
	}

	public void setDeprTotAmt(Long deprTotAmt) {
		this.deprTotAmt = deprTotAmt;
	}

	public String getDeprYymm() {
		return deprYymm;
	}

	public void setDeprYymm(String deprYymm) {
		this.deprYymm = deprYymm;
	}

	public String getFrstRegDt() {
		return frstRegDt;
	}

	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}

	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}

	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}

	public String getFrstRegTm() {
		return frstRegTm;
	}

	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}

	public String getIntnVochNo() {
		return intnVochNo;
	}

	public void setIntnVochNo(String intnVochNo) {
		this.intnVochNo = intnVochNo;
	}

	public String getLastProcDt() {
		return lastProcDt;
	}

	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}

	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}

	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}

	public String getLastProcTm() {
		return lastProcTm;
	}

	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}

	public Long getLdgrVamt() {
		return ldgrVamt;
	}

	public void setLdgrVamt(Long ldgrVamt) {
		this.ldgrVamt = ldgrVamt;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public Long getMmDeprAmt() {
		return mmDeprAmt;
	}

	public void setMmDeprAmt(Long mmDeprAmt) {
		this.mmDeprAmt = mmDeprAmt;
	}

	public String getProcEmpNo() {
		return procEmpNo;
	}

	public void setProcEmpNo(String procEmpNo) {
		this.procEmpNo = procEmpNo;
	}

	public String getRsltCd() {
		return rsltCd;
	}

	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public String getRsltMsg() {
		return rsltMsg;
	}

	public void setRsltMsg(String rsltMsg) {
		this.rsltMsg = rsltMsg;
	}

	public Long getTtrmDeprTotAmt() {
		return ttrmDeprTotAmt;
	}

	public void setTtrmDeprTotAmt(Long ttrmDeprTotAmt) {
		this.ttrmDeprTotAmt = ttrmDeprTotAmt;
	}

	public Long getBtrmDeprTotAmt1() {
		return btrmDeprTotAmt1;
	}

	public void setBtrmDeprTotAmt1(Long btrmDeprTotAmt1) {
		this.btrmDeprTotAmt1 = btrmDeprTotAmt1;
	}

	public Long getDeprTotAmt1() {
		return deprTotAmt1;
	}

	public void setDeprTotAmt1(Long deprTotAmt1) {
		this.deprTotAmt1 = deprTotAmt1;
	}

	public Long getLdgrVamt1() {
		return ldgrVamt1;
	}

	public void setLdgrVamt1(Long ldgrVamt1) {
		this.ldgrVamt1 = ldgrVamt1;
	}

	public Long getMmDeprAmt1() {
		return mmDeprAmt1;
	}

	public void setMmDeprAmt1(Long mmDeprAmt1) {
		this.mmDeprAmt1 = mmDeprAmt1;
	}

	public Long getTtrmDeprTotAmt1() {
		return ttrmDeprTotAmt1;
	}

	public void setTtrmDeprTotAmt1(Long ttrmDeprTotAmt1) {
		this.ttrmDeprTotAmt1 = ttrmDeprTotAmt1;
	}

	public Long getOpenPcstDamgDflsAmt() {
		return openPcstDamgDflsAmt;
	}

	public void setOpenPcstDamgDflsAmt(Long openPcstDamgDflsAmt) {
		this.openPcstDamgDflsAmt = openPcstDamgDflsAmt;
	}

	public String getUnaplyProcDt() {
		return unaplyProcDt;
	}

	public void setUnaplyProcDt(String unaplyProcDt) {
		this.unaplyProcDt = unaplyProcDt;
	}

}
