package hanalife.r.at.ad.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.ad.mapper.dto.SearchAttrPlanInDTO;
import hanalife.r.at.ad.mapper.dto.SearchAttrPlanOutDTO;
import hanalife.r.at.ad.mapper.dto.SearchJobPlanInDTO;
import hanalife.r.at.ad.mapper.dto.SearchJobPlanOutDTO;

/**
 * <pre>
 * 클래스명	: AutoTranAdMapper
 * 클래스설명  : 자동이체 SQL
 * 프로젝트명  : DOBSCAP
 * 작성일자	: 2023-05-08
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023-05-08][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("AutoTranAdMapper")
public interface AutoTranAdMapper {

	/**
	* <pre>
	* 메소드명      : searchAutoTranPlan
	* 설명         : 마감일에 자동이체 마감계획이 존재하는지 체크
	* 메소드인수값   : String clsDt
	* 메소드리턴값   : int
	* 예외처리      : Exception
	* </pre>
	*/
	public int searchAutoTranPlan(SearchAttrPlanInDTO clsDt) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchJobPlanList
	* 설명         : 자동이체 JobPlan정보 조회
	* 메소드인수값   : SearchJobPlanInDTO
	* 메소드리턴값   : SearchJobPlanOutnDTO
	* 예외처리      : Exception
	* </pre>
	*/
	public List<SearchJobPlanOutDTO> searchJobPlanList(SearchJobPlanInDTO inDTO) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchJobPlanList
	* 설명         : 자동이체 계획정보 조회
	* 메소드인수값   : SearchAttrPlanInDTO
	* 메소드리턴값   : SearchAttrPlanOutnDTO
	* 예외처리      : Exception
	* </pre>
	*/
	public List<SearchAttrPlanOutDTO> searchAttrPlanList(SearchAttrPlanInDTO inDTO) throws Exception;
}
