package hanalife.r.at.ad.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtAutoTranPlanBaseDTO;
import hanalife.c.co.mapper.dto.RtAutoTranTrDescDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranCmsInDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranCmsOutDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranCmsProcDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranPlanOrgDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranRecvDescDTO;
import hanalife.r.at.ad.mapper.dto.AutoTranTrDescDTO;
import hanalife.r.at.ad.mapper.dto.SearchAttrPlanStatOutDTO;
import hanalife.r.at.ad.mapper.dto.SearchAutoTranTotDescOutDTO;
import hanalife.r.at.ad.mapper.dto.SelectAutoTranPlanBaseOutDTO;
import hanalife.r.at.vo.bat.AttrOrgVO;

@Mapper("AutoTranCmsMapper")
public interface AutoTranCmsMapper {

    /**
     * 자동이체 계획 + 거래기관 정보 조회
     * @param  AutoTranPlanOrgDTO
     * @return AutoTranPlanOrgDTO
     */
	public AutoTranPlanOrgDTO searchAutoTranPlanOrgDesc(AutoTranPlanOrgDTO inDTO);


    /**
     * 청구작업 상태변경 실패
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateAutoTranAskJobClos(AutoTranCmsProcDTO inDTO);

    /**
     * 청구 제외후 청구대상 선정결과 업데이트
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateJobPlanProcStat(AutoTranCmsProcDTO inDTO);

    /**
     * 처리상태 변경
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateAutoTranPlanProcStat(AutoTranCmsProcDTO inDTO);

    /**
     * 통합청구내역 생성
     * @param AutoTranPlanOrgDTO
     * @param con
     * @return
     */
	public int createAutoTranIntg(AutoTranPlanOrgDTO inDTO);

    /**
     * 통합청구내역 수정
     * @param AutoTranPlanOrgDTO
     * @return
     */
	public int updateAutoTranAskTot(AutoTranPlanOrgDTO inDTO);

    /**
     * 청구 건수, 금액 집계 변경
     * @param AutoTranPlanOrgDTO
     * @return
     */
	public int updateAutoTranAskTot1(AutoTranPlanOrgDTO inDTO);

    /**
     * 청구 대출집계 테이블 초기화
     * @param AutoTranPlanOrgDTO
     * @return
     */
	public int deleteAutoTranLoanTotDesc(AutoTranPlanOrgDTO inDTO);

    /**
     * 청구 대출집계 생성
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
	public int createAutoTranLoanTotDesc(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 청구 집계내역 삭제
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
	public int deleteAutoTranTotDesc(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 청구 집계 생성
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
	public int createAutoTranTotDesc(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 거래내역 조회
     * @param  searchAutoTranPlanOrg
     * @return List<AutoTranTrDesc>
     */
    public List<AutoTranTrDescDTO> searchAutoTranDesc(AutoTranPlanOrgDTO searchAutoTranPlanOrg);

    /**
     * 총 청구 건수 조회
     * @param  AutoTranPlanOrgDTO
     * @return AutoTranPlanOrgDTO(ASK_CNT)
     */
	public AutoTranPlanOrgDTO searchTotAskCnt(AutoTranPlanOrgDTO inDTO);

    /**
     * 대출상태 제외 조건 업데이트
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateLoanStatAskObj(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 청구금지 대출건 업데이트
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateLoanStatAskFbidFg(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 청구수신전 주기청구될 대상에 대해 제외
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateCyclAskObjExcl(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 청구제외 - 미수신청 청구제외
     * @param  AutoTranCmsProcDTO
     * @return int
     */
	public int updateUnRecvAskExcl(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 자동이체 계좌 상태 확인
     * @param  AutoTranCmsProcDTO
     * @return int
     */
    public int updateChkAcntStat(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 자동이체 최소 청구금액 제외
     * @param  AutoTranCmsProcDTO
     * @return int
     */
    public int updateMinAskAmtChk(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 자동이체 최대 청구금액 제외
     * @param  AutoTranCmsProcDTO
     * @return int
     */
    public int updateMaxAskAmtChk(AutoTranCmsProcDTO inDTO);

    /**
     * 청구제외 - 자동이체 연체 횟수 초과
     * @param  AutoTranCmsProcDTO
     * @return int
     */
    public int updateDlyTcntChk(AutoTranCmsProcDTO inDTO);

    /**
     * 강제해지 제외 조건 업데이트
     * @param  AutoTranCmsProcDTO
     * @return int
     */
    public int updateIvltClosObj(AutoTranCmsProcDTO inDTO);

    /**
     * 자동이체 입금전문 내역 삭제
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int deleteAutoTranRecv(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 수신내역 생성
     * @param  AutoTranRecvDescDTO
     * @return int
     */
    public int insertAutoTranRecv(AutoTranRecvDescDTO inDTO);

    /**
     * 자동이체 수신내역 생성
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranTrIamtRank(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 결과 통합내역에 변경
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranIntgDescRslt(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체결과 거래내역에 반영
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranTrRslt(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 거래 집계 결과 업데이트
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranTotRslt(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 대출건별 집계내역 수정
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranLaonTotRslt(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 일정 입금 대기 수정
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateAutoTranPlanIamtWait(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 청구 여부 및 수신결과 반영 여부 체크
     * @param  AutoTranPlanOrgDTO
     * @return AutoTranPlanOrgDTO
     */
    public AutoTranPlanOrgDTO chkAutoTranAskStatus(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 입금처리 완료여부 체크
     * @param  AutoTranPlanOrgDTO
     * @return AutoTranPlanOrgDTO
     */
    public AutoTranPlanOrgDTO chkJobCompl(AutoTranPlanOrgDTO inDTO);

    /**
     * 자동이체 입금처리 결과 완료상태 변경
     * @param  AutoTranPlanOrgDTO
     * @return int
     */
    public int updateIamtCompl(AutoTranPlanOrgDTO inDTO);

    /**
     * 거래기관코드 조회
     * @param  AutoTranPlanOrgDTO
     * @return List<AutoTranCmsProcDTO>
     */
    public List<AutoTranCmsProcDTO> getTrOrgCd(AutoTranPlanOrgDTO inDTO);

    /**
     * 거래기관코드 조회
     * @param  AutoTranPlanOrgDTO
     * @return List<AutoTranCmsProcDTO>
     */
    public List<AutoTranCmsProcDTO> getTrOrgEB22(AutoTranPlanOrgDTO inDTO);


    /**
     * 거래기관코드 조회
     * @param  AttrOrgVO
     * @return List<AttrOrgVO>
     */
    public List<AttrOrgVO> getTrOrgBase(AttrOrgVO inDTO);

    /**
     * 자동이체입금 작업상태 조회
     * @param  AutoTranPlanOrgDTO
     * @return String
     */
    public String searchAttrPlanStat(AutoTranPlanOrgDTO inDTO);


    /**
     * 자동이체입금 작업상태 조회
     * @param  AutoTranPlanOrgDTO
     * @return SearchAttrPlanStatOutDTO
     */
    public List<SearchAttrPlanStatOutDTO> searchAttrUnrcvList(AutoTranPlanOrgDTO inDTO);

    /**
     * 미수금정산여부 수정
     * @param  RtAutoTranTrDescDTO
     * @return int
     */
    public int updateUnrcvAdjFg(RtAutoTranTrDescDTO inDTO);

    /**
     * CMS 수수료 전표처리 대상 유무 확인
     * @param  RtAutoTranPlanBaseDTO
     * @return SelectAutoTranPlanBaseOutDTO
     */
    public SelectAutoTranPlanBaseOutDTO selectAutoTranPlanBase(RtAutoTranPlanBaseDTO inDTO);

    /**
     * 자동이체수수료 전표처리 대상을 조회
     * @param  RtAutoTranPlanBaseDTO
     * @return SearchAutoTranTotDescOutDTO
     */
    public List<SearchAutoTranTotDescOutDTO> searchAutoTranTotDesc(RtAutoTranPlanBaseDTO inDTO);

    /**
     * CMS 청구 수수료 전표처리 결과 반영(수수료 회계일자 수정)
     * @param  updateFeeAcctDt
     * @return int
     */
    public int updateFeeAcctDt(RtAutoTranPlanBaseDTO inDTO);

    /**
     * CMS 요청건수 조회
     * @param  RtAutoTranPlanBaseDTO
     * @return SelectAskCntOutDTO
     */
    public int selectAskCnt(RtAutoTranPlanBaseDTO inDTO);

    /**
     * 해당청구년월에 대해 자동이체계획이 수립되었는지 확인
     * @param  AutoTranCmsInDTO
     * @return AutoTranCmsOutDTO
     */
    public AutoTranCmsOutDTO chkAskYymm(AutoTranCmsInDTO inDTO);

    /**
     * 해당청구년월에 대해 자동이체계획을 삭제
     * @param  AutoTranCmsInDTO
     * @return int
     */
    public int deleteAutoTranPlanBase(AutoTranCmsInDTO inDTO);

    /**
     * 거래기관 및 주기별로 자동이체계획을 등록
     * @param  AutoTranCmsInDTO
     * @return int
     */
    public int createAutoTranPlanBase(AutoTranCmsInDTO inDTO);

}
