package hanalife.r.at.ad.service;

import java.util.List;

import hanalife.r.at.ad.cms.AutoTranCmsProcVO;
import hanalife.r.at.ad.cms.AutoTranPlanOrg;
import hanalife.r.at.ad.cms.AutoTranRecvDesc;
import hanalife.r.at.ad.cms.AutoTranTrDesc;
import hanalife.r.at.vo.bat.AttrOrgVO;
import hanalife.r.co.vo.vo.ClsTrDescVO;

public interface AutoTranCmsService {

    /**
     * 자동이체 계획 + 거래기관 정보 조회
     * @param  AutoTranPlanOrg
     * @return AutoTranPlanOrg
     */
	public AutoTranPlanOrg searchAutoTranPlanOrgDesc(AutoTranPlanOrg searchAutoTranPlanOrg);

    /**
     * 청구작업 상태변경 실패
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateAutoTranAskJobClos(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구 제외후 청구대상 선정결과 업데이트
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateJobPlanProcStat(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 처리상태 변경
     * @param  trOrgCd, trsmDt, clsDt, recvDt, bfAskStatCd, bfProcStatCd, afAskStatCd, afProcStatCd
     * @return int
     */
    public int updateAutoTranPlanProcStat(String trOrgCd, String trsmDt, String clsDt, String recvDt,String bfAskStatCd,
    		                              String bfProcStatCd,String afAskStatCd, String afProcStatCd);

    /**
     * 통합청구내역 생성
     * @param  AutoTranPlanOrg
     * @return int
     */
    public int createAutoTranIntg(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 통합청구내역 수정
     * @param AutoTranPlanOrg
     * @return int
     */
    public int updateAutoTranAskTot(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 청구 건수, 금액 집계 변경
     * @param trOrgCd, trsmDt
     * @return int
     */
    public int updateAutoTranAskTot(String trOrgCd, String trsmDt);

    /**
     * 청구 대출집계 테이블 초기화
     * @param  trOrgCd, trsmDt
     * @return int
     */
    public int deleteAutoTranLoanTotDesc(String trOrgCd, String trsmDt);

    /**
     * 청구 대출집계 생성
     * @param  trOrgCd, trsmDt, empNo
     * @return int
     */
    public int createAutoTranLoanTotDesc(String trOrgCd, String trsmDt, String empNo);

    /**
     * 자동이체 청구 집계내역 삭제
     * @param  trOrgCd, trsmDt
     * @return int
     */
    public int deleteAutoTranTotDesc(String trOrgCd, String trsmDt);

    /**
     * 자동이체 청구 집계 생성
     * @param  trOrgCd, trsmDt, empNo
     * @return int
     */
    public int createAutoTranTotDesc(String trOrgCd, String trsmDt, String empNo);

    /**
     * 자동이체 거래내역 조회
     * @param  AutoTranPlanOrg
     * @return List<AutoTranTrDesc>
     */
    public List<AutoTranTrDesc> searchAutoTranDesc(AutoTranPlanOrg searchAutoTranPlanOrg);

    /**
     * 총 청구 건수 조회
     * @param  trOrgCd
     * @param  recvDt
     * @return long
     */
    public long searchTotAskCnt(String trOrgCd, String recvDt);

    /**
     * 대출상태 제외 조건 업데이트
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateLoanStatAskObj(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 청구금지 대출건 업데이트
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateLoanStatAskFbidFg(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 청구수신전 주기청구될 대상에 대해 제외
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateCyclAskObjExcl(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 미수신청 청구제외
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateUnRecvAskExcl(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 자동이체 계좌 상태 확인
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateChkAcntStat(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 자동이체 최소 청구금액 제외
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateMinAskAmtChk(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 자동이체 최대 청구금액 제외
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateMaxAskAmtChk(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 청구제외 - 자동이체 연체 횟수 초과
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateDlyTcntChk(AutoTranCmsProcVO autoTranCmsProcVO);

    /**
     * 강제해지 제외 조건 업데이트
     * @param  AutoTranCmsProcVO
     * @return int
     */
    public int updateIvltClosObj(AutoTranCmsProcVO attrCmsProcVO);

    /**
     * 자동이체 입금전문 내역 삭제
     * @param  rlDueDt
     * @param  trOrgCd
     * @return int
     */
    public int deleteAutoTranRecv(String rlDueDt, String trOrgCd);

    /**
     * 자동이체 수신내역 생성
     * @param  AutoTranRecvDesc
     * @return int
     */
    public int insertAutoTranRecv(AutoTranRecvDesc autoTranRecvDesc);


    /**
     * 자동이체 입금우선순위를 변경한다.
     * @param  AutoTranPlanOrg
     * @return int
     */
    public int updateAutoTranTrIamtRank(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체 결과 통합내역에 변경
     * @param  AutoTranPlanOrg
     * @return int
     */
    public int updateAutoTranIntgDescRslt(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체결과 거래내역에 반영
     * @param  AutoTranPlanOrg
     * @return int
     */
    public int updateAutoTranTrRslt(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체 거래 집계 결과 업데이트
     * @param AutoTranPlanOrg
     * @return
     */
    public int updateAutoTranTotRslt(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체 대출건별 집계내역 수정
     * @param AutoTranPlanOrg
     * @param con
     * @return
     */
    public int updateAutoTranLaonTotRslt(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체 일정 입금 대기 수정
     * @param  AutoTranPlanOrg
     * @return int
     */
    public int updateAutoTranPlanIamtWait(AutoTranPlanOrg autoTranPlanOrg);

    /**
     * 자동이체 청구 여부 및 수신결과 반영 여부 체크
     * @param rlDueDt, trOrgCd
     * @return void
     */
    public void chkAutoTranAskStatus(String rlDueDt, String trOrgCd);

    /**
     * 자동이체 입금처리 완료여부 체크
     * @param rlDueDt
     * @return void
     */
    public void chkJobCompl(String rlDueDt);

    /**
     * 자동이체 입금처리 결과 완료상태 변경
     * @param jobDt
     * @param empNo
     * @param trOrgCd
     * @return void
     */
    public void updateIamtCompl(String jobDt, String empNo, String trOrgCd);

	/**
	 * 거래기관코드 조회
	 * @param  attrOrgVO
	 * @return List<AutoTranCmsProcVO>
	 */
	public List<AutoTranCmsProcVO> getTrOrgCd(AttrOrgVO attrOrgVO);

	/**
	 * 송신한 거래기관코드 조회
	 * @param  recvDt
	 * @return List<AutoTranCmsProcVO>
	 */
	public List<AutoTranCmsProcVO> getTrOrgEB22(String recvDt);


    public List<AttrOrgVO> searchTrOrgList(AttrOrgVO param) throws Exception;

    /**
     * 자동이체입금 작업상태 조회
     * @param  AttrOrgVO
     * @return String
     */
    public String searchAttrPlanStat(AttrOrgVO inDTO) throws Exception;


    /**
     * 자동이체입금 작업상태 조회
     * @param  AttrOrgVO
     * @return SearchAttrPlanStatOutDTO
     */
    public List<ClsTrDescVO> searchAttrUnrcvList(AttrOrgVO inDTO) throws Exception;

    /**
     * 미수금정산여부 수정
     * @param  RtAutoTranTrDescDTO
     * @return int
     */
    public int updateUnrcvAdjFg(AttrOrgVO orgVO, ClsTrDescVO trDescVO) throws Exception;

}
