package hanalife.r.at.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.dl.mapper.dto.AttrJobDTO;
import hanalife.r.at.dl.mapper.dto.AutoTranAskInDTO;
import hanalife.r.at.dl.mapper.dto.AutoTranAskOutDTO;
import hanalife.r.at.dl.mapper.dto.SearchAttrUnrcvOutDTO;

@Mapper("autoTranAskMapper")
public interface AutoTranAskMapper {

	/**
	 * <p>메소드명 	: searchAutoTranAskObj</p>
	 * <p>설명     	: 자동이체청구 대상을 조회한다.  </p>
	 * <p>메소드인수1	: AttrJobVO</p>
	 * <p>메소드리턴값  :   </p>
	 * <p>예외처리  	: Exception</p>
	 */
    public List<AutoTranAskOutDTO> searchAutoTranAskObj(AttrJobDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: createAutoTranTrDesc					  </p>
	 * <p>설명     	: 청구처리후 자동이체거래내역에 결과를 등록한다. 	      </p>
	 * <p>메소드인수1	: AskUnrcvVO, autoTranAskObjList, jobVO	  </p>
	 * <p>메소드리턴값  : int 								      </p>
	 * <p>예외처리  	: Exception								  </p>
	 */
	public int createAutoTranTrDesc(AutoTranAskInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlan								</p>
	 * <p>설명     	: 작업계획기본에 작업대상(대출)에 대한 작업상태를 수정한다. 	</p>
	 * <p>메소드인수1	: jobStatCd(1:준비, 2:처리중, 3:완료), AttrJobVO	</p>
	 * <p>메소드리턴값  : int 										</p>
	 * <p>예외처리  	: Exception									</p>
	 */
	public int updateJobPlan(AttrJobDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranPlanBase			</p>
	 * <p>설명     	: 자동이체계획기본의 처리상태코드를 수정한다. 	</p>
	 * <p>메소드인수1	: AttrJobVO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateAutoTranPlanBase(AttrJobDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanBase			                </p>
	 * <p>설명     	: 작업계획기본테이블에 작업완료된 대출번호를 update한다. 	</p>
	 * <p>메소드인수1	: AttrJobVO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateJobPlanBase(AttrJobDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: searchAttrPlanStat	</p>
	 * <p>설명     	: 자동이체입금 작업상태 조회 	</p>
	 * <p>메소드인수1	: AttrJobVO	            </p>
	 * <p>메소드리턴값  : String 				</p>
	 * <p>예외처리  	: Exception				</p>
	 */
	public String searchAttrPlanStat(AttrJobDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: searchAttrUnrcvList	</p>
	 * <p>설명     	: 자동이체 미수금대상 조회 	</p>
	 * <p>메소드인수1	: AttrJobVO	            </p>
	 * <p>메소드리턴값  : SearchAttrUnrcvOutDTO</p>
	 * <p>예외처리  	: Exception				</p>
	 */
	public List<SearchAttrUnrcvOutDTO> searchAttrUnrcvList(AttrJobDTO inDto) throws Exception;
	
	/**
	 * <p>메소드명 	: updateUnrcvAdjFg	</p>
	 * <p>설명     	: 미수금정산여부 수정 	</p>
	 * <p>메소드인수1	: AttrJobVO	        </p>
	 * <p>메소드리턴값  : int 				</p>
	 * <p>예외처리  	: Exception			</p>
	 */
	public int updateUnrcvAdjFg(AttrJobDTO inDto) throws Exception;
	
	/**
	 * <p>메소드명 	: vochTran	</p>
	 * <p>설명     	: 자동이체입금 작업상태 조회 	</p>
	 * <p>메소드인수1	: AttrJobVO	            </p>
	 * <p>메소드리턴값  : String 				</p>
	 * <p>예외처리  	: Exception				</p>
	 */
	public String vochTran(AttrJobDTO inDto) throws Exception;
}
