package hanalife.r.at.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.dl.mapper.dto.AutoTranIamtInDTO;
import hanalife.r.at.dl.mapper.dto.AutoTranIamtOutDTO;
import hanalife.r.at.vo.bat.AutoTranIamtObj;

@Mapper("autoTranIamtMapper")
public interface AutoTranIamtMapper {

	/**
	 * <p>메소드명 	: chkIamtCond</p>
	 * <p>설명     	: 자동이체청구 대상을 조회한다.  </p>
	 * <p>메소드인수1	: AutoTranIamtInDTO</p>
	 * <p>메소드리턴값  : AutoTranIamtOutDTO  </p>
	 * <p>예외처리  	: Exception</p>
	 */
    public List<AutoTranIamtOutDTO> chkIamtCond(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: searchJobPlan		</p>
	 * <p>설명     	: 자동이체입금처리 대상을 조회. 		</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO                	</p>
	 * <p>메소드리턴값  : AutoTranIamtOutDTO  	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
    public AutoTranIamtOutDTO searchJobPlan(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: searchAutoTranIamtObj		</p>
	 * <p>설명     	: 자동이체입금 대상을 조회. 		</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO                	</p>
	 * <p>메소드리턴값  : AutoTranIamtOutDTO  	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
    public List<AutoTranIamtOutDTO> searchAutoTranIamtObj(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlan			</p>
	 * <p>설명     	: 작업계획기본에 작업대상(대출)에 대한 작업상태를 수정. 	</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateJobPlan(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranPlanBase			</p>
	 * <p>설명     	: 자동이체계획기본의 처리상태코드를 수정. 	</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateAutoTranPlanBase(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranTrDesc					</p>
	 * <p>설명     	: 입금처리후 결제번호를 자동이체거래내역에 update. 	</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO	                   	</p>
	 * <p>메소드리턴값  : int 									</p>
	 * <p>예외처리  	: Exception								</p>
	 */
	public int updateAutoTranTrDesc(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanBase  					</p>
	 * <p>설명     	: 작업계획기본테이블에 작업완료된 대출번호를 update. 	</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO	                   	</p>
	 * <p>메소드리턴값  : int 									</p>
	 * <p>예외처리  	: Exception								</p>
	 */
	public int updateJobPlanBase(AutoTranIamtInDTO inDto) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanProcStat  					                </p>
	 * <p>설명     	: 자동이체계획기본테이블에 입금처리 완료된건에 대해 처리상태코드를 완료로 수정. 	</p>
	 * <p>메소드인수1	: AutoTranIamtInDTO	                   	                    </p>
	 * <p>메소드리턴값  : int 									                    </p>
	 * <p>예외처리  	: Exception								                    </p>
	 */
	public int updateJobPlanProcStat(AutoTranIamtInDTO inDto) throws Exception;

}
