package hanalife.r.at.dl.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.batch.ProcObj;
import hanalife.r.at.dl.mapper.AutoTranObjSlctMapper;
import hanalife.r.at.dl.mapper.dto.AutoTranObjSlctInDTO;
import hanalife.r.at.dl.mapper.dto.AutoTranObjSlctOutDTO;
import hanalife.r.at.dl.service.AutoTranObjSlctService;

@Service("AutoTranObjSlctService")
public class AutoTranObjSlctServiceImpl implements AutoTranObjSlctService{

	private static final Logger log = LoggerFactory.getLogger(AutoTranObjSlctServiceImpl.class);

	@Autowired
	private AutoTranObjSlctMapper autoTranIamtMapper;

	@Override
	public int updateChkCrteJob(ProcObj procObj) throws Exception {
		int uCnt = 0;

		try {
			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());
			inDTO.setTrOrgCd(procObj.getTrOrgCd());
			inDTO.setJobId("RATDL02");

			uCnt = autoTranIamtMapper.updateChkCrteJob(inDTO);

		} finally {

		}
		return uCnt;
	}

	@Override
	public int searchJobPlan(ProcObj procObj) throws Exception {

		int objCnt = 0;

		try {

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setJobDt(procObj.getJobDt());
			inDTO.setAskStatCd("2");
			inDTO.setProcStatCd("0");
			inDTO.setTrOrgCd("A%");

			AutoTranObjSlctOutDTO result = autoTranIamtMapper.searchJobPlan(inDTO);

			if(result != null) {
				objCnt = result.getCnt();
			}

		} finally {
			// TODO: handle finally clause
		}

		return objCnt;
	}

	@Override
	public int updateObjSlctStat(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateObjSlctStat(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateChkAcntStat(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("21");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateChkAcntStat(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateDlyTcntChk(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("22");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateDlyTcntChk(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateEprtComProcForLeas(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("2A");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateEprtComProcForLeas(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateAutoPlanByAskExclDtLeas(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("2B");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateAutoPlanByAskExclDtLeas(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateMinAskAmtChk(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("23");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateMinAskAmtChk(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateUnRecvAskExcl(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("27");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateUnRecvAskExcl(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateCyclAskObjExcl(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("25");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateCyclAskObjExcl(inDTO);

			return updateCnt;

		} finally {

		}

	}

	@Override
	public int updateMmFrstDlyExcl(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("32");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateMmFrstDlyExcl(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateLoanStatAskObj(ProcObj procObj) throws Exception {

		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("26");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateMmFrstDlyExcl(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateLoanStatAskFbidFg(ProcObj procObj) throws Exception {
		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setAskDivCd("20");
			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateLoanStatAskFbidFg(inDTO);

			return updateCnt;

		} finally {

		}
	}

	@Override
	public int updateJobPlanProcStat(ProcObj procObj) throws Exception {
		try {
			int updateCnt = 0;

			AutoTranObjSlctInDTO inDTO = new AutoTranObjSlctInDTO();

			inDTO.setProcDt(procObj.getProcDt());
			inDTO.setProcTm(procObj.getProcTm());
			inDTO.setIsrtEmpNo(procObj.getIsrtEmpNo());
			inDTO.setJobDt(procObj.getJobDt());

			updateCnt = autoTranIamtMapper.updateJobPlanProcStat(inDTO);

			return updateCnt;

		} finally {

		}
	}
}
