package hanalife.r.at.mn.service;

import hanalife.r.at.mn.vo.RATMNM02S01InVO;
import hanalife.r.at.mn.vo.RATMNM02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM02Service.java Class
 * 클래스설명   : 자동이체계좌신청조회 (RATMNM02) Service Interface
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRATMNM02S01 : 자동이체계좌신청조회목록조회

 * </pre>
 */
public interface RATMNM02Service {

	/**
	 * <p>메소드명      : getRATMNM02S01 : 자동이체계좌신청조회</p>
	 * <p>작성일자      : 2023. 3. 7.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 자동이체계좌신청조회 한다.</p>
	 * <p>메소드인수    : RATMNM02S01InVo </p>
	 * <p>메소드리턴값  : RATMNM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RATMNM02S01OutVO getRATMNM02S01(RATMNM02S01InVO inVo) throws Exception;

}
