package hanalife.r.at.mn.service;

import hanalife.r.at.mn.vo.RATMNM05S01InVO;
import hanalife.r.at.mn.vo.RATMNM05S01OutVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM04Service.java Class
 * 클래스설명   : 자동이체계좌상태조회 (RATMNM04) Service Interface
 * 작성일자     : 2023. 4. 18.
 * 작성자명     : 70366 / KangMinhyeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRATMNM05S01 : 자동이체계좌상태조회
 * </pre>
 */
public interface RATMNM05Service {

    /**
     * <p>메소드명      : getRATMNM05S01 : 자동이체계좌상태목록조회</p>
     * <p>작성일자      : 2023. 4. 18.
     * <p>작성자(author): 70366 / KangMinhyeok
     * <p>설명          : 자동이체계좌상태목록을 조회 한다.</p>
     * <p>메소드인수    : RATMNM05S01InVO </p>
     * <p>메소드리턴값  : RATMNM05S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RATMNM05S01OutVo getRATMNM05S01(RATMNM05S01InVO inVo) throws Exception;
}
