package hanalife.r.at.mn.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.co.service.CommBizService;
import hanalife.r.at.ac.vo.RtAcntCnfmDescTDO;
import hanalife.r.at.mn.mapper.AutoTranAcntMngMapper;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntMngDSSEARCHDTO;
import hanalife.r.at.mn.mapper.dto.AutoTranAcntMngSD01DTO;
import hanalife.r.at.mn.service.RATMNM01Service;
import hanalife.r.at.mn.vo.RATMNM01DSSDVO;
import hanalife.r.at.mn.vo.RATMNM01S01InVO;
import hanalife.r.at.mn.vo.RATMNM01S01OutVO;

@Service("RATMNM01Service")
public class RATMNM01ServiceImpl implements RATMNM01Service {

	private static final Logger log = LoggerFactory.getLogger(RATMNM01ServiceImpl.class);

	@Autowired
	private AutoTranAcntMngMapper autoTranAcntMng;

	@Autowired
	private CommBizService commBizService;

	@Override
	public RATMNM01S01OutVO getRATMNM01S01(RATMNM01S01InVO inVo) throws Exception {

		return null;
	}

	@Override
	public List<RATMNM01DSSDVO> getRATMNM01S02(RATMNM01S01InVO inVo) throws Exception {

		AutoTranAcntMngDSSEARCHDTO inDto = new AutoTranAcntMngDSSEARCHDTO();

		inDto.setLoanNo(inVo.getRATMNM01DSSEARCHVO().getLoanNo());
		inDto.setLoanSeq(inVo.getRATMNM01DSSEARCHVO().getLoanSeq());

		List<AutoTranAcntMngSD01DTO> resultDTO = autoTranAcntMng.searchAcntCnfmDescForAppl(inDto);

		List<RATMNM01DSSDVO> resultList = new ArrayList<>();

		for(AutoTranAcntMngSD01DTO sourceIO : resultDTO) {
			RATMNM01DSSDVO targetIO = new RATMNM01DSSDVO();

			targetIO.setAcntSnum(sourceIO.getAcntSnum());					/** 계좌일련번호 */
			targetIO.setAcntApplDivCd(sourceIO.getAcntApplDivCd());			/** 계좌신청구분코드 */
			targetIO.setAcntApplDivNm(sourceIO.getAcntApplDivNm());			/** 계좌신청구분명 */
			targetIO.setBankCd(sourceIO.getBankCd());						/** 은행코드 */
			targetIO.setBankNm(sourceIO.getBankNm());						/** 은행명 */
			targetIO.setAcntNo(sourceIO.getAcntNo());						/** 계좌번호 */
			//targetIO.setAcntNoMask(sourceIO.getAcntNoMask());
			targetIO.setDepoOwnNo(sourceIO.getDepoOwnNo());					/** 예금주번호 */
			//targetIO.setDepoOwnNoMask(sourceIO.getDepoOwnNoMask());
			targetIO.setDepoOwnnm(sourceIO.getDepoOwnnm());					/** 예금주명 */
			targetIO.setDepoOwnRelCd(sourceIO.getDepoOwnRelCd());			/** 예금주관계코드 */
			targetIO.setDepoOwnRelNm(sourceIO.getDepoOwnRelNm());			/** 예금주관계명 */
			targetIO.setAcntStatCd(sourceIO.getAcntStatCd());				/** 계좌상태코드 */
			targetIO.setAcntStatNm(sourceIO.getAcntStatNm());				/** 계좌상태명 */
			targetIO.setIvltRegFg(sourceIO.getIvltRegFg());					/** 강제등록여부 */
			targetIO.setIvltRegFgNm(sourceIO.getIvltRegFgNm());				/** 강제등록여부명 */
			targetIO.setAcntAplyDt(sourceIO.getAcntAplyDt());				/** 계좌적용일자 */
			targetIO.setCnfmDepoOwnnm(sourceIO.getCnfmDepoOwnnm());			/** 확인예금주명 */
			targetIO.setAcntCnfmRsltCd(sourceIO.getAcntCnfmRsltCd());		/** 계좌확인결과코드 */
			targetIO.setAcntCnfmRsltNm(sourceIO.getAcntCnfmRsltNm());		/** 계좌확인결과명 */
			targetIO.setApplManTel1(sourceIO.getApplManTel1());				/** 신청인전화1 */
			targetIO.setApplManTel2(sourceIO.getApplManTel2());				/** 신청인전화2 */
			targetIO.setApplManTel3(sourceIO.getApplManTel3());				/** 신청인전화3 */
			targetIO.setFrstRegEmpNo(sourceIO.getFrstRegEmpNo());			/** 최초등록사원번호 */
			targetIO.setFrstRegEmpNm(sourceIO.getFrstRegEmpNm());			/** 최초등록사원명 */
			targetIO.setLastProcEmpNo(sourceIO.getLastProcEmpNo());			/** 최종등록사원번호 */
			targetIO.setLastProcEmpNm(sourceIO.getLastProcEmpNm());			/** 최종등록사원명 */
			targetIO.setApplDt(sourceIO.getApplDt());						/** 신청일자 */
			targetIO.setClosDt(sourceIO.getClosDt());						/** 해지일자 */
			targetIO.setSendDt(sourceIO.getSendDt());						/** 전송일자 */
			targetIO.setSendSnum(sourceIO.getSendSnum());					/** 전송일련번호 */
			targetIO.setAcntApplRsnCd(sourceIO.getAcntApplRsnCd());			/** 계좌신청사유코드 */
			targetIO.setAcntApplRsnNm(sourceIO.getAcntApplRsnNm());			/** 계좌신청사유명 */
			targetIO.setAcntClosRsnCd(sourceIO.getAcntClosRsnCd());			/** 계좌해지사유코드 */
			targetIO.setAcntClosRsnNm(sourceIO.getAcntClosRsnNm());			/** 계좌해지사유명 */

			resultList.add(targetIO);
		}

		return resultList;
	}

	@Override
	public List<RtAcntCnfmDescTDO> getRATMNM01S03(RtAcntCnfmDescTDO inVo) throws Exception {

		RtAcntCnfmDescTDO inDto = new RtAcntCnfmDescTDO();

		inDto.setLoanNo(inVo.getLoanNo());
		inDto.setLoanSeq(inVo.getLoanSeq());

		List<RtAcntCnfmDescTDO> resultDTO = autoTranAcntMng.searchAcntCnfmDescRcnt(inDto);

		return resultDTO;
	}

	@Override
	public List<RtAcntCnfmDescTDO> getRATMNM01S04(RtAcntCnfmDescTDO inVo) throws Exception {

		List<RtAcntCnfmDescTDO> resultDTO = autoTranAcntMng.selectAcntCnfmDesc(inVo);

		return resultDTO;
	}

	@Override
	public int modifyRATMNM01U01(RtAcntCnfmDescTDO updateVo) throws Exception {

		int i = 0 ;

		i = autoTranAcntMng.modifyRtAcntCnfmDesc(updateVo);

		return i;
	}

	@Override
	public int insertRATMNM01I01(RtAcntCnfmDescTDO inVo) throws Exception {
		// TODO Auto-generated method stub
		int i = 0;

		i = autoTranAcntMng.insertAcntCnfmDesc(inVo);

		return i;
	}

	@Override
	public int modifyRATMNM01U02(RtAcntCnfmDescTDO inVo) throws Exception {
		// TODO Auto-generated method stub
		int i = 0;

		i = autoTranAcntMng.modifyRtAcntCnfmDesc2(inVo);

		return i;
	}

	@Override
	public int modifyRATMNM01U03(RtAcntCnfmDescTDO inVo) throws Exception {
		// TODO Auto-generated method stub
		int i = 0;

		i = autoTranAcntMng.modifyRtAcntCnfmDesc3(inVo);

		return i;
	}

	@Override
	public int modifyAcntStatCancel(RtAcntCnfmDescTDO inVo) throws Exception {
		// TODO Auto-generated method stub
		int i = 0;

		i = autoTranAcntMng.modifyAcntStatCancel(inVo);

		return i;
	}

	@Override
	public int modifySendRsAcntCnfmDesc(RtAcntCnfmDescTDO inVo) throws Exception {
		int i = 0;

		i = autoTranAcntMng.modifySendRsAcntCnfmDesc(inVo);

		return i;
	}

	@Override
	public int modifyAcntProcRsltAcntCnfmDesc(RtAcntCnfmDescTDO inVo) throws Exception {
		int i = 0;

		i = autoTranAcntMng.modifyAcntProcRsltAcntCnfmDesc(inVo);

		return i;
	}
}