package hanalife.r.at.mn.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.r.at.mn.mapper.AutoTranTrDescReadMapper;
import hanalife.r.at.mn.mapper.dto.AutoTranTrDescReadDSSD01DTO;
import hanalife.r.at.mn.mapper.dto.AutoTranTrDescReadDSSEARCHDTO;
import hanalife.r.at.mn.service.RATMNM03Service;
import hanalife.r.at.mn.vo.RATMNM03DSSD01VO;
import hanalife.r.at.mn.vo.RATMNM03S01InVO;
import hanalife.r.at.mn.vo.RATMNM03S01OutVO;

@Service("RATMNM03Service")
public class RATMNM03ServiceImpl implements RATMNM03Service {

    private static final Logger LOGGER = LoggerFactory.getLogger(RATMNM03ServiceImpl.class);

    @Autowired
    private AutoTranTrDescReadMapper autoTranTrDescReadMapper;

    @Override
    public RATMNM03S01OutVO getRATMNM03S01(RATMNM03S01InVO inVo) throws Exception {

        RATMNM03S01OutVO resultVo = new RATMNM03S01OutVO();

        AutoTranTrDescReadDSSEARCHDTO targetDto = new AutoTranTrDescReadDSSEARCHDTO();

        targetDto.setRlDueDtFr(inVo.getRATMNM03DSSEARCHVO().getRlDueDtFr());
        targetDto.setRlDueDtTo(inVo.getRATMNM03DSSEARCHVO().getRlDueDtTo());
        targetDto.setLoanNo(inVo.getRATMNM03DSSEARCHVO().getLoanNo());
        targetDto.setLoanSeq(inVo.getRATMNM03DSSEARCHVO().getLoanSeq());
        targetDto.setTrOrgCd(inVo.getRATMNM03DSSEARCHVO().getTrOrgCd());
        targetDto.setBankCd(inVo.getRATMNM03DSSEARCHVO().getBankCd());
        targetDto.setMngDeptCd(inVo.getRATMNM03DSSEARCHVO().getMngDeptCd());
        targetDto.setMngDeptNm(inVo.getRATMNM03DSSEARCHVO().getMngDeptNm());
        targetDto.setPrdtLrgeClasCd(inVo.getRATMNM03DSSEARCHVO().getPrdtLrgeClasCd());
        targetDto.setPrdtMidClasCd(inVo.getRATMNM03DSSEARCHVO().getPrdtMidClasCd());
        targetDto.setAskDivCd(inVo.getRATMNM03DSSEARCHVO().getAskDivCd());
        targetDto.setOamtErrCd(inVo.getRATMNM03DSSEARCHVO().getOamtErrCd());
        targetDto.setBndDivsEmpNo(inVo.getRATMNM03DSSEARCHVO().getBndDivsEmpNo());
        targetDto.setBndDivsEmpNm(inVo.getRATMNM03DSSEARCHVO().getBndDivsEmpNm());
        targetDto.setLnDivsEmpNo(inVo.getRATMNM03DSSEARCHVO().getLnDivsEmpNo());
        targetDto.setLnDivsEmpNm(inVo.getRATMNM03DSSEARCHVO().getLnDivsEmpNm());

        List<AutoTranTrDescReadDSSD01DTO> resultDTO = autoTranTrDescReadMapper.search(targetDto);

        List<RATMNM03DSSD01VO> resultList = new ArrayList<RATMNM03DSSD01VO>();

        for(AutoTranTrDescReadDSSD01DTO sourceIO : resultDTO) {

            RATMNM03DSSD01VO targetIO = new RATMNM03DSSD01VO();

            targetIO.setRlDueDt(sourceIO.getRlDueDt());
            targetIO.setLoanNo(sourceIO.getLoanNo());
            targetIO.setLoanSeq(sourceIO.getLoanSeq());
            targetIO.setCustNo(sourceIO.getCustNo());
            targetIO.setCustNm(sourceIO.getCustNm());
            targetIO.setTrOrgNm(sourceIO.getTrOrgNm());
            targetIO.setMngDeptNm(sourceIO.getMngDeptNm());
            targetIO.setLnDivsEmpNo(sourceIO.getLnDivsEmpNo());
            targetIO.setLnDivsEmpNm(sourceIO.getLnDivsEmpNm());
            targetIO.setBndDivsEmpNo(sourceIO.getBndDivsEmpNo());
            targetIO.setBndDivsEmpNm(sourceIO.getBndDivsEmpNm());
            targetIO.setBankNm(sourceIO.getBankNm());
            targetIO.setPrdtLrgeClasCd(sourceIO.getPrdtLrgeClasCd());
            targetIO.setPrdtClasNm(sourceIO.getPrdtClasNm());
            targetIO.setSetlDd(sourceIO.getSetlDd());
            targetIO.setDlyTcnt(sourceIO.getDlyTcnt());
            targetIO.setAskDivNm(sourceIO.getAskDivNm());
            targetIO.setIntgAskFg(sourceIO.getIntgAskFg());
            targetIO.setAskTims(sourceIO.getAskTims());
            targetIO.setAskAmt(sourceIO.getAskAmt());
            targetIO.setSetlAmt(sourceIO.getSetlAmt());
            targetIO.setDepoOwnnm(sourceIO.getDepoOwnnm());
            targetIO.setAcntNo(sourceIO.getAcntNo());
            targetIO.setAskStatNm(sourceIO.getAskStatNm());
            targetIO.setAskPamt(sourceIO.getAskPamt());
            targetIO.setAskInt(sourceIO.getAskInt());
            targetIO.setAskDfee(sourceIO.getAskDfee());
            targetIO.setAskLeglActnCost(sourceIO.getAskLeglActnCost());
            targetIO.setSrcpRamt(sourceIO.getSrcpRamt());
            targetIO.setRcptPamt(sourceIO.getRcptPamt());
            targetIO.setRcptInt(sourceIO.getRcptInt());
            targetIO.setRcptDfee(sourceIO.getRcptDfee());
            targetIO.setLeglActnCost(sourceIO.getLeglActnCost());
            targetIO.setDsrcOccrAmt(sourceIO.getDsrcOccrAmt());
            targetIO.setRcptAmt(sourceIO.getRcptAmt());
            targetIO.setDsrcNo(sourceIO.getDsrcNo());
            targetIO.setPdueAmt(sourceIO.getPdueAmt());
            targetIO.setUnrcvAmt(sourceIO.getUnrcvAmt());
            targetIO.setOamtErr(sourceIO.getOamtErr());
            targetIO.setOamtErrCd(sourceIO.getOamtErrCd());
            targetIO.setSetlNo(sourceIO.getSetlNo());
            targetIO.setAskStmpFee(sourceIO.getAskStmpFee());
            targetIO.setRcptStmpFee(sourceIO.getRcptStmpFee());
            targetIO.setLoanPamtRamt(sourceIO.getLoanPamtRamt());
            targetIO.setAcntStatNm(sourceIO.getAcntStatNm());

            resultList.add(targetIO);
        }

        resultVo.setListRATMNM03DSSD01VO(resultList);

        return resultVo;
    }

}
