package hanalife.r.at.mn.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM04DSSEARCHVO.java Class
 * 클래스설명   : 자동이체거래현황 조회를 위한 테이블 VO
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class RATMNM04DSSEARCHVO {

	private String rlDueDtFr;  /** 납입 시작일자 */
	private String rlDueDtTo;  /** 납입 종료일자 */
	private String trOrgCd;  /** 거래기관 */
	private String mngDeptCd;  /** 관리부서코드 */
	private String mngDeptNm;  /** 관리부서이름 */
	private String bankCd;  /** 은행코드 */
	private String prdtLrgeClasCd;  /** 상품대분류코드 */
	private String prdtMidClasCd;  /** 상품중분류코드 */
	private String chkRlDueDt;  /** 납입일자체크 */
	private String chkTrOrgCd;  /** 거래기관체크 */
	private String chkMngDeptCd;  /** 관리부서체크 */
	private String chkBankCd;  /** 은행체크 */
	private String chkPrdtClasCd;  /** 상품체크 */

	public String getRlDueDtFr() {
		return rlDueDtFr;
	}
	public void setRlDueDtFr(String rlDueDtFr) {
		this.rlDueDtFr = rlDueDtFr;
	}
	public String getRlDueDtTo() {
		return rlDueDtTo;
	}
	public void setRlDueDtTo(String rlDueDtTo) {
		this.rlDueDtTo = rlDueDtTo;
	}
	public String getTrOrgCd() {
		return trOrgCd;
	}
	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getChkRlDueDt() {
		return chkRlDueDt;
	}
	public void setChkRlDueDt(String chkRlDueDt) {
		this.chkRlDueDt = chkRlDueDt;
	}
	public String getChkTrOrgCd() {
		return chkTrOrgCd;
	}
	public void setChkTrOrgCd(String chkTrOrgCd) {
		this.chkTrOrgCd = chkTrOrgCd;
	}
	public String getChkMngDeptCd() {
		return chkMngDeptCd;
	}
	public void setChkMngDeptCd(String chkMngDeptCd) {
		this.chkMngDeptCd = chkMngDeptCd;
	}
	public String getChkBankCd() {
		return chkBankCd;
	}
	public void setChkBankCd(String chkBankCd) {
		this.chkBankCd = chkBankCd;
	}
	public String getChkPrdtClasCd() {
		return chkPrdtClasCd;
	}
	public void setChkPrdtClasCd(String chkPrdtClasCd) {
		this.chkPrdtClasCd = chkPrdtClasCd;
	}

}
