package hanalife.r.at.vo.bat;

import java.io.Serializable;

import hanalife.r.co.as.vo.ValueObj;


@SuppressWarnings("serial")
/**
 * <pre>
 * 클래스명    : AttrOrgVO
 * 클래스설명 : 거래기관정보 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AttrOrgVO	extends ValueObj implements Serializable {

	public String trOrgCd;		// 기관코드
	public String trOrgNm;		// 기관명
	public String acctUnitCd;	// 회계단위
	public String rcptTpCd;		// 수납유형
	public String cyclCd;		// 주기코드

	public String bankCd;		// 은행코드
	public String bankBrnchCd;	// 은행지점코드
	public String vndrCd;		// 업체코드
	public String moBankCd;		// 모계좌_은행코드
	public String moAcntNo;		// 모계좌_계좌번호

	// 작업처리기준 일자 (jobDt 기준 ±N일)
	public String trsmSchdDd;	// 전송일자
	public String recvSchdDd;	// 수신일자
	public String setlSchdDd;	// 결제일자
	public String acctSchdDd;	// 회계일자
	public String feeSchdDd;	// 수수료일자

	// 수수료관련
	public String feeSetlMethCd;	// (1:매일, 2:매월)
	public String feeSetlDd;		// (00:매일, 그외 01~31)
	public String askFee;			// 청구수수료
	public String oamtFee;			// 출금수수료
	public String baseFee;			// 기본수수료

	// 기타항목
	public String autoTranOamtTpCd;	// 자동이체출금유형코드 (1:부분출금,2:전액출금)
	public String autoTranRsltTpCd;	// 자동이체결과유형코드 (1:성공,2:실패)
	public String dupAcntPrmsFg;	// 중복계좌허용여부
	public String oamtAcntRegFg;	// 출금계좌등록여부
	public String etcItm1;			// 기타항목1
	public String etcItm2;			// 기타항목2
	public String strtDueDt;	// 사용시작일자
	public String endDueDt;		// 사용종료일자
	public String filePath;
	public String fileNm;
	public String rlFileNm;

	// R00038
	public String deptCd;
	public String empNo;
	public String procDt;
	public String procTm;

	public String jobDt;
	public String prgmId;
}
