package hanalife.r.at.vo.bat;

import java.io.Serializable;

import hanalife.r.co.as.vo.ValueObj;


@SuppressWarnings("serial")
/**
 * <pre>
 * 클래스　명 : AttrPlanVO
 * 클래스설명 : 자동이체계획 VO
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2018-08-01
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경 일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [18.08.01][두비스][캐피탈패키지-최초작성]
 * [19.07.30][정우현][자동이체 수수료처리일자 추가]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AttrPlanVO	extends ValueObj implements Serializable {

	public String trOrgCd;
	public String trOrgNm;
	public String acctUnitCd;
	public String cyclCd;
	public String rcptTpCd;
	public String vndrCd;

	public String rlDueDt;
	public String clsDt;
	public String trsmDt;
	public String recvDt;
	public String acctDt;
	public String feeDt;

	public String filePath;
	public String fileNm;
	public String rlFileNm;
	public String iamtSeq;

	public String askStatCd;
	public String askStatNm;
	public String procStatCd;
	public String procStatNm;

	public String moBankCd;
	public String moAcntNo;

	public long askCnt;
	public long askAmt;
	public long intgAskCnt;
	public long intgAskAmt;
	public long setlCnt;
	public long setlAmt;

	// 수수료
	public String feeAcctDt;	// 수수료전표처리후일자
	public int    feeTranNo;	// 수수료거래번호
	public long   attrFeeAmt; 	// 수수료

	// 조회조건용
	public String prgmId;
	public String clas1;
	public String clas2;

	private String orgBankCd;			// 기관은행코드 (금결원:999)
	private String askDivCd;			// 청구구분코드
	private String overAmtFilter = "0";	// 초과금조회여부 (1:이면 초과금대상만 조회한다)
	private String setlAmtFilter = "0";	// 결제금조회여부 (1:이면 결제된대상만 조회한다)

	public String getAskDivCd() {
		return askDivCd;
	}
	public void setAskDivCd(String askDivCd) {
		this.askDivCd = askDivCd;
	}
	public String getOrgBankCd() {
		return orgBankCd;
	}
	public void setOrgBankCd(String orgBankCd) {
		this.orgBankCd = orgBankCd;
	}
	public String getOverAmtFilter() {
		return overAmtFilter;
	}
	public void setOverAmtFilter(String overAmtFilter) {
		this.overAmtFilter = overAmtFilter;
	}
	public String getSetlAmtFilter() {
		return setlAmtFilter;
	}
	public void setSetlAmtFilter(String setlAmtFilter) {
		this.setlAmtFilter = setlAmtFilter;
	}
}
