package hanalife.r.at.vo.bat;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

//수신전문
/**
 * <pre>
 * 클래스명    : EB11Header
 * 클래스설명 : EB11Header
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EB11Header extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,8,6,87};

	private String recTypeCd;	//RECORD구분   ( 1)
	private String snum;		//일련번호      ( 8)
	private String vndrCd;		//업체코드      (10)
	private String fileNm;		//파일명        ( 8)
	private String applAcptDt;	//신청접수일자  ( 6)
	private String filler;		//FILLER      (87)

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen);

			int i = 0;
			setRecTypeCd (strArr[i++]); //RECORD구분
			setSnum      (strArr[i++]); //일련번호
			setVndrCd    (strArr[i++]); //기관코드
			setFileNm    (strArr[i++]); //파일명
			setApplAcptDt(strArr[i++]); //신청접수일자
			setFiller    (strArr[i++]); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuffer sb = new StringBuffer(98);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecTypeCd(), iArr[i++])); //RECORD구분
			sb.append(OnLineUtil.fillSpace(getSnum(), iArr[i++])); //일련번호
			sb.append(OnLineUtil.fillSpace(getVndrCd(), iArr[i++])); //기관코드
			sb.append(OnLineUtil.fillSpace(getFileNm(), iArr[i++])); //파일명
			sb.append(OnLineUtil.fillSpace(getApplAcptDt(), iArr[i++])); //신청접수일자
			sb.append(OnLineUtil.fillSpace(getFiller(), iArr[i++])); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}

	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getSnum() {
		return snum;
	}

	public String getVndrCd() {
		return vndrCd;
	}

	public String getFileNm() {
		return fileNm;
	}

	public String getApplAcptDt() {
		return applAcptDt;
	}

	public String getFiller() {
		return filler;
	}

	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}

	public void setSnum(String snum) {
		this.snum = snum;
	}

	public void setVndrCd(String vndrCd) {
		this.vndrCd = vndrCd;
	}

	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}

	public void setApplAcptDt(String applAcptDt) {
		this.applAcptDt = applAcptDt;
	}

	public void setFiller(String filler) {
		this.filler = filler;
	}

}
