package hanalife.r.at.vo.bat;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

/**
 * <pre>
 * 클래스명    : EB11Trailer
 * 클래스설명 : EB11Trailer
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EB11Trailer extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,8,8,8,8,8,8,43,10};

	private String recTypeCd; //RECORD구분    (1 )
	private String snum; //일련번호           (8 )
	private String trOrgCd; //기관코드        (10)
	private String fileNm; //파일명           (8 )
	private String totCnt; //총 DATA RECORD수 (8 )
	private String newRegCnt; //신규등록건수  (8 )
	private String chngRegCnt; //변경등록건수 (8 )
	private String closRegCnt; //해지등록건수 (8 )
	private String dsctRegCnt; //임의해지건수 (8 )
	private String filler; //FILLER           (43)
	private String macVrfcVal; //MAC 값 검증값(10)

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen);

			int i = 0;
			setRecTypeCd(strArr[i++]); //RECORD구분
			setSnum(strArr[i++]); //일련번호
			setTrOrgCd(strArr[i++]); //기관코드
			setFileNm(strArr[i++]); //파일명
			setTotCnt(strArr[i++]); //총 DATA RECORD수
			setNewRegCnt(strArr[i++]); //신규등록건수
			setChngRegCnt(strArr[i++]); //변경등록건수
			setClosRegCnt(strArr[i++]); //해지등록건수
			setDsctRegCnt(strArr[i++]); //임의해지건수
			setFiller(strArr[i++]); //FILLER
			setMacVrfcVal(strArr[i++]); //MAC 값 검증값

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuffer sb = new StringBuffer(98);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace (getRecTypeCd() , iArr[i++])); 	// RECORD구분
			sb.append(OnLineUtil.fillSpace (getSnum()      , iArr[i++])); 	// 일련번호
			sb.append(OnLineUtil.fillSpace (getTrOrgCd()   , iArr[i++])); 	// 기관코드
			sb.append(OnLineUtil.fillSpace (getFileNm()    , iArr[i++])); 	// 파일명
			sb.append(OnLineUtil.fixEndZero(getTotCnt()    , iArr[i++])); 	// 총 DATA RECORD수
			sb.append(OnLineUtil.fixEndZero(getNewRegCnt() , iArr[i++])); 	// 신규등록건수
			sb.append(OnLineUtil.fixEndZero(getChngRegCnt(), iArr[i++])); 	// 변경등록건수
			sb.append(OnLineUtil.fixEndZero(getClosRegCnt(), iArr[i++])); 	// 해지등록건수
			sb.append(OnLineUtil.fixEndZero(getDsctRegCnt(), iArr[i++])); 	// 임의해지건수
			sb.append(OnLineUtil.fillSpace (getFiller()    , iArr[i++])); 	// FILLER
			sb.append(OnLineUtil.fillSpace (getMacVrfcVal(), iArr[i++])); 	// MAC 값 검증값

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}
		return sb.toString();
	}


	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}

	public void setSnum(String snum) {
		this.snum = snum;
	}

	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}

	public void setTotCnt(String totCnt) {
		this.totCnt = totCnt;
	}

	public void setNewRegCnt(String newRegCnt) {
		this.newRegCnt = newRegCnt;
	}

	public void setChngRegCnt(String chngRegCnt) {
		this.chngRegCnt = chngRegCnt;
	}

	public void setClosRegCnt(String closRegCnt) {
		this.closRegCnt = closRegCnt;
	}

	public void setDsctRegCnt(String dsctRegCnt) {
		this.dsctRegCnt = dsctRegCnt;
	}

	public void setFiller(String filler) {
		this.filler = filler;
	}

	public void setMacVrfcVal(String macVrfcVal) {
		this.macVrfcVal = macVrfcVal;
	}


	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getSnum() {
		return snum;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}

	public String getFileNm() {
		return fileNm;
	}

	public String getTotCnt() {
		return totCnt;
	}

	public String getNewRegCnt() {
		return newRegCnt;
	}

	public String getChngRegCnt() {
		return chngRegCnt;
	}

	public String getClosRegCnt() {
		return closRegCnt;
	}

	public String getDsctRegCnt() {
		return dsctRegCnt;
	}

	public String getFiller() {
		return filler;
	}

	public String getMacVrfcVal() {
		return macVrfcVal;
	}

}
