package hanalife.r.at.vo.bat;

import java.util.Arrays;
import java.util.List;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

//수신전문
/**
 * <pre>
 * 클래스명    : EC22Header
 * 클래스설명 : EC22Header
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EC22Header extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,8,6,7,16,94};

	private String recTypeCd; //RECORD구분   (1 )
	private String snum; //일련번호          (8 )
	private String trOrgCd; //기관코드       (10)
	private String fileNm; //파일명          (8 )
	private String OamtDt; //출금일자(6 )
	private String trBankCd; //주거래은행코드 (7 )
	private String iamtAcntNo; //입금계좌번호(16 )
	private String filler; //FILLER          (94 )

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen, "euc-kr");

			int i = 0;
			setRecTypeCd(strArr[i++]); //RECORD구분
			setSnum(strArr[i++]); //일련번호
			setTrOrgCd(strArr[i++]); //기관코드
			setFileNm(strArr[i++]); //파일명
			setOamtDt(strArr[i++]); //출금일자
			setTrBankCd(strArr[i++]); //주거래은행코드
			setIamtAcntNo(strArr[i++]); //입금계좌번호
			setFiller(strArr[i++]); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuilder sb = new StringBuilder(150); // ??????
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecTypeCd(), iArr[i++])); //RECORD구분
			sb.append(OnLineUtil.fixEndZero(getSnum(), iArr[i++])); //일련번호
			sb.append(OnLineUtil.fillSpace(getTrOrgCd(), iArr[i++])); //기관코드
			sb.append(OnLineUtil.fillSpace(getFileNm(), iArr[i++])); //파일명
			sb.append(OnLineUtil.fillSpace(getOamtDt(), iArr[i++])); //출금일자
			sb.append(OnLineUtil.fill(getTrBankCd(), iArr[i++], "0")); //주거래은행코드
			sb.append(OnLineUtil.fillSpace(getIamtAcntNo(), iArr[i++])); //입금계좌번호
			sb.append(OnLineUtil.fillSpace(getFiller(), iArr[i++])); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}

	public void setDataCsv(String csvStr){

		List<String> strArr = Arrays.asList(csvStr.split(",",-1));

		int i = 0;
		setRecTypeCd(strArr.get(i++)); //RECORD구분
		setSnum(strArr.get(i++)); //일련번호
		setTrOrgCd(strArr.get(i++)); //기관코드
		setFileNm(strArr.get(i++)); //파일명
		setOamtDt(strArr.get(i++)); //출금일자
		setTrBankCd(strArr.get(i++)); //주거래은행코드
		setIamtAcntNo(strArr.get(i++)); //입금계좌번호
		setFiller(strArr.get(i++)); //FILLER
	}

	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getSnum() {
		return snum;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}

	public String getFileNm() {
		return fileNm;
	}

	public String getFiller() {
		return filler;
	}

	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}

	public void setSnum(String snum) {
		this.snum = snum;
	}

	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}

	public void setFiller(String filler) {
		this.filler = filler;
	}

	public String getOamtDt() {
		return OamtDt;
	}

	public void setOamtDt(String oamtDt) {
		OamtDt = oamtDt;
	}

	public String getTrBankCd() {
		return trBankCd;
	}

	public void setTrBankCd(String trBankCd) {
		this.trBankCd = trBankCd;
	}

	public String getIamtAcntNo() {
		return iamtAcntNo;
	}

	public void setIamtAcntNo(String iamtAcntNo) {
		this.iamtAcntNo = iamtAcntNo;
	}

}
