package hanalife.r.at.vo.bat;

import java.util.Arrays;
import java.util.List;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

/**
 * <pre>
 * 클래스명    : EC22Trailer
 * 클래스설명 : EC22Trailer
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EC22Trailer extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,8,8,8,13,8,13,8,4,11,11,29,10};

	private String recTypeCd; //RECORD구분    (1 )
	private String snum; //일련번호           (8 )
	private String trOrgCd; //기관코드        (10)
	private String fileNm; //파일명           (8 )
	private String totCnt; //총 DATA RECORD수 (8 )
	private String tamtOamtIpssCnt; //전액출금 불능건수
	private String tamtOamtIpss; //전액출금 불능금액
	private String partOamtIpssCnt; //부분출금 불능건수
	private String partOamtIpss; //부분출금 불능금액
	private String cntrVrfCnt; //센터검증 오류건수
	private String filler; //FILLER
	private String OamtFee; //츨금은행수수료
	private String IamtFee; //입금은행수수료
	private String filler2; //FILLER2
	private String macVrfcVal; //MAC 값 검증값(10)

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen, "euc-kr");

			int i = 0;
			setRecTypeCd(strArr[i++]); //RECORD구분
			setSnum(strArr[i++]); //일련번호
			setTrOrgCd(strArr[i++]); //기관코드
			setFileNm(strArr[i++]); //파일명
			setTotCnt(strArr[i++]); //총 DATA RECORD수
			setTamtOamtIpssCnt(strArr[i++]); //전액출금 불능건수
			setTamtOamtIpss(strArr[i++]); //전액출금 불능금액
			setPartOamtIpssCnt(strArr[i++]); //부분출금 불능건수
			setPartOamtIpss(strArr[i++]); //부분출금 불능금액
			setCntrVrfCnt(strArr[i++]); //센터검증 오류건수
			setFiller(strArr[i++]); //FILLER
			setOamtFee(strArr[i++]); //츨금은행수수료
			setIamtFee(strArr[i++]); //입금은행수수료
			setFiller2(strArr[i++]); //FILLER2
			setMacVrfcVal(strArr[i++]); //MAC 값 검증값

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuilder sb = new StringBuilder(150);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecTypeCd(), iArr[i++])); //RECORD구분
			sb.append(OnLineUtil.fixEndZero(getSnum(), iArr[i++])); //일련번호
			sb.append(OnLineUtil.fillSpace(getTrOrgCd(), iArr[i++])); //기관코드
			sb.append(OnLineUtil.fillSpace(getFileNm(), iArr[i++])); //파일명
			sb.append(OnLineUtil.fixEndZero(getTotCnt(), iArr[i++])); //총 DATA RECORD수
			sb.append(OnLineUtil.fixEndZero(getTamtOamtIpssCnt(), iArr[i++])); //전액출금 불능건수
			sb.append(OnLineUtil.fixEndZero(getTamtOamtIpss(), iArr[i++])); //전액출금 불능금액
			sb.append(OnLineUtil.fixEndZero(getPartOamtIpssCnt(), iArr[i++])); //부분출금 불능건수
			sb.append(OnLineUtil.fixEndZero(getPartOamtIpss(), iArr[i++])); //부분출금 불능금액
			sb.append(OnLineUtil.fixEndZero(getCntrVrfCnt(), iArr[i++])); //센터검증 오류건수
			sb.append(OnLineUtil.fillSpace(getFiller(), iArr[i++])); // FILLER
			sb.append(OnLineUtil.fixEndZero(getOamtFee(), iArr[i++])); //츨금은행수수료
			sb.append(OnLineUtil.fixEndZero(getIamtFee(), iArr[i++])); //입금은행수수료
			sb.append(OnLineUtil.fillSpace(getFiller2(), iArr[i++])); //FILLER2
			sb.append(OnLineUtil.fillSpace(getMacVrfcVal(), iArr[i++])); //MAC 값 검증값

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}

	public void setDataCsv(String csvStr){

		List<String> strArr = Arrays.asList(csvStr.split(",", -1));

		int i = 0;
		setRecTypeCd(strArr.get(i++)); //RECORD구분
		setSnum(strArr.get(i++)); //일련번호
		setTrOrgCd(strArr.get(i++)); //기관코드
		setFileNm(strArr.get(i++)); //파일명
		setTotCnt(strArr.get(i++)); //총 DATA RECORD수
		setTamtOamtIpssCnt(strArr.get(i++)); //전액출금 불능건수
		setTamtOamtIpss(strArr.get(i++)); //전액출금 불능금액
		setPartOamtIpssCnt(strArr.get(i++)); //부분출금 불능건수
		setPartOamtIpss(strArr.get(i++)); //부분출금 불능금액
		setCntrVrfCnt(strArr.get(i++)); //센터검증 오류건수
		setFiller(strArr.get(i++)); //FILLER
		setOamtFee(strArr.get(i++)); //츨금은행수수료
		setIamtFee(strArr.get(i++)); //입금은행수수료
		setFiller2(strArr.get(i++)); //FILLER2
		setMacVrfcVal(strArr.get(i++)); //MAC 값 검증값
	}


	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}

	public void setSnum(String snum) {
		this.snum = snum;
	}

	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}

	public void setTotCnt(String totCnt) {
		this.totCnt = totCnt;
	}

	public void setMacVrfcVal(String macVrfcVal) {
		this.macVrfcVal = macVrfcVal;
	}

	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getSnum() {
		return snum;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}

	public String getFileNm() {
		return fileNm;
	}

	public String getTotCnt() {
		return totCnt;
	}

	public String getMacVrfcVal() {
		return macVrfcVal;
	}

	public String getCntrVrfCnt() {
		return cntrVrfCnt;
	}

	public void setCntrVrfCnt(String cntrVrfCnt) {
		this.cntrVrfCnt = cntrVrfCnt;
	}

	public String getFiller() {
		return filler;
	}

	public void setFiller(String filler) {
		this.filler = filler;
	}

	public String getOamtFee() {
		return OamtFee;
	}

	public void setOamtFee(String oamtFee) {
		OamtFee = oamtFee;
	}

	public String getIamtFee() {
		return IamtFee;
	}

	public void setIamtFee(String iamtFee) {
		IamtFee = iamtFee;
	}

	public String getFiller2() {
		return filler2;
	}

	public void setFiller2(String filler2) {
		this.filler2 = filler2;
	}

	public String getTamtOamtIpssCnt() {
		return tamtOamtIpssCnt;
	}

	public void setTamtOamtIpssCnt(String tamtOamtIpssCnt) {
		this.tamtOamtIpssCnt = tamtOamtIpssCnt;
	}

	public String getTamtOamtIpss() {
		return tamtOamtIpss;
	}

	public void setTamtOamtIpss(String tamtOamtIpss) {
		this.tamtOamtIpss = tamtOamtIpss;
	}

	public String getPartOamtIpssCnt() {
		return partOamtIpssCnt;
	}

	public void setPartOamtIpssCnt(String partOamtIpssCnt) {
		this.partOamtIpssCnt = partOamtIpssCnt;
	}

	public String getPartOamtIpss() {
		return partOamtIpss;
	}

	public void setPartOamtIpss(String partOamtIpss) {
		this.partOamtIpss = partOamtIpss;
	}

}
