package hanalife.r.ch.mn.service;

import hanalife.r.ch.mn.vo.RCHMNM01InVO;
import hanalife.r.ch.mn.vo.RCHMNM01OutVO;

/**
 * <pre>
 * 클래스명    : RCHMNM01Service.java Class
 * 클래스설명  : 결제일변경관리 (RDMDLM01) Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface RCHMNM01Service {

    /**
     * <p>메소드명      : getSelectMainInfo : 결제일변경관리 기본정보 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리 기본정보 조회 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO getSelectMainInfo(RCHMNM01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getSelectChngDueDtInfo : 결제일변경관리_납입회차로 납입일자 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리_납입회차로 납입일자를 조회 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO getSelectChngDueDtInfo(RCHMNM01InVO inVo) throws Exception;


    /**
    * <p>메소드명      : getSelectPsgIntInfo : 경과이자 조회</p>
    * <p>작성일자      : 2023. 3. 13.
    * <p>작성자(author): 70319
    * <p>설명          : 경과이자를 조회 한다.</p>
    * <p>메소드인수    : RCHMNM01InVO </p>
    * <p>메소드리턴값  : RCHMNM01OutVO</p>
    * <p>예외처리      : Exception</p>
    */
   public RCHMNM01OutVO getSelectPsgIntInfo(RCHMNM01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : registerRCHMNM01I01 : 결제일변경관리_품의등록 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리_품의등록 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO registerRCHMNM01I01(RCHMNM01InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : registerRCHMNM01I02 : 결제일변경관리_품의승인 </p>
     * <p>작성일자      : 2023. 3. 17.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리_품의승인 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO registerRCHMNM01I02(RCHMNM01InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : registerRCHMNM01I03 : 결제일변경관리_거절 </p>
     * <p>작성일자      : 2023. 3. 22.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리_거절 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO registerRCHMNM01I03(RCHMNM01InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : registerRCHMNM01I04 : 결제일변경관리_결제일변경취소 </p>
     * <p>작성일자      : 2023. 3. 22.
     * <p>작성자(author): 70319
     * <p>설명          : 결제일변경관리_결제일변경취소 한다.</p>
     * <p>메소드인수    : RCHMNM01InVO </p>
     * <p>메소드리턴값  : RCHMNM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RCHMNM01OutVO registerRCHMNM01I04(RCHMNM01InVO targetVo) throws Exception;

}
