package hanalife.r.ch.pl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSD01DTO;
import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSD02DTO;
import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSD03DTO;
import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSD04DTO;
import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSD05DTO;
import hanalife.r.ch.pl.mapper.dto.AskPlcChngDSASKPLCCHNGSMDTO;

@Mapper("AskPlcChngMapper")
public interface AskPlcChngMapper {

    /**
     * <pre>
     * 메소드명      : searchLoanRelMan
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 청구지변경관리_고객정보을(를) 조회 한다.
     * 메소드인수1   : 청구지변경관리_고객정보 입력
     * 메소드리턴값  : 청구지변경관리_고객정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public String searchLoanRelMan(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchAskPlcChngCustDetail
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_고객정보을(를) 조회 한다.
	 * 메소드인수1   : 청구지변경관리_고객정보 입력
	 * 메소드리턴값  : 청구지변경관리_고객정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<AskPlcChngDSASKPLCCHNGSD01DTO> searchAskPlcChngCustDetail(AskPlcChngDSASKPLCCHNGSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchAskPlcChngCustAddr
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_고객주소을(를) 조회 한다.
	 * 메소드인수1   : 청구지변경관리_고객주소 입력
	 * 메소드리턴값  : 청구지변경관리_고객주소 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<AskPlcChngDSASKPLCCHNGSD02DTO> searchAskPlcChngCustAddr(AskPlcChngDSASKPLCCHNGSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchAskPlcChng
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_대출정보을(를) 조회 한다.
	 * 메소드인수1   : 청구지변경관리_대출정보 입력
	 * 메소드리턴값  : 청구지변경관리_대출정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<AskPlcChngDSASKPLCCHNGSD03DTO> searchAskPlcChng(AskPlcChngDSASKPLCCHNGSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchAskPlcChngLoanRlDueMan
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_변경이력을(를) 조회 한다.
	 * 메소드인수1   : 청구지변경관리_변경이력 입력
	 * 메소드리턴값  : 청구지변경관리_변경이력 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<AskPlcChngDSASKPLCCHNGSD04DTO> searchAskPlcChngLoanRlDueMan(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchAskPlcChngLoanRlDueManGetValue
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_변경전정보을(를) 조회 한다.
	 * 메소드인수1   : 청구지변경관리_변경전정보 입력
	 * 메소드리턴값  : 청구지변경관리_변경전정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<AskPlcChngDSASKPLCCHNGSD05DTO> searchAskPlcChngLoanRlDueManGetValue(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : insertAskPlcChngStLoanRelMan
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_대출관계자을(를) 등록 한다.
	 * 메소드인수1   : 청구지변경관리_대출관계자 입력
	 * 메소드리턴값  : 청구지변경관리_대출관계자 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int insertAskPlcChngStLoanRelMan(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateAskPlcChngStLoanRelMan
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리_대출관계자을(를) 수정 한다.
	 * 메소드인수1   : 청구지변경관리_대출관계자 입력
	 * 메소드리턴값  : 청구지변경관리_대출관계자 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateAskPlcChngStLoanRelMan(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateAskPlcChng
	 * 작성일자      : 2023. 3. 15.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 청구지변경관리을(를) 수정 한다.
	 * 메소드인수1   : 청구지변경관리 입력
	 * 메소드리턴값  : 청구지변경관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateAskPlcChng(AskPlcChngDSASKPLCCHNGSD03DTO inDto) throws Exception;

}
