package hanalife.r.co.as.vo;

import org.apache.commons.lang.StringUtils;

import hanalife.c.co.contants.Constants;



/**
 * <pre>
 * 클래스명    : DlyCalcVO
 * 클래스설명 : 연체계산 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyCalcVO extends ValueObj {
	public String loanNo;		//대출_번호
	public String loanSeq;		//대출_순번
	public int tims;			//회차
	public String dueDt;		//납입_일자
	public String rlDueDt;		//실납입_일자
	public long dlyAmt;			//연체_금액
	public String dlyCalcDt;	//연체_계산_일자
	public String dfeeCalcDt;	//연체료_계산_일자
	public String setlDt;		//결제_예정일자 -> 결제일자
	public int thmmDueTims;		//당월_납입_회차
	public String thmmRlDueDt;	//당월_실_납입_일자
	public long dfee;			//연체료
	public long holyDfee;		//휴일연체료
	public int dlyDdcnt;		//연체_일수
	public int occrDlyDdcnt;	//발생_연체_일수
	public int dlyMmCnt;		//연체_개월수
	public int dlyTcnt;			//연체_횟수
	public double dfeeRt;		//연체료율 (대출이자율+가산연체이자율)
	public double addDfeeRt;	//가산연체료율
	public double loseDfeeRt;	//상실연체료율 (2018-08-01 두비스 추가)
	public String dlyCalcSdt;	//연체료계산_시작일 (기간별연체료_툴팁용)
	public String dlyCalcEdt;	//연체료계산_종료일 (기간별연체료_툴팁용)
	public String thmmDueDt;	//당월납입일자
	public String lastSetlDt;

	public String loseCalcStrtDt;
	public String loseCalcEndDt;
	public String loseIntPsgStrtDt;
	public String loseIntPsgEndDt;
	public String loseIntCalcStrtDt;
	public String loseIntCalcEndDt;
	public long loseBalPamt;
	public long loseObjPsgInt;
	public String loseDueDt;
	public String loseRvvlFg;
	public String loseFg;

	public long loseRamtDfee;		//상실_잔액연체료(상실이자)
	public long losePsgInt;
	public int losePsgDdcnt;
	public int loseIntPsgDdcnt;
	public int loseTimsDdcnt;
	public String loseDt;
	public String isLoseTims;	// 상실여부(현재회차)
	public String isLoseTims1;	// 상실 첫회차여부

	public String subStartDlyDt; //연체시작일자( 2018-08-01 추가)
	public String subEndDlyDt;   //연체종료일자( 2018-08-01 추가)
	public long timsBfAskPamt;   //연체_원금액( 2018-08-01 추가)
	public long askInt;          //회차_청구_이자
	public double stndRt;        //정상이자율 ( 2018-08-01 추가)
	public String rmbrFrmlCd;    //상환방식코드
	public String tooltipFg;

	public boolean isAddOneDayDfee;
	public boolean isAddOneDayLoseDfee;
	public String dlyToolTip;

	public DlyCalcVO(){
		init();
	}

	public void init(){
		loanNo =StringUtils.EMPTY;	//대출_번호
		loanSeq=StringUtils.EMPTY;	//대출_순번
		tims=0; 					//회차
		dueDt=StringUtils.EMPTY;	//납입_일자
		rlDueDt=StringUtils.EMPTY;	//실_납입_일자
		dlyAmt=0; //연체_금액
		dlyCalcDt=StringUtils.EMPTY; //연체_계산_일자
		setlDt=StringUtils.EMPTY; //결제_예정일자
		thmmDueTims=0;	//당월_납입_회차
		thmmRlDueDt=StringUtils.EMPTY; //당월_실_납입_일자
		dfee=0;			//연체료
		holyDfee=0;		//휴일연체료
		dlyDdcnt=0;		//연체_일수
		occrDlyDdcnt=0;	//발생_연체_일수
		dlyMmCnt=0;		//연체_개월수
		dlyTcnt=0;		//연체_횟수
		dfeeRt=0;		//연체료율
		addDfeeRt=0;	//가산연체료율
		loseDfeeRt=0;	//상실연체료율
		dlyCalcSdt="";	//연체료계산_시작일
		dlyCalcEdt="";	//연체료계산_종료일
		thmmDueDt =StringUtils.EMPTY; //당월납입일자

		lastSetlDt = StringUtils.EMPTY;
		loseCalcStrtDt = StringUtils.EMPTY;
		loseCalcEndDt = StringUtils.EMPTY;
		loseIntPsgStrtDt = StringUtils.EMPTY;
		loseIntPsgEndDt = StringUtils.EMPTY;
		loseIntCalcStrtDt = StringUtils.EMPTY;
		loseIntCalcEndDt  = StringUtils.EMPTY;
		loseBalPamt=0;
		loseObjPsgInt=0;
		loseDueDt=StringUtils.EMPTY;
		loseRvvlFg="0";
		loseFg="0";

		loseRamtDfee = 0;
		losePsgInt   = 0;
		loseIntPsgDdcnt = 0;
		losePsgDdcnt = 0;
		loseTimsDdcnt= 0;
		loseDt       = StringUtils.EMPTY;
		isLoseTims  = "0";
		isLoseTims1 = "0";
		timsBfAskPamt = 0 ;
		askInt = 0;
		subStartDlyDt  = StringUtils.EMPTY;
		subEndDlyDt     = StringUtils.EMPTY;
		stndRt = 0 ;
		rmbrFrmlCd = StringUtils.EMPTY;

		isAddOneDayDfee = false;
		isAddOneDayLoseDfee = false;
		tooltipFg = "0";
		dlyToolTip = "";
	}

	public boolean isTooltipShow(){
		return Constants.YES.equals(this.tooltipFg);
	}
}
