package hanalife.r.co.as.vo;

import java.util.ArrayList;
import java.util.List;

@SuppressWarnings({"rawtypes","unchecked"})
/**
 * <pre>
 * 클래스명    : HmAskUnrcvProcVO
 * 클래스설명 : 통합청구미수처리 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class HmAskUnrcvProcVO  {

	private String setlDt = ""; //결제일자
	private String searchDivCd = ""; //조회구분코드(L-대출,C-고객)
	private String searchLoanStatCd = "*"; //조회대출상태코드(2-진행,*-전체)
	private String searchLoanNo = ""; //조회대출번호
	private String searchLoanSeq = ""; //조회대출순번
	private String searchCustNo = ""; //조회고객번호
	private String searchPrdtDivCd = "S"; //상품구분코드(L:LEAS,S:할부,일반대출)
	private long pamtRmbrRamt = 0; //중도상환원금
	private String regTm = "";    //등록_시간
	private String regEmpNo = "";    //등록_사원번호
	private String leglActsObjFg = "0"; //법적조치대상여부
	private String dlyFg = "0"; //3회연체여부
	private String loanMainContFg = "0"; //대출주계약자여부
	private String loanContFg = "0"; //대출계약자여부
	private String loanRlDueFg = "0"; //대출실납입자여부
	private String loanEtcFg = "0"; //대출기타관계자
	private String loanStatRegFg = "0"; //대출상태등록여부
	private String loanStatCnfmFg = "0"; //대출상태확정여부
	private String loanStatEndFg = "0"; //대출상태종료여부
	private List loanVOList = new ArrayList();              // 주소 리스트
	private List loanTimsVOList = new ArrayList();              // 주소 리스트
	//특수채권에러처리
	private String spclBndFg = "0";	//특수채권조회여부
	//모기지양도채권
	private String mloanLmitFg = "0";	//모기지제한여부
	//대출최종여부
	private String loanLastFg = "1";	//대출최종여부
	//대출최종여부
	private String depsFg = "0";	//공탁금여부
	//연체chk여부
	private String dlyChkFg = "1";	//연체chk여부
	//법적조치chk여부
	private String leglChkFg = "1";	//법적조치chk여부

	private String rsltCd = "000";        // 결과코드
	private String rsltCntn = "정상처리되었습니다.";         // 결과내용

	public List getLoanVOList() {
		return loanVOList;
	}

	public void setLoanVOList(List loanVOList) {
		this.loanVOList = loanVOList;
	}

	public void addLoanVO(HmLoanVO obj ){
		loanVOList.add(obj);
	}

	public HmLoanVO getLoanVOList(int idx){
		return (HmLoanVO) loanVOList.get(idx);
	}


	public List getLoanTimsVOList() {
		return loanTimsVOList;
	}

	public void setLoanTimsVOList(List loanTimsVOList) {
		this.loanTimsVOList = loanTimsVOList;
	}

	public void addLoanTimsVO(HmLoanTimsVO obj ){
		loanTimsVOList.add(obj);
	}

	public HmLoanTimsVO getLoanTimsVOList(int idx){
		return (HmLoanTimsVO) loanTimsVOList.get(idx);
	}

	public String getRegEmpNo() {
		return regEmpNo;
	}

	public void setRegEmpNo(String regEmpNo) {
		this.regEmpNo = regEmpNo;
	}

	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public void setRegTm(String regTm) {
		this.regTm = regTm;
	}

	public void setSearchLoanStatCd(String searchLoanStatCd) {
		this.searchLoanStatCd = searchLoanStatCd;
	}

	public void setSearchDivCd(String searchDivCd) {
		this.searchDivCd = searchDivCd;
	}

	public void setSearchLoanNo(String searchLoanNo) {
		this.searchLoanNo = searchLoanNo;
	}

	public void setSearchCustNo(String searchCustNo) {
		this.searchCustNo = searchCustNo;
	}

	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}

	public void setPamtRmbrRamt(long pamtRmbrRamt) {
		this.pamtRmbrRamt = pamtRmbrRamt;
	}

	public void setLeglActsObjFg(String leglActsObjFg) {
		this.leglActsObjFg = leglActsObjFg;
	}

	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}

	public void setLoanStatRegFg(String loanStatRegFg) {
		this.loanStatRegFg = loanStatRegFg;
	}

	public void setLoanStatEndFg(String loanStatEndFg) {
		this.loanStatEndFg = loanStatEndFg;
	}

	public void setLoanStatCnfmFg(String loanStatCnfmFg) {
		this.loanStatCnfmFg = loanStatCnfmFg;
	}

	public void setLoanRlDueFg(String loanRlDueFg) {
		this.loanRlDueFg = loanRlDueFg;
	}

	public void setLoanEtcFg(String loanEtcFg) {
		this.loanEtcFg = loanEtcFg;
	}

	public void setLoanContFg(String loanContFg) {
		this.loanContFg = loanContFg;
	}

	public void setLoanMainContFg(String loanMainContFg) {
		this.loanMainContFg = loanMainContFg;
	}

	public void setSearchPrdtDivCd(String searchPrdtDivCd) {
		this.searchPrdtDivCd = searchPrdtDivCd;
	}

	public String getRegTm() {
		return regTm;
	}

	public String getRsltCd() {
		return rsltCd;
	}

	public String getRsltCntn() {
		return rsltCntn;
	}

	public String getSearchLoanStatCd() {
		return searchLoanStatCd;
	}

	public String getSearchDivCd() {
		return searchDivCd;
	}

	public String getSearchLoanNo() {
		return searchLoanNo;
	}

	public String getSearchCustNo() {
		return searchCustNo;
	}

	public String getSetlDt() {
		return setlDt;
	}

	public long getPamtRmbrRamt() {
		return pamtRmbrRamt;
	}

	public String getLeglActsObjFg() {
		return leglActsObjFg;
	}

	public String getDlyFg() {
		return dlyFg;
	}

	public String getLoanStatRegFg() {
		return loanStatRegFg;
	}

	public String getLoanStatEndFg() {
		return loanStatEndFg;
	}

	public String getLoanStatCnfmFg() {
		return loanStatCnfmFg;
	}

	public String getLoanRlDueFg() {
		return loanRlDueFg;
	}

	public String getLoanEtcFg() {
		return loanEtcFg;
	}

	public String getLoanContFg() {
		return loanContFg;
	}

	public String getLoanMainContFg() {
		return loanMainContFg;
	}

	public String getSearchPrdtDivCd() {
		return searchPrdtDivCd;
	}

	public String getSpclBndFg() {
		return spclBndFg;
	}

	public void setSpclBndFg(String spclBndFg) {
		this.spclBndFg = spclBndFg;
	}

	public String getMloanLmitFg() {
		return mloanLmitFg;
	}

	public String getLoanLastFg() {
		return loanLastFg;
	}

	public String getDepsFg() {
		return depsFg;
	}

	public String getSearchLoanSeq() {
		return searchLoanSeq;
	}

	public String getLeglChkFg() {
		return leglChkFg;
	}

	public String getDlyChkFg() {
		return dlyChkFg;
	}

	public void setMloanLmitFg(String mloanLmitFg) {
		this.mloanLmitFg = mloanLmitFg;
	}

	public void setLoanLastFg(String loanLastFg) {
		this.loanLastFg = loanLastFg;
	}

	public void setDepsFg(String depsFg) {
		this.depsFg = depsFg;
	}

	public void setSearchLoanSeq(String searchLoanSeq) {
		this.searchLoanSeq = searchLoanSeq;
	}

	public void setLeglChkFg(String leglChkFg) {
		this.leglChkFg = leglChkFg;
	}

	public void setDlyChkFg(String dlyChkFg) {
		this.dlyChkFg = dlyChkFg;
	}
}
