package hanalife.r.co.at.vo;

import hanalife.r.co.at.service.AcntChkGramService;
import hanalife.util.LoggableVO;

/**
 * <pre>
 * 클래스명    : AcntChkGramVO
 * 클래스설명 : 계좌확인전문처리 I/O VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AcntChkGramVO extends LoggableVO{

    private String bsnDivCd; //업무 구분코드
    private String trDivCd; //거래 구분코드
    private String bankCd; //은행_코드
    private String acntNo; //계좌번호
    private String depoOwnNo; //예금주번호
    private String depoOwnNm; //예금주명
    private String moAcntNo;	//모계좌번호
    private String moBankCd;

    //출력용
    private String acntCnfmNo; //계좌 확인 번호
    private String cnfmDepoOwnnm; //확인 예금주명
    private String acntRsltCd; //계좌 결과 코드
    private String rsltCd = "0000"; //결과 코드
    private String rsltCntn; //결과 내용
    /**
     * @deprecated 사용하지 않는다. 과거소스 호환을 위해 isSuccess() isDepoNmError()로 확인해야함.
     */
    @Deprecated
	private String sendStatCd; //전송상태코드(리턴값)
    private String procEmpNo; //처리_사원_번호

    //내부전용
    private String vndrCd; //업체코드
    private String trOrgCd; //거래기관코드
    private String procDt;
    private String procTm;

    private String clientIp;
    private String empNo;
    private String prgmNo;
    private String traceId;

    public boolean isSuccess(){
        return "0000".equals(rsltCd);
    }

    public boolean isDepoNmError(){
        return AcntChkGramService.ACNT_CHK_DEPO_NM_ERR.equals(rsltCd);
    }

    public String getAcntCnfmNo() {
        return (acntCnfmNo != null) ? acntCnfmNo : "";
    }

    public void setAcntCnfmNo(String acntCnfmNo) {
        this.acntCnfmNo = acntCnfmNo;
    }

    public String getAcntNo() {
        return (acntNo != null) ? acntNo : "";
    }

    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }

    public String getAcntRsltCd() {
        return (acntRsltCd != null) ? acntRsltCd : "";
    }

    public void setAcntRsltCd(String acntRsltCd) {
        this.acntRsltCd = acntRsltCd;
    }

    public String getBankCd() {
        return (bankCd != null) ? bankCd : "";
    }

    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }

    public String getBsnDivCd() {
        return (bsnDivCd != null) ? bsnDivCd : "";
    }

    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }

    public String getCnfmDepoOwnnm() {
        return (cnfmDepoOwnnm != null) ? cnfmDepoOwnnm : "";
    }

    public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
        this.cnfmDepoOwnnm = cnfmDepoOwnnm;
    }

    public String getDepoOwnNm() {
        return (depoOwnNm != null) ? depoOwnNm : "";
    }

    public void setDepoOwnNm(String depoOwnNm) {
        this.depoOwnNm = depoOwnNm;
    }

    public String getDepoOwnNo() {
        return (depoOwnNo != null) ? depoOwnNo : "";
    }

    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }

    public String getRsltCd() {
        return (rsltCd != null) ? rsltCd : "";
    }

    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }

    public String getRsltCntn() {
        return (rsltCntn != null) ? rsltCntn : "";
    }

    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }

    public String getTrDivCd() {
        return (trDivCd != null) ? trDivCd : "";
    }

    public void setTrDivCd(String trDivCd) {
        this.trDivCd = trDivCd;
    }

    public String getSendStatCd() {
        return (sendStatCd != null) ? sendStatCd : "";
    }

    public String getProcEmpNo() {
        return (procEmpNo != null) ? procEmpNo : "";
    }

    public void setSendStatCd(String sendStatCd) {
        this.sendStatCd = sendStatCd;
    }

    public void setProcEmpNo(String procEmpNo) {
        this.procEmpNo = procEmpNo;
    }

    public String getVndrCd() {
        return (vndrCd != null) ? vndrCd : "";
    }

    public void setVndrCd(String vndrCD) {
        this.vndrCd = vndrCD;
    }


	/**
	 * @return Returns the procDt.
	 */
	public String getProcDt() {
		return procDt;
	}
	/**
	 * @param procDt The procDt to set.
	 */
	public void setProcDt(String procDt) {
		this.procDt = procDt;
	}
	/**
	 * @return Returns the procTm.
	 */
	public String getProcTm() {
		return procTm;
	}
	/**
	 * @param procTm The procTm to set.
	 */
	public void setProcTm(String procTm) {
		this.procTm = procTm;
	}
	/**
	 * @return Returns the trOrgCd.
	 */
	public String getTrOrgCd() {
		return trOrgCd;
	}
	/**
	 * @param trOrgCd The trOrgCd to set.
	 */
	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public String getMoAcntNo() {
		return moAcntNo;
	}

	public void setMoAcntNo(String moAcntNo) {
		this.moAcntNo = moAcntNo;
	}

    public String getMoBankCd() {
        return moBankCd;
    }

    public void setMoBankCd(String moBankCd) {
        this.moBankCd = moBankCd;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getEmpNo() {
        return empNo;
    }

    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }

    public String getPrgmNo() {
        return prgmNo;
    }

    public void setPrgmNo(String prgmNo) {
        this.prgmNo = prgmNo;
    }

    public String getTraceId() {
        return traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }
}
