package hanalife.r.co.im.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.co.im.mapper.dto.ImgAcntProcDTO;

@Mapper("ImgAcntProcMapper")
public interface ImgAcntProcMapper {

    /**
     * <pre>
     * 메소드명      : searchImgAcntBaseReg
     * 작성일자      : 2023. 3. 9.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 신규가상계좌번호을(를) 조회 한다.
     * 메소드인수1   : 신규가상계좌번호 입력
     * 메소드리턴값  : 신규가상계좌번호 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ImgAcntProcDTO> searchImgAcntBaseReg(ImgAcntProcDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchImgAcntBase
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌정보을(를) 조회 한다.
	 * 메소드인수1   : 가상계좌정보 입력
	 * 메소드리턴값  : 가상계좌정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<ImgAcntProcDTO> searchImgAcntBase(ImgAcntProcDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateImgAcntDesc
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌정보을(를) 수정 한다.
	 * 메소드인수1   : 가상계좌정보 수정
	 * 메소드리턴값  : 가상계좌정보 수정
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateImgAcntDesc(ImgAcntProcDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : insertImgAcntHistReg
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌이력을(를) 등록 한다.
	 * 메소드인수1   : 가상계좌이력 입력
	 * 메소드리턴값  : 가상계좌이력 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int insertImgAcntHistReg(ImgAcntProcDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateLoanBase
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌대출정보을(를) 수정 한다.
	 * 메소드인수1   : 가상계좌대출정보 입력
	 * 메소드리턴값  : 가상계좌대출정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateLoanBase(ImgAcntProcDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateImgAcntHistClos
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌이력을(를) 수정 한다.
	 * 메소드인수1   : 가상계좌이력 입력
	 * 메소드리턴값  : 가상계좌이력 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateImgAcntHistClos(ImgAcntProcDTO inDto) throws Exception;
}
