package hanalife.r.co.la.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanInfoVO.java Class
 * 클래스설명   : 대출정보조회(LoanInfo)를(을) 위한 VO
 * 작성일자     : 2023. 3. 3.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 3.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanInfoVO {
    public static final String loanNo = "loanNo";
    public static final String loanSeq = "loanSeq";
    public static final String contManNo = "contManNo";
    public static final String custNm = "custNm";
    public static final String rlDueManNo = "rlDueManNo";
    public static final String rlDueManNm = "rlDueManNm";
    public static final String recvManNo = "recvManNo";
    public static final String recvManNm = "recvManNm";
    public static final String prdtLrgeClasCd = "prdtLrgeClasCd";
    public static final String prdtLrgeClasNm = "prdtLrgeClasNm";
    public static final String prdtMidClasCd = "prdtMidClasCd";
    public static final String prdtMidClasNm = "prdtMidClasNm";
    public static final String prdtSmClasCd = "prdtSmClasCd";
    public static final String prdtSmClasNm = "prdtSmClasNm";
    public static final String prdtCd = "prdtCd";
    public static final String prdtNm = "prdtNm";
    public static final String rmbrFrmlNm = "rmbrFrmlNm";
    public static final String acctUnitCd = "acctUnitCd";
    public static final String acctUnitNm = "acctUnitNm";
    public static final String mngDeptCd = "mngDeptCd";
    public static final String mngDeptNm = "mngDeptNm";
    public static final String mrtgSmClasNm = "mrtgSmClasNm";
    public static final String loanStatCd = "loanStatCd";
    public static final String loanStatNm = "loanStatNm";
    public static final String bndStatCd = "bndStatCd";
    public static final String bndStatNm = "bndStatNm";
    public static final String setlBankCd = "setlBankCd";
    public static final String setlBankNm = "setlBankNm";
    public static final String setlAcntNo = "setlAcntNo";
    public static final String setlAcntDisp = "setlAcntDisp";
    public static final String acntStatNm = "acntStatNm";
    public static final String autoTranAplyDt = "autoTranAplyDt";
    public static final String imgAcntNo = "imgAcntNo";
    public static final String imgAcntBankCd = "imgAcntBankCd";
    public static final String imgAcntBankNm = "imgAcntBankNm";
    public static final String loanTerm = "loanTerm";
    public static final String loanPiamt = "loanPiamt";
    public static final String loanPamt = "loanPamt";
    public static final String loanInt = "loanInt";
    public static final String rmbrPiamt = "rmbrPiamt";
    public static final String rmbrPamt = "rmbrPamt";
    public static final String rmbrInt = "rmbrInt";
    public static final String rmbrDfee = "rmbrDfee";
    public static final String loanRamt = "loanRamt";
    public static final String loanPamtRamt = "loanPamtRamt";
    public static final String loanIntRamt = "loanIntRamt";
    public static final String setlNo = "setlNo";
    public static final String deliDt = "deliDt";
    public static final String loanDt = "loanDt";
    public static final String eprtDt = "eprtDt";
    public static final String endDt = "endDt";
    public static final String fcntDueDt = "fcntDueDt";
    public static final String loanIntRt = "loanIntRt";
    public static final String dfeeRt = "dfeeRt";
    public static final String trtFeeRt = "trtFeeRt";
    public static final String midRmbrFeeRt = "midRmbrFeeRt";
    public static final String contCnt = "contCnt";
    public static final String guarCnt = "guarCnt";
    public static final String dueMethCd = "dueMethCd";
    public static final String dueMethNm = "dueMethNm";
    public static final String setlDd = "setlDd";
    public static final String rcntSetlDt = "rcntSetlDt";
    public static final String askDt = "askDt";
    public static final String askAmt = "askAmt";
    public static final String dlvrThngCd = "dlvrThngCd";
    public static final String dlvrThngNm = "dlvrThngNm";
    public static final String dlvrDt = "dlvrDt";
    public static final String guidDueDt = "guidDueDt";
    public static final String offcNm = "offcNm";
    public static final String cntcTel1 = "cntcTel1";
    public static final String cntcTel2 = "cntcTel2";
    public static final String cntcTel3 = "cntcTel3";
    public static final String addr = "addr";
    public static final String depsRamt = "depsRamt";
    public static final String termIntCalcFg = "termIntCalcFg";
    public static final String addTermInt = "addTermInt";
    public static final String godsNm = "godsNm";
    public static final String godsCd = "godsCd";
    public static final String godsQty = "godsQty";
    public static final String docKeepPlcNo = "docKeepPlcNo";
    public static final String guarAmt = "guarAmt";
    public static final String guarAmtRt = "guarAmtRt";
    public static final String noguarRamtAmt = "noguarRamtAmt";
    public static final String noguarRAmtRt = "noguarRAmtRt";
    public static final String irr = "irr";
    public static final String pureIrr = "pureIrr";
    public static final String addIrr = "addIrr";
    public static final String leasEprtDt = "leasEprtDt";
    public static final String carsNo = "carsNo";
    public static final String carEnvAdjNm = "carEnvAdjNm";
    public static final String leasStatNm = "leasStatNm";

    // 2018-08-01 두비스 추가
    // public static final String autoTranBankCd = "autoTranBankCd"; //자동이체_은행_코드
    // public static final String autoTranAcntNo = "autoTranAcntNo"; //
    public static final String depoOwnNo = "depoOwnNo"; // 예금주_번호
    public static final String depoOwnnm = "depoOwnnm"; // 예금주명
    public static final String depoOwnRelcd = "depoOwnRelcd"; // 예금주_관계코드
    public static final String autoTranAcntStatCd = "autoTranAcntStatCd"; //

    // 2018-08-01 두비스 추가
    public static final String rlDueManNoTran = "rlDueManNoTran";
    public static final String contManNoTran = "contManNoTran";
    public static final String recvManNoTran = "recvManNoTran";
    public static final String depoOwnNoTran = "depoOwnNoTran"; // 예금주_번호

    // 2018-08-01 두비스 추가
    public static final String trtFee = "trtFee";
    public static final String trtFeeRamt = "trtFeeRamt";
    public static final String rmbrTrtFee = "rmbrTrtFee";
    public static final String exmpTrtFee = "exmpTrtFee";
    public static final String autoTranVndrCd = "autoTranVndrCd";
    public static final String trtFeeIstpFg = "trtFeeIstpFg";

    // 2018-08-01 두비스 추가(자동이체계좌관리 추가요구사항 by 오유경 )
    public static final String askMethCd = "askMethCd";
    public static final String askMethNm = "askMethNm";
    public static final String askFbidFg = "askFbidFg";
    public static final String mrtgClosFbidFg = "mrtgClosFbidFg";

    // 2018-08-01 HSH 추가(해지리스채권수납시 등록 명의 추가 )
    public static final String regNmDivCd = "regNmDivCd";

    // 고객유형에 따라 자동이체계좌 등록 본인만 가능하게 할지 결정하기 위해 추가
    public static final String custTpCd = "custTpCd";
    public static final String custResiNo = "custResiNo";

    public static final String loanBalDlyCnt = "loanBalDlyCnt";

    // 2018-08-01 중도상환수수료면제 관련 추가
    public static final String rsrvOccrSrcpAmt = "rsrvOccrSrcpAmt"; // 조기상환예약_발생가수금
    // 2018-08-01추가
    public static final String nextDueDt = "nextDueDt";

    public static final String custNo = "custNo";
    public static final String stmpFeeUnrcvNo = "stmpFeeUnrcvNo";
    public static final String stmpFeeUnrcvOccrAmt = "stmpFeeUnrcvOccrAmt";
    public static final String stmpFeeUnrcvAdjAmt = "stmpFeeUnrcvAdjAmt";
    public static final String stmpFeeUnrcvRamt = "stmpFeeUnrcvRamt";
}
