package hanalife.r.co.rc.service;

import java.util.List;

import hanalife.r.co.rc.vo.DsrcBaseVO;
import hanalife.r.co.rc.vo.DsrcDescVO;
import hanalife.r.co.rc.vo.IamtUnrcvObjVO;

/**
 * <pre>
 * 클래스명    : RcptDsrcService
 * 클래스설명  : RcptDsrcService
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 22.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface RcptDsrcService {

	/**
	 * 메소드명		: searchOccrDsrc
	 * 설명			: 발생 예가수정보를 조회한다.
	 * 메소드인수1 	: String dsrcNo
	 * 메소드인수2 	: IamtUnrcvObjVO
	 * 메소드리턴값	: List
	 * 예외처리		: N/A
	 */
	public List searchOccrDsrc(String dsrcNo, IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * 메소드명		: createRcptDsrcDesc
	 * 설명			: [수납_예가수_내역]등록
	 * 메소드인수1 	: List
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int createRcptDsrcDesc(List dsrcDescVOList);

	/**
	 * 메소드명		: createRcptDsrcDescForCncl
	 * 설명			: 입금미수.대상 객체에 예가수_내역을 등록한다.
	 * 메소드인수1 	: String dsrcNo
	 * 메소드인수2 	: IamtUnrcvObjVO
	 * 메소드인수3 	: DsrcBaseVO
	 * 메소드인수4 	: DsrcDescVO
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int createRcptDsrcDescForCncl(String dsrcNo, IamtUnrcvObjVO iamtUnrcvObjVO, DsrcBaseVO dsrcBaseVO, DsrcDescVO dsrcDescVO);

	/**
	 * 메소드명		: createDsrcBase
	 * 설명			: [수납_예가수_기본]등록
	 * 메소드인수1 	: List
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int createDsrcBase(List dsrcBaseVOList);

	/**
	 * 메소드명		: updateDsrcBase
	 * 설명			: [수납_예가수_기본]수정
	 * 메소드인수1 	: List
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int updateDsrcBase(List dsrcUpdtVOList);

	/**
	 * 메소드명		: updateRcptDsrcBaseForCncl
	 * 설명			: 입금미수.대상에 대해 예가수 잔액을 수정한다.
	 * 메소드인수1 	: String dsrcNo
	 * 메소드인수2 	: IamtUnrcvObjVO
	 * 메소드인수3 	: DsrcBaseVO
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int updateRcptDsrcBaseForCncl(String dsrcNo, IamtUnrcvObjVO iamtUnrcvObjVO, DsrcBaseVO dsrcBaseVO);

	/**
	 * 메소드명		: updateRcptRfndDescForCncl
	 * 설명			: 입금미수.대상에 대해 예가수 잔액을 수정한다.
	 * 메소드인수1 	: String dsrcNo
	 * 메소드인수2 	: IamtUnrcvObjVO
	 * 메소드인수3 	: DsrcBaseVO
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int updateRcptRfndDescForCncl(String dsrcNo, IamtUnrcvObjVO iamtUnrcvObjVO, DsrcBaseVO dsrcBaseVO);

	/**
	 * 메소드명		: searchDsrcBase
	 * 설명			: 예가수 발생금액 확인
	 * 메소드인수1 	: String dsrcNo
	 * 메소드리턴값	: DsrcBaseVO
	 * 예외처리		: N/A
	 */
	public DsrcBaseVO searchDsrcBase(String dsrcNo);

	/**
	 * 메소드명		: searchDsrcBase
	 * 설명			: 예가수내역에 대해 취소처리한다.
	 *                입금미수.대상 객체에 대하여 수납_예가수_내역을 수정한다.
	 * 메소드인수1 	: String dsrcNo
	 * 메소드인수2 	: IamtUnrcvObjVO
	 * 메소드리턴값	: int
	 * 예외처리		: N/A
	 */
	public int updateRcptDsrcDescForCncl(String dsrcNo, IamtUnrcvObjVO iamtUnrcvObjVO);

}
