package hanalife.r.co.rc.util;

import java.util.HashMap;
import java.util.Map;

@SuppressWarnings({"rawtypes","unchecked"})
/**
 * <pre>
 * 클래스명    : RsltMsg
 * 클래스설명 : 결과코드 - 결과내용 맵핑
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RsltMsg {
	private static Map rsltMap = null;

	static {
		rsltMap = new HashMap();
		createRslt();
	}

	public RsltMsg() {
	}

	/**
	 * <p>메소드명 : createRslt</p>
	 * <p>설명 : Map에 결과코드-결과내용 입력하기</p>
	 * <p>메소드인수1 : </p>
	 * <p>메소드리턴값 : </p>
	 */
	private static void createRslt() {
		rsltMap.put("0001", "결제금액(§1)이 전액상환금액(§2)보다 같거나 큽니다.(전액중도상환 가능합니다!)");
		rsltMap.put("0002", "결제_금액(§1) 전액상환대상금액(§2)보다 커야 합니다.");
		rsltMap.put("0003", "예가수잔액정보가 존재하지 않습니다.");
		rsltMap.put("0004", "면제금액이 정확하지 않습니다.");
		rsltMap.put("0005", "이미 취소 되었거나 취소대상이 존재하지 않습니다.");
		rsltMap.put("0006", "원리금 수납대상금액을 확인하세요!.");
		rsltMap.put("0007", "중도상환 대상금액을 확인하세요!");
		rsltMap.put("0008", "결제_금액이 전액상환금액 보다 작습니다.");
		rsltMap.put("0009", "예가수정산금액이 월불입금보다 클 수 없습니다.");
		rsltMap.put("0010", "예가수정산금액이 전액상환금액 보다 클 수 없습니다.");
		rsltMap.put("0011", "면제금액이 존재시 월불입금 보다 클 수 없습니다.");
		rsltMap.put("0012", "면제금액이 존재 시 전액상환금액  보다 클 수 없습니다.");
		rsltMap.put("0013", "예가수정산금액이 잔여 가수금 보다 클수 없습니다.");
		rsltMap.put("0014", "결제일자(§1)는 예가수결제일자(§2) 이전일수 없습니다.");
		rsltMap.put("0015", "예가수 입금에서는 가수대체가 불가합니다.");
		rsltMap.put("0016", "예가수 입금에서는 면제가 불가합니다.");
		rsltMap.put("0017", "예가수 입금에서는 예가수발생코드가 입력되어야 합니다.");
		rsltMap.put("0018", "취소 처리된 입금입니다.");
		rsltMap.put("0019", "본사 혹은 입력부서에서만 취소가능합니다.");
		rsltMap.put("0020", "추가 입금 정산된 내역이 존재합니다.");
		rsltMap.put("0021", "예가수발생금액이 사용되었습니다.");
		rsltMap.put("0022", "이미 취소 되었거나 취소대상이 존재하지 않습니다.");
		rsltMap.put("0023", "신청일자(§1)보다 결제_일자(§2) 작을 수 없습니다.");
		rsltMap.put("0024", "최근_결제_일자(§1)보다 결제_일자(§2) 작을 수 없습니다.");
		rsltMap.put("0025", "환불 진행중인 예가수는 수납처리 불가합니다.");
		rsltMap.put("0026", "송금처리 중 오류가 발생하였습니다.");
		rsltMap.put("0027", "결제금액,예가수발생금액, 면제금액이 입력되지 않았습니다.");
		rsltMap.put("0028", "결제금액이 현금금액, 수표금액의 합과 일치하지 않습니다.");
		rsltMap.put("0029", "예가수번호(§1)에 대해 잔액이 부족합니다.(§2)");
		rsltMap.put("0030", "신용회복 미수금정산시 결제금액이 신용회복미수금 잔액보다 크게입력되었습니다.");
		rsltMap.put("0031", "[예가수정산]예가수 번호가 입력되지 않았습니다.");
		rsltMap.put("0032", "예가수 정산부서(§1)에 대해 해당 관리부서채권 수납만 가능합니다.");
		rsltMap.put("0033", "해당부서(§1)의 수납통장이 지정되지 않았습니다.");
		rsltMap.put("0034", "해당부서(§1)의 예가수만 수정 가능합니다.");
	}

	/**
	 * <p>메소드명 : getCntn </p>
	 * <p>설명 : 결과코드, 추가내용리스트로 결과내용을 리턴한다.</p>
	 * <p>메소드인수1 : String rsltCd</p>
	 * <p>메소드인수2 : String param[] - 추가내용리스트</p>
	 * <p>메소드리턴값 : String 결과내용</p>
	 */
	public static String getCntn(String rsltCd, String param[]) {
		return makeCntn( (String) rsltMap.get(rsltCd), param);
	}

	/**
	 * <p>메소드명 : makeCntn</p>
	 * <p>설명 : 결과내용에 추가 내용을 replace한다.</p>
	 * <p>메소드인수1 : String cntn - 결과내용</p>
	 * <p>메소드리턴값 : String param[] - 결과내용에 추가할 파라미터리스트</p>
	 */
	private static String makeCntn(String cntn, String param[]) {
		if (cntn == null || cntn.trim().length() < 1) {
			return "";
		}

		if (cntn.indexOf("§") > -1) {
			int i=0;
			while( cntn.indexOf("§") > -1){
				cntn = cntn.replaceAll("§" + (i + 1), getParam(i,param));
				i++;
			}
		}
		return cntn;
	}

	/**
	 * <p>메소드명 : getParam</p>
	 * <p>설명 : 결과내용에 추가할 내용 얻기</p>
	 * <p>메소드인수1 : int idx </p>
	 * <p>메소드인수2 : String param[] </p>
	 * <p>메소드리턴값 : </p>
	 */
	private static String getParam( int idx, String param[]){

		try {
			return param[idx]==null?"":param[idx];
		} catch(Exception e) {
			return "";
		}
	}
}
