package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : RcptBaseVO
 * 클래스설명 : 수납기본 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("rawtypes")
public class RcptBaseVO extends ValueObj implements Comparable{

	public String procEmpNo = ""; //처리_사원_번호
//    public String dsrcNo = ""; // 예가수_번호

	public String loanNo = "";	//대출_번호
	public String loanSeq = "";	//대출_순번
	public int    setlNo = 0;	//결제_번호

	public String acctDt = ""; //회계_일자
	public String isrtDt = ""; //입력_일자
	public String acctUnitCd = ""; //회계_단위_코드

	//2018-08-01 주성용 ABS관련업무추가
	public String mngAcctUnitCd = ""; //관리_회계_단위_코드
	public String flotIzeJobDt  = "";	//유동화_작업_일자
	public String flotIzeAdjFg="0";

	public String isrtDeptCd = "";	//입력_부서_코드
	public String trTpCd = "";		//거래_유형_코드
	public int    trSnum = 0;		//거래_일련번호
	public String prdtCd = "";		//상품_코드
	public String prdtLrgeClasCd = "";	//상품_대분류_코드
	public String prdtMidClasCd = "";	//상품_중분류_코드
	public String prdtSmClasCd = "";	//상품_소분류_코드
	public String rcptTpCd = "";		//수납_유형_코드
	public String setlDivCd = "";		//결제_구분코드
	public String dsrcNo = "";			//예가수_번호
	public String dsrcAdjCd = "";		//예가수_정산_코드
	public String dsrcOccrCd = "";		//예가수_발생_코드
	public String setlFrstRank = "01";	//결제우선순위
	public String setlDt = "";		//결제일자
	public String bankCd = "";		//은행_코드
	public String acntNo = "";		//계좌번호
	public long   setlAmt = 0;		//결제_금액
	public long   dsrcAdjAmt = 0;	//예가수_정산_금액
	public String exmpConsNo = ""; //면제_품의_번호
	public long   exmpAmt = 0;		//면제_금액
	public long   pdueDiscDfee = 0;	//선납_할인_연체료
	public long   rcptAmt = 0;		//수납_금액
	public long   cashAmt = 0;		//현금_금액
	public long   chkAmt = 0;		//수표_금액
	public long   rcptPamt = 0;		//수납_원금
	public long   rcptInt = 0;		//수납_이자
	public long   rcptTrtFee = 0;	//수납_취급수수료
	public long   rcptDfee = 0;		//수납_연체료
	public long   leglActnCost = 0;	//법적_조치_비용
	public long   stmpFee = 0;		//인지대
	public long   midRmbrPamt = 0;	//중도_상환_원금
	public long   midRmbrInt = 0;	//중도_상환_이자
	public long   midRmbrTrtFee=0;	//중도상환취급수수료
	public long   midRmbrFee = 0;	//중도_상환_수수료
	public long   trtFeeDisc = 0;	//취급_수수료_할인
	public long   crdtRcvrUnrcvAmt =0;	//신용회복미수금
	public long   exmpPamt = 0;			//면제_원금
	public long   exmpInt = 0;			//면제_이자
	public long   exmpTrtFee = 0;		//면제_취급수수료
	public long   exmpDfee = 0;			//면제_연체료
	public long   exmpLeglActnCost = 0;	//면제_법적_조치_비용
	public long   exmpMidRmbrFee = 0;	//면제_중도_상환_수수료
	public long   dsrcOccrAmt = 0;		//예가수_발생_금액
	public long   rcptAfPamtRamt = 0;	//수납_후_원금_잔액
	public long   rcptAfTrtFeeRamt = 0;	//수납후_취급수수료_잔액
	public int    rcptStrtTims = 0;		//수납_시작_회차
	public int    rcptEndTims = 0;		//수납_종료_회차
	public String unCnfmFg = "0";		//미_확인_여부
	public String rfndFg = "0"; //환불_여부
	public String exmpFg = "0"; //면제_여부
	public String cnclFg = "0"; //취소_여부
	public String cnclDt = ""; //취소_일자
	public String loanStatCd = ""; //대출_상태_코드
	public String bndStatCd = ""; //채권_상태_코드
	public String bndDivsEmpNo = ""; //채권_담당_사원번호
	public String dmscDeptCd = ""; //자판_부서_코드
	public String mngDeptCd = ""; //관리_부서_코드
	public int trTranNo = 0; //거래_이체_번호
	public String partCnclCd = "";	//2018-08-01 두비스 부분취소추가

	//2018-08-01 주성용 리스금액항목 추가
	public int  planTrSnum;     //계획_거래_일련번호 (중도일부상환시 스케쥴 TR_SNUM (20.01.23))
	public int  planSubSnum;    //계획_보조_일련번호
	public long rcptPpayInt;    //수납_선급_이자
	public long rcptAddInsuFee;     //보험료
	public long rcptAddCartax;      //차세
	public long rcptAddEnvImprBrdnamt;    //환개금
	public long rcptAddAsfee;       //수납_가산_정비료
	public long rcptIpayInsuFee;    //수납_대지급_보험료
	public long rcptIpayCartax;     //수납_대지급_자동차세
	public long rcptIpayEnvImprBrdnamt;    //수납_대지급_환경_개선_부담금
	public long rcptIpayPnltAmt;    //수납_대지급_범칙금
	public long rcptIpayEtc;  //수납_대지급_기타
	public long rcptVtax;     //수납_부가세
	public long ltrmBrcvAmt;  //장기_선수금
	public long ramtAmt;      //잔가_금액
	public long guarAmt;      //보증금

	public String nmChngDsrcNo="";		//명의_변경_예가수_번호
	public long   nmChngGuarAmt;		//명의_변경_보증금
	public long   retnOdueAmt;			//반납_지연_금액
	public long   overDrvFee;			//초과_운행_수수료
	public long   orgupRcvrCost;		//원상_복구_비용
	public String carsSellDsrcNo="";	//차량_매각_예가수_번호
	public long   carsSellAmt;			//차량_매각_대금
	public long   nmChngExmpGuarAmt;	//명의이전면제보증금

	public long midRmbrPpayInt;				//중도_상환_선급_이자
	public long midRmbrAddInsuFee;			//중도_상환_가산_보험료
	public long midRmbrAddCartax;			//중도_상환_자동차세
	public long midRmbrAddEnvImprBrdnamt;	//중도_상환_환경_개선_부담금
	public long midRmbrAddAsfee;			//중도_상환_가산_정비료
	public long midRmbrVtax;				//중도_상환_부가세

	public long   deprDeprTamt;		//감가_상각_누계액
	public long   dspLossApprAmt;	//처분_손실_충당금
	public long   oprLeasAset;		//운용_리스_자산
	public long   custCost;			//고객_비용
	public String sysPathCd;
	public int    bfLoseStrtTims = 0;	// 이전상실시작회차

	//public String iamtUnrcvObjAdjDeptCd="";		//입금미수 대상객체_정산_부서_코드
	//public String iamtUnrcvObjPartCnclCd="";		//입금미수 대상객체_부분취소코드

	@Override
	public int compareTo(Object o) {
		if(o==null) {
			throw new IllegalArgumentException("입력된 수납기본객체가 null입니다.");
		}

		RcptBaseVO inVO = (RcptBaseVO)o;
		int compare = loanNo.compareTo(inVO.loanNo);
		if(compare >0){
			return 1;
		}else if( compare < 0){
			return -1;
		}

		compare = loanSeq.compareTo(inVO.loanSeq);
		return compare > 0 ? 1 : (compare < 0 ? -1 : 0);
	}
}
