package hanalife.r.co.sr.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.CtCommCdDescDTO;
import hanalife.c.co.mapper.dto.RtRcptDsrcBaseDTO;
import hanalife.c.co.mapper.dto.RtRcptRfndDescDTO;
import hanalife.c.co.mapper.dto.StMoAcntBaseDTO;
import hanalife.r.co.sr.mapper.dto.SearchRfndINDTO;
import hanalife.r.co.sr.mapper.dto.SearchRfndOUTDTO;



/**
 * <pre>
 * 클래스명    : RfndRsltMapper.java
 * 클래스설명  : 예/가수 환불관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 14.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("RfndRsltMapper")
public interface RfndRsltMapper {


	 /**
     * <pre>
     * 메소드명      : searchRfnd
     * 설명         : 환불결과처리대상 조회
	 * @param SearchRfndINDTO
	 * @return SearchRfndOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SearchRfndOUTDTO searchRfnd(SearchRfndINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRfndDescStat
     * 설명         : 환불내역 업데이트
	 * @param RtRcptRfndDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRfndDescStat(RtRcptRfndDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateDsrcStat
     * 설명         : 예가수기본 - 환불상태 업데이트
	 * @param RtRcptDsrcBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateDsrcStat(RtRcptDsrcBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectRfndDesc
     * 설명         : 환불내역조회 (지급번호)
	 * @param RtRcptRfndDescDTO
	 * @return RtRcptRfndDescDTO
	 * @exception Exception
     * </pre>
     */
	public RtRcptRfndDescDTO selectRfndDesc(RtRcptRfndDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectRfndDescPk
     * 설명         : 환불내역조회(예가수번호)
	 * @param RtRcptRfndDescDTO
	 * @return RtRcptRfndDescDTO
	 * @exception Exception
     * </pre>
     */
	public RtRcptRfndDescDTO selectRfndDescPk(RtRcptRfndDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectTrOrgMoAcnt
     * 설명         : 취소대상조회
	 * @param StMoAcntBaseDTO
	 * @return StMoAcntBaseDTO
	 * @exception Exception
     * </pre>
     */
	public StMoAcntBaseDTO selectTrOrgMoAcnt(StMoAcntBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : searchRfndDept
     * 설명         : 환불부서조회
	 * @param CtCommCdDescDTO
	 * @return CtCommCdDescDTO
	 * @exception Exception
     * </pre>
     */
	public CtCommCdDescDTO searchRfndDept(CtCommCdDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateSmsRslt
     * 설명         : sms전송 환불결과 업데이트
	 * @param RtRcptRfndDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateSmsRslt(RtRcptRfndDescDTO inDTO) throws Exception;
}


