package hanalife.r.dm.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.dm.dl.mapper.dto.DlvrDescReadDSSD01DTO;
import hanalife.r.dm.dl.mapper.dto.DlvrDescReadDSSMDTO;

/**
 * <pre>
 * 클래스명    : DlvrDescReadMapper.java Class
 * 클래스설명  : 발송내역 Mapper
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자    : 2023. 3. 24.
 * 작성자명    : 70321 / KimMinSeok / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("DlvrDescReadMapper")
public interface DlvrDescReadMapper {

	/**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 24.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 발송내역을(를) 조회 한다.
     * 메소드인수1   : 발송내역 입력
     * 메소드리턴값  : 발송내역 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlvrDescReadDSSD01DTO> searchSdList(DlvrDescReadDSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : deleteDlvr
     * 작성일자      : 2023. 3. 24.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 발송내역을(를) 삭제 한다.
     * 메소드인수1   : 발송내역 입력
     * 메소드리턴값  : 발송내역 출력
     * 예외처리      : Exception
     * </pre>
     */
    public int deleteDlvr(DlvrDescReadDSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateDlvrClsDesc
     * 작성일자      : 2023. 3. 24.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 발송마감내역을(를) 수정 한다.
     * 메소드인수1   : 발송마감내역 입력
     * 메소드리턴값  : 발송마감내역 출력
     * 예외처리      : Exception
     * </pre>
     */
    public int updateDlvrClsDesc(DlvrDescReadDSSMDTO inDto) throws Exception;

}
