package hanalife.r.dm.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.dm.dl.mapper.dto.DlvrDescReadSmsDSSD01DTO;
import hanalife.r.dm.dl.mapper.dto.DlvrDescReadSmsDSSM01DTO;

/**
 * <pre>
 * 클래스명    : DlvrDescReadMapper.java Class
 * 클래스설명  : 발송내역(SMS) Mapper
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자    : 2023. 4. 26.
 * 작성자명    : 70366 / KangMinhyeok / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70366 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("dlvrDescReadSmsMapper")
public interface DlvrDescReadSmsMapper {


    /**
     * <pre>
     * 메소드명      : searchDssm01List
     * 작성일자      : 2023. 4. 26.
     * 작성자(author): 70366 KangMinhyeok
     * 설명          : 발송내역(SMS)을(를) 조회 한다.
     * 메소드인수1   : 발송내역 입력
     * 메소드리턴값  : 발송내역 출력(
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlvrDescReadSmsDSSD01DTO> searchDssm01List(DlvrDescReadSmsDSSM01DTO inDTO) throws Exception;
}
