package hanalife.r.dm.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlvrDescReadDSSD01DTO.java Class
 * 클래스설명   : 발송내역 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 25.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 25.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DlvrDescReadDSSD01DTO {

	private String snum;  /** 일련번호 */
	private String dueDt;  /** 납입일자 */
	private String dlvrDt;  /** 연체일자 */
	private String dlvrThngCd;  /** 발송물코드 */
	private String dlvrThngNm;  /** 발송물 */
	private String mngDeptCd;  /** 관리부서코드 */
	private String mngDeptNm;  /** 관리부서 */
	private String prdtMidClasCd;  /** 상품중분류코드 */
	private String prdtMidClasNm;  /** 상품 */
	private String contMan;  /** 고객명 */
	private String loanNo;  /** 대출번호 */
	private String loanSeq;  /** 대출일련번호 */
	private String loanRelCd;  /** 대출관계코드 */
	private String loanRelNm;  /** 대출관계 */
	private String recvMan;  /** 수신자 */
	private String rlDueManFg;  /** 실납입여부 */
	private String askAmt;  /** 청구금액 */
	private String setlDd;  /** 결제일 */
	private String askPamt;  /** 청구원금 */
	private String askInt;  /** 청구이자 */
	private String askDfee;  /** 청구연체료 */
	private String askLeglActnCost;  /** 청구가지급금 */
	private String normPamt;  /** 정상원금 */
	private String normInt;  /** 정상이자 */
	private String dlyPamt;  /** 연체원금 */
	private String dlyInt;  /** 연체이자 */
	private String dlyTcnt;  /** 연체횟수 */
	private String dlyDdcnt;  /** 연체일수 */
	private String dlyStrtDt;  /**  */
	private String loanDt;  /** 대출일자 */
	private String eprtDt;  /** 만기일자 */
	private String fcntDueDt;  /** 최초납입일자 */
	private String clsDt;  /** 마감일자 */
	private String clsSnum;  /** 마감일련번호 */
	private String rsndFg;  /** 반송여부 */
	private String corrFg;  /** 보정여부 */
	private String recvAddr;  /** 주소 */
	private String lastEmpNo;  /** 등록사번 */
	private String lastEmpNm;  /** 등록자명 */
	private String regDtTm;  /** 등록일시 */
	private String acctUnitCd;  /**  */
	private String acctUnitNm;  /**  */
	private String intgDlvrFg;  /** 통합여부 */
	private String prdtLrgeClasCd;  /** 상품대분류코드 */
	private String askTrtFee;  /** 청구취급수수료 */
	private String normTrtFee;  /** 정상취급수수료 */
	private String dlyTrtFee;  /** 연체취급수수료 */
	private String trtFeeIstpFg;  /**  */
	private String subDlvrFg;  /**  */
	private String smsSendFg;  /**  */
	private String faxRqstFilePath;  /**  */
	private String smsCntn;  /**  */
	private String ddayLoseRsn;  /**  */
	private String rlDlvrDt;  /** 발송일자 */
	private String subDlvrThngCd;  /** 발송제외코드 */
	private String subDlvrThngNm;  /** 발송제외 */

	public String getSnum() {
		return snum;
	}
	public void setSnum(String snum) {
		this.snum = snum;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getDlvrDt() {
		return dlvrDt;
	}
	public void setDlvrDt(String dlvrDt) {
		this.dlvrDt = dlvrDt;
	}
	public String getDlvrThngCd() {
		return dlvrThngCd;
	}
	public void setDlvrThngCd(String dlvrThngCd) {
		this.dlvrThngCd = dlvrThngCd;
	}
	public String getDlvrThngNm() {
		return dlvrThngNm;
	}
	public void setDlvrThngNm(String dlvrThngNm) {
		this.dlvrThngNm = dlvrThngNm;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public String getContMan() {
		return contMan;
	}
	public void setContMan(String contMan) {
		this.contMan = contMan;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getLoanRelCd() {
		return loanRelCd;
	}
	public void setLoanRelCd(String loanRelCd) {
		this.loanRelCd = loanRelCd;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getRecvMan() {
		return recvMan;
	}
	public void setRecvMan(String recvMan) {
		this.recvMan = recvMan;
	}
	public String getRlDueManFg() {
		return rlDueManFg;
	}
	public void setRlDueManFg(String rlDueManFg) {
		this.rlDueManFg = rlDueManFg;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public String getAskPamt() {
		return askPamt;
	}
	public void setAskPamt(String askPamt) {
		this.askPamt = askPamt;
	}
	public String getAskInt() {
		return askInt;
	}
	public void setAskInt(String askInt) {
		this.askInt = askInt;
	}
	public String getAskDfee() {
		return askDfee;
	}
	public void setAskDfee(String askDfee) {
		this.askDfee = askDfee;
	}
	public String getAskLeglActnCost() {
		return askLeglActnCost;
	}
	public void setAskLeglActnCost(String askLeglActnCost) {
		this.askLeglActnCost = askLeglActnCost;
	}
	public String getNormPamt() {
		return normPamt;
	}
	public void setNormPamt(String normPamt) {
		this.normPamt = normPamt;
	}
	public String getNormInt() {
		return normInt;
	}
	public void setNormInt(String normInt) {
		this.normInt = normInt;
	}
	public String getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(String dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public String getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(String dlyInt) {
		this.dlyInt = dlyInt;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyDdcnt() {
		return dlyDdcnt;
	}
	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public String getDlyStrtDt() {
		return dlyStrtDt;
	}
	public void setDlyStrtDt(String dlyStrtDt) {
		this.dlyStrtDt = dlyStrtDt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public String getClsDt() {
		return clsDt;
	}
	public void setClsDt(String clsDt) {
		this.clsDt = clsDt;
	}
	public String getClsSnum() {
		return clsSnum;
	}
	public void setClsSnum(String clsSnum) {
		this.clsSnum = clsSnum;
	}
	public String getRsndFg() {
		return rsndFg;
	}
	public void setRsndFg(String rsndFg) {
		this.rsndFg = rsndFg;
	}
	public String getCorrFg() {
		return corrFg;
	}
	public void setCorrFg(String corrFg) {
		this.corrFg = corrFg;
	}
	public String getRecvAddr() {
		return recvAddr;
	}
	public void setRecvAddr(String recvAddr) {
		this.recvAddr = recvAddr;
	}
	public String getLastEmpNo() {
		return lastEmpNo;
	}
	public void setLastEmpNo(String lastEmpNo) {
		this.lastEmpNo = lastEmpNo;
	}
	public String getLastEmpNm() {
		return lastEmpNm;
	}
	public void setLastEmpNm(String lastEmpNm) {
		this.lastEmpNm = lastEmpNm;
	}
	public String getRegDtTm() {
		return regDtTm;
	}
	public void setRegDtTm(String regDtTm) {
		this.regDtTm = regDtTm;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}
	public String getIntgDlvrFg() {
		return intgDlvrFg;
	}
	public void setIntgDlvrFg(String intgDlvrFg) {
		this.intgDlvrFg = intgDlvrFg;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getAskTrtFee() {
		return askTrtFee;
	}
	public void setAskTrtFee(String askTrtFee) {
		this.askTrtFee = askTrtFee;
	}
	public String getNormTrtFee() {
		return normTrtFee;
	}
	public void setNormTrtFee(String normTrtFee) {
		this.normTrtFee = normTrtFee;
	}
	public String getDlyTrtFee() {
		return dlyTrtFee;
	}
	public void setDlyTrtFee(String dlyTrtFee) {
		this.dlyTrtFee = dlyTrtFee;
	}
	public String getTrtFeeIstpFg() {
		return trtFeeIstpFg;
	}
	public void setTrtFeeIstpFg(String trtFeeIstpFg) {
		this.trtFeeIstpFg = trtFeeIstpFg;
	}
	public String getSubDlvrFg() {
		return subDlvrFg;
	}
	public void setSubDlvrFg(String subDlvrFg) {
		this.subDlvrFg = subDlvrFg;
	}
	public String getSmsSendFg() {
		return smsSendFg;
	}
	public void setSmsSendFg(String smsSendFg) {
		this.smsSendFg = smsSendFg;
	}
	public String getFaxRqstFilePath() {
		return faxRqstFilePath;
	}
	public void setFaxRqstFilePath(String faxRqstFilePath) {
		this.faxRqstFilePath = faxRqstFilePath;
	}
	public String getSmsCntn() {
		return smsCntn;
	}
	public void setSmsCntn(String smsCntn) {
		this.smsCntn = smsCntn;
	}
	public String getDdayLoseRsn() {
		return ddayLoseRsn;
	}
	public void setDdayLoseRsn(String ddayLoseRsn) {
		this.ddayLoseRsn = ddayLoseRsn;
	}
	public String getRlDlvrDt() {
		return rlDlvrDt;
	}
	public void setRlDlvrDt(String rlDlvrDt) {
		this.rlDlvrDt = rlDlvrDt;
	}
	public String getSubDlvrThngCd() {
		return subDlvrThngCd;
	}
	public void setSubDlvrThngCd(String subDlvrThngCd) {
		this.subDlvrThngCd = subDlvrThngCd;
	}
	public String getSubDlvrThngNm() {
		return subDlvrThngNm;
	}
	public void setSubDlvrThngNm(String subDlvrThngNm) {
		this.subDlvrThngNm = subDlvrThngNm;
	}

}
