package hanalife.r.dm.dl.service;

import hanalife.r.dm.dl.vo.RDMDLM04S01InVO;
import hanalife.r.dm.dl.vo.RDMDLM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RDMDLM04Service.java Class
 * 클래스설명   : 발송내역 (RDMDLM04) Service Interface
 * 작성일자     : 2023. 4. 26.
 * 작성자명     : 70366 / KangMinhyeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 26.][70366 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchDssm01List : 발송내역(SMS)목록조회
 *
 *
 * </pre>
 */
public interface RDMDLM04Service {

    /**
     * <p>메소드명      : searchDssm01List - 발송내역(SMS) 조회</p>
     * <p>작성일자      : 2023. 05. 02.
     * <p>작성자(author): 70366 / KangMinhyeok
     * <p>설명          : 발송내역(SMS) 목록을 조회한다.</p>
     * <p>메소드인수    : RDMDLM04S01InVO </p>
     * <p>메소드리턴값  : RDMDLM04S01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RDMDLM04S01OutVO searchDssm01List(RDMDLM04S01InVO inVo) throws Exception;
}
