package hanalife.r.rc.cl.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.r.rc.cl.mapper.RcptTrDescReadMapper;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadIN2DTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadINDTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadOUT1DTO;
import hanalife.r.rc.cl.mapper.dto.RcptTrDescReadOUT2DTO;
import hanalife.r.rc.cl.service.RRCCLM01Service;
import hanalife.r.rc.cl.vo.RRCCLM01DSSD1VO;
import hanalife.r.rc.cl.vo.RRCCLM01DSSD2VO;
import hanalife.r.rc.cl.vo.RRCCLM01DSSM1VO;
import hanalife.r.rc.cl.vo.RRCCLM01DSSMVO;
import hanalife.r.rc.cl.web.RRCCLM01Controller;

@Service("RRCCLM01Service")
public class RRCCLM01ServiceImpl implements RRCCLM01Service {

    private static final Logger LOGGER = LoggerFactory.getLogger(RRCCLM01Controller.class);

    @Autowired
    private RcptTrDescReadMapper rcptTrDescReadMapper;

    @Override
    public List<RRCCLM01DSSD1VO> searchDescList(RRCCLM01DSSMVO inVo) throws Exception {

        RcptTrDescReadINDTO inDto = new RcptTrDescReadINDTO();
        inDto.setLoanNo(inVo.getLoanNo());
        inDto.setLoanSeq(inVo.getLoanSeq());
        inDto.setAcctDtFr(inVo.getAcctDtFr());
        inDto.setAcctDtTo(inVo.getAcctDtTo());
        inDto.setPrdtClasCd(inVo.getPrdtClasCd());
        inDto.setIsrtDtFr(inVo.getIsrtDtFr());
        inDto.setIsrtDtTo(inVo.getIsrtDtTo());
        inDto.setIsrtDeptCd(inVo.getIsrtDeptCd());
        inDto.setTrTpCd(inVo.getTrTpCd());
        inDto.setFrstRegEmpNo(inVo.getFrstRegEmpNo());
        inDto.setSetlDivCd(inVo.getSetlDivCd());

        // TODO Auto-generated method stub
        List<RcptTrDescReadOUT1DTO> result = rcptTrDescReadMapper.searchDescList(inDto);

        List<RRCCLM01DSSD1VO> resultVo = new ArrayList<RRCCLM01DSSD1VO>();

        for(RcptTrDescReadOUT1DTO sourceIO : result) {
            /** 수납내역상세조회 VO에 조회된 Mapper DTO 값을 대입 */
            RRCCLM01DSSD1VO targetIO = new RRCCLM01DSSD1VO();
            targetIO.setLoanNo(sourceIO.getLoanNo());                   /** 대출번호 */
            targetIO.setLoanSeq(sourceIO.getLoanSeq());                 /** 대출순번 */

            targetIO.setAcctDt(sourceIO.getAcctDt());                 /** 회계일자 */
            targetIO.setSetlDt(sourceIO.getSetlDt());                 /** 결제일자 */
            targetIO.setTrTpNm(sourceIO.getTrTpNm());                 /** 거래유형명 */
            targetIO.setSetlDivNm(sourceIO.getSetlDivNm());                 /** 결제구분명 */

            targetIO.setPrdtClasNm(sourceIO.getPrdtClasNm());                 /** 결제구분명 */
            targetIO.setPrdtLrgeClasCd(sourceIO.getPrdtLrgeClasCd());                 /** 결제구분명 */
            targetIO.setSetlNo(sourceIO.getSetlNo());                 /** 결제구분명 */
            targetIO.setCustNm(sourceIO.getCustNm());                 /** 결제구분명 */
            targetIO.setSetlAmt(sourceIO.getSetlAmt());                 /** 결제구분명 */
            targetIO.setRcptAmt(sourceIO.getRcptAmt());                 /** 결제구분명 */
            targetIO.setRcptPamt(sourceIO.getRcptPamt());                 /** 결제구분명 */

            targetIO.setRcptInt(sourceIO.getRcptInt());                 /** 결제구분명 */
            targetIO.setRcptDfee(sourceIO.getRcptDfee());                 /** 결제구분명 */
            targetIO.setPdueDiscDfee(sourceIO.getPdueDiscDfee());                 /** 결제구분명 */
            targetIO.setLeglActnCost(sourceIO.getLeglActnCost());                 /** 결제구분명 */
            targetIO.setMidRmbrFee(sourceIO.getMidRmbrFee());                 /** 결제구분명 */
            targetIO.setTrtFeeDisc(sourceIO.getTrtFeeDisc());                 /** 결제구분명 */
            targetIO.setExmpPamt(sourceIO.getExmpPamt());                 /** 결제구분명 */
            targetIO.setExmpInt(sourceIO.getExmpInt());                 /** 결제구분명 */
            targetIO.setExmpDfee(sourceIO.getExmpDfee());                 /** 결제구분명 */
            targetIO.setExmpLeglActnCost(sourceIO.getExmpLeglActnCost());                 /** 결제구분명 */

            targetIO.setExmpMidRmbrFee(sourceIO.getExmpMidRmbrFee());                 /** 결제구분명 */
            targetIO.setEtcPrft(sourceIO.getEtcPrft());                 /** 결제구분명 */
            targetIO.setDsrcOccrAmt(sourceIO.getDsrcOccrAmt());                 /** 결제구분명 */
            targetIO.setDsrcAdjAmt(sourceIO.getDsrcAdjAmt());                 /** 결제구분명 */
            targetIO.setDsrcRfndAmt(sourceIO.getDsrcRfndAmt());                 /** 결제구분명 */
            targetIO.setCnclYn(sourceIO.getCnclYn());                 /** 결제구분명 */
            targetIO.setRfndYn(sourceIO.getRfndYn());                 /** 결제구분명 */
            targetIO.setIsrtDeptCd(sourceIO.getIsrtDeptCd());                 /** 결제구분명 */
            targetIO.setIsrtDeptNm(sourceIO.getIsrtDeptNm());                 /** 결제구분명 */

            targetIO.setMngDeptNm(sourceIO.getMngDeptNm());                 /** 결제구분명 */
            targetIO.setFrstRegEmpNo(sourceIO.getFrstRegEmpNo());                 /** 결제구분명 */
            targetIO.setFrstRegEmpNm(sourceIO.getFrstRegEmpNm());                 /** 결제구분명 */
            targetIO.setIsrtDt(sourceIO.getIsrtDt());                 /** 결제구분명 */
            targetIO.setFrstRegTm(sourceIO.getFrstRegTm());                 /** 결제구분명 */
            targetIO.setTrSnum(sourceIO.getTrSnum());                 /** 결제구분명 */

            /** 수납내역상세조회 List 객체에 추가하도록 수행 */
            resultVo.add(targetIO);
        }

        return resultVo;
    }

    @Override
    public List<RRCCLM01DSSD2VO> searchClsDescSub(RRCCLM01DSSM1VO inVo) throws Exception {

        RcptTrDescReadIN2DTO inDto = new RcptTrDescReadIN2DTO();
        inDto.setLoanNo(inVo.getLoanNo());
        inDto.setLoanSeq(inVo.getLoanSeq());
        inDto.setAcctDt(inVo.getAcctDt());
        inDto.setTrDescNo(inVo.getTrDescNo());

        LOGGER.info("##### RRCCLM01Service RRCCLM01S02 Start #####");

        // TODO Auto-generated method stub
        List<RcptTrDescReadOUT2DTO> result = rcptTrDescReadMapper.searchClsSubDescList(inDto);

        List<RRCCLM01DSSD2VO> resultVo = new ArrayList<RRCCLM01DSSD2VO>();

        for(RcptTrDescReadOUT2DTO sourceIO : result) {
            /** 수납내역상세조회 VO에 조회된 Mapper DTO 값을 대입 */
            RRCCLM01DSSD2VO targetIO = new RRCCLM01DSSD2VO();
            targetIO.setAcctDeptNm(sourceIO.getAcctDeptNm());                   /** 대출번호 */
            targetIO.setAcctCd(sourceIO.getAcctCd());                 /** 대출순번 */
            targetIO.setdRamt(sourceIO.getdAmt());                 /** 회계일자 */
            targetIO.setcRamt(sourceIO.getcAmt());                 /** 결제일자 */
            targetIO.setAcctNm(sourceIO.getAcctNm());                 /** 거래유형명 */

            /** 수납내역상세조회 List 객체에 추가하도록 수행 */
            resultVo.add(targetIO);
        }

        LOGGER.info("##### RRCCLM01Service RRCCLM01S02 End #####");

        return resultVo;
    }
}
