package hanalife.r.rc.mn.service;

import hanalife.r.rc.mn.vo.CprtContMngMdulObjVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CprtContMngMdulService.java Class
 * 클래스설명   : 제휴약정 한도잔액 수정 모듈 (RRCMN0101) Service Interface
 * 작성일자     : 2023. 3. 16.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 16.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchCprtLim : 제휴약정 한도잔액 수정
 *              chkPrdtCd : 제휴약정 한도잔액 수정
 *          updateCprtLim : 제휴약정 한도잔액 수정
 * </pre>
 */
public interface CprtContMngMdulService {

	/**
	 * <p>메소드명      : searchCprtLim</p>
	 * <p>작성일자      : 2023. 3. 16.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 제휴한도 조회</p>
	 * <p>메소드인수    : CprtContMngMdulObjVO</p>
	 * <p>메소드리턴값  : CprtContMngMdulObjVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CprtContMngMdulObjVO searchCprtLim(CprtContMngMdulObjVO inVo) throws Exception;

	/**
	 * <p>메소드명      : chkPrdtCd</p>
	 * <p>작성일자      : 2023. 3. 16.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 제휴한도 조회</p>
	 * <p>메소드인수    : CprtContMngMdulObjVO</p>
	 * <p>메소드리턴값  : CprtContMngMdulObjVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CprtContMngMdulObjVO chkPrdtCd(CprtContMngMdulObjVO inVo) throws Exception;

	/**
	 * <p>메소드명      : updateCprtLim</p>
	 * <p>작성일자      : 2023. 3. 16.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 제휴한도 조회</p>
	 * <p>메소드인수    : CprtContMngMdulObjVO</p>
	 * <p>메소드리턴값  : CprtContMngMdulObjVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CprtContMngMdulObjVO updateCprtLim(CprtContMngMdulObjVO inVo) throws Exception;

}
