package hanalife.r.rc.rc.mapper.dto;

import java.math.BigDecimal;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RcptDescSpecReadDSRCPTDESCSD01DTO.java Class
 * 클래스설명   : 연체현황조회(상품별)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RcptDescSpecReadDSRCPTDESCSD01DTO {
	private String setlNo;				/**결제_번호*/
	private String acctDt;				/**회계_일자*/
	private String setlDt;				/**결제_일자*/
	private String isrtDeptCd;			/**수납_부서_코드*/
	private String rcptDeptNm;			/**수납_부서_명*/
	private String rcptTpCd;			/**수납_유형_코드*/
	private String rcptTpNm;			/**수납_유형_명*/
	private String setlDivCd;			/**결제_구분_코드*/
	private String setlDivNm;			/**결제_구분_명*/
	private String tims;				/**회차*/
	private BigDecimal setlAmt;			/**결제_금액*/
	private BigDecimal cashAmt;			/**현금_금액*/
	private BigDecimal chkAmt;			/**수표_금액*/
	private BigDecimal dsrcAdjAmt;		/**예가수_정산_금액*/
	private BigDecimal exmpAmt;			/**면제_금액*/
	private BigDecimal rcptAmt;			/**수납_금액*/
	private BigDecimal rcptPamt;		/**수납_원금                 원금*/
	private BigDecimal rcptInt;			/**수납_이자                 이자*/
	private BigDecimal rcptDfee;		/**수납_연체료               연체료*/
	private BigDecimal discAmt;			/**할인_금액*/
	private String pdueDiscDfee;		/**선납_할인_연체료*/
	private BigDecimal leglActnCost;	/**법적_조치_비용            가지급금*/
	private BigDecimal midRmbrFee;		/**중도_상환_수수료*/
	private String trtFeeDisc;			/**취급_수수료_할인*/
	private BigDecimal dsrcOccrAmt;		/**예가수_발생_금액*/
	private String dsrcOccrCd;			/**예가수_발생_코드*/
	private String dsrcOccrNm;			/**예가수_발생_명*/
	private String dsrcAdjCd;			/**예가수_정산_코드*/
	private String dsrcAdjNm;			/**예가수_정산_명*/
	private String dsrcNo;				/**예가수_번호*/
	private String rfndRsnCd;			/**환불_사유_코드*/
	private String rfndRsnNm;			/**환불_사유_명*/
	private String bankCd;				/**은행_코드*/
	private String bankNm;				/**환불_은행_명*/
	private String acntNo;				/**계좌번호                  환불_계좌*/
	private BigDecimal exmpPamt;		/**면제_원금*/
	private BigDecimal exmpInt;			/**면제_이자*/
	private BigDecimal exmpDfee;		/**면제_연체료*/
	private BigDecimal exmpLeglActnCost;/**면제_법적_조치_비용       면제_가지급금*/
	private BigDecimal exmpMidRmbrFee;	/**면제_중도_상환_수수료*/
	private String cnclFg;				/**취소*/
	private String rfndFg;				/**환불*/
	private String frstRegEmpNo;		/**최초_등록_사원번호*/
	private String frstRegEmpNm;		/**최초_등록_사원_명*/
	private String frstRegDtTm;			/**최초_등록_일자_시각*/
	private String rcptTrtFee;			/**수납취급수수료*/
	private String exmpTrtFee;			/**면제취급수수료*/
	private String stmpFee;				/**인지세*/

	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	public String getRcptDeptNm() {
		return rcptDeptNm;
	}
	public void setRcptDeptNm(String rcptDeptNm) {
		this.rcptDeptNm = rcptDeptNm;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getRcptTpNm() {
		return rcptTpNm;
	}
	public void setRcptTpNm(String rcptTpNm) {
		this.rcptTpNm = rcptTpNm;
	}
	public String getSetlDivCd() {
		return setlDivCd;
	}
	public void setSetlDivCd(String setlDivCd) {
		this.setlDivCd = setlDivCd;
	}
	public String getSetlDivNm() {
		return setlDivNm;
	}
	public void setSetlDivNm(String setlDivNm) {
		this.setlDivNm = setlDivNm;
	}
	public String getTims() {
		return tims;
	}
	public void setTims(String tims) {
		this.tims = tims;
	}
	public BigDecimal getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(BigDecimal setlAmt) {
		this.setlAmt = setlAmt;
	}
	public BigDecimal getCashAmt() {
		return cashAmt;
	}
	public void setCashAmt(BigDecimal cashAmt) {
		this.cashAmt = cashAmt;
	}
	public BigDecimal getChkAmt() {
		return chkAmt;
	}
	public void setChkAmt(BigDecimal chkAmt) {
		this.chkAmt = chkAmt;
	}
	public BigDecimal getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public BigDecimal getExmpAmt() {
		return exmpAmt;
	}
	public void setExmpAmt(BigDecimal exmpAmt) {
		this.exmpAmt = exmpAmt;
	}
	public BigDecimal getRcptAmt() {
		return rcptAmt;
	}
	public void setRcptAmt(BigDecimal rcptAmt) {
		this.rcptAmt = rcptAmt;
	}
	public BigDecimal getRcptPamt() {
		return rcptPamt;
	}
	public void setRcptPamt(BigDecimal rcptPamt) {
		this.rcptPamt = rcptPamt;
	}
	public BigDecimal getRcptInt() {
		return rcptInt;
	}
	public void setRcptInt(BigDecimal rcptInt) {
		this.rcptInt = rcptInt;
	}
	public BigDecimal getRcptDfee() {
		return rcptDfee;
	}
	public void setRcptDfee(BigDecimal rcptDfee) {
		this.rcptDfee = rcptDfee;
	}
	public BigDecimal getDiscAmt() {
		return discAmt;
	}
	public void setDiscAmt(BigDecimal discAmt) {
		this.discAmt = discAmt;
	}
	public String getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(String pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public BigDecimal getLeglActnCost() {
		return leglActnCost;
	}
	public void setLeglActnCost(BigDecimal leglActnCost) {
		this.leglActnCost = leglActnCost;
	}
	public BigDecimal getMidRmbrFee() {
		return midRmbrFee;
	}
	public void setMidRmbrFee(BigDecimal midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}
	public String getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(String trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}
	public BigDecimal getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}
	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}
	public String getDsrcOccrNm() {
		return dsrcOccrNm;
	}
	public void setDsrcOccrNm(String dsrcOccrNm) {
		this.dsrcOccrNm = dsrcOccrNm;
	}
	public String getDsrcAdjCd() {
		return dsrcAdjCd;
	}
	public void setDsrcAdjCd(String dsrcAdjCd) {
		this.dsrcAdjCd = dsrcAdjCd;
	}
	public String getDsrcAdjNm() {
		return dsrcAdjNm;
	}
	public void setDsrcAdjNm(String dsrcAdjNm) {
		this.dsrcAdjNm = dsrcAdjNm;
	}
	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getRfndRsnCd() {
		return rfndRsnCd;
	}
	public void setRfndRsnCd(String rfndRsnCd) {
		this.rfndRsnCd = rfndRsnCd;
	}
	public String getRfndRsnNm() {
		return rfndRsnNm;
	}
	public void setRfndRsnNm(String rfndRsnNm) {
		this.rfndRsnNm = rfndRsnNm;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getBankNm() {
		return bankNm;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public BigDecimal getExmpPamt() {
		return exmpPamt;
	}
	public void setExmpPamt(BigDecimal exmpPamt) {
		this.exmpPamt = exmpPamt;
	}
	public BigDecimal getExmpInt() {
		return exmpInt;
	}
	public void setExmpInt(BigDecimal exmpInt) {
		this.exmpInt = exmpInt;
	}
	public BigDecimal getExmpDfee() {
		return exmpDfee;
	}
	public void setExmpDfee(BigDecimal exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public BigDecimal getExmpLeglActnCost() {
		return exmpLeglActnCost;
	}
	public void setExmpLeglActnCost(BigDecimal exmpLeglActnCost) {
		this.exmpLeglActnCost = exmpLeglActnCost;
	}
	public BigDecimal getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getRfndFg() {
		return rfndFg;
	}
	public void setRfndFg(String rfndFg) {
		this.rfndFg = rfndFg;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public String getFrstRegEmpNm() {
		return frstRegEmpNm;
	}
	public void setFrstRegEmpNm(String frstRegEmpNm) {
		this.frstRegEmpNm = frstRegEmpNm;
	}
	public String getFrstRegDtTm() {
		return frstRegDtTm;
	}
	public void setFrstRegDtTm(String frstRegDtTm) {
		this.frstRegDtTm = frstRegDtTm;
	}
	public String getRcptTrtFee() {
		return rcptTrtFee;
	}
	public void setRcptTrtFee(String rcptTrtFee) {
		this.rcptTrtFee = rcptTrtFee;
	}
	public String getExmpTrtFee() {
		return exmpTrtFee;
	}
	public void setExmpTrtFee(String exmpTrtFee) {
		this.exmpTrtFee = exmpTrtFee;
	}
	public String getStmpFee() {
		return stmpFee;
	}
	public void setStmpFee(String stmpFee) {
		this.stmpFee = stmpFee;
	}

}
