package hanalife.r.rc.rc.service;

import hanalife.c.co.mapper.dto.RtRcptBaseDTO;
import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.r.rc.rc.vo.RcptDAOS01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RcptDAOService.java Class
 * 클래스설명   : 수납관리 DAO (RcptDAO) Service Interface
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchLoanInfo : 수납관리 DAO 목록조회
 * </pre>
 */
public interface RcptDAOService {

	/**
	 * <p>메소드명      : getRcptDAOS01 : 수납관리 DAO목록조회</p>
	 * <p>작성일자      : 2023. 4. 18.
	 * <p>작성자(author): 70326 / you
	 * <p>설명          : 수납관리 DAO 목록을 조회 한다.</p>
	 * <p>메소드인수    : LoanInfoProcMngInVO </p>
	 * <p>메소드리턴값  : LoanInfoProcMngOutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RcptDAOS01OutVO search(RtRcptBaseDTO searchDO) throws Exception;

	/**
	 * <p>메소드명      : getRcptDAOS01 : 수납관리 DAO목록조회</p>
	 * <p>작성일자      : 2023. 3. 23.
	 * <p>작성자(author): 70322 / younghwe.kim
	 * <p>설명          : 수납관리 DAO 목록을 조회 한다.</p>
	 * <p>메소드인수    : LoanInfoProcMngInVO </p>
	 * <p>메소드리턴값  : LoanInfoProcMngOutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RcptDAOS01OutVO searchLoanInfo(StLoanBaseDTO inVo) throws Exception;



}
