package hanalife.r.rc.rc.vo;

import java.math.BigDecimal;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RRCRCM03DSRCPTDESCSD02VO.java Class
 * 클래스설명   : 수납내역상세조회를(을) 위한 VO
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RRCRCM03DSRCPTDESCSD02VO {
	private String tims;				/** 회차 */
	private String dueDt;				/** 납입일자 */
	private BigDecimal timsBfPamtRamt;	/** 회차전원금잔액 */
	private BigDecimal timsAfPamtRamt;	/** 회차후원금잔액 */
	private BigDecimal mmPiamt;			/** 원리금 */
	private BigDecimal mmPamt;			/** 원금 */
	private BigDecimal mmInt;			/** 이자 */
	private BigDecimal unrcvPiamt;		/** 미수원리금 */
	private BigDecimal unrcvPamt;		/** 미수원금 */
	private BigDecimal unrcvInt;		/** 미수이자 */
	private String setlNo;				/** 결제번호 */
	private String setlDivNm;			/** 결제구분코드 */
	private String setlDt;				/** 결제일자 */
	private String rcptTot;				/** 수납합계 */
	private BigDecimal rcptRamt;		/** 수납원금잔액 */
	private BigDecimal rcptPamt;		/** 수납원금 */
	private BigDecimal rcptInt;			/** 수납이자 */
	private BigDecimal rcptDfee;		/** 수납연체료 */
	private BigDecimal midRmbrInt;		/** 중도상환이자 */
	private BigDecimal midRmbrFee;		/** 중도상환수수료 */
	private String trtFeeDisc;			/** 취급수수료할인 */
	private BigDecimal mmTrtFee;		/** 월취급수수료 */
	private BigDecimal unrcvTrtFee;		/** 미수취급수수료 */
	private BigDecimal rcptTrtFee;		/** 수납취급수수료 */

	public String getTims() {
		return tims;
	}
	public void setTims(String tims) {
		this.tims = tims;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public BigDecimal getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public void setTimsBfPamtRamt(BigDecimal timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public BigDecimal getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(BigDecimal timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public BigDecimal getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(BigDecimal mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public BigDecimal getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(BigDecimal mmPamt) {
		this.mmPamt = mmPamt;
	}
	public BigDecimal getMmInt() {
		return mmInt;
	}
	public void setMmInt(BigDecimal mmInt) {
		this.mmInt = mmInt;
	}
	public BigDecimal getUnrcvPiamt() {
		return unrcvPiamt;
	}
	public void setUnrcvPiamt(BigDecimal unrcvPiamt) {
		this.unrcvPiamt = unrcvPiamt;
	}
	public BigDecimal getUnrcvPamt() {
		return unrcvPamt;
	}
	public void setUnrcvPamt(BigDecimal unrcvPamt) {
		this.unrcvPamt = unrcvPamt;
	}
	public BigDecimal getUnrcvInt() {
		return unrcvInt;
	}
	public void setUnrcvInt(BigDecimal unrcvInt) {
		this.unrcvInt = unrcvInt;
	}
	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getSetlDivNm() {
		return setlDivNm;
	}
	public void setSetlDivNm(String setlDivNm) {
		this.setlDivNm = setlDivNm;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptTot() {
		return rcptTot;
	}
	public void setRcptTot(String rcptTot) {
		this.rcptTot = rcptTot;
	}
	public BigDecimal getRcptRamt() {
		return rcptRamt;
	}
	public void setRcptRamt(BigDecimal rcptRamt) {
		this.rcptRamt = rcptRamt;
	}
	public BigDecimal getRcptPamt() {
		return rcptPamt;
	}
	public void setRcptPamt(BigDecimal rcptPamt) {
		this.rcptPamt = rcptPamt;
	}
	public BigDecimal getRcptInt() {
		return rcptInt;
	}
	public void setRcptInt(BigDecimal rcptInt) {
		this.rcptInt = rcptInt;
	}
	public BigDecimal getRcptDfee() {
		return rcptDfee;
	}
	public void setRcptDfee(BigDecimal rcptDfee) {
		this.rcptDfee = rcptDfee;
	}
	public BigDecimal getMidRmbrInt() {
		return midRmbrInt;
	}
	public void setMidRmbrInt(BigDecimal midRmbrInt) {
		this.midRmbrInt = midRmbrInt;
	}
	public BigDecimal getMidRmbrFee() {
		return midRmbrFee;
	}
	public void setMidRmbrFee(BigDecimal midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}
	public String getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(String trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}
	public BigDecimal getMmTrtFee() {
		return mmTrtFee;
	}
	public void setMmTrtFee(BigDecimal mmTrtFee) {
		this.mmTrtFee = mmTrtFee;
	}
	public BigDecimal getUnrcvTrtFee() {
		return unrcvTrtFee;
	}
	public void setUnrcvTrtFee(BigDecimal unrcvTrtFee) {
		this.unrcvTrtFee = unrcvTrtFee;
	}
	public BigDecimal getRcptTrtFee() {
		return rcptTrtFee;
	}
	public void setRcptTrtFee(BigDecimal rcptTrtFee) {
		this.rcptTrtFee = rcptTrtFee;
	}
}
