package hanalife.r.rc.rd.service.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.cn.ui.mapper.SmsDlyrDescMapper;
import hanalife.c.co.iEnum.MsgEnum;
import hanalife.c.co.mapper.dto.BtSmsDlvrDescDTO;
import hanalife.c.co.service.CommBizService;
import hanalife.c.co.util.StringUtil;
import hanalife.c.co.vo.CommCdVO;
import hanalife.c.sc.sq.vo.DlvrMsgVO;
import hanalife.framework.comm.util.SessionUtil;
import hanalife.framework.comm.vo.UserSessionVO;
import hanalife.r.co.as.service.AskUnrcvProcService;
import hanalife.r.co.as.vo.AskUnrcvObjVO;
import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.as.vo.BndVO;
import hanalife.r.co.as.vo.HmAskUnrcvProcVO;
import hanalife.r.co.rc.service.IamtUnrcvService;
import hanalife.r.co.rc.vo.IamtUnrcvObjVO;
import hanalife.r.co.rc.vo.IamtUnrcvVO;
import hanalife.r.rc.mn.service.RcptMidRmbrProcService;
import hanalife.r.rc.rd.mapper.RcptMapper;
import hanalife.r.rc.rd.service.RRCRCM01Service;
import hanalife.r.rc.rd.vo.CustInfoVO;
import hanalife.r.rc.rd.vo.RRCRCM01DSCUSTLOANVO;
import hanalife.r.rc.rd.vo.RRCRCM01S01OutVO;
import hanalife.util.BizException;
import hanalife.util.IamtUtil;

@Service("RRCRCM01Service")
public class RRCRCM01ServiceImpl implements RRCRCM01Service {

	@Autowired
	private RcptMapper rcptMapper;


	@Autowired
    private IamtUnrcvService iamtUnrcvService;

	@Autowired
    private AskUnrcvProcService askUnrcvProcService;

	@Autowired
    private RcptMidRmbrProcService rcptMidRmbrProcService;

	@Autowired
    private CommBizService commBizService;

	@Autowired
	SmsDlyrDescMapper smsDlyrDescMapper;

    /** 공통오류코드 및 오류메시지내용 전역 변수 선언 */
    private static MsgEnum msgEnum;

    private static final Logger LOGGER = LoggerFactory.getLogger(RRCRCM02ServiceImpl.class);

    /**
     * <p>메소드명      : RRCRCM01S01 : 수납관리조회</p>
     * <p>작성일자      : 2023. 04. 04.
     * <p>작성자(author):  /
     * <p>설명          : 수납관리 조회.</p>
     * <p>메소드인수    : RRCRCM01S01InVo </p>
     * <p>메소드리턴값  : RRCRCM01S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    @SuppressWarnings("unchecked")
    @Override
    public RRCRCM01S01OutVO getRRCRCM01S01(HmAskUnrcvProcVO inVo) throws Exception {

    	/** 결과값 출력 객체 VO 선언 및 정상 초기값 설정 */
        RRCRCM01S01OutVO resultVo = new RRCRCM01S01OutVO();

        List<RRCRCM01DSCUSTLOANVO> custLoan = new ArrayList<RRCRCM01DSCUSTLOANVO>();

        custLoan = inVo.getLoanVOList();

        LOGGER.debug("serviceImpl inVo" + inVo);
        LOGGER.debug("serviceImpl custLoan" + custLoan);

//    	for( RRCRCM01DSCUSTLOANVO outDTO :  custLoan ) {
//
//    		RRCRCM01DSCUSTLOANVO targetIO = new RRCRCM01DSCUSTLOANVO();
//
//            targetIO.setLoanPamt(outDTO.getLoanPamt());                        /** 결제번호 */
//
//            /** 수납내역조회 List 객체에 추가하도록 수행 */
//            custLoan.add(targetIO);
//        }

        resultVo.setRRCRCM01DSCUSTLOANVO(custLoan);

    	return resultVo;
    }

	@Override
	public CustInfoVO getCustInfo(IamtUnrcvObjVO inVo) throws Exception {

		CustInfoVO resultVo = new CustInfoVO();

//		resultVo = rcptMapper.selectCustInfo(null);

		return resultVo;
	}

	@Override
	public CustInfoVO getHpNo(IamtUnrcvObjVO inVo) throws Exception {

		CustInfoVO resultVo = new CustInfoVO();

		return resultVo;
	}

	@Override
	public int insertSmsDlyrDesc(BtSmsDlvrDescDTO dto) throws Exception {

		int cnt = 0;

		// 발송내역 저장
		cnt = smsDlyrDescMapper.insertSmsDlyrDesc(dto);

		return cnt;
	}

	@Override
	public void procRcpt(Map<String, Object> dsSearch, Map<String, Object> dsSetlInfo) throws Exception {

   	 	UserSessionVO sessionVO = (UserSessionVO) SessionUtil.getAttribute("UserSessionVO");
		String empNo = sessionVO.getUserNo();
		String deptCd = sessionVO.getOnworkDeptCd();

		String setlDivCd = StringUtil.trim((String) dsSearch.get("setlDiv"));	//결제구분

		/*
		 * 청구미수를 이용하여 수납받을 대상의 청구대상금액, 예가수잔액 등의 정보를 조회한다.
		 * 필수 : 대출번호,순번,결제일자
		 */
		AskUnrcvObjVO askUnrcvObjVO = new AskUnrcvObjVO();
		askUnrcvObjVO.loanNo       = (String) dsSearch.get("loanNo");
		askUnrcvObjVO.loanSeq      = (String) dsSearch.get("loanSeq");
		askUnrcvObjVO.setlDt       = (String) dsSearch.get("setlDt");
		askUnrcvObjVO.dsrcNo       = StringUtil.trim((String) dsSetlInfo.get("dsrcNo"));
		askUnrcvObjVO.partRmbrPamt = StringUtil.parseLong((String) dsSearch.get("partRmbrPamt"));
		askUnrcvObjVO.leglUnCalcFg = StringUtil.nvl(dsSearch.get("leglUnCalcFg"),"0");
		askUnrcvObjVO.addTermInt   = StringUtil.parseLong((String) dsSearch.get("addTermInt"));



		AskUnrcvVO askUnrcvVO = new AskUnrcvVO();
		askUnrcvVO.addAskUnrcvObj(askUnrcvObjVO);

		askUnrcvProcService.calcAskUnrcv(askUnrcvVO);	//청구미수 조회
		LOGGER.info("################ procRcpt 1 askUnrcvObjVO["+askUnrcvObjVO+"]");
		BndVO bndVO = askUnrcvVO.getBndVO(0);
		LOGGER.info("################ procRcpt 2 bndVO["+bndVO+"]");
		/*
		 * 할부상품(리스제외)는 중도상환시 선납이 되어있으면 특정조건에 맞는다면
		 * 수납취소후 중도상환을 자동으로 할수 있게한다. 별도 로직 호출.
		 */
		boolean isAutoMidRmbrForPreRcpt = false;
		boolean isAutoMidRmbrOnlyIntg = false;	//선납이 아닌경우 단지 통합 후 수납한다.

		//중도상환시 선납여부 체크
		if (IamtUtil.isMidRmbr(setlDivCd)) {
			//LOGGER.info("중도상환시 선납여부 체크");	//임시
			if (bndVO!=null) {
				if (StringUtil.in(bndVO.prdtLrgeClasCd, "1", "2") && "22".equals(bndVO.loanStatCd) && bndVO.midRmbrTims > 0) {

					if ("1".equals(bndVO.preRcptFg)) {

						if (bndVO.leglActnCostRamt > 0) {
							throw new Exception("가지급금(면제금액)존재 시 중도상환 처리할 수 없습니다. 가지급금잔액:"+bndVO.leglActnCostRamt);
						}

						isAutoMidRmbrForPreRcpt = true;
					} else {

						isAutoMidRmbrOnlyIntg = true;
					}
				}

				// 법정최대이자율 제한으로 계산시 아래 코드 참조해야함.
//				if (AskUnrcvConst.YES.equals(bndVO.partRmbrRcptFg)) {
//					throw new BizException("당일 중도부분 상환수납건이 존재합니다. 중도부분상환 수납취소후 처리 가능합니다.");
//				}
			}
		}

		// 본사 회계팀 여부 - 2018-08-01 HSH 하드코딩 제거 관련 수정. 파라미터 추가.
		// 본사 회계팀은 없으니 주석처리
		//boolean isMnbrAcct = isMnbrAcctTeam(tx, event.getOnworkDeptCd());

		/*
		 * 기본적으로 DOBSCAP화면에서 등록되는 경로로 설정하고,
		 * 로그인유저가 컨텍 유저이면 DOBSCAP_컨텍유저로 시스템경로를 세팅한다.
		 */
		String sysPathCd = "01";
		LOGGER.info("sysPathCd = " + sysPathCd);
//		if (isCntcUser(event)) {
//			sysPathCd = IamtUnrcvConst.SYS_PATH_DOBSCAP_CNTC;
//		}

		//입금미수 요청객체 생성
		IamtUnrcvObjVO iamtUnrcvObjVO = new IamtUnrcvObjVO();
		iamtUnrcvObjVO.loanNo  = (String) dsSearch.get("loanNo");									//대출번호
		iamtUnrcvObjVO.loanSeq = (String) dsSearch.get("loanSeq");									//대출순번
		iamtUnrcvObjVO.setlDt  = (String) dsSearch.get("setlDt");		//결제일자
		iamtUnrcvObjVO.setlDivCd = (String) dsSearch.get("setlDiv");	 							//결제구분 --> 화면값
		iamtUnrcvObjVO.acctDt    = (String) dsSetlInfo.get("acctDt");	//회계일자
		iamtUnrcvObjVO.rcptTpCd  = StringUtil.trim((String) dsSetlInfo.get("rcptTpCd"));			//수납유형 코드
		iamtUnrcvObjVO.dsrcNo    = StringUtil.trim((String) dsSetlInfo.get("dsrcNo"));				//예가수 번호
		iamtUnrcvObjVO.acctUnitCd = "W01";															//회계단위코드
		iamtUnrcvObjVO.preRcptTpCd = StringUtil.trim((String) dsSearch.get("preRcptTpCd"));			//자동이체 or 지로
		iamtUnrcvObjVO.sysPathCd = sysPathCd;


		/**
		 * UFIXME 입력부서에 대해서 대출 관리부서 일괄 처리가능하면 그렇게하도록
		 * 1. 선결제처리일때는 (자동이체,지로) 각 거래에 해당하는 부서 및 정보를 세팅한다.
		 * 2. 본사회계팀일때는 강제조정을 위해 채권의 관리부서로 처리해야할 경우는 입력부서에 대출의 관리부서를 세팅한다.
		 * 3. 일반적으로는 로그인유저의 회계부서를 입력부서로 한다.
		 */
		//iamtUnrcvObjVO.isrtDeptCd = event.getAttdAcctDeptCd(); //입력 부서
		// 본사가 없어 관리부서로 임시로 세팅
		iamtUnrcvObjVO.isrtDeptCd = deptCd;

		if (!StringUtil.isNull(iamtUnrcvObjVO.preRcptTpCd)) {
			// 미사용인듯
			iamtUnrcvObjVO.isrtDeptCd 	= StringUtil.trim((String) dsSearch.get("preIsrtDeptCd"));		//입력 부서
			iamtUnrcvObjVO.bankCd 		= StringUtil.trim((String) dsSearch.get("preBankCd"));			//은행_코드 (입금미수에서 처리)
			iamtUnrcvObjVO.acntNo 		= StringUtil.trim((String) dsSearch.get("preAcntNo"));			//계좌_번호 (입금미수에서 처리)
			iamtUnrcvObjVO.preTrOrgCd   = StringUtil.trim((String) dsSearch.get("preTrOrgCd"));			//기관코드/지로번호
			iamtUnrcvObjVO.preGiroSnum  = StringUtil.parseInt((String) dsSearch.get("preGiroSnum"));	//지로일련번호
			iamtUnrcvObjVO.preGiroDivCd = StringUtil.trim((String) dsSearch.get("preGiroDivCd"));		//지로구분코드
			iamtUnrcvObjVO.acctUnitCd   = StringUtil.trim((String) dsSearch.get("preAcctUnitCd"));		//회계단위코드

		}else {
			if ("04".equals(sysPathCd)) {
				iamtUnrcvObjVO.isrtDeptCd = deptCd;
			} else {
				// 본사회계가 존재하지 않아 주석
//				if (isMnbrAcct && AskUnrcvConst.YES.equals(wrpSearch.get(RcptSMDO01.mngDeptProcFg))) {
//					iamtUnrcvObjVO.isrtDeptCd = wrpSetl.get(RcptSDDO.mngDeptCd); //입력 부서
//				}
			}
			iamtUnrcvObjVO.bankCd = StringUtil.trim((String) dsSetlInfo.get("bankCd"));	//은행_코드
			iamtUnrcvObjVO.acntNo = StringUtil.trim((String) dsSetlInfo.get("acntNo"));	//계좌_번호
		}

		/*
		 * 1. 결제구분이 예가수이면 예가수발생관련 셋팅을 한다.
		 * 2. 이외 예가수번호 존재시 예가수를 이용한 정산이므로   예가수정산관련 세팅을 한다.
		 */
		if ("2".equals(iamtUnrcvObjVO.setlDivCd)) {
			iamtUnrcvObjVO.dsrcAdjCd =  "01";
			iamtUnrcvObjVO.dsrcOccrCd = StringUtil.trim((String) dsSetlInfo.get("dsrcOccrCd"));
		} else {
			if (!StringUtil.isNull(iamtUnrcvObjVO.dsrcNo)) {

				iamtUnrcvObjVO.dsrcAdjCd = "02";	// 예가수 정산
				if (bndVO!=null) {
					iamtUnrcvObjVO.dsrcOccrCd = bndVO.dsrcOccrCd;	//정산시에는 기존예가수발생코드를 꼭 입력한다.
				}
			}
		}

		iamtUnrcvObjVO.setlFrstRank 	= StringUtil.trim((String) dsSetlInfo.get("setlFrstRank"));				//결제우선순위
		iamtUnrcvObjVO.dsrcAdjAmt   	= StringUtil.parseLong((String) dsSetlInfo.get("dsrcAdjAmt"));			//예가수정산금액
		iamtUnrcvObjVO.ltrmBrcvAmt  	= StringUtil.parseLong((String) dsSetlInfo.get("ltrmBrcvAmt"));			//장기선수금액
		iamtUnrcvObjVO.setlAmt  		= StringUtil.parseLong((String) dsSetlInfo.get("setlAmt"));				//결제금액
		iamtUnrcvObjVO.rcptAmt  		= StringUtil.parseLong((String) dsSetlInfo.get("rcptAmt"));				//수납금액
		iamtUnrcvObjVO.cashAmt  		= StringUtil.parseLong((String) dsSetlInfo.get("cashAmt"));				//현금금액
		iamtUnrcvObjVO.chkAmt   		= StringUtil.parseLong((String) dsSetlInfo.get("chkAmt"));				//수표금액

		// 면제항목 셋팅
		iamtUnrcvObjVO.exmpConsNo 		= StringUtil.trim((String) dsSetlInfo.get("exmpConsNo"));				//면제품의 번호
		iamtUnrcvObjVO.exmpAmt 			= StringUtil.parseLong((String) dsSetlInfo.get("exmpAmt"));				//면제금액
		iamtUnrcvObjVO.exmpPamt 		= StringUtil.parseLong((String) dsSetlInfo.get("exmpPamt"));			//면제원금
		iamtUnrcvObjVO.exmpInt  		= StringUtil.parseLong((String) dsSetlInfo.get("exmpInt"));				//면제이자
		iamtUnrcvObjVO.exmpDfee 		= StringUtil.parseLong((String) dsSetlInfo.get("exmpDfee"));			//면제연체료
		iamtUnrcvObjVO.exmpLeglActnCost = StringUtil.parseLong((String) dsSetlInfo.get("exmpLeglActnCost"));	//면제법적조치비용
		iamtUnrcvObjVO.exmpMidRmbrFee	= StringUtil.parseLong((String) dsSetlInfo.get("exmpMidRmbrFee"));		//면제중도상환수수료
		iamtUnrcvObjVO.exmpTrtFee   	= StringUtil.parseLong((String) dsSetlInfo.get("exmpTrtFee"));			//면제분납취급수수료

		iamtUnrcvObjVO.frstRegEmpNo 	= empNo;
		iamtUnrcvObjVO.setlDtChkFg  	= "1";

		// ASIS 615라인부터 661라인은 구현하지않았음(화면에서 받아오는 DS_DSRC_INTG 데이터셋이 존재하지않음)
//		long dsrcIntgAmt = StringUtil.parseLong((String) dsSetlInfo.get("dsrcIntgAmt"));	//화면 예가수통합금액.

//		if(dsrcIntgAmt > 0) {

//		}

		//입금미수 원리금 수납처리 호출
		IamtUnrcvVO iamtUnrcvVO = new IamtUnrcvVO();
		// 본사회계팀이 존재하지않아 임시 주석
		//if (isMnbrAcct) iamtUnrcvVO.pdueIvltProcFg = IamtUnrcvConst.YES;	//회계팀은 3회선납 제한을 받지 않는다.

		// 선납은 처리할수 없도록.
        // iamtUnrcvVO.pduePossFg = IamtUnrcvConst.YES;	// 화면수납은 선납가능하도록
		iamtUnrcvVO.addIamtUnrcvObjVO(iamtUnrcvObjVO);

		LOGGER.info("################ procRcpt 000 askUnrcvObjVO["+askUnrcvObjVO+"]");
		LOGGER.info("################ procRcpt 000 iamtUnrcvObjVO["+iamtUnrcvObjVO+"]");

		int setlNo = 0;
		if (isAutoMidRmbrForPreRcpt) {

			setlNo = rcptMidRmbrProcService.proc(askUnrcvVO, iamtUnrcvVO);
		} else {

//			if (IamtUnrcvConst.RCPT_DIV_LTRM_BRCV.equals(iamtUnrcvObjVO.rcptTpCd)) {
//				IamtUnrcvCC.procLtrmBrcvAmt(iamtUnrcvVO, askUnrcvVO, tx.getConnection());
//			} else {
//				IamtUnrcvCC.procRcpt(iamtUnrcvVO, askUnrcvVO, tx);
//			}
			iamtUnrcvService.procRcpt(iamtUnrcvVO, askUnrcvVO);	//입금처리(전표처리)

			if (!iamtUnrcvVO.isSuccess()) {
				throw new BizException(iamtUnrcvVO.rsltCd + "||" + iamtUnrcvVO.rsltCntn);
			}
			setlNo = iamtUnrcvVO.getIamtUnrcvObjVO(0).setlNo;
		}
		dsSearch.put("setlNo", String.valueOf(setlNo));


		//수납처리 SMS 발송 처리
		if(iamtUnrcvVO.isSuccess()) {

			// 고객정보조회
			String custNo = (String) dsSearch.get("custNo");
			String custNm = (String) dsSearch.get("custNm");

			String recvHpNo = (String) dsSearch.get("recvHpNo");

			LOGGER.info("수납처리 SMS 발송 처리");	//임시

			if(!"".equals(StringUtil.nvl(recvHpNo))) {	//휴대폰번호가 있는경우 SMS전송
				CommCdVO param = new CommCdVO("RTX001", "1");					// 수납완료 LMS
				List<CommCdVO> vo = commBizService.searchCommCdList(param);	// 메세지 조회

				//입금처리후 청구미수정보 재조회
				AskUnrcvObjVO askUnrcvObjVOTemp = new AskUnrcvObjVO();
				askUnrcvObjVOTemp.loanNo       = (String) dsSearch.get("loanNo");
				askUnrcvObjVOTemp.loanSeq      = (String) dsSearch.get("loanSeq");
				askUnrcvObjVOTemp.setlDt       = (String) dsSearch.get("setlDt");
				askUnrcvObjVOTemp.dsrcNo       = (String) dsSetlInfo.get("dsrcNo");
				askUnrcvObjVOTemp.partRmbrPamt = StringUtil.parseLong(dsSearch.get("partRmbrPamt"));
				askUnrcvObjVOTemp.leglUnCalcFg = StringUtil.nvl(dsSearch.get("leglUnCalcFg"), "0" );
				askUnrcvObjVOTemp.addTermInt   = StringUtil.parseLong(dsSearch.get("addTermInt"));

				AskUnrcvVO askUnrcvVOTemp = new AskUnrcvVO();
				askUnrcvVOTemp.addAskUnrcvObj(askUnrcvObjVOTemp);

				askUnrcvProcService.calcAskUnrcv(askUnrcvVOTemp);	//청구미수 조회
				BndVO bndVOTemp = new BndVO();
				bndVOTemp = askUnrcvVOTemp.getBndVO(0);

				//임시
//				LOGGER.info("당월납입일자 = " + bndVOTemp.thmmDueDt);
//				LOGGER.info("당월실납입일자 = " + bndVOTemp.thmmRlDueDt);
//				LOGGER.info("청구금액 = " + bndVOTemp.askAmt);
//				LOGGER.info("nextAskAmt = " + bndVOTemp.nextAskAmt);
//				LOGGER.info("nextAskTims = " + bndVOTemp.nextAskTims);

				String lmsTitle = vo.get(0).getEtcNm();		// 중도상환 LMS 제목
				String lmsText  = vo.get(0).getKorNm();	// 중도상환 LMS 내용
				String loanNo   = iamtUnrcvObjVO.loanNo;
				String loanSeq  = iamtUnrcvObjVO.loanSeq;
				String acctYyyy  = iamtUnrcvObjVO.acctDt.substring(0, 4);		//회계년도
				String acctMm  = iamtUnrcvObjVO.acctDt.substring(4, 6);			//회계월
				String acctDd  = iamtUnrcvObjVO.acctDt.substring(6, 8);		//회계일자
				String setlAmt  = StringUtil.numFmt(iamtUnrcvObjVO.setlAmt, "INT");	//결제금액

				//차기결제정보
				String nextAskMm  = bndVOTemp.thmmRlDueDt.substring(4, 6);	//다음청구 실납입 월
				String nextAskDd  = bndVOTemp.thmmRlDueDt.substring(6, 8);	//다음청구 실납입 일
				String nextAskAmt  = StringUtil.numFmt(bndVOTemp.nextAskAmt);	//다음청구금액


				LOGGER.info("######################## JJH 1 iamtUnrcvObjVO.acctDt["+iamtUnrcvObjVO.acctDt+"]");
				LOGGER.info("######################## JJH 1 bndVOTemp.thmmRlDueDt["+bndVOTemp.thmmRlDueDt+"]");
				LOGGER.info("######################## JJH 1 acctYyyy["+acctYyyy+"] acctMm["+acctMm+"] acctDd["+acctDd+"]");
				LOGGER.info("######################## JJH 1 nextAskMm["+nextAskMm+"] nextAskDd["+nextAskDd+"]");
				LOGGER.info("######################## JJH 1 setlAmt["+setlAmt+"] nextAskAmt["+nextAskAmt+"]");


				/* 2023-03-16 막음
				if (CUtil.isChk(tx.getConnection(), "SMS002")) {	//분류1
					recvHpNo = CUtil.getCodeNm(tx.getConnection(), "RCHECK", "SMS001", "shrtNm");	//단축명
				}
				*/
				String msg = "";
				DlvrMsgVO msgVo = new DlvrMsgVO();
				if("3".equals(setlDivCd)){	//결제구분 3: 중도일부상환

					//[하나생명]
					//%0 고객님 %1 월 %2 일 %3 원 중도상환되었습니다. 차기 결제일 %4월 %5일 결제금액은 %6원 입니다. 감사합니다.
					String paramSms[] = {custNm, acctMm, acctDd, setlAmt, nextAskMm, nextAskDd, nextAskAmt};	//발송문구 %값 순서대로 치환
					msgVo.setParam(paramSms);
					msgVo.setGubun("36"); // 발송문구 구분코드

				}
				else if("4".equals(setlDivCd)){	//결제구분 4: 중도전액상환

					//[하나생명]
					//%0 고객님 요청하신 중도완납 되었습니다. 지금까지 하나생명을 이용해 주셔서 감사합니다.
					String paramSms[] = {custNm};	//발송문구 %값 순서대로 치환
					msgVo.setParam(paramSms);
					msgVo.setGubun("37"); // 발송문구 구분코드

				}else {
					//[하나생명]
					//%s 고객님 %s 월 %s일 %s 원
					//정상 수납되었습니다.
					/*2023-03-16 막음
					msg = String.format(lmsText, custNm, acctMm, acctDd, setlAmt);
					*/
					//[하나생명]
					//%0 고객님, 결제금액  %1 원 정상 수납처리 되었습니다. 감사합니다.
					String paramSms[] = {custNm, setlAmt};	//발송문구 %값 순서대로 치환
					msgVo.setParam(paramSms);
					msgVo.setGubun("29"); // 발송문구 구분코드
				}
				LOGGER.info("발송문구 snum = " + msgVo.getGubun());

//				msgVo.setMsg(DlvrMsgSVC.getDlvrText(msgVo.getGubun()));
//				msgVo.setMsg(DlvrMsgSVC.replaceMsg(msgVo));

//				msg = msgVo.getMsg();	//문구세팅
//
//				SmsProcVO sms = new SmsProcVO();
//				sms.setRecvTelNo    (recvHpNo);		// 수신번호
//				sms.setRecvManNm	(custNm);		// 수신자명
//				/* [20230220-유창용-발신,회신번호 상수로 변경 시작] */
//				// 발신번호 수정해야함
//				sms.setCallBackTelNo("16445570");	// 발신번호
//				/* [20230220-유창용-발신,회신번호 상수로 변경 종료] */
//
//				sms.setTitle        (lmsTitle);										// 제목
//				sms.setMsg          (msg);											// 내용
//				sms.setLoanNo       (loanNo);										// 대출번호
//				sms.setReservedSendDttm(DateUtil.getCurrentBaseDateString());		// 전송예약시간
//				sms.setEmpNo        (empNo);										// 전송자 사번( 값없을때 SYSTEM 으로 전송 )
////				sms.setMtPr(SmsProcCC.createMtPr());
//
////				LOGGER.info("LMS Title] : "+lmsTitle);			//임시
////				LOGGER.info("LMS Message]\n" + sms.getMsg());	//임시
//
//				//2022-09-29 sendLms - > sendMsg 변경
//
//				// ******************************조건 넣어야함******************************
////				if (SmsProcService.sendMsg(sms)) {
//
//					String refKey = sms.getMtPr();
//
//					BtSmsDlvrDescDTO tdoD = new BtSmsDlvrDescDTO();
//					tdoD.setDlvrDt(DateUtil.getCurrentDateString());		// 발송_일자
//					tdoD.setMngDeptCd(deptCd);								// 정산_부서_코드
//					tdoD.setDlvrEmpNo(empNo);								// 발송_사원번호
//					tdoD.setLoanNo (loanNo);								// 대출_번호
//					tdoD.setLoanSeq(loanSeq);								// 대출_순번
////					tdoD.setSeq("0");										// 순번
//					tdoD.setSendDttm (sms.getSendDttm());					// 전송_일시
//					tdoD.setRecvTelNo(sms.getRecvTelNo());					// 수신_전화_번호
//					tdoD.setRspnTelNo(sms.getSendTelNo());					// 응답_전화_번호
//					tdoD.setSendTxt  (sms.getMsg());						// 전송_문자
//					tdoD.setFrstRegEmpNo (empNo);							// 최초_등록_사원번호
//					tdoD.setLastProcEmpNo(empNo);							// 최종_처리_사원번호
//					tdoD.setSendRefKey(refKey); 							// SEND_REF_KEY 참조_키  ( yyyymmddhhmmss + 6자리 일련번호 : sms 전송키 )
//					tdoD.setSendId(refKey.substring(0,6));					// SEND_ID	참조_아이디 ( 201809 )
//					// 필수값인지 확인필요
//					tdoD.setCustNo(custNo); 								// 고객번호
//					tdoD.setSendDiv("0");									// 0:즉시, 1:예약
//					tdoD.setDlvrObjCd("R04");								// DLVR_OBJ_CD	B00361 : 발송목적 : R04=수납안내
//					tdoD.setDlvrDeptCd(deptCd);								// DLVR_DEPT_CD	발송부서
//
//					this.insertSmsDlyrDesc(tdoD);
//

			}else {
				LOGGER.info("SMS전송 연락처 없음");
			}

		}

	}

	/**
	 * <p>메소드명	: procRcptCncl</p>
	 * <p>설    명	: 수납취소처리</p>
	 * <p>메소드인수	: Event, WrcDatasetWrapper, WrcDatasetWrapper, ITransaction</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	@Override
	public void procRcptCncl(Map<String, Object> searchMap, Map<String, Object> setlInfoMap) throws Exception {

   	 	UserSessionVO sessionVO = (UserSessionVO) SessionUtil.getAttribute("UserSessionVO");
		String empNo = sessionVO.getUserNo();
		String deptCd = sessionVO.getOnworkDeptCd();

		//1. 입금매수 객체 SET
		//2. 입금매수처리.입금미수객체생성 요청(입금미수처리)
		//3. 입금미수 처리 객체 SET
		//4. 입금미수.대상정보에 취소대상 SET
		//5. 입금미수.대상정보구성 요청

		//수납취소 요청객체 생성
		IamtUnrcvObjVO iamtUnrcvObjVO = new IamtUnrcvObjVO();
		iamtUnrcvObjVO.loanNo    = String.valueOf(searchMap.get("loanNo"));	               // 대출번호
		iamtUnrcvObjVO.loanSeq   = String.valueOf(searchMap.get("loanSeq"));               // 대출순번

		try {
			iamtUnrcvObjVO.orgSetlNo = Integer.parseInt((String) searchMap.get("setlNo")); // 결제번호
		} catch (Exception e) {
			throw new Exception("취소대상 결제번호가 없습니다.");
		}

		iamtUnrcvObjVO.cnclFg = "1";   										// 취소여부
		iamtUnrcvObjVO.cnclDt = String.valueOf(searchMap.get("acctDt"));	// 취소일자
		iamtUnrcvObjVO.acctDt = String.valueOf(searchMap.get("acctDt"));	// 회계일자
		iamtUnrcvObjVO.acctUnitCd = "W01";									// 회계단위 (입금미수에서 자동세팅)

		/*
		 * 1. 컨텍센터는 무조건 채권의 관리부서를 입력부서로 한다.
		 * 2. 본사회계팀일때는 강제조정을 위해 채권의 관리부서로 처리해야할 경우는 입력부서에 대출의 관리부서를 세팅한다.
		 * 3. 일반적으로는 로그인유저의 회계부서를 입력부서로 한다.
		 * 4. 컨텍센터 관리자급 두비스 수납취소시 전월회계일자여도 가능하다.
		 */

		iamtUnrcvObjVO.isrtDeptCd = deptCd; //입력 부서

		// 본사회계팀이 존재하지않아 주석처리
//		if (isCntcUser(loginRole)) {
//			iamtUnrcvObjVO.isrtDeptCd = String.valueOf(setlInfoMap.get("mngDeptCd"));
//		} else {
//			if (isMnbrAcct && StringUtil.trim(dsWrpSearch.get(RcptSMDO01.mngDeptProcFg)).equals(AskUnrcvConst.YES)) {
//				iamtUnrcvObjVO.isrtDeptCd = dsWrpSetl.get(RcptSDDO.mngDeptCd); //입력 부서
//			}
//		}

		/*
		 * 회계팀일때 강제 삭제 가능. (전본부에 대해)
		 * 회계팀,컨텍유저 이외에는 중도완납시 수납회계일자와 취소회계일자가 틀리면 취소할수 없다.
		 */
		// 회계팀이 존재하지않아 주석
//		if (isMnbrAcct || isCntcUser(event)) {
//			iamtUnrcvObjVO.ivltCnclFg = IamtUnrcvConst.YES;
//		} else {
//			iamtUnrcvObjVO.cnclAcctDtChkFg = IamtUnrcvConst.YES;
//		}

		iamtUnrcvObjVO.frstRegEmpNo = empNo;

		IamtUnrcvVO iamtUnrcvVO = new IamtUnrcvVO();
			iamtUnrcvVO.addIamtUnrcvObjVO(iamtUnrcvObjVO);

		//수납취소 처리
		iamtUnrcvService.procRcptCncl(iamtUnrcvVO);

		//6.수납취소 결과 확인
		if (!iamtUnrcvVO.isSuccess()) {
			throw new Exception(iamtUnrcvVO.rsltCd + "||" + iamtUnrcvVO.rsltCntn);
		}

		//성공시 취소 결제번호를 재세팅한다.
		searchMap.put("setlNo", String.valueOf(iamtUnrcvVO.getIamtUnrcvObjVO(0).setlNo));
	}
}
