package hanalife.r.rc.rd.web;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.c.co.mapper.dto.RtRcptBaseDTO;
import hanalife.c.co.service.CommBizService;
import hanalife.c.co.util.StringUtil;
import hanalife.c.co.util.XFrame5DataSetUtil;
import hanalife.c.co.vo.SetlInfoVO;
import hanalife.framework.comm.util.SessionUtil;
import hanalife.framework.comm.vo.UserSessionVO;
import hanalife.r.at.at.vo.PreSetlSDDOOUTVO;
import hanalife.r.co.as.service.AskUnrcvProcService;
import hanalife.r.co.as.service.HmAskUnrcvProcService;
import hanalife.r.co.as.vo.AskUnrcvObjVO;
import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.as.vo.BndVO;
import hanalife.r.co.as.vo.HmAskUnrcvProcVO;
import hanalife.r.co.as.vo.HmLoanVO;
import hanalife.r.co.as.vo.TimsUnrcvVO;
import hanalife.r.co.la.service.LoanInfoProcMngService;
import hanalife.r.co.la.vo.LoanInfoProcMngInVO;
import hanalife.r.co.la.vo.LoanInfoProcMngOutVO;
import hanalife.r.co.rc.service.IamtUnrcvService;
import hanalife.r.rc.mn.service.RcptMidRmbrProcService;
import hanalife.r.rc.rc.service.RcptDAOService;
import hanalife.r.rc.rc.vo.RcptDAOS01OutVO;
import hanalife.r.rc.rd.service.RRCRCM01Service;
import hanalife.r.rc.rd.vo.AskVO;
import hanalife.r.rc.rd.vo.BndOutVO;
import hanalife.r.rc.rd.vo.BndUnRcvOutVO;
import hanalife.r.rc.rd.vo.RRCRCM01DSCUSTLOANVO;
import hanalife.r.rc.rd.vo.RRCRCM01DSSEARCHVO;
import hanalife.r.rc.rd.vo.RRCRCM01S01OutVO;
import hanalife.r.rc.rd.vo.TimsUnrcvOutVO;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

/**
 * <pre>
 * 클래스명    : RRCRCM01Controller
 * 클래스설명  : 수납관리 (RRCRCM01) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023.04.04
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.02.24][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : 수납관리조회 : /RRCRCM01S01.do
 * </pre>
 */
@RequestMapping("r/rc/rc")
@Controller
public class RRCRCM01Controller {

    @Resource(name = "RRCRCM01Service")
    private RRCRCM01Service RRCRCM01;

    @Resource(name = "LoanInfoProcMngService")
    private LoanInfoProcMngService loanInfoCc;

    @Resource(name = "HmAskUnrcvProcService")
    private HmAskUnrcvProcService custUnrcv;

    @Resource(name = "RcptDAOService")
    private RcptDAOService rcptService;

    @Resource(name = "IamtUnrcvService")
    private IamtUnrcvService iamtUnrcvService;

    @Resource(name = "AskUnrcvProcService")
    private AskUnrcvProcService askUnrcvProcService;

    @Resource(name = "RcptMidRmbrProcService")
    private RcptMidRmbrProcService rcptMidRmbrProcService;

    @Resource(name = "CommBizService")
    private CommBizService commBizService;


    private String loginEmpNo;
    private String isrtDeptCd;
    private String loginRole;

    private static final Logger LOGGER = LoggerFactory.getLogger(RRCRCM01Controller.class);

    /**
     * <p>메소드명      : 수납관리조회 /RRCRCM01S01.do </p>
     * <p>작성일자      : 2023. 04. 04.
     * <p>작성자(author): 70326
     * <p>설명          : 수납관리 목록을 조회 한다.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/RRCRCM01S01.do")
    public String RRCRCM01S01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        LOGGER.info("##### RRCRCM01Controller RRCRCM01S01 Start #####");

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SEARCH", request, response, model);

            /** 수납관리 업무 서비스 호출 입력값 대입 */
            RRCRCM01DSSEARCHVO targetVo = new RRCRCM01DSSEARCHVO();

            targetVo.setLoanNo((String)sourceMap.get("loanNo"));   /** 대출번호 */
            targetVo.setLoanSeq((String)sourceMap.get("loanSeq")); /** 대출순번 */
            targetVo.setSetlDt((String)sourceMap.get("setlDt"));   /** 결제일자 */
            LOGGER.info("##### RRCRCM01Controller RRCRCM01S01 targetVo #####" + "loanNo : " + targetVo.getLoanNo() + ","
                                                                              + "loanSeq : " + targetVo.getLoanSeq() + ","
                                                                        	  + "setlDt : " + targetVo.getSetlDt());

            // 대출정보 조회
            LoanInfoProcMngOutVO loanOutVo = this.searchSmList(targetVo);

            if(loanOutVo == null) {
                model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
                model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "ESC1004");

            	return XFrame5View.XFRAME5_VIEW;
            }

            // 자동이체 선결제정보 조회
            PreSetlSDDOOUTVO preSetlDs = this.searchPreSetl(targetVo);

			HashMap map = new HashMap();
            map.put("loanNo"       , sourceMap.get("loanNo"));	        //대출번호
            map.put("loanSeq"      , sourceMap.get("loanSeq"));	        //대출순번
            map.put("setlDt"       , sourceMap.get("setlDt"));          //결제일자
            map.put("acctDt"       , "");                               //회계일자
            map.put("dsrcNo"       , sourceMap.get("dsrcNo"));          //가수번호
            map.put("partRmbrTims" , sourceMap.get("partRmbrTims"));	//부분상환회차  //숫자만 입력할것...
            map.put("partRmbrPamt" , sourceMap.get("partRmbrPamt"));	//부분상환원금  //숫자만 입력할것...
            map.put("partRmbrFeeRt", sourceMap.get("partRmbrFeeRt"));	//부분상환수수료율  //숫자만 입력할것...
            map.put("leglUnCalcFg" , sourceMap.get("leglUnCalcFg"));	//가지급금미계산여부
            map.put("addTermInt"   , sourceMap.get("addTermInt"));		//추가거치이자

            RRCRCM01S01OutVO outVo           = new RRCRCM01S01OutVO();
            List<BndOutVO> bndVo             = new ArrayList<BndOutVO>();
            List<TimsUnrcvOutVO> timsUnrcvVo = new ArrayList<TimsUnrcvOutVO>();
            SetlInfoVO setlInfoVo            = new SetlInfoVO();

            BndUnRcvOutVO outVO = null;

            try {
            	//청구미수 조회
            	outVO = this.setBndUnRcv(map, "1");

            	// 채권
            	if(!outVO.getBndVO().isEmpty()) {
            		bndVo = outVO.getBndVO();
            	}

            	// 회차정보
            	if(!outVO.getTimsVO().isEmpty()) {
            		timsUnrcvVo = outVO.getTimsVO();
            	}

            	// 결제정보
				if(loanOutVo.getListLoanInfoProcMngObjVO().size() > 0 && sourceMap.get("setlNo") != null) {

					targetVo.setSetlNo(StringUtil.parseInt(sourceMap.get("setlNo")));		/** 결제번호.30 */

					//결제 정보 조회
					setlInfoVo = selectRcptBase(targetVo);

					if(setlInfoVo == null) {
						model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-1");
			            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "결제 정보 조회중 에러 발생");

					}else {
						List<SetlInfoVO> resultSetlInfoList = new ArrayList<SetlInfoVO>();
						resultSetlInfoList.add(setlInfoVo);

						outVo.setRRCRCM01DSSETLINFOVO(resultSetlInfoList);
					}
				}

			} catch (Exception e) {
				LOGGER.error("수납내역 조회중 에러발생 ", e);
				model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-1");
                model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
			}

            XFrame5Util.setOutputData("DS_SM", loanOutVo.getListLoanInfoProcMngObjVO(), model);
            XFrame5Util.setOutputData("DS_BND", outVO.getBndVO(), model);
            XFrame5Util.setOutputData("DS_TIMEUNRCV", outVO.getTimsVO(), model);
            XFrame5Util.setOutputData("DS_SETLINFO", outVo.getRRCRCM01DSSETLINFOVO(), model);
            XFrame5Util.setOutputData("DS_PRESETL", preSetlDs.getPreSetlSDDOVO(), model);

            LOGGER.info("##### RRCRCM01Controller RRCRCM01S01 Normal End #####");
        }
        catch (Exception e) {
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### RRCRCM01Controller RRCRCM01S01 Exception End #####");
        }

        return XFrame5View.XFRAME5_VIEW;
    }

    /**
     * <p>메소드명      : 고객번호로 대출리스트 조회 /RRCRCM01S02.do </p>
     * <p>작성일자      : 2023. 04. 04.
     * <p>작성자(author): 70326
     * <p>설명          : 고객번호로 대출리스트 조회 한다.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/RRCRCM01S02.do")
    public String RRCRCM01S02(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        LOGGER.info("##### RRCRCM01Controller RRCRCM01S02 Start #####");

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_CUST_SEARCH", request, response, model);

            /** 수납관리 업무 서비스 호출 입력값 대입 */
            HmAskUnrcvProcVO custLoan = new HmAskUnrcvProcVO();

			custLoan.setSearchCustNo((String)sourceMap.get("custNo"));
			custLoan.setSetlDt((String)sourceMap.get("setlDt"));
			custLoan.setLoanContFg((String)sourceMap.get("loanContFg"));
			custLoan.setLoanRlDueFg((String)sourceMap.get("loanRlDueFg"));
			custLoan.setLoanEtcFg((String)sourceMap.get("loanEtcFg"));
			custLoan.setLoanStatRegFg((String)sourceMap.get("loanStatRegFg"));
			custLoan.setLoanStatCnfmFg((String)sourceMap.get("loanStatCnfmFg"));
			custLoan.setLoanStatEndFg((String)sourceMap.get("loanStatEndFg"));
			custLoan.setSearchDivCd("C");	// 고객번호로 조회

			//특수채권에러처리 (부서부분은 주석)
//			String mnbrAcctDeptCd = UiUtil.selectDeptCdAtCommCd("A");	//회계팀
//			String bndDeptCd = UiUtil.selectDeptCdAtCommCd("B");		//채권기획팀
//
//			if (RUtil.in(event.getBsnDeptCd(), mnbrAcctDeptCd, bndDeptCd)) {
//				custLoan.setSpclBndFg("1");
//			}
			// 고객번호 검색도 청구미수를 태워 미수금액 조회하도록 수정함 (2018-08-01 (두비스))
			List rslt = custUnrcv.proc(custLoan);
			if (!rslt.get(0).equals("0000")) {
	            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
	            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "고객대출정보 조회시 오류");
				return XFrame5View.XFRAME5_VIEW;
			}

			RRCRCM01S01OutVO resultRRCRCM01S01 = new RRCRCM01S01OutVO();
			List<RRCRCM01DSCUSTLOANVO> resultList01 = new ArrayList<RRCRCM01DSCUSTLOANVO>();

			for (int idx=0, n=custLoan.getLoanVOList().size(); idx<n; idx++) {
				HmLoanVO loanVO = custLoan.getLoanVOList(idx);

				RRCRCM01DSCUSTLOANVO targetIO = new RRCRCM01DSCUSTLOANVO();

				targetIO.setLoanNo(loanVO.getLoanNo());
				targetIO.setLoanSeq(loanVO.getLoanSeq());
				targetIO.setPrdtLrgeClasCd(loanVO.getPrdtLrgeClasCd());
				targetIO.setPrdtLrgeClasNm(loanVO.getPrdtLrgeClasNm());
				targetIO.setPrdtMidClasCd(loanVO.getPrdtMidClasCd());
				targetIO.setPrdtMidClasNm(loanVO.getPrdtMidClasNm());
				targetIO.setPrdtSmClasCd(loanVO.getPrdtSmClasCd());
				targetIO.setPrdtSmClasNm(loanVO.getPrdtSmClasNm());
				targetIO.setGodsSpecCd(loanVO.getGodsSpecCd());
				targetIO.setGodsSpecNm(loanVO.getGodsSpecNm());
				targetIO.setLoanDt(loanVO.getLoanDt());
				targetIO.setLeasEprtDt(loanVO.getLeasEprtDt());
				targetIO.setEprtDt(loanVO.getEprtDt());
				targetIO.setEndDt(loanVO.getEndDt());
				targetIO.setLoanPamt(loanVO.getLoanPamt());
				targetIO.setLoanPamtRamt(loanVO.getLoanPamtRamt());
				targetIO.setMngDeptCd(loanVO.getMngDeptCd());
				targetIO.setMngDeptNm(loanVO.getMngDeptNm());
				targetIO.setMngDeptTelNo(loanVO.getMngDeptTelNo());
				targetIO.setLoanIntRt(loanVO.getLoanIntRt());
				targetIO.setContManNm(loanVO.getContManNm());
				targetIO.setContManNo(loanVO.getContManNo());
				targetIO.setRlDueManNm(loanVO.getRlDueManNm());
				targetIO.setRlDueManNo(loanVO.getRlDueManNo());
				targetIO.setLoanRelNm(loanVO.getLoanRelNm());
				targetIO.setLoanRelManNo(loanVO.getLoanRelManNo());
				targetIO.setLoanRelManNm(loanVO.getLoanRelManNm());
				targetIO.setBankNm(loanVO.getBankNm());
				targetIO.setAcntNo(loanVO.getAcntNo());
				targetIO.setImgAcntBankNm(loanVO.getImgAcntBankNm());
				targetIO.setImgAcntNo(loanVO.getImgAcntNo());
				targetIO.setLoanStatCd(loanVO.getLoanStatCd());
				targetIO.setLoanStatNm(loanVO.getLoanStatNm());
				targetIO.setSetlDd(loanVO.getSetlDd());
				targetIO.setComgDueDt(loanVO.getComgDueDt());
				targetIO.setComgTims(loanVO.getComgTims());
				targetIO.setTotTims(loanVO.getTotTims());
				targetIO.setObjAmt(loanVO.getObjAmt());
				targetIO.setNormAmt(loanVO.getNormAmt());
				targetIO.setDlyAmt(loanVO.getDlyAmt());
				targetIO.setTamtRmbrAmt(loanVO.getTamtRmbrAmt());

	            /** 고객대출정보 List 객체에 추가하도록 수행 */
	            resultList01.add(targetIO);
			}
			resultRRCRCM01S01.setRRCRCM01DSCUSTLOANVO(resultList01);

            XFrame5Util.setOutputData("DS_CUST_LOAN", resultRRCRCM01S01.getRRCRCM01DSCUSTLOANVO(), model);

            LOGGER.info("##### RRCRCM01Controller RRCRCM01S02 Normal End #####");
        }
        catch (Exception e) {
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### RRCRCM01Controller RRCRCM01S02 Exception End #####");
        }

        return XFrame5View.XFRAME5_VIEW;
    }

    /**
     * <p>메소드명      : 수납관리 저장 /RRCRCM01U01.do </p>
     * <p>작성일자      : 2023. 04. 04.
     * <p>작성자(author): 70326
     * <p>설명          : 수납관리 저장.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/RRCRCM01U01.do")
    public String RRCRCM01U01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

    	 LOGGER.info("##### RRCRCM01Controller RRCRCM01U01 Start #####");


         try {
             /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
        	 Map<String, Object> dsSm       = XFrame5DataSetUtil.getXFrameDataSet("DS_SM", request, response, model);
             Map<String, Object> dsSearch   = XFrame5DataSetUtil.getXFrameDataSet("DS_SEARCH", request, response, model);
             Map<String, Object> dsSetlInfo = XFrame5DataSetUtil.getXFrameDataSet("DS_SETLINFO", request, response, model);

             dsSearch.put("custNo", dsSearch.get("custNo"));
             dsSearch.put("custNm", dsSearch.get("custNm"));
             dsSearch.put("recvHpNo", (String) dsSearch.get("cntcTel1")+(String) dsSearch.get("cntcTel2")+(String) dsSearch.get("cntcTel3"));

             RRCRCM01.procRcpt(dsSearch, dsSetlInfo);

         }catch (Exception e) {
        	 e.printStackTrace();
             // 오류 메시지 정보 설정
             model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
             model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

             LOGGER.info("##### RRCRCM01Controller RRCRCM01U01 Exception End #####");

		 }

    	return XFrame5View.XFRAME5_VIEW;
    }

    /**
     * <p>메소드명      	: RRCRCM01D01     </p>
     * <p>작성일자      	: 2023. 04. 04.   </p>
     * <p>작성자(author)	: 70326           </p>
     * <p>설명          	: 수납취소     	  </p>
     * <p>예외처리      	: Exception	      </p>
     */
    @RequestMapping("/RRCRCM01D01.do")
    public String RRCRCM01D01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

    	LOGGER.info("##### RRCRCM01Controller RRCRCM01U01 Start #####");
		UserSessionVO sessionVO = (UserSessionVO) SessionUtil.getAttribute("UserSessionVO");
		String empNo = sessionVO.getUserNo();
		String deptCd = sessionVO.getOnworkDeptCd();

    	isrtDeptCd  = deptCd;
    	loginEmpNo  = empNo;

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> dsSearch   = XFrame5DataSetUtil.getXFrameDataSet("DS_SEARCH", request, response, model);
            Map<String, Object> dsSetlInfo = XFrame5DataSetUtil.getXFrameDataSet("DS_SETLINFO", request, response, model);

            LOGGER.info("##### RRCRCM01Controller RRCRCM01U01 dsSearch #####" + dsSearch);

            RRCRCM01.procRcptCncl(dsSearch,dsSetlInfo);

        }catch (Exception e) {
        	LOGGER.error("Error >>> "+e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### RRCRCM01Controller RRCRCM01D01 Exception End #####");
		 }

    	return XFrame5View.XFRAME5_VIEW;
    }

	/**
	 * <p>메소드명	: searchSmList</p>
	 * <p>설　　명	: 대출정보 조회</p>
	 * <p>메소드인수	: WrcDatasetWrapper, ITransaction</p>
	 * <p>리 턴 값	: LoanInfoProcMngOutVO</p>
	 */
	public LoanInfoProcMngOutVO searchSmList(RRCRCM01DSSEARCHVO inVo) throws Exception {

		String loanNo  = inVo.getLoanNo();
		String loanSeq = inVo.getLoanSeq();
		String setlDt  = inVo.getSetlDt();

		LoanInfoProcMngInVO loanInfoInVo = new LoanInfoProcMngInVO();

		loanInfoInVo.setLoanNo(loanNo);
		loanInfoInVo.setLoanSeq(loanSeq);
		loanInfoInVo.setSetlDt(setlDt);

		LOGGER.info(" loanNo : " + loanNo);
		LOGGER.info(" loanSeq : " + loanSeq);
		LOGGER.info(" setlDt : " + setlDt);

		// 대출정보 조회
		return loanInfoCc.getLoanInfo(loanInfoInVo);
	}

	public PreSetlSDDOOUTVO searchPreSetl(RRCRCM01DSSEARCHVO inVo) throws Exception {

		String loanNo  = inVo.getLoanNo();
		String loanSeq = inVo.getLoanSeq();

		LoanInfoProcMngInVO loanInfoInVo = new LoanInfoProcMngInVO();

		loanInfoInVo.setLoanNo(loanNo);
		loanInfoInVo.setLoanSeq(loanSeq);

		// 대출정보 조회
		return loanInfoCc.getPreSetl(loanInfoInVo);
	}

	/**
	 * <p>메소드명	: selectRcptBase</p>
	 * <p>설　　명	: 결제정보 조회</p>
	 * <p>메소드인수	: RRCRCM01DSSEARCHVO(loanNo, loanSeq, setlNo)</p>
	 * <p>리 턴 값	: SetlInfoVO</p>
	 */
	public SetlInfoVO selectRcptBase(RRCRCM01DSSEARCHVO inVo) throws Exception {

		SetlInfoVO result = new SetlInfoVO();

		RtRcptBaseDTO rcptDto = new RtRcptBaseDTO();

		rcptDto.setLoanNo(inVo.getLoanNo());		/** 대출번호 */
		rcptDto.setLoanSeq(inVo.getLoanSeq());		/** 대출순번 */
		rcptDto.setSetlNo(inVo.getSetlNo());		/** 결제번호 */

		RcptDAOS01OutVO resultVo = rcptService.search(rcptDto);

		if(!resultVo.getListRRCRCM01DSSETLINFOVO().isEmpty()) {

			result.setAcctDt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getAcctDt());
			result.setRcptTpCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getRcptTpCd());
			result.setDsrcOccrCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getDsrcOccrCd());
			result.setSetlFrstRank(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getSetlFrstRank());
			result.setDsrcNo(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getDsrcNo());
			result.setDsrcAdjAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getDsrcAdjAmt());
			result.setRcptAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getRcptAmt());
			result.setCashAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getCashAmt());
			result.setChkAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getChkAmt());
			result.setSetlAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getSetlAmt());
			result.setChkNo(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getChkNo());
			result.setExmpConsNo(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpConsNo());
			result.setExmpPassFg(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpPassFg());
			result.setExmpAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpAmt());
			result.setExmpPamt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpPamt());
			result.setExmpInt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpInt());
			result.setExmpDfee(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpDfee());
			result.setExmpLeglActnCost(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpLeglActnCost());
			result.setExmpMidRmbrFee(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getExmpMidRmbrFee());
			result.setPreRcptTpCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getPreRcptTpCd());
			result.setLeglUnCalcFg(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getLeglUnCalcFg());
			result.setPreIsrtDeptCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getPreIsrtDeptCd());
			result.setPreBankCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getPreBankCd());
			result.setPreAcntNo(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getPreAcntNo());
			result.setSeltDivCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getSeltDivCd());
			result.setCortMaxAmt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getCortMaxAmt());
			result.setCalcPsgInt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getCalcPsgInt());
			result.setCalcMidRmbrFee(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getCalcMidRmbrFee());
			result.setMidRmbrPamt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getMidRmbrPamt());
			result.setMidRmbrInt(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getMidRmbrInt());
			result.setMidRmbrFee(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getMidRmbrFee());
			result.setBankCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getBankCd());
			result.setAcntNo(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getAcntNo());
			result.setRcptAcntCd(resultVo.getListRRCRCM01DSSETLINFOVO().get(0).getRcptAcntCd());

		}

		return result;
	}

	/**
	 * <p>메소드명		: isCntcUser</p>
	 * <p>설　　명	: 컨텍 수납담당자 여부</p>
	 * <p>메소드인수	: Event</p>
	 * <p>리 턴 값	: boolean</p>
	 */
	private boolean isCntcUser(String loginRole) throws Exception {
		if (loginRole.equals("DR03") && (loginRole.equals("AAX2") || loginRole.equals("AAX1"))) {
			//&& event.getOnworkDeptCd().equals(UiUtil.selectDeptCdAtCommCd("C", event.getTransaction().getConnection()))) {
			return true;
		} else {
			return false;
		}
	}

	private BndUnRcvOutVO setBndUnRcv(HashMap map,  String toolTipFg) throws Exception{

		// outVO세팅
		BndUnRcvOutVO outVO = new BndUnRcvOutVO();

		/*
			파라메터
			1. 대출번호 -> 필수
			2. 대출순번 -> 필수
			3. 결재일자 -> 필수
			4. 예가수번호 -> 옵션 -> 없으면 삭제
			5. 회계일자   -> 옵션 -> 없으면 삭제
			6. 부분상환원금  -> 옵션 -> 없으면 삭제
		*/
			Object loanNo  = map.get("loanNo");
			Object loanSeq = map.get("loanSeq");
			Object dsrcNo  = map.get("dsrcNo");
			Object setlDt  = map.get("setlDt");
			Object acctDt  = map.get("acctDt");

			Object partRmbrPamt  = map.get("partRmbrPamt");
			Object partRmbrFeeRt = map.get("partRmbrFeeRt");
			Object partRmbrTims  = map.get("partRmbrTims");
			Object leglUnCalcFg  = map.get("leglUnCalcFg");
			Object addTermInt    = map.get("addTermInt");

			AskUnrcvVO askUnrcvVO = new AskUnrcvVO();
			AskUnrcvObjVO objVO1 = new AskUnrcvObjVO();
			objVO1.loanNo  = (loanNo  != null) ? (String) loanNo  : "";
			objVO1.loanSeq = (loanSeq != null) ? (String) loanSeq : "";
			objVO1.dsrcNo  = (dsrcNo  != null) ? (String) dsrcNo  : "";

			if (setlDt!=null) objVO1.setlDt = (String)setlDt;
			if (acctDt!=null) objVO1.acctDt = (String)acctDt;

			if (partRmbrPamt != null) {
				objVO1.partRmbrPamt = StringUtil.parseLong((String)partRmbrPamt);
			}
			if (partRmbrFeeRt != null) {
				objVO1.partRmbrFeeRt = StringUtil.parseDouble((String)partRmbrFeeRt);
			}
			if (partRmbrTims != null) {
				objVO1.partRmbrTims = StringUtil.parseInt((String)partRmbrTims);
			}
			if (leglUnCalcFg != null) {
				objVO1.leglUnCalcFg = (String) leglUnCalcFg;
			}
			if (addTermInt != null) {
				objVO1.addTermInt = StringUtil.parseLong((String)addTermInt);
			}
			askUnrcvVO.addAskUnrcvObj(objVO1);

			try {
				askUnrcvVO.tooltipFg = toolTipFg;

				AskUnrcvVO result = new AskUnrcvVO();
				result = askUnrcvProcService.calcAskUnrcv(askUnrcvVO);

				if (!result.isSuccess()) {
					throw new Exception("[" + result.rsltCntn + "]");
				}

				//1. 청구미수대상
				AskUnrcvObjVO aVo = result.getAskUnrcvObj(0);
				List<AskVO> listAsk = new ArrayList<AskVO>();

				AskVO askVo = new AskVO();
				if(aVo != null) {
					askVo.setLoanNo(aVo.loanNo);
					askVo.setLoanSeq(aVo.loanSeq);
					askVo.setPrdtCd(aVo.prdtCd);
					askVo.setSetlDt(aVo.setlDt);
					askVo.setAcctDt(aVo.acctDt);
					askVo.setDsrcNo(aVo.dsrcNo);
					askVo.setPartRmbrPamt(aVo.partRmbrPamt);
					askVo.setPartRmbrFeeRt(aVo.partRmbrFeeRt);
					askVo.setPartRmbrTims(aVo.partRmbrTims);
					askVo.setBndIdx(aVo.bndIdx);
					askVo.setRsltCd(aVo.rsltCd);
					askVo.setRsltCntn(aVo.rsltCntn);

					listAsk.add(askVo);
				}
				outVO.setAskVO(listAsk);

				//2. 채권
				BndVO bVo = result.getBndVO(0);
				List<BndOutVO> listBnd = new ArrayList<BndOutVO>();

				// 기존 BndVO가 public이라 getter/setter가 존재하지않아 한번 감싸줌
				if (bVo != null) {

					BndOutVO rbVo   = new BndOutVO();

					rbVo.setLoanNo(                       bVo.loanNo);
					rbVo.setLoanSeq(                      bVo.loanSeq);
					rbVo.setPrdtClas(                     bVo.prdtClas);
					rbVo.setPrdtLcd(                      bVo.prdtLcd);
					rbVo.setPrdtMcd(                      bVo.prdtMcd);
					rbVo.setPrdtScd(                      bVo.prdtScd);
					rbVo.setPrdtCd(                       bVo.prdtCd);
					rbVo.setSetlDt(                       bVo.setlDt);
					rbVo.setLoanDt(                       bVo.loanDt);
					rbVo.setEprtDt(                       bVo.eprtDt);
					rbVo.setThmmDueTims(                  bVo.thmmDueTims);
					rbVo.setBfmmDueTims(                  bVo.bfmmDueTims);
					rbVo.setTotTims(                      bVo.totTims);
					rbVo.setLoanStatCd(                   bVo.loanStatCd);
					rbVo.setAsymmAcctFg(                  bVo.asymmAcctFg);
					rbVo.setRmbrFrmlCd(                   bVo.rmbrFrmlCd);
					rbVo.setThmmDueDt(                    bVo.thmmDueDt);
					rbVo.setThmmRlDueDt(                  bVo.thmmRlDueDt);
					rbVo.setLastSetlDt(                   bVo.lastSetlDt);
					rbVo.setLastSetlTims(                 bVo.lastSetlTims);
					rbVo.setLoanEprtDt(                   bVo.loanEprtDt);
					rbVo.setLoanRlEprtDt(                 bVo.loanRlEprtDt);
					rbVo.setLeasEprtDt(                   bVo.leasEprtDt);
					rbVo.setLeasRlEprtDt(                 bVo.leasRlEprtDt);
					rbVo.setLeasEprtDlyDt(                bVo.leasEprtDlyDt);
					rbVo.setLoanEprtTims(                 bVo.loanEprtTims);
					rbVo.setProcCnt(                      bVo.procCnt);
					rbVo.setLoanOccrCd(                   bVo.loanOccrCd);
					rbVo.setExecDt(                       bVo.execDt);
					rbVo.setSixPreDt(                     bVo.sixPreDt);
					rbVo.setLoanIntRt(                    bVo.loanIntRt);
					rbVo.setClsFg(                        bVo.clsFg);
					rbVo.setLoseCalcFg(                   bVo.loseCalcFg);
					//rbVo.setIsLoseCalc(                   bVo.isLoseCalc);
					rbVo.setLoseCalcCd(                   bVo.loseCalcCd);
					rbVo.setLoseCalcVal(                  bVo.loseCalcVal);
					rbVo.setLoanAmt(                      bVo.loanAmt);
					rbVo.setLoanAmt10(                    bVo.loanAmt10);
					rbVo.setUnrcvProcDt(                  bVo.unrcvProcDt);
					rbVo.setTimsUnrcvStrtIdx(             bVo.timsUnrcvStrtIdx);
					rbVo.setTimsUnrcvCnt(                 bVo.timsUnrcvCnt);
					rbVo.setPamtRamt(                     bVo.pamtRamt);
					rbVo.setIntRamt(                      bVo.intRamt);
					rbVo.setTrtFeeRamt(                   bVo.trtFeeRamt);
					rbVo.setLeasFeeRamt(                  bVo.leasFeeRamt);
					rbVo.setBaseLeasFeeRamt(              bVo.baseLeasFeeRamt);
					rbVo.setAddLeasFeeRamt(               bVo.addLeasFeeRamt);
					rbVo.setPpayIntRamt(                  bVo.ppayIntRamt);
					rbVo.setAddCartaxRamt(                bVo.addCartaxRamt);
					rbVo.setAddEnvImprBrdnamtRamt(        bVo.addEnvImprBrdnamtRamt);
					rbVo.setAddInsuFeeRamt(               bVo.addInsuFeeRamt);
					rbVo.setAddAsfeeRamt(                 bVo.addAsfeeRamt);
					rbVo.setVtaxRamt(                     bVo.vtaxRamt);
					rbVo.setIpayCartaxRamt(               bVo.ipayCartaxRamt);
					rbVo.setIpayEnvImprBrdnamtRamt(       bVo.ipayEnvImprBrdnamtRamt);
					rbVo.setIpayInsuFeeRamt(              bVo.ipayInsuFeeRamt);
					rbVo.setIpayPnltAmtRamt(              bVo.ipayPnltAmtRamt);
					rbVo.setIpayEtcRamt(                  bVo.ipayEtcRamt);
					rbVo.setCartaxRamt(                   bVo.cartaxRamt);
					rbVo.setEnvImprBrdnamtRamt(           bVo.envImprBrdnamtRamt);
					rbVo.setInsuFeeRamt(                  bVo.insuFeeRamt);
					rbVo.setLtrmBrcvAmtRamt(              bVo.ltrmBrcvAmtRamt);
					rbVo.setBrcvAmtLeasfeeRamt(           bVo.brcvAmtLeasfeeRamt);
					rbVo.setGuarAmt(                      bVo.guarAmt);
					rbVo.setRamtAmt(                      bVo.ramtAmt);
					rbVo.setEndAfAskStatCd(               bVo.endAfAskStatCd);
					rbVo.setEprtAskMethCd(                bVo.eprtAskMethCd);
					rbVo.setGuarAmtAdjFg(                 bVo.guarAmtAdjFg);
					rbVo.setCurrentAskAmt(                bVo.currentAskAmt);
					rbVo.setThmmMmAskAmt(                 bVo.thmmMmAskAmt);
					rbVo.setThmmMmAskTims(                bVo.thmmMmAskTims);
					rbVo.setNextAskAmt(                   bVo.nextAskAmt);
					rbVo.setNextAskTims(                  bVo.nextAskTims);
					rbVo.setStndAskAmt(                   bVo.stndAskAmt);
					rbVo.setAskAmt(                       bVo.askAmt);
					rbVo.setAskLeasFee(                   bVo.askLeasFee);
					rbVo.setAskBaseLeasFee(               bVo.askBaseLeasFee);
					rbVo.setAskAddLeasFee(                bVo.askAddLeasFee);
					rbVo.setAskPamt(                      bVo.askPamt);
					rbVo.setAskInt(                       bVo.askInt);
					rbVo.setAskTrtFee(                    bVo.askTrtFee);
					rbVo.setAskPpayInt(                   bVo.askPpayInt);
					rbVo.setAskTint(                      bVo.askTint);
					rbVo.setAskAddCartax(                 bVo.askAddCartax);
					rbVo.setAskAddEnvImprBrdnamt(         bVo.askAddEnvImprBrdnamt);
					rbVo.setAskAddInsuFee(                bVo.askAddInsuFee);
					rbVo.setAskAddAsfee(                  bVo.askAddAsfee);
					rbVo.setAskVtax(                      bVo.askVtax);
					rbVo.setAskIpayCartax(                bVo.askIpayCartax);
					rbVo.setAskIpayEnvImprBrdnamt(        bVo.askIpayEnvImprBrdnamt);
					rbVo.setAskIpayInsuFee(               bVo.askIpayInsuFee);
					rbVo.setAskIpayPnltAmt(               bVo.askIpayPnltAmt);
					rbVo.setAskIpayEtc(                   bVo.askIpayEtc);
					rbVo.setAskIpayTax(                   bVo.askIpayTax);
					rbVo.setAskCartax(                    bVo.askCartax);
					rbVo.setAskEnvImprBrdnamt(            bVo.askEnvImprBrdnamt);
					rbVo.setAskInsuFee(                   bVo.askInsuFee);
					rbVo.setAskLtrmBrcvAmt(               bVo.askLtrmBrcvAmt);
					rbVo.setAskDfee(                      bVo.askDfee);
					rbVo.setAskGuarAmt(                   bVo.askGuarAmt);
					rbVo.setAskRamtAmt(                   bVo.askRamtAmt);
					rbVo.setDlyStrtIdx(                   bVo.dlyStrtIdx);
					rbVo.setDlyCnt(                       bVo.dlyCnt);
					rbVo.setAddDfeeRt(                    bVo.addDfeeRt);
					rbVo.setDfeeRt(                       bVo.dfeeRt);
					rbVo.setDfeeRtNm(                     bVo.dfeeRtNm);
					rbVo.setDlyAmt(                       bVo.dlyAmt);
					rbVo.setDlyLeasFee(                   bVo.dlyLeasFee);
					rbVo.setDlyBaseLeasFee(               bVo.dlyBaseLeasFee);
					rbVo.setDlyAddLeasFee(                bVo.dlyAddLeasFee);
					rbVo.setDlyPamt(                      bVo.dlyPamt);
					rbVo.setDlyInt(                       bVo.dlyInt);
					rbVo.setDlyTrtFee(                    bVo.dlyTrtFee);
					rbVo.setDlyPpayInt(                   bVo.dlyPpayInt);
					rbVo.setDlyTint(                      bVo.dlyTint);
					rbVo.setDlyAddCartax(                 bVo.dlyAddCartax);
					rbVo.setDlyAddEnvImprBrdnamt(         bVo.dlyAddEnvImprBrdnamt);
					rbVo.setDlyAddInsuFee(                bVo.dlyAddInsuFee);
					rbVo.setDlyAddAsfee(                  bVo.dlyAddAsfee);
					rbVo.setDlyVtax(                      bVo.dlyVtax);
					rbVo.setDlyIpayCartax(                bVo.dlyIpayCartax);
					rbVo.setDlyIpayEnvImprBrdnamt(        bVo.dlyIpayEnvImprBrdnamt);
					rbVo.setDlyIpayInsuFee(               bVo.dlyIpayInsuFee);
					rbVo.setDlyIpayPnltAmt(               bVo.dlyIpayPnltAmt);
					rbVo.setDlyIpayEtc(                   bVo.dlyIpayEtc);
					rbVo.setDlyIpayTax(                   bVo.dlyIpayTax);
					rbVo.setDlyCartax(                    bVo.dlyCartax);
					rbVo.setDlyEnvImprBrdnamt(            bVo.dlyEnvImprBrdnamt);
					rbVo.setDlyInsuFee(                   bVo.dlyInsuFee);
					rbVo.setDlyLtrmBrcvAmt(               bVo.dlyLtrmBrcvAmt);
					rbVo.setDfee(                         bVo.dfee);
					rbVo.setDfeeKifrs(                    bVo.dfeeKifrs);
					rbVo.setDlyGuarAmt(                   bVo.dlyGuarAmt);
					rbVo.setDlyRamtAmt(                   bVo.dlyRamtAmt);
					rbVo.setPreOccrDfee(                  bVo.preOccrDfee);
					//rbVo.setIsDly(                        bVo.isDly);
					rbVo.setDlyFg(                        bVo.dlyFg);
					rbVo.setDlyDt(                        bVo.dlyDt);
					rbVo.setDlyCalcDt(                    bVo.dlyCalcDt);
					rbVo.setDlyStrtTims(                  bVo.dlyStrtTims);
					rbVo.setDlyStrtDueDt(                 bVo.dlyStrtDueDt);
					rbVo.setDlyEndTims(                   bVo.dlyEndTims);
					rbVo.setDlyEndDueDt(                  bVo.dlyEndDueDt);
					rbVo.setDlyDdcnt(                     bVo.dlyDdcnt);
					rbVo.setOccrDlyDdcnt(                 bVo.occrDlyDdcnt);
					rbVo.setDlyMmCnt(                     bVo.dlyMmCnt);
					rbVo.setDlyTcnt(                      bVo.dlyTcnt);
					rbVo.setLngsDlyDdcnt(                 bVo.lngsDlyDdcnt);
					rbVo.setTotDlyDdcnt(                  bVo.totDlyDdcnt);
					rbVo.setOccrPdueDiscDfee(             bVo.occrPdueDiscDfee);
					rbVo.setAdjPdueDiscDfee(              bVo.adjPdueDiscDfee);
					rbVo.setPdueDiscDfeeRamt(             bVo.pdueDiscDfeeRamt);
					rbVo.setPdueDiscDfeeRamtBfDisc(       bVo.pdueDiscDfeeRamtBfDisc);
					rbVo.setPdueDiscDfee(                 bVo.pdueDiscDfee);
					rbVo.setTempPdueDiscInt(              bVo.tempPdueDiscInt);
					rbVo.setLoseDlyStrtDt(                bVo.loseDlyStrtDt);
					rbVo.setLoseDueDt(                    bVo.loseDueDt);
					rbVo.setLoseDt(                       bVo.loseDt);
					rbVo.setPreLoseDt(                    bVo.preLoseDt);
					rbVo.setRvvlNeedAmt(                  bVo.rvvlNeedAmt);
					rbVo.setRvvlTims(                     bVo.rvvlTims);
					rbVo.setLoseMmPamt(                   bVo.loseMmPamt);
					rbVo.setLoseMmInt(                    bVo.loseMmInt);
					rbVo.setLosePamtRamt(                 bVo.losePamtRamt);
					rbVo.setLosePiamtDfee(                bVo.losePiamtDfee);
					rbVo.setLoseIntDfee(                  bVo.loseIntDfee);
					rbVo.setLoseRamtDfee(                 bVo.loseRamtDfee);
					rbVo.setLoseStndPramt(                bVo.loseStndPramt);
					//rbVo.setIsLose(                       bVo.isLose);
					rbVo.setLoseFg(                       bVo.loseFg);
					rbVo.setExptLoseFg(                   bVo.exptLoseFg);
					rbVo.setExptLoseDcnt(                 bVo.exptLoseDcnt);
					rbVo.setLoseExptDt(                   bVo.loseExptDt);
					rbVo.setDdayPrftLoseStrtTims(         bVo.ddayPrftLoseStrtTims);
					rbVo.setSetlObjLtrmBrcvIdx(           bVo.setlObjLtrmBrcvIdx);
					rbVo.setSetlObjLtrmBrcvAmt(           bVo.setlObjLtrmBrcvAmt);
					rbVo.setSetlAfLtrmBrcvAmtRamt(        bVo.setlAfLtrmBrcvAmtRamt);
					rbVo.setUnrcvStrtIdx(                 bVo.unrcvStrtIdx);
					rbVo.setUnrcvCnt(                     bVo.unrcvCnt);
					rbVo.setUnrcvTims(                    bVo.unrcvTims);
					rbVo.setUnrcvAmt(                     bVo.unrcvAmt);
					rbVo.setUnrcvLeasFee(                 bVo.unrcvLeasFee);
					rbVo.setUnrcvBaseLeasFee(             bVo.unrcvBaseLeasFee);
					rbVo.setUnrcvAddLeasFee(              bVo.unrcvAddLeasFee);
					rbVo.setUnrcvPamt(                    bVo.unrcvPamt);
					rbVo.setUnrcvInt(                     bVo.unrcvInt);
					rbVo.setUnrcvPsgInt(                  bVo.unrcvPsgInt);
					rbVo.setUnrcvPpayInt(                 bVo.unrcvPpayInt);
					rbVo.setUnrcvTint(                    bVo.unrcvTint);
					rbVo.setUnrcvAddCartax(               bVo.unrcvAddCartax);
					rbVo.setUnrcvAddEnvImprBrdnamt(       bVo.unrcvAddEnvImprBrdnamt);
					rbVo.setUnrcvAddInsuFee(              bVo.unrcvAddInsuFee);
					rbVo.setUnrcvAddAsfee(                bVo.unrcvAddAsfee);
					rbVo.setUnrcvVtax(                    bVo.unrcvVtax);
					rbVo.setUnrcvIpayCartax(              bVo.unrcvIpayCartax);
					rbVo.setUnrcvIpayEnvImprBrdnamt(      bVo.unrcvIpayEnvImprBrdnamt);
					rbVo.setUnrcvIpayInsuFee(             bVo.unrcvIpayInsuFee);
					rbVo.setUnrcvIpayPnltAmt(             bVo.unrcvIpayPnltAmt);
					rbVo.setUnrcvIpayEtc(                 bVo.unrcvIpayEtc);
					rbVo.setUnrcvCartax(                  bVo.unrcvCartax);
					rbVo.setUnrcvEnvImprBrdnamt(          bVo.unrcvEnvImprBrdnamt);
					rbVo.setUnrcvInsuFee(                 bVo.unrcvInsuFee);
					rbVo.setUnrcvLtrmBrcvAmt(             bVo.unrcvLtrmBrcvAmt);
					rbVo.setUnrcvGuarAmt(                 bVo.unrcvGuarAmt);
					rbVo.setUnrcvRamtAmt(                 bVo.unrcvRamtAmt);
					rbVo.setIpayMaxIdx(                   bVo.ipayMaxIdx);
					rbVo.setIpayMaxTims(                  bVo.ipayMaxTims);
					rbVo.setNormStrtIdx(                  bVo.normStrtIdx);
					rbVo.setNormCnt(                      bVo.normCnt);
					rbVo.setNormAmt(                      bVo.normAmt);
					rbVo.setNormLeasFee(                  bVo.normLeasFee);
					rbVo.setNormBaseLeasFee(              bVo.normBaseLeasFee);
					rbVo.setNormAddLeasFee(               bVo.normAddLeasFee);
					rbVo.setNormPamt(                     bVo.normPamt);
					rbVo.setNormInt(                      bVo.normInt);
					rbVo.setNormTrtFee(                   bVo.normTrtFee);
					rbVo.setNormPsgInt(                   bVo.normPsgInt);
					rbVo.setNormPpayInt(                  bVo.normPpayInt);
					rbVo.setNormTint(                     bVo.normTint);
					rbVo.setNormAddCartax(                bVo.normAddCartax);
					rbVo.setNormAddEnvImprBrdnamt(        bVo.normAddEnvImprBrdnamt);
					rbVo.setNormAddInsuFee(               bVo.normAddInsuFee);
					rbVo.setNormAddAsfee(                 bVo.normAddAsfee);
					rbVo.setNormVtax(                     bVo.normVtax);
					rbVo.setNormIpayCartax(               bVo.normIpayCartax);
					rbVo.setNormIpayEnvImprBrdnamt(       bVo.normIpayEnvImprBrdnamt);
					rbVo.setNormIpayInsuFee(              bVo.normIpayInsuFee);
					rbVo.setNormIpayPnltAmt(              bVo.normIpayPnltAmt);
					rbVo.setNormIpayEtc(                  bVo.normIpayEtc);
					rbVo.setNormIpayTax(                  bVo.normIpayTax);
					rbVo.setNormCartax(                   bVo.normCartax);
					rbVo.setNormEnvImprBrdnamt(           bVo.normEnvImprBrdnamt);
					rbVo.setNormInsuFee(                  bVo.normInsuFee);
					rbVo.setNormLtrmBrcvAmt(              bVo.normLtrmBrcvAmt);
					rbVo.setNormGuarAmt(                  bVo.normGuarAmt);
					rbVo.setNormRamtAmt(                  bVo.normRamtAmt);
					rbVo.setUnComgStrtIdx(                bVo.unComgStrtIdx);
					rbVo.setUnComgCnt(                    bVo.unComgCnt);
					rbVo.setUnComgAmt(                    bVo.unComgAmt);
					rbVo.setUnComgLeasFee(                bVo.unComgLeasFee);
					rbVo.setUnComgBaseLeasFee(            bVo.unComgBaseLeasFee);
					rbVo.setUnComgAddLeasFee(             bVo.unComgAddLeasFee);
					rbVo.setUnComgPamt(                   bVo.unComgPamt);
					rbVo.setUnComgInt(                    bVo.unComgInt);
					rbVo.setUnComgTrtFee(                 bVo.unComgTrtFee);
					rbVo.setUnComgPpayInt(                bVo.unComgPpayInt);
					rbVo.setUnComgTint(                   bVo.unComgTint);
					rbVo.setUnComgAddCartax(              bVo.unComgAddCartax);
					rbVo.setUnComgAddEnvImprBrdnamt(      bVo.unComgAddEnvImprBrdnamt);
					rbVo.setUnComgAddInsuFee(             bVo.unComgAddInsuFee);
					rbVo.setUnComgAddAsfee(               bVo.unComgAddAsfee);
					rbVo.setUnComgVtax(                   bVo.unComgVtax);
					rbVo.setUnComgIpayCartax(             bVo.unComgIpayCartax);
					rbVo.setUnComgIpayEnvImprBrdnamt(     bVo.unComgIpayEnvImprBrdnamt);
					rbVo.setUnComgIpayInsuFee(            bVo.unComgIpayInsuFee);
					rbVo.setUnComgIpayPnltAmt(            bVo.unComgIpayPnltAmt);
					rbVo.setUnComgIpayEtc(                bVo.unComgIpayEtc);
					rbVo.setUnComgCartax(                 bVo.unComgCartax);
					rbVo.setUnComgEnvImprBrdnamt(         bVo.unComgEnvImprBrdnamt);
					rbVo.setUnComgInsuFee(                bVo.unComgInsuFee);
					rbVo.setUnComgLtrmBrcvAmt(            bVo.unComgLtrmBrcvAmt);
					rbVo.setUnComgGuarAmt(                bVo.unComgGuarAmt);
					rbVo.setUnComgRamtAmt(                bVo.unComgRamtAmt);
					rbVo.setExemRcptObjInt(               bVo.exemRcptObjInt);
					rbVo.setExemRcptObjPamt(              bVo.exemRcptObjPamt);
					rbVo.setExemRcptObjDivsTrtFee(        bVo.exemRcptObjDivsTrtFee);
					rbVo.setFcntTims(                     bVo.fcntTims);
					rbVo.setFcntDueDt(                    bVo.fcntDueDt);
					rbVo.setStndTimsIdx(                  bVo.stndTimsIdx);
					rbVo.setStndDueDt(                    bVo.stndDueDt);
					rbVo.setStndRlDueDt(                  bVo.stndRlDueDt);
					rbVo.setStndThmmDueTims(              bVo.stndThmmDueTims);
					rbVo.setCurTims(                      bVo.curTims);
					rbVo.setStndLtrmBrcvAmt(              bVo.stndLtrmBrcvAmt);
					rbVo.setPnltStndCd(                   bVo.pnltStndCd);
					rbVo.setPnltStndAmt(                  bVo.pnltStndAmt);
					rbVo.setCartaxEnvAdjMethCd(           bVo.cartaxEnvAdjMethCd);
					rbVo.setCartaxIpayEndDt(              bVo.cartaxIpayEndDt);
					rbVo.setEnvAmtIpayEndDt(              bVo.envAmtIpayEndDt);
					rbVo.setSellFg(                       bVo.sellFg);
					rbVo.setCmprCalcFrmlCd(               bVo.cmprCalcFrmlCd);
					rbVo.setCmprCalcRt(                   bVo.cmprCalcRt);
					rbVo.setPnltAdjuAmt(                  bVo.pnltAdjuAmt);
					rbVo.setDfeeAdjuAmt(                  bVo.dfeeAdjuAmt);
					rbVo.setIvltClosFg(                   bVo.ivltClosFg);
					rbVo.setNmTranGuarAmtCalcFg(          bVo.nmTranGuarAmtCalcFg);
					rbVo.setBalBaseLeasFee(               bVo.balBaseLeasFee);
					rbVo.setBalAddLeasFee(                bVo.balAddLeasFee);
					rbVo.setBalLeasFee(                   bVo.balLeasFee);
					rbVo.setUnWdrwPamt(                   bVo.unWdrwPamt);
					rbVo.setCartaxPsgDdcnt(               bVo.cartaxPsgDdcnt);
					rbVo.setEnvAmtPsgDdcnt(               bVo.envAmtPsgDdcnt);
					rbVo.setYyCartax(                     bVo.yyCartax);
					rbVo.setYyEnvAmt(                     bVo.yyEnvAmt);
					rbVo.setRetnOdueAmt(                  bVo.retnOdueAmt);
					rbVo.setOverDrvFee(                   bVo.overDrvFee);
					rbVo.setOrgupRcvrCost(                bVo.orgupRcvrCost);
					rbVo.setCustCost(                     bVo.custCost);
					rbVo.setDeprDeprTamt(                 bVo.deprDeprTamt);
					rbVo.setDspLossApprAmt(               bVo.dspLossApprAmt);
					rbVo.setOprLeasAset(                  bVo.oprLeasAset);
					rbVo.setAddClosGuarAmt(               bVo.addClosGuarAmt);
					rbVo.setPnltAmtTot6(                  bVo.pnltAmtTot6);
					rbVo.setDueDtMidRmbrFg(               bVo.dueDtMidRmbrFg);
					rbVo.setMidRmbrFeeRt(                 bVo.midRmbrFeeRt);
					rbVo.setMidRmbrIntCalcDt(             bVo.midRmbrIntCalcDt);
					rbVo.setMidRmbrBalDdcnt(              bVo.midRmbrBalDdcnt);
					rbVo.setOrigMidRmbrBalDdcnt(          bVo.origMidRmbrBalDdcnt);
					rbVo.setIntUplmitRt(                  bVo.intUplmitRt);
					rbVo.setCortMaxAmt(                   bVo.cortMaxAmt);
					rbVo.setCalcPsgInt(                   bVo.calcPsgInt);
					rbVo.setTamtCalcMidRmbrFee(           bVo.tamtCalcMidRmbrFee);
					rbVo.setPartCalcMidRmbrFee(           bVo.partCalcMidRmbrFee);
					rbVo.setIncdCostRt(                   bVo.incdCostRt);
					rbVo.setMidRmbrIdx(                   bVo.midRmbrIdx);
					rbVo.setMidRmbrTims(                  bVo.midRmbrTims);
					rbVo.setPreSetFg(                     bVo.preSetFg);
					rbVo.setPdueTimsCnt(                  bVo.pdueTimsCnt);
					rbVo.setPreSetlCpayFg(                bVo.preSetlCpayFg);
					rbVo.setMidRmbrDueDt(                 bVo.midRmbrDueDt);
					rbVo.setPartRmbrRcptFg(               bVo.partRmbrRcptFg);
					rbVo.setMidIntStrtDt(                 bVo.midIntStrtDt);
					rbVo.setMidIntEndDt(                  bVo.midIntEndDt);
					rbVo.setCalcMidIntEndDt(              bVo.calcMidIntEndDt);
					rbVo.setMainRmbrPamt(                 bVo.mainRmbrPamt);
					rbVo.setMainEndTims(                  bVo.mainEndTims);
					rbVo.setTotMidRmbrInt(                bVo.totMidRmbrInt);
					rbVo.setTotMidRmbrTrtFee(             bVo.totMidRmbrTrtFee);
					rbVo.setTamtRmbrObjAmt(               bVo.tamtRmbrObjAmt);
					rbVo.setTamtRmbrObjAmtWithoutPdueAmt( bVo.tamtRmbrObjAmtWithoutPdueAmt);
					rbVo.setMmTrtFeeDisc(                 bVo.mmTrtFeeDisc);
					rbVo.setCustTrtFeeDisc(               bVo.custTrtFeeDisc);
					rbVo.setTrtFee(                       bVo.trtFee);
					rbVo.setTamtRmbrAmt(                  bVo.tamtRmbrAmt);
					rbVo.setMidRmbrInt(                   bVo.midRmbrInt);
					rbVo.setTrtFeeDisc(                   bVo.trtFeeDisc);
					rbVo.setTamtRmbrCmprFee(              bVo.tamtRmbrCmprFee);
					rbVo.setTamtRmbrPamt(                 bVo.tamtRmbrPamt);
					rbVo.setTamtRmbrExtsPamt(             bVo.tamtRmbrExtsPamt);
					rbVo.setTamtRmbrExtsFg(               bVo.tamtRmbrExtsFg);
					rbVo.setTamtPsgLeasFee(               bVo.tamtPsgLeasFee);
					rbVo.setTamtPsgBaseLeasFee(           bVo.tamtPsgBaseLeasFee);
					rbVo.setTamtPsgAddLeasFee(            bVo.tamtPsgAddLeasFee);
					rbVo.setTamtPsgPamt(                  bVo.tamtPsgPamt);
					rbVo.setTamtPsgInt(                   bVo.tamtPsgInt);
					rbVo.setTamtPsgAddCartax(             bVo.tamtPsgAddCartax);
					rbVo.setTamtPsgAddEnvImprBrdnamt(     bVo.tamtPsgAddEnvImprBrdnamt);
					rbVo.setTamtPsgAddInsuFee(            bVo.tamtPsgAddInsuFee);
					rbVo.setTamtPsgAddAsfee(              bVo.tamtPsgAddAsfee);
					rbVo.setTamtPsgVtax(                  bVo.tamtPsgVtax);
					rbVo.setTamtPpayInt(                  bVo.tamtPpayInt);
					rbVo.setTamtIpayCartax(               bVo.tamtIpayCartax);
					rbVo.setTamtIpayEnvImprBrdnamt(       bVo.tamtIpayEnvImprBrdnamt);
					rbVo.setTamtIpayInsuFee(              bVo.tamtIpayInsuFee);
					rbVo.setTamtIpayPnltAmt(              bVo.tamtIpayPnltAmt);
					rbVo.setTamtIpayEtc(                  bVo.tamtIpayEtc);
					rbVo.setTamtIpayAmt(                  bVo.tamtIpayAmt);
					rbVo.setTamtRmbrFee(                  bVo.tamtRmbrFee);
					rbVo.setCarsSellAmt(                  bVo.carsSellAmt);
					rbVo.setYycntRo(                      bVo.yycntRo);
					rbVo.setCalcRt(                       bVo.calcRt);
					rbVo.setGuarCartax(                   bVo.guarCartax);
					rbVo.setGuarEnvAmt(                   bVo.guarEnvAmt);
					rbVo.setGuarPnltAmt(                  bVo.guarPnltAmt);
					rbVo.setClosGuarAmt(                  bVo.closGuarAmt);
					rbVo.setReSetlDt(                     bVo.reSetlDt);
					rbVo.setOduePsgDdcnt(                 bVo.oduePsgDdcnt);
					rbVo.setClosOdueIndmAmt(              bVo.closOdueIndmAmt);
					rbVo.setPlusCartax(                   bVo.plusCartax);
					rbVo.setPlusEnvImprBrdnamt(           bVo.plusEnvImprBrdnamt);
					rbVo.setPlusPnltAmt(                  bVo.plusPnltAmt);
					rbVo.setTamtTimsAmt(                  bVo.tamtTimsAmt);
					rbVo.setTamtTimsLeasFee(              bVo.tamtTimsLeasFee);
					rbVo.setTamtTimsBaseLeasFee(          bVo.tamtTimsBaseLeasFee);
					rbVo.setTamtTimsAddLeasFee(           bVo.tamtTimsAddLeasFee);
					rbVo.setTamtTimsPamt(                 bVo.tamtTimsPamt);
					rbVo.setTamtTimsInt(                  bVo.tamtTimsInt);
					rbVo.setTamtTimsPpayInt(              bVo.tamtTimsPpayInt);
					rbVo.setTamtTimsTint(                 bVo.tamtTimsTint);
					rbVo.setTamtTimsAddCartax(            bVo.tamtTimsAddCartax);
					rbVo.setTamtTimsAddEnvImprBrdnamt(    bVo.tamtTimsAddEnvImprBrdnamt);
					rbVo.setTamtTimsAddInsuFee(           bVo.tamtTimsAddInsuFee);
					rbVo.setTamtTimsAddAsfee(             bVo.tamtTimsAddAsfee);
					rbVo.setTamtTimsVtax(                 bVo.tamtTimsVtax);
					rbVo.setTamtTimsIpayCartax(           bVo.tamtTimsIpayCartax);
					rbVo.setTamtTimsIpayEnvImprBrdnamt(   bVo.tamtTimsIpayEnvImprBrdnamt);
					rbVo.setTamtTimsIpayInsuFee(          bVo.tamtTimsIpayInsuFee);
					rbVo.setTamtTimsIpayPnltAmt(          bVo.tamtTimsIpayPnltAmt);
					rbVo.setTamtTimsIpayEtc(              bVo.tamtTimsIpayEtc);
					rbVo.setTamtTimsCartax(               bVo.tamtTimsCartax);
					rbVo.setTamtTimsEnvImprBrdnamt(       bVo.tamtTimsEnvImprBrdnamt);
					rbVo.setTamtTimsInsuFee(              bVo.tamtTimsInsuFee);
					rbVo.setTamtTimsLtrmBrcvAmt(          bVo.tamtTimsLtrmBrcvAmt);
					rbVo.setTamtTimsGuarAmt(              bVo.tamtTimsGuarAmt);
					rbVo.setTamtTimsRamtAmt(              bVo.tamtTimsRamtAmt);
					rbVo.setPartRmbrTims(                 bVo.partRmbrTims);
					rbVo.setPartRmbrFeeRt(                bVo.partRmbrFeeRt);
					rbVo.setPartRmbrPamt(                 bVo.partRmbrPamt);
					rbVo.setEprtLdgrAmt(                  bVo.eprtLdgrAmt);
					rbVo.setMmCalcFg(                     bVo.mmCalcFg);
					rbVo.setPartRmbrAmt(                  bVo.partRmbrAmt);
					rbVo.setPartMidRmbrInt(               bVo.partMidRmbrInt);
					rbVo.setCalcPartMidRmbrInt(           bVo.calcPartMidRmbrInt);
					rbVo.setTotPartMidRmbrInt(            bVo.totPartMidRmbrInt);
					rbVo.setPartPpayInt(                  bVo.partPpayInt);
					rbVo.setPartAddCartax(                bVo.partAddCartax);
					rbVo.setPartAddEnvImprBrdnamt(        bVo.partAddEnvImprBrdnamt);
					rbVo.setPartAddInsuFee(               bVo.partAddInsuFee);
					rbVo.setPartAddAsfee(                 bVo.partAddAsfee);
					rbVo.setPartVtax(                     bVo.partVtax);
					rbVo.setPartIpayCartax(               bVo.partIpayCartax);
					rbVo.setPartIpayEnvImprBrdnamt(       bVo.partIpayEnvImprBrdnamt);
					rbVo.setPartIpayInsuFee(              bVo.partIpayInsuFee);
					rbVo.setPartIpayPnltAmt(              bVo.partIpayPnltAmt);
					rbVo.setPartIpayEtc(                  bVo.partIpayEtc);
					rbVo.setPartCartax(                   bVo.partCartax);
					rbVo.setPartEnvImprBrdnamt(           bVo.partEnvImprBrdnamt);
					rbVo.setPartInsuFee(                  bVo.partInsuFee);
					rbVo.setPartLtrmBrcvAmt(              bVo.partLtrmBrcvAmt);
					rbVo.setPartRmbrFee(                  bVo.partRmbrFee);
					rbVo.setPartRmbrAfPamtRamt(           bVo.partRmbrAfPamtRamt);
					rbVo.setPartTimsPamtRamt(             bVo.partTimsPamtRamt);
					rbVo.setAddTermInt(                   bVo.addTermInt);
					rbVo.setPartRmbrFg(                   bVo.partRmbrFg);
					rbVo.setMidRmbrFg(                    bVo.midRmbrFg);
					rbVo.setMidRmbrCalcFg(                bVo.midRmbrCalcFg);
					rbVo.setMidRmbrHidFg(                 bVo.midRmbrHidFg);
					rbVo.setMidRmbrTimsFg(                bVo.midRmbrTimsFg);
					rbVo.setPreRcptFg(                    bVo.preRcptFg);
					rbVo.setPartRmbrObjAmt(               bVo.partRmbrObjAmt);
					rbVo.setPartRmbrObjAmtWithoutPdueAmt( bVo.partRmbrObjAmtWithoutPdueAmt);
					rbVo.setPartRmbrObjAddAmt(            bVo.partRmbrObjAddAmt);
					rbVo.setOneYearDdCnt(                 bVo.oneYearDdCnt);
					rbVo.setLoanTotDdcnt(                 bVo.loanTotDdcnt);
					rbVo.setOrigLoanTotDdcnt(             bVo.origLoanTotDdcnt);
					rbVo.setLoanPsgDdcnt(                 bVo.loanPsgDdcnt);
					rbVo.setLoanpsgMmCnt(                 bVo.loanpsgMmCnt);
					rbVo.setTrtFeeRt(                     bVo.trtFeeRt);
					rbVo.setCustTrtFee(                   bVo.custTrtFee);
					rbVo.setTrtFeeDiscExclFg(             bVo.trtFeeDiscExclFg);
					rbVo.setMidRmbrObjInt(                bVo.midRmbrObjInt);
					rbVo.setCalcPamtRamt(                 bVo.calcPamtRamt);
					rbVo.setCalcDivsTrtFeeRamt(           bVo.calcDivsTrtFeeRamt);
					rbVo.setRlTamtRmbrPamt(               bVo.rlTamtRmbrPamt);
					rbVo.setRlTamtRmbrTrtFee(             bVo.rlTamtRmbrTrtFee);
					rbVo.setRlPartRmbrPamt(               bVo.rlPartRmbrPamt);
					rbVo.setRlPartRmbrTrtFee(             bVo.rlPartRmbrTrtFee);
					rbVo.setMidRmbrThddFg(                bVo.midRmbrThddFg);
					rbVo.setRmbrPlanCrteTims(             bVo.rmbrPlanCrteTims);
					rbVo.setTempRcptObjAmt(               bVo.tempRcptObjAmt);
					rbVo.setTotPamt(                      bVo.totPamt);
					rbVo.setTotDivsTrtFee(                bVo.totDivsTrtFee);
					rbVo.setTotAddAskAmt(                 bVo.totAddAskAmt);
					rbVo.setTermPartFg(                   bVo.termPartFg);
					rbVo.setTermPartIntStrtDt(            bVo.termPartIntStrtDt);
					rbVo.setTermPartIntEndDt(             bVo.termPartIntEndDt);
					rbVo.setTermPartInt(                  bVo.termPartInt);
					rbVo.setTermPartIntRt(                bVo.termPartIntRt);
					rbVo.setMidTermPartInt(               bVo.midTermPartInt);
					rbVo.setMidTermPartTimsInt(           bVo.midTermPartTimsInt);
					rbVo.setTermPartDdcnt(                bVo.termPartDdcnt);
					rbVo.setTermPartPamtRmbrInt(          bVo.termPartPamtRmbrInt);
					rbVo.setCalcTermPartPamtRmbrIntRamt(  bVo.calcTermPartPamtRmbrIntRamt);
					rbVo.setTermPartTamtRmbrInt(          bVo.termPartTamtRmbrInt);
					rbVo.setPsgDdcnt(                     bVo.psgDdcnt);
					rbVo.setPsgMmcnt(                     bVo.psgMmcnt);
					rbVo.setOrgIntDdcnt(                  bVo.orgIntDdcnt);
					rbVo.setLoanTotMmCnt(                 bVo.loanTotMmCnt);
					rbVo.setMidRmbrBalMmCnt(              bVo.midRmbrBalMmCnt);
					rbVo.setBalTermCalcFg(                bVo.balTermCalcFg);
					rbVo.setMidPreDueAmt(                 bVo.midPreDueAmt);
					rbVo.setMidPreDueLeasFee(             bVo.midPreDueLeasFee);
					rbVo.setMidPreDueBaseLeasFee(         bVo.midPreDueBaseLeasFee);
					rbVo.setMidPreDueAddLeasFee(          bVo.midPreDueAddLeasFee);
					rbVo.setMidPreDuePamt(                bVo.midPreDuePamt);
					rbVo.setMidPreDueInt(                 bVo.midPreDueInt);
					rbVo.setMidPreDueTrtFee(              bVo.midPreDueTrtFee);
					rbVo.setMidPreDuePpayInt(             bVo.midPreDuePpayInt);
					rbVo.setMidPreDueTint(                bVo.midPreDueTint);
					rbVo.setMidPreDueAddCartax(           bVo.midPreDueAddCartax);
					rbVo.setMidPreDueAddEnvImprBrdnamt(   bVo.midPreDueAddEnvImprBrdnamt);
					rbVo.setMidPreDueAddInsuFee(          bVo.midPreDueAddInsuFee);
					rbVo.setMidPreDueAddAsfee(            bVo.midPreDueAddAsfee);
					rbVo.setMidPreDueVtax(                bVo.midPreDueVtax);
					rbVo.setMidPreDueIpayCartax(          bVo.midPreDueIpayCartax);
					rbVo.setMidPreDueIpayEnvImprBrdnamt(  bVo.midPreDueIpayEnvImprBrdnamt);
					rbVo.setMidPreDueIpayInsuFee(         bVo.midPreDueIpayInsuFee);
					rbVo.setMidPreDueIpayPnltAmt(         bVo.midPreDueIpayPnltAmt);
					rbVo.setMidPreDueIpayEtc(             bVo.midPreDueIpayEtc);
					rbVo.setMidPreDueCartax(              bVo.midPreDueCartax);
					rbVo.setMidPreDueEnvImprBrdnamt(      bVo.midPreDueEnvImprBrdnamt);
					rbVo.setMidPreDueInsuFee(             bVo.midPreDueInsuFee);
					rbVo.setMidPreDueLtrmBrcvAmt(         bVo.midPreDueLtrmBrcvAmt);
					rbVo.setMidPreDueGuarAmt(             bVo.midPreDueGuarAmt);
					rbVo.setMidPreDueRamtAmt(             bVo.midPreDueRamtAmt);
					rbVo.setThmmTims(                     bVo.thmmTims);
					rbVo.setThmmDlyFg(                    bVo.thmmDlyFg);
					rbVo.setThmmAmt(                      bVo.thmmAmt);
					rbVo.setThmmPamt(                     bVo.thmmPamt);
					rbVo.setThmmInt(                      bVo.thmmInt);
					rbVo.setThmmTrtFee(                   bVo.thmmTrtFee);
					rbVo.setThmmDfee(                     bVo.thmmDfee);
					rbVo.setBfmmAmt(                      bVo.bfmmAmt);
					rbVo.setBfmmPamt(                     bVo.bfmmPamt);
					rbVo.setBfmmInt(                      bVo.bfmmInt);
					rbVo.setBfmmTrtFee(                   bVo.bfmmTrtFee);
					rbVo.setBfmmDfee(                     bVo.bfmmDfee);
					rbVo.setDsrcStrtIdx(                  bVo.dsrcStrtIdx);
					rbVo.setDsrcCnt(                      bVo.dsrcCnt);
					rbVo.setDsrcNo(                       bVo.dsrcNo);
					rbVo.setDsrcOccrCd(                   bVo.dsrcOccrCd);
					rbVo.setDsrcSetlDt(                   bVo.dsrcSetlDt);
					rbVo.setDsrcSnum(                     bVo.dsrcSnum);
					rbVo.setRfndSnum(                     bVo.rfndSnum);
					rbVo.setRfndStatCd(                   bVo.rfndStatCd);
					rbVo.setDsrcOccrDt(                   bVo.dsrcOccrDt);
					rbVo.setDsrcOccrAmt(                  bVo.dsrcOccrAmt);
					rbVo.setDsrcAdjAmt(                   bVo.dsrcAdjAmt);
					rbVo.setDsrcRamt(                     bVo.dsrcRamt);
					rbVo.setSrcpRamt(                     bVo.srcpRamt);
					rbVo.setDsrcAdjDeptCd(                bVo.dsrcAdjDeptCd);
					rbVo.setDsrcOccrAcctDt(               bVo.dsrcOccrAcctDt);
					rbVo.setBfLoanNo(                     bVo.bfLoanNo);
					rbVo.setBfLoanSeq(                    bVo.bfLoanSeq);
					rbVo.setCrdtRcvrUnrcvAmt(             bVo.crdtRcvrUnrcvAmt);
					rbVo.setRmbrCrdtRcvrUnrcvAmt(         bVo.rmbrCrdtRcvrUnrcvAmt);
					rbVo.setCrdtRcvrUnrcvAmtRamt(         bVo.crdtRcvrUnrcvAmtRamt);
					rbVo.setOccrLeglActnCost(             bVo.occrLeglActnCost);
					rbVo.setAdjLeglActnCost(              bVo.adjLeglActnCost);
					rbVo.setLeglActnCostRamt(             bVo.leglActnCostRamt);
					rbVo.setUnOccrLeglActnCost(           bVo.unOccrLeglActnCost);
					rbVo.setUnAdjLeglActnCost(            bVo.unAdjLeglActnCost);
					rbVo.setUnLeglActnCostRamt(           bVo.unLeglActnCostRamt);
					rbVo.setDepsRamt(                     bVo.depsRamt);
					rbVo.setPreSetlPamtSum(               bVo.preSetlPamtSum);
					rbVo.setPreSetlIntSum(                bVo.preSetlIntSum);
					rbVo.setStmpFeeUnrcvNo(               bVo.stmpFeeUnrcvNo);
					rbVo.setStmpFeeOccrAmt(               bVo.stmpFeeOccrAmt);
					rbVo.setStmpFeeAdjAmt(                bVo.stmpFeeAdjAmt);
					rbVo.setStmpFeeRamt(                  bVo.stmpFeeRamt);
					rbVo.setTmatRmbrIntTooltip(           bVo.tmatRmbrIntTooltip);
					rbVo.setTmatRmbrFeeTooltip(           bVo.tmatRmbrFeeTooltip);
					rbVo.setPartRmbrIntTooltip(           bVo.partRmbrIntTooltip);
					rbVo.setPartRmbrFeeTooltip(           bVo.partRmbrFeeTooltip);
					rbVo.setPrdtLrgeClasCd(               bVo.prdtLrgeClasCd);
					rbVo.setPrdtMidClasCd(                bVo.prdtMidClasCd);
					rbVo.setPrdtSmClasCd(                 bVo.prdtSmClasCd);

					listBnd.add(rbVo);

					outVO.setBndVO(listBnd);
				}

				//3. 회차미수
				List<TimsUnrcvOutVO> listTims = new ArrayList<TimsUnrcvOutVO>();
				// 기존 TimsUnrcvOutVO가 public이라 getter/setter가 존재하지않아 한번 감싸줌
				int icnt = result.timsUnrcvCnt;
				if (icnt > 0) {

					for (int i=0; i < icnt; i++) {

						TimsUnrcvVO    tVo   = result.getTimsUnrcv(i);
						TimsUnrcvOutVO rVo   = new TimsUnrcvOutVO();

						rVo.setLoanNo(tVo.loanNo);
						rVo.setLoanSeq(tVo.loanSeq);
						rVo.setTims(tVo.tims);
						rVo.setEndDivCd(tVo.endDivCd);
						rVo.setRmbrFrmlCd(tVo.rmbrFrmlCd);
						rVo.setDueDt(tVo.dueDt);
						rVo.setRlDueDt(tVo.rlDueDt);
						rVo.setLastSetlDt(tVo.lastSetlDt);
						rVo.setPreSetlFg(tVo.preSetlFg);
						rVo.setSetlDt(tVo.setlDt);
						rVo.setAskDivCd(tVo.askDivCd);
						rVo.setAskDivNm(tVo.askDivNm);
						rVo.setTimsBfPamtRamt(tVo.timsBfPamtRamt);
						rVo.setTimsAfPamtRamt(tVo.timsAfPamtRamt);
						rVo.setMmPiamt(tVo.mmPiamt);
						rVo.setLeasFee(tVo.leasFee);
						rVo.setBaseLeasFee(tVo.baseLeasFee);
						rVo.setAddLeasFee(tVo.addLeasFee);
						rVo.setMmPamt(tVo.mmPamt);
						rVo.setMmInt(tVo.mmInt);
						rVo.setTrtFee(tVo.trtFee);
						rVo.setPsgInt(tVo.psgInt);
						rVo.setPpayInt(tVo.ppayInt);
						rVo.setTint(tVo.tint);
						rVo.setAddInsuFee(tVo.addInsuFee);
						rVo.setAddCartax(tVo.addCartax);
						rVo.setAddEnvImprBrdnamt(tVo.addEnvImprBrdnamt);
						rVo.setAddAsfee(tVo.addAsfee);
						rVo.setVtax(tVo.vtax);
						rVo.setIpayCartax(tVo.ipayCartax);
						rVo.setIpayEnvImprBrdnamt(tVo.ipayEnvImprBrdnamt);
						rVo.setIpayInsuFee(tVo.ipayInsuFee);
						rVo.setIpayPnltAmt(tVo.ipayPnltAmt);
						rVo.setIpayEtc(tVo.ipayEtc);
						rVo.setIpayTax(tVo.ipayTax);
						rVo.setInsuFee(tVo.insuFee);
						rVo.setCartax(tVo.cartax);
						rVo.setEnvImprBrdnamt(tVo.envImprBrdnamt);
						rVo.setLtrmBrcvAmt(tVo.ltrmBrcvAmt);
						rVo.setGuarAmt(tVo.guarAmt);
						rVo.setRamtAmt(tVo.ramtAmt);
						rVo.setSetlAmt(tVo.setlAmt);
						rVo.setSetlLeasFee(tVo.setlLeasFee);
						rVo.setSetlBaseLeasFee(tVo.setlBaseLeasFee);
						rVo.setSetlAddLeasFee(tVo.setlAddLeasFee);
						rVo.setSetlPamt(tVo.setlPamt);
						rVo.setSetlInt(tVo.setlInt);
						rVo.setSetlTrtFee(tVo.setlTrtFee);
						rVo.setSetlPpayInt(tVo.setlPpayInt);
						rVo.setSetlTint(tVo.setlTint);
						rVo.setSetlAddInsuFee(tVo.setlAddInsuFee);
						rVo.setSetlAddCartax(tVo.setlAddCartax);
						rVo.setSetlAddEnvImprBrdnamt(tVo.setlAddEnvImprBrdnamt);
						rVo.setSetlAddAsfee(tVo.setlAddAsfee);
						rVo.setSetlVtax(tVo.setlVtax);
						rVo.setSetlIpayCartax(tVo.setlIpayCartax);
						rVo.setSetlIpayEnvImprBrdnamt(tVo.setlIpayEnvImprBrdnamt);
						rVo.setSetlIpayInsuFee(tVo.setlIpayInsuFee);
						rVo.setSetlIpayPnltAmt(tVo.setlIpayPnltAmt);
						rVo.setSetlIpayEtc(tVo.setlIpayEtc);
						rVo.setSetlIpayTax(tVo.setlIpayTax);
						rVo.setSetlCartax(tVo.setlCartax);
						rVo.setSetlEnvImprBrdnamt(tVo.setlEnvImprBrdnamt);
						rVo.setSetlInsuFee(tVo.setlInsuFee);
						rVo.setSetlLtrmBrcvAmt(tVo.setlLtrmBrcvAmt);
						rVo.setSetlRamtAmt(tVo.setlRamtAmt);
						rVo.setSetlGuarAmt(tVo.setlGuarAmt);
						rVo.setSetlDfee(tVo.setlDfee);
						rVo.setLtrmAdjAmt(tVo.ltrmAdjAmt);
						rVo.setLtrmPamt(tVo.ltrmPamt);
						rVo.setLtrmInt(tVo.ltrmInt);
						rVo.setLtrmPpayInt(tVo.ltrmPpayInt);
						rVo.setLtrmAddInsuFee(tVo.ltrmAddInsuFee);
						rVo.setLtrmAddCartax(tVo.ltrmAddCartax);
						rVo.setLtrmAddEnvImprBrdnamt(tVo.ltrmAddEnvImprBrdnamt);
						rVo.setLtrmAddAsfee(tVo.ltrmAddAsfee);
						rVo.setLtrmVtax(tVo.ltrmVtax);
						rVo.setAskAmt(tVo.askAmt);
						rVo.setAskLeasFee(tVo.askLeasFee);
						rVo.setAskBaseLeasFee(tVo.askBaseLeasFee);
						rVo.setAskAddLeasFee(tVo.askAddLeasFee);
						rVo.setAskPamt(tVo.askPamt);
						rVo.setAskInt(tVo.askInt);
						rVo.setAskTrtFee(tVo.askTrtFee);
						rVo.setAskPpayInt(tVo.askPpayInt);
						rVo.setAskTint(tVo.askTint);
						rVo.setAskAddInsuFee(tVo.askAddInsuFee);
						rVo.setAskAddCartax(tVo.askAddCartax);
						rVo.setAskAddEnvImprBrdnamt(tVo.askAddEnvImprBrdnamt);
						rVo.setAskAddAsfee(tVo.askAddAsfee);
						rVo.setAskVtax(tVo.askVtax);
						rVo.setAskIpayCartax(tVo.askIpayCartax);
						rVo.setAskIpayEnvImprBrdnamt(tVo.askIpayEnvImprBrdnamt);
						rVo.setAskIpayInsuFee(tVo.askIpayInsuFee);
						rVo.setAskIpayPnltAmt(tVo.askIpayPnltAmt);
						rVo.setAskIpayEtc(tVo.askIpayEtc);
						rVo.setAskIpayTax(tVo.askIpayTax);
						rVo.setAskCartax(tVo.askCartax);
						rVo.setAskEnvImprBrdnamt(tVo.askEnvImprBrdnamt);
						rVo.setAskInsuFee(tVo.askInsuFee);
						rVo.setAskLtrmBrcvAmt(tVo.askLtrmBrcvAmt);
						rVo.setAskRamtAmt(tVo.askRamtAmt);
						rVo.setAskGuarAmt(tVo.askGuarAmt);
						rVo.setAskDfee(tVo.askDfee);
						rVo.setRcptObjAmt(tVo.rcptObjAmt);
						rVo.setLeglActnCost(tVo.leglActnCost);
						rVo.setStmpFee(tVo.stmpFee);
						rVo.setOccrDfee(tVo.occrDfee);
						rVo.setHolyDfee(tVo.holyDfee);
						rVo.setPreObjDfee(tVo.preObjDfee);
						rVo.setPreAdjDfee(tVo.preAdjDfee);
						rVo.setPreOccrDfee(tVo.preOccrDfee);
						rVo.setPdueDfee(tVo.pdueDfee);
						rVo.setExmpDfee(tVo.exmpDfee);
						rVo.setPdueDiscDfee(tVo.pdueDiscDfee);
						rVo.setIntStrtDt(tVo.intStrtDt);
						rVo.setIntEndDt(tVo.intEndDt);
						rVo.setPsgDdcnt(tVo.psgDdcnt);
						rVo.setDlyFg(tVo.dlyFg);
						rVo.setDlyCalcDt(tVo.dlyCalcDt);
						rVo.setDlyDdcnt(tVo.dlyDdcnt);
						rVo.setOccrDlyDdcnt(tVo.occrDlyDdcnt);
						rVo.setDlyMmCnt(tVo.dlyMmCnt);
						rVo.setDlyTcnt(tVo.dlyTcnt);
						rVo.setPdueFg(tVo.pdueFg);
						rVo.setLoanIntRt(tVo.loanIntRt);
						rVo.setDfeeRt(tVo.dfeeRt);
						rVo.setAddDfeeRt(tVo.addDfeeRt);
						rVo.setLoseDfeeRt(tVo.loseDfeeRt);
						rVo.setDlyCnt(tVo.dlyCnt);
						rVo.setDlyCalcSdt(tVo.dlyCalcSdt);
						rVo.setDlyCalcEdt(tVo.dlyCalcEdt);
						rVo.setLoseDlyStrtDt(tVo.loseDlyStrtDt);
						rVo.setLoseDlyEndDt(tVo.loseDlyEndDt);
						rVo.setLoseDueDt(tVo.loseDueDt);
						rVo.setLoseDt(tVo.loseDt);
						rVo.setIsLoseTims(tVo.isLoseTims);
						rVo.setLoseMmPamt(tVo.loseMmPamt);
						rVo.setLoseMmInt(tVo.loseMmInt);
						rVo.setLosePamtRamt(tVo.losePamtRamt);
						rVo.setTimsBfAskPamt(tVo.timsBfAskPamt);
						rVo.setLosePiamtDfee(tVo.losePiamtDfee);
						rVo.setLoseIntDfee(tVo.loseIntDfee);
						rVo.setLoseRamtDfee(tVo.loseRamtDfee);
						rVo.setLoseIntStrtDt(tVo.loseIntStrtDt);
						rVo.setLoseIntEndDt(tVo.loseIntEndDt);
						rVo.setLoseIntPsgStrtDt(tVo.loseIntPsgStrtDt);
						rVo.setLoseIntPsgEndDt(tVo.loseIntPsgEndDt);
						rVo.setLoseIntCalcStrtDt(tVo.loseIntCalcStrtDt);
						rVo.setLoseIntCalcEndDt(tVo.loseIntCalcEndDt);
						rVo.setLosePiamtDlyDdcnt(tVo.losePiamtDlyDdcnt);
						rVo.setLoseIntDlyDdcnt(tVo.loseIntDlyDdcnt);
						rVo.setLosePamtDlyDdcnt(tVo.losePamtDlyDdcnt);
						rVo.setLoseIntPsgDdcnt(tVo.loseIntPsgDdcnt);
						rVo.setLoseFg(tVo.loseFg);
						rVo.setLoseObjPsgInt(tVo.loseObjPsgInt);
						rVo.setLosePsgInt(tVo.losePsgInt);
						rVo.setLosePsgDdcnt(tVo.losePsgDdcnt);
						rVo.setLoseTimsDdcnt(tVo.loseTimsDdcnt);
						rVo.setTermPartInt(tVo.termPartInt);
						rVo.setMidTermPartInt(tVo.midTermPartInt);
						rVo.setMainRmbrPamt(tVo.mainRmbrPamt);
						rVo.setPdueTotCnt(tVo.pdueTotCnt);
						rVo.setDfeeCalcDt(tVo.dfeeCalcDt);
						rVo.setDlyToolTip(tVo.dlyToolTip);

						listTims.add(rVo);
					}
					outVO.setTimsVO(listTims);
				}
				LOGGER.error("청구미수 조회 완료", outVO);
				return outVO;

		} catch (Exception ex) {
			LOGGER.error("청구미수 조회시 에러발생", ex);
			throw new Exception(ex.getMessage());
		}

	}

}