package hanalife.r.sr.sr.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.sr.sr.mapper.dto.DsrcAdjDescReadDSDESCSDDTO;
import hanalife.r.sr.sr.mapper.dto.DsrcAdjDescReadDSDSRCADJDESCSMDTO;
import hanalife.r.sr.sr.mapper.dto.DsrcAdjDescReadDSDSRCADJDESCSUMSDDTO;

/**
 * <pre>
 * 클래스명    : DsrcAdjDescReadMapper.java Class
 * 클래스설명  : 예/가수내역 Mapper
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자    : 2023. 3. 8.
 * 작성자명    : 70321 / KimMinSeok / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("DsrcAdjDescReadMapper")
public interface DsrcAdjDescReadMapper {

	 /**
     * <pre>
     * 메소드명      : searchRcptDescList
     * 작성일자      : 2023. 04. 24.
     * 작성자(author): 70366 KangMinhyeok
     * 설명          : 예/가수내역을(를) 조회 한다.
     * 메소드인수1   : 예/가수내역 입력
     * 메소드리턴값  : 전체/잔액 기준의 예/가수내역 출력
     * 예외처리      : Exception
     * </pre>
     */
	//전체기준
    public List<DsrcAdjDescReadDSDESCSDDTO> searchRcptDescList0(DsrcAdjDescReadDSDSRCADJDESCSMDTO inDto) throws Exception;
    //잔액기준
    public List<DsrcAdjDescReadDSDESCSDDTO> searchRcptDescList1(DsrcAdjDescReadDSDSRCADJDESCSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchRcptDescSum
     * 작성일자      : 2023. 04. 24.
     * 작성자(author): 70366  KangMinhyeok
     * 설명          : 예/가수내역합계을(를) 조회 한다.
     * 메소드인수1   : 예/가수내역합계 입력
     * 메소드리턴값  : 전체/잔액 기준의 예/가수내역합계 출력
     * 예외처리      : Exception
     * </pre>
     */
    //전체기준
    public List<DsrcAdjDescReadDSDSRCADJDESCSUMSDDTO> searchRcptDescSum0(DsrcAdjDescReadDSDSRCADJDESCSMDTO inDto) throws Exception;
    //잔액기준
    public List<DsrcAdjDescReadDSDSRCADJDESCSUMSDDTO> searchRcptDescSum1(DsrcAdjDescReadDSDSRCADJDESCSMDTO inDto) throws Exception;


}