package hanalife.r.sr.sr.mapper.dto;

import java.math.BigDecimal;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcAdjDescReadDSDESCSDDTO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DsrcAdjDescReadDSDESCSDDTO {

	private String dsrcNo;
	private String dsrcSnum;
//	private String adjLoanNo;
//	private String adjLoanSeq;
	private String loanNo;
	private String loanSeq;
	private String custNm;
	private String setlNo;
	private String occrDeptNm;
	private String adjDeptNm;
	private String mngDeptNm;
	private String acctDt;
	private String setlDt;
	private String rcptTpCd;
	private String rcptTpNm;
	private String dsrcAdjNm;
	private String dsrcOccrNm;
	private BigDecimal dsrcOccrAmt;
	private BigDecimal dsrcAdjAmt;
	private BigDecimal dsrcRamt;
	private String rmk;
	private String isrtEmpNo;
	private String isrtEmpNm;
	private String acctUnitCd;
	private String acctUnitNm;
	private String dlyTcnt;
	private String dlyYn;
	private BigDecimal dlyAmt;
	private String unArngRsn;
	private String mngPlcDivNm;

	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getDsrcSnum() {
		return dsrcSnum;
	}
	public void setDsrcSnum(String dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}

	public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    //
//    public String getAdjLoanNo() {
//        return adjLoanNo;
//    }
//    public void setAdjLoanNo(String adjLoanNo) {
//        this.adjLoanNo = adjLoanNo;
//    }
//    public String getAdjLoanSeq() {
//        return adjLoanSeq;
//    }
//    public void setAdjLoanSeq(String adjLoanSeq) {
//        this.adjLoanSeq = adjLoanSeq;
//    }
    public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getOccrDeptNm() {
		return occrDeptNm;
	}
	public void setOccrDeptNm(String occrDeptNm) {
		this.occrDeptNm = occrDeptNm;
	}
	public String getAdjDeptNm() {
		return adjDeptNm;
	}
	public void setAdjDeptNm(String adjDeptNm) {
		this.adjDeptNm = adjDeptNm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getRcptTpNm() {
		return rcptTpNm;
	}
	public void setRcptTpNm(String rcptTpNm) {
		this.rcptTpNm = rcptTpNm;
	}
	public String getDsrcAdjNm() {
		return dsrcAdjNm;
	}
	public void setDsrcAdjNm(String dsrcAdjNm) {
		this.dsrcAdjNm = dsrcAdjNm;
	}
	public String getDsrcOccrNm() {
		return dsrcOccrNm;
	}
	public void setDsrcOccrNm(String dsrcOccrNm) {
		this.dsrcOccrNm = dsrcOccrNm;
	}
	public BigDecimal getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public BigDecimal getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public BigDecimal getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(BigDecimal dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public String getRmk() {
		return rmk;
	}
	public void setRmk(String rmk) {
		this.rmk = rmk;
	}
	public String getIsrtEmpNo() {
		return isrtEmpNo;
	}
	public void setIsrtEmpNo(String isrtEmpNo) {
		this.isrtEmpNo = isrtEmpNo;
	}
	public String getIsrtEmpNm() {
		return isrtEmpNm;
	}
	public void setIsrtEmpNm(String isrtEmpNm) {
		this.isrtEmpNm = isrtEmpNm;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyYn() {
		return dlyYn;
	}
	public void setDlyYn(String dlyYn) {
		this.dlyYn = dlyYn;
	}
	public BigDecimal getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(BigDecimal dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getUnArngRsn() {
		return unArngRsn;
	}
	public void setUnArngRsn(String unArngRsn) {
		this.unArngRsn = unArngRsn;
	}
	public String getMngPlcDivNm() {
		return mngPlcDivNm;
	}
	public void setMngPlcDivNm(String mngPlcDivNm) {
		this.mngPlcDivNm = mngPlcDivNm;
	}

}
