package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcRfndReptReadSMDO01DTO.java Class
 * 클래스설명   : 연락불능자조회(입력)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70323 HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcRfndReptReadDSSM01DTO {

    private String rfndDtFr;  /* 환불일자(시작) */
    private String rfndDtTo;  /* 환불일자(종료) */
    private String mngDeptCd;  /* 관리부서코드 */
    private String mngDeptNm;  /* 관리부서명 */
    private String prdtCd;     /* 상품코드 */
    private String sumDivDt;   /* 환불일자합계여부 */
    private String sumDivDept; /* 관리부서합계여부*/
    private String sumDivPrdt;  /* 상품명합계여부 */
    private String sumDivBank;  /* 은행합계여부 */
    private String sumDivMan;  /* 담당자합계여부 */
    private String rfndStat;   /* 환불상태코드 */
    private String dsrcOccrCd; /* 예/가수발생코드 */
    private String rfndRsnCd;  /* 환불사유코드 */
    private String sumDivDsrc;  /* 예/가수금발생합계여부 */
    private String sumDivRfnd;  /* 환불사유합계여부 */
    private String sumAcctUnit; /* 회계단위합계여부 */
    private String acctUnitCd;  /* 회계단위코드 */
    private String isrtDeptCd;  /* 입력부서코드 */
    private String isrtDeptNm;  /* 입력부서명 */
    private String sumDivIsrtDept;  /* 입력부서합계여부*/
    private String mngPlcDivCd;  /* 관리처코드 */
    private String sumDivMngPlcDivCd;

    public String getRfndDtFr() {
        return rfndDtFr;
    }
    public void setRfndDtFr(String rfndDtFr) {
        this.rfndDtFr = rfndDtFr;
    }
    public String getRfndDtTo() {
        return rfndDtTo;
    }
    public void setRfndDtTo(String rfndDtTo) {
        this.rfndDtTo = rfndDtTo;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getMngDeptNm() {
        return mngDeptNm;
    }
    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getSumDivDt() {
        return sumDivDt;
    }
    public void setSumDivDt(String sumDivDt) {
        this.sumDivDt = sumDivDt;
    }
    public String getSumDivDept() {
        return sumDivDept;
    }
    public void setSumDivDept(String sumDivDept) {
        this.sumDivDept = sumDivDept;
    }
    public String getSumDivPrdt() {
        return sumDivPrdt;
    }
    public void setSumDivPrdt(String sumDivPrdt) {
        this.sumDivPrdt = sumDivPrdt;
    }
    public String getSumDivBank() {
        return sumDivBank;
    }
    public void setSumDivBank(String sumDivBank) {
        this.sumDivBank = sumDivBank;
    }
    public String getSumDivMan() {
        return sumDivMan;
    }
    public void setSumDivMan(String sumDivMan) {
        this.sumDivMan = sumDivMan;
    }
    public String getRfndStat() {
        return rfndStat;
    }
    public void setRfndStat(String rfndStat) {
        this.rfndStat = rfndStat;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getRfndRsnCd() {
        return rfndRsnCd;
    }
    public void setRfndRsnCd(String rfndRsnCd) {
        this.rfndRsnCd = rfndRsnCd;
    }
    public String getSumDivDsrc() {
        return sumDivDsrc;
    }
    public void setSumDivDsrc(String sumDivDsrc) {
        this.sumDivDsrc = sumDivDsrc;
    }
    public String getSumDivRfnd() {
        return sumDivRfnd;
    }
    public void setSumDivRfnd(String sumDivRfnd) {
        this.sumDivRfnd = sumDivRfnd;
    }
    public String getSumAcctUnit() {
        return sumAcctUnit;
    }
    public void setSumAcctUnit(String sumAcctUnit) {
        this.sumAcctUnit = sumAcctUnit;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getIsrtDeptNm() {
        return isrtDeptNm;
    }
    public void setIsrtDeptNm(String isrtDeptNm) {
        this.isrtDeptNm = isrtDeptNm;
    }
    public String getSumDivIsrtDept() {
        return sumDivIsrtDept;
    }
    public void setSumDivIsrtDept(String sumDivIsrtDept) {
        this.sumDivIsrtDept = sumDivIsrtDept;
    }
    public String getMngPlcDivCd() {
        return mngPlcDivCd;
    }
    public void setMngPlcDivCd(String mngPlcDivCd) {
        this.mngPlcDivCd = mngPlcDivCd;
    }
    public String getSumDivMngPlcDivCd() {
        return sumDivMngPlcDivCd;
    }
    public void setSumDivMngPlcDivCd(String sumDivMngPlcDivCd) {
        this.sumDivMngPlcDivCd = sumDivMngPlcDivCd;
    }

}
