package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcSearchDTO.java Class
 * 클래스설명   : 예/가수금 조회(출력)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 16.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 16.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcSearchDTO {

    private String setlDt;  /* 결제일자 */
    private String dsrcNo;  /* 예가수번호 */
    private String loanNo;  /* 대출번호 */
    private String loanSeq;  /* 대출순번 */

    private String dsrcSnum;  /* 예가수일련번호 */
    private String rfndSnum;  /* 환불일련번호 */
    private long dsrcOccrAmt;  /* 예가수발생금액 */
    private long dsrcAdjAmt;  /* 예가수정산금액 */
    private long dsrcRamt;  /* 예가수잔액 */
    private String rfndStatCd;  /* 환불상태코드 */
    private String dsrcSetlDt;  /* 예가수결제일자 */
    private String dsrcOccrCd;  /* 예가수발생코드 */
    private String dsrcAdjDeptCd;  /* 예가수정산부서코드 */
    private long brcvAmtLeasfeeRamt;  /* 선수금리스료잔액 */
    private String dsrcOccrAcctDt;  /* 예가수발생회계일자 */
    private long srcpRamt;  /* 가수잔액 */
    private String bfLoanNo;  /* 정산전대출번호 */
    private String bfLoanSeq;  /* 정산전대출순번 */
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDsrcSnum() {
		return dsrcSnum;
	}
	public void setDsrcSnum(String dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}
	public String getRfndSnum() {
		return rfndSnum;
	}
	public void setRfndSnum(String rfndSnum) {
		this.rfndSnum = rfndSnum;
	}
	public long getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(long dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public long getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(long dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public long getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(long dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public String getRfndStatCd() {
		return rfndStatCd;
	}
	public void setRfndStatCd(String rfndStatCd) {
		this.rfndStatCd = rfndStatCd;
	}
	public String getDsrcSetlDt() {
		return dsrcSetlDt;
	}
	public void setDsrcSetlDt(String dsrcSetlDt) {
		this.dsrcSetlDt = dsrcSetlDt;
	}
	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}
	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}
	public String getDsrcAdjDeptCd() {
		return dsrcAdjDeptCd;
	}
	public void setDsrcAdjDeptCd(String dsrcAdjDeptCd) {
		this.dsrcAdjDeptCd = dsrcAdjDeptCd;
	}
	public long getBrcvAmtLeasfeeRamt() {
		return brcvAmtLeasfeeRamt;
	}
	public void setBrcvAmtLeasfeeRamt(long brcvAmtLeasfeeRamt) {
		this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
	}
	public String getDsrcOccrAcctDt() {
		return dsrcOccrAcctDt;
	}
	public void setDsrcOccrAcctDt(String dsrcOccrAcctDt) {
		this.dsrcOccrAcctDt = dsrcOccrAcctDt;
	}
	public long getSrcpRamt() {
		return srcpRamt;
	}
	public void setSrcpRamt(long srcpRamt) {
		this.srcpRamt = srcpRamt;
	}
	public String getBfLoanNo() {
		return bfLoanNo;
	}
	public void setBfLoanNo(String bfLoanNo) {
		this.bfLoanNo = bfLoanNo;
	}
	public String getBfLoanSeq() {
		return bfLoanSeq;
	}
	public void setBfLoanSeq(String bfLoanSeq) {
		this.bfLoanSeq = bfLoanSeq;
	}



}
