package hanalife.r.sr.sr.service;

import java.util.List;
import java.util.Map;

import hanalife.r.sr.sr.vo.RSRSRM01S01OutVO;
import hanalife.r.sr.zz.vo.DsrcVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01Service.java Class
 * 클래스설명   : 예수금/가수금 관리 (RSRSRM01) Service Interface
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : 	searchSmList : 예/가수 발생정보 조회
 *         		searchSdList : 예/가수 내역정보 조회
 * </pre>
 */
public interface RSRSRM01Service {

    /**
     * <pre>
     * 메소드명      	: searchSmList
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 발생정보 조회
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: RSRSRM01S01OutVo
     * 예외처리      	: Exception
     * </pre>
     */
    public RSRSRM01S01OutVO searchSmList(Map<String, Object> inMap) throws Exception;

    /**
     * <pre>
     * 메소드명      	: searchSdList
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 내역정보 조회
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: RSRSRM01S01OutVo
     * 예외처리      	: Exception
     * </pre>
     */
    public RSRSRM01S01OutVO searchSdList(Map<String, Object> inMap) throws Exception;

    /**
     * <pre>
     * 메소드명      	: dsrcDelete
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 삭제
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: RSRSRM01S01OutVo
     * 예외처리      	: Exception
     * </pre>
     */
    public void dsrcDelete(Map<String, Object> inMap) throws Exception;

    /**
     * <pre>
     * 메소드명      	: dsrcSave
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 저장
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: void
     * 예외처리      	: Exception
     * </pre>
     */
    public void dsrcSave(Map<String, Object> inMap) throws Exception;

    /**
     * <pre>
     * 메소드명      	: dsrcIntgSave
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 통합발생
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: void
     * 예외처리      	: Exception
     * </pre>
     */
    public DsrcVO dsrcIntgSave(List<Map<String, Object>> inMap) throws Exception;

    /**
     * <pre>
     * 메소드명      	: createDsrcChngHist
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예/가수 이력등록
     * 메소드인수    	: Map<String, Object> inMap
     * 메소드리턴값  	: void
     * 예외처리      	: Exception
     * </pre>
     */
    public void createDsrcChngHist(String chngDiv, String dsrcNo, String rmk, String empNo) throws Exception;

}
