package hanalife.r.sr.sr.service;

import hanalife.r.sr.sr.vo.RSRSRM02S01InVO;
import hanalife.r.sr.sr.vo.RSRSRM02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM02Service.java Class
 * 클래스설명   : 예/가수내역조회 (RSRSRM02) Service Interface
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchRcptDesc : 예/가수내역 조회
 * </pre>
 */
public interface RSRSRM02Service {

	/**
	 * <p>메소드명      : searchRcptDesc : 예/가수내역 조회</p>
	 * <p>작성일자      : 2023. 3. 8.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 예/가수내역을 조회 한다.</p>
	 * <p>메소드인수    : RSRSRM02S01InVo </p>
	 * <p>메소드리턴값  : RSRSRM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RSRSRM02S01OutVO searchRcptDesc(RSRSRM02S01InVO inVo) throws Exception;

}
