package hanalife.r.sr.sr.service;

import java.util.Map;

import hanalife.r.sr.sr.vo.RSRSRM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM04Service.java Class
 * 클래스설명   : 예/가수환불현황조회 (RSRSRM04) Service Interface
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRSRSRM04S01 : 예/가수환불현황조회목록조회

 * </pre>
 */
public interface RSRSRM04Service {

	/**
	 * <p>메소드명      	: getRSRSRM04S01</p>
	 * <p>작성일자      	: 2023. 3. 7.
	 * <p>작성자(author)	: 70323 / HeoHyemi
	 * <p>설명          	: 예/가수환불현황조회 한다.</p>
	 * <p>메소드인수    	: RSRSRM04S01InVo </p>
	 * <p>메소드리턴값  	: RSRSRM04S01OutVo</p>
	 * <p>예외처리      	: Exception</p>
	 */
	public RSRSRM04S01OutVO getRSRSRM04S01(Map<String, Object> inVo) throws Exception;

	/**
	 * <p>메소드명      	: getRSRSRM04S02 </p>
	 * <p>작성일자     	: 2023. 5. 31.
	 * <p>작성자(author)	: 70326 / YHS
	 * <p>설명          	: 예/가수환불내역조회 한다.</p>
	 * <p>메소드인수    	: Map<String, Object> inVo </p>
	 * <p>메소드리턴값  	: RSRSRM04S01OutVo</p>
	 * <p>예외처리      	: Exception</p>
	 */
	public RSRSRM04S01OutVO getRSRSRM04S02(Map<String, Object> inVo) throws Exception;

}
