package hanalife.r.sr.sr.service;

import hanalife.r.sr.sr.vo.RSRSRP02S01InVO;
import hanalife.r.sr.sr.vo.RSRSRP02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRP02Service.java Class
 * 클래스설명   : 예가수변경이력팝업 (RSRSRP02) Service Interface
 * 작성일자     : 2023. 5. 9.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 9.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRSRSRP02S01 : 예가수변경이력팝업조회
 * </pre>
 */

public interface RSRSRP02Service {

	/**
	 * <p>메소드명      : getRSRSRP02S01 : 예가수변경이력팝업조회</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 예가수변경이력팝업 조회한다.</p>
	 * <p>메소드인수    : RSRSRP02S01InVO </p>
	 * <p>메소드리턴값  : RSRSRP02S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RSRSRP02S01OutVO getRSRSRP02S01(RSRSRP02S01InVO inVo) throws Exception;

}
