package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01DSSEARCHVO.java Class
 * 클래스설명   : 예/가수금발생정보내역 조회(입출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01DSSETLINFOVO {

    private String acctDt;  /* 회계일자 */
    private String setlDt;  /* 결제일자 */
    private String rcptTpCd;  /* 수납유형코드 */
    private String dsrcOccrCd;  /* 예가수발생코 */
    private String cashAmt;  /* 현금금액 */
    private String chkAmt;  /* 검증금액 */
    private String setlAmt;  /* 결제금액 */
    private String dsrcNo;  /* 예가수번호 */
    private String dsrcAdjAmt;  /* 예가수정산금액 */
    private String dsrcAdjCd;  /* 예가수정산코드 */
    private String adjDeptCd;  /* 정산부서코드 */
    private String adjDeptNm;  /* 정산부서명 */
    private String loanNo;  /* 대출번호 */
    private String loanSeq;  /* 대출순번 */
    private String rmk;  /* 적요내용 */
    private String setlNo;  /* 결제번호 */
    private String curLoanNo;  /* 현재정산대출번호 */
    private String curLoanSeq;  /* 현재정산대출순번 */
    private String curDeptCd;  /* 현재정산부서코드 */
    private String curDeptNm;  /* 현재정산부서명 */
    private String dsrcOccrAmt;  /* 예가수발생금액 */
    private String dsrcRamt;  /* 예가수잔액 */
    private String cnclFg;  /* 취소여부 */
    private String dueManNo;  /* 납입자번호 */
    private String dueManNm;  /* 납입자명 */
    private String loanMngDeptCd;  /* 대출관리부서코드 */
    private String unArngRsn;  /* 미정리사유내용 */
    private String bankCd;  /* 은행코드 */
    private String acntNo;  /* 계좌번호 */
    private String rcptAcntCd;  /* 수납계좌코드 */

    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getCashAmt() {
        return cashAmt;
    }
    public void setCashAmt(String cashAmt) {
        this.cashAmt = cashAmt;
    }
    public String getChkAmt() {
        return chkAmt;
    }
    public void setChkAmt(String chkAmt) {
        this.chkAmt = chkAmt;
    }
    public String getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(String setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getDsrcAdjCd() {
        return dsrcAdjCd;
    }
    public void setDsrcAdjCd(String dsrcAdjCd) {
        this.dsrcAdjCd = dsrcAdjCd;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public String getAdjDeptNm() {
        return adjDeptNm;
    }
    public void setAdjDeptNm(String adjDeptNm) {
        this.adjDeptNm = adjDeptNm;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getCurLoanNo() {
        return curLoanNo;
    }
    public void setCurLoanNo(String curLoanNo) {
        this.curLoanNo = curLoanNo;
    }
    public String getCurLoanSeq() {
        return curLoanSeq;
    }
    public void setCurLoanSeq(String curLoanSeq) {
        this.curLoanSeq = curLoanSeq;
    }
    public String getCurDeptCd() {
        return curDeptCd;
    }
    public void setCurDeptCd(String curDeptCd) {
        this.curDeptCd = curDeptCd;
    }
    public String getCurDeptNm() {
        return curDeptNm;
    }
    public void setCurDeptNm(String curDeptNm) {
        this.curDeptNm = curDeptNm;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(String dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getDueManNo() {
        return dueManNo;
    }
    public void setDueManNo(String dueManNo) {
        this.dueManNo = dueManNo;
    }
    public String getDueManNm() {
        return dueManNm;
    }
    public void setDueManNm(String dueManNm) {
        this.dueManNm = dueManNm;
    }
    public String getLoanMngDeptCd() {
        return loanMngDeptCd;
    }
    public void setLoanMngDeptCd(String loanMngDeptCd) {
        this.loanMngDeptCd = loanMngDeptCd;
    }
    public String getUnArngRsn() {
        return unArngRsn;
    }
    public void setUnArngRsn(String unArngRsn) {
        this.unArngRsn = unArngRsn;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getRcptAcntCd() {
        return rcptAcntCd;
    }
    public void setRcptAcntCd(String rcptAcntCd) {
        this.rcptAcntCd = rcptAcntCd;
    }

}
