package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01DSSMVO.java Class
 * 클래스설명   : 예/가수금발생정보내역조회(입/출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01DSSMVO {

    private String slct;  /* 선택여부 */
    private String dsrcNo;  /* 예가수번호 */
    private String acctUnitCd;  /* 회계단위코드 */
    private String adjLoanNo;  /* 정산대출번호 */
    private String adjLoanSeq;  /* 정산대출순번 */
    private String custNm;  /* 고객명 */
    private String occrLoanNo;  /* 발생대출번호 */
    private String occrLoanSeq;  /* 발생대출순번 */
    private String setlNo;  /* 결제번호 */
    private String acctDt;  /* 회계일자 */
    private String setlDt;  /* 결제일자 */
    private String rcptTpNm;  /* 수납유형코드명 */
    private String rcptTpCd;  /* 수납유형코드 */
    private String dsrcOccrNm;  /* 예가수발생명 */
    private String dsrcOccrCd;  /* 예가수발생코드 */
    private String dsrcOccrAmt;  /* 예가수발생금액 */
    private String dsrcAdjAmt;  /* 예가수조정금액 */
    private String dsrcRamt;  /* 예가수잔액 */
    private String rfndStatNm;  /* 환불상태코드명 */
    private String rfndStatCd;  /* 환불상태코드 */
    private String isrtDeptNm;  /* 입력부서코드명 */
    private String isrtDeptCd;  /* 입력부서코드 */
    private String adjDeptNm;  /* 정산부서코드명 */
    private String adjDeptCd;  /* 정산부서코드 */
    private String rmk;  /* 적요내용 */
    private String frstRegEmpNm;  /* 최초등록자명 */
    private String frstRegEmpNo;  /* 최초등록자번호 */
    private String cashAmt;  /* 현금금액 */
    private String chkAmt;  /* 검증금액 */
    private String setlAmt;  /* 결제금액 */
    private String cnclFg;  /* 취소여부 */
    private String dueManNo;  /* 납입자번호 */
    private String dueManNm;  /* 납입자명 */
    private String loanMngDeptCd;  /* 대출관리부서코드 */
    private String unArngRsn;  /* 미정리사유내용 */
    private String rcptAcntCd;  /* 수납계좌코드 */
    private String bankCd;  /* 은행코드 */
    private String acntNo;  /* 계좌번호 */

    public String getSlct() {
        return slct;
    }
    public void setSlct(String slct) {
        this.slct = slct;
    }
    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getAdjLoanNo() {
        return adjLoanNo;
    }
    public void setAdjLoanNo(String adjLoanNo) {
        this.adjLoanNo = adjLoanNo;
    }
    public String getAdjLoanSeq() {
        return adjLoanSeq;
    }
    public void setAdjLoanSeq(String adjLoanSeq) {
        this.adjLoanSeq = adjLoanSeq;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getOccrLoanNo() {
        return occrLoanNo;
    }
    public void setOccrLoanNo(String occrLoanNo) {
        this.occrLoanNo = occrLoanNo;
    }
    public String getOccrLoanSeq() {
        return occrLoanSeq;
    }
    public void setOccrLoanSeq(String occrLoanSeq) {
        this.occrLoanSeq = occrLoanSeq;
    }
    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getRcptTpNm() {
        return rcptTpNm;
    }
    public void setRcptTpNm(String rcptTpNm) {
        this.rcptTpNm = rcptTpNm;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getDsrcOccrNm() {
        return dsrcOccrNm;
    }
    public void setDsrcOccrNm(String dsrcOccrNm) {
        this.dsrcOccrNm = dsrcOccrNm;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(String dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public String getRfndStatNm() {
        return rfndStatNm;
    }
    public void setRfndStatNm(String rfndStatNm) {
        this.rfndStatNm = rfndStatNm;
    }
    public String getRfndStatCd() {
        return rfndStatCd;
    }
    public void setRfndStatCd(String rfndStatCd) {
        this.rfndStatCd = rfndStatCd;
    }
    public String getIsrtDeptNm() {
        return isrtDeptNm;
    }
    public void setIsrtDeptNm(String isrtDeptNm) {
        this.isrtDeptNm = isrtDeptNm;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getAdjDeptNm() {
        return adjDeptNm;
    }
    public void setAdjDeptNm(String adjDeptNm) {
        this.adjDeptNm = adjDeptNm;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public String getFrstRegEmpNm() {
        return frstRegEmpNm;
    }
    public void setFrstRegEmpNm(String frstRegEmpNm) {
        this.frstRegEmpNm = frstRegEmpNm;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getCashAmt() {
        return cashAmt;
    }
    public void setCashAmt(String cashAmt) {
        this.cashAmt = cashAmt;
    }
    public String getChkAmt() {
        return chkAmt;
    }
    public void setChkAmt(String chkAmt) {
        this.chkAmt = chkAmt;
    }
    public String getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(String setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getDueManNo() {
        return dueManNo;
    }
    public void setDueManNo(String dueManNo) {
        this.dueManNo = dueManNo;
    }
    public String getDueManNm() {
        return dueManNm;
    }
    public void setDueManNm(String dueManNm) {
        this.dueManNm = dueManNm;
    }
    public String getLoanMngDeptCd() {
        return loanMngDeptCd;
    }
    public void setLoanMngDeptCd(String loanMngDeptCd) {
        this.loanMngDeptCd = loanMngDeptCd;
    }
    public String getUnArngRsn() {
        return unArngRsn;
    }
    public void setUnArngRsn(String unArngRsn) {
        this.unArngRsn = unArngRsn;
    }
    public String getRcptAcntCd() {
        return rcptAcntCd;
    }
    public void setRcptAcntCd(String rcptAcntCd) {
        this.rcptAcntCd = rcptAcntCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
}
