package hanalife.r.sr.sr.vo;

import java.math.BigDecimal;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM02DSDESCSDVO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 VO
 * 작성일자     : 2023. 4. 24.
 * 작성자명     : 70366 / KangMinhyoek / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class RSRSRM02DSDESCSDVO {

	private String dsrcNo;         /** 예가수_번호*/
	private String dsrcSnum;       /** 예가수_일련번호*/
	private String loanNo;     /** 대출_번호 */
	private String loanSeq;        /** 대출_순서 */
	private String custNm;     /** 고객_번호 */
	private String setlNo;     /**결제_번호*/
	private String occrDeptNm;     /** 발생_부서_이름*/
	private String adjDeptNm;      /**정산_부서_이름*/
	private String mngDeptNm;      /**관리_부서_이름 */
	private String acctDt;     /** 회계_일자*/
	private String setlDt;     /** 결제_일자*/
	private String rcptTpCd;       /**수납_유형_코드*/
	private String rcptTpNm;       /**수납_유형_명*/
	private String dsrcAdjNm;      /**예가수_정산_명*/
	private String dsrcOccrNm;         /**예가수_발생_명*/
	private BigDecimal dsrcOccrAmt;        /**예가수_발생_금액*/
	private BigDecimal dsrcAdjAmt;         /**예가수_정산_금액*/
	private BigDecimal dsrcRamt;       /** 예가수_잔액*/
	private String rmk;        /**적요*/
	private String isrtEmpNo;      /**입력_사원_번호*/
	private String isrtEmpNm;      /**입력_사원_명*/
	private String acctUnitCd;     /***/
	private String acctUnitNm;     /***/
	private String dlyTcnt;        /**연체_회차*/
	private String dlyYn;      /** 연체_여부 */
	private BigDecimal dlyAmt;     /**연체_금액*/
	private String unArngRsn;      /** 미정리_사유*/
	private String mngPlcDivNm;        /**관리처_구분_이름*/

	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getDsrcSnum() {
		return dsrcSnum;
	}
	public void setDsrcSnum(String dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}

//    public String getAdjLoanNo() {
//        return adjLoanNo;
//    }
//    public void setAdjLoanNo(String adjLoanNo) {
//        this.adjLoanNo = adjLoanNo;
//    }
//    public String getAdjLoanSeq() {
//        return adjLoanSeq;
//    }
//    public void setAdjLoanSeq(String adjLoanSeq) {
//        this.adjLoanSeq = adjLoanSeq;
//    }

    public String getCustNm() {
		return custNm;
	}
	public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getOccrDeptNm() {
		return occrDeptNm;
	}
	public void setOccrDeptNm(String occrDeptNm) {
		this.occrDeptNm = occrDeptNm;
	}
	public String getAdjDeptNm() {
		return adjDeptNm;
	}
	public void setAdjDeptNm(String adjDeptNm) {
		this.adjDeptNm = adjDeptNm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getRcptTpNm() {
		return rcptTpNm;
	}
	public void setRcptTpNm(String rcptTpNm) {
		this.rcptTpNm = rcptTpNm;
	}
	public String getDsrcAdjNm() {
		return dsrcAdjNm;
	}
	public void setDsrcAdjNm(String dsrcAdjNm) {
		this.dsrcAdjNm = dsrcAdjNm;
	}
	public String getDsrcOccrNm() {
		return dsrcOccrNm;
	}
	public void setDsrcOccrNm(String dsrcOccrNm) {
		this.dsrcOccrNm = dsrcOccrNm;
	}
	public BigDecimal getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public BigDecimal getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public BigDecimal getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(BigDecimal dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public String getRmk() {
		return rmk;
	}
	public void setRmk(String rmk) {
		this.rmk = rmk;
	}
	public String getIsrtEmpNo() {
		return isrtEmpNo;
	}
	public void setIsrtEmpNo(String isrtEmpNo) {
		this.isrtEmpNo = isrtEmpNo;
	}
	public String getIsrtEmpNm() {
		return isrtEmpNm;
	}
	public void setIsrtEmpNm(String isrtEmpNm) {
		this.isrtEmpNm = isrtEmpNm;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyYn() {
		return dlyYn;
	}
	public void setDlyYn(String dlyYn) {
		this.dlyYn = dlyYn;
	}
	public BigDecimal getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(BigDecimal dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getUnArngRsn() {
		return unArngRsn;
	}
	public void setUnArngRsn(String unArngRsn) {
		this.unArngRsn = unArngRsn;
	}
	public String getMngPlcDivNm() {
		return mngPlcDivNm;
	}
	public void setMngPlcDivNm(String mngPlcDivNm) {
		this.mngPlcDivNm = mngPlcDivNm;
	}

}
