package hanalife.r.sr.sr.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.c.co.util.XFrame5DataSetUtil;
import hanalife.r.sr.sr.service.RSRSRP03Service;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRP03Controller.java Class
 * 클래스설명   : 예가수강제정산팝업 (RSRSRP03) Controller
 * 작성일자     : 2023. 5. 30.
 * 작성자명     : 70326 / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 30.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@RequestMapping("/r/sr/sr")
@Controller
public class RSRSRP03Controller {

	@Resource(name = "RSRSRP03Service")
	private RSRSRP03Service RSRSRP03;

	private static final Logger LOGGER = LoggerFactory.getLogger(RSRSRP03Controller.class);

	/**
	 * <p>메소드명      	: RSRSRP03I01.do 	</p>
	 * <p>작성일자      	: 2023. 5. 30. 		</p>
	 * <p>작성자(author)	: 70326 / YHS 		</p>
	 * <p>설명          	: 예가수강제정산 처리한다.	</p>
	 * <p>예외처리      	: Exception			</p>
	 */
	@RequestMapping("/RSRSRP03I01.do")
	public String RSRSRP03I01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### RSRSRP03Controller RSRSRP03I01 Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_IVLT_ADJ", request, response, model);

			/** 예가수변경이력팝업내역조회 업무 서비스 호출 수행 */
			RSRSRP03.ivltAdjDsrc(sourceMap);

			LOGGER.info("##### RSRSRP02Controller RSRSRP03I01 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### RSRSRP02Controller RSRSRP02S01 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

}
