package hanalife.r.va.va.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.va.va.mapper.dto.ImgAcntTrDescReadDSSDDODTO;
import hanalife.r.va.va.mapper.dto.ImgAcntTrDescReadDSSEARCHTRORGDTO;
import hanalife.r.va.va.mapper.dto.ImgAcntTrDescReadDSSMDODTO;

@Mapper("ImgAcntTrDescReadMapper")
public interface ImgAcntTrDescReadMapper {
	/**
     * <pre>
     * 메소드명      : searchDescList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70322 sungjin.park
     * 설명          : 가상계좌거래내역을 조회 한다.
     * 메소드인수1   : 가상계좌거래정보 입력
     * 메소드리턴값  : 가상계좌거래내역 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ImgAcntTrDescReadDSSDDODTO> searchDescList(ImgAcntTrDescReadDSSMDODTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectTrOrg
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70322 sungjin.park
     * 설명          : 공통코드 조회 한다.
     * 메소드인수1   : ImgAcntTrDescReadDSSEARCHTRORGDTO 입력
     * 메소드리턴값  : ImgAcntTrDescReadDSSEARCHTRORGDTO 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ImgAcntTrDescReadDSSEARCHTRORGDTO> selectTrOrg(ImgAcntTrDescReadDSSEARCHTRORGDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectTrOrgImgAcnt
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70322 sungjin.park
     * 설명          : 공통코드 조회 한다.
     * 메소드인수1   : ImgAcntTrDescReadDSSEARCHTRORGDTO 입력
     * 메소드리턴값  : ImgAcntTrDescReadDSSEARCHTRORGDTO 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ImgAcntTrDescReadDSSEARCHTRORGDTO> selectTrOrgImgAcnt(ImgAcntTrDescReadDSSEARCHTRORGDTO inDto) throws Exception;

}
