package hanalife.r.va.va.service;

import hanalife.r.va.va.vo.RVAVAM03D01InVO;
import hanalife.r.va.va.vo.RVAVAM03S01InVO;
import hanalife.r.va.va.vo.RVAVAM03S01OutVO;
import hanalife.r.va.va.vo.RVAVAM03U01InVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RVAVAM03Service.java Class
 * 클래스설명   : 가상계좌변경관리 (RVAVAM03) Service Interface
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRVAVAM03S01 : 가상계좌변경관리목록조회
 * 				modifyRVAVAM03U01 : 가상계좌변경관리수정

 * </pre>
 */
public interface RVAVAM03Service {

	/**
	 * <p>메소드명      : getRVAVAM03S01 : 가상계좌대출정보</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 가상계좌대출정보조회</p>
	 * <p>메소드인수    : RVAVAM03S01InVo </p>
	 * <p>메소드리턴값  : RVAVAM03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RVAVAM03S01OutVO getRVAVAM03S01(RVAVAM03S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getRVAVAM03S02 : 가상계좌변경이력</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 가상계좌변경이력조회</p>
	 * <p>메소드인수    : RVAVAM03S01InVo </p>
	 * <p>메소드리턴값  : RVAVAM03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RVAVAM03S01OutVO getRVAVAM03S02(RVAVAM03S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifyRVAVAM03U01 - 가상계좌변경관리수정</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 가상계좌변경관리수정</p>
	 * <p>메소드인수    : RVAVAM03U01InVo </p>
	 * <p>메소드리턴값  : List</p>
	 * <p>예외처리      : Exception</p>
	 */
	public void modifyRVAVAM03U01(RVAVAM03U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : removeRVAVAM03D01 - 가상계좌변경관리삭제</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 가상계좌변경관리삭제</p>
	 * <p>메소드인수    : RVAVAM03D01InVo </p>
	 * <p>메소드리턴값  : List</p>
	 * <p>예외처리      : Exception</p>
	 */
	public void removeRVAVAM03D01(RVAVAM03D01InVO inVo) throws Exception;

}
