package hanalife.r.va.va.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.c.co.util.XFrame5DataSetUtil;
import hanalife.r.va.va.service.RVAVAM02Service;
import hanalife.r.va.va.vo.RVAVAM02DS_SEARCHVO;
import hanalife.r.va.va.vo.RVAVAM02S01InVO;
import hanalife.r.va.va.vo.RVAVAM02S01OutVO;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/r/va/va")
@Controller
public class RVAVAM02Controller{

	@Resource(name="RVAVAM02Service")
	private RVAVAM02Service RVAVAM02Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(RVAVAM02Controller.class);
    /**
     * <pre>
     * 메소드명 : 가상계좌거래현황조회 /RVAVAM02S01.do
     * 작성일자 : 2023. 3. 08.
     * 작성자(author): 70325
     * 설명 : 가상계좌거래현황조회 한다.
     * 예외처리 : Exception
     * </pre>
     */
	@RequestMapping("/RVAVAM02S01.do")
	public String RVAVAM02S01(ModelMap model,HttpServletRequest request, HttpServletResponse response) {
        LOGGER.info("##### RVAVAM02Controller RVAVAM02S01 Start #####");

		try {
	        /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
	        Map<String, Object> sourceDsSMDOMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SEARCH", request, response, model);

	        /** 가상계좌거래현황조회 업무 서비스 호출 입력값 대입 */
	        RVAVAM02DS_SEARCHVO dsSMDOInVo = new RVAVAM02DS_SEARCHVO();
	        dsSMDOInVo.setTrDtFr((String)sourceDsSMDOMap.get("trDtFr"));
	        dsSMDOInVo.setTrDtTo((String)sourceDsSMDOMap.get("trDtTo"));
	        dsSMDOInVo.setTrOrgCd((String)sourceDsSMDOMap.get("trOrgCd"));
	        dsSMDOInVo.setMngDeptCd((String)sourceDsSMDOMap.get("mngDeptCd"));
	        dsSMDOInVo.setMngDeptNm((String)sourceDsSMDOMap.get("mngDeptNm"));
	        dsSMDOInVo.setPrdtClasCd((String)sourceDsSMDOMap.get("prdtClasCd"));
	        dsSMDOInVo.setChkTrDt((String)sourceDsSMDOMap.get("chkTrDt"));
	        dsSMDOInVo.setChkTrOrgCd((String)sourceDsSMDOMap.get("chkTrOrgCd"));
	        dsSMDOInVo.setChkMngDeptCd((String)sourceDsSMDOMap.get("chkMngDeptCd"));
	        dsSMDOInVo.setChkPrdtClasCd((String)sourceDsSMDOMap.get("chkPrdtClasCd"));

	        /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입(InVO) */
	        RVAVAM02S01InVO InVO = new RVAVAM02S01InVO();
	        InVO.setRVAVAM02DS_SEARCHVO(dsSMDOInVo); /** 법조치비용조회 입력값 대입 */

	        /** 가상계좌거래현황조회 업무 서비스 호출 수행(OutVO) */
	        RVAVAM02S01OutVO resultListVo = RVAVAM02Service.getRVAVAM02S01(InVO);

	        /** 가상계좌거래현황조회 DataSet 결과값 설정*/
	        XFrame5Util.setOutputData("DS_SD_01", resultListVo.getListRVAVAM02DS_SD_01VO(), model);
	        LOGGER.info("##### RVAVAM02Controller RVAVAM02S01 Normal End #####");
	    }
	    catch (Exception e) {
	        LOGGER.error("Error >>> "+e.getMessage());
	        // 오류 메시지 정보 설정&#13;
	        model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
	        model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

	        LOGGER.info("##### RVAVAM02Controller RVAVAM02S01 Exception End #####");
	    }
	    return XFrame5View.XFRAME5_VIEW;

	}

}
