package hanalife.s.ag.bs.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.ag.bs.mapper.dto.srMngDSCDSRORGCDDTO;
import hanalife.s.ag.bs.mapper.dto.srMngDSSDCDTO;
import hanalife.s.ag.bs.mapper.dto.srMngDSSDDTO;
import hanalife.s.ag.bs.mapper.dto.srMngDSSMDTO;

@Mapper("SrMngMapper")
public interface SrMngMapper {

    /**
     * <pre>
     * 메소드명      : searchSrOrgCdList
     * 작성일자      : 2023. 4. 12.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : SR기관코드을(를) 조회 한다.
     * 메소드인수1   :
     * 메소드리턴값  : SR기관코드 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<srMngDSCDSRORGCDDTO> searchSrOrgCdList() throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchSrMngList
	 * 작성일자      : 2023. 4. 12.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : SR관리을(를) 조회 한다.
	 * 메소드인수1   : SR관리 입력
	 * 메소드리턴값  : SR관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<srMngDSSDDTO> searchSrMngList(srMngDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerSrMngList
	 * 작성일자      : 2023. 4. 12.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : SR관리을(를) 등록 한다.
	 * 메소드인수1   : SR관리 입력
	 * 메소드리턴값  : SR관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerSrMngList(srMngDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifySrMngList
	 * 작성일자      : 2023. 4. 12.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : SR관리을(를) 수정 한다.
	 * 메소드인수1   : SR관리 입력
	 * 메소드리턴값  : SR관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifySrMngList(srMngDSSDCDTO inDto) throws Exception;

}