package hanalife.s.ag.bs.service;

import hanalife.s.ag.bs.vo.SAGBSM02I01InVO;
import hanalife.s.ag.bs.vo.SAGBSM02I01OutVO;
import hanalife.s.ag.bs.vo.SAGBSM02S01InVO;
import hanalife.s.ag.bs.vo.SAGBSM02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SAGBSM02Service.java Class
 * 클래스설명   : SR관리 (SAGBSM02) Service Interface
 * 작성일자     : 2023. 4. 12.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 12.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSAGBSM02S01 : SR관리기관코드조회
 * 				getSAGBSM02S02 : SR관리목록조회
 * 				registerSAGBSM02S01 : SR관리등록
 * 				modifySAGBSM02S01 : SR관리수정
 * </pre>
 */
public interface SAGBSM02Service {

	/**
	 * <p>메소드명      : getSAGBSM02S01 : SR관리 기관코드 조회</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR관리 기관코드 조회 한다.</p>
	 * <p>메소드인수    : </p>
	 * <p>메소드리턴값  : SAGBSM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM02S01OutVO getSAGBSM02S01() throws Exception;

	/**
	 * <p>메소드명      : getSAGBSM02S01 : SR관리</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR관리 조회 한다.</p>
	 * <p>메소드인수    : SAGBSM02S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM02S01OutVO getSAGBSM02S02(SAGBSM02S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSAGBSM02S01 : SR관리등록</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR관리 등록 한다.</p>
	 * <p>메소드인수    : SAGBSM02S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM02I01OutVO registerSAGBSM02S01(SAGBSM02I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySAGBSM02S01 : SR관리수정</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR관리 수정 한다.</p>
	 * <p>메소드인수    : SAGBSM02S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM02I01OutVO modifySAGBSM02S01(SAGBSM02I01InVO inVo) throws Exception;

}
