package hanalife.s.ln.lm.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.ln.lm.mapper.dto.RmbrPlanCrteCCInVODTO;

@Mapper("RmbrPlanCrteMapper")
public interface RmbrPlanCrteMapper {
	/**
	 * <pre>
	 * 메소드명      : rmbrPlanDescDel
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획내역 삭제
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanDescDel(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : rmbrPlanHistDel
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획이력 삭제
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanHistDel(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : rmbrPlanDescDel
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획내역 삭제
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanDescDel2(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : rmbrPlanHistDel
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획이력 삭제
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanHistDel2(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : rmbrPlanDescCrte
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획내역 생성
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanDescCrte(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : rmbrPlanHistCrte
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 상환계획이력 생성
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int rmbrPlanHistCrte(RmbrPlanCrteCCInVODTO inDto) throws Exception;


	/**
	 * <pre>
	 * 메소드명      : loanBaseUpdt1
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 대출기본 수정 - 대출이자, 대출잔여이자, 총회차, 만기일자, 내부수익률,실제이자율 변경
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int loanBaseUpdt1(RmbrPlanCrteCCInVODTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : loanBaseUpdt3
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 대출기본 수정 - 내부수익률,실제이자율 변경
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int loanBaseUpdt3(RmbrPlanCrteCCInVODTO inDto) throws Exception;
}