package hanalife.s.ln.lm.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 클래스　명 : LoanBaseObj
 * 클래스설명 : 상환계획생성의 Obj
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2023-03-17
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경  일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [18.08.01][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@SuppressWarnings("rawtypes")
public class LoanBaseObj {
	public String loanNo; //대출번호
    public String loanSeq; //대출순번
    public String prdtCd; //상품코드
    public String prdtLrgeClasCd;//상품대분류
    public String prdtMidClasCd;//상품중분류
    public String prdtDivCd; //상품구분(현재 특정 용도 없음)
    public String rmbrPlanTypeDivCd; //상환계획유형구분코드(1.생성,2.시뮬레이션)
    public long loanPamt; //대출원금
    public int loanTerm; //대출기간
    public String setlDd; //기산일
    public String loanDt; //대출일자 = 이자계산시작일자
    public String fcntDueDt; //초회납입일자
    public String fcntMopaCalcFg; //초회월할여부
    public String adueFg; //선불여부
    //public String pdueYn; //선납여부
    public long discSum; //현가할인합계
    public double intnPrftRt; //내부수익율
    public String deferFg; //거치여부
    public String empNo; //담당자사번
    public String eprtDt; //만기일자
    public int lastTims; //최종회차
    public String histCreateFg; //이력생성여부

    public String defrIntDistFg; //거치이자배분 여부
    /* 중도상환용(거치이자배분 추가 2018-08-01) */
    public String chngIntStrtDt; //변경시작일자(중도변경시 이자시작일)
    public String chngSetlDt;//변경결제일자

    public long veaga;

    /**인사 임직원 대출용 시작**/
    public String lendEmpNo;
    public String lendKindCd;
    public int lendSeq;
    /**인사 임직원 대출용 끝**/

    //IRR 계산용 변수
    public long custTrtFee; //취급수수료 개인
    public long cprtComTrtFee; //취급수수료 제휴사
    public long cprtFee;//제휴수수료
    public long prFee;//판촉수수료
    public long frstStndPrFee;  //지급수수료
    public long setFee;         //설정료
    public long comStmpFee;     //인지대_회사부담금
    public long bsnAgntFeePay;  //대행수수료
    public long salePayAmt;     //판매수수료
    //실제이자율 추가 2018.01.03
    public double factIntRt;
    //취급수수료분납여부,금액 추가 2018-08-01
    public String trtFeeIstpFg;
    public long trtFeeIstpAmt;
    //2018-08-01-쌍용차 다이어트 할부(SY02W1)용 이자
    public boolean varMnrtPrdtFg;
    public double yyindInt1;
    public double yyindInt2;
    public double yyindInt3;
    public double yyindInt4;
    public double yyindInt5;

    public List piamtObjList; //대출원리금 정보

    public List rmbrPlanList; //금융투자일 경우 상환계획 리스트 정보

	// 응답코드
	public String rsltCd = "0000";   /** 결과코드 */
	public String rsltCntn = "";     /** 결과내용 */

    public LoanBaseObj() {
        histCreateFg = "1";
        varMnrtPrdtFg = false;
        /* [DOBSCAP] 두비스 2018-08-01
         * 수정내용 : veaga(배가금액)을 100000 => 10000000 으로 변경
         */
        veaga = 10000000;
        piamtObjList = new ArrayList();
        rmbrPlanList = new ArrayList();
    }
}
