package hanalife.s.mo.in.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StTitleInsuDTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSDDO02DTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSDDO03DTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSDDO04DTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSDDODTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSDDOGRAMDTO;
import hanalife.s.mo.in.mapper.dto.TitleInsuMngDSSMDTO;
import hanalife.t.ch.on.mapper.dto.StApplLdgrDTO;

@Mapper("TitleInsuMngMapper")
public interface TitleInsuMngMapper {

    /**
     * <pre>
     * 메소드명      : searchTitleInsuMngInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 정보를 조회 한다.
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDODTO> getTitleInsuMngInfo(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchListHiGramStat
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 전문별 응답코드 정보 리스트를 조회 한다.
     * 메소드인수1    : 대출신청번호 입력
     * 메소드리턴값   : 전문별 응답코드 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDOGRAMDTO> getListHiGramStat(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getHiRigtRschReptInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 정보를 조회 한다.
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDODTO> getHiRigtRschReptInfo(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getHiRigtRschReptRentList
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리조사보고서 임대차내역 조회
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권리조사보고서 임대차내역 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDO02DTO> getHiRigtRschReptRentList(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getHiRigtRschReptMovieHshdList
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리조사보고서 전입세대내역 조회
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권리조사보고서 전입세대내역 조회
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDO03DTO> getHiRigtRschReptMovieHshdList(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getHiRigtRschCnfmDocInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리조사보고서 조사확인서 정보 조회
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권리조사보고서 조사확인서 정보 조회
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDODTO> getHiRigtRschCnfmDocInfo(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getHiRigtRschCnfmDocList
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리조사확인 전입세대내용 정보 조회
     * 메소드인수1    : 대출신청번호/고객번호 입력
     * 메소드리턴값   : 권리조사확인 전입세대내용 조회
     * 예외처리      : Exception
     * </pre>
     */
	public List<TitleInsuMngDSSDDO04DTO> getHiRigtRschCnfmDocList(TitleInsuMngDSSMDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchHiGramStat
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 전문별 응답코드 정보를 조회 한다.
     * 메소드인수1    : 대출신청번호 입력
     * 메소드리턴값   : 전문별 응답코드 출력
     * 예외처리      : Exception
     * </pre>
     */
	public String getHiGramStat(TitleInsuMngDSSDDODTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchExecInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 실행재통보 전 데이터를 조회 한다.
     * 메소드인수1    : 대출신청번호 입력
     * 메소드리턴값   : 대출실행정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public TitleInsuMngDSSDDODTO getExecInfo(TitleInsuMngDSSDDODTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : getRmbrInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 완제재통보 전 데이터를 조회 한다.
     * 메소드인수1    : 대출신청번호 입력
     * 메소드리턴값   : 대출상환정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public TitleInsuMngDSSDDODTO getRmbrInfo(TitleInsuMngDSSDDODTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuInfo
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 의뢰 시 원장 수정 한다.
     * 메소드인수1    : StApplLdgrDTO
     * 메소드리턴값   :
     * 예외처리      : Exception
     * </pre>
     */
	public void updateStTitleInsuInfo(StTitleInsuDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStApplLdgrForHi
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 여신신청원장 정보를 수정 한다.
     * 메소드인수1    : StApplLdgrDTO
     * 메소드리턴값   :
     * 예외처리      : Exception
     * </pre>
     */
	public void updateStApplLdgrForHi(StApplLdgrDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuForHi
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험원정 정보를 수정 한다.
     * 메소드인수1    : StTitleInsuDTO
     * 메소드리턴값   :
     * 예외처리      : Exception
     * </pre>
     */
	public void updateStTitleInsuForHi(StTitleInsuDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuForN400100
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 권리조사보고서 정보를 수정 한다.
     * 메소드인수1    : StTitleInsuDTO
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	//public void updateStTitleInsuForN400100(StTitleInsuDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuForN400400
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 권리조사확인서 정보를 수정 한다.
     * 메소드인수1    : StApplLdgrDTO
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	//public void updateStTitleInsuForN400400(StTitleInsuDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuForN400500
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 권리보험가입승인 정보를 수정 한다.
     * 메소드인수1    : StTitleInsuDTO
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	//public void updateStTitleInsuForN400500(StTitleInsuDTO insDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateStTitleInsuForN400600
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70319 / ShinJeongSeon
     * 설명         : 대출신청번호에 대한 권리보험 대출실행통보 정보를 수정 한다.
     * 메소드인수1    : StTitleInsuDTO
     * 메소드리턴값   : 권원보험정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	//public void updateStTitleInsuForN400600(StTitleInsuDTO insDto) throws Exception;

}
