package hanalife.s.mo.in.service;

import hanalife.s.mo.in.vo.SMOINM01S01InVO;
import hanalife.s.mo.in.vo.SMOINM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SMOINM01Service.java Class
 * 클래스설명   : 권원보험현황조회 (SMOINM01) Service Interface
 * 작성일자     : 2023. 4. 03.
 * 작성자명     : 70319  / ShinJeongSeon / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 03.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSMOINM01S01 : 권원보험현황조회목록조회

 * </pre>
 */
public interface SMOINM01Service {

	/**
	 * <p>메소드명      : getSMOINM01S01 : 권원보험현황조회</p>
	 * <p>작성일자      : 2023. 4. 03.
	 * <p>작성자(author): 70319 / ShinJeongSeon
	 * <p>설명         : 권원보험현황조회 한다.</p>
	 * <p>메소드인수     : SMOINM01S01InVo </p>
	 * <p>메소드리턴값   : SMOINM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SMOINM01S01OutVO getSMOINM01S01(SMOINM01S01InVO inVo) throws Exception;

}