package hanalife.s.pd.pd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.pd.pd.mapper.dto.SPDPDM01DSSDOutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM01SrchDTO;

/**
 * <pre>
 * 클래스명    : PrdtClasMapper.java Class
 * 클래스설명  : 상품분류관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------ㄲ
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 * @param <SPDPDM01SrchDTO>
 */
@Mapper("prdtClasMapper")
public interface PrdtClasMapper {
	/**
     * <p>메소드명      : searchPrdtClas</p>
     * <p>설명          : 상품분류관리 목록을 조회 한다.</p>
     * <p>메소드인수1   : SPDPDM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기본정보 내역 조회 결과 SPDPDM01DSSDOutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<SPDPDM01DSSDOutDTO> searchPrdtClas(SPDPDM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : insertPrdtClas</p>
     * <p>설명          : 상품분류관리 목록을 등록 한다.</p>
     * <p>메소드인수1   : SPDPDM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_이력정보 조회 결과 SPDPDM01DSSDOutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public int insertPrdtClas(SPDPDM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : updatePrdtClas</p>
     * <p>설명          : 상품분류관리 목록을 수정 한다.</p>
     * <p>메소드인수1   : SPDPDM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_고객주소정보 조회 결과 SPDPDM01DSSDOutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public int updatePrdtClas(SPDPDM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : deletePrdtClas</p>
     * <p>설명          : 상품분류관리 목록을 삭제 한다.</p>
     * <p>메소드인수1   : SPDPDM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_고객연락처정보 조회 결과 SPDPDM01DSSDOutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public int deletePrdtClas(SPDPDM01SrchDTO inDto) throws Exception;
}
