package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SM02OutDTO.java Class
 * 클래스설명  : 상품관리 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SM02OutDTO {

	private String prdtCd; 								//PRDT_CD	상품_코드
	private String prdtNm; 								//PRDT_NM	상품명
	private String aplyStrtDt; 						//APLY_STRT_DT	적용_시작일자
	private String aplyEndDt; 						//APLY_END_DT	적용_종료일자
	private String fcntMopaCalcFg; 				//FCNT_MOPA_CALC_FG	초회_월할_계산_여부
	private String prdtClasCd; 						//PRDT_CLAS_CD	상품_분류_코드
	private String lrgeClasNm; 						//LRGE_CLAS_NM	상품대분류명
	private String midClasNm; 						//MID_CLAS_NM	상품중분류명
	private String smClasNm; 							//SM_CLAS_NM	상품소분류명
	private String condStndDtCd; 					//COND_STND_DT_CD	조건_기준_일자_코드
	private String trtFeeCalcAplyRto; 		//TRT_FEE_CALC_APLY_RTO	취급_수수료_상환_원금_비율
	private String trtFeeBaseRtCd; 				//TRT_FEE_BASE_RT_CD	기본_요율_코드
	private String trtFeeBaseRtNm; 				//TRT_FEE_BASE_RT_NM	기본_요율명
	private String trtFeeFcntMopaCalcFg; 	//TRT_FEE_FCNT_MOPA_CALC_FG	일할_계산_코드
	private String trtFeePiamtCalcFg; 		//TRT_FEE_PIAMT_CALC_FG	취급_수수료_원리금_계산_여부
	private String trtFeeDferProcFg; 			//TRT_FEE_DFER_PROC_FG	취급_수수료_이연_처리_여부
	private String cprtFeeDferProcFg; 		//CPRT_FEE_DFER_PROC_FG	제휴_수수료_이연_처리_여부
	private String trtFeeCustBrdnFg; 			//TRT_FEE_CUST_BRDN_FG	취급_수수료_고객_부담_여부
	private String comrCarPrdtFg; 				//COMR_CAR_PRDT_FG	상용차_상품_여부
	private String intnPrftRt; 						//INTN_PRFT_RT	내부_수익률
	private String cnslPrdtFg; 						//CNSL_PRDT_FG	상담대표상담여부
	private String eprtExtnDivCd; 				//EPRT_EXTN_DIV_CD	만기_연장_구분_코드
	private String trtFeeIstpFg; 					//TRT_FEE_ISTP_FG	취급_수수료_분납_여부
	private String trtFeeRfndExclFg; 			//TRT_FEE_RFND_EXCL_FG	취급_수수료_환불_제외_여부
	private String defrIntIstpFg; 				//DEFR_INT_ISTP_FG	거치이자분납여부
	private String ifrsTrtFeeDferProcFg; 	//IFRS_TRT_FEE_DFER_PROC_FG   IFRS_취급_수수료_이연_처리_여부
	private String ifrsCprtFeeDferProcFg; //IFRS_CPRT_FEE_DFER_PROC_FG   IFRS_제휴_수수료_이연_처리_여부
	private String wrkcMonyPrdtFg; 				//WRKC_MONY_PRDT_FG   운전_자금_상품_여부
	private String cardCprtPrdtFg; 				//CARD_CPRT_PRDT_FG   	카드_제휴_상품_여부
	private String cardCprtComNo; 				//CARD_CPRT_COM_NO   	 카드_제휴사_번호
	private String cardCprtComNm; 				//CARD_CPRT_COM_NM   	 카드_제휴사_명
	private String midRmbrFeeAplyFg; 			//MID_RMBR_FEE_APLY_FG   중도_상환_수수료_적용_여부
	private String aplvMidRmbrFeeRt; 			//APLV_MID_RMBR_FEE_RT   적용_중도_상환_수수료율
	private String loanAmtPayPlcDiv;   		//LOAN_AMT_PAY_PLC_DIV        대출금_지급처_구분
	private String prFeePayPlcDiv;   			//PR_FEE_PAY_PLC_DIV          판촉_수수료_지급처_구분
	private String instFincBsnAgntAplyFg;	//INST_FINC_BSN_AGNT_APLY_FG   할부금융업무대행 적용여부
	private String stmpFeeBrdnDiv;   			//STMP_FEE_BRDN_DIV           인지대 부담구분
	private String bsnAgntFeePayPlcDiv;   //BSN_AGNT_FEE_PAY_PLC_DIV    업무대행수수료 지급처구분
	private String custDiv;   						//CUST_DIV    고객 구분
	private String intUplmitRt;   				//INT_UPLMIT_RT    이자_상한제_이율
	private String setFeePayPlcDiv;   		//SET_FEE_PAY_PLC_DIV    설정료_지급처_구분
	private String loanAmtSplyDiv;   			//LOAN_AMT_SPLY_DIV    대출금_조달_구분
	private String aplyMnrtStnd;   				//APLY_MNRT_STND    	적용금리기준
	private String aplyStndMnrt;   				//APLY_STND_MNRT    	적용기준금리
	private String defrLoanAplyFg;   			//DEFR_LOAN_APLY_FG    거치식대출(할부)적용여부
	private String defrLoanMmCnt;   			//DEFR_LOAN_MM_CNT    	거치식대출(할부)개월수
	private String extsLoanAplyFg;   			//EXTS_LOAN_APLY_FG    유예대출(할부)적용여부
	private String payFeeDferFg;   				//PAY_FEE_DFER_FG    	지급수수료이연여부
	private String frstRegEmpNo;                //FRST_REG_EMP_NO       최초등록사원
	private String lastProcEmpNo;               //LAST_PROC_EMP_NO      최종처리사원

	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getAplyStrtDt() {
		return aplyStrtDt;
	}
	public void setAplyStrtDt(String aplyStrtDt) {
		this.aplyStrtDt = aplyStrtDt;
	}
	public String getAplyEndDt() {
		return aplyEndDt;
	}
	public void setAplyEndDt(String aplyEndDt) {
		this.aplyEndDt = aplyEndDt;
	}
	public String getFcntMopaCalcFg() {
		return fcntMopaCalcFg;
	}
	public void setFcntMopaCalcFg(String fcntMopaCalcFg) {
		this.fcntMopaCalcFg = fcntMopaCalcFg;
	}
	public String getPrdtClasCd() {
		return prdtClasCd;
	}
	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}
	public String getLrgeClasNm() {
		return lrgeClasNm;
	}
	public void setLrgeClasNm(String lrgeClasNm) {
		this.lrgeClasNm = lrgeClasNm;
	}
	public String getMidClasNm() {
		return midClasNm;
	}
	public void setMidClasNm(String midClasNm) {
		this.midClasNm = midClasNm;
	}
	public String getSmClasNm() {
		return smClasNm;
	}
	public void setSmClasNm(String smClasNm) {
		this.smClasNm = smClasNm;
	}
	public String getCondStndDtCd() {
		return condStndDtCd;
	}
	public void setCondStndDtCd(String condStndDtCd) {
		this.condStndDtCd = condStndDtCd;
	}
	public String getTrtFeeCalcAplyRto() {
		return trtFeeCalcAplyRto;
	}
	public void setTrtFeeCalcAplyRto(String trtFeeCalcAplyRto) {
		this.trtFeeCalcAplyRto = trtFeeCalcAplyRto;
	}
	public String getTrtFeeBaseRtCd() {
		return trtFeeBaseRtCd;
	}
	public void setTrtFeeBaseRtCd(String trtFeeBaseRtCd) {
		this.trtFeeBaseRtCd = trtFeeBaseRtCd;
	}
	public String getTrtFeeBaseRtNm() {
		return trtFeeBaseRtNm;
	}
	public void setTrtFeeBaseRtNm(String trtFeeBaseRtNm) {
		this.trtFeeBaseRtNm = trtFeeBaseRtNm;
	}
	public String getTrtFeeFcntMopaCalcFg() {
		return trtFeeFcntMopaCalcFg;
	}
	public void setTrtFeeFcntMopaCalcFg(String trtFeeFcntMopaCalcFg) {
		this.trtFeeFcntMopaCalcFg = trtFeeFcntMopaCalcFg;
	}
	public String getTrtFeePiamtCalcFg() {
		return trtFeePiamtCalcFg;
	}
	public void setTrtFeePiamtCalcFg(String trtFeePiamtCalcFg) {
		this.trtFeePiamtCalcFg = trtFeePiamtCalcFg;
	}
	public String getTrtFeeDferProcFg() {
		return trtFeeDferProcFg;
	}
	public void setTrtFeeDferProcFg(String trtFeeDferProcFg) {
		this.trtFeeDferProcFg = trtFeeDferProcFg;
	}
	public String getCprtFeeDferProcFg() {
		return cprtFeeDferProcFg;
	}
	public void setCprtFeeDferProcFg(String cprtFeeDferProcFg) {
		this.cprtFeeDferProcFg = cprtFeeDferProcFg;
	}
	public String getTrtFeeCustBrdnFg() {
		return trtFeeCustBrdnFg;
	}
	public void setTrtFeeCustBrdnFg(String trtFeeCustBrdnFg) {
		this.trtFeeCustBrdnFg = trtFeeCustBrdnFg;
	}
	public String getComrCarPrdtFg() {
		return comrCarPrdtFg;
	}
	public void setComrCarPrdtFg(String comrCarPrdtFg) {
		this.comrCarPrdtFg = comrCarPrdtFg;
	}
	public String getIntnPrftRt() {
		return intnPrftRt;
	}
	public void setIntnPrftRt(String intnPrftRt) {
		this.intnPrftRt = intnPrftRt;
	}
	public String getCnslPrdtFg() {
		return cnslPrdtFg;
	}
	public void setCnslPrdtFg(String cnslPrdtFg) {
		this.cnslPrdtFg = cnslPrdtFg;
	}
	public String getEprtExtnDivCd() {
		return eprtExtnDivCd;
	}
	public void setEprtExtnDivCd(String eprtExtnDivCd) {
		this.eprtExtnDivCd = eprtExtnDivCd;
	}
	public String getTrtFeeIstpFg() {
		return trtFeeIstpFg;
	}
	public void setTrtFeeIstpFg(String trtFeeIstpFg) {
		this.trtFeeIstpFg = trtFeeIstpFg;
	}
	public String getTrtFeeRfndExclFg() {
		return trtFeeRfndExclFg;
	}
	public void setTrtFeeRfndExclFg(String trtFeeRfndExclFg) {
		this.trtFeeRfndExclFg = trtFeeRfndExclFg;
	}
	public String getDefrIntIstpFg() {
		return defrIntIstpFg;
	}
	public void setDefrIntIstpFg(String defrIntIstpFg) {
		this.defrIntIstpFg = defrIntIstpFg;
	}
	public String getIfrsTrtFeeDferProcFg() {
		return ifrsTrtFeeDferProcFg;
	}
	public void setIfrsTrtFeeDferProcFg(String ifrsTrtFeeDferProcFg) {
		this.ifrsTrtFeeDferProcFg = ifrsTrtFeeDferProcFg;
	}
	public String getIfrsCprtFeeDferProcFg() {
		return ifrsCprtFeeDferProcFg;
	}
	public void setIfrsCprtFeeDferProcFg(String ifrsCprtFeeDferProcFg) {
		this.ifrsCprtFeeDferProcFg = ifrsCprtFeeDferProcFg;
	}
	public String getWrkcMonyPrdtFg() {
		return wrkcMonyPrdtFg;
	}
	public void setWrkcMonyPrdtFg(String wrkcMonyPrdtFg) {
		this.wrkcMonyPrdtFg = wrkcMonyPrdtFg;
	}
	public String getCardCprtPrdtFg() {
		return cardCprtPrdtFg;
	}
	public void setCardCprtPrdtFg(String cardCprtPrdtFg) {
		this.cardCprtPrdtFg = cardCprtPrdtFg;
	}
	public String getCardCprtComNo() {
		return cardCprtComNo;
	}
	public void setCardCprtComNo(String cardCprtComNo) {
		this.cardCprtComNo = cardCprtComNo;
	}
	public String getCardCprtComNm() {
		return cardCprtComNm;
	}
	public void setCardCprtComNm(String cardCprtComNm) {
		this.cardCprtComNm = cardCprtComNm;
	}
	public String getMidRmbrFeeAplyFg() {
		return midRmbrFeeAplyFg;
	}
	public void setMidRmbrFeeAplyFg(String midRmbrFeeAplyFg) {
		this.midRmbrFeeAplyFg = midRmbrFeeAplyFg;
	}
	public String getAplvMidRmbrFeeRt() {
		return aplvMidRmbrFeeRt;
	}
	public void setAplvMidRmbrFeeRt(String aplvMidRmbrFeeRt) {
		this.aplvMidRmbrFeeRt = aplvMidRmbrFeeRt;
	}
	public String getLoanAmtPayPlcDiv() {
		return loanAmtPayPlcDiv;
	}
	public void setLoanAmtPayPlcDiv(String loanAmtPayPlcDiv) {
		this.loanAmtPayPlcDiv = loanAmtPayPlcDiv;
	}
	public String getPrFeePayPlcDiv() {
		return prFeePayPlcDiv;
	}
	public void setPrFeePayPlcDiv(String prFeePayPlcDiv) {
		this.prFeePayPlcDiv = prFeePayPlcDiv;
	}
	public String getInstFincBsnAgntAplyFg() {
		return instFincBsnAgntAplyFg;
	}
	public void setInstFincBsnAgntAplyFg(String instFincBsnAgntAplyFg) {
		this.instFincBsnAgntAplyFg = instFincBsnAgntAplyFg;
	}
	public String getStmpFeeBrdnDiv() {
		return stmpFeeBrdnDiv;
	}
	public void setStmpFeeBrdnDiv(String stmpFeeBrdnDiv) {
		this.stmpFeeBrdnDiv = stmpFeeBrdnDiv;
	}
	public String getBsnAgntFeePayPlcDiv() {
		return bsnAgntFeePayPlcDiv;
	}
	public void setBsnAgntFeePayPlcDiv(String bsnAgntFeePayPlcDiv) {
		this.bsnAgntFeePayPlcDiv = bsnAgntFeePayPlcDiv;
	}
	public String getCustDiv() {
		return custDiv;
	}
	public void setCustDiv(String custDiv) {
		this.custDiv = custDiv;
	}
	public String getIntUplmitRt() {
		return intUplmitRt;
	}
	public void setIntUplmitRt(String intUplmitRt) {
		this.intUplmitRt = intUplmitRt;
	}
	public String getSetFeePayPlcDiv() {
		return setFeePayPlcDiv;
	}
	public void setSetFeePayPlcDiv(String setFeePayPlcDiv) {
		this.setFeePayPlcDiv = setFeePayPlcDiv;
	}
	public String getLoanAmtSplyDiv() {
		return loanAmtSplyDiv;
	}
	public void setLoanAmtSplyDiv(String loanAmtSplyDiv) {
		this.loanAmtSplyDiv = loanAmtSplyDiv;
	}
	public String getAplyMnrtStnd() {
		return aplyMnrtStnd;
	}
	public void setAplyMnrtStnd(String aplyMnrtStnd) {
		this.aplyMnrtStnd = aplyMnrtStnd;
	}
	public String getAplyStndMnrt() {
		return aplyStndMnrt;
	}
	public void setAplyStndMnrt(String aplyStndMnrt) {
		this.aplyStndMnrt = aplyStndMnrt;
	}
	public String getDefrLoanAplyFg() {
		return defrLoanAplyFg;
	}
	public void setDefrLoanAplyFg(String defrLoanAplyFg) {
		this.defrLoanAplyFg = defrLoanAplyFg;
	}
	public String getDefrLoanMmCnt() {
		return defrLoanMmCnt;
	}
	public void setDefrLoanMmCnt(String defrLoanMmCnt) {
		this.defrLoanMmCnt = defrLoanMmCnt;
	}
	public String getExtsLoanAplyFg() {
		return extsLoanAplyFg;
	}
	public void setExtsLoanAplyFg(String extsLoanAplyFg) {
		this.extsLoanAplyFg = extsLoanAplyFg;
	}
	public String getPayFeeDferFg() {
		return payFeeDferFg;
	}
	public void setPayFeeDferFg(String payFeeDferFg) {
		this.payFeeDferFg = payFeeDferFg;
	}
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}