package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.CustAccInfoSrchDSCUSTACCINFOSDDTO;
import hanalife.s.sp.as.mapper.dto.CustAccInfoSrchDSCUSTACCINFOSDSENDDTO;
import hanalife.s.sp.as.mapper.dto.CustAccInfoSrchDSCUSTACCINFOSMDTO;

@Mapper("CustAccInfoSrchMapper")
public interface CustAccInfoSrchMapper {

    /**
     * <pre>
     * 메소드명      : searchList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 거래처계좌관리목록조회을(를) 조회 한다.
     * 메소드인수1   : 거래처계좌관리목록조회 입력
     * 메소드리턴값  : 거래처계좌관리목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustAccInfoSrchDSCUSTACCINFOSDDTO> searchList(CustAccInfoSrchDSCUSTACCINFOSMDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : accNumChkSelect
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 거래처계좌관리등록전 체크.
     * 메소드인수1   : 거래처계좌조회 입력
     * 메소드리턴값  : 거래처계좌관리목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
    public CustAccInfoSrchDSCUSTACCINFOSDSENDDTO accNumChkSelect(CustAccInfoSrchDSCUSTACCINFOSDSENDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 거래처계좌관리목록을(를) 등록한다.
     * 메소드인수1   : CustAccInfoSrchDSCUSTACCINFOSDSENDDTO
     * 메소드리턴값  : int
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(CustAccInfoSrchDSCUSTACCINFOSDSENDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 거래처계좌관리목록을(를) 업데이트한다.
     * 메소드인수1   : CustAccInfoSrchDSCUSTACCINFOSDSENDDTO
     * 메소드리턴값  : int
     * 예외처리      : Exception
     * </pre>
     */
    public int update(CustAccInfoSrchDSCUSTACCINFOSDSENDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 거래처계좌관리목록을(를) 삭제한다.
     * 메소드인수1   : CustAccInfoSrchDSCUSTACCINFOSDSENDDTO
     * 메소드리턴값  : int
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(CustAccInfoSrchDSCUSTACCINFOSDSENDDTO inDto) throws Exception;


}
