package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.stCprtComDSSDCDTO;
import hanalife.s.sp.as.mapper.dto.stCprtComDSSDDTO;
import hanalife.s.sp.as.mapper.dto.stCprtComDSSMDTO;

@Mapper("StCprtComMapper")
public interface StCprtComMapper {

    /**
     * <pre>
     * 메소드명      : searchStCprtComList
     * 작성일자      : 2023. 4. 17.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 제휴사을(를) 조회 한다.
     * 메소드인수1   : 제휴사 입력
     * 메소드리턴값  : 제휴사 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<stCprtComDSSDDTO> searchStCprtComList(stCprtComDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerStCprtComList
	 * 작성일자      : 2023. 4. 17.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 제휴사을(를) 등록 한다.
	 * 메소드인수1   : 제휴사 입력
	 * 메소드리턴값  : 제휴사 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerStCprtComList(stCprtComDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifyStCprtComList
	 * 작성일자      : 2023. 4. 17.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 제휴사을(를) 수정 한다.
	 * 메소드인수1   : 제휴사 입력
	 * 메소드리턴값  : 제휴사 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifyStCprtComList(stCprtComDSSDCDTO inDto) throws Exception;

}