package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASM01I01InVO;
import hanalife.s.sp.as.vo.SSPASM01I01OutVO;
import hanalife.s.sp.as.vo.SSPASM01S01InVO;
import hanalife.s.sp.as.vo.SSPASM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASM01Service.java Class
 * 클래스설명   : 제휴업체관리 (SSPASM01) Service Interface
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSSPASM01S01 : 제휴업체관리목록조회
 * 				registerSSPASM01S01 : 제휴업체관리등록
 * 				modifySSPASM01S01 : 제휴업체관리수정
 * </pre>
 */
public interface SSPASM01Service {

	/**
	 * <p>메소드명      : getSSPASM01S01 : 제휴업체관리조회</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 제휴업체관리 조회 한다.</p>
	 * <p>메소드인수    : SSPASM01S01InVo </p>
	 * <p>메소드리턴값  : SSPASM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM01S01OutVO getSSPASM01S01(SSPASM01S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSSPASM01S01 : 제휴업체관리등록</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 제휴업체관리 등록 한다.</p>
	 * <p>메소드인수    : SSPASM01S01InVo </p>
	 * <p>메소드리턴값  : SSPASM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM01I01OutVO registerSSPASM01S01(SSPASM01I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySSPASM01S01 : 제휴업체관리수정</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 제휴업체관리 수정 한다.</p>
	 * <p>메소드인수    : SSPASM01S01InVo </p>
	 * <p>메소드리턴값  : SSPASM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM01I01OutVO modifySSPASM01S01(SSPASM01I01InVO inVo) throws Exception;

}
