package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP04S01InVO;
import hanalife.s.sp.as.vo.SSPASP04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASP04Service.java Class
 * 클래스설명   : 신청번호검색 (SSPASP04) Service Interface
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSSPASP04S01 : 신청번호검색목록조회

 * </pre>
 */
public interface SSPASP04Service {

	/**
	 * <p>메소드명      : getSSPASP04S01 : 신청번호검색</p>
	 * <p>작성일자      : 2023. 3. 22.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 신청번호검색 조회한다.</p>
	 * <p>메소드인수    : SSPASP04S01InVo </p>
	 * <p>메소드리턴값  : SSPASP04S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASP04S01OutVO getSSPASP04S01(SSPASP04S01InVO inVo) throws Exception;

}
