package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP07I01InVO;
import hanalife.s.sp.as.vo.SSPASP07I01OutVO;
import hanalife.s.sp.as.vo.SSPASP07S01InVO;
import hanalife.s.sp.as.vo.SSPASP07S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASP07Service.java Class
 * 클래스설명   : todo1 (SSPASP07) Service Interface
 * 작성일자     : 2023. 3. 13.
 * 작성자명     : 70324 / WoongHee.Lee / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70324 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSSPASP07S01 : 대출현황계좌목록조회
 * </pre>
 */
public interface SSPASP07Service {

	/**
	 * <p>메소드명      : getSSPASP07S01 : 거래처계좌관리목록 조회팝업</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70324 / WoongHee.Lee
	 * <p>설명          : 거래처계좌관리목록을 조회한다.</p>
	 * <p>메소드인수    : SSPASP07S01InVo </p>
	 * <p>메소드리턴값  : SSPASP07S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASP07S01OutVO getSSPASP07S01(SSPASP07S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSSPASP07I01 : 거래처계좌 등록</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70324 / WoongHee.Lee
	 * <p>설명          : 거래처계좌를 등록한다.</p>
	 * <p>메소드인수    : SSPASP07I01InVo </p>
	 * <p>메소드리턴값  : SSPASP07I01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASP07I01OutVO registerSSPASP07I01(SSPASP07I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : removeSSPASP07I01 : 거래처계좌 삭제</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70324 / WoongHee.Lee
	 * <p>설명          : 거래처계좌를 삭제한다.</p>
	 * <p>메소드인수    : SSPASP07I01InVo </p>
	 * <p>메소드리턴값  : SSPASP07I01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASP07I01OutVO removeSSPASP07I01(SSPASP07I01InVO inVo) throws Exception;


}
