package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP11InVO;
import hanalife.s.sp.as.vo.SSPASP11OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: SSPASP11Service.java Class
 * 클래스설명	: 서류보완요청 (SSPASP11) Service Interface
 * 작성일자	: 2023.05.09.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [수정일자][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.05.09.][70305][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	insertSSPASP11, 서류보완요청내역 등록
 *          getSSPASP11S01, 관련인정보조회(sms발송용)
 *          registSSPASP11, 서류보완내역 sms발송
 * </pre>
 */

public interface SSPASP11Service
{
    /**
     * <p>메소드명 : insertSSPASP11, 서류보완요청 등록</p>
     * <p>작성일자 : 2023.05.09.
     * <p>작성자(author) : 70305 / KBS
     * <p>설명 : 사류보완요청내역을 등록한다.</p>
     * <p>예외처리 : Exception</p>
     */
    public SSPASP11OutVO insertSSPASP11(SSPASP11InVO inVo) throws Exception;

    /**
     * <p>메소드명 : getSSPASP11S01, 관련인정보조회(sms발송)</p>
     * <p>작성일자 : 2023.05.10.
     * <p>작성자(author) : 70305 / KBS
     * <p>설명 : 관련인정보를 조회한다.</p>
     * <p>예외처리 : Exception</p>
     */
    public SSPASP11OutVO getSSPASP11S01(SSPASP11InVO inVo) throws Exception;

    /**
     * <p>메소드명 : registSSPASP11, 서류보완내역 sms발송</p>
     * <p>작성일자 : 2023.05.11.
     * <p>작성자(author) : 70305 / KBS
     * <p>설명 : 서류보완내역 sms 전송한다.</p>
     * <p>예외처리 : Exception</p>
     */
    public SSPASP11OutVO registSSPASP11(SSPASP11InVO inVo) throws Exception;

}