package hanalife.s.sp.as.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import hanalife.c.co.util.XFrame5DataSetUtil;
import hanalife.s.sp.as.service.SSPASP06Service;
import hanalife.s.sp.as.vo.SSPASP06DSSMDOVO;
import hanalife.s.sp.as.vo.SSPASP06InVO;
import hanalife.s.sp.as.vo.SSPASP06OutVO;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASP06Controller.java Class
 *
 * 클래스설명   : 심사메모 등록 (SSPASP06) Controller
 * 작성일자     : 2023. 3. 29
 * 작성자명     : 70325 / Jaeheon Kim / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70325 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@RequestMapping("/s/sp/as")
@RestController
public class SSPASP06Controller {


	private static final Logger LOGGER = LoggerFactory.getLogger(SSPASP06Controller.class);

	@Resource(name="SSPASP06Service")
	private SSPASP06Service SSPASP06Service;

	/** 조회 */
	@RequestMapping("/SSPASP06S01.do")
	public String SSPASP06S01(ModelMap model, HttpServletRequest request, HttpServletResponse response){
		LOGGER.info("##### SSPASP06Controller SSPASP06S01 Start #####");

		try
		{
			// XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다.
			LOGGER.info("##### SSPASP06 Controller SSPASP06S01 추출 #####");

			// 화면의 입력값 Dataset setting
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);

			// 심사의견등록 조회 서비스 호출 입력값 대입
			SSPASP06DSSMDOVO dsSEARCHVO = new SSPASP06DSSMDOVO();

			// 심사의견등록 조회 업무 서비스 호출 입력값 대입
			dsSEARCHVO.setUserNo((String)sourceMap.get("userNo"));    /** 사용자번호 */
//			LOGGER.info("SSPASP06S01 Controller :: dsSEARCHVO.getUserNo() : " + dsSEARCHVO.getUserNo());

			// service 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입
			SSPASP06InVO InVO = new SSPASP06InVO();

			// 심사의견등록 조회 DS_SMDO 입력값 VO 객체 대입
			InVO.setSSPASP06DSSMDOVO(dsSEARCHVO);

			// 심사의견등록 조회 업무 서비스 호출 수행
			SSPASP06OutVO resultListVo = SSPASP06Service.getSSPASP06S01(InVO);

			
			System.out.println(resultListVo.getListSSPASP06DSSDDOVO());
			
			
			
			// 심사의견등록 조회 DataSet 결과값 설정
			XFrame5Util.setOutputData("DS_SDDO", resultListVo.getListSSPASP06DSSDDOVO(), model);
			
			
			

		}
		catch (Exception e)
		{
			LOGGER.error("Error >>> " + e.getMessage());

			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### SSPASP06 Controller SSPASP06S01 Exception End #####");

		}
		LOGGER.info("##### SSPASP06 Controller SSPASP06S01 End #####");
		return XFrame5View.XFRAME5_VIEW;

	};

	/** 저장 */
	@RequestMapping("/SSPASP06I01.do")
	public String SSPASP06I01(ModelMap model, HttpServletRequest request, HttpServletResponse response){
		LOGGER.info("##### SSPASP06Controller SSPASP06I01 Start #####");

		try {

		}catch(Exception e) {

		}

		return XFrame5View.XFRAME5_VIEW;
	};
	/** 수정 */
	@RequestMapping("/SSPASP06U01.do")
	public String SSPASP06U01(ModelMap model, HttpServletRequest request, HttpServletResponse response){
		LOGGER.info("##### SSPASP06Controller SSPASP06U01 Start #####");

		try {

		}catch(Exception e) {

		}

		return XFrame5View.XFRAME5_VIEW;
	};
	/** 삭제? */
	@RequestMapping("/SSPASP06D01.do")
	public String SSPASP06D01(ModelMap model, HttpServletRequest request, HttpServletResponse response){
		LOGGER.info("##### SSPASP06Controller SSPASP06D01 Start #####");

		try {

		}catch(Exception e) {

		}

		return XFrame5View.XFRAME5_VIEW;
	};
}
