package hanalife.s.sp.gd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.gd.mapper.dto.SSPGDM03DSSDOutDTO;
import hanalife.s.sp.gd.mapper.dto.SSPGDM03SrchDTO;

/**
 * <pre>
 * 클래스명    : StndIntRtMapper.java Class
 * 클래스설명  : 금리관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------ㄲ
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 * @param <SSPGDM03SrchDTO>
 */
@Mapper("stndIntRtMapper")
public interface StndIntRtMapper {
	/**
     * <p>메소드명      : searchStndIntRt</p>
     * <p>설명          : 금리관리 목록을 조회 한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기준금리기본 조회 결과 SSPGDM03DSSDOutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<SSPGDM03DSSDOutDTO> searchStndIntRt(SSPGDM03SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : insertStndIntRt</p>
     * <p>설명          : 금리관리 목록을 등록 한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기준금리기본_등록 결과 건수 int</p>
     * <p>예외처리      : Exception</p>
     */
    public int insertStndIntRt(SSPGDM03SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : updateStndIntRt</p>
     * <p>설명          : 금리관리 목록을 수정 한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기준금리기본_등록 결과 건수 int</p>
     * <p>예외처리      : Exception</p>
     */
    public int updateStndIntRt(SSPGDM03SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : updateStndIntRt01</p>
     * <p>설명          : 금리관리 목록을 수정 한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기준금리기본_등록 결과 건수 int</p>
     * <p>예외처리      : Exception</p>
     */
    public int updateStndIntRt01(SSPGDM03SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : deleteStndIntRt</p>
     * <p>설명          : 금리관리 목록을 삭제 한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기준금리기본_삭제 결과 건수 int</p>
     * <p>예외처리      : Exception</p>
     */
    public int deleteStndIntRt(SSPGDM03SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : selectPastWkDt</p>
     * <p>설명          : 전영업일의 데이터 등록여부를 조회한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO chekDTO </p>
     * <p>메소드리턴값  : 전영업일 데이터 등록여부 조회 결과 SSPGDM03DSSDOutDTO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03DSSDOutDTO selectPastWkDt(SSPGDM03SrchDTO chekDTO) throws Exception;

    /**
     * <p>메소드명      : selectRegCnt</p>
     * <p>설명          : 금리종류코드별 등록건수를 조회한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO chekDTO </p>
     * <p>메소드리턴값  : 금리종류코드별 등록건수 조회 결과 SSPGDM03DSSDOutDTO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03DSSDOutDTO selectRegCnt(SSPGDM03SrchDTO chekDTO) throws Exception;

    /**
     * <p>메소드명      : searchAveIntRt</p>
     * <p>설명          : 익월 평균금리를 계산한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO chekDTO </p>
     * <p>메소드리턴값  : 익월 평균금리 계산 결과 SSPGDM03DSSDOutDTO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03DSSDOutDTO calchAveIntRt(SSPGDM03SrchDTO srchDTO) throws Exception;

    /**
     * <p>메소드명      : searchAveIntRt</p>
     * <p>설명          : 익월 평균금리를 조회한다.</p>
     * <p>메소드인수1   : SSPGDM03SrchDTO chekDTO </p>
     * <p>메소드리턴값  : 익월 평균금리 조회 결과 SSPGDM03DSSDOutDTO</p>
     * <p>예외처리      : Exception</p>
     */
    public List<SSPGDM03DSSDOutDTO> searchAveIntRt(SSPGDM03SrchDTO srchDTO) throws Exception;
}
