package hanalife.s.xm.pv.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.xm.pv.mapper.dto.ExamMngDSSDDO01DTO;
import hanalife.s.xm.pv.mapper.dto.ExamMngDSSMDODTO;

/**
 * <pre>
 * 클래스명	: ExamMngMapper.java Class
 * 클래스설명	: SXMPVM01 Mapper
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자	: 2023. 05. 03.
 * 작성자명	: 70398 / LJW / 가계대출 시스템 구축
 * 변경이력	:
 * -----------------------------------------------------------------------------
 * [수정일자	   ][수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 05. 03.][70398][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("ExamMngMapper")
public interface ExamMngMapper {

    /**
     * <p>메소드명			: searchExamMngList</p>
     * <p>설명			: 심사리스트내역을 조회한다.</p>
     * <p>메소드인수1		: 심사리스트내역을 조회 ExamMngDSSMDODTO </p>
     * <p>메소드리턴값		: 심사리스트내역을 조회 결과 ExamMngDSSDDO01DTO list</p>
     * <p>예외처리			: Exception</p>
     */
	public List<ExamMngDSSDDO01DTO> searchExamMngList(ExamMngDSSMDODTO inDto) throws Exception;

    /**
     * <p>메소드명			: searchArvdAgncList</p>
     * <p>설명			: 전결권자 대리자를 조회한다.</p>
     * <p>메소드인수1		: 전결권자 대리자를 조회 ExamMngDSSMDODTO </p>
     * <p>메소드리턴값		: 전결권자 대리자를 조회 결과 ExamMngDSSDDO01DTO list</p>
     * <p>예외처리			: Exception</p>
     */
	public List<ExamMngDSSDDO01DTO> searchArvdAgncList(ExamMngDSSMDODTO inDto) throws Exception;

    /**
     * <p>메소드명 : updatePrgsStat : 여신신청원장 진행상태 수정</p>
     * <p>작성일자 : 2023.05.10.
     * <p>작성자(author) : 70398 / LJW
     * <p>설명 : 여신신청원장 진행상태 수정한다.</p>
     * <p>예외처리 : Exception</p>
     */
    public int updatePrgsStat(ExamMngDSSDDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명 : updateApplPrgsStat : 신청진행상태관리 진행상태 수정</p>
     * <p>작성일자 : 2023.05.10.
     * <p>작성자(author) : 70398 / LJW
     * <p>설명 : 신청진행상태관리 진행상태 수정한다.</p>
     * <p>예외처리 : Exception</p>
     */
    public int updateApplPrgsStat(ExamMngDSSDDO01DTO inDto) throws Exception;

}