package hanalife.t.ch.on.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.t.ch.on.mapper.dto.LoanAgrInfoDTO;
import hanalife.t.ch.on.mapper.dto.LoanApplInfoDTO;
import hanalife.t.ch.on.mapper.dto.LoanApplSpecDTO;
import hanalife.t.ch.on.mapper.dto.LoanCnslInfoDTO;
import hanalife.t.ch.on.mapper.dto.LoanContInfoDTO;
import hanalife.t.ch.on.mapper.dto.StAddrMangDTO;
import hanalife.t.ch.on.mapper.dto.StApplLdgrDTO;
import hanalife.t.ch.on.mapper.dto.StMrtgLgdrDTO;
import hanalife.t.ch.on.mapper.dto.StMrtgLgdrHistDTO;
import hanalife.t.ch.on.mapper.dto.StRelaInfoDTO;
import hanalife.t.ch.on.mapper.dto.StTelMangDTO;

/**
 * <pre>
 * 클래스명    : LoanApplMapper.java Class
 * 클래스설명   : 대출신청 Mapper
 * 프로젝트명   : DOBSCAP
 * 작성일자    : 2023.03.28
 * 작성자명    : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.28][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("LoanApplMapper")
public interface LoanApplMapper {

    // 대출_상담_정보 (채널)
    public LoanCnslInfoDTO getLoanCnslInfo(LoanCnslInfoDTO inDto) throws Exception;

    // 대출_신청_정보 (채널)
    public LoanApplInfoDTO getLoanApplInfo(LoanApplInfoDTO inDto) throws Exception;

    // 대출_신청_상세 (채널)
    public LoanApplSpecDTO getLoanApplSpec(LoanApplSpecDTO inDto) throws Exception;

    // 대출_동의_정보 (채널)
    public List<LoanAgrInfoDTO> getLoanAgrInfoList(LoanAgrInfoDTO inDto) throws Exception;

    // 대출_약정_정보 (채널)
    public LoanContInfoDTO getLoanContInfo(LoanContInfoDTO inDto) throws Exception;


    // 대출번호 SEQ 채번
    public int getLoanApplNoSeq() throws Exception;

    // AMLKEY SEQ 채번 SQ_AMLKEY_SEQ
    public int getAmlkeySeq() throws Exception;

    // 여신원장 등록
    public int insertStApplLdgr(StApplLdgrDTO inDto) throws Exception;

    // 담보원장 등록
    public int insertStMrtgLgdr(StMrtgLgdrDTO inDto) throws Exception;

    // 담보원장 이력 등록
    public int insertStMrtgLgdrHist(StMrtgLgdrHistDTO inDto) throws Exception;

    // 관련인정보 등록
    public int insertStRelaInfo(StRelaInfoDTO inDto) throws Exception;

    // 고객주소정보관리 등록
    public int insertStAddrMang(StAddrMangDTO inDto) throws Exception;

    // 고객전화정보관리 등록
    public int insertStTelMang(StTelMangDTO inDto) throws Exception;

}
