package hanalife.t.ch.on.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StAddrMangDTO.java Class
 * 클래스설명    : 고객주소정보관리(ST_ADDR_MANG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 31.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 31.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StAddrMangDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanApplNo;                 // 대출신청번호
    private String addrMangGbCd;               // 주소관리구분코드
    private String zipcd;                      // 우편번호
    private String zipcdSeq;                   // 우편번호일련번호
    private String addr;                       // 우편번호주소
    private String dtlAddr;                    // 우편번호상세주소
    private String newAddrYn;                  // 신주소여부
    private int loadPostNo;                    // 도로명우편번호
    private String loadBuildNo;                // 도로명건물관리번호
    private String loadAddr1;                  // 도로명주소
    private String loadAddr2;                  // 도로명주소상세
    private String loadAddr3;                  // 도로명주소참고주소
    private String addrCanCd;                  // 주소불능코드

    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getAddrMangGbCd() {
        return addrMangGbCd;
    }
    public void setAddrMangGbCd(String addrMangGbCd) {
        this.addrMangGbCd = addrMangGbCd;
    }
    public String getZipcd() {
        return zipcd;
    }
    public void setZipcd(String zipcd) {
        this.zipcd = zipcd;
    }
    public String getZipcdSeq() {
        return zipcdSeq;
    }
    public void setZipcdSeq(String zipcdSeq) {
        this.zipcdSeq = zipcdSeq;
    }
    public String getAddr() {
        return addr;
    }
    public void setAddr(String addr) {
        this.addr = addr;
    }
    public String getDtlAddr() {
        return dtlAddr;
    }
    public void setDtlAddr(String dtlAddr) {
        this.dtlAddr = dtlAddr;
    }
    public String getNewAddrYn() {
        return newAddrYn;
    }
    public void setNewAddrYn(String newAddrYn) {
        this.newAddrYn = newAddrYn;
    }
    public int getLoadPostNo() {
        return loadPostNo;
    }
    public void setLoadPostNo(int loadPostNo) {
        this.loadPostNo = loadPostNo;
    }
    public String getLoadBuildNo() {
        return loadBuildNo;
    }
    public void setLoadBuildNo(String loadBuildNo) {
        this.loadBuildNo = loadBuildNo;
    }
    public String getLoadAddr1() {
        return loadAddr1;
    }
    public void setLoadAddr1(String loadAddr1) {
        this.loadAddr1 = loadAddr1;
    }
    public String getLoadAddr2() {
        return loadAddr2;
    }
    public void setLoadAddr2(String loadAddr2) {
        this.loadAddr2 = loadAddr2;
    }
    public String getLoadAddr3() {
        return loadAddr3;
    }
    public void setLoadAddr3(String loadAddr3) {
        this.loadAddr3 = loadAddr3;
    }
    public String getAddrCanCd() {
        return addrCanCd;
    }
    public void setAddrCanCd(String addrCanCd) {
        this.addrCanCd = addrCanCd;
    }


}
