package hanalife.t.ch.on.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StApplLdgrDTO.java Class
 * 클래스설명    : 여신신청원장(ST_APPL_LDGR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 31.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 31.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StApplLdgrDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String loanApplNo;                    // 대출신청번호
    private int applModifyNo;                     // 신청정보변경일련번호
    private int prodModifySeq;                    // 상품변경일련번호
    private int custModifySeq;                    // 고객변경일련번호
    private int collModifySeq;                    // 담보변경일련번호
    private String inWayGbCd;                     // 신청경로구분코드
    private String applBefStsCd;                  // 신청이전진행상태코드
    private String applRealStsCd;                 // 신청현재진행상태코드
    private String applNextStsCd;                 // 신청다음진행상태코드
    private String applFnshStepCd;                // 신청종결단계코드
    private String retnStrtStepCd;                // 신청반송시작단계코드
    private int custAge;                          // 차주나이
    private String gradAvailDt;                   // 신용등급유효기일
    private int cssSeqNo;                         // CSS일련번호
    private String rejtTinkGbCd;                  // 거절사유구분코드
    private String cnclTinkGbCd;                  // 취소사유구분코드
    private String lastJudgDt;                    // 최종판정일자
    private String lastJudgGbCd;                  // 최종판정결과구분코드
    private String prodCd;                        // 상품코드
    private String repayTypeGbCd;                 // 상환방식구분코드
    private String repayCyclGbCd;                 // 상환주기구분코드
    private String capUseGbCd;                    // 자금용도구분코드
    private String rateCd;                        // 금리코드
    private String rateGbCd;                      // 금리적용방식
    private String rateChanCycl;                  // 금리변동주기
    private BigDecimal lonPossAmt;                // 대출가능금액
    private BigDecimal lonApplAmt;                // 대출신청금액
    private BigDecimal under1SJudgAmt;            // 1차한도조정금액
    private BigDecimal under2SJudgAmt;            // 2차한도조정금액
    private BigDecimal under3SJudgAmt;            // 3차한도조정금액
    private BigDecimal lastJudgAmt;               // 최종승인금액
    private BigDecimal lonRate;                   // 대출산출금리
    private BigDecimal frstJudgRate;              // 1차조정금리
    private BigDecimal scndJudgRate;              // 2차조정금리
    private BigDecimal thrdJudgRate;              // 3차조정금리
    private BigDecimal lastJudgRate;              // 최종승인금리
    private String lastJudgStepDt;                // 최종승인일자
    private String lastJudgStepCd;                // 최종승인단계코드
    private String lastJudgStepUserId;            // 최종승인담당자ID
    private String lastJudgStepUserNm;            // 최종승인담당자명
    private int lonTerm;                          // 대출기간
    private int gracTerm;                         // 거치기간
    private String loanCnslNo;                    // 대출_상담_번호
    private String loanNo;                        // 대출번호
    private String loanSeq;                       // 대출일련번호
    private String custNo;                        // 고객번호
    private String chnlCustNo;                    // 가망고객관리번호
    private String amlkey;                        // AML_키
    private String custResiNo;                    // 주민등록번호_암호화
    private String custNm;                        // 고객명
    private String wifeResiNo;                    // 배우자_주민등록번호_암호화
    private String wifeNm;                        // 배우자_성명
    private String emal;                          // 이메일
    private BigDecimal yearIncomeAmt;             // 연소득금액
    private String incmTotGbCd;                   // 소득합산구분코드
    private String applDt;                        // 신청접수일자
    private String disbHopeDt;                    // 대출희망일자
    private String settDt;                        // 결제일
    private String lonDueDt;                      // 대출만기일자
    private String fixRateYn;                     // 고정금리여부
    private String acptIncmYn;                    // 인정소득여부
    private String chanOwnGbCd;                   // 소유권이전구분코드
    private String srId;                          // SR_ID
    private String srNm;                          // SR성명
    private String autoBankCd;                    // 자동이체은행코드
    private String autoAccoNo;                    // 자동이체계좌번호
    private String autoResId;                     // 자동이체실명확인번호
    private String autoDepoCust;                  // 자동이체예금주명
    private String actTrsfBankCd;                 // 실행이체은행코드
    private String actTrsfAccNo;                  // 실행이체계좌번호
    private String actTrsfDpstNm;                 // 실행이체예금주명
    private String bef1SBankCd;                   // 선순위상환1은행코드
    private String bef1SAccoNo;                   // 선순위상환1계좌번호
    private String bef1SResId;                    // 선순위상환1주민번호_암호화
    private String bef1SDepoCust;                 // 선순위상환1예금주명
    private String bef2SBankCd;                   // 선순위상환2은행코드
    private String bef2SAccoNo;                   // 선순위상환2계좌번호
    private String bef2SResId;                    // 선순위상환2주민번호_암호화
    private String bef2SDepoCust;                 // 선순위상환2예금주명
    private BigDecimal prefAmt;                   // 선순위설정금액
    private BigDecimal prefRepayAmt;              // 선순위상환금액
    private int hiApplCnt;                        // 권원의뢰횟수
    private String hiEcpnDescCd;                  // 권원예외사항코드
    private String hiEcpnDescCont;                // 권원예외사항내용
    private String sposResiYn;                    // 배우자등록여부
    private String choiHandlAreaYn;               // 선별적취급지역여부
    private String eregCertKey;                   // 전자등기_공동인증서키
    private String homsStepCd;                    // HOMS진행상태
    private String homsRqstDt;                    // HOMS_의뢰_일자
    private String homsRqstEmpNo;                 // HOMS_의뢰_사원_번호
    private String homsRsltDt;                    // HOMS_결과_일자
    private String homsRsltEmpNo;                 // HOMS_결과_사원_번호
    private String crdtGuarFundGbCd;              // 신용보증기금출연료구분코드
    private String noDefrDivsRmbrYn;              // 비거치분할상환 여부
    private String mciEntrYn;                     // MCI가입 여부
    private String anotComRlnYn;                  // 타사대환 여부
    private String factDemdYn;                    // 서민실수요자여부
    private String overpCotrZoneYn;               // 과밀억제권지역여부
    private BigDecimal mciEntrAmt;                // MCI 가입금액
    private BigDecimal frstRfndAmt;               // 최초상환금액
    private String frstRfndDt;                    // 최초상환일자
    private String aprvValdDt;                    // 승인유효일자
    private String esttPclrNo;                    // 부동산고유번호
    private String leasManNm;                     // 임차인성명
    private String leasBankCd;                    // 임차인은행코드
    private String leasAcntNo;                    // 임차인계좌번호
    private String leasResiNoFrn;                 // 임차인주민번호앞자리
    private String preSeqFg;                      // 선순위여부
    private String chngLoanHopeDt;                // 변경대출희망일

    public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public static void setSerialversionuid(long serialversionuid) {
		serialVersionUID = serialversionuid;
	}
	public BigDecimal getFrstRfndAmt() {
		return frstRfndAmt;
	}
	public void setFrstRfndAmt(BigDecimal frstRfndAmt) {
		this.frstRfndAmt = frstRfndAmt;
	}
	public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public int getApplModifyNo() {
        return applModifyNo;
    }
    public void setApplModifyNo(int applModifyNo) {
        this.applModifyNo = applModifyNo;
    }
    public int getProdModifySeq() {
        return prodModifySeq;
    }
    public void setProdModifySeq(int prodModifySeq) {
        this.prodModifySeq = prodModifySeq;
    }
    public int getCustModifySeq() {
        return custModifySeq;
    }
    public void setCustModifySeq(int custModifySeq) {
        this.custModifySeq = custModifySeq;
    }
    public int getCollModifySeq() {
        return collModifySeq;
    }
    public void setCollModifySeq(int collModifySeq) {
        this.collModifySeq = collModifySeq;
    }
    public String getInWayGbCd() {
        return inWayGbCd;
    }
    public void setInWayGbCd(String inWayGbCd) {
        this.inWayGbCd = inWayGbCd;
    }
    public String getApplBefStsCd() {
        return applBefStsCd;
    }
    public void setApplBefStsCd(String applBefStsCd) {
        this.applBefStsCd = applBefStsCd;
    }
    public String getApplRealStsCd() {
        return applRealStsCd;
    }
    public void setApplRealStsCd(String applRealStsCd) {
        this.applRealStsCd = applRealStsCd;
    }
    public String getApplNextStsCd() {
        return applNextStsCd;
    }
    public void setApplNextStsCd(String applNextStsCd) {
        this.applNextStsCd = applNextStsCd;
    }
    public String getApplFnshStepCd() {
        return applFnshStepCd;
    }
    public void setApplFnshStepCd(String applFnshStepCd) {
        this.applFnshStepCd = applFnshStepCd;
    }
    public String getRetnStrtStepCd() {
        return retnStrtStepCd;
    }
    public void setRetnStrtStepCd(String retnStrtStepCd) {
        this.retnStrtStepCd = retnStrtStepCd;
    }
    public int getCustAge() {
        return custAge;
    }
    public void setCustAge(int custAge) {
        this.custAge = custAge;
    }
    public String getGradAvailDt() {
        return gradAvailDt;
    }
    public void setGradAvailDt(String gradAvailDt) {
        this.gradAvailDt = gradAvailDt;
    }
    public int getCssSeqNo() {
        return cssSeqNo;
    }
    public void setCssSeqNo(int cssSeqNo) {
        this.cssSeqNo = cssSeqNo;
    }
    public String getRejtTinkGbCd() {
        return rejtTinkGbCd;
    }
    public void setRejtTinkGbCd(String rejtTinkGbCd) {
        this.rejtTinkGbCd = rejtTinkGbCd;
    }
    public String getCnclTinkGbCd() {
        return cnclTinkGbCd;
    }
    public void setCnclTinkGbCd(String cnclTinkGbCd) {
        this.cnclTinkGbCd = cnclTinkGbCd;
    }
    public String getLastJudgDt() {
        return lastJudgDt;
    }
    public void setLastJudgDt(String lastJudgDt) {
        this.lastJudgDt = lastJudgDt;
    }
    public String getLastJudgGbCd() {
        return lastJudgGbCd;
    }
    public void setLastJudgGbCd(String lastJudgGbCd) {
        this.lastJudgGbCd = lastJudgGbCd;
    }
    public String getProdCd() {
        return prodCd;
    }
    public void setProdCd(String prodCd) {
        this.prodCd = prodCd;
    }
    public String getRepayTypeGbCd() {
        return repayTypeGbCd;
    }
    public void setRepayTypeGbCd(String repayTypeGbCd) {
        this.repayTypeGbCd = repayTypeGbCd;
    }
    public String getRepayCyclGbCd() {
        return repayCyclGbCd;
    }
    public void setRepayCyclGbCd(String repayCyclGbCd) {
        this.repayCyclGbCd = repayCyclGbCd;
    }
    public String getCapUseGbCd() {
        return capUseGbCd;
    }
    public void setCapUseGbCd(String capUseGbCd) {
        this.capUseGbCd = capUseGbCd;
    }
    public String getRateCd() {
        return rateCd;
    }
    public void setRateCd(String rateCd) {
        this.rateCd = rateCd;
    }
    public String getRateGbCd() {
        return rateGbCd;
    }
    public void setRateGbCd(String rateGbCd) {
        this.rateGbCd = rateGbCd;
    }
    public String getRateChanCycl() {
        return rateChanCycl;
    }
    public void setRateChanCycl(String rateChanCycl) {
        this.rateChanCycl = rateChanCycl;
    }
    public BigDecimal getLonPossAmt() {
        return lonPossAmt;
    }
    public void setLonPossAmt(BigDecimal lonPossAmt) {
        this.lonPossAmt = lonPossAmt;
    }
    public BigDecimal getLonApplAmt() {
        return lonApplAmt;
    }
    public void setLonApplAmt(BigDecimal lonApplAmt) {
        this.lonApplAmt = lonApplAmt;
    }
    public BigDecimal getUnder1SJudgAmt() {
        return under1SJudgAmt;
    }
    public void setUnder1SJudgAmt(BigDecimal under1sJudgAmt) {
        under1SJudgAmt = under1sJudgAmt;
    }
    public BigDecimal getUnder2SJudgAmt() {
        return under2SJudgAmt;
    }
    public void setUnder2SJudgAmt(BigDecimal under2sJudgAmt) {
        under2SJudgAmt = under2sJudgAmt;
    }
    public BigDecimal getUnder3SJudgAmt() {
        return under3SJudgAmt;
    }
    public void setUnder3SJudgAmt(BigDecimal under3sJudgAmt) {
        under3SJudgAmt = under3sJudgAmt;
    }
    public BigDecimal getLastJudgAmt() {
        return lastJudgAmt;
    }
    public void setLastJudgAmt(BigDecimal lastJudgAmt) {
        this.lastJudgAmt = lastJudgAmt;
    }
    public BigDecimal getLonRate() {
        return lonRate;
    }
    public void setLonRate(BigDecimal lonRate) {
        this.lonRate = lonRate;
    }
    public BigDecimal getFrstJudgRate() {
        return frstJudgRate;
    }
    public void setFrstJudgRate(BigDecimal frstJudgRate) {
        this.frstJudgRate = frstJudgRate;
    }
    public BigDecimal getScndJudgRate() {
        return scndJudgRate;
    }
    public void setScndJudgRate(BigDecimal scndJudgRate) {
        this.scndJudgRate = scndJudgRate;
    }
    public BigDecimal getThrdJudgRate() {
        return thrdJudgRate;
    }
    public void setThrdJudgRate(BigDecimal thrdJudgRate) {
        this.thrdJudgRate = thrdJudgRate;
    }
    public BigDecimal getLastJudgRate() {
        return lastJudgRate;
    }
    public void setLastJudgRate(BigDecimal lastJudgRate) {
        this.lastJudgRate = lastJudgRate;
    }
    public String getLastJudgStepDt() {
        return lastJudgStepDt;
    }
    public void setLastJudgStepDt(String lastJudgStepDt) {
        this.lastJudgStepDt = lastJudgStepDt;
    }
    public String getLastJudgStepCd() {
        return lastJudgStepCd;
    }
    public void setLastJudgStepCd(String lastJudgStepCd) {
        this.lastJudgStepCd = lastJudgStepCd;
    }
    public String getLastJudgStepUserId() {
        return lastJudgStepUserId;
    }
    public void setLastJudgStepUserId(String lastJudgStepUserId) {
        this.lastJudgStepUserId = lastJudgStepUserId;
    }
    public String getLastJudgStepUserNm() {
        return lastJudgStepUserNm;
    }
    public void setLastJudgStepUserNm(String lastJudgStepUserNm) {
        this.lastJudgStepUserNm = lastJudgStepUserNm;
    }
    public int getLonTerm() {
        return lonTerm;
    }
    public void setLonTerm(int lonTerm) {
        this.lonTerm = lonTerm;
    }
    public int getGracTerm() {
        return gracTerm;
    }
    public void setGracTerm(int gracTerm) {
        this.gracTerm = gracTerm;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getChnlCustNo() {
        return chnlCustNo;
    }
    public void setChnlCustNo(String chnlCustNo) {
        this.chnlCustNo = chnlCustNo;
    }
    public String getAmlkey() {
        return amlkey;
    }
    public void setAmlkey(String amlkey) {
        this.amlkey = amlkey;
    }
    public String getCustResiNo() {
        return custResiNo;
    }
    public void setCustResiNo(String custResiNo) {
        this.custResiNo = custResiNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getWifeResiNo() {
        return wifeResiNo;
    }
    public void setWifeResiNo(String wifeResiNo) {
        this.wifeResiNo = wifeResiNo;
    }
    public String getWifeNm() {
        return wifeNm;
    }
    public void setWifeNm(String wifeNm) {
        this.wifeNm = wifeNm;
    }
    public String getEmal() {
        return emal;
    }
    public void setEmal(String emal) {
        this.emal = emal;
    }
    public BigDecimal getYearIncomeAmt() {
        return yearIncomeAmt;
    }
    public void setYearIncomeAmt(BigDecimal yearIncomeAmt) {
        this.yearIncomeAmt = yearIncomeAmt;
    }
    public String getIncmTotGbCd() {
        return incmTotGbCd;
    }
    public void setIncmTotGbCd(String incmTotGbCd) {
        this.incmTotGbCd = incmTotGbCd;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getDisbHopeDt() {
        return disbHopeDt;
    }
    public void setDisbHopeDt(String disbHopeDt) {
        this.disbHopeDt = disbHopeDt;
    }
    public String getSettDt() {
        return settDt;
    }
    public void setSettDt(String settDt) {
        this.settDt = settDt;
    }
    public String getLonDueDt() {
        return lonDueDt;
    }
    public void setLonDueDt(String lonDueDt) {
        this.lonDueDt = lonDueDt;
    }
    public String getFixRateYn() {
        return fixRateYn;
    }
    public void setFixRateYn(String fixRateYn) {
        this.fixRateYn = fixRateYn;
    }
    public String getAcptIncmYn() {
        return acptIncmYn;
    }
    public void setAcptIncmYn(String acptIncmYn) {
        this.acptIncmYn = acptIncmYn;
    }
    public String getChanOwnGbCd() {
        return chanOwnGbCd;
    }
    public void setChanOwnGbCd(String chanOwnGbCd) {
        this.chanOwnGbCd = chanOwnGbCd;
    }
    public String getSrId() {
        return srId;
    }
    public void setSrId(String srId) {
        this.srId = srId;
    }
    public String getSrNm() {
        return srNm;
    }
    public void setSrNm(String srNm) {
        this.srNm = srNm;
    }
    public String getAutoBankCd() {
        return autoBankCd;
    }
    public void setAutoBankCd(String autoBankCd) {
        this.autoBankCd = autoBankCd;
    }
    public String getAutoAccoNo() {
        return autoAccoNo;
    }
    public void setAutoAccoNo(String autoAccoNo) {
        this.autoAccoNo = autoAccoNo;
    }
    public String getAutoResId() {
        return autoResId;
    }
    public void setAutoResId(String autoResId) {
        this.autoResId = autoResId;
    }
    public String getAutoDepoCust() {
        return autoDepoCust;
    }
    public void setAutoDepoCust(String autoDepoCust) {
        this.autoDepoCust = autoDepoCust;
    }
    public String getActTrsfBankCd() {
        return actTrsfBankCd;
    }
    public void setActTrsfBankCd(String actTrsfBankCd) {
        this.actTrsfBankCd = actTrsfBankCd;
    }
    public String getActTrsfAccNo() {
        return actTrsfAccNo;
    }
    public void setActTrsfAccNo(String actTrsfAccNo) {
        this.actTrsfAccNo = actTrsfAccNo;
    }
    public String getActTrsfDpstNm() {
        return actTrsfDpstNm;
    }
    public void setActTrsfDpstNm(String actTrsfDpstNm) {
        this.actTrsfDpstNm = actTrsfDpstNm;
    }
    public String getBef1SBankCd() {
        return bef1SBankCd;
    }
    public void setBef1SBankCd(String bef1sBankCd) {
        bef1SBankCd = bef1sBankCd;
    }
    public String getBef1SAccoNo() {
        return bef1SAccoNo;
    }
    public void setBef1SAccoNo(String bef1sAccoNo) {
        bef1SAccoNo = bef1sAccoNo;
    }
    public String getBef1SResId() {
        return bef1SResId;
    }
    public void setBef1SResId(String bef1sResId) {
        bef1SResId = bef1sResId;
    }
    public String getBef1SDepoCust() {
        return bef1SDepoCust;
    }
    public void setBef1SDepoCust(String bef1sDepoCust) {
        bef1SDepoCust = bef1sDepoCust;
    }
    public String getBef2SBankCd() {
        return bef2SBankCd;
    }
    public void setBef2SBankCd(String bef2sBankCd) {
        bef2SBankCd = bef2sBankCd;
    }
    public String getBef2SAccoNo() {
        return bef2SAccoNo;
    }
    public void setBef2SAccoNo(String bef2sAccoNo) {
        bef2SAccoNo = bef2sAccoNo;
    }
    public String getBef2SResId() {
        return bef2SResId;
    }
    public void setBef2SResId(String bef2sResId) {
        bef2SResId = bef2sResId;
    }
    public String getBef2SDepoCust() {
        return bef2SDepoCust;
    }
    public void setBef2SDepoCust(String bef2sDepoCust) {
        bef2SDepoCust = bef2sDepoCust;
    }
    public BigDecimal getPrefAmt() {
        return prefAmt;
    }
    public void setPrefAmt(BigDecimal prefAmt) {
        this.prefAmt = prefAmt;
    }
    public BigDecimal getPrefRepayAmt() {
        return prefRepayAmt;
    }
    public void setPrefRepayAmt(BigDecimal prefRepayAmt) {
        this.prefRepayAmt = prefRepayAmt;
    }
    public int getHiApplCnt() {
        return hiApplCnt;
    }
    public void setHiApplCnt(int hiApplCnt) {
        this.hiApplCnt = hiApplCnt;
    }
    public String getHiEcpnDescCd() {
        return hiEcpnDescCd;
    }
    public void setHiEcpnDescCd(String hiEcpnDescCd) {
        this.hiEcpnDescCd = hiEcpnDescCd;
    }
    public String getHiEcpnDescCont() {
        return hiEcpnDescCont;
    }
    public void setHiEcpnDescCont(String hiEcpnDescCont) {
        this.hiEcpnDescCont = hiEcpnDescCont;
    }
    public String getSposResiYn() {
        return sposResiYn;
    }
    public void setSposResiYn(String sposResiYn) {
        this.sposResiYn = sposResiYn;
    }
    public String getChoiHandlAreaYn() {
        return choiHandlAreaYn;
    }
    public void setChoiHandlAreaYn(String choiHandlAreaYn) {
        this.choiHandlAreaYn = choiHandlAreaYn;
    }
    public String getEregCertKey() {
        return eregCertKey;
    }
    public void setEregCertKey(String eregCertKey) {
        this.eregCertKey = eregCertKey;
    }
    public String getHomsStepCd() {
        return homsStepCd;
    }
    public void setHomsStepCd(String homsStepCd) {
        this.homsStepCd = homsStepCd;
    }
    public String getHomsRqstDt() {
        return homsRqstDt;
    }
    public void setHomsRqstDt(String homsRqstDt) {
        this.homsRqstDt = homsRqstDt;
    }
    public String getHomsRqstEmpNo() {
        return homsRqstEmpNo;
    }
    public void setHomsRqstEmpNo(String homsRqstEmpNo) {
        this.homsRqstEmpNo = homsRqstEmpNo;
    }
    public String getHomsRsltDt() {
        return homsRsltDt;
    }
    public void setHomsRsltDt(String homsRsltDt) {
        this.homsRsltDt = homsRsltDt;
    }
    public String getHomsRsltEmpNo() {
        return homsRsltEmpNo;
    }
    public void setHomsRsltEmpNo(String homsRsltEmpNo) {
        this.homsRsltEmpNo = homsRsltEmpNo;
    }
    public String getCrdtGuarFundGbCd() {
        return crdtGuarFundGbCd;
    }
    public void setCrdtGuarFundGbCd(String crdtGuarFundGbCd) {
        this.crdtGuarFundGbCd = crdtGuarFundGbCd;
    }
    public String getNoDefrDivsRmbrYn() {
        return noDefrDivsRmbrYn;
    }
    public void setNoDefrDivsRmbrYn(String noDefrDivsRmbrYn) {
        this.noDefrDivsRmbrYn = noDefrDivsRmbrYn;
    }
    public String getMciEntrYn() {
        return mciEntrYn;
    }
    public void setMciEntrYn(String mciEntrYn) {
        this.mciEntrYn = mciEntrYn;
    }
    public String getAnotComRlnYn() {
        return anotComRlnYn;
    }
    public void setAnotComRlnYn(String anotComRlnYn) {
        this.anotComRlnYn = anotComRlnYn;
    }
    public String getFactDemdYn() {
        return factDemdYn;
    }
    public void setFactDemdYn(String factDemdYn) {
        this.factDemdYn = factDemdYn;
    }
    public String getOverpCotrZoneYn() {
        return overpCotrZoneYn;
    }
    public void setOverpCotrZoneYn(String overpCotrZoneYn) {
        this.overpCotrZoneYn = overpCotrZoneYn;
    }
    public BigDecimal getMciEntrAmt() {
        return mciEntrAmt;
    }
    public void setMciEntrAmt(BigDecimal mciEntrAmt) {
        this.mciEntrAmt = mciEntrAmt;
    }
    public String getFrstRfndDt() {
		return frstRfndDt;
	}
	public void setFrstRfndDt(String frstRfndDt) {
		this.frstRfndDt = frstRfndDt;
	}
	public String getAprvValdDt() {
		return aprvValdDt;
	}
	public void setAprvValdDt(String aprvValdDt) {
		this.aprvValdDt = aprvValdDt;
	}
	public String getEsttPclrNo() {
		return esttPclrNo;
	}
	public void setEsttPclrNo(String esttPclrNo) {
		this.esttPclrNo = esttPclrNo;
	}
	public String getLeasManNm() {
		return leasManNm;
	}
	public void setLeasManNm(String leasManNm) {
		this.leasManNm = leasManNm;
	}
	public String getLeasBankCd() {
		return leasBankCd;
	}
	public void setLeasBankCd(String leasBankCd) {
		this.leasBankCd = leasBankCd;
	}
	public String getLeasAcntNo() {
		return leasAcntNo;
	}
	public void setLeasAcntNo(String leasAcntNo) {
		this.leasAcntNo = leasAcntNo;
	}
	public String getLeasResiNoFrn() {
		return leasResiNoFrn;
	}
	public void setLeasResiNoFrn(String leasResiNoFrn) {
		this.leasResiNoFrn = leasResiNoFrn;
	}
	public String getPreSeqFg() {
		return preSeqFg;
	}
	public void setPreSeqFg(String preSeqFg) {
		this.preSeqFg = preSeqFg;
	}
    public static long getSerialVersionUID()
    {
        return serialVersionUID;
    }
    public static void setSerialVersionUID(long serialVersionUID)
    {
        StApplLdgrDTO.serialVersionUID = serialVersionUID;
    }
    public String getChngLoanHopeDt()
    {
        return chngLoanHopeDt;
    }
    public void setChngLoanHopeDt(String chngLoanHopeDt)
    {
        this.chngLoanHopeDt = chngLoanHopeDt;
    }
}