package hanalife.t.ch.on.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StMrtgLgdrDTO.java Class
 * 클래스설명    : 담보원장 이력 (ST_MRTG_LGDR_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 31.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 31.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StMrtgLgdrHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanCnslNo;                     // 대출상담번호
    private String cssSeqNo;                       // CSS일련번호
    private int collModifySeq;                     // 담보변경일련번호
    private String tbmEvelSeq;                     // 평가일련번호
    private String tbmRegiGbCd;                    // 담보등록구분코드
    private String regCdocSnum;                    // 등기필증일련번호
    private String collFixeDt;                     // 담보확정일자
    private String collCnclDt;                     // 담보해지일자
    private int bankSetRank;                       // 당행설정순위
    private BigDecimal bankSetAmt;                 // 당행설정금액
    private String chanOwnDt;                      // 소유권이전일자
    private String fireInsuCrtYn;                  // 부보등록여부
    private String collPossGbCd;                   // 담보소유자구분코드
    private String coWonYn;                        // 공동소유여부
    private String collTypeGbCd;                   // 담보유형구분코드
    private String aptSiNm;                        // 시도명
    private String aptGunNm;                       // 시군구명
    private String aptDongNm;                      // 읍면동명
    private String aptDetail;                      // 아파트상세
    private String zipcd;                          // 우편번호
    private String zipcdSeq;                       // 우편번호일련번호
    private String addr;                           // 주소
    private String dtlAddr;                        // 상세주소
    private int numberComeLay;                     // 해당층수
    private int numberMaxLay;                      // 최고층수(총층수)
    private BigDecimal squa;                       // 평형
    private BigDecimal builArea;                   // 건물전용면적
    private BigDecimal siteArea;                   // 대지면적
    private int totDongCnt;                        // 총동수
    private int totHousCnt;                        // 총세대수
    private int totRoomCnt;                        // 총방수
    private String builDt;                         // 준공년월
    private String moveiYymm;                      // 입주년월
    private String aptNm;                          // 아파트명


    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getCssSeqNo() {
        return cssSeqNo;
    }
    public void setCssSeqNo(String cssSeqNo) {
        this.cssSeqNo = cssSeqNo;
    }
    public int getCollModifySeq() {
        return collModifySeq;
    }
    public void setCollModifySeq(int collModifySeq) {
        this.collModifySeq = collModifySeq;
    }
    public String getTbmEvelSeq() {
        return tbmEvelSeq;
    }
    public void setTbmEvelSeq(String tbmEvelSeq) {
        this.tbmEvelSeq = tbmEvelSeq;
    }
    public String getTbmRegiGbCd() {
        return tbmRegiGbCd;
    }
    public void setTbmRegiGbCd(String tbmRegiGbCd) {
        this.tbmRegiGbCd = tbmRegiGbCd;
    }
    public String getRegCdocSnum() {
        return regCdocSnum;
    }
    public void setRegCdocSnum(String regCdocSnum) {
        this.regCdocSnum = regCdocSnum;
    }
    public String getCollFixeDt() {
        return collFixeDt;
    }
    public void setCollFixeDt(String collFixeDt) {
        this.collFixeDt = collFixeDt;
    }
    public String getCollCnclDt() {
        return collCnclDt;
    }
    public void setCollCnclDt(String collCnclDt) {
        this.collCnclDt = collCnclDt;
    }
    public int getBankSetRank() {
        return bankSetRank;
    }
    public void setBankSetRank(int bankSetRank) {
        this.bankSetRank = bankSetRank;
    }
    public BigDecimal getBankSetAmt() {
        return bankSetAmt;
    }
    public void setBankSetAmt(BigDecimal bankSetAmt) {
        this.bankSetAmt = bankSetAmt;
    }
    public String getChanOwnDt() {
        return chanOwnDt;
    }
    public void setChanOwnDt(String chanOwnDt) {
        this.chanOwnDt = chanOwnDt;
    }
    public String getFireInsuCrtYn() {
        return fireInsuCrtYn;
    }
    public void setFireInsuCrtYn(String fireInsuCrtYn) {
        this.fireInsuCrtYn = fireInsuCrtYn;
    }
    public String getCollPossGbCd() {
        return collPossGbCd;
    }
    public void setCollPossGbCd(String collPossGbCd) {
        this.collPossGbCd = collPossGbCd;
    }
    public String getCoWonYn() {
        return coWonYn;
    }
    public void setCoWonYn(String coWonYn) {
        this.coWonYn = coWonYn;
    }
    public String getCollTypeGbCd() {
        return collTypeGbCd;
    }
    public void setCollTypeGbCd(String collTypeGbCd) {
        this.collTypeGbCd = collTypeGbCd;
    }
    public String getAptSiNm() {
        return aptSiNm;
    }
    public void setAptSiNm(String aptSiNm) {
        this.aptSiNm = aptSiNm;
    }
    public String getAptGunNm() {
        return aptGunNm;
    }
    public void setAptGunNm(String aptGunNm) {
        this.aptGunNm = aptGunNm;
    }
    public String getAptDongNm() {
        return aptDongNm;
    }
    public void setAptDongNm(String aptDongNm) {
        this.aptDongNm = aptDongNm;
    }
    public String getAptDetail() {
        return aptDetail;
    }
    public void setAptDetail(String aptDetail) {
        this.aptDetail = aptDetail;
    }
    public String getZipcd() {
        return zipcd;
    }
    public void setZipcd(String zipcd) {
        this.zipcd = zipcd;
    }
    public String getZipcdSeq() {
        return zipcdSeq;
    }
    public void setZipcdSeq(String zipcdSeq) {
        this.zipcdSeq = zipcdSeq;
    }
    public String getAddr() {
        return addr;
    }
    public void setAddr(String addr) {
        this.addr = addr;
    }
    public String getDtlAddr() {
        return dtlAddr;
    }
    public void setDtlAddr(String dtlAddr) {
        this.dtlAddr = dtlAddr;
    }
    public int getNumberComeLay() {
        return numberComeLay;
    }
    public void setNumberComeLay(int numberComeLay) {
        this.numberComeLay = numberComeLay;
    }
    public int getNumberMaxLay() {
        return numberMaxLay;
    }
    public void setNumberMaxLay(int numberMaxLay) {
        this.numberMaxLay = numberMaxLay;
    }
    public BigDecimal getSqua() {
        return squa;
    }
    public void setSqua(BigDecimal squa) {
        this.squa = squa;
    }
    public BigDecimal getBuilArea() {
        return builArea;
    }
    public void setBuilArea(BigDecimal builArea) {
        this.builArea = builArea;
    }
    public BigDecimal getSiteArea() {
        return siteArea;
    }
    public void setSiteArea(BigDecimal siteArea) {
        this.siteArea = siteArea;
    }
    public int getTotDongCnt() {
        return totDongCnt;
    }
    public void setTotDongCnt(int totDongCnt) {
        this.totDongCnt = totDongCnt;
    }
    public int getTotHousCnt() {
        return totHousCnt;
    }
    public void setTotHousCnt(int totHousCnt) {
        this.totHousCnt = totHousCnt;
    }
    public int getTotRoomCnt() {
        return totRoomCnt;
    }
    public void setTotRoomCnt(int totRoomCnt) {
        this.totRoomCnt = totRoomCnt;
    }
    public String getBuilDt() {
        return builDt;
    }
    public void setBuilDt(String builDt) {
        this.builDt = builDt;
    }
    public String getMoveiYymm() {
        return moveiYymm;
    }
    public void setMoveiYymm(String moveiYymm) {
        this.moveiYymm = moveiYymm;
    }
    public String getAptNm() {
        return aptNm;
    }
    public void setAptNm(String aptNm) {
        this.aptNm = aptNm;
    }
}
