package hanalife.t.ch.on.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRelaInfoDTO.java Class
 * 클래스설명    : 관련인정보 (ST_RELA_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 31.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 31.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StRelaInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanCnslNo;                     // 대출상담번호
    private int relaMangNo;                        // 관련인관리번호
    private String loanApplNo;                     // 대출신청번호
    private String relaGbCd;                       // 관련인구분코드
    private String relaResId;                      // 관련인주민번호_암호화
    private String relaNm;                         // 관련인성명
    private int relaAge;                           // 관련인나이
    private String jvnlFamMembCd;                  // 미성년세대원구분
    private String relaBorn;                       // 관련인띠
    private String famMembInclCd;                  // 세대원포함여부
    private String famMembAgreCd;                  // 세대원동의여부
    private String famMembAgreDt;                  // 세대원동의일자
    private String famMembAgreTm;                  // 세대원동의시각
    private String agtNm;                          // 대리동의인성명
    private String agtBrdd;                        // 대리인생년월일
    private String agtRelaCd;                      // 대리인관계
    private String loanHoldYn;                     // 신정원대출보유여부
    private String kcisReadDt;                     // 신정원조회일자
    private String kcisReadTm;                     // 신정원조회시각
    private String kcisMgmnNo;                     // 신정원전문관리번호
    private int kcisLoanCnt;                       // 대출보유건수
    private String kcisLoanAmt;                    // 대출보유금액
    private String telcoCd;                        // 통신사코드
    private String mobArea;                        // 휴대폰지역번호
    private String mobHeadNum;                     // 휴대폰국번
    private String mobSerialNum;                   // 휴대폰일련번호


    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public int getRelaMangNo() {
        return relaMangNo;
    }
    public void setRelaMangNo(int relaMangNo) {
        this.relaMangNo = relaMangNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getRelaGbCd() {
        return relaGbCd;
    }
    public void setRelaGbCd(String relaGbCd) {
        this.relaGbCd = relaGbCd;
    }
    public String getRelaResId() {
        return relaResId;
    }
    public void setRelaResId(String relaResId) {
        this.relaResId = relaResId;
    }
    public String getRelaNm() {
        return relaNm;
    }
    public void setRelaNm(String relaNm) {
        this.relaNm = relaNm;
    }
    public int getRelaAge() {
        return relaAge;
    }
    public void setRelaAge(int relaAge) {
        this.relaAge = relaAge;
    }
    public String getJvnlFamMembCd() {
        return jvnlFamMembCd;
    }
    public void setJvnlFamMembCd(String jvnlFamMembCd) {
        this.jvnlFamMembCd = jvnlFamMembCd;
    }
    public String getRelaBorn() {
        return relaBorn;
    }
    public void setRelaBorn(String relaBorn) {
        this.relaBorn = relaBorn;
    }
    public String getFamMembInclCd() {
        return famMembInclCd;
    }
    public void setFamMembInclCd(String famMembInclCd) {
        this.famMembInclCd = famMembInclCd;
    }
    public String getFamMembAgreCd() {
        return famMembAgreCd;
    }
    public void setFamMembAgreCd(String famMembAgreCd) {
        this.famMembAgreCd = famMembAgreCd;
    }
    public String getFamMembAgreDt() {
        return famMembAgreDt;
    }
    public void setFamMembAgreDt(String famMembAgreDt) {
        this.famMembAgreDt = famMembAgreDt;
    }
    public String getFamMembAgreTm() {
        return famMembAgreTm;
    }
    public void setFamMembAgreTm(String famMembAgreTm) {
        this.famMembAgreTm = famMembAgreTm;
    }
    public String getAgtNm() {
        return agtNm;
    }
    public void setAgtNm(String agtNm) {
        this.agtNm = agtNm;
    }
    public String getAgtBrdd() {
        return agtBrdd;
    }
    public void setAgtBrdd(String agtBrdd) {
        this.agtBrdd = agtBrdd;
    }
    public String getAgtRelaCd() {
        return agtRelaCd;
    }
    public void setAgtRelaCd(String agtRelaCd) {
        this.agtRelaCd = agtRelaCd;
    }
    public String getLoanHoldYn() {
        return loanHoldYn;
    }
    public void setLoanHoldYn(String loanHoldYn) {
        this.loanHoldYn = loanHoldYn;
    }
    public String getKcisReadDt() {
        return kcisReadDt;
    }
    public void setKcisReadDt(String kcisReadDt) {
        this.kcisReadDt = kcisReadDt;
    }
    public String getKcisReadTm() {
        return kcisReadTm;
    }
    public void setKcisReadTm(String kcisReadTm) {
        this.kcisReadTm = kcisReadTm;
    }
    public String getKcisMgmnNo() {
        return kcisMgmnNo;
    }
    public void setKcisMgmnNo(String kcisMgmnNo) {
        this.kcisMgmnNo = kcisMgmnNo;
    }
    public int getKcisLoanCnt() {
        return kcisLoanCnt;
    }
    public void setKcisLoanCnt(int kcisLoanCnt) {
        this.kcisLoanCnt = kcisLoanCnt;
    }
    public String getKcisLoanAmt() {
        return kcisLoanAmt;
    }
    public void setKcisLoanAmt(String kcisLoanAmt) {
        this.kcisLoanAmt = kcisLoanAmt;
    }
    public String getTelcoCd() {
        return telcoCd;
    }
    public void setTelcoCd(String telcoCd) {
        this.telcoCd = telcoCd;
    }
    public String getMobArea() {
        return mobArea;
    }
    public void setMobArea(String mobArea) {
        this.mobArea = mobArea;
    }
    public String getMobHeadNum() {
        return mobHeadNum;
    }
    public void setMobHeadNum(String mobHeadNum) {
        this.mobHeadNum = mobHeadNum;
    }
    public String getMobSerialNum() {
        return mobSerialNum;
    }
    public void setMobSerialNum(String mobSerialNum) {
        this.mobSerialNum = mobSerialNum;
    }
}
