package hanalife.t.ch.on.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StTelMangDTO.java Class
 * 클래스설명    : 고객전화정보관리(ST_TEL_MANG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 31.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 31.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StTelMangDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanApplNo;              // 대출신청번호
    private String telMangGbCd;             // 연락처관리구분코드
    private String telAreaNo;               // 전화지역번호
    private String telHeadNo;               // 전화국번호
    private String telSerialNo;             // 전화일련번호
    private String telInnerNo;              // 내선번호
    private String telcoCd;                 // 통신사코드
    private String telCallCanCd;            // 전화통화가능코드
    private int telCanFrom;                 // 통화가능시간FROM
    private int telCanTo;                   // 통화가능시간TO
//    private String frstRegDt;               // 최초_등록_일자
//    private String frstRegTm;               // 최초_등록_시각
//    private String frstRegEmpNo;            // 최초_등록_사원번호
//    private String lastProcDt;              // 최종_처리_일자
//    private String lastProcTm;              // 최종_처리_시각
//    private String lastProcEmpNo;           // 최종_처리_사원번호
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getTelMangGbCd() {
        return telMangGbCd;
    }
    public void setTelMangGbCd(String telMangGbCd) {
        this.telMangGbCd = telMangGbCd;
    }
    public String getTelAreaNo() {
        return telAreaNo;
    }
    public void setTelAreaNo(String telAreaNo) {
        this.telAreaNo = telAreaNo;
    }
    public String getTelHeadNo() {
        return telHeadNo;
    }
    public void setTelHeadNo(String telHeadNo) {
        this.telHeadNo = telHeadNo;
    }
    public String getTelSerialNo() {
        return telSerialNo;
    }
    public void setTelSerialNo(String telSerialNo) {
        this.telSerialNo = telSerialNo;
    }
    public String getTelInnerNo() {
        return telInnerNo;
    }
    public void setTelInnerNo(String telInnerNo) {
        this.telInnerNo = telInnerNo;
    }
    public String getTelcoCd() {
        return telcoCd;
    }
    public void setTelcoCd(String telcoCd) {
        this.telcoCd = telcoCd;
    }
    public String getTelCallCanCd() {
        return telCallCanCd;
    }
    public void setTelCallCanCd(String telCallCanCd) {
        this.telCallCanCd = telCallCanCd;
    }
    public int getTelCanFrom() {
        return telCanFrom;
    }
    public void setTelCanFrom(int telCanFrom) {
        this.telCanFrom = telCanFrom;
    }
    public int getTelCanTo() {
        return telCanTo;
    }
    public void setTelCanTo(int telCanTo) {
        this.telCanTo = telCanTo;
    }
}
