package hanalife.t.ch.on.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.t.ch.on.mapper.LoanApplMapper;
import hanalife.t.ch.on.service.TCHON010Service;
import hanalife.t.ch.on.vo.ReqBodyVO;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TCHON003ServiceImpl.java Class
 * 클래스설명    : 대출신청 Service Implements
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : saveLoanApplInfo : 대출신청
 * </pre>
 */
@Service("TCHON010Service")
public class TCHON010ServiceImpl implements TCHON010Service {

    private static final Logger LOGGER = LoggerFactory.getLogger(TCHON010ServiceImpl.class);

    @Autowired
    private LoanApplMapper loanApplMapper;

    /**
     *<pre>
     * 메소드명      : saveLoanApplInfo : 대출신청정보 저장
     * 작성일자      : 2023. 3. 28.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : 대출신청정보를 저장한다.
     * 메소드인수    : TCHON010InVO
     * 메소드리턴값  : TCHON010OutVo
     * 예외처리      : Exception
     *</pre>
     */
    @Override
    public String saveLoanApplInfo(ReqBodyVO inVo) throws Exception {

        //todo0S01OutVO resultVo = new todo0S01OutVO();
        String resultVo = "test";

        try {

            String loanCnslNo = inVo.getLoanCnslNo();   // 신정정보 등록대상 상담번호
            // 결과값 : 처리결과, 대출신청번호 리턴


        } catch (Exception e) {
            // TODO: handle exception
            // 오류 결과값 설정후 리턴
        }

        return resultVo;

    }

}
