package hanalife.t.comm.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : IF_CommonMapper.java Class
 * 클래스설명   : 인터페이스 공통맵퍼(전문일련번호취득) Interface Mapper
 * 작성일자     : 2023. 4. 25.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 25.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("IF_CommonMapper")
public interface IF_CommonMapper {

    /**
     * <pre>
     * 메소드명      : selectKCBOnlnSeq
     * 설명         : KCB 전문일련번호용 시퀀스조회
     * 메소드인수1    :
     * 메소드리턴값    : String
     * 예외처리      : Exception
     * </pre>
     */
    public int selectKCBOnlnSeq() throws Exception;

    /**
     * <pre>
     * 메소드명      : selectKFBOnlnSeq
     * 설명         : 신용정보원 전문일련번호용 시퀀스조회
     * 메소드인수1    :
     * 메소드리턴값    : String
     * 예외처리      : Exception
     * </pre>
     */
    public int selectKFBOnlnSeq() throws Exception;

    /**
     * <pre>
     * 메소드명      : selectHIOnlnSeq
     * 설명         : 하나손보 전문일련번호용 시퀀스조회
     * 메소드인수1    :
     * 메소드리턴값    : String
     * 예외처리      : Exception
     * </pre>
     */
    public int selectHIOnlnSeq() throws Exception;

    /**
     * <pre>
     * 메소드명      : selectFPOnlnSeq
     * 설명         : 피노텍 전문일련번호용 시퀀스조회
     * 메소드인수1    :
     * 메소드리턴값    : String
     * 예외처리      : Exception
     * </pre>
     */
    public int selectFPOnlnSeq() throws Exception;

    /**
     * <pre>
     * 메소드명      : selectSGIOnlnSeq
     * 설명         : SGI(신용보증보험) 전문일련번호용 시퀀스조회
     * 메소드인수1    :
     * 메소드리턴값    : String
     * 예외처리      : Exception
     * </pre>
     */
    public int selectSGIOnlnSeq() throws Exception;

}
