package hanalife.t.comm.service;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : IF_CommonService
 * 클래스설명   : 인터페이스 공통 Service Interface
 * 작성일자     : 2023. 4. 25.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 25.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface IF_CommonService {

    /**
     *<pre>
     * 메소드명      : getKCBOnlnSeq :
     * 작성일자      : 2023. 4. 25.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : KCB 전문일련번호 취득
     * 메소드인수    :
     * 메소드리턴값  : String
     * 예외처리      : Exception
     *</pre>
     */
    public String getKCBOnlnSeq() throws Exception;

    /**
     *<pre>
     * 메소드명      : getKFBOnlnSeq :
     * 작성일자      : 2023. 4. 25.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : 신용정보원 전문일련번호 취득
     * 메소드인수    :
     * 메소드리턴값  : String
     * 예외처리      : Exception
     *</pre>
     */
    public String getKFBOnlnSeq() throws Exception;

    /**
     *<pre>
     * 메소드명      : getHIOnlnSeq
     * 작성일자      : 2023. 4. 25.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : 하나손보 전문일련번호 취득
     * 메소드인수    :
     * 메소드리턴값  : String
     * 예외처리      : Exception
     *</pre>
     */
    public String getHIOnlnSeq() throws Exception;

    /**
     *<pre>
     * 메소드명      : getFPOnlnSeq
     * 작성일자      : 2023. 4. 25.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : 피노텍 전문일련번호 취득
     * 메소드인수    :
     * 메소드리턴값  : String
     * 예외처리      : Exception
     *</pre>
     */
    public String getFPOnlnSeq() throws Exception;

    /**
     *<pre>
     * 메소드명      : getSGIOnlnSeq
     * 작성일자      : 2023. 4. 25.
     * 작성자(author): 70278 / KiHwan.Park
     * 설명          : SGI(신용보증보험) 전문일련번호 취득
     * 메소드인수    :
     * 메소드리턴값  : String
     * 예외처리      : Exception
     *</pre>
     */
    public String getSGIOnlnSeq() throws Exception;

}
