package hanalife.t.kc.on.web;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import hanalife.t.ch.on.web.TCHON001Controller;
import hanalife.t.kc.on.service.TKCON001Service;
import hanalife.t.kc.on.vo.KCBOnlnVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TKCON001Controller.java Class
 * 클래스설명   : [KCB] - 한국개인신용 복수카드 조회(0400/437) Controller
 * 작성일자     : 2023. 4. 18.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@RequestMapping("/t/kc/on")
@Controller
public class TKCON001Controller {

    @Resource(name = "TKCON001Service")
    private TKCON001Service tKCON001Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(TCHON001Controller.class);

    /**
     *<pre>
     * 메소드명      : [KCB] - 한국개인신용 복수카드 조회 /TKCON001.do
     * 작성일자      : 2023. 4. 18.
     * 작성자(author): 70317
     * 설명          : 한국개인신용 복수카드 조회 전문을 호출 한다.
     * 예외처리      : Exception
     *</pre>
     */
    @RequestMapping(value = "/TKCON001.do", method = RequestMethod.POST, produces="application/json")
    public ModelAndView TKCON001(@RequestBody KCBOnlnVo reqInVO) throws Exception {
        LOGGER.info("##### TKCON001Controller TKCON001 Start #####");

        KCBOnlnVo resultVo = null;

        try {

            // VO 설정
            KCBOnlnVo inVo = reqInVO;

            // 체크 필요하면 넣을 것

            // 서비스 호출
            resultVo = tKCON001Service.KCB_0400_Call(inVo);   // TODO : 결과값도 VO에 설정할지 고려

            LOGGER.info("##### TKCON001Controller TKCON001 Normal End #####");
        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정

            LOGGER.info("##### TKCON001Controller TKCON001 Exception End #####");
        }

        // 결과값 설정
        ModelAndView mav = new ModelAndView("jsonView");
        mav.addObject(resultVo);

        return mav;
    }
}
