package hanalife.t.kf.on.vo;

import java.util.ArrayList;
import java.util.List;

import hanalife.util.gram.GramUtil;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KFB0200223Entity
 * 클래스설명    : [신정원] 개인회생 신청 등 정보 온라인 조회(0200/223) 용 Entity (VO)
 * 작성일자     : 2023. 5. 02.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 02.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("rawtypes")
public class KFB0200223Entity {
    private String regNo;                   // 주민등록번호
    private String regNoDivCd;              // 주민등록번호 구분
    private String reason;                  // 자료이용목적
    private String viewAgreeFg;             // 조회 동의 여부
    private String name;                    // 성명
    private String jCode;                   // 등록코드구분
    private String occrDt;                  // 발생일자
    private String ocrtCd;                  // 법원코드
    private String caseNo;                  // 사건번호
    private String lastUpdateDt;            // 최신 업데이트 일자
    private String indvRvvlInfoMore;        // 개인회생 신청 등 정보 More
    private String indvRvvlInfoTotCnt;      // 개인회생 신청 등 정보 총건수
    private String indvRvvlInfoReptCnt;     // 개인회생 신청 등 정보 회보 건수
    private List   infoReptArray;           // 개인회생 신청 등 정보 회보 사항 (0 to 20 Times) → (60 × 20) = 1,200


    // TODO :
    /**
     * 생성자
     */
    public KFB0200223Entity() {
        setRegNo                (GramUtil.fixEndZero("",13 ));     // 주민등록번호 (13)
        setRegNoDivCd           (GramUtil.fixEndZero("", 1 ));     // 주민등록번호 구분 (1)
        setReason               (GramUtil.fixEndZero("", 2 ));     // 자료이용목적 (2)
        setViewAgreeFg          (GramUtil.fixEndZero("", 1 ));     // 조회 동의 여부 (1)
        setName                 (GramUtil.fixEndZero("",20 ));     // 성명 (20)
        setJCode                (GramUtil.fixEndZero("", 1 ));     // 등록코드구분 (1)
        setOccrDt               (GramUtil.fixEndZero("", 8 ));     // 발생일자 (8)
        setOcrtCd               (GramUtil.fixEndZero("", 7 ));     // 법원코드 (7)
        setCaseNo               (GramUtil.fixEndZero("",20 ));     // 사건번호 (20)
        setLastUpdateDt         (GramUtil.fixEndZero("", 8 ));     // 최신 업데이트 일자 (8)
        setIndvrvvlInfoMore     (GramUtil.fixEndZero("", 1 ));     // 개인회생 신청 등 정보 More (1)
        setIndvrvvlInfoTotCnt   (GramUtil.fixEndZero("", 5 ));     // 개인회생 신청 등 정보 총건수 (4)
        setIndvrvvlInfoReptCnt  (GramUtil.fixEndZero("", 2 ));     // 개인회생 신청 등 정보 회보 건수 (2)
        setInfoReptArray        (""                              );     // 개인회생 신청 등 정보 회보 사항 (0 to 20 Times) → (60 × 20) = 1,200
    }

    public String getRegNo                        () { return this.regNo                  ; }
    public String getRegNoDivCd                   () { return this.regNoDivCd             ; }
    public String getReason                       () { return this.reason                 ; }
    public String getViewAgreeFg                  () { return this.viewAgreeFg            ; }
    public String getName                         () { return this.name                   ; }
    public String getJCode                        () { return this.jCode                  ; }
    public String getOccrDt                       () { return this.occrDt                 ; }
    public String getOcrtCd                       () { return this.ocrtCd                 ; }
    public String getCaseNo                       () { return this.caseNo                 ; }
    public String getLastUpdateDt                 () { return this.lastUpdateDt           ; }
    public String getIndvrvvlInfoMore             () { return this.indvRvvlInfoMore       ; }
    public String getIndvrvvlInfoTotCnt           () { return this.indvRvvlInfoTotCnt     ; }
    public String getIndvrvvlInfoReptCnt          () { return this.indvRvvlInfoReptCnt    ; }
    public List   getInfoReptArray                () { return this.infoReptArray          ; }

    public void setRegNo                ( String regNo                ){ this.regNo                  = regNo                ; }
    public void setRegNoDivCd           ( String regNoDivCd           ){ this.regNoDivCd             = regNoDivCd           ; }
    public void setReason               ( String reason               ){ this.reason                 = reason               ; }
    public void setViewAgreeFg          ( String viewAgreeFg          ){ this.viewAgreeFg            = viewAgreeFg          ; }
    public void setName                 ( String name                 ){ this.name                   = name                 ; }
    public void setJCode                ( String jCode                ){ this.jCode                  = jCode                ; }
    public void setOccrDt               ( String occrDt               ){ this.occrDt                 = occrDt               ; }
    public void setOcrtCd               ( String ocrtCd               ){ this.ocrtCd                 = ocrtCd               ; }
    public void setCaseNo               ( String caseNo               ){ this.caseNo                 = caseNo               ; }
    public void setLastUpdateDt         ( String lastUpdateDt         ){ this.lastUpdateDt           = lastUpdateDt         ; }
    public void setIndvrvvlInfoMore     ( String indvRvvlInfoMore     ){ this.indvRvvlInfoMore       = indvRvvlInfoMore     ; }
    public void setIndvrvvlInfoTotCnt   ( String indvRvvlInfoTotCnt   ){ this.indvRvvlInfoTotCnt     = indvRvvlInfoTotCnt   ; }
    public void setIndvrvvlInfoReptCnt  ( String indvRvvlInfoReptCnt  ){ this.indvRvvlInfoReptCnt    = indvRvvlInfoReptCnt  ; }
    // 개인회생 신청 등 정보 회보 사항 (0 to 20 Times) → (60 × 20) = 1,200
    public void setInfoReptArray(String data){
        infoReptArray = new ArrayList();

        byte[] convData = data.getBytes();
        int dalyCnt = Integer.parseInt(getIndvrvvlInfoReptCnt());
        int totlByte = -1;

        for (int i=0; i < dalyCnt; i++){
            String[] rsltData = new String[7];
            rsltData[0] = new String(convData,totlByte+= 1, 1 );    // 등록구분코드       (1)
            rsltData[1] = new String(convData,totlByte+= 4, 4 );    // 등록코드         (4)
            rsltData[2] = new String(convData,totlByte+= 2, 20);    // 사건번호         (20)
            rsltData[3] = new String(convData,totlByte+= 4, 7 );    // 금융기관 점포코드   (7)
            rsltData[4] = new String(convData,totlByte+= 4, 7 );    // 법원코드         (7)
            rsltData[5] = new String(convData,totlByte+= 4, 8 );    // 발생일자         (8)
            rsltData[6] = new String(convData,totlByte+= 4, 13);    // 공란           (13)

            infoReptArray.add(rsltData);
        }
    }


    /**
     * Send 보낼 문자열을 생성한다.
     */
    public String getSendStr() {
        StringBuffer sendBuff = new StringBuffer();

        sendBuff.append(getRegNo                ());
        sendBuff.append(getRegNoDivCd           ());
        sendBuff.append(getReason               ());
        sendBuff.append(getViewAgreeFg          ());
        sendBuff.append(getName                 ());
        sendBuff.append(getJCode                ());
        sendBuff.append(getOccrDt               ());
        sendBuff.append(getOcrtCd               ());
        sendBuff.append(getCaseNo               ());
        sendBuff.append(getLastUpdateDt         ());
        sendBuff.append(getIndvrvvlInfoMore     ());
        sendBuff.append(getIndvrvvlInfoTotCnt   ());
        sendBuff.append(getIndvrvvlInfoReptCnt  ());

        return (sendBuff.toString());
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setRegNo                (new String(convData,totlByte+=0 ,  13  ).trim());   // 주민등록번호 (13)
        setRegNoDivCd           (new String(convData,totlByte+=13,  1   ).trim());   // 주민등록번호 구분 (1)
        setReason               (new String(convData,totlByte+=1 ,  2   ).trim());   // 자료이용목적 (2)
        setViewAgreeFg          (new String(convData,totlByte+=2 ,  1   ).trim());   // 조회 동의 여부 (1)
        setName                 (new String(convData,totlByte+=1 ,  20  ).trim());   // 성명 (20)
        setJCode                (new String(convData,totlByte+=20,  1   ).trim());   // 등록코드구분 (1)
        setOccrDt               (new String(convData,totlByte+=1 ,  8   ).trim());   // 발생일자 (8)
        setOcrtCd               (new String(convData,totlByte+=8 ,  7   ).trim());   // 법원코드 (7)
        setCaseNo               (new String(convData,totlByte+=7 ,  20  ).trim());   // 사건번호 (20)
        setLastUpdateDt         (new String(convData,totlByte+=20,  8   ).trim());   // 최신 업데이트 일자 (8)
        setIndvrvvlInfoMore     (new String(convData,totlByte+=8 ,  1   ).trim());   // 개인회생 신청 등 정보 More (1)
        setIndvrvvlInfoTotCnt   (new String(convData,totlByte+=1 ,  4   ).trim());   // 개인회생 신청 등 정보 총건수 (4)
        setIndvrvvlInfoReptCnt  (new String(convData,totlByte+=4 ,  2   ).trim());   // 개인회생 신청 등 정보 회보 건수 (2)

        setInfoReptArray        (new String(convData,totlByte+= 2,convData.length-totlByte).trim());    // 개인회생 신청 등 정보 회보 사항 (0 to 20 Times) → (60 × 20) = 1,200
    }
}
