package hanalife.t.kf.on.vo;

import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KFBOnlnInVo
 * 클래스설명    : KFB 전문용 In/Out Vo (VO)
 * 작성일자     : 2023. 4. 27.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 27.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class KFBOnlnVo {
    private String resiNo;                  // 주민등록번호
    private String resiNm;                  // 고객명

    private String loanCnslNo="";           // 대출상담번호
    private String loanApplNo="";           // 대출신청번호
    private String loanNo="";               // 대출번호
    private String custNo="";               // 고객번호

    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";       /** 결과내용 */


    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getResiNm() {
        return resiNm;
    }
    public void setResiNm(String resiNm) {
        this.resiNm = resiNm;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}
