package hanalife.util.anylink;

import java.io.ByteArrayOutputStream;

import org.apache.log4j.Logger;

import tmax.webt.WebtBuffer;
import tmax.webt.WebtConnection;
import tmax.webt.WebtException;
import tmax.webt.WebtRemoteService;
import tmax.webt.WebtServiceFailException;

public class AnylinkSender {

	Logger logger = Logger.getLogger(this.getClass());

	/**
	 * JEUS --> JMapper(Tmax) 호출
	 * @param serviceName java.lang.String
	 * @param record com.ibm.record.ICustomRecord
	*/
	String real_gb_path =  "";
	int AL_MSG_DATA          =      101;
	int	REQ_EXTERNAL          =      1;
	int	REQ_INTERNAL          =      11;
	int	SEND_TYPE_SEND        =      1;
	int	SEND_TYPE_RECV        =      2;
	int	SEND_TYPE_SEND_LIST   =      3;
	int	SEND_TYPE_RECV_LIST   =      4;
	int	SEND_TYPE_SEND_CONT   =      5;
	int	SEND_TYPE_RECV_CONT   =      6;
	int	SEND_TYPE_SEND_REP    =      7;
	int	SEND_TYPE_RECV_REP    =      8;
	int	SEND_TYPE_FILE_CONV   =      9;
	int ALINK_HEADER_SIZE	  =		 120;
	static String call_ip  	   = "";
	static int call_port  	   = 0;




	public static final String	_crlf	= new String(new char[]{(char)10});

	public AnylinkSender(String serverGubun) throws Exception {
		real_gb_path = serverGubun;
	}

	public byte[] jmapperCall(byte[] data) throws Exception {

	    WebtConnection con = null;
	    WebtBuffer sndbuf = null;
	    WebtBuffer rcvbuf = null;

	    //String serviceName = "JMAPPER4";
	    String serviceName = "JMAPPER5";
	    byte[] rtnValue = null;
	    int rtnLen = 0;

//	    #LOCAL, UAT, PROD
//	    if("R".equals(real_gb_path)){
	    if("PROD".equals(real_gb_path)){
	    	call_ip = "21.98.249.51";
	    	call_port = 7777;
		}else{
			call_ip = "21.98.247.100";
			call_port = 17777;
		}

	    try {
	    	 logger.info("111");
	    	 // Test를 위해서 IP, PORT 직접입력.
	    	 con = new WebtConnection(call_ip, call_port);
	    	 logger.info("222");

	     } catch (Exception e) {
	         e.printStackTrace();
	         throw e;
		 }
	     try {
	         WebtRemoteService service = new WebtRemoteService(serviceName, con);
	         sndbuf = service.createCarrayBuffer(data.length);
	         logger.info(">>>>>>>>>>>>>>>>>>>>>sndbuf = [" + new String(data) + "] [" + data.length +"]");
	         sndbuf = service.createCarrayBuffer();
	         sndbuf.setBytes(data);
	         logger.info(">>>>>>>>>>>>>>>>>111");
	         rcvbuf = service.tpcall(sndbuf);
	         logger.info(">>>>>>>>>>>>>>>>>222");
	         rtnLen = rcvbuf.getBytes().length - ALINK_HEADER_SIZE;
	         logger.info(rcvbuf.getBytes().length + ":"+rtnLen);
	         logger.info(">>>>>>>>>>>>>>>>>333");
	         rtnValue = new byte[rtnLen];
	         System.arraycopy(rcvbuf.getBytes(), ALINK_HEADER_SIZE, rtnValue, 0, rtnLen);

	     } catch (WebtServiceFailException se) {
	     	logger.info("["+se.getTPError()+ "]["+se.getTPErrorMessage()+"][Exception]");
	         se.printStackTrace();
	         throw se;
	     } catch (WebtException we) {
	     	logger.info("["+we.getTPError()+ "]["+we.getTPErrorMessage()+"][Exception]");
	     	logger.info("[WebtException]"+we.getMessage());
	        we.printStackTrace();
	        throw we;
	     } catch (Exception e)	{
	     	logger.info("[Exception]"+e);
	     	e.printStackTrace();
	     	throw e;
	     } finally {
	         con.close();
	     }
	     return rtnValue;
	 }
	public byte[] makeHeader(String instCode, String applCode, String kindCode, String txCode, String data)
    {

        byte[] magic    	= new byte[4];
        byte[] seqno    	= new byte[4];
        byte[] reqtype  	= new byte[4];
        byte[] msgtype  	= new byte[4];
        byte[] flags    	= new byte[4];
        byte[] etc  	    	= new byte[4];
        byte[] etc2		= new byte[4];
        byte[] inst_code	= new byte[4];
        byte[] appl_code	= new byte[4];
        byte[] kind_code	= new byte[8];
        byte[] tx_code 		= new byte[32];
        byte[] msg_uid		= new byte[10];
        byte[] log_id  		= new byte[28];
        byte[] resvd		= new byte[6];

        ByteArrayOutputStream outStrm = new ByteArrayOutputStream();

        try{

        	System.out.println("data =["  + data + "]");
        	magic = htonl(5555);//고정 5555
        	outStrm.write(magic);

        	seqno = htonl(0);//??
        	outStrm.write(seqno);

        	reqtype = htonl(REQ_EXTERNAL);//대외요청인지 대내요청인지 .....
        	outStrm.write(reqtype);

        	msgtype = htonl(AL_MSG_DATA);//고정 101
        	outStrm.write(msgtype);

        	flags = htonl(0);//에러가 발생한 경우 에러코드가 설정된다.
        	outStrm.write(flags);

        	etc = htonl(0);//미지정
        	outStrm.write(etc);

        	etc2 = htonl(0);//Mapper에서 포맷 에러를 매핑할 때 TP_NOREPLY가 설정된다
        	outStrm.write(etc2);

            inst_code = addSpace(instCode, instCode.length(), 4).getBytes(); //기관코드를 설정한다.(신정원 : KCI)
            outStrm.write(inst_code);
            appl_code = addSpace(applCode, applCode.length(), 4).getBytes();//업무코드를 설정한다. (KCJM)
            outStrm.write(appl_code);
            kind_code = addSpace(kindCode, kindCode.length(), 8).getBytes();//대표전문종별코드를 설정한다. (전문종별코드 0200)
            outStrm.write(kind_code);
            tx_code = addSpace(txCode, txCode.length(), 32).getBytes();//거래코드를 설정한다. (업무구분코드 237)
            outStrm.write(tx_code);
            msg_uid = addSpace(" ", 1, 10).getBytes();//전문고유번호를 설정한다.
            outStrm.write(msg_uid);
            log_id = addSpace(" ", 1, 28).getBytes();//마스터 로그의 LOG_ID를 설정한다.
            outStrm.write(log_id);
            resvd = addSpace(" ", 1, 6).getBytes();//VO 전문의 경우 '01'이 설정된다.
            outStrm.write(resvd);
            //outStrm.write(data.getBytes());
            outStrm.write(data.getBytes("EUC-KR"));

            //ByteArrayOutputStream
            System.out.println("data222 =["  + data + "]");
            //data부 헤더는 94바이트로 갈예정임... 상세 값 및 정의는 업무단에서 정의해준데로 하기로 ...

        }catch(Exception e)	{
        	e.printStackTrace();
        }

        return outStrm.toByteArray();
    }

    public String addSpace(String arg, int size, int totSize)	{
    	if(arg.length() == totSize)
    		return arg;
     	while(arg.length() < totSize) {
    		arg += " ";
    	}
     	byte[] tmp = arg.getBytes();
     	tmp[size] = 0x00;
     	arg = new String(tmp);
    	return arg;
    }

    public String addZero(String arg, int size)	{
    	if(arg.length() == size)
    		return arg;

    	int loop = size - arg.length();
    	String zero = "";
    	for(int i=0; i< loop; i++)	{
    		zero += "0";
    	}
    	arg = zero + arg;

    	return arg;
    }

    public byte[] htonl(int arg)	{
    	byte[] bigEndian = new byte[4];
    	bigEndian[0]=(byte)((arg&0xFF000000)>>24);
    	bigEndian[1]=(byte)((arg&0x00FF0000)>>16);
    	bigEndian[2]=(byte)((arg&0x0000FF00)>>8);
    	bigEndian[3]=(byte) (arg&0x000000FF);
    	return bigEndian;
    }
}
