﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var tabIndex = 0;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");  
}

// 화면로드시 발생하는 이벤트
function screen_on_load(){
    console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	// 상품소분류 코드
	SYSTran.getComCode(this.screen, "B00049", this.DS_CD_B00049, true);
	// 관리처구분 코드
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226, true);
	
	// 상품대분류 코드
	SYSTran.getDicByNo( this.screen, this.DS_DIC_BT_PRDT_CLAS_LGMID);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.insertrow(0);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"code","");
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"value","- 선택 -");
	this.cboPrdtLrgeMidClasCd.settext("");
	
	// 관리부서 코드
	this.DS_HT_ORG.copy(G_DEPT,"");
	SYSUtil.addComboAllColumn(this.cboMngDeptCd);

	
	this.ue_init();
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	var gridObj;
	var gridDs;
	var excelNm;
	var isData = true;
	
	switch(this.tabSetlDdDlyDesc.gettabitemfocus()) {
		case 0:
			gridDs = this.DS_REPT;
			excelNm = "결제일자별연체현화조회(회수실적)_" + this.calStndDt.gettext() + ".xlsx"
			gridObj = this.grdAsk;
			break;
		case 1:
			gridDs = this.DS_SPEC;
			excelNm = "결제일자별연체현화조회(명세)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdSpec;
			break;
	}
	
	if(gridDs.getrowcount() > 0){
		gridObj.downloadexcel(excelNm);
	} else {
		var strTitle    = "엑셀다운로드 알림"; 
		var strMsg      = "데이터가 없습니다.";
		var nBtnType    = 1;
		var strMsgId    = "message01";
		// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
		SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	
	if (this.calStndDt.value == "" || SYSUtil.isEmpty(this.DS_SEARCH.getcolumn("stndDt"))) {
		SYSUtil.comAlert("기준일자는 필수 입력 항목입니다.");
		this.calStndDt.setfocus();
		return false;
	}
	
	if(tabIndex == 0) {
		SYSTran.requestSubmitAsync(this.screen, "BDLDLM02S01");
	} else {
		SYSTran.requestSubmitAsync(this.screen, "BDLDLM02S02");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	
}

// 공통 저장 버튼 이벤트
function ue_update(){

}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	// 기준일자 오늘날짜로 셋팅
	this.condition_init();
	this.newProc();
	this.DS_REPT.init();
	this.DS_SPEC.init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
// 통합검색팝업 버튼 클릭시 발생하는 이벤트
function btn_loanNoSrch_on_mouseup(objInst)
{
	console.log("call :: btn_loanNoSrch_on_mouseup");
    var param ={};
	var loanNo = this.edtLoanNo.gettext();
	
    if(!SYSUtil.isEmpty(loanNo)){
		param.loanNo = loanNo;
	}
	
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}



/**************************************
 * 검색조건 변경 초기화
 **************************************/
function condition_init()
{

	// 현황
	this.calStndDt.setenable(true);
	this.cboPrdtSmClasCd.setenable(true);
	this.cboMngDeptCd.setenable(true);
	
	if(tabIndex == 0 ) {
	
		//--combo_MngPlcDivCd.enable  = true;
		this.edtLoanNo.setenable(false);
		this.edtLoanSeq.setenable(false);
		this.btnLoanNoSrch.setenable(false);
		this.chkSetlDd.setenable(true);
		this.chkMngDeptCd.setenable(true);
		this.chkBndDivsEmpNo.setenable(true);
		this.chkDlyTcnt.setenable(true);
		this.chkSetlDd.settext('1');
		this.chkMngDeptCd.settext('1');
		this.chkBndDivsEmpNo.settext('0');
		this.chkDlyTcnt.settext('0');
		this.staMsg.setvisible(false);
	} else {
		// 명세서
		//--combo_MngPlcDivCd.enable  = true;
		this.edtLoanNo.setenable(true);
		this.edtLoanSeq.setenable(true);
		this.btnLoanNoSrch.setenable(true);
		this.chkSetlDd.setenable(false);
		this.chkMngDeptCd.setenable(false);
		this.chkBndDivsEmpNo.setenable(false);
		this.chkDlyTcnt.setenable(false);
		this.chkSetlDd.settext('0');
		this.chkMngDeptCd.settext('0');
		this.chkBndDivsEmpNo.settext('0');	
		this.chkDlyTcnt.settext('0');
		this.staMsg.setvisible(true);
	}
}

/**************************************
 * 신규버튼 누를시 초기값 세팅 
 **************************************/
function newProc()
{
	var today = SYSUtil.getToday("");
	// 공통
	this.calStndDt.settext(today);
	this.cboPrdtSmClasCd.settext("");
	this.cboMngDeptCd.settext("");
	//--combo_MngPlcDivCd.settext("20");
	//combo_MngPlcDivCd.settext("");
	this.calLoanDtFr.settext("200001");
	this.calLoanDtTo.settext(today.substr(0,6));
	
	this.cboPrdtLrgeMidClasCd.settext("");
	
	this.edtThmmComgTimsFr.settext("");
	this.edtThmmComgTimsTo.settext("");
	this.edtBndDivsEmpNo.settext("");
	this.edtBndDivsEmpNm.settext("");
	this.cboPrdtSmClasCd.settext("");
	this.edtLoanNo.settext("");
	this.edtLoanSeq.settext("");
	
	if(tabIndex == 0 ) {
		// 현황 
		this.edtDlyTcntFr.settext("");
		this.edtDlyTcntTo.settext("");
		this.cboSetlDDFr.settext("");
		this.cboSetlDDTo.settext("");
	} else {
		// 명세서
		this.edtDlyTcntFr.settext("1");
		this.edtDlyTcntTo.settext("999");
		this.cboSetlDDFr.settext("01");
		this.cboSetlDDTo.settext(today.substr(6,2));
	}
}

/**************************************
 * 탭 변경 이벤트
 **************************************/
function tabSetlDdDlyDesc_on_itemchange(objInst, itemindex)
{
	console.log("call ::: tabSetlDdDlyDesc_on_itemchange");
	tabIndex = itemindex;
	this.condition_init();
	this.newProc();
}

function popupCallback(objExtdata) {

	if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
	} else if(objExtdata.popId == "CCMCMP05"){
		if(objExtdata.empNo !== undefined){
			this.edtBndDivsEmpNo.settext(objExtdata.empNo);
			this.edtBndDivsEmpNm.settext(objExtdata.korName);
		} 
	}
}

function edtBndDivsEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
			// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"HTEMPBASE01"};
		// 팝업 Title
		var popupTitle = "데이타사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}