﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
		
	SYSTran.getComCode(this.screen, "B00049", this.DS_CD_B00049, true); // 상품소분류 코드
	SYSTran.getComCode(this.screen, "S00138", this.DS_CD_S00138, true); // 물품구분 코드
	SYSTran.getComCode(this.screen, "B00051", this.DS_CD_B00051, true); // 자산건전성분류 코드
	
	// 관리부서 코드
	this.DS_HT_ORG.copy(G_DEPT,"");
	SYSUtil.addComboAllColumn(this.cboMngDept);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_PRDT_CLAS_LGMID);
	
	this.DS_DIC_BT_PRDT_CLAS_LGMID.insertrow(0);
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"code","");
	this.DS_DIC_BT_PRDT_CLAS_LGMID.setdatabyname(0,"value","- 선택 -");
	this.cboPrdtLrgeClasCd.settext("");
	
	this.ue_init();
	console.log("#### screen_on_load() call");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	var gridObj;
	var gridDs;
	var excelNm;
	var isData = true;
	switch(this.tabDlyTmby.gettabitemfocus()) {
		case 0:
			gridDs = this.DS_SDDO01;
			excelNm = "연체회차(부서별)_" + this.calStndDt.gettext() + ".xlsx"
			gridObj = this.grdDept;
			break;
		case 1:
			gridDs = this.DS_SDDO02;
			excelNm = "연체회차(상품별)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdPrdt;
			break;
		case 2:
			gridDs = this.DS_SDDO03;
			excelNm = "연체회차(담당자별)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdEmp;
			break;
		case 3:
			gridDs = this.DS_SDDO04;
			excelNm = "연체회차(명세)_" + this.calStndDt.gettext() + ".xlsx";
			gridObj = this.grdSpec;
			break;			
	}
	
	if(gridDs.getrowcount() > 0){
		gridObj.downloadexcel(excelNm);
	} else {
		var strTitle    = "엑셀다운로드 알림"; 
		var strMsg      = "데이터가 없습니다.";
		var nBtnType    = 1;
		var strMsgId    = "message01";
		// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
		SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	}
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	if (this.calStndDt.value == '') {
		this.fn_validMsg("기준일자를 입력하세요.", this.calStndDt);
		return false;
	}

	if (this.edtCntSt.value == null || this.edtCntSt.value == '') {
		this.fn_validMsg("시작 연체회차를 입력하여 주십시오.", this.edtCntSt);
		return false;
	}
	
	if (this.edtCntEd.value == null || this.edtCntEd.value == '') {
		this.fn_validMsg("종료 연체회차를 입력하여 주십시오.", this.edtCntEd);
		return false;
	}
	
	if (this.edtCntSt.Value != null && this.edtCntEd.Value != null && parseInt(this.edtCntEd.Value) < parseInt(this.edtCntSt.Value)) {
		this.fn_validMsg("연체회차 검색 범위가 유효하지 않습니다.", this.edtCntEd);
		return false;
	}
	
	if (this.edtThmmComgSt.Value != null && this.edtThmmComgEd.Value != null && parseInt(this.edtThmmComgEd.Value) < parseInt(this.edtThmmComgSt.Value)) {
		this.fn_validMsg("도래회차 검색 범위가 유효하지 않습니다.", this.edtThmmComgEd);
		return false;
	}
	
	this.DS_SMDO.setdatabyname(0,"srchOpt",this.tabDlyTmby.gettabitemfocus());
	SYSTran.requestSubmitAsync(this.screen, "BDLDLM03S01");
	
}

function fn_validMsg(strMsg, focusObj){
	var strTitle    = "알림"; 
	var nBtnType    = 1;
	var strMsgId    = "message01";
	focusObj.setfocus();
	// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
	SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	// 초기 전체값 조정
	this.DS_SDDO01.init();
	this.DS_SDDO02.init();
	this.DS_SDDO03.init();
	this.DS_SDDO04.init();
	
	this.cboMngDept.settext("");
	this.cboPrdtSmClasCd.settext("");
	this.cboReptCd.settext("");
	this.cboAsetSondTp.settext("");
	this.edtThmmComgSt.settext("");
	this.edtThmmComgEd.settext("");
	this.cboSetlDdFr.settext("");
	this.cboSetlDdTo.settext("");
	this.cboMngDept.settext("");
	this.calStndDt.settext(factory.datetoday());
	
	
	this.edtCntSt.settext(2);
	this.edtCntEd.settext(3);
	
	if (this.tabDlyTmby.gettabitemfocus() == 3) {  //명세 검색
		this.edtLoanNo.setenable(true);
		this.edtLoanSeq.setenable(true);
	}
	else {
		this.edtLoanNo.setenable(false);
		this.edtLoanSeq.setenable(false);
	}
	
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "BDLDLM03S01"){
		// 그리드 컬럼 헤드 변경 필요
		var intEedCntEd = Number(this.edtCntEd.value) + 1;
		var varText1 = "구간연체회차(" + this.edtCntSt.value + "~" + this.edtCntEd.value + ")회차";
	    var varText2 = "초과연체회차(" + intEedCntEd +"회차이상)";
		switch(this.tabDlyTmby.gettabitemfocus()) {
			case 0:
				this.grdDept.setheadertext(0,4,varText1);
				this.grdDept.setheadertext(0,7,varText2);
				break;
			case 1:
				this.grdPrdt.setheadertext(0,4,varText1);
				this.grdPrdt.setheadertext(0,7,varText2);
				break;
			case 2:
				this.grdEmp.setheadertext(0,4,varText1);
				this.grdEmp.setheadertext(0,7,varText2);
				break;		
		}
		
		if(result == 0){
			var strTitle    = "오류 알림"; 
			var strMsg      = "데이터 송신중 오류가 발생하였습니다.";
			var nBtnType    = 1;
			var strMsgId    = "message01";
			
			// 메세지 처리 후 화면의 screen_on_popupdestroy() 이벤트가 호출된다. 
			SYSUtil.loadMessageBox(this.screen, strTitle, nBtnType, strMsg, strMsgId);
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		} else {
			SYSUtil.setStatusMsg("정상처리되었습니다.");
		}	
	}
}

function cboDivsMan_on_focusin(objInst)
{
	
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"HTEMPBASE01"};
	// 팝업 Title
	var popupTitle = "데이타사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function popupCallback(objExtdata) {

	if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
	} else if(objExtdata.popId == "CCMCMP05"){
		if(objExtdata.empNo !== undefined){
			this.DS_DIVS_MAN.init();
			this.DS_DIVS_MAN.addrow();
			this.DS_DIVS_MAN.setdatabyname(0, "cd", objExtdata.empNo);
			this.DS_DIVS_MAN.setdatabyname(0, "data", objExtdata.korName);	
		} 
		this.cboDivsMan.settext(objExtdata.empNo);
	}
}

function btnLoanNoSrch_on_mouseup(objInst)
{
	console.log("call :: btn_loanNoSrch_on_mouseup");
    var param ={};
	var loanNo = this.edtLoanNo.gettext();
	
    if(!SYSUtil.isEmpty(loanNo)){
		param.loanNo = loanNo;
	}
	
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function tabDlyTmby_on_itemchange(objInst, itemindex)
{
	if (itemindex == 3) {  //명세 검색
		this.edtLoanNo.setenable(true);
		this.edtLoanSeq.setenable(true);
	} else {
		this.edtLoanNo.setenable(false);
		this.edtLoanSeq.setenable(false);
	}
}