﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "deleteConfirm") {
		if (result == "확인"){
			SYSTran.requestSubmitAsync(screen,"RBMGMM02D01");
		}
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	// 공통영역 버튼 비/활성화 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", true) ;
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLBASE01);   // 주기 목록 조회
	this.DS_CYCL_SM02.copy(this.DS_DIC_RTCYCLBASE01,"");
	SYSUtil.addComboAllColumn(this.cboCyclCd);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	this.edtCyclCd.setenable(false);
	//조회조건 셋팅
	this.DS_CYCL_SM01.init();
	this.DS_CYCL_SM01.addrow();
	
	var strCyclCd = factory.stringtrim(this.cboCyclCd.getselectedcode());
	var strSetlDd = factory.stringtrim(this.edtSetlDd.gettext());
	
	//조회조건 셋팅
	
	if( !SYSUtil.isEmpty(strCyclCd ) ){
		this.DS_CYCL_SM01.setdatabyname(0, "cyclCd", strCyclCd);	//코드로 조회
	}else if( !SYSUtil.isEmpty(strSetlDd ) ){
		if(strSetlDd.length == 1){
			strSetlDd = "0" + strSetlDd;
		}
		this.DS_CYCL_SM01.setdatabyname(0, "setlDd", strSetlDd);	//결제일로 조회
	}
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM02S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
	this.DS_CYCL_SM_C.init();
	this.DS_CYCL_SM_C.addrow();
	
	for( var i=0; i < this.DS_CYCL_SD.getcolumncount(); i++){
		this.DS_CYCL_SD.setdata(0, i, "0");
	}
	this.DS_CYCL_SM_C.setdatabyname(0,"RT","I");
	this.edtCyclCd.setenable(true);
	this.grdCycl.resetselectitem();
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	var strCyclCd = this.DS_CYCL_SM_C.getdatabyname(0, "cyclCd");
	var strCyclNm = this.DS_CYCL_SM_C.getdatabyname(0, "cyclNm");
	var strCyclDesc = this.DS_CYCL_SM_C.getdatabyname(0, "cyclDesc");
	
	/*
	gf_TraceDebug( "strCyclNm byte : " + Lengthb( strCyclNm ) );
	gf_TraceDebug( "strCyclNm char : " + Length( strCyclNm ) );
	gf_TraceDebug( "strCyclDesc byte : " + Lengthb( strCyclDesc ) );
	gf_TraceDebug( "strCyclDesc char : " + Length( strCyclDesc ) );
	*/
	
	if(SYSUtil.isEmpty( strCyclCd ) ){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기코드는 필수입력항목입니다.", "message01");
		return false;
	}
	
	if( strCyclCd.length != 4 ){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기코드는 4자리로 입력하세요.", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(strCyclNm ) ){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기명은 필수입력항목입니다.", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(strCyclDesc ) ){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기설명은 필수입력항목입니다.", "message01");
		return false;
	}
	
	var rowType = this.DS_CYCL_SM_C.getrowoperation(0);
	var intSMCnt = 1;
	if(factory.stringtrim(rowType) == ''){
		intSMCnt = 0;
	} 
	
	var intSDCnt = this.fn_MakeDetlDs();
	if( intSDCnt < 0){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "결제일은 하나이상 선택해야합니다.", "message01");
		return false;
	}
	
	if( (intSMCnt + intSDCnt) < 1){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "변경된 건이 없습니다.", "message01");
		return false;
	}
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM02I01");
	
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	var rowType = this.DS_CYCL_SM_C.getdatabyname(0,"RT");
	if(rowType == "I"){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "조회된 데이터가 아니므로 삭제할수 없습니다.", "message01");
		return false;
	}
	
	var strCyclCd = this.DS_CYCL_SM_C.getdatabyname(0,"cyclCd");
	if(SYSUtil.isEmpty(strCyclCd)){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주기코드는 필수입력항목입니다.", "message01");	
		return false;
	}
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, strCyclCd + " 주기를 삭제하시겠습니까?", "deleteConfirm");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	this.edtCyclCd.setenable(true);
	this.cboCyclCd.settext("");
	this.edtSetlDd.settext("");
	this.DS_CYCL_SM_C.init();
	this.DS_CYCL_SM.init();
	for( var i=0; i < this.DS_CYCL_SD.getcolumncount(); i++){
		this.DS_CYCL_SD.setdata(0, i, "0");
	}
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
// submit callback 이벤트
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "RBMGMM02I01" ){
		if(result < 0 ){
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "시스템 오류가 발생하였습니다. 관리자에게 문의하세요.", "message01");
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		}
		
		if(recv_code == "1"){
			this.ue_query();
		}
	} else if(mapid == "RBMGMM02S01"){
		if(this.DS_CYCL_SM.getrowcount() > 0){
			this.grdCycl.setselectrow(0, false, true);
			this.grdCycl_on_itemclick(null, 0, null, null, null, null);
		}
	} else if(mapid == "RBMGMM02D01"){
		if(result < 0 ){
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "시스템 오류가 발생하였습니다. 관리자에게 문의하세요.", "message01");
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "삭제처리 되었습니다.", "message01");
		}
		this.ue_query();
	}
}

// grid 선택 이벤트 > 상세 조회 호출
function grdCycl_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{	
	this.edtCyclCd.setenable(false);
	this.DS_CYCL_SM_C.setdatabyname(0,"RT","U");
	//Dataset copy
	console.log("call ::: grdCycl_on_itemclick");
	var strCyclCd = this.DS_CYCL_SM.getdatabyname(nClickRow, "cyclCd");
	
	this.DS_CYCL_SM_C.init();
	this.DS_CYCL_SM_C.copyrow(this.DS_CYCL_SM,nClickRow,0);
	
	if(SYSUtil.isEmpty(strCyclCd)){
		return false;
	}
	
	//조회조건 셋팅
	this.DS_CYCL_SM01.init();
	this.DS_CYCL_SM01.addrow();
	this.DS_CYCL_SM01.setdatabyname(0, "cyclCd", strCyclCd);	//코드로 조회
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM02S02");
}

// 상세그리드 데이터셋 생성
function fn_MakeDetlDs(){
	this.DS_CYCL_SD_C.init();

	var strOrgVal = "";
	var strAfterVal = "";
	var strDd = "";
	var intCreateCnt = 0;
	var intTrueCnt = 0;
	
	for(var i=0; i < this.DS_CYCL_SD.getcolumncount(); i++){
		strOrgVal = this.DS_CYCL_SD.getorgdata(0, i);
		strAfterVal = this.DS_CYCL_SD.getdata(0, i);
		strDd = this.DS_CYCL_SD.getcolumnid(i).substr(6);

		if( strAfterVal == "1" ){
			intTrueCnt++;
		}
		
		//gf_TraceDebug(  "strOrgVal : " + strOrgVal );
		//gf_TraceDebug(  "strAfterVal : " + strAfterVal );
		
		if( strAfterVal == "1"){
			this.DS_CYCL_SD_C.addrow();
			this.DS_CYCL_SD_C.setdatabyname( intCreateCnt, "RT", "I" );
			this.DS_CYCL_SD_C.setdatabyname( intCreateCnt, "cyclCd", factory.stringtrim(this.edtCyclCd.gettext()));
			this.DS_CYCL_SD_C.setdatabyname( intCreateCnt, "setlDd", strDd );
			intCreateCnt++;			
		}
	}
	
	if( intTrueCnt < 1 ){
		return -1;
	}
	
	return intCreateCnt;
}