﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// Hidden Value ...
var tmp_loanNo  = "";  //대출번호
var tmp_loanSeq = "";  //대출순번
var tmp_setlNo  = "";  //결제번호
var tmp_midPamt = 0;   //조기상환원금
var tmp_Today   = "";  //현재일자
var focusObj;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	if(popup_name == "msg04" && focusObj != null){
		focusObj.setfocus(true);
	}
}

//화면 로드시 발생하는 이벤트
function screen_on_load()
{
	// 데이터셋 초기화
	this.DS_SEARCH.init();
	this.DS_SEARCH.addrow();
		
	// 화면이동으로 넘어올경우 파라미터 세팅
	if(this.EXTRA_DATA != null){
		this.edt_loanNo.settext(this.EXTRA_DATA.loanNo);
		this.edt_loanSeq.settext(this.EXTRA_DATA.loanSeq);
		this.cal_EarlRmbrSchdDt.settext(this.EXTRA_DATA.rsrvDt);
		
		this.ue_query();
	}
	
	// 공통 인쇄 버튼 숨김 처리		
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	// 현재날짜 세팅
	tmp_Today = factory.datetoday();
	
	this.cal_EarlRmbrSchdDt.settext(tmp_Today);
	
	//콤보 박스 설정
	SYSTran.getComCode(this.screen, "R00138" , this.DS_CD_R00138);  // 상환사유
	SYSTran.getComCode(this.screen, "R00139" , this.DS_CD_R00139);  // 조기상환처리상태
		
	// 포커스
	this.tab_0.settabitemfocus(0);	
	this.edt_loanNo.setfocus();
}
/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	if(this.DS_SEARCH.getdatabyname(0,"loanNo").length != 11){
		SYSUtil.loadMessageBox(this.screen, "안내", 1 , "고객번호(대출번호)를 확인하세요.", "msg04");
		return false;
	}
	if(factory.stringtrim(this.DS_SEARCH.getdatabyname(0,"earlRmbrSchdDt")).length  != 8){
		SYSUtil.loadMessageBox(this.screen, "안내", 1 , "조기상환 예정일자를 확인하세요.", "msg04");
		focusObj = this.cal_EarlRmbrSchdDt;
		return false
	}
	
	this.DS_SEARCH.setdatabyname(0, "dsrcNo" , this.DS_SETLINFO.getdatabyname(0, "dsrcNo"));
	
	if(tmp_loanNo == this.edt_loanNo.gettext() && tmp_loanSeq == this.edt_loanSeq.gettext()){
		var tempPartPamt = this.edt_partRmbrPamt.gettext();
		this.DS_SEARCH.setdatabyname(0, "partRmbrPamt" , tempPartPamt);
		
	}else{
		this.DS_SEARCH.setdatabyname(0,"partRmbrPamt" , "");
		this.fn_PreSearchInit();
	}
	
	// 초기화
	this.DS_SM.init();
	this.DS_BND.init();
	this.DS_TIMEUNRCV.init();
	this.DS_SETLINFO.init();
	this.edt_rcptTamt.settext("");
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCMNM01S01");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{

	}	
	screen.setscreenprotect(false); //화면잠금해제
}

// 공통 저장 버튼 이벤트
function ue_update(){
	
	// preSave Start
	if (this.DS_SM.getrowcount() == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회 후 실행하십시오.", "msg04");	
		return false;	
	}
	
	if(this.DS_MID_RMBR_RSRV.getdatabyname(0, "prgsStatCd") == "1") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "이미 예약등록된 건이 존재합니다.", "msg04");	
		return false;
	}
	
	if (this.DS_SEARCH.getdatabyname(0, "earlRmbrSchdDt") != tmp_setlNo) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조기상환예정일 변경후 다음업무를 진행할 수 없습니다.(조회 후 가능)", "msg04");	
		return false;
	}
	if (this.fn_nvl(this.DS_BND.getdatabyname(0, "partRmbrPamt"),0) != this.fn_nvl(tmp_midPamt,0)) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조기상환원금 변경후 다음업무를 진행할 수 없습니다.(조회 후 가능)", "msg04");	
		return false;
	}
	if (this.DS_SM.getdatabyname(0, "loanStatCd") != "22") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출상태를 확인하십시오.", "msg04");	
		return false;
	}
	if (this.DS_SM.getdatabyname(0, "eprtDt").replace("-","") <= this.DS_SEARCH.getdatabyname(0,"earlRmbrSchdDt")) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "만기일 이후는 조기상환할 수 없습니다.", "msg04");	
		return false;
	}
	
	// 수납금액체크
	var rcptTamt = Number(this.fn_nvl(this.edt_rcptTamt.gettext(),"0"));
	if (rcptTamt <= 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조기상환 수납할 금액이 없습니다.", "msg04");	
		return false;
	}
	if (rcptTamt < Number(this.DS_BND.getdatabyname(0, "srcpRamt"))) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조기상환수납총액이 가수잔액보다 작습니다.", "msg04");	
		return false;
	}
	if (rcptTamt > Number(this.DS_BND.getdatabyname(0, "tamtRmbrObjAmt"))) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조기상환수납총액이 전액상환대상금액을 초과할 수 없습니다.", "msg04");	
		return false;
	}
	console.log(this.cal_EarlRmbrSchdDt.gettext());
	console.log(tmp_Today);
	if (this.cal_EarlRmbrSchdDt.gettext() != tmp_Today) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "상환예정일 확인! 당일 예약만 가능합니다.", "msg04");	
		return false;
	}
	if (this.DS_BND.getdatabyname(0, "dlyDdcnt") > 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "연체중일 경우 예약이 불가능합니다.", "msg04");	
		return false;
	}
	// preSave End
	
	this.DS_SEARCH.setdatabyname(0, "userNo"     , G_EMP_INFO.getdatabyname(0,"USER_NO"));
	this.DS_SEARCH.setdatabyname(0, "addTermInt" , this.DS_SM.getdatabyname(0,"addTermInt"));
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCMNM01I01");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{

	}	
	screen.setscreenprotect(false); //화면잠금해제
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	
	// preDelete start
	if(this.Check_Validate()){
		return false;
	}
	
	if(this.DS_MID_RMBR_RSRV.getdatabyname(0, "prgsStatCd") != "1") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "예약등록된 건이 없습니다.", "msg04");	
		return false;
	}
	
	if (!SYSUtil.comConfirm("예약취소 하시겠습니까?")) {
		return false;
	}  
	
	this.DS_SEARCH.setdatabyname(0, "userNo", G_EMP_INFO.getdatabyname(0,"USER_NO"));
	// preDelete end
	
	screen.setscreenprotect(true); //화면잠금해제
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCMNM01D01");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{

	}	
	screen.setscreenprotect(false); //화면잠금해제
	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	//dataset 초기화
	this.DS_SEARCH.init();
	this.DS_SM.init();
	this.DS_BND.init();
	this.DS_SETLINFO.init();	
	this.DS_TIMEUNRCV.init();
	
	this.DS_SEARCH.addrow();
	
	//날짜 초기화
	this.edt_rcptTamt.settext(0);
	this.cal_EarlRmbrSchdDt.settext(factory.datetoday);
	
	this.edt_loanNo.setfocus();
	
}

//SYSTran.requestSubmitAsync() 함수 이후 실행되는 함수.
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	// 조회
	if(mapid == "RRCMNM01S01" && recv_code == "0000"){
		
		var AcctUnitCd = this.DS_SM.getdatabyname(0, "acctUnitCd");
		if(AcctUnitCd != "W01"){
			this.edt_FlotChk.settext("자산유동화 "+AcctUnitCd+"건 입니다.");
		}else{
			this.edt_FlotChk.settext("");
		}
			
		// Hiddedn Value Setting
		this.Set_Temp_Value();
		
		// 데이터셋 초기화
		this.DS_SETLINFO.init();
		this.DS_SETLINFO.addrow();
			
		// 중도상환대상금액
		var pObjAmt  = Number(this.DS_BND.getdatabyname(0, "partRmbrObjAmt"));
		var srcpRamt = Number(this.DS_BND.getdatabyname(0, "srcpRamt"));
			
		this.edt_rcptTamt.settext(pObjAmt);
		
		// 툴팁 생성
		this.setToolTip();
	}
	// 삭제
	else if(mapid == "RRCMNM01D01" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "예약취소되었습니다.", "msg04");	
		this.ue_query();
	}
	// 저장
	else if(mapid == "RRCMNM01I01" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "예약되었습니다.", "msg04");	
		this.ue_query();
	}
}
/**	
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanSeq.settext(objExtdata.loanSeq);
			this.edt_CustNm.settext(objExtdata.custNm);
		}
	}else{
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_loanNo.settext("");
			this.edt_loanSeq.settext("");			
		}
	}
}
/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

//툴팁
function setToolTip(){
	
	// 전액상환금액 툴팁
	this.edt_tamtRmbrObjAmt.settooltiptext(
		" ■ 전액상환 대상금액 = 원금잔액 + 이자정산금액 + 연체료 + 조기상환수수료\n"+
		" ☞ 원금잔액("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"tamtRmbrPamt"))+")\n"+
		" + 이자정산금액("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"totMidRmbrInt"))+")\n"+
		" + 연체료(" + factory.getformatmoney(this.DS_BND.getdatabyname(0,"dfee"))+")\n"+
		" + 조기상환수수료(" + factory.getformatmoney(this.DS_BND.getdatabyname(0,"tamtRmbrFee")) +")"
	);
	
	// 고객실입금액 툴팁
	this.edt_MaskEdit0.settooltiptext(
		" ■ 고객실입금액 = 조기상환수납총액 - 조기상환면제수수료 - 가수잔액\n" +
		" ☞ 조기상환수납총액("+factory.getformatmoney(this.edt_rcptTamt.gettext())+")\n" +
		" - 조기상환면제수수료("+factory.getformatmoney(this.DS_SETLINFO.getdatabyname(0,"exmpMidRmbrFee"))+")\n" +
		" - 가수잔액("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"srcpRamt"))+")"
	);
	
	// 조기상환수납총액 툴팁
	this.edt_rcptTamt.settooltiptext(
		" ■ 조기상환수납총액 = 조기상환원금 + 이자정산금액 + 연체료\n" +
		"                     + 조기상환수수료 + 인지세 - 취급수수료할인\n" +
		" ☞ 조기상환원금("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"partRmbrPamt"))+")\n" + 
		" + 이자정산금액("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"totMidRmbrInt"))+")\n" + 
		" + 연체료("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"dfee"))+")\n" + 
		" + 조기상환수수료("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"partRmbrFee"))+")" + " + 인지세("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"stmpFeeRamt"))+")\n" +
		" - 취급수수료할인("+factory.getformatmoney(this.DS_BND.getdatabyname(0,"trtFeeDisc"))+")" 
	);
}


/*******************************
* 조회 전 DS_SEARCH 초기화
********************************/
function fn_PreSearchInit() {
	this.DS_SEARCH.setdatabyname(0,"preSetlAmt","");
	this.DS_SEARCH.setdatabyname(0,"preRcptTpCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcctDt","");
	this.DS_SEARCH.setdatabyname(0,"preBankCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcntNo","");
	this.DS_SEARCH.setdatabyname(0,"preIsrtDeptCd","");
	this.DS_SEARCH.setdatabyname(0,"preTrOrgCd","");
	this.DS_SEARCH.setdatabyname(0,"preGiroSnum","");
	this.DS_SEARCH.setdatabyname(0,"preGiroDivCd","");
	this.DS_SEARCH.setdatabyname(0,"preAcctUnitCd","");
}

/*******************************
* 히든값 세팅
********************************/
function Set_Temp_Value() {
	
	tmp_loanNo  = this.edt_loanNo.gettext();          // 대출번호
	tmp_loanSeq = this.edt_loanSeq.gettext();         // 대출순번
	tmp_setlNo  = this.cal_EarlRmbrSchdDt.gettext();  // 조기상환예정일
	tmp_midPamt = this.edt_partRmbrPamt.gettext();	// 조기상환원금
}


function edt_loanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edt_loanSeq.settext("01");
	}
}

function btn_Search_cust_on_click(objInst)
{
	///업무화면으로 전달할 데이터
	var param = {"GUBUN" : "SELECT" , "loanNo" : this.edt_loanNo.gettext(), "loanSeq" : this.edt_loanSeq.gettext()};
	//팝업 title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath , param);
}

// 조회 버튼 클릭 이벤트
function btn_sch_on_click(objInst)
{
	this.ue_query();
}

// 부분상환스케줄 버튼 클릭 이벤트
function btn_Image2_on_click(objInst)
{
	if(this.DS_SEARCH.getdatabyname(0,"loanNo").length < 1 || this.DS_SEARCH.getdatabyname(0,"loanSeq").length < 1 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호, 순번을 입력하세요", "msg04");	
		return;
	}
	
	var f_pamtRamt     = Number(this.DS_SM.getdatabyname(0,"loanPamtRamt"));	
	var f_dlyPamt      = Number(this.DS_BND.getdatabyname(0,"dlyPamt"));
	var f_partRmbrPamt = Number(this.DS_BND.getdatabyname(0,"partRmbrPamt"));
	var f_balPamt      = f_pamtRamt - f_partRmbrPamt;
	
	var f_loanNo       = this.DS_SEARCH.getdatabyname(0,"loanNo");
	var f_loanSeq      = this.DS_SEARCH.getdatabyname(0,"loanSeq");
	var f_tims         = this.DS_BND.getdatabyname(0,"midRmbrTims");
	var f_rmbrDt       = this.DS_SEARCH.getdatabyname(0,"earlRmbrSchdDt");
	
	var sendData = {"arg_AutoSearch": "Y" , "arg_LoanNo": f_loanNo, "arg_LoanSeq": f_loanSeq, "arg_Tims": f_tims , "arg_RmbrDt": f_rmbrDt, "arg_PamtRamt": f_balPamt};

	// 팝업 Title
	var popupTitle = "중도상환계획조회";

	//팝업 경로
	var popupPath = "/BIZ/R/RC/RC/RRCRCP03";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, sendData) ;
}

// 계산기 수납금액 -> 부분상환원금 계산
function edt_calcRcptAmt_on_changed(objInst, prev_text, curr_text, event_type)
{
	var pamt = this.fn_calcMidRmbrPamt(this.DS_BND, this.DS_SEARCH.getdatabyname(0, "earlRmbrSchdDt"), curr_text);
	this.edt_CalcPartPamt.settext(pamt);
}


/*******************************************************************************
* 기  능 : 중도상환원금 계산기 (중도상환총액을 입력시 중도상환 원금 산출)
* 입력값 : DS_BND
* 입력값 : setlDt
* 리턴값 : number(중도상환원금)
*******************************************************************************/
function fn_calcMidRmbrPamt(bndVO, setlDt, midRmbrAmt) {
	// 원리금수납용 원금, 이자, 연체료
	var piPamt = 0;
	var piInt  = 0;
	var rlTamt  = Number(midRmbrAmt);
	var stmpFee = Number(bndVO.getdatabyname(0, "stmpFeeRamt"));
	
	// 연체이거나 결제일 당일일 경우 사용
	if (bndVO.getdatabyname(0, "dlyDdcnt")>0) {
		//Trace("연체 원리금 --------------("+bndVO.getdatabyname(0, 'dlyPamt')+" + "+bndVO.getdatabyname(0,  'dlyInt') + ")");
		piPamt += Number(bndVO.getdatabyname(0, "dlyPamt"));
		piInt  += (Number(bndVO.getdatabyname(0, "dlyInt")) + Number(bndVO.getdatabyname(0, "dfee")));
	}
	if (bndVO.getdatabyname(0, "setlDt")==bndVO.getdatabyname(0, "thmmRlDueDt")) {
		//Trace("결제일 당일 원리금 --------("+bndVO.getdatabyname(0, 'normPamt')+" + "+bndVO.getdatabyname(0, 'normInt') + ")");
		piPamt += Number(bndVO.getdatabyname(0, "normPamt"));
		piInt  += Number(bndVO.getdatabyname(0, "normInt"));
	}
	rlTamt = rlTamt - (piPamt+piInt+stmpFee);
	
	//  1.   중도상환수수료 0%       : 0원
	//  2.   1년미만                           : 중도원금 * 중도수수료율% * 잔존기간/(대출기간-30)
	//  3-1. 1년이상, 수수료율 1%미만 : 중도원금 * 중도수수료율%
	//  3-2. 1년이상, 수수료울 1%이상 : 부대비용(중도원금*1%) + 중도원금 *(중도수수료율%-1%)*잔존기간/(대출기간-30)
	
	var rmbrInt  = Number(bndVO.getdatabyname(0, "midRmbrInt"));			// 중도상환이자
	var feeRt    = Number(bndVO.getdatabyname(0, "midRmbrFeeRt"))/100;	// 중도상환수수료율
	var costRt   = 1.00/100;											// 부대비용율
	var totDdcnt = Number(bndVO.getdatabyname(0, "loanTotDdcnt"));		// 대출총일수
	var balDdcnt = Number(bndVO.getdatabyname(0, "midRmbrBalDdcnt"));		// 잔존일수
	if (totDdcnt - balDdcnt < 30) {
		balDdcnt = totDdcnt - 30;
	}
	
	var feeLog = "";
	var calcFee = 0.0;
	if (feeRt==0) {
		calcFee = 0;
	} else if (this.rf_yrDdCnt(bndVO.getdatabyname(0, "loanDt"))>totDdcnt) {
		//feeLog += "1년미만 (부대비용 X)";
		calcFee = feeRt * balDdcnt / (totDdcnt-30);
	} else {
		if (feeRt<0.01) {
			//feeLog += "1년이상, 수수료율 1%미만 (부대비용X)";
			calcFee = feeRt;
		} else {
			//feeLog += "1년이상, 수수료율 1%이상";
			calcFee = costRt + (feeRt-costRt) * balDdcnt / (totDdcnt-30);
		}
	}
	//Trace(feeLog + " => calcFee : "+calcFee + " / rlTamt : " + rlTamt);
	
	var pamt = (rlTamt-rmbrInt) / (1.0+calcFee);
	return Number(pamt) + piPamt;
}

/*******************************************************************************
* 기　능 : 연일수 (해당 년도의 날짜)
* 입력값 : date
* 리턴값 : ddCnt
*******************************************************************************/
function rf_yrDdCnt(loanDt) {
	//var dt = parseFdt(loanDt, "yyyyMMdd");
	var dt = loanDt.replace("-","");	// MiPlattform 내장함수 기준 : reaplceAll로 작동합
	
	if (dt.length != 8) {
		
		SYSUtil.loadMessageBox(screen, "알림", 1, "[rf_yrDdCnt] 일자를 확인하세요."+loanDt, "msg04");	
		return 0;
	}
	
	//윤년이고 대출시작일이 3월01일 이전이면 일년 366일로 계산
	var mmdd = Number(dt.substr(4,4));
	if (this.rf_isLeapYr(dt) && mmdd < 301 ) {
		return 366;
	} else {
		return 365;
	}
}

/*******************************************************************************
* 기　능 : 윤년여부
* 입력값 : 4자리 이상의 일짜 (yyyy, yyyyMM, yyyyMMdd)
* 리턴값 : bool
*******************************************************************************/
function rf_isLeapYr(dt) {
	if (dt.length < 4) return false;

	// YYYY 이외 포맷으로 입력 했을 시 앞 4자리 'YYYY'만 사용
	dt = dt.substr(0,4);
	var year = Number(dt);

	return ((year%4==0) && (year%100!=0) || (year%400==0));
}

// 적용버튼 처리
function btn_Image7_on_click(objInst)
{
	if(tmp_loanNo != this.edt_loanNo.gettext() || tmp_loanSeq != this.edt_loanSeq.gettext()) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호가 변경되었습니다. 조회 후 다시 계산하세요.", "msg04");	
		return;
	}
	
	if (this.DS_MID_RMBR_RSRV.getdatabyname(0, "prgsStatCd") == "1") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "이미 예약된 건은 적용처리 할 수 없습니다.", "msg04");	
		return;
	}
	
	var midRmbrPamt = Number(this.edt_CalcPartPamt.gettext());	 // 계산기탭 부분상환원금
	var pamtRamt    = Number(this.DS_SM.getdatabyname(0, "loanPamtRamt"));
	var normAmt     = Number(this.DS_BND.getdatabyname(0, "normAmt"));
	var dlyAmt      = Number(this.DS_BND.getdatabyname(0, "dlyAmt"));
	
	if (midRmbrPamt>pamtRamt) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "중도상환원금은 대출잔액보다 클 수 없습니다. 원금잔액 :" + pamtRamt, "msg04");	
		return false;
	}
	
	var setlDt = this.DS_BND.getdatabyname(0, "setlDt").replace("-","");
	var dueDt  = this.DS_BND.getdatabyname(0, "thmmDueDt").replace("-","")
	
	if (dueDt <= setlDt && midRmbrPamt<(normAmt+dlyAmt)) {
		if (dlyAmt>0) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제일의 경우 중도상환원금은 당월원리금+연체금액 보다 큰 금액이어야 합니다." , "msg04");	
		} else {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제일의 경우 중도상환원금은 당월원리금 보다 큰 금액이어야 합니다.", "msg04");	
		}
		return false;
		
	} else if (Number(this.DS_BND.getdatabyname(0, "dlyDdcnt"))>0 && midRmbrPamt<dlyAmt) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "연체일 경우 중도상환원금은 연체금액 보다 큰 금액이어야 합니다.", "msg04");	
		return false;
	}

	this.edt_partRmbrPamt.settext(this.edt_CalcPartPamt.gettext()); //조기상환탭 조기상환원금 = 부분상환원금
	this.tab_0.settabitemfocus(0);

	if (factory.stringtrim(this.edt_loanNo.gettext()).length == 11) {
		
		this.ue_query();
		  
	}
}

// 탭변경시 처리
function tab_0_on_itemchange(objInst, itemindex)
{
	
	this.edt_CalcPartPamt.settext("");
	this.edt_calcRcptAmt.settext("");
	this.cal_Fr.settext("");
	this.cal_To.settext("");
	
}

/******************
* 기  능 : 히든값 체크
*******************/
function Check_Validate() {

	if (tmp_loanNo != factory.stringtrim(this.edt_loanNo.gettext())) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");	
		return true;
	}
	if (tmp_loanSeq != factory.stringtrim(this.edt_loanSeq.gettext())) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출순번 변경후 다음업무를 진행할수 없습니다.(조회 후 가능)", "msg04");	
		return true;
	}
	return false;	
}

/******************
* 기  능 : 오라클의 nvl 기능
*******************/
function fn_nvl(str, chg) {
	if (chg==null) chg = "";
	if (this.fn_isNull(str)) str = chg;

	return str;
}

/******************
* 기  능 : null체크
*******************/
function fn_isNull(str) {
	if (str==null || str=="") {
		return true;
	} else {
		return false;
	}
}

// 조기상환예약 버튼 클릭
function btn_Image0_on_click(objInst)
{
	this.ue_update();
}

// 예약취소 버튼 클릭
function btn_Image1_on_click(objInst)
{
	this.ue_delete();
}

// 계산기 탭 일수계산 시작일자 & 종료일자 변경 이벤트
function cal_To_on_changed(objInst, prev_text, curr_text, event_type)
{
	var n_CalcDateFr = this.cal_Fr.gettext();
	var n_CalcDateTo = this.cal_To.gettext();
	var n_CalcDdCnt = factory.datediff("day", n_CalcDateFr, n_CalcDateTo);

	this.edt_DdCnt.settext(n_CalcDdCnt);
}

// 계산기 탭 수납금액 입력시 부분상환원금 계산
function edt_calcRcptAmt_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	
	if(keycode == 13){
		console.log("keycode : " + keycode);
		
		this.cal_Fr.setfocus();	
	}
	return 0;
}