﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
function ue_init(){
	
	console.log("#### ue_init_menu() call");
	console.log("####### 사용자 버튼 활성화 #####");
	
	this.DS_SM.removeallrows();
	this.DS_SD01.removeallrows();
	this.DS_SD02.removeallrows();
	this.DS_SM.addrow();
	
	var param = this.EXTRA_DATA;
	
//	console.log("#### param.edtLoanNo =" +param.edtLoanNo);
//	console.log("#### param.edtLoanSeq =" +param.edtLoanSeq);
	
//	if(param.loanNo != undefined){
	if(param != null){
		this.edtLoanNo.settext(param.loanNo);
		this.edtLoanSeq.settext(param.loanSeq); 
	}
	
	// 날짜 셋팅
	this.DS_SM.setdatabyname(0, "acctDtFr", factory.datetoday());				// 회계시작일자
	this.DS_SM.setdatabyname(0, "acctDtTo", factory.datetoday());				// 회계종료일자
	
	this.cboSetlDiv.setselectedindex(0);
		
	console.log("#### ue_init() call");
	
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
	console.log("#### screen_on_messagebox() call");
}
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
		
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "R00003", this.DS_CD_R00003, true);
	
	this.ue_init();
	
	
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	console.log("########## mapid >> "+mapd);
	console.log("########## result >> "+result);
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");

	//if( this.fnCheckUequery() == true ) {
	// 조회 전 필수항목 체크
	var strLoanNo   = this.edtLoanNo.gettext();     // 대출번호
	var strLoanSeq  = this.edtLoanSeq.gettext();    // 대출순번
	var strAcctDtFr = this.calAcctDtFr.val();        // 회계시작일자
	var strAcctDtTo = this.calAcctDtTo.val();        // 회계종료일자
	var strTitle    = "확인";

	// 대출번호 체크
	if( factory.stringbytelen(strLoanNo) == 0 || SYSUtil.isEmpty(strLoanNo) ) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출번호를 입력 해 주세요.", "msg01");

		this.EdtLoanNo.setfocus();
		return;
	}

	// 대출순번 체크
	if( SYSUtil.isEmpty(strLoanSeq) ) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출순번을 입력 해 주세요.", "msg02");
		
		this.edtLoanSeq.setfocus();
		return;
	}

	// 시작일자, 종료일자 체크    
	if( (SYSUtil.isEmpty(strAcctDtFr) && !SYSUtil.isEmpty(strAcctDtTo)) ||
		(SYSUtil.isEmpty(strAcctDtTo) && !SYSUtil.isEmpty(strAcctDtFr)) ) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "회계시작일자를 화인 해 주세요.", "msg03"); 
		
		this.calAcctDtFr.setfocus();
		return;
	}

	// 시작일자, 종료일자 체크
	if( !SYSUtil.isEmpty(strAcctDtFr) && !SYSUtil.isEmpty(strAcctDtTo) ) {
		if( factory.datediff("day", strAcctDtFr, strAcctDtTo) < 0 ) {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "시작일자가 종료일자보다 클 수 없습니다.", "msg04");
			this.calAcctDtFr.setfocus();
			return;
		}
	}
	
    this.screen.setscreenprotect(true); // 화면잠금

    var bRet = SYSTran.requestSubmit(this.screen, "RRCRCM02S01");  
    if(bRet == false) {  
	    screen.setscreenprotect(false); //화면잠금해제
	    // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	    SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", strMsgId);
    }else{
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.setStatusMsg("조회가 완료 되었습니다. 총[" + this.DS_SD02.getrowcount() + "]건");
        //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
// 수납관리 화면으로 이동
function btnRcptMngLnk_on_mouseup(objInst)
{
	console.log("#### btn_rcptMng_on_mouseup() call");
	// parameter : 대출번호/대출순번
	var sendData = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01", "수납관리", sendData);
}

// 계획대비수납내역 조회 화면으로 이동
function btnPlanVsRcptLnk_on_mouseup(objInst)
{
	console.log("#### btn_planVsRcpt_on_mouseup() call");
	// parameter : 대출번호/대출순번 
	//var sendData = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	//SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01", "수납관리", sendData);
}

// 수납상세내역 조회 화면으로 이동
function btnRcptDetailLnk_on_mouseup(objInst)
{
	console.log("#### btn_rcptDetail_on_mouseup() call");
	// parameter : 대출번호/대출순번
	var sendData = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM03", "수납내역상세조회", sendData);	
}

// 조회 전 필수항목 체크
function fnCheckUequery() {
	// 조회 전 필수항목 체크
	var strLoanNo   = this.edtLoanNo.gettext();     // 대출번호
	var strLoanSeq  = this.edtLoanSeq.gettext();    // 대출순번
	var strAcctDtFr = this.calAcctDtFr.val();        // 회계시작일자
	var strAcctDtTo = this.calAcctDtTo.val();        // 회계종료일자
	var strTitle    = "확인";

    // 대출번호 체크
    if( factory.stringbytelen(strLoanNo) == 0 || SYSUtil.isEmpty(strLoanNo) ) {
	    SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출번호를 입력 해 주세요.", "msg01");
	
	    this.edtLoanNo.setfocus();
	    return;
    }

    // 대출순번 체크
    if( SYSUtil.isEmpty(strLoanSeq) ) {
	    SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출순번을 입력 해 주세요.", "msg02");
	
	    this.edtLoanSeq.setfocus();
	    return;
    }

    // 시작일자, 종료일자 체크    
    if( (SYSUtil.isEmpty(strAcctDtFr) && !SYSUtil.isEmpty(strAcctDtTo)) ||
        (SYSUtil.isEmpty(strAcctDtTo) && !SYSUtil.isEmpty(strAcctDtFr)) ) {
	    SYSUtil.loadMessageBox(this.screen, strTitle, 1, "회계시작일자를 화인 해 주세요.", "msg03"); 
	   
	    this.calAcctDtFr.setfocus();
	    return;
    }

    // 시작일자, 종료일자 체크
    if( !SYSUtil.isEmpty(strAcctDtFr) && !SYSUtil.isEmpty(strAcctDtTo) ) {
		if( factory.datediff("day", strAcctDtFr, strAcctDtTo) < 0 ) {
	        SYSUtil.loadMessageBox(this.screen, strTitle, 1, "시작일자가 종료일자보다 클 수 없습니다.", "msg04");
			this.calAcctDtFr.setfocus();
			return;
		}
	}
}

// 팝업에서 전달한 내용 출력
function popupCallback(objExtdata) {

	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
	}
}

// 통합검색 버튼 이벤트
function btnIntgSrch_on_click(objInst) {
	// 업무화면으로 전달할 데이터
	var param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	// 팝업 Title
	var popupTitle = "통합검색";
	// 팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function edtLoanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edtLoanSeq.settext("01");
	}
}