﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 화면 초기  사용자 버튼 
function ue_init_menu(){
    console.log("####### 사용자 버튼 활성화 #####");
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
    //DS_RMBR_SM
    console.log("#### screen_on_load() call");

    // 공통 버튼 숨김처리
    SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);

    this.ue_init();
 
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
    
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");  
    
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
    console.log("#### ue_print() call");    
}

// 공통 조회 버튼 이벤트
function ue_query(){
    console.log("#### ue_query() call");

    if ( this.edtLoanNo.gettext().length == 0 || this.edtLoanNo.val().length != 11) { // 대출번호가 형식에 맞지 않을 경우
	SYSUtil.comAlert("대출번호를 확인하세요.");
	return false;
    }
    
    var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCRCM03S01");
    
    if(reqSubmit == false) {
       SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
    } else {
       SYSUtil.setStatusMsg("데이터 송신 성공");
    }
    
    return true;
    
}

// 공통 추가 버튼 이벤트
function ue_insert(){
    console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
    console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
    console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	// 데이터셋 빈 레코드 추가
	this.DS_RMBR_SM.removeallrows();
	this.DS_RMBR_SM.addrow();
	
	var param = this.EXTRA_DATA;
		
	if(param != null){
		this.edtLoanNo.settext(param.loanNo);
		this.edtLoanSeq.settext(param.loanSeq); 
	}
	

}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 링크 페이지로 이동
function fn_Link_Chk()
{   
    if (this.DS_LOANINFO.getrowcount() <= 0) {
        SYSUtil.comAlert("조회 후 가능합니다.");
        return false;
    }
    
    return true;
}

// 수납관리 이미지 버튼 클릭
function btnRcptMng_on_click(objInst) {
    if (!this.fn_Link_Chk()) {
        this.edtLoanNo.setfocus();
        return false;
    }
    
    // 업무화면으로 전달할 데이터
    var param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
    // 팝업 Title
    var popupTitle = "수납관리내역조회";
    //팝업 경로
    var popupPath = "/BIZ/R/RC/RC/RRCRCM01";
    
    SYSUtil.goToWorkPage(this.screen, popupPath, popupTitle, param);
    
}

// 수납내역 이미지 버튼 클릭
function btnRcptDesc_on_click(objInst)
{
	if (!this.fn_Link_Chk()) {
		this.edtLoanNo.setfocus();
		return false;
	}
    
//    var paramloanNo = this.DS_RMBR_SM.getdatabyname(0,"edtLoanNo");
//    var paramloanSeq = this.DS_RMBR_SM.getdatabyname(0,"edtLoanSeq");

	var paramloanNo = this.edtLoanNo.gettext();
	var paramloanSeq = this.edtLoanSeq.gettext();
	var sendData = {"loanNo":paramloanNo, "loanSeq":paramloanSeq };
    
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM02","수납결제내역조회" , sendData);
    
}

// 계획VS수납 이미지 버튼 클릭
function btnPlanVsRcpt_on_click(objInst)
{
    
    /*
     // TO-BE에는 계획대비수납 화면 없음
    
    var params = array(2);
    if( length(DS_LOANINFO.GetColumn(0, 'loanNo')) > 0 ){
        params[0] = "parm_loanNo=" + quote(DS_LOANINFO.GetColumn(0, 'loanNo'));
        params[1] = "parm_loanSeq=" + quote(DS_LOANINFO.GetColumn(0, 'loanSeq'));
    }
    // 계획대비수납
    fn_go_page("RRCRD0201", params );
    */
}

// 예가수 이미지 버튼 클릭
function btnDsrc_on_click(objInst)
{
    if (!this.fn_Link_Chk()) {
        this.edtLoanNo.setfocus();
        return false;
    }
    
    debugger;
    
    var sendData = {};
    
    var paramloanNo = this.edtLoanNo.gettext();
    var paramloanSeq = this.edtLoanSeq.gettext();
    
    console.log("#### paramloanNo "+paramloanNo);
    console.log("#### paramloanSeq "+paramloanSeq);
    
    var paramdsrcNo = this.edtDsrcNo.gettext();
    console.log("#### paramdsrcNo "+paramdsrcNo);
    
    if(this.DS_RCPT_DESC_SD01.getrowcount() > 0 && this.edtDsrcNo.gettext() != '' ){
        var paramdsrcNo = this.DS_RCPT_DESC_SD01.getdatabyname(0,"edtDsrcNo");
        sendData = {"edtLoanNo": paramloanNo, "edtLoanSeq":paramloanSeq, "edtDsrcNo":paramdsrcNo };
    } else {
        sendData = {"edtLoanNo": paramloanNo, "edtLoanSeq":paramloanSeq };
    }
    
    SYSUtil.goToWorkPage(this.screen, "/BIZ/R/SR/SR/RSRSRM01","예가수관리" , sendData);
    
}

// 통합검색 이미지 버튼 클릭
function btnIntgSrch_on_click(objInst) {
    
    // 업무화면으로 전달할 데이터
    var param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
    // 팝업 Title
    var popupTitle = "통합검색";
    //팝업 경로
    var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
    
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
    
}

function edtLoanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edtLoanSeq.settext("01");
	}
}