﻿/* ----------------------------------------------------------------------
 * [[ 전역 변수 영역 ]]
 * ---------------------------------------------------------------------- */
// □ 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
// □ 처리 그리드
this.GRID = null;


/* ----------------------------------------------------------------------
 * [[ 화면 이벤트 영역 ]]
 * ---------------------------------------------------------------------- */

/***************************************************
 * ■ 팝업 화면 종료시 호출됨
 ***************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "deleteConfirm") {
		if (result == "확인"){
			var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM03D01");
		}
	}
}


/***************************************************
 * ■ 화면로드시 발생하는 이벤트
 ***************************************************/
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	this.DS_SM01.addrow();
	this.DS_SM02.addrow();
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003);    // 은행코드
	
}


/* ----------------------------------------------------------------------
 * [[ 공통 버튼 영역 ]] 
 * ---------------------------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}


/***************************************************
 * ■ 공통_조회Btn_이벤트
 ***************************************************/
function ue_query(){
	console.log("#### ue_query() call");
	
	// □ Validation Check
	var loanNo = this.edt1LoanNo.val();
	var custNo = this.edt1LoanNo.val();
	var imgAcnt = this.edt1LoanNo.val();
	if( SYSUtil.isEmpty(loanNo)){
		SYSUtil.comAlert("검색조건을 확인하세요.");
		return false;
	}
	this.DS_SD01.init();
    this.DS_SD02.init();
    this.DS_SM02.init();
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM03S01");
	
}


/***************************************************
 * ■ 공통_저장Btn_이벤트
 ***************************************************/
function ue_update(){
	console.log("#### ue_update() call");
	
	var rowIdx = this.grdLoan.getselectrow();
	
	// □ Validation Check
	if(rowIdx == -1){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택된 대출정보가 없습니다.", "message01");
		return false;	
	}
	
	var chngBankCd = this.DS_SM02.getdatabyname(0,"afBankCd");
	if( chngBankCd == null || chngBankCd == "" ){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "변경후 은행을 선택하세요.", "message01");
		return false;
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM03U01");
	
}


/***************************************************
 * ■ 공통_삭제Btn_이벤트
 ***************************************************/
function ue_delete(){
	console.log("#### ue_delete() call");
	
	if (this.DS_SM02.getdatabyname(0,"loanNo").length != 11){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택된 대출정보가 없습니다.", "message01");
		return false;
	}
	
	if (this.DS_SM02.getdatabyname(0,"bfAcntNo").length == 0){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "현 대출의 가상계좌번호가 없습니다.", "message01");
		return false;
	}
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택된 대출의 가상계좌번호를 삭제하시겠습니까?", "deleteConfirm");
}


/***************************************************
 * ■ 공통_초기화Btn_이벤트
 ***************************************************/
function ue_init(){
	console.log("#### ue_init() call");
	
	// □ DataSet초기화
	this.DS_SM01.init();
	this.DS_SM02.init();
	this.DS_SD01.init();
	this.DS_SD02.init();
	
	// □ 초기셋팅
	this.DS_SM01.addrow();
	this.DS_SM02.addrow();
	
	this.DS_SM01.setdatabyname(0,"loanSeq","");
	this.cboBankCd.setenable(false);
	
}


/* ----------------------------------------------------------------------
 * [[ 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등) ]]
 * ---------------------------------------------------------------------- 
 */

/***************************************************
 * ■ 통합검색Btn/(팝업)
 ***************************************************/
function btnLoanSearch_on_click(objInst)
{
	// □ 업무화면으로 전달할 데이터
    var param = {"loanNo":this.edt1LoanNo.gettext(), "loanSeq":this.edt1LoanSeq.gettext()};
    // □ 팝업 Title
    var popupTitle = "대출통합검색";
    // □ 팝업 경로
    var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}


/***************************************************
 * ■ 팝업 종료 후 호출 함수
 ***************************************************/
function popupCallback(objExtdata) {
	// □ 팝업에서 전달한 내용 출력
	console.log(objExtdata);
	if( objExtdata != undefined || objExtdata != null) {
		if(objExtdata.popId == "CBCCCP01"){
			this.edt1LoanNo.settext(objExtdata.loanNo);
			this.edt1LoanSeq.settext(objExtdata.loanSeq);
			this.edt1CustNo.settext(objExtdata.custNo);	
		}
	}
}


/***************************************************
 * ■ 대출정보 그리트 클릭 이벤트
 ***************************************************/
function grdLoan_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdLoan_on_itemclick() call");
	
	// □ 변경후은행 코드 초기화
	this.cboBankCd.val("");
	
	// □ 대출상태코드 체크
	var loanStatCd = this.DS_SD01.getdatabyname(nClickRow,"loanStatCd");
	if( loanStatCd.substring(0,1) == "2" ){
		// □ 수정 가능
		this.cboBankCd.setenable(true);
	}else{
		// □ 수정 불가능
		this.cboBankCd.setenable(false);
	}
	
	
	// □ 데이터셋에 컬럼 추가
	this.DS_SM02.setdatabyname(0 ,"loanNo"     , this.DS_SD01.getdatabyname(nClickRow,"loanNo"));          // 대출번호
	this.DS_SM02.setdatabyname(0 ,"loanSeq"    , this.DS_SD01.getdatabyname(nClickRow,"loanSeq"));         // 대출순번
	this.DS_SM02.setdatabyname(0 ,"loanStatCd" , this.DS_SD01.getdatabyname(nClickRow,"loanStatCd"));      // 대출상태코드
	this.DS_SM02.setdatabyname(0 ,"loanStatNm" , this.DS_SD01.getdatabyname(nClickRow,"loanStat"));        // 대출상태
	this.DS_SM02.setdatabyname(0 ,"bfBankCd"   , this.DS_SD01.getdatabyname(nClickRow,"imgAcntBankCd"));   // 변경전_은행코드
	this.DS_SM02.setdatabyname(0 ,"bfBankNm"   , this.DS_SD01.getdatabyname(nClickRow,"imgAcntBankNm"));   // 변경전_은행명
	this.DS_SM02.setdatabyname(0 ,"bfAcntNo"   , this.DS_SD01.getdatabyname(nClickRow,"imgAcntNo"));       // 변경전_계좌번호
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RVAVAM03S02");
	
}


/***************************************************
 * ■ CallBack
 ***************************************************/
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	/*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	console.log("########## mapid >> "+mapid);
	console.log("########## result >> "+result);
	
	var strMsg = "";
	
	
	/******************************
     * □ 저장
     ******************************/
	if(mapid == "RVAVAM03U01"){
		if(recv_code == "0000"){
			recv_msg = "정상처리 되었습니다."
		}
		SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		SYSUtil.setStatusMsg(recv_msg);	
		this.ue_query();
	}
	
	
	/******************************
     * □ 삭제
     ******************************/
	if(mapid == "RVAVAM03D01"){
		if(recv_code == "0000"){
			recv_msg = "정상처리 되었습니다."
		}
		SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		SYSUtil.setStatusMsg(recv_msg);
		
		// □ 재조회
		this.ue_query();
	}
	
	SYSUtil.setStatusMsg(strMsg);
}

function edt1LoanNo_on_change(objInst, event_type)
{
	if(SYSUtil.isEmpty(this.edt1LoanSeq.gettext()) && !SYSUtil.isEmpty(this.edt1LoanNo.gettext()) ) {
		this.edt1LoanSeq.settext("01");
	} else if(SYSUtil.isEmpty(this.edt1LoanNo.gettext())){
		this.edt1LoanSeq.settext("");
	}
	
}

function btnMngPopup_on_click(objInst)
{
	// □ 팝업 Title
    var popupTitle = "관리현황";
    // □ 팝업 경로
    var popupPath = "/BIZ/R/VA/VA/RVAVAP01";
	
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, {});
}