﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 계좌번호 확인 결과코드
this.outDataVal = "";

// 변경 이력
/*
*	2023-04-14 조회 조건 없이 진입 시 조회로 변경
*/


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	var emailIdVal = this.edtEmailId.val();
	var domainVal;
	
	// 등록 버튼
	if(popup_name == "srOrgMngRegister") {
		if(result == "확인"){			
			if(this.cboDomain.val() == "999"){
				domainVal = this.edtDomain.val();	// 입력한 도메인 주소
			}else{
				domainVal = this.cboDomain.getselectedcomment();	// 콤보박스 내 도메인 주소
			}
			
			this.DS_SD_C.setdatabyname(0, "emailAddr", emailIdVal + "@" + domainVal);	// 이메일 주소 세팅
			
			screen.setscreenprotect(true); //화면잠금
			SYSTran.requestSubmitSync(screen, "SAGBSM01I01");
		}
	}else if(popup_name == "srOrgMngModify") {
		if(result == "확인"){
			
			if(this.cboDomain.val() == "999"){
				domainVal = this.edtDomain.val();	// 입력한 도메인 주소
			}else{
				domainVal = this.cboDomain.getselectedcomment();	// 콤보박스 내 도메인 주소
			}
			
			this.DS_SD_C.setdatabyname(0, "emailAddr", emailIdVal + "@" + domainVal);	// 이메일 주소 세팅
			
			screen.setscreenprotect(true); //화면잠금
			SYSTran.requestSubmitSync(screen, "SAGBSM01U01");
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	//this.DS_SM.addrow();
	
	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "R00062", this.DS_CD_R00062);		//전자메일도메인
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057);		//전화지역코드
	SYSTran.getComCode(this.screen, "S12048", this.DS_CD_S12048);  	  //SR법인구분코드
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003);  	  //금융기관코드

	SYSUtil.setCommonButtonVisible(this.screen, "QUERY", false) ;		//공통 조회 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;		//공통 저장 버튼 숨김 처리
	
	this.ue_query();
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	if(this.DS_SD.getrowcount() > 0){
		var excelName = "SR기관목록_" + factory.datetoday() + ".xlsx"
		this.grdSrOrgMng.setexcelsheetname("SR기관목록");	//엑셀 시트명 세팅
		this.grdSrOrgMng.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	//var check = this.preQuery();	//조회 전 체크
	
	//if(check){
		SYSTran.requestSubmitAsync(screen, "SAGBSM01S01");
	//}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	//this.DS_SM.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.edtSrCorpCd.setenable(true);	//SR법인코드 입력 가능
	this.edtDomain.val("");		  //도메인 주소 초기화
	
	// 계좌확인 항목 입력 활성화
	this.edtCorpNo.setenable(true);	   //법인번호
	this.cboBankcd.setenable(true);	   //은행코드
	this.edtAcntNo.setenable(true);	   //계좌번호
	this.edtDepoOwnnm.setenable(true);	//예금주명
	
	//this.DS_SM.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	screen.setscreenprotect(false); //화면잠금해제
	
	if(mapid == "SAGBSM01S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SAGBSM01I01" || mapid == "SAGBSM01U01"){	//입력, 수정
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}else if(mapid == "SAGBSM01C01"){	//계좌번호 확인
		this.outDataVal = recv_code;	 //확인결과코드 전역변수에 담기 : 1:정상, 그외 에러
		
		if(result <= 0 || recv_code != 1){
			strMsg = recv_msg;	//정상인경우:실 예금주명, 에러인경우 에러내용
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="확인 완료되었습니다.";
			
			// 계좌확인 항목 입력 비활성화
			this.edtCorpNo.setenable(false);	   //법인번호
			this.cboBankcd.setenable(false);	   //은행코드
			this.edtAcntNo.setenable(false);	   //계좌번호
			this.edtDepoOwnnm.setenable(false);	//예금주명
		}
	}
	
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	
	var srCorpNm = this.edtSrCorpNmSm.val();		//SR법인
	var reprName = this.edtReprNameSm.val();		//SR성명

	//SR법인 체크
	if((factory.stringbytelen(factory.stringtrim(srCorpNm)) == 0)
	&& (factory.stringbytelen(factory.stringtrim(reprName)) == 0)){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회 조건을 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 저장 전 체크
function preSave(operation){
	
	var srCorpDivCdVal = this.cboSrCorpDivCd.val();	   //거래처구분
	var srCorpCdVal = this.edtSrCorpCd.val();			 //거래처코드
	var corpNoVal = this.edtCorpNo.val();				 //법인번호
	var srCorpNmVal = this.edtSrCorpNm.val();			 //거래처명
	var reprNameVal = this.edtReprName.val();			 //대표자명
	var bankcdVal = this.cboBankcd.val();				 //은행코드
	var acntNoVal = this.edtAcntNo.val();				 //계좌번호
	var depoOwnnmVal = this.edtDepoOwnnm.val();		   //예금주
	
	var bfsrCorpCdVal = this.DS_SD.getdatabyname(0, "srCorpCd");
	var afsrCorpCdVal = this.DS_SD_C.getdatabyname(0, "srCorpCd");
	
	//등록 시에만 체크
	if(operation == "I"){
		//거래처코드 중복 체크
		if(bfsrCorpCdVal != null && bfsrCorpCdVal != ""){
			if(bfsrCorpCdVal == afsrCorpCdVal){
				SYSUtil.loadMessageBox(screen, "알림", 1, "동일한 거래처코드를 등록할 수 없습니다.", "");
				return false;
			}
		}
	}
	
	//등록 또는 수정 시에만 체크
	if(operation == "I" || operation == "U"){
		//거래처구분 체크
		if(factory.stringbytelen(factory.stringtrim(srCorpDivCdVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "거래처구분을 선택하세요.", "");
			return false;
		}
		
		//거래처코드 체크
		if(factory.stringbytelen(factory.stringtrim(srCorpCdVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "거래처코드를 입력하세요.", "");
			return false;
		}
		
		//거래처명 체크
		if(factory.stringbytelen(factory.stringtrim(srCorpNmVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "거래처명을 입력하세요.", "");
			return false;
		}
		
		//대표자명 체크
		if(factory.stringbytelen(factory.stringtrim(reprNameVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "대표자명을 입력하세요.", "");
			return false;
		}
	}
	
	//전체 체크 : 등록, 수정, 계좌번호 확인
	//법인번호 체크
	if(factory.stringbytelen(factory.stringtrim(corpNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "법인번호를 입력하세요.", "");
		return false;
	}
	
	//은행코드 체크
	if(factory.stringbytelen(factory.stringtrim(bankcdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "은행코드를 선택하세요.", "");
		return false;
	}
	
	//계좌번호 체크
	if(factory.stringbytelen(factory.stringtrim(acntNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "계좌번호를 입력하세요.", "");
		return false;
	}
	
	//예금주 체크
	if(factory.stringbytelen(factory.stringtrim(depoOwnnmVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주를 입력하세요.", "");
		return false;
	}
	
	//등록 또는 수정 시에만 체크
	if(operation == "I" || operation == "U"){
		//계좌번호 확인 여부 체크
		if(factory.stringtrim(this.outDataVal) != 1){
			SYSUtil.loadMessageBox(screen, "알림", 1, "계좌번호 확인을 진행해주세요.", "");
			return false;
		}
	}
	
	// 등록되지 않은 정보를 수정할 경우
	if(operation == "U"){
		if(this.edtSrCorpCd.getenable() == true){
			SYSUtil.loadMessageBox(screen, "알림", 1, "등록을 먼저 진행해주세요.", "");
			return false;
		}
	}
	
	return true;
}

// 엔터키 정의
/*function srOrgMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "srCorpNm", this.edtSrCorpNmSm.val());	//SR법인
		this.DS_SM.setdatabyname(0, "reprName", this.edtReprNameSm.val());	//SR성명
		
		this.ue_query();
	}
	
	return 0;
}*/

// 등록 버튼 클릭 시 발생
function btnRegister_on_click(objInst)
{
	var check = this.preSave("I");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 등록하시겠습니까?", "srOrgMngRegister");
	}
}

// 수정 버튼 클릭 시 발생
function btnModify_on_click(objInst)
{
	var check = this.preSave("U");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 수정하시겠습니까?", "srOrgMngModify");
	}
}

// 계좌번호 확인 버튼 클릭 시 발생
function btnAcntNoChk_on_click(objInst)
{
	var check = this.preSave("C");	//확인 전 체크
	
	if(check){
		this.DS_ACNT_CHK.deleteallrows();
		this.DS_ACNT_CHK.copyrow(this.DS_SD_C, 0, true);	// 데이터셋 복사
		SYSTran.requestSubmitAsync(screen, "SAGBSM01C01");
	}
}

// 이메일 주소 항목 변경 체크
function domain_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(this.cboDomain.val() == "999"){
		this.edtDomain.setenable(true);	// 이메일 주소 직접 입력란 활성화
	}else{
		this.edtDomain.settext("");
		this.edtDomain.setenable(false);
	}
}

// 그리드 행 더블 클릭 시 항목 값 세팅
function grdSrOrgMng_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
	var domainVal = this.DS_SD.getdatabyname(nDblClickRow, "emailDomn");	// 데이터셋 내 도메인 주소
	var domnRowNum;	// 공통코드 내 도메인 주소 위치
	var domainCd;	// 도메인 코드
	
	this.DS_SD_C.copyinsertrow(0, this.DS_SD, nDblClickRow, true);	// 데이터셋 복사
	
	// 이메일 도메인 세팅
	domnRowNum = this.cboDomain.finditem(domainVal, 2, true);	// 도메인 검색
	
	if(domnRowNum != -1){	// 공통 코드 내 존재하는 도메인 주소일 경우
		this.cboDomain.setselectedindex(domnRowNum);	// 도메인값 세팅
		
	}else{	// 직접 입력의 경우
		this.cboDomain.setselectedcode("999");	//직접입력 선택
		this.edtDomain.settext(domainVal);		// 직접 입력일 경우 도메인 주소 세팅
		this.edtDomain.setenable(true);		   // 이메일 주소 직접 입력란 활성화
	}

	this.edtSrCorpCd.setenable(false);	// SR법인 코드는 수정 불가
	
	// 계좌확인 항목 입력 활성화
	this.edtCorpNo.setenable(true);	   //법인번호
	this.cboBankcd.setenable(true);	   //은행코드
	this.edtAcntNo.setenable(true);	   //계좌번호
	this.edtDepoOwnnm.setenable(true);	//예금주명
}