﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 등록, 수정 버튼
	if(popup_name == "srMngRegister" || popup_name == "srMngModify") {
		if(result == "확인"){
			var tranId = "";
			
			if(popup_name == "srMngRegister"){
				tranId = "SAGBSM02I01";
			}else{
				tranId = "SAGBSM02U01";
			}
	
			screen.setscreenprotect(true); //화면잠금
			SYSTran.requestSubmitSync(screen, tranId);
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	//날짜 세팅
	this.DS_SD_C.addrow();
	this.DS_SD_C.setdatabyname(0, "resiDt", factory.datetoday());		//위촉일자
	this.DS_SD_C.setdatabyname(0, "dsaEdcnDt", factory.datetoday());	 //상담사교육이수일자
	
	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "S12018", this.DS_CD_S12018);  	  //해촉사유구분코드
	SYSTran.getComCode(this.screen, "S11111", this.DS_CD_S11111);  	  //SALES구분코드
	SYSTran.getComCode(this.screen, "R00062", this.DS_CD_R00062);		//전자메일도메인
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057);		//전화지역코드
	
	SYSTran.requestSubmitSync(screen, "SAGBSM02S01");	//SR기관코드조회

	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;		//공통 저장 버튼 숨김 처리
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	if(this.DS_SD.getrowcount() > 0){
		var excelName = "SR목록_" + factory.datetoday() + ".xlsx"
		this.grdSrMng.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	//var check = true;	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SAGBSM02S02");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.edtSalesCode.setenable(true);	//SR-ID 입력 가능
	
	this.DS_SM.addrow();
	this.DS_SD_C.addrow();
	this.DS_SD_C.setdatabyname(0, "resiDt", factory.datetoday());		//위촉일자
	this.DS_SD_C.setdatabyname(0, "dsaEdcnDt", factory.datetoday());	 //상담사교육이수일자
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	screen.setscreenprotect(false); //화면잠금해제
	
	if(mapid == "SAGBSM02S02"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SAGBSM02I01" || mapid == "SAGBSM02U01"){	//입력, 수정
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}
	
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	
	var salesTeamGbCdVal = this.cboSalesTeamGbCdSm.val();	//SR법인구분코드
	var salesNmVal = this.edtSalesNmSm.val();				//SR성명

	//SR법인 체크
	if((factory.stringbytelen(factory.stringtrim(salesTeamGbCdVal)) == 0)
	&& (factory.stringbytelen(factory.stringtrim(salesNmVal)) == 0)){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회 조건을 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 저장 전 체크
function preSave(operation){
	
	var salesCodeVal = this.edtSalesCode.val();		 //SR-ID
	var salesNmVal = this.edtSalesNm.val();			 //SR성명
	var resIdVal = this.edtResId.val();				 //생년월일
	var dsaRegiNoVal = this.edtDsaRegiNo.val();		 //상담사등록번호
	var salesTeamGbCdVal = this.cboSalesTeamGbCd.val(); //SR법인
	var closeDtVal = this.calCloseDt.val();			 //해촉일자
	var closeThinkCdVal = this.cboCloseThinkCd.val();   //해촉사유
	var bfsalesCodeVal = this.DS_SD.getdatabyname(0, "salesCode");	  //기등록된SR-ID
	var afsalesCodeVal = this.DS_SD_C.getdatabyname(0, "salesCode");	//신규SR-ID
	
	//등록 시에만 체크
	if(operation == "I"){
		//SR-ID 중복 체크
		if(bfsalesCodeVal != null && bfsalesCodeVal != ""){
			if(bfsalesCodeVal == afsalesCodeVal){
				SYSUtil.loadMessageBox(screen, "알림", 1, "동일한 SR-ID를 등록할 수 없습니다.", "");
				return false;
			}
		}
	}
	
	//SR-ID 체크
	if(factory.stringbytelen(factory.stringtrim(salesCodeVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "SR-ID를 입력하세요.", "");
		return false;
	}
	
	//SR성명 체크
	if(factory.stringbytelen(factory.stringtrim(salesNmVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "SR성명을 입력하세요.", "");
		return false;
	}
	
	//생년월일 체크
	if(factory.stringbytelen(factory.stringtrim(resIdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "생년월일을 입력하세요.", "");
		return false;
	}
	
	//상담사등록번호 체크
	if(factory.stringbytelen(factory.stringtrim(dsaRegiNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상담사등록번호를 입력하세요.", "");
		return false;
	}
	
	//SR법인 체크
	if(factory.stringbytelen(factory.stringtrim(salesTeamGbCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "SR법인을 선택하세요.", "");
		return false;
	}
	
	//해촉사유 체크
	if(factory.stringbytelen(factory.stringtrim(closeDtVal)) != 0
	&& factory.stringbytelen(factory.stringtrim(closeThinkCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "해촉사유를 선택하세요.", "");
		return false;
	}
	
	return true;
}

// 엔터키 정의
function srMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "salesTeamGbCd", this.cboSalesTeamGbCdSm.val());	//SR법인구분코드
		this.DS_SM.setdatabyname(0, "salesNm", this.edtSalesNmSm.val());				//SR성명
		
		this.ue_query();
	}
	
	return 0;
}

// 등록 버튼 클릭 시 발생
function btnRegister_on_click(objInst)
{
	var check = this.preSave("I");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 등록하시겠습니까?", "srMngRegister");
	}
}

// 수정 버튼 클릭 시 발생
function btnModify_on_click(objInst)
{
	var check = this.preSave("U");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 수정하시겠습니까?", "srMngModify");
	}
}


// 이메일 주소 항목 변경 체크
function domain_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(this.cboMailHostCd.val() == "999"){
		this.edtMailHostEtc.setenable(true);	// 이메일 주소 직접 입력란 활성화
	}else{
		this.edtMailHostEtc.settext("");
		this.edtMailHostEtc.setenable(false);
	}
}

// 그리드 행 더블 클릭 시 항목 값 세팅
function grdsrMng_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var mailHostCdVal = this.DS_SD.getdatabyname(nDblClickRow, "mailHostCd");	// 이메일 도메인주소
	this.DS_SD_C.copyinsertrow(0, this.DS_SD, nDblClickRow, true);	// 데이터셋 복사
	//this.DS_SD_C.copyrow(this.DS_SD, nDblClickRow, true);	// 데이터셋 복사
	
	SYSUtil.showDataSetLog(this.DS_SD);
	
	if(mailHostCdVal == "999"){	// 이메일 도메인주소 직접 입력일 경우
		this.cboMailHostCd.setselectedcode("999");	// 공통 코드값 세팅
		this.edtMailHostEtc.settext(domainVal);	// 직접 입력일 경우 도메인 주소 세팅
		this.edtMailHostEtc.setenable(true);	// 이메일 주소 직접 입력란 활성화
	}

	this.edtSalesCode.setenable(false);	// SR-ID는 수정 불가
}