﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 삭제 row 셋팅
this.iDelRow = -1;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
	console.log("#### ue_init_menu() call");
	console.log("####### 사용자 버튼 활성화 #####");
	
//	this.ue_init();
	
	// □ 버튼 제어 추가
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);    // 저장 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
	console.log("#### screen_on_messagebox() call");		
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 정의
	SYSTran.getComCode(this.screen, "S11003", this.DS_CD_S11003);			// 담보유형구분코드
	SYSTran.getComCode(this.screen, "S11016", this.DS_CD_S11016);			// 권원진행상태코드
	
	this.ue_init();
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	console.log("########## submitcomplete mapid >> " + mapid);
	console.log("########## submitcomplete result >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg >> " + recv_msg);

    SYSUtil.setScreenLock(this.screen, false);

    SYSUtil.showDataSetLog(this.DS_SDDO01);

	// □ 조회 시 후처리
	if( mapid == "SMOINMO1S01" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "총[" + this.DS_SDDO01.getrowcount() + "]건");
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);
		    }
		}
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

/****************************************************************
 * ■ 공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
	console.log("#### ue_print() call");
}

/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
	console.log("#### ue_query() call");

    // □ 조회 전 필수항목 체크
    if( this.fn_SrchCheck() == true ) {
	    // □ 조회 처리
	    SYSUtil.setScreenLock(this.screen, true);
	    var bRet = SYSTran.requestSubmitSync(this.screen, "SMOINMO1S01");
    }
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
	console.log("#### ue_update() call");
}

/****************************************************************
 * ■ 공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
	console.log("#### ue_delete() call");
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
	console.log("#### ue_init() call");
	
	// □ dataset clear
	this.DS_SM.init();	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "readDtFr", factory.datefrom("month", -1));  	// 조회일자시작
	this.DS_SM.setdatabyname(0, "readDtTo", factory.datetoday());				// 조회일자종료

	this.DS_SDDO01.init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_SrchCheck() {
	
	// □ 조회 전 필수항목 체크
	var strCalReadDtFr = this.calReadDtFr.val();    // 조회시작일자
	var strCalReadDtTo = this.calReadDtTo.val();    // 조회종료일자

    // □ 조회조건 null 체크
    if( (factory.stringbytelen(strCalReadDtFr) == 0 || SYSUtil.isEmpty(strCalReadDtFr)) ||
        (factory.stringbytelen(strCalReadDtTo) == 0 || SYSUtil.isEmpty(strCalReadDtTo)) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "조회일자를 입력하세요.", "");

        this.calReadDtFr.setfocus();
        return false;
    }
    
    // □ 조회조건 누락 체크
    if( (!SYSUtil.isEmpty(strCalReadDtFr) && SYSUtil.isEmpty(strCalReadDtTo)) ||
        (!SYSUtil.isEmpty(strCalReadDtTo) && SYSUtil.isEmpty(strCalReadDtFr)) ) {
	    SYSUtil.loadMessageBox(this.screen, "알림", 1, "조회일자를 확인하세요.", "");

        this.calReadDtTo.setfocus();
        return false;
    }
    // □ 날짜 간격 체크
    if( !SYSUtil.isEmpty(strCalReadDtFr) && !SYSUtil.isEmpty(strCalReadDtTo) ) {
	    if( factory.datediff("day", strCalReadDtFr, strCalReadDtTo) < 0 ) {
		    SYSUtil.loadMessageBox(this.screen, "알림", 1, "조회일자를 확인하세요.", "");
	
	        this.calReadDtFr.setfocus();
	        return false;
	    }
    }

    return true;
}

/****************************************************************
 * ■ 그리드 더블클릭 시 화면 이동 처리
 ****************************************************************/
function grdHiInsuList_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var strSelLoanApplNo = this.DS_SDDO01.getdatabyname(nDblClickRow, "loanApplNo");
	var strSelCustNo     = this.DS_SDDO01.getdatabyname(nDblClickRow, "custNo");
	var strSelLoanCnslNo = this.DS_SDDO01.getdatabyname(nDblClickRow, "loanCnslNo");
	
	// □ 그리드 데이터 선택 여부 체크
	if( !SYSUtil.isEmpty(strSelLoanApplNo) && strSelLoanApplNo != '' ) {
	    var sendData = {"LOAN_APPL_NO":strSelLoanApplNo ,"CUST_NO":strSelCustNo, "LOAN_CNSL_NO":strSelLoanCnslNo};
        SYSUtil.goToWorkPage(this.screen, "/BIZ/S/MO/IN/SMOINM02","권원보험관리" , sendData);	
	} else {
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택 된 신청번호가 없습니다.", "");
		return false;
	}
}