﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청접수일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청접수일자종료

	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "S12008", this.DS_CD_S12008);  //신청현재진행상태코드
	SYSTran.getComCode(this.screen, "S00607", this.DS_CD_S00607);  //상환방식구분코드
	
	// 업무구분코드 세팅
	this.DS_CD_BSN_DIV_CD.init();
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(0, 1, "A00100");
	this.DS_CD_BSN_DIV_CD.setdata(0, 2, "사전조회");
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(1, 1, "A00101");
	this.DS_CD_BSN_DIV_CD.setdata(1, 2, "청약");
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(2, 1, "A00102");
	this.DS_CD_BSN_DIV_CD.setdata(2, 2, "청약취소");
	
	// 공통 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;		//공통 저장 버튼 숨김 처리
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	if(this.DS_SD.getrowcount() > 0){
		var excelName = "MCI현황_" + factory.datetoday() + ".xlsx"
		this.grdMciRept.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "errMsg01");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	// 조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SMOINM03S01");
	}
	
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청접수일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청접수일자종료
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "SMOINM03S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}
	
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	
	var applDtFrVal = this.DS_SM.getdatabyname(0, "applDtFr");    //조회기간시작
	var applDtToVal = this.DS_SM.getdatabyname(0, "applDtTo");    //조회기간종료
	var custBirthVal = this.DS_SM.getdatabyname(0, "custBirth");  //고객생년월일
	var custNmVal = this.DS_SM.getdatabyname(0, "custNm");		//고객명
	
	//날짜입력 체크
	if(factory.stringbytelen(factory.stringtrim(applDtFrVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회기간을 입력하세요.", "");
		this.calApplDtFr.setfocus();
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(applDtToVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회기간을 입력하세요.", "");
		this.calApplDtTo.setfocus();
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(applDtFrVal)) != 0
	&& factory.stringbytelen(factory.stringtrim(applDtToVal)) != 0){
		if(factory.datediff("day", applDtFrVal, applDtToVal) < 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "시작일자는 종료일자보다 작아야합니다.", "");
			this.calApplDtFr.setfocus();
			return false;
		}
	}
	
	//생년월일 체크
	if(factory.stringbytelen(factory.stringtrim(custBirthVal)) > 0){
		if(factory.stringbytelen(factory.stringtrim(custBirthVal)) != 6){
			SYSUtil.loadMessageBox(screen, "알림", 1, "생년월일은 6자리로 입력하세요.", "");
			this.edtCustBirth.setfocus();
			return false;
		}
	}
	
	//고객명 체크
	if(factory.stringbytelen(factory.stringtrim(custNmVal)) != 0){
		console.log("고객명 : " +factory.stringbytelen(factory.stringtrim(custNmVal)));
		if(factory.stringbytelen(factory.stringtrim(custNmVal)) < 3){
			SYSUtil.loadMessageBox(screen, "알림", 1, "고객명은 2글자 이상 등록하세요.", "");
			this.edtCustNm.setfocus();
			return false;
		}
	}
	
	return true;
}

// 엔터키 정의
function mciReptRead_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "applDtFr", this.calApplDtFr.val());		//신청접수일자시작
		this.DS_SM.setdatabyname(0, "applDtTo", this.calApplDtTo.val());		//신청접수일자종료
		this.DS_SM.setdatabyname(0, "loanApplNo", this.edtLoanApplNo.val());	//대출신청번호
		this.DS_SM.setdatabyname(0, "custBirth", this.edtCustBirth.val());	  //고객생년월일
		this.DS_SM.setdatabyname(0, "custNm", this.edtCustNm.val());			//고객명
		this.DS_SM.setdatabyname(0, "bsnDivCd", this.cboBsnDivCd.val());		//업무구분코드

		this.ue_query();
	}
	
	return 0;
}

// 그리드 행 더블 클릭 시 MCI관리(SMOINM04)로 이동
function grdMciRept_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	/**
	* 업무 화면 이동 (메뉴PATH 기준)
	* @param {object} objScreen    화면 오브젝트
	* @param {string} strScrUrl    호출할 메뉴PATH
	* @param {string} strItemTitle 메뉴타이틀
	* @param {string} sendData     업무화면에 전달할 데이터
	*/

	var rsltCdVal = this.DS_SD.getrawdatabyname(nDblClickRow, "rsltCd");			// 결과코드
	var loanApplNoVal = this.DS_SD.getrawdatabyname(nDblClickRow, "loanApplNo");	// 대출신청번호
	var bsnDivCdVal = this.DS_SD.getrawdatabyname(nDblClickRow, "bsnDivCd");		// 업무구분코드

	var sendData = {"rsltCd":rsltCdVal, "loanApplNo":loanApplNoVal, "bsnDivCd":bsnDivCdVal};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/S/MO/IN/SMOINM04", "MCI관리" , sendData);
}