﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 계좌번호 확인 결과코드
this.outDataVal = "";

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 등록, 수정 버튼
	if(popup_name == "esttMngRegister" || popup_name == "esttMngModify") {
		if(result == "확인"){
			var tranId = "";
			
			if(popup_name == "esttMngRegister"){
				tranId = "SSPASM06I01";
			}else{
				tranId = "SSPASM06U01";
			}
	
			screen.setscreenprotect(true); //화면잠금
			SYSTran.requestSubmitSync(screen, tranId);
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057);		//전화지역코드
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003);  	  //금융기관코드

	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	if(this.DS_SD.getrowcount() > 0){
		var excelName = "부동산업체목록" + factory.datetoday() + ".xlsx"
		this.grdEsttMng.setexcelsheetname("부동산업체목록");	//엑셀 시트명 세팅
		this.grdEsttMng.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SSPASM06S01");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.edtCprtComNo.setenable(true);	//사업자번호 입력 가능
	
	// 계좌확인 항목 입력 활성화
	this.cboBankcd.setenable(true);	   //은행코드
	this.edtAcntNo.setenable(true);	   //계좌번호
	this.edtDepoOwnnm.setenable(true);	//예금주명
	
	this.DS_SM.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	screen.setscreenprotect(false); //화면잠금해제
	
	if(mapid == "SSPASM06S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SSPASM06I01" || mapid == "SSPASM06U01"){	//입력, 수정
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}else if(mapid == "SSPASM06C01"){	//계좌번호 확인
		this.outDataVal = recv_code;	 //확인결과코드 전역변수에 담기 : 1:정상, 그외 에러
		
		if(result <= 0 || recv_code != 1){
			strMsg = recv_msg;	//정상인경우:실 예금주명, 에러인경우 에러내용
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="확인 완료되었습니다.";
			
			// 계좌확인 항목 입력 비활성화
			this.edtCprtComNo.setenable(false);	//사업자번호
			this.cboBankcd.setenable(false);	   //은행코드
			this.edtAcntNo.setenable(false);	   //계좌번호
			this.edtDepoOwnnm.setenable(false);	//예금주명
		}
	}
	
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	
	var comNmVal = this.edtComNmSm.val();	//부동산상호

	//조회 조건 체크
	if((factory.stringbytelen(factory.stringtrim(comNmVal)) == 0)){
		SYSUtil.loadMessageBox(screen, "알림", 1, "부동산상호를 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 저장 전 체크
function preSave(operation){
	
	var cprtComNoVal = this.edtCprtComNo.val();	//사업자번호
	var comNmVal = this.edtComNm.val();			//회사명
	var reprNameVal = this.edtReprName.val();	  //대표자명
	var bankcdVal = this.cboBankcd.val();		  //은행코드
	var acntNoVal = this.edtAcntNo.val();		  //계좌번호
	var depoOwnnmVal = this.edtDepoOwnnm.val();	//예금주
	
	var bfcprtComNoVal = this.DS_SD.getdatabyname(0, "cprtComNo");
	var afcprtComNoVal = this.DS_SD_C.getdatabyname(0, "cprtComNo");
	
	//등록 시에만 체크
	if(operation == "I"){
		//사업자번호 중복 체크
		if(bfcprtComNoVal != null && bfcprtComNoVal != ""){
			if(bfcprtComNoVal == afcprtComNoVal){
				SYSUtil.loadMessageBox(screen, "알림", 1, "동일한 사업자번호를 등록할 수 없습니다.", "");
				return false;
			}
		}
	}
	
	//등록 또는 수정 시에만 체크
	if(operation == "I" || operation == "U"){
		//부동산상호 체크
		if(factory.stringbytelen(factory.stringtrim(comNmVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "부동산상호를 입력하세요.", "");
			return false;
		}
	}
	
	//사업자번호 체크
	if(factory.stringbytelen(factory.stringtrim(cprtComNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "사업자번호를 입력하세요.", "");
		return false;
	}
	
	//등록 또는 수정 시에만 체크
	if(operation == "I" || operation == "U"){
		//대표자명 체크
		if(factory.stringbytelen(factory.stringtrim(reprNameVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "대표자명을 입력하세요.", "");
			return false;
		}
	}
	
	//은행코드 체크
	if(factory.stringbytelen(factory.stringtrim(bankcdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "은행코드를 선택하세요.", "");
		return false;
	}
	
	//계좌번호 체크
	if(factory.stringbytelen(factory.stringtrim(acntNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "계좌번호를 입력하세요.", "");
		return false;
	}
	
	//예금주 체크
	if(factory.stringbytelen(factory.stringtrim(depoOwnnmVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주를 입력하세요.", "");
		return false;
	}
	
	//등록 또는 수정 시에만 체크
	if(operation == "I" || operation == "U"){
		//계좌번호 확인 여부 체크
		if(factory.stringtrim(this.outDataVal) != 1){
			SYSUtil.loadMessageBox(screen, "알림", 1, "계좌번호 확인을 진행해주세요.", "");
			return false;
		}
	}
	
	// 등록되지 않은 정보를 수정할 경우
	if(operation == "U"){
		if(this.edtCprtComNo.getenable() == true){
			SYSUtil.loadMessageBox(screen, "알림", 1, "등록을 먼저 진행해주세요.", "");
			return false;
		}
	}
	
	return true;
}

// 엔터키 정의
function esttMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "comNm", this.edtComNmSm.val());	//부동산상호
		
		this.ue_query();
	}
	
	return 0;
}

// 등록 버튼 클릭 시 발생
function btnRegister_on_click(objInst)
{
	var check = this.preSave("I");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 등록하시겠습니까?", "esttMngRegister");
	}
}

// 수정 버튼 클릭 시 발생
function btnModify_on_click(objInst)
{
	var check = this.preSave("U");	//저장 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력한 내용을 수정하시겠습니까?", "esttMngModify");
	}
}

// 계좌번호 확인 버튼 클릭 시 발생
function btnAcntNoChk_on_click(objInst)
{
	var check = this.preSave("C");	//확인 전 체크
	
	if(check){
		this.DS_ACNT_CHK.deleteallrows();
		this.DS_ACNT_CHK.copyrow(this.DS_SD_C, 0, true);	// 데이터셋 복사
		
		SYSTran.requestSubmitAsync(screen, "SSPASM06C01");
	}
}

// 그리드 행 더블 클릭 시 항목 값 세팅
function grdesttMng_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	this.DS_SD_C.copyinsertrow(0, this.DS_SD, nDblClickRow, true);	// 데이터셋 복사

	this.edtCprtComNo.setenable(false);	// 사업자등록번호는 수정 불가
	
	// 계좌확인 항목 입력 활성화
	this.cboBankcd.setenable(true);	   //은행코드
	this.edtAcntNo.setenable(true);	   //계좌번호
	this.edtDepoOwnnm.setenable(true);	//예금주명
}

// 우편번호 검색 버튼
function edtZipcd_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		// 업무화면으로 전달할 데이터
		var param = {"":""};
		// 팝업 Title
		var popupTitle = "우편번호 검색";
		// 팝업 경로
		var popupPath = "/BIZ/C/BC/CC/CBCCCP03";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);	// 팝업 호출
	}
}

// 팝업 종료 후 호출
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		this.edtZipcd.settext(objExtdata.zipcd);	  //우편번호
		this.edtAddr.settext(objExtdata.addr);	   //주소 - 시 + 군 + 길
		this.edtDtlAddr.settext(objExtdata.dtlAddr);	//상세주소 - 건물명 + 상세주소 입력 : 마스킹 때문
	}
}