﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 홈즈 의뢰 목록 생성
	if(popup_name == "homsReqListCrte"){
		if (result == "확인"){
			// this.DS_SD_CLONE : HOMS 진행상태가 00020 - 의뢰 전 상태인 값들만 복사해 놓은 데이터셋
			
			var fileName = factory.datetoday() + "_HOMS의뢰목록.txt"	// txt파일명
			var fileData = [];					// txt파일내용
			fileData.push("하나은행 주택기금자료\n");	// 1행에는 의뢰기관명 및 의뢰하고자 하는 내용만 간략히 기술
			
			var rowCnt = this.DS_SD_CLONE.getrowcount(); 	// 데이터셋 전체 행 수
			var readDivCdVal = this.DS_SM.getdatabyname(0, "readDivCd");	// 목록구분코드
			
			// 다운로드 이력 등록용 데이터셋 복사
			this.DS_SD_C.copy(this.DS_SD_CLONE, "", true);
			
			// 배우자 유무 추가
			var relaGbCdVal = "00020";	// 배우자
				
			var strFilter = "";
				strFilter += "relaGbCd:=:\"*"+relaGbCdVal+"*\":1:&"
			var sdcRowNum = this.DS_SD_CLONE.findrowbyname(2, strFilter);	// 배우자 유무 여부 검색
			
			// 검색된 행 목록 -1(차주)에 배우자 유무값 세팅
			for(var k = 0; k < sdcRowNum.length; k++){
				var rowNum = sdcRowNum[k];
				this.DS_SD_C.setdatabyname(rowNum-1, "spusExisYn", "Y");	// 배우자 있음
			}
			
			// 원장 수정용 데이터셋 복사, 의뢰 내용 생성
			for(var i = 0; i <rowCnt; i++){
				// 목록 구분 값 세팅 : 영업 - 00010 신규신청의뢰
				this.DS_SD_C.setdatabyname(i, "readDivCd", readDivCdVal);	// 검색목록구분코드 세팅
				
				//원장 수정용 데이터셋 복사 : 대출신청번호 중복 제외
				var loanApplNoVal = this.DS_SD_CLONE.getdatabyname(i, "loanApplNo");
				var sduRowNum = this.DS_SD_U.findrowbyname(0, "loanApplNo:=:\"*"+loanApplNoVal+"*\":1:&");	//대출신청번호 검색
				
				this.DS_SD_CLONE.setdatabyname(i, "homsStepCd", "00030");	// 원장 업데이트용 홈즈상태코드 값 세팅 : 결과대기
				
				if(sduRowNum == -1){
					this.DS_SD_U.copyinsertrow(-1, this.DS_SD_CLONE, i, true);
				}
				
				//txt 파일 내용 생성
				var relaGbCdTxt = this.DS_SD_C.getdatabyname(i, "relaGbCd");		//관련인구분코드
				var relaDivCdTxt;													//관련인구분코드변환값
				var divSymTxt;														//구분자
				var relaResIdTxt = this.DS_SD_C.getdatabyname(i, "relaResId");		//관련인주민등록번호
				var relaNmTxt = this.DS_SD_C.getdatabyname(i, "relaNm");			//관련인성명
				var spusExisYnTxt = this.DS_SD_C.getdatabyname(i, "spusExisYn");	//배우자유무여부
				
				//본인
				if(relaGbCdTxt == "00010"){
					if(spusExisYnTxt == "Y"){
						relaDivCdTxt = "111111";		//배우자 있음
					}else{
						relaDivCdTxt = "000000";		//배우자 없음
					}
					divSymTxt = "+";
				//배우자
				}else if(relaGbCdTxt == "00020"){
					relaDivCdTxt = "222222";
					divSymTxt = "-";
				//기타 세대원
				}else{
					relaDivCdTxt = "333333";
					divSymTxt = "-";
				}
				
				//txt 내용 조합
				var txtData = relaDivCdTxt + divSymTxt + relaResIdTxt.replace("-", "") + relaNmTxt + "\n";
				fileData.push(txtData);
			}
			
			var blobObject = new Blob(fileData);				//txt 내용 배열값 변환
			var rslt = screen.savefile(blobObject, fileName);	//파일다운로드
			if(rslt){
				SYSTran.requestSubmitSync(screen, "SXMPVM04U01");
			}
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	//달력 날짜 세팅
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청일자종료
	
	//공통코드 세팅
	SYSTran.getComCode(this.screen, "S11092", this.DS_CD_S11092);	//관련인구분코드
	SYSTran.getComCode(this.screen, "S12037", this.DS_CD_S12037);	//HOMS진행상태
	SYSTran.getComCode(this.screen, "S12052", this.DS_CD_S12052);	//HOMS의뢰구분코드
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
	
	// 심사승인조회(SXMPVM01)에서 받은 파라메터 세팅 후 조회
	var param =  this.EXTRA_DATA;
	
	if(param != undefined || param != null){
		var readDivCdVal = param.readDivCd;	// 목록구분
		var applDtVal = param.applDt;	// 신청일자
		
		// 목록구분 세팅
		if(readDivCdVal != undefined || readDivCdVal != null){
			this.DS_SM.setdatabyname(0, "readDivCd", readDivCdVal);
		}
		
		// 신청일자 세팅
		if(applDtVal != undefined || applDtVal != null){
			this.DS_SM.setdatabyname(0, "applDtFr", applDtVal);
			this.DS_SM.setdatabyname(0, "applDtTo", applDtVal);
		}
		
		this.DS_SM.setdatabyname(0, "cond", "2");
		this.DS_SM.setdatabyname(0, "homsReqBf", "00020");
		this.DS_SM.setdatabyname(0, "homsRsltWait", "00030");
		
		this.ue_query();
	}

}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SXMPVM04S01");
	}
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.DS_SD_U.deleteallrows();
	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청일자종료
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜잭션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "SXMPVM04S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SXMPVM04U01"){	//이력 등록
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}
	
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	var readDivCdVal = this.cboReadDivCd.val();	  	//목록구분
	var applDtFrVal = this.calApplDtFr.val();			//신청일자시작
	var applDtToVal = this.calApplDtTo.val();			//신청일자종료
	var homsReqBfVal = this.chkHomsReqBf.val();	  	//HOMS의뢰전
	var homsRsltWaitVal = this.chkHomsRsltWait.val();	//HOMS결과대기
	
	//목록구분 체크
	if(factory.stringbytelen(factory.stringtrim(readDivCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "목록 구분을 선택하세요.", "");
		return false;
	}
	
	//날짜입력 체크
	if(factory.stringbytelen(factory.stringtrim(applDtFrVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청일자를 입력하세요.", "");
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(applDtToVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청일자를 입력하세요.", "");
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(applDtFrVal)) != 0
	&& factory.stringbytelen(factory.stringtrim(applDtToVal)) != 0){
		if(factory.datediff("day", applDtFrVal, applDtToVal) < 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "시작일자는 종료일자보다 작아야합니다.", "");
			return false;
		}
	}
	
	//홈즈상태코드 및 조회 조건 세팅
	if(homsReqBfVal == "00020" && homsRsltWaitVal == "00030"){	//둘 다 체크
		this.DS_SM.setdatabyname(0, "cond", "2");
	}else if(homsReqBfVal == "00020" && homsRsltWaitVal != "00030"){	//의뢰 전
		this.DS_SM.setdatabyname(0, "cond", "1");
		this.DS_SM.setdatabyname(0, "homsStepCd", homsReqBfVal);
	}else if(homsReqBfVal != "00020" && homsRsltWaitVal == "00030"){	//결과대기
		this.DS_SM.setdatabyname(0, "cond", "1");
		this.DS_SM.setdatabyname(0, "homsStepCd", homsRsltWaitVal);
	}else{
		SYSUtil.loadMessageBox(screen, "알림", 1, "진행상태를 선택하세요.", "");
		return false;
	}
	
	return true;
}

// 엔터키 정의
function homsHousReptReqList_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "applDtFr", this.calApplDtFr.val());			//신청일자시작
		this.DS_SM.setdatabyname(0, "applDtTo", this.calApplDtTo.val());			//신청일자종료
		this.DS_SM.setdatabyname(0, "readDivCd", this.cboReadDivCd.val());		  //목록구분
		this.DS_SM.setdatabyname(0, "homsReqBf", this.chkHomsReqBf.val());		  //홈즈진행상태
		this.DS_SM.setdatabyname(0, "homsRsltWait", this.chkHomsRsltWait.val());	//홈즈진행상태
		
		this.ue_query();
	}
	
	return 0;
}

// 의뢰 전 체크
function preReq(){
	var readDivCdVal = this.DS_SM.getdatabyname(0, "readDivCd");	//목록구분코드
	
	if(factory.stringbytelen(factory.stringtrim(readDivCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "목록 구분을 선택하세요.", "");
		return false;
	}
	
	var rowCnt = this.grdHomsHousReptReqList.getrowcount();	//그리드 전체 행의 수
	
	if(rowCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "생성 가능한 의뢰 목록이 없습니다.", "");
		return false;
	}
	
	for(var i = 0; i < rowCnt; i++){
		var homsStepCdVal = "00020";	// HOMS진행상태 : 의뢰 전
		var rowNum = this.DS_SD.findrowbyname(2, "homsStepCd:=:\"*"+homsStepCdVal+"*\":1:&");	//HOMS진행상태가 의뢰 전인 건 검색
		
		if(rowNum == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "생성 가능한 의뢰 목록이 없습니다.", "");
			return false;
		}else{
			//의뢰 전 상태인 행만 복사
			screen.addxdataset("DS_SD_CLONE", "");
			this.DS_SD_CLONE.clonerow(this.DS_SD, rowNum, true);
		}
	}
	
	return true;
}

// 홈즈 의뢰 목록 생성 버튼 클릭 시
function bthHomeReqListCrte_on_click(objInst)
{
	var check = this.preReq();
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "HOMS 의뢰 목록을 생성하시겠습니까?", "homsReqListCrte");
	}
}