﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var ownRigtList = ["아파트", "단독주택", "연립주택", "다세대주택", "다가구주택", "다중주택", "공관", "기숙사", "분양권", "입주권", "기타"];	//소유권 리스트

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 필터링 반영
	/* 필터링 반영 세대 주택수 반영 규칙
	1) 취득일자만 기재되어 있는 아래 주택은 신청 건에 주택수 반영
		01: 아파트, 02: 단독주택, 03: 연립주택, 04: 다세대주택, 05: 다가구주택, 06: 다중주택, 07: 공관, 08: 기숙사, 20: 분양권, 21: 입주권, 99: 기타
	2) 취득일자/양도일자 둘 다 기재 안 되어 있는 주택 중 아래 조건은 반영
		-권리구분이 '분양권', '입주권'
		-거래구분이 '매수'
	3) 양도일자만 기재되어 있는 주택은 미반영
	4) 취득일자/양도일자 둘 다 기재되어 있는 주택은 미반영
	*/
	if(popup_name == "homsFilterRefl"){
		if (result == "확인"){
			this.DS_SD_R.deleteallrows();	//데이터셋 초기화
			
			var rowCnt = this.DS_SD.getrowcount();

			for(var i = 0; i < rowCnt; i++){
				var acqDtVal = this.DS_SD.getdatabyname(i, "acqDt");	  					//취득일자
				var trnsDtVal = this.DS_SD.getdatabyname(i, "trnsDt");						//양도일자
				var rigtCnVal = factory.stringtrim(this.DS_SD.getdatabyname(i, "rigtCn"));	//권리구분
				var trCnVal = factory.stringtrim(this.DS_SD.getdatabyname(i, "trCn"));		//거래구분
				var prpsCnVal = factory.stringtrim(this.DS_SD.getdatabyname(i, "prpsCn"));	//용도/구분
				
				var aplyCntVal = 0; //반영건수
				var aplyYnVal = "00010"; //반영여부 - 초기값 : 미반영
				
				//취득일자 기재
				if(factory.stringbytelen(factory.stringtrim(acqDtVal)) != 0
				&& factory.stringbytelen(factory.stringtrim(trnsDtVal)) == 0){
					//소유권 항목 체크
					for(var j = 0; j < ownRigtList.length; j++){
						var ownRigtCd = ownRigtList[j];
						if(ownRigtCd == prpsCnVal){
							//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
							aplyCntVal = 1; //반영건수
							aplyYnVal = "00020"; //반영여부 : 반영
						}
					}
				//취득일자, 양도일자 모두 미기재
				}else if(factory.stringbytelen(factory.stringtrim(acqDtVal)) == 0
				&& factory.stringbytelen(factory.stringtrim(trnsDtVal)) == 0){
					if((rigtCnVal == "분양권" && trCnVal == "매수") || (rigtCnVal == "입주권" && trCnVal == "매수")){
						//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
						aplyCntVal = 1; //반영건수
						aplyYnVal = "00020"; //반영여부 : 반영
					}
				//양도일자만 기재 : 미반영
				}/*else if(factory.stringbytelen(factory.stringtrim(acqDtVal)) == 0
				&& factory.stringbytelen(factory.stringtrim(trnsDtVal)) != 0){
					//continue;
				//취득일자, 양도일자 모두 기재 : 미반영
				}else if(factory.stringbytelen(factory.stringtrim(acqDtVal)) != 0
				&& factory.stringbytelen(factory.stringtrim(trnsDtVal)) != 0){
					//continue;
				}*/
				
				//데이터셋 복사
				this.DS_SD.setdatabyname(i, "aplyCnt", aplyCntVal);	//반영건수
				this.DS_SD.setdatabyname(i, "aplyYn", aplyYnVal);	//반영여부
				//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
			}
			this.DS_SD_R.copy(this.DS_SD, "", true);
			SYSTran.requestSubmitSync(screen, "SXMPVM05U02");
		}
	// 일반 반영
	/* 일반 반영 세대 주택수 반영 규칙
	1) 취득일자, 양도일자, 권리구분, 거래구분 관계없이 아래에 해당되면 반영 (둘 중 하나만이라도 충족되면 됨)
		-소유권이 01: 아파트, 02: 단독주택, 03: 연립주택, 04: 다세대주택, 05: 다가구주택, 06: 다중주택, 07: 공관, 08: 기숙사, 20: 분양권, 21: 입주권, 99: 기타
		-권리구분이 '분양권', '입주권'
	*/
	}else if(popup_name == "homsGenRefl"){
		if (result == "확인"){
			this.DS_SD_R.deleteallrows();	//데이터셋 초기화
			
			var rowCnt = this.DS_SD.getrowcount();
	
			for(var i = 0; i < rowCnt; i++){
				var prpsCnVal = factory.stringtrim(this.DS_SD.getdatabyname(i, "prpsCn"));	//용도/구분
				var rigtCnVal = factory.stringtrim(this.DS_SD.getdatabyname(i, "rigtCn"));	//권리구분
				var check = false;	//소유권 체크용
				
				var aplyCntVal = 0; //반영건수
				var aplyYnVal = "00010"; //반영여부 - 초기값 : 미반영
				
				//소유권 항목 체크
				for(var j = 0; j < ownRigtList.length; j++){
					var ownRigtCd = ownRigtList[j];
					if(ownRigtCd == prpsCnVal){
						check = true;
					}
				}
				
				if(check){
					//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
					aplyCntVal = 1; //반영건수
					aplyYnVal = "00020"; //반영여부 : 반영
				//권리구분 체크
				}else if(rigtCnVal == "분양권" || rigtCnVal == "입주권"){
					//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
					aplyCntVal = 1; //반영건수
					aplyYnVal = "00020"; //반영여부 : 반영
				}
				
				//데이터셋 복사
				this.DS_SD.setdatabyname(i, "aplyCnt", aplyCntVal);	//반영건수
				this.DS_SD.setdatabyname(i, "aplyYn", aplyYnVal);	//반영여부
				//this.DS_SD_R.copyinsertrow(-1, this.DS_SD, i, true);
			}
			this.DS_SD_R.copy(this.DS_SD, "", true);
			SYSTran.requestSubmitSync(screen, "SXMPVM05U02");
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	//달력 날짜 세팅
	this.DS_SM.setdatabyname(0, "homsRqstDt", factory.datetoday());		//의뢰일자
	
	//공통코드 세팅
	SYSTran.getComCode(this.screen, "S12059", this.DS_CD_S12059);	//HOMS세대원구분코드
	SYSTran.getComCode(this.screen, "S12034", this.DS_CD_S12034);	//HOMS주택반영여부
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "SXMPVM05S01");
	}
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.DS_SD_U.deleteallrows();
	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "homsRqstDt", factory.datetoday());		//의뢰일자
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜잭션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "SXMPVM05S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SXMPVM05U01"){	//등록
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			//SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			//strMsg ="저장이 완료되었습니다.";
			this.DS_SM.setdatabyname(0, "homsRsltDt", factory.datetoday());		//최초등록일자
			this.DS_SM.setdatabyname(0, "homsRqstDt", "");		//의뢰일자
			SYSTran.requestSubmitSync(screen, "SXMPVM05S01");
		}
	}else if(mapid == "SXMPVM05U02"){	//반영
		if(result <= 0 || recv_code != 0000){
			recv_msg = "데이터 송신중 오류가 발생하였습니다.";
			//SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			strMsg ="반영이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}
	
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	var calHomsRqstDtVal = this.calHomsRqstDt.val();	 //의뢰일자
	
	//의뢰일자 체크
	if(factory.stringbytelen(factory.stringtrim(calHomsRqstDtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "의뢰일자를 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 엔터키 정의
function homsHousReptReqList_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "homsRqstDt", this.calHomsRqstDt.val());  //HOMS의뢰일자
		this.DS_SM.setdatabyname(0, "custBirth", this.edtCustBirth.val());	//고객생년월일
		this.DS_SM.setdatabyname(0, "custNm", this.edtCustNm.val());		  //고객명
		
		this.ue_query();
	}
	
	return 0;
}

// 파일 업로드 버튼 클릭 시
function bthFileUpload_on_click(objInst)
{
	this.DS_SD_C.deleteallrows();	//데이터셋 초기화
	
	//시작 시트 번호, 끝 시트 번호, 시작 행 번호, 시작 열 이름, 그리드 한행에 대한 엑셀 행 갯수
	this.grdExcelLoad.uploadexcelex(1, 1, 2, "A", 1);
}

// 파일 로드 후
function grdExcelLoad_on_fileload(objInst, nResult, strCode, strMsg, strFileName, nLoadStartTime, nStartRowIndex, nEndRowIndex)
{
	if(nResult == 1){
		
		//원장 수정용 데이터셋 복사 : 중복 고객 제외
		var rowCnt = this.DS_SD_C.getrowcount();
		
		for(var i = 0; i < rowCnt; i++){
			var hhCnVal = this.DS_SD_C.getdatabyname(i, "hhCn");	//세대주정보
			var resIdVal = this.DS_SD_C.getdatabyname(i, "homsRsltResId");	//고객주민등록번호
			var rowNum = this.DS_SD_U.findrowbyname(0, "homsRsltResId:=:\"*"+resIdVal+"*\":1:&");	//고객주민등록번호 검색
			
			this.DS_SD_C.setdatabyname(i, "homsRqstGbCd", "00010");	// 의뢰구분코드 값 세팅 : 신규신청의뢰
			this.DS_SD_C.setdatabyname(i, "homsStepCd", "00040");	// 원장 업데이트용 홈즈상태코드 값 세팅 : HOMS결과수신완료
			
			//세대주이면서 이미 복사되지 않은 행
			if(hhCnVal == '111111' && rowNum == -1){
				this.DS_SD_U.copyinsertrow(-1, this.DS_SD_C, i, true);
			}
		}
		
		SYSTran.requestSubmitSync(screen, "SXMPVM05U01");
	}
}

// 반영 전 체크
function preRefl(){
	var rowCnt = this.DS_SD.getrowcount();	//그리드 전체 행의 수
	
	if(rowCnt == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "반영할 항목이 없습니다.", "");
		return false;
	}
	
	return true;
}

// 필터링 반영 버튼 클릭 시
function btnFilterRefl_on_click(objInst)
{
	var check = this.preRefl();
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "필터링 반영을 하시겠습니까?", "homsFilterRefl");
	}
}

// 일반 반영 버튼 클릭 시
function btnGenRefl_on_click(objInst)
{
	var check = this.preRefl();
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "일반 반영을 하시겠습니까?", "homsGenRefl");
	}
}