﻿/****************************************************************
 * 전역변수 세팅
 ****************************************************************/
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 전역변수
var sUSERNO = SYSVar.loginUserInfo.USER_NO; // 로그인사용자번호
var sHSHDHOUSHOLDCNT = "";  // 세대주택보유 수
var sINFOROW = "";          // 주택소유자 컬럼 변경 시 flag

// 싱사승인관리 화면으로부터 전달받은 data
var sLOANAPPLNO = this.EXTRA_DATA.loanApplNo;  // 대출신청번호  
var sLOANCNSLNO = this.EXTRA_DATA.loanCnslNo;  // 대출상담번호
var sCUSTNM     = this.EXTRA_DATA.custNm;      // 고객명
var sHOMSSTEPCD = this.EXTRA_DATA.homsStepCd;  // HOMS진행상태(00040 :HOMS결과수신완료, 00050 : 세대주택수확정)

/****************************************************************
 * 부모화면(심사승인관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load()
{
	console.log("########### paranet_screen_data_load #######");
	
	// 팝업 종료시, 주택보유수 심사화면으로 전달
	var sCnt = "";
	if( sHOMSSTEPCD != '00050')
	{
		// 주택보유수 확정상태가 아닐경우, 주택보유수는 0
		sCnt = 0;
	}
	else
	{
		// 확정상태일 경우, 확정된 건수
		sCnt = this.edt_HshdHousHoldCnt.gettext();
	}
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 시작
	var param = {"Cnt" : sCnt};
	
	// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달 끝
	SYSUtil.popCloseCallBack(this.screen, param);
}

// ■■■■■■■■■■■■■■■ 화면 이벤트 영역 ■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("########### screen_on_load #######");
	
	// 부모화면 전달값 내역
	// console.log("sLOANAPPLNo:'" + sLOANAPPLNO + "'")
	// console.log("sLOANCNSLNO:'" + sLOANCNSLNO + "'")
	// console.log("sCUSTNM    :'" + sCUSTNM     + "'")
	// console.log("sHOMSSTEPCD:'" + sHOMSSTEPCD + "'")

	// 부모화면에서 전달받은 데이터 setting
	this.edt_LoanApplNo.settext(sLOANAPPLNO);
	this.edt_UserNm.settext(sCUSTNM);
	this.cbo_HomsStepCd.settext(sHOMSSTEPCD);

	// 공통코드 setting
	SYSTran.getComCode(this.screen, "S12035", this.DS_CD_S12035, true); // HOMS주택반영제외사유
	SYSTran.getComCode(this.screen, "S12036", this.DS_CD_S12036, true); // HOMS주택본건확인여부
	SYSTran.getComCode(this.screen, "S12037", this.DS_CD_S12037, true); // HOMS진행상태
	SYSTran.getComCode(this.screen, "S12060", this.DS_CD_S12060, true); // HOMS부동산종류코드

	// fn_세대주택보유수 내역 조회
    this.fn_init();
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete() call");
	if( mapid == "SXMPVP01S01" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				sHOMSSTEPCD = this.DS_HSHD_CNT_SD.getdatabyname(0, "homsStepCd") // 홈즈상태코드
				
				// 세대주택보유수 조회
				// console.log("sHOMSSTEPCD1:'" + sHOMSSTEPCD + "'");
				this.fn_SrchHshdHousHoldCnt(sHOMSSTEPCD);
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	
	if( mapid == "SXMPVP01I01" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "세대주택보유내역이 변경되었습니다.", "errMsg01");
				
				//  화면 재조회
				this.fn_init();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SXMPVP01S05" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// 관련인정보(고객주민등록번호(암호화값), 세대주정보)를 그리드(데이타셋)에 세팅
				var sRelaResId = this.DS_RELA_INFO_SD.getdatabyname(0, "relaResId"); // 고객주민등록번호(암호화값)
				var sHhCn      = this.DS_RELA_INFO_SD.getdatabyname(0, "hhCn");      // 세대주정보
				
				this.DS_HSHD_CNT_SD.setdatabyname(sINFOROW,   "homsRsltResId", sRelaResId); 
				this.DS_HSHD_CNT_SD.setdatabyname(sINFOROW,   "hhCn", sHhCn);
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SXMPVP01S06" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// console.log("세대주택보유수 확정건수 조회완료");
				var sHshdDcsnCnt = this.DS_HSHD_DCSN_SD.getdatabyname(0, "cnt") // 세대주택보유수 확정건수
				
				// 세대주택보유수 edit박스 데이터 세팅
				this.edt_HshdHousHoldCnt.settext(sHshdDcsnCnt);
			
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SXMPVP01U01" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// console.log("세대주택보유수 확정 완료");
				SYSUtil.loadMessageBox(this.screen, "알림", 1, " 세대주택보유수 확정되었습니다.", "errMsg01");
				
				//  화면 재조회
				this.fn_init();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	if( mapid == "SXMPVP01U02" )
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// console.log("세대주택보유수 확정 취소 완료");
				SYSUtil.loadMessageBox(this.screen, "알림", 1, " 세대주택보유수 확정 취소되었습니다.", "errMsg01");
				
				//  화면 재조회
				this.fn_init();
				
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}


/**************************************************
 * ■ btn_Init 클릭 이벤트
 **************************************************/
function btn_Init_on_mouseup(objInst)
{
	console.log("#### btn_Init_on_mouseup() call");
	
	// 화면 초기화
	this.fn_init();
}

/**************************************************
 * ■  btn_AddRow 클릭 이벤트
 **************************************************/
function btn_AddRow_on_click(objInst)
{
	console.log("#### btn_AddRow_on_click() call");

	// 행 추가 시 기본 데이터 sertting
	var sHomsRsltNo = this.edt_HomsRsltNo.gettext();  // 회신일련번호
	
	// 그리드 행_추가
	this.grd_HshdHousHoldCntCntn.addrow();

	for( i = 0; i < this.grd_HshdHousHoldCntCntn.getrowcount(); i ++ ) 
	{
		if( this.grd_HshdHousHoldCntCntn.getrowoperation(i) == XFD_ROWOP_INSERT )
		{
			// 추가된 행의 입력된 데이터 setting
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRsltNo",     sHomsRsltNo);          // 회신일련번호
			this.DS_HSHD_CNT_SD.setdatabyname(i, "loanApplNo",     sLOANAPPLNO);          // 대출신청번호
			this.DS_HSHD_CNT_SD.setdatabyname(i, "custNm",         sCUSTNM);              // 고객명(차주)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRsltSeq",    "0");                  // 순번(임시)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRsltDetSeq", "0");                  // 일련번호(임시)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRqstDt",     factory.datetoday());  // 확인요청일자(today)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRsltDt",     factory.datetoday());  // 확인일자(today)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "aplyCnt",        "1");                  // 반영건수(**개)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "aplyYn",         "00020");              // 반영여부
			this.DS_HSHD_CNT_SD.setdatabyname(i, "homsRqstGbCd",   "00010");              // 의뢰구분코드(00010 : 신규신청의회)
			this.DS_HSHD_CNT_SD.setdatabyname(i, "frstRegEmpNo",   sUSERNO);              // 최초등록사원번호
			this.DS_HSHD_CNT_SD.setdatabyname(i, "lastProcEmpNo",  sUSERNO);              // 최종수정사원번호
		}
	}
	// setting된 데이터 확인
    // SYSUtil.showDataSetLog(this.DS_HSHD_CNT_SD);
}

/**************************************************
 * ■ btn_Save 클릭이벤트
 **************************************************/
function btn_Save_on_mouseup(objInst)
{
	console.log("#### btn_Save_on_mouseup() call");
	
	// 저장 여부 체크
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "HshdHousHCntCntnSave");
}

/**************************************************
 * ■ btn_Delete 클릭이벤트
 **************************************************/
function btn_Delete_on_mouseup(objInst)
{
	console.log("#### btn_Delete_on_mouseup() call");
	
	// 삭제 여부 체크
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "삭제하시겠습니까?", "HshdHousHCntCntnDelete");
}

/**************************************************
 * ■ btn_Dcsn 클릭이벤트
 **************************************************/
function btn_Dcsn_on_click(objInst)
{
	console.log("#### btn_Dcsn_on_click() call");	
	
	var DcscYn = "Y";
	this.fn_UpdateHomsStepCd(DcscYn);
}

/**************************************************
 * ■ btn_Dcsn_cancel 클릭이벤트
 **************************************************/
function btn_Dcsn_cancel_on_click(objInst)
{
	console.log("#### btn_Dcsn_cancel_on_click() call");
	
	var DcscYn = "N";
	this.fn_UpdateHomsStepCd(DcscYn);
}

/**************************************************
 * ■ 확인 팝업 화면 종료 시 호출
 **************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) 
{
	console.log("#### screen_on_popupdestroy() call");
	
	// 저장 & 삭제확인 팝업에서 확인 클릭 시
	
	var i;  // 반복변수
	var rowCnt    = this.DS_HSHD_CNT_SD.getrowcount();       // 데이터셋 전체 row의 수
	var modifyCnt = this.DS_HSHD_CNT_SD.getmodifyrowcount(); // 데이터셋 내 수정된 row의 수
	var delRowCnt = this.DS_HSHD_CNT_SD_D.getrowcount();     // 삭제된 데이터셋 전체 row의 수
	var checkedRowCount = this.grd_HshdHousHoldCntCntn.getcheckedrowcount(); //그리드 내 선택된 row의 수
	
	this.DS_HSHD_CNT_SD_C.init();
	
    // 저장 버튼의 팝업, "확인" 클릭
	if( popup_name == "HshdHousHCntCntnSave" )
	{
		if (result == "확인")
		{	
			if(rowCnt <= 0 && delRowCnt <= 0)
			{	
				// 전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				
				return;
			}
			
			// 추가한 행 데이터셋 복사
			if( modifyCnt != 0 )
			{
				// console.log("변경된 로우 확인");
				for( i=0; i < rowCnt; i++ )
				{
					if( this.DS_HSHD_CNT_SD.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_HSHD_CNT_SD.getrowoperation(i) == XFD_ROWOP_UPDATE )
					{
						// console.log("주택소유자명 값 있음 데이터셋 카피.");
						// 추가된 행의 operator가 "insert, update"일 경우, 데이터set copy
						this.DS_HSHD_CNT_SD_C.copyinsertrow(-1, this.DS_HSHD_CNT_SD, i, true);
					}
				}
				screen.setscreenprotect(true); // 화면잠금
				
				// 수정 서비스 호출
				SYSTran.requestSubmitAsync(screen, "SXMPVP01I01");
			}
		}
	}	
	// 삭제 버튼의 팝업, "확인" 클릭
	if( popup_name == "HshdHousHCntCntnDelete" )
	{
		if ( result == "확인" )
		{
			if( this.grd_HshdHousHoldCntCntn.getcheckedrowcount() == 0 )	
			{
				// 그리드의 삭제할 row의 체크박스가 미선택일 경우, 
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택된 행이 존재하지않습니다.\n확인 후 다시 시도해주세요", "errMsg01");
				
				return;
			}
			else
			{
				// 그리드 내 선택된 행의 인덱스
				var nRow = this.grd_HshdHousHoldCntCntn.getcheckedrow(0);

				// 체크된 데이터셋 복사 후 그리드 행 삭제
				this.DS_HSHD_CNT_SD_D.copyinsertrow(-1, this.DS_HSHD_CNT_SD, nRow, true);
				this.DS_HSHD_CNT_SD_D.setallrowoperation(XFD_ROWOP_DELETE);
			
			    // 체크된 row 그리드에서 삭제
	            this.grd_HshdHousHoldCntCntn.deleterow(nRow);
		
				// 화면잠금
				screen.setscreenprotect(true); 
				
				// 수정 서비스 호출
				SYSTran.requestSubmitAsync(screen, "SXMPVP01I01");
			}
		}
	}
}

// ★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★
/****************************************************************
 * ★ fn_초기화 이벤트
 ****************************************************************/
function fn_init()
{	
	console.log("#### fn_init() call");
	
	// 전체 dataset 초기화
	this.DS_HSHD_CNT_SRCH.init();
	this.DS_HSHD_CNT_SD.init();
	this.DS_HSHD_CNT_SD_C.init();
	this.DS_HSHD_CNT_SD_D.init();
	this.DS_RELA_LIST_SD.init();
	this.DS_RELA_INFO_SD.init();
	this.DS_HSHD_DCSN_SD.init();

    // 세대구성원 수 조회
	this.fn_SrchHhMembCntCntn();

	// 세대주택보유수 내역 조회
	this.fn_SrchHshdHousHCntCntn();
}

/****************************************************************
 * ★ fn_세대구성원 수 조회 이벤트
 ****************************************************************/
function fn_SrchHhMembCntCntn()
{
	console.log("#### fn_SrchHhMembCntCntn() call");
	
	// 조회 데이터셋 set
	this.DS_HSHD_CNT_SRCH.init();
	this.DS_HSHD_CNT_SRCH.addrow();
	
	this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo", sLOANAPPLNO); // 대출신청번호
	
	// 조회 서비스 호출
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01S02");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ fn_세대주택보유내역 조회 이벤트
 ****************************************************************/
function fn_SrchHshdHousHCntCntn()
{	
	console.log("#### fn_SrchHshdHousHCntCntn() call");
	
	// 조회 데이터셋 set
	this.DS_HSHD_CNT_SRCH.init();
	this.DS_HSHD_CNT_SRCH.addrow();
	
	this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo", sLOANAPPLNO); // 대출신청번호
	
	// 조회 서비스 호출
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01S01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}	
}

/****************************************************************
 * ★ fn_그리드 클릭 이벤트
 ****************************************************************/
function grd_HshdHousHoldCntCntn_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grd_HshdHousHoldCntCntn_on_itemclick() call");
	
	// console.log("homs상태코드" + sHOMSSTEPCD);
	// console.log("클릭한 셀의 nClickRow     : '" + nClickRow    + "'");
    // console.log("클릭한 셀의 nClickColumn  : '" + nClickColumn + "'");
    // console.log("클릭한 셀의 strOperation  : '" + strOperation + "'");
	
	if( sHOMSSTEPCD == '00050' )
	{
		// homs상태코드 : 세대 주택수 확정(00050)일 경우, 그리드 enable x
		this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, false);
	}
	else
	{
		// 그리드의 행 추가시 추가된 행만 editable 처리
		var strOperation = this.grd_HshdHousHoldCntCntn.getrowoperation(nClickRow); // 클릭한 row의 operator
		
		if( strOperation = XFD_ROWOP_INSERT && strOperation != " " && strOperation != XFD_ROWOP_UPDATE ) 
		{
			// strOperation = XFD_ROWOP_INSERT
			if( nClickColumn == "0" || nClickColumn == "1" || nClickColumn == "2" || nClickColumn == "3" || nClickColumn == "4" ) 
			{
				// 행추가 시 세팅된 데이터(key)
				this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, false);  // 수정불가
			}
			else if( nClickColumn == "5" ) 
			{
				// 행추가 시 세팅된 데이터(key)
				this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, true);  // 수정가능
				
				// 관련인 목록 조회
				this.fn_SrchRelaList();
			}
			else
			{
				// 행추가 시 세팅된 데이터(key 제외)
				this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, true);  // 수정가능
			}
		}
		else
		{	
			// strOperation = XFD_ROWOP_UPDATE or 그 외
			if(nClickColumn == "8" || nClickColumn == "12" || nClickColumn == "13" ) 
			{
				// 수정가능 column edit
				this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, true);  // 수정가능
			}
			else
			{
				// 수정불가 column edit x
				this.grd_HshdHousHoldCntCntn.setcolumneditable(nClickColumn, false);  // 수정불가
			}
		}
	}
}

/****************************************************************
 * ★ fn_관련인목록 조회
 ****************************************************************/
function fn_SrchRelaList()
{
	console.log("#### fn_SrchRelaList() call");

	// 조회 데이터셋 set
	this.DS_HSHD_CNT_SRCH.init();
	this.DS_HSHD_CNT_SRCH.addrow();
	
	this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo", sLOANAPPLNO); // 대출신청번호
	
	// 조회 서비스 호출
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01S04");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ fn_세대주택수 그리드 주택소유자명 컬럼의 value변경 시 event
 ****************************************************************/
function grd_HshdHousHoldCntCntn_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
	console.log("#### grd_HshdHousHoldCntCntn_on_itemvaluechanged() call");
	
	if( nColumn == 5 )
	{	
		// 선택한 컬럼(5번째 컬럼 : "주택소유자명")이 변경될 때 로직 실행.
		sINFOROW = nRow; // 변경된 값의 row 값
		var sHomsRsltNm = this.DS_HSHD_CNT_SD.getdatabyname(nRow, "homsRsltNm"); // 고객명(세대원)
		
		// 조회 데이터셋 set
		this.DS_RELA_INFO_SD.init();
		this.DS_HSHD_CNT_SRCH.init();
		this.DS_HSHD_CNT_SRCH.addrow();
		
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo", sLOANAPPLNO); // 대출신청번호
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "homsRsltNm", sHomsRsltNm); // 고객명(세대원)
		
		// 조회 서비스 호출
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01S05");
		
		if(reqSubmit == false) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			
			// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
}
/****************************************************************
 * ★ fn_세대주택보유수(cnt) 조회
 ****************************************************************/
function fn_SrchHshdHousHoldCnt(sHOMSSTEPCD)
{
	console.log("#### fn_SrchHshdHousHoldCnt() call");
	
	if( sHOMSSTEPCD == "00040" )
	{
		// 홈즈상태코드 00040 : 데이터 없음 표시
		// 버튼 기능 enable
		this.btn_Init.setenable(true);         // 초기화
		this.btn_AddRow.setenable(true);       // 추가
		this.btn_Delete.setenable(true);       // 삭제
		this.btn_Save.setenable(true);         // 저장
		this.btn_Dcsn.setenable(true);         // 확정
		this.btn_Dcsn_cancel.setenable(false); // 확정취소
		
		this.edt_HshdHousHoldCnt.settext("데이터 없음");
	}
	
	if( sHOMSSTEPCD == "00020" )
	{
		//버튼기능 enable
		this.btn_Init.setenable(false);        // 초기화
		this.btn_AddRow.setenable(false);      // 추가
		this.btn_Delete.setenable(false);      // 삭제
		this.btn_Save.setenable(false);        // 저장
		this.btn_Dcsn.setenable(false);        // 확정
		this.btn_Dcsn_cancel.setenable(false); // 확정취소
		
		this.edt_HshdHousHoldCnt.settext("데이터 없음");
	}
	
	if( sHOMSSTEPCD == "00050" )
	{
		// 홈즈상태코드 00050 : 확정건수 조회
		// 기능버튼 enable
		this.btn_Init.setenable(true);        // 초기화
		this.btn_AddRow.setenable(false);     // 추가
		this.btn_Delete.setenable(false);     // 삭제
		this.btn_Save.setenable(false);       // 저장
		this.btn_Dcsn.setenable(false);       // 확정
		this.btn_Dcsn_cancel.setenable(true); // 확정취소
		
		// 조회 데이터셋 set
		this.DS_HSHD_DCSN_SD.init();
		this.DS_HSHD_CNT_SRCH.init();
		this.DS_HSHD_CNT_SRCH.addrow();
		
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo", sLOANAPPLNO); // 대출신청번호
		
		// 조회 서비스 호출
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01S06");
		
		if(reqSubmit == false) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			
			// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
}

/****************************************************************
 * ★ fn_확정 & 확정취소 업데이트 조회
 ****************************************************************/
function fn_UpdateHomsStepCd(DcscYn)
{
	console.log("#### fn_UpdateHomsStepCd() call");
	
	var sHomsStepCd = "";
	
	if( DcscYn == "Y" ) 
	{
		// 홈즈상태코드
		var sHomsStepCdDcsc = "00050";
		var sCnt = this.DS_HSHD_DCSN_SD.getdatabyname(0, "cnt")
		
		// 조회 데이터셋 set
		this.DS_HSHD_CNT_SRCH.init();
		this.DS_HSHD_CNT_SRCH.addrow();
		
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo",    sLOANAPPLNO);     // 대출신청번호
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "homsStepCd",    sHomsStepCdDcsc); // 홈즈상태코드(00050)
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "lastProcEmpNo", sUSERNO);         // 최종수정사원번호
		
		// 조회 서비스 호출
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01U01");
		
		if(reqSubmit == false) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			
			// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
		
	}
	if( DcscYn == "N" ) 
	{
		// 홈즈상태코드
		alert("확정취소시, homs상태값은 'HOMS의뢰전(00020)'으로 변경되어야 하나 \n TEST용으로 'HOMS결과수신완료(00040)'으로 세팅");
//		var sHomsStepCdCnsl = "00020"; // HOMS의뢰전
		var sHomsStepCdCnsl = "00040"; // HOMS결과수신완료(test용)

		// 조회 데이터셋 set
		this.DS_HSHD_CNT_SRCH.init();
		this.DS_HSHD_CNT_SRCH.addrow();
		
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "loanApplNo",    sLOANAPPLNO);     // 대출신청번호
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "homsStepCd",    sHomsStepCdCnsl); // 홈즈상태코드(00040)
		this.DS_HSHD_CNT_SRCH.setdatabyname(this.DS_HSHD_CNT_SRCH.getrowcount() - 1, "lastProcEmpNo", sUSERNO);         // 최종수정사원번호
		
		// 조회 서비스 호출
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVP01U02");
		
		if(reqSubmit == false) 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
			
			// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
		else 
		{
			// 화면잠금해제
			this.screen.setscreenprotect(false);
		}
	}
}