﻿function screen_on_load()
{
	var prop_obj = {
		effect_duration: 300,			 	// 효과가 동작할 시간(default: 300)
		focusout_font: ["맑은고딕",10,0,0,0,0], // 폰트(default: ['굴림체',9,0,0,0,0])
		text: "한글123abc", 			   	// 표시할 텍스트 (default('')값 으로 설정시 tooltip속성값을 표시)
		fontsize_gap: 2, 				 	// focus-out시에 비해 focus-in때 줄어들 폰트사이즈 차이(default: 2)
		focusin_horz_gap: 0,              	// focus-in일때 텍스트 좌측 gap값(default: 0)
											  //   (양수값으로 설정시 텍스트가 우측으로 이동하고, 음수값으로 설정시 텍스트가 좌측으로 이동함)
        focusin_vert_gap: 0,           	   // focus-in일때 텍스트와 컴포넌트와의 gap값(default: 0).
											  //   (focusin_vert_align값이 0일때는 양수값으로 설정시 텍스트가 상단으로 이동하고, 음수값으로 설정시 텍스트가 하단으로 이동함)
											  //   (focusin_vert_align값이 1, 2일때는 양수값으로 설정시 텍스트가 하단으로 이동하고, 음수값으로 설정시 텍스트가 상단으로 이동함)
        focusout_horz_gap: 2,          	   // focus-out일때 텍스트 좌측 gap값(default: 0)
											  //   (양수값으로 설정시 텍스트가 우측으로 이동하고, 음수값으로 설정시 텍스트가 좌측으로 이동함)
        focusout_vert_gap: 0,          	   // focus-out일때 텍스트 상단 gap값(default: 0)
											  //   (양수값으로 설정시 텍스트가 하단으로 이동하고, 음수값으로 설정시 텍스트가 상단으로 이동함)
		focusin_fore_color: [51,153,255],     // focus-in에 설정될 폰트컬러(default: [51,153,255])
		focusout_fore_color: [170,170,170],   // focus-out일때 글씨색(default: [170,170,170])
		focusout_horz_align: "left", 		 // focus-out시에 표시될 플레이스홀더 위치(default: 'left')
		focusin_horz_align: 0,				// 수평방향 위치(0: 좌(default), 1: 중, 2: 우)
		focusin_vert_align: 0			 	// 수직방향 위치(0: 상(default), 1: 중, 2: 하)
	};
	
	// 좌측위
	this.fld1.setplaceholdereffect(prop_obj);
	
	// 우측위
	prop_obj.focusin_horz_align = 1;
	prop_obj.focusin_vert_align = 0;
	this.fld2.setplaceholdereffect(prop_obj);
	
	// 우측중앙
	prop_obj.focusin_horz_align = 0;
	prop_obj.focusin_vert_align = 1;
	this.fld3.setplaceholdereffect(prop_obj);
	
	// 좌측아래
	prop_obj.focusin_horz_align = 0;
	prop_obj.focusin_vert_align = 2;
	this.fld4.setplaceholdereffect(prop_obj);
	
	// 우측아래
	prop_obj.focusin_horz_align = 1;
	prop_obj.focusin_vert_align = 2;
	this.fld5.setplaceholdereffect(prop_obj);
	
	prop_obj.focusin_horz_align = 0;
	prop_obj.focusin_vert_align = 0;
	this.fld6.setplaceholdereffect(prop_obj);
}

function btn_sethinttext_on_mouseup(objInst)
{
	this.fld6.sethinttext("가나다456def");
}

function btn_change1_on_mouseup(objInst)
{
	var prop_obj = {
		effect_duration: 200,
		focusout_font: ["맑은고딕",14,0,0,0,0],
		text: "design1",
		focusout_fore_color: [255,0,0],
		focusin_fore_color: [0,175,16],
		focusout_horz_margin: 5	
	};
	
	prop_obj.focusin_horz_align = 1;
	prop_obj.focusin_vert_align = 2;
	this.fld7.setplaceholdereffect(prop_obj);	
}

function btn_change2_on_mouseup(objInst)
{
	var prop_obj;
	
	prop_obj = this.fld7.getplaceholdereffect();
	
	// 생성되어 있지 않을때 getplaceholdereffect API를 호출한 것이면 리턴
	if (prop_obj === null){ return; }
	
	prop_obj.focusin_fore_color = [0,36,255];
	prop_obj.focusout_fore_color = [208,210,0];
	
	this.fld7.setplaceholdereffect(prop_obj);
}

function btn_delete_on_mouseup(objInst)
{
	// 파라미터로 null을 설정시 삭제
	this.fld7.setplaceholdereffect(null);
}

/**
 * HintText 효과 처리 사용자 정의 함수
 * @param objScreen 화면 인스턴스
 * @param objComponent 컴포넌트 인스턴스
 * @returns setplaceholdereffect 함수에 사용되는 속성 오브젝트 또는 null
 */
function HintTextEffectFunc(objScreen, objComponent) {
	// prop_obj 구조는 setplaceholdereffect API 도움말 참조
	var prop_obj = {
		text: "속성으로 설정", // 표시할 텍스트
		focusout_horz_gap: 2 // focus-out일때 텍스트 좌측 gap값
	};

	// Case 1. setplaceholdereffect 함수에 사용될 속성 오브젝트 리턴
	return prop_obj;
	
	// Case 2. setplaceholdereffect 함수를 직접 호출하고 null 리턴
	// objComponent.setplaceholdereffect(prop_obj);
	// return null;
}