﻿function btn_registerchildsubmitevent_on_mouseup(objInst)
{
	screen.registerchildsubmitevent("childscreen_submitbefore", "childscreen_submitcomplete");
}

/**
 * 자식화면의 on_beforesubmit 이벤트 처리 함수
 * @param child_screen 자식화면 인스턴스
 * @param mapid XTranMap ID
 * @param before_child 자식 화면의 on_beforesubmit 이벤트 함수 호출 이전 여부
 * @param child_result 자식 화면의 on_beforesubmit 이벤트 함수 리턴값 (before_child가 true인 경우에는 1)
 * @param is_async_tran 자식 화면의 requestsubmit의 async 방식 호출 여부
 * @returns 1 - requestsubmit 계속 수행
 *          그외 - requestsubmit 중단
 */
function childscreen_submitbefore(child_screen, mapid, before_child, child_result, is_async_tran)
{
	factory.consoleprint(screen.getscreenurl());
	factory.consoleprint("childscreen_submitbefore> start");
	factory.consoleprint("childscreen_submitbefore> child_screen url = " + child_screen.getscreenurl());
	factory.consoleprint("childscreen_submitbefore> mapid = " + mapid);
	factory.consoleprint("childscreen_submitbefore> before_child = " + before_child);
	factory.consoleprint("childscreen_submitbefore> child_result = " + child_result);
	factory.consoleprint("childscreen_submitbefore> is_async_tran = " + is_async_tran);
	
	// 1 이외의 값을 리턴시 requestsubmit 중단됨
	return 1;
}

/**
 * 자식화면의 on_submitcomplete 이벤트 처리 함수
 * @param child_screen 자식화면 인스턴스
 * @param mapid XTranMap ID
 * @param before_child 자식 화면의 on_submitcomplete 이벤트 함수 호출 이전 여부
                       동기식 requestsubmit인 경우에는 before_child 값이 false로 설정되서 한번만 호출됨
 * @param is_async_tran 자식 화면의 requestsubmit의 async 방식 호출 여부
 */
function childscreen_submitcomplete(child_screen, mapid, result, recv_userheader, recv_code, recv_msg, before_child, is_async_tran)
{
	factory.consoleprint(screen.getscreenurl());
	factory.consoleprint("childscreen_submitcomplete> start");
	factory.consoleprint("childscreen_submitcomplete> child_screen url = " + child_screen.getscreenurl());
	factory.consoleprint("childscreen_submitcomplete> mapid = " + mapid);
	factory.consoleprint("childscreen_submitcomplete> result = " + result);
	factory.consoleprint("childscreen_submitcomplete> recv_userheader = " + recv_userheader);
	factory.consoleprint("childscreen_submitcomplete> recv_code = " + recv_code);
	factory.consoleprint("childscreen_submitcomplete> recv_msg = " + recv_msg);
	factory.consoleprint("childscreen_submitcomplete> before_child = " + before_child);
	factory.consoleprint("childscreen_submitcomplete> is_async_tran = " + is_async_tran);
}