﻿/****************************************************************************
- Notice : Do not delete this function.
****************************************************************************/
function TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet() {
	// 화폐 권종별 단위
	this.m_arrMoney = [100000,50000,10000,5000,1000,500,100,50,10,5,1];
	
	// 선택행 번호
	this.m_nSelectRow = 0;
	
	// 이전 입력했던 행 번호
	this.m_nPrevEditRow = 0;
}
/////////////////////////////////////////////////////////////////////////////

/**
 * 화면이 로드될때 선택셀 위치를 초기화한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.screenportlet_on_load = function()
{
	// setfocus API를 호출 해줘야 키보드 키입력으로 값 입력이 가능함
	this.grd.setfocus();
	this.grd.setselectitem(0, 1);
};

/**
 * 권종 수량 및 금액을 초기화하는 버튼 클릭 이벤트를 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.btn_removeAll_on_mouseup = function(objInst)
{
	this.grd.initialize();
	this.grd.setfocus();
	this.grd.setselectitem(0, 1);
	
	// 선택행 초기화
	this.m_nSelectRow = 0;
};

/**
 * 키보드 키 입력을 처리하는 그리드의 키다운 이벤트
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.grd_on_prekeydown = function(objInst, keycode, bctrldown, bshiftdown, baltdown)
{
	// ESC 키 입력
	if (keycode === 27) {
		this.btn_close_on_mouseup();
		return 1;
	}
	// delete키 입력(수량컬럼 값 지우기)
	if (keycode === 46) {
		btn_removeCell_on_mouseup();
	}	
	// 숫자키(48~57), Enter(13) 일 경우 keydown처리
	else if ((keycode >= 48 && keycode <= 57) || keycode === 13 ) {
		this.gridPreKeydown(this.grd, keycode, bctrldown, bshiftdown, baltdown );
		return 1;
	}
	
	return 0;
};

/**
 * 선택행 변경시 선택행 번호를 갱신하는 그리드의 키다운 이벤트를 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.grd_on_itemselchange = function(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	// 선택행 갱신
	this.m_nSelectRow = nCurSelectRow;
};

/**
 * 화면을 닫는 버튼클릭 이벤트를 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.btn_close_on_mouseup = function(objInst)
{
	this.screen.unload();
};

/**
 * 합계를 계산한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.setsum = function()
{
	var nGrdRowCnt, i, nSum, nAmount;
	
	// 합계 액수 초기화
	nAmount = 0;
	
	// 권종별 금액을 계산하여 입력함(합계행은 맨 마지막에 처리하므로 제외)
	nGrdRowCnt = this.grd.getrowcount() - 1;
	for (i = 0; i < nGrdRowCnt; i++) {
		// 행별 금액계산
		nSum = this.m_arrMoney[i] * Number(this.grd.getitemtext(i, 1));
		
		// 행별 금액컬럼에 합계액 입력
		this.grd.setitemtext(i, 2, nSum);
		
		// 합계 계산
		nAmount = nAmount + Number(this.grd.getitemtext(i, 2));
	}
	
	// 합계행에 금액 입력
	this.grd.setitemtext(nGrdRowCnt, 2, nAmount);
};

/**
 * 키보드 키 입력을 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.gridPreKeydown = function(objInst, keycode, bctrldown, bshiftdown, baltdown)
{
	var nSelectRow, nKey, nSum, nGrdRowCnt;
	
	// 합계행 클릭한 상태이면 입력안됨
	nGrdRowCnt = this.grd.getrowcount();
	if (this.grd.getselectrow() == nGrdRowCnt -1) { return; }
	
	// 현재 선택된 행의 index를 구함
	nSelectRow = this.grd.getselectrow();

	switch(keycode) {
		// ENTER
		case 13:
			if (this.m_nSelectRow < nGrdRowCnt - 1) {
				// 마지막행이 아니라면 선택행을 +1시킴
				this.m_nSelectRow += 1;
			}
			
			// 다음행으로 선택행 이동(수량컬럼에 입력하므로 수량컬럼으로 이동시킴)
			this.grd.setselectitem(this.m_nSelectRow, 1);
			break;
			
		// 숫자입력시
		default:
			if ((keycode >= 48) && (keycode <= 57)) {
				nKey = keycode - 48;
			}
			
			// 입력은 항상 수량을 입력하는 것이므로 수량컬럼으로 포커스이동
			this.grd.setselectitem(nSelectRow, 1);
			
			// 다른 셀에 숫자 입력하다가 행 바꾼것이면 원래 있던 값은 삭제하고 입력하게함
			if (this.m_nPrevEditRow != nSelectRow) {
				this.grd.setitemtext(nSelectRow, 1, "");
			}
			
			// 현재 수량컬럼에 입력되어 있는 값을 가져옴
			strSelText = this.grd.getitemtext(nSelectRow, 1);
			
			// 값이 0이면 최초입력으로 보고 키인한 값을 바로 입력해줌
			if (strSelText == "0") {
				this.grd.setitemtext(nSelectRow, 1, nKey);
			}
			// 값이 0이 아니면 이미 입력된 값이 있는 상태이므로 키인한 값을 뒤에 추가함
			else {
				nSum = strSelText + nKey;
				
				// max_length보다 길다면 입력하지 않음
				if(nSum.length > this.grd.getcolumnmaxlength(1)) { break; }
				
				this.grd.setitemtext(nSelectRow, 1, nSum);
			}
			
			// 합계계산
			this.setsum();
			
			// 현재 값을 입력한 행번호 저장
			this.m_nPrevEditRow = nSelectRow;
			break;
	}
};

/**
 * 부모화면에 합계값을 전달하고 화면을 닫는 버튼클릭 이벤트를 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.btn_01_input_on_mouseup = function(objInst)
{
	var strValue;

	// 합계 결과 전달 및 팝업닫기
	strValue = this.grd.getitemtext(this.grd.getrowcount() -1, 2);
	this.ReturnClosePopup(strValue);
};

/**
 * 계산 결과를 부모화면으로 전달 후 팝업을 닫는다.
 * @param strValue 부모화면으로 전달할 결과값
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.ReturnClosePopup = function(strValue)
{
	var objExtraData, srcParent, objFld;

    // 팝업화면 열기시 전달한 extra_data 얻기
    objExtraData = this.screen.getextradata();
	if (objExtraData != null) {
		// 부모화면 screen 구하고 유효성 처리
		srcParent = this.screen.getparent();
		if (factory.isobject(srcParent)) {
			// 리턴받는데 사용할 함수명을 전달한 경우
			if (objExtraData.RETURN_FUNCTION_NAME !== "") {
				// 부모화면의 함수를 통하여 전달할 값 설정
				srcParent.callscriptmethod(objExtraData.RETURN_FUNCTION_NAME + "(\"" + strValue + "\")", XFD_JAVASCRIPT);
				
				this.screen.unloadpopup();
				return;
			}
			
			// 리턴받을 객체명을 전달한 경우
			if (objExtraData.RETURN_OBJECT_NAME !== "") {
				// 리턴받을 객체를 부모화면에서 구하기
				objFld = srcParent.getinstancebyname(objExtraData.RETURN_OBJECT_NAME);
				if (factory.isobject(objFld)) {
					// 전달할 값 설정(컴포넌트 유형에 따라 settext 함수를 변경하여 호출해야 한다)
					objFld.settext(strValue);
					
					this.screen.unloadpopup();
					return;
				}
			}

			// 리턴받을 함수를 전달한 경우
			if (objExtraData.RETURN_FUNCTION !== null) {
				// 부모화면의 함수를 통하여 값 전달
				objExtraData.RETURN_FUNCTION(strValue);
				
				// 팝업 화면 닫기
				this.screen.unloadpopup();
				return;
			}
		}
	}
	
	// 팝업화면 닫기
	this.screen.unloadpopup(strValue);
};

/**
 * 현재 선택중인 행의 수량값을 지우는 버튼클릭 이벤트를 처리한다.
 */
TEMPLATE_HTML5_UTIL_CALCUL_unit_calculator_portlet.prototype.btn_removeCell_on_mouseup = function(objInst)
{
	// 현재 선택한 행 구하기
	var nSelectRow = this.grd.getselectrow();
	
	// 입력할때와 동작을 맞춰주기 위해 삭제했을대도 수량컬럼으로 포커스 이동
	this.grd.setselectitem(nSelectRow, 1);
	
	// 수량값 삭제
	this.grd.setitemtext(nSelectRow, 1, 0);
	
	// 합계 재계산
	setsum();
};