﻿function btn_wplusipaddr_on_mouseup(objInst)
{
	var ipaddr_info;

	ipaddr_info = this.webplus_ipaddr();
	
	factory.consoleprint(factory.jsonstringify(ipaddr_info));
	
	this.fld_result.settext(ipaddr_info.result);
	this.fld_errcode.settext(ipaddr_info.err_code);
	this.fld_errmsg.settext(ipaddr_info.err_msg);
	
	this.fld_ipaddr.settext(ipaddr_info.ip_addr);
}

/**
 * webplus_ipaddr.jsp 파일을 연계하여 서버에 있는 파일 크기 및 수정시각 정보를 구함
 * @returns {*} IP 정보 오브젝트 (아래 ipaddr_info 변수 주석 참조)
 */
function webplus_ipaddr() {
    var ipaddr_info, json_str, webplus_ipaddr_url;

	// 파일 정보 오브젝트
    ipaddr_info =  {
        result: 0,           // 처리결과값 (1: 성공, 0: 실패)
        err_code: 0,         // 에러 코드
        err_msg: "",         // 에러 메세지
		ip_addr: ""          // IP 주소
    };

	// URL 정보 설정
	webplus_ipaddr_url = "http://127.0.0.1:8080/xframe5/template/HTML5/UTIL/WEBPLUS/webplus_ipaddr.jsp";

	// AJAX GET Sync 방식으로 호출
    $.ajax({
        url: webplus_ipaddr_url,   // url
        method: "GET",         	// 'POST', 'GET', 'PUT'
        async: false,		      // sync 방식으로 동작 (true/false)
        dataType: "text",          // 'xml', 'html', 'script', 'json', 'jsonp', 'text'
        cache: false,
        crossDomain: true,

        // withCredentials를 사용할 경우,
        // 서버에서도 Access-Control-Allow-Credentails를 true로 설정해야 하고,
        // Access-Control-Allow-Origin을 "*"로 사용할 수 없음
        xhrFields: {
            withCredentials: true
        },

		// 오류 발생시
        error: function (jqXHR, textStatus, errorThrown) {
            file_info.result = 0;
            file_info.err_code = jqXHR.status;
            file_info.err_msg = "(" + jqXHR.readyState + ") " + errorThrown;
        },

		// 성공시
        success: function (data, textStatus, jqXHR) {
			// 수신 데이터 트림 처리 및 데이터 형식 확인
            json_str = factory.stringtrim(data);
			if (json_str.charAt(0) != "{") {
                file_info.result = 0;
                file_info.err_code = 3;
                file_info.err_msg = "invalid data format";
            }
            else {
				ipaddr_info = factory.jsonparse(json_str)
            }
        }
    });

    return ipaddr_info;
}

