﻿/**
 * @SCREEN NAME : SC_RST_02_ML_01_T1
 * @Description : 서면심사 - 전체 리스트
 * @Modification Information
 * @
 * @  수정일                          수정내용
 * @ ---------   ---------   -------------------------------
 * @ 2022.07.27     최초생성
 *
 * @author 자기소속
 * @version 1.0
 * @see 
 * 		
 * Copyright (C) by 안전보건공단 All right reserved.
 *  
 */

/*
 * 화면 최초 로드 이벤트
 */
function screen_on_load()
{

}

/**
 *	callback function
 **/
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if ( mapid == "getGrid01List" )
	{
		// 대상품 리스트 조회 
		this.selectListSub(0);
		var nCnt = this.DS_G010.getrowcount();
		SYSUtil.comAlert(nCnt + "건 조회되었습니다.");
	}
}

/**
 *	팝업콜백
 **/
function popupUserCallback(objResult, strPopUpName){
	
	if (strPopUpName == "btn_ExlDownloadPopup"){
		if(objResult == "0"){
			var objScreen;
			var objMembers;
	
			objScreen = this.screen.getparent();
			objMembers = objScreen.getmembers();
			if (factory.isfunction(objMembers["fn_getExlDownload"])) {
				objMembers["fn_getExlDownload"]("");
			}
		}
	}else if (strPopUpName == "btn_endPopup" || strPopUpName == "btn_statusPopup"){
		this.selectList();
	}else if(strPopUpName == "gfnMinganBanRyeoPopup"){
		if(objResult == 0){
			this.selectList();
		}
	}
}

/**
 *	신청사업장 리스트 조회
 **/
function selectList() 
{
	
	var objScreen;
	var objDs;
	objScreen = this.screen.getparent();

	if (objScreen) {
		objDs = objScreen.getxdataset("DS_SEARCH");
		this.DS_SEARCH.copy(objDs, "", false);
	}
	this.DS_SEARCH.setdatabyname(0, "selectedId", "queryId=koshaApp01DAO.SC_RST_02_ML_01.getGrid01List");
	SYSTran.requestSubmitAsync(this.screen, "getGrid01List");
}

/**
 *	대상품 리스트 조회
 **/
function selectListSub(nIndex) 
{
	this.DS_SEARCH.setdatabyname(0, "vAPPLY_NO", this.DS_G010.getdatabyname(nIndex, "APPLY_NO"));
	this.DS_SEARCH.setdatabyname(0, "procId", "procnm=SC_RST_02_ML_01.getgrid_search1");
	SYSTran.requestSubmitSync(this.screen, "getgrd_T1_G020");
}

/**
 *	신청사업장 리스트 CHANGE 이벤트
 **/
function grd_T1_G010_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	
	if(nCurSelectColumn > 0){
		this.selectListSub(nCurSelectRow);
	}
}



/**
 *	대장양식으로 엑셀출력 버튼
 **/
 
function tab1_btn_ExlDownload_on_mouseup(objInst)
{
	this.gfnSetExlDownResult(this.DS_SEARCH01.getdatabyname(0,"S_EXL_CD"));
	//SYSUtil.gfnSetExlDownResult(this.DS_SEARCH01.getdatabyname(0,"S_EXL_CD"));

}


/**
 *	그리드 결과내 재검색
 **/
function tab1_edt_RE_SEARCH_on_change(objInst, event_type)
{
	if(this.DS_G010.getrowcount() < 1){
		return;
	}
	var strPostText = this.tab1_edt_RE_SEARCH.gettext();
	if(strPostText.length < 2){
		this.grd_T1_G010.releasefilter();
	}else{
		this.grd_T1_G010.releasefilter();
		var nColIdCnt = this.grd_T1_G010.getcolumncount();
		var strFilterOpt = "";
		for(var nCnt=0;nCnt < nColIdCnt; nCnt++){
			strFilterOpt += nCnt+":=:\"*"+strPostText+"*\":|:1" + ",";
		}
//
//	    this.grd_T1_G010.applymultifilter(strFilterOpt, false);
//		
//		
//		console.log(this.grd_T1_G010.getcolumncount());
//		
//		for(var nCnt=0;nCnt < nColIdCnt; nCnt++){
//			var strCName = this.grd_T1_G010.getcolumnxdatasetcolumnid(nCnt);
//			console.log(strCName);
//		}
//		var strCNam = this.grd_T1_G010.getcolumnname(1);
//		console.log(strCNam);
	}
}


/**
 *	메인그리드 팝업호출
 **/
function grd_T1_G010_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_apply_no = this.DS_G010.getdatabyname(nDblClickRow, "APPLY_NO");
	objExtra_data.fv_insp_cd = this.DS_G010.getdatabyname(nDblClickRow, "INSP_NO");
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/BIZ/SC_RST_02_MP_01";
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "grd_T1_G010Popup"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
	
}

/**
 *	진행상태만들기 팝업호출
 **/
function btn_status_on_mouseup(objInst)
{
	
	if(this.DS_G010.getrowcount() < 1){
		return;
	}

	var sRow = this.DS_G010.getpos();
	
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_Inddis_no = this.DS_G010.getdatabyname(sRow, "INDDIS_NO");
	objExtra_data.fv_apply_no = this.DS_G010.getdatabyname(sRow, "APPLY_NO");
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "SC_RST_01_WP_03";
	objPopup_data.SCR_PATH   = "/BIZ/SC_RST_01_WP_03";
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "btn_statusPopup"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
	
}

/**
 *	신청서반려처리 팝업호출
 **/
function btn_Mingan_BanRyeo_on_mouseup(objInst)
{

	if(this.DS_G010.getrowcount() < 1){
		return;
	}

	var sRow = this.DS_G010.getpos();
	var mApplyNo = this.DS_G010.getdatabyname(sRow, "APPLY_NO");
	var mCivilDealNo = this.DS_G010.getdatabyname(sRow, "CIVIL_DEAL_NO");
	
	SYSUtil.gfnMinganBanRyeo(this.screen ,mApplyNo,mCivilDealNo);	
	
}

/**
 *	개별사업장 정보 팝업호출
 **/
function btn_info_on_mouseup(objInst)
{
	
	if(this.DS_G010.getrowcount() < 1){
		return;
	}

	var sRow = this.DS_G010.getpos();
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_Inddis_no = this.DS_G010.getdatabyname(sRow, "INDDIS_NO");
	objExtra_data.fv_Indopen_no = this.DS_G010.getdatabyname(sRow, "INDOPEN_NO");
	objExtra_data.fv_Ind_no = this.DS_G010.getdatabyname(sRow, "IND_NO");
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "SC_RST_01_WP_01";
	objPopup_data.SCR_PATH   = "/BIZ/SC_RST_01_WP_01";
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "btn_infoPopup"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
}

/**
 *	완료처리 팝업호출
 **/
function btn_end_on_mouseup(objInst)
{


	if(this.DS_G010.getrowcount() < 1){
		return;
	}
	var sRow = this.DS_G010.getpos();
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_strapply_no = this.DS_G010.getdatabyname(sRow, "APPLY_NO");
	objExtra_data.fv_insp_cd = this.DS_G010.getdatabyname(sRow, "INSP_CD");
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	if(SYSUtil.gfnCheckMingan()){
		objPopup_data.SCR_ID     = "";
		objPopup_data.SCR_PATH   = "/BIZ/SC_RST_01_WP_04";
	}else{
		objPopup_data.SCR_ID     = "";
		objPopup_data.SCR_PATH   = "/BIZ/SC_RST_01_WP_02";
	}
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "btn_endPopup"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
	

}
///////////////////공통 함수 //////////////////
/**
 *	엑셀다운로드 팝업 호출
 **/
function gfnSetExlDownResult(exlCd){
	
	var rtnValue="";
	if(SYSUtil.gfnIsNull(exlCd)){
		SYSUtil.comAlert("엑셀다운로드 페이지 명칭이 없습니다.관리자에게 문의바랍니다.");
		return;
	}
	
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_exl_cd = exlCd;
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	console.log("exlCd"+exlCd);
	// 공통팝업 구성 데이터

	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/BIZ/SC_ENT_10_MP_02";
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "btn_ExlDownloadPopup"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);

}