﻿//# sourceURL=http://softbase.frame/SYS/CORE/AgentModule.js
/****************************************************************************/
// websock 모드를 설정한다.
var m_WEBSOCK_MODE = 0;

function screen_on_load()
{
	SYSVar.AGENT_MODULE_MEMBER = screen.getmembers();
}

function setConnectPortSetting()
{
	var sHtmlParam = location.search;
	// 검색용
	var reSearch = /([^=\?&]+?)=([^&]+)/g;
	var arrFind = reSearch.exec(sHtmlParam);
	var iPort = 0;
	while (arrFind != null) {
		if (arrFind[1] == "websock_port") {
			iPort = parseInt(arrFind[2], 10);
			if (!isNaN(iPort)) {
				SYSVar.WEBSOCKET_PORT = iPort;
			}
		}
		if (arrFind[1] == "http_port") {
			iPort = parseInt(arrFind[2], 10);
			if (!isNaN(iPort)) {
				SYSVar.HTTPSERVER_PORT = iPort;
				SYSVar.HTTP_SERVER_BASE_ADDR = "http://127.0.0.1:" + arrFind[2];
			}
		}
		if (arrFind[1] == "minimized") {
			if (arrFind[2] == "true") {
				factory.browserminimize();
			}
		}

		arrFind = reSearch.exec(sHtmlParam);
	}
}

function openAgentSocket()
{
	m_WEBSOCK_MODE = 1;
	webSockMain.open("ws://127.0.0.1:" + SYSVar.WEBSOCKET_PORT.toString(10));
}

function AgentConnectOK()
{
	if (SYSVar.STARTMAIN_MEMBER == undefined) {
		setTimeout(AgentConnectOK, 100);
	} else {
		SYSVar.STARTMAIN_MEMBER.AgentConnectOK();
	}
}

function AgentConnectFail()
{
	var objTabStart = SYSVar.STARTMAIN_TAB;
	objTabStart.getchildscreeninstance(0).getmembers().showConnectFail();
}

function recvAgentProc(ARecvData)
{
	try {
		var objRecv = JSON.parse(ARecvData);
//		console.dir(objRecv);
		switch (objRecv.Type) {
		case "recvok" :
			if (_iWebSockRecvId < objRecv.Index) {
				_iWebSockRecvId = objRecv.Index;
			}
			// 나머지 처리한다.
			break;
		case "event":
			// 이벤트 관련 응답이다.
			if (objRecv.Oper == "call") {
				callScreenAgentEvent(objRecv.Key, objRecv.Data);
			} else if (objRecv.Oper == "pinpad") {
				// pinpad 응답이다.
				callPinpadAgentEvent(objRecv.EventType, objRecv.Data);
			} else if (objRecv.Oper == "callback") {
				// pinpad 응답이다.
				callCallBackAgentEvent(objRecv.EventType, objRecv.Data);
			} else if (objRecv.Oper == "win_session") {
				// 원도우 로그인 로그아웃 상태이다.
				callWinSessionEvent(objRecv.WSEvent);
			}
			
			break;
		case "ovr" :
			// 책임자 승인 관련 처리
			if (objRecv.Oper == "call") {
				console.log(objRecv);
				// 호출 처리
				procOvrCall(objRecv.Data);
			}
			break;
		case "multipinpad": // 20191216 kmh 멀티핀패드 기능구현
			if (objRecv.Oper == "call") {
				console.log(objRecv);
				// 호출 처리
				procMultipinpadCall(objRecv.Data);
			} 
			break;
		case "openscreen":
			// 로그인전이면은 저장한다.
			if (SYSVar.LOGIN_OK == false) {
				console.log("openscreen save:", ARecvData);
				m_beforeLoginBuffer.push(ARecvData);
				return;
			}
			// 화면을 오픈한다.
			factory.browserrestore(1);
			factory.browsersetforeground();
			// 2020-01-06 최대화로 처리한다.
//			factory.browsermaximize();
			// 화면오픈처리이다.
			var objJson = JSON.parse(objRecv.Data);
			console.log("openscreen");
			console.log(objJson);
			var sScrId = objJson.ScreenID;
			var sOpenType = objJson.OpenType;
			var sScrUrl = "/" + sScrId.substr(0, 3) + "/" + sScrId;
			var objLoadInfo = {};
			var AData = {};
			if (objJson.Link != undefined) {
				for (var sKey in objJson.Link) {
					AData[sKey] = objJson.Link[sKey];
				}
			}
			objLoadInfo["parent_scrid"] = "";
			objLoadInfo["callframeurl"] = "";
			objLoadInfo["call_type"] = "5";
			objLoadInfo["data"] = AData;
			objLoadInfo["data_link"] = true;
			objLoadInfo["screen_id"] = sScrId;
			objLoadInfo["screen_url"] = sScrUrl;
			switch (sOpenType) {
			case "Screen":
				SYSVar.MIDDLE_MEMBERS.loadScreen(objLoadInfo);
				break;
			case "Popup":
				objLoadInfo["screen"] = factory.getmainscrinstance();
				SYSVar.MIDDLE_MEMBERS.loadPopup(objLoadInfo);
				break;
			default :
				break;
			}
			break;
		case "bid" :
			switch (objRecv.Oper) {
			case "recv":
				// bid 응답받음
				procTranBIDXML(objRecv.Data);
				break;
			default:
				break;
			}
			break;
		default:
			break;
		}
	} catch(e) {
		// 변환실패 오류
		console.log("recvAgentProc", e.message);
		return;
	}
}

/** websock 관련 이벤트 처리 **/
function webSockMain_on_open(objInst)
{
	if (m_WEBSOCK_MODE == 1) {
		m_WEBSOCK_MODE = 2;
		// 기본정보를 가져온다.
		//getEnvInfo();
		// 현재 단말 타이틀을 기록한다.
		//setDocumentTitle();
		// 접속성공 OK
		AgentConnectOK();
	}
	m_WEBSOCK_MODE = 2;
	//sendWebSize();
	//initBaseInfo();
	//CCNConst.WINMAIN_MEMBERS.init();
}

function webSockMain_on_message(objInst, strMessage)
{
	// 후처리
	console.log("MSG");
	recvAgentProc(strMessage);
}

function webSockMain_on_error(objInst)
{
	if (m_WEBSOCK_MODE == 1) {
		AgentConnectFail();
	}
}

function webSockMain_on_close(objInst, nCode, strReason, wasClean)
{
	// 연결이 끊어졌다 
	if(SYSVar.AGENT_CHECK){
		console.log('webSockMain Close');
		factory.browserexit();
	}
}
/** websock 관련 이벤트 처리 **/

function RemoteFuncCall(AFuncName, AArg, callType)
{
	var callUrl = SYSVar.REMOTE_FUNC_URL;
	if (AFuncName == undefined || AFuncName == undefined) {
		return undefined;
	}
	
	console.time("RemoteFuncCall:" + AFuncName);
	if (AArg == undefined) {
		AArg = [];
	}
	
	if (callType == "A"){
		callUrl = SYSVar.AGENT_FUNC_URL;
	}
	
	var sFullFuncName = AFuncName + "(" + JSON.stringify(AArg).replace(/^\[(.*)\]$/g, "$1") + ")";
	console.log(sFullFuncName);
	var strRnt = "undefined";
	
	// 원격 자료 호출한다.
	try {
		jQuery.ajax({
			type:"POST",
			url:callUrl,
			contentType: "application/x-www-form-urlencoded; charset=euc-kr",
			connection: "close",
			beforeSend: function(request) {
				request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=euc-kr");
			},
			data:sFullFuncName,
			dataType:"text",
			processData: false,
			timeout:3000,
			async: false
		}).done(function(data) {
			// 거래 완료
			factory.consoleprint("RemoteFuncCall Result:" + data);
//			console.log("RemoteFuncCall Result:" + data);
			strRnt = data;
		}).fail(function(a, b, c){
			// 오류 발생
			alert("Agent 접속에 실패 하였습니다. 확인하여 주시기 바랍니다.");
//			setTimeout(function(){console.log("아웃:"); factory.browserexit();}, 5000);
			}
		);
	} catch(e) {
		console.log(e);
	}
	console.timeEnd("RemoteFuncCall:" + AFuncName);
	if (strRnt != "undefined" && strRnt != "" && strRnt != undefined) {
		return JSON.parse(strRnt);
	} else {
		return undefined;
	}
}

function ACXFuncCall(AFuncName, AArg)
{
	if (AFuncName == undefined || AFuncName == undefined) {
		return undefined;
	}
	console.time("ACXFuncCall:" + AFuncName);
	if (AArg == undefined) {
		AArg = [];
	}
	
	var sFullFuncName = AFuncName + "(" + JSON.stringify(AArg).replace(/^\[(.*)\]$/g, "$1") + ")";
	
	var strRnt = "undefined";
	
	// 원격 자료 호출한다.
	jQuery.ajax({
		type:"POST",
		url:SYSVar.HTTP_SERVER_BASE_ADDR + "/acxFunc",
		contentType: "application/x-www-form-urlencoded; charset=euc-kr",
		connection: "close",
		beforeSend: function(request) {
			request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=euc-kr");
		},
		data:sFullFuncName,
		processData: false,
		async: false,
		success:function(data) {
			factory.consoleprint("ACXFuncCall Result:" + data);
			strRnt = data;
		},
		error:function(jqXHR, exception) {
			console.log("error");
			console.log(jqXHR);
			
		}
	});	
	console.timeEnd("ACXFuncCall:" + AFuncName);
	return JSON.parse(strRnt);
}