﻿//sourceURL=http://softbase.frame/SYS/INCLUDE/object_default.js
/**
 * 오브젝트의 속성 및 API를 설정하는 정보이다.
 * 주의 : 
 *
 *
 *
 *
 *
**/

/** 기본 함수 시작 **/
/**
 - Description : 기본구조에 따라서 자동으로 속성 및 API를 넣는다.
   @param      : 
   @return     : 
 - Author      : 
 - Date(Time)  : 2019-04-01 14:08
**/
function _ext_procInitObject(AScr, objObjectInfo)
{
	var objKindName = objObjectInfo["name"];
	// 오브젝트 원형이 로드 되었나 확인한다.
	
	var screenMembers;
	if(AScr !== null && AScr !== undefined)
	{
		if(AScr.getscreentype() == 1) //포틀릿일 경우
		{
			screenMembers = AScr.xf_window;
			setPortletScreenInit(AScr);
		}
		else
		{
			screenMembers = AScr.getmembers();
			
		}
	}
	else
	{
		return;
	}
	if (objKindName != undefined && screenMembers[objKindName] != undefined) {
		var objObjectProto = screenMembers[objKindName];
		// 오브젝트 속성을 처리한다.
		if (objObjectInfo["prop"] != undefined && objObjectInfo["prop"].length > 0) {
			for (var iPropIdx = 0;iPropIdx < objObjectInfo["prop"].length;iPropIdx++) {
				var strPropName = objObjectInfo["prop"][iPropIdx]["name"];
				// 추가하고자 하는 Property가 존재하나 확인한다.
				if (!objObjectProto.prototype.hasOwnProperty(strPropName)) {
					// Property를추가한다.
					Object.defineProperty(objObjectProto.prototype, strPropName, {
						get: objObjectInfo["prop"][iPropIdx]["getter"],
						set: objObjectInfo["prop"][iPropIdx]["setter"]
						});
				}
			}
		}
		// 오브젝트 api를 처리한다.
		if (objObjectInfo["method"] != undefined && objObjectInfo["method"].length > 0) {
			for (var iMethodIdx = 0;iMethodIdx < objObjectInfo["method"].length;iMethodIdx++) {
				var strMethodName = objObjectInfo["method"][iMethodIdx]["name"];
				// 추가하고자 하는 메소드가 있나 확인한다.
				if (objObjectProto.prototype[strMethodName] == undefined) {
					objObjectProto.prototype[strMethodName] = objObjectInfo["method"][iMethodIdx]["func"];
				}
			}
		}
	}
}


function setPortletScreenInit(AScr)
{
//console.log("setPortletScreenInit");
	var objObjectProto = AScr;
	var objObjectInfo = _ext_portlet_screen_prop;
		// 오브젝트 속성을 처리한다.
//		if (objObjectInfo["prop"] != undefined && objObjectInfo["prop"].length > 0) {
//			for (var iPropIdx = 0;iPropIdx < objObjectInfo["prop"].length;iPropIdx++) {
//				var strPropName = objObjectInfo["prop"][iPropIdx]["name"];
//				// 추가하고자 하는 Property가 존재하나 확인한다.
//				if (!objObjectProto.prototype.hasOwnProperty(strPropName)) {
//					// Property를추가한다.
//					Object.defineProperty(objObjectProto.prototype, strPropName, {
//						get: objObjectInfo["prop"][iPropIdx]["getter"],
//						set: objObjectInfo["prop"][iPropIdx]["setter"]
//						});
//				}
//			}
//		}
		// 오브젝트 api를 처리한다.
		if (objObjectInfo["method"] != undefined && objObjectInfo["method"].length > 0) {
			for (var iMethodIdx = 0;iMethodIdx < objObjectInfo["method"].length;iMethodIdx++) {
				var strMethodName = objObjectInfo["method"][iMethodIdx]["name"];
				// 추가하고자 하는 메소드가 있나 확인한다.
				if (objObjectProto.__proto__[strMethodName] == undefined) {
					objObjectProto.__proto__[strMethodName] = objObjectInfo["method"][iMethodIdx]["func"];
				}
			}
		}
}

/** 전체 호출 **/
/**
 * 초기에 호출 함수
 * 각각 오브젝트의 설정에 대해서 호출한다.
 */
function _ext_initObject(AScr)
{
	_ext_initObjectField(AScr);
	_ext_initObjectHangul(AScr);
	_ext_initObjectNumber(AScr);
	_ext_initObjectPassword(AScr);
	_ext_initObjectMultiLine(AScr);
	_ext_initObjectFactory(AScr);
	_ext_initObjectPagingbar(AScr);
	_ext_initObjectRadio(AScr);
	_ext_initObjectText(AScr);
	_ext_initObjectGrid(AScr);
}

/** 전체 호출 끝 **/


/** screen 타입 설정 시작 **/

function _ext_initObjectPortletScreen(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_portlet_screen_prop);
}

var _ext_portlet_screen_prop = {
	"name" : "XF_SCREEN_PORTLET ",
	"prop" : [
		
	],
	"method" : [
		{"name":"beginmodalstate1", "func":_ext_screen_beginmodalstate},
		{"name":"domodal", "func":_ext_screen_domodal},
		{"name":"domodalstate", "func":_ext_screen_domodalstate},
		{"name":"endmodalstate", "func":_ext_screen_endmodalstate},
		{"name":"getdragable", "func":_ext_screen_getdragable},
		{"name":"getpopuplockinmonitor", "func":_ext_screen_getpopuplockinmonitor},
		{"name":"setdragable", "func":_ext_screen_setdragable}
	]
};

function _ext_screen_beginmodalstate(){
	console.log("Dummy Function");
	return "";
}

function _ext_screen_domodal(){
	return "";
}

function _ext_screen_domodalstate(){
	return "";
}

function _ext_screen_endmodalstate(){
	return "";
}

function _ext_screen_getdragable(){
	return "";
}

function _ext_screen_getpopuplockinmonitor(){
	return "";
}

function _ext_screen_setdragable(){
	return "";
}


/** Edit 타입 설정 시작 **/

/**
 * edit 중에서 일반필드에 대한 속성을 정의한다.
**/ 
function _ext_initObjectField(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_field_prop);
}

var _ext_field_prop = {
	"name" : "XF_FIELD",
	"prop" : [
		
	],
	"method" : [
		{"name":"sethostdataex", "func":_ext_field_sethostdataex}
	]
};

function _ext_field_sethostdataex(strData, bFireChangeEvent, bEventAsync){
	return "";
}

/**
 * edit 중에서 한글필드에 대한 속성을 정의한다.
**/ 
function _ext_initObjectHangul(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_hangul_prop);
}

var _ext_hangul_prop = {
	"name" : "XF_HANGUL",
	"prop" : [
		
	],
	"method" : [
		{"name":"sethostdataex", "func":_ext_hangul_sethostdataex}
	]
};

function _ext_hangul_sethostdataex(){
	return "";
}

/**
 * edit 중에서 숫자필드에 대한 속성을 정의한다.
**/ 
function _ext_initObjectNumber(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_number_prop);
}

var _ext_number_prop = {
	"name" : "XF_NUMBER",
	"prop" : [
		
	],
	"method" : [
		{"name":"sethostdataex", "func":_ext_number_sethostdataex}
	]
};

function _ext_number_sethostdataex(strData, bFireChangeEvent, bEventAsync){
	return "";
}

/**
 * edit 중에서 패스워드 필드에 대한 속성을 정의한다.
**/ 
function _ext_initObjectPassword(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_password_prop);
}

var _ext_password_prop = {
	"name" : "XF_PASSWORD",
	"prop" : [
		
	],
	"method" : [
		
	]
};

/** Edit 타입 설정 끝 **/

/** Multiline 타입 설정 시작 **/

function _ext_initObjectMultiLine(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_multiline_prop);
}

var _ext_multiline_prop = {
	"name" : "XF_MULTILINE",
	"prop" : [
		
	],
	"method" : [
		
	]
};

/** Pagingbar 타입 설정 시작 **/

/**
 * edit 중에서 영문필드에 대한 속성을 정의한다.
**/ 
function _ext_initObjectPagingbar(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_pagingbar_prop);
}

var _ext_pagingbar_prop = {
	"name" : "XF_PAGINGBAR",
	"prop" : [
		
	],
	"method" : [
		
	]
};

/** Pagingbar 타입 설정 끝 **/

/** Radio 타입 설정 시작 **/

/**
 * Radio 대한 속성을 정의한다.
**/

function _ext_initObjectRadio(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_radio_prop);
}
 
var _ext_radio_prop = {
	"name" : "XF_RADIO",
	"prop" : [
		
	],
	"method" : [
		
	]
};

/** Radio 타입 설정 끝 **/

/** Grid 타입 설정 시작 **/

/**
 * Grid 대한 속성을 정의한다.
**/

function _ext_initObjectGrid(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_grid_prop);
}
 
var _ext_grid_prop = {
	"name" : "XF_GRID",
	"prop" : [
		
	],
	"method" : [
		{"name":"getcolumnhostdataincludedot", "func":_ext_grid_getcolumnhostdataincludedot},
		{"name":"saveexceltest", "func":_ext_grid_saveexcel},
		{"name":"saveexceldirecttest", "func":_ext_grid_saveexceldirect},
		{"name":"saveexceldirectextest", "func":_ext_grid_saveexceldirectex},
		{"name":"saveexcelextest", "func":_ext_grid_saveexcelex},
		{"name":"showexceltest", "func":_ext_grid_showexcel},
		{"name":"getitemhostdata", "func":_ext_grid_getitemhostdata},
		{"name":"iscolumnhostrecv", "func":_ext_grid_iscolumnhostrecv},
		{"name":"iscolumnhostsend", "func":_ext_grid_iscolumnhostsend},
		{"name":"setcolumnhostdataincludedot", "func":_ext_grid_setcolumnhostdataincludedot},
		{"name":"setitemhostdata", "func":_ext_grid_setitemhostdata},
		{"name":"readexcel1", "func":_ext_grid_readexcel},
		{"name":"readcsv1", "func":_ext_grid_readcsv},
		{"name":"setitemhostdataex", "func":_ext_grid_setitemhostdataex}
	]
};

function _ext_grid_getcolumnhostdataincludedot()
{
	return "";
}

function _ext_grid_saveexcel()
{
	var objGridJson = {};
	var screenName = this.getparent().getname();
	objGridJson["header"] = __getGridHeaderInfo(this);
	objGridJson["data"] = __getGridBodyDataInfo(this);
	objGridJson["headermerge"] = __getGridHeaderMergeInfo(this);
	objGridJson["backcolor"] = __getGridBodyBackColorInfo(this);
	objGridJson["pattern"] = __getGridBodyPatternInfo(this);
	objGridJson["screenname"] = screenName;
	objGridJson["options"] = {exoption : false};
	console.log(objGridJson);
	console.log("***엑셀저장 다이얼로그 출력***");
	factory.loadpopupex("saveexcelDialog", "/SYS/UTIL/saveexcelDialog", "엑셀파일 저장",
						false, XFD_BORDER_RAISED, 0, 0, 0, 0, true, true, true, this.getparent(), objGridJson);
}

function _ext_grid_saveexceldirect(strFileName, bIncludePattern, bIncludeHeader, bAfterOpenExcel, nOverWriteOption, bShowProgressWnd)
{
	var objGridJson = {};
	var extData = "";
	var screenName = this.getparent().getname();
	objGridJson["header"] = __getGridHeaderInfo(this);
	objGridJson["data"] = __getGridBodyDataInfo(this);
	objGridJson["headermerge"] = __getGridHeaderMergeInfo(this);
	objGridJson["pattern"] = __getGridBodyPatternInfo(this);
	objGridJson["options"] = __setGridOptionInfo(screenName, strFileName, bIncludePattern, bIncludeHeader, false, bAfterOpenExcel, nOverWriteOption, bShowProgressWnd);
	console.log(objGridJson);
	extData = factory.jsonstringify(objGridJson);
	var rtn = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("saveexcel",[extData]);
}

function _ext_grid_saveexceldirectex(strFileName, bIncludePattern, bIncludeHeader, bIncludeBackColor, bAfterOpenExcel, nOverWriteOption, bShowProgressWnd)
{
	var objGridJson = {};
	var extData = "";
	var screenName = this.getparent().getname();
	objGridJson["header"] = __getGridHeaderInfo(this);
	objGridJson["data"] = __getGridBodyDataInfo(this);
	objGridJson["headermerge"] = __getGridHeaderMergeInfo(this);
	objGridJson["backcolor"] = __getGridBodyBackColorInfo(this);
	objGridJson["pattern"] = __getGridBodyPatternInfo(this);
	objGridJson["options"] = __setGridOptionInfo(screenName, strFileName, bIncludePattern, bIncludeHeader, bIncludeBackColor, bAfterOpenExcel, nOverWriteOption, bShowProgressWnd);
	console.log(objGridJson);
	extData = factory.jsonstringify(objGridJson);
	var rtn = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("saveexcel",[extData]);
}

function _ext_grid_saveexcelex(strFileName, bIncludePattern, bIncludeHeader, bAfterCloseWnd, bAfterOpenExcel, nOverWriteOption, bShowSaveWnd){
	if(this.getcontrolkind() == XFD_CTRLKIND_GRID){
		var objGridJson = {};
		var bExOption = true;
		var screenName = this.getparent().getname();
		objGridJson["header"] = __getGridHeaderInfo(this);
		objGridJson["data"] = __getGridBodyDataInfo(this);
		objGridJson["headermerge"] = __getGridHeaderMergeInfo(this);
		objGridJson["backcolor"] = __getGridBodyBackColorInfo(this);
		objGridJson["pattern"] = __getGridBodyPatternInfo(this);
		objGridJson["screenname"] = screenName;
		objGridJson["options"] = __setGridOptionInfoEx(strFileName, bIncludePattern, bIncludeHeader, bAfterCloseWnd, bAfterOpenExcel, nOverWriteOption, bShowSaveWnd, bExOption);
		console.log(objGridJson);
		console.log("***엑셀저장 다이얼로그 출력***");
		factory.loadpopupex("saveexcelDialog", "/SYS/UTIL/saveexcelDialog", "엑셀파일 저장",
							false, XFD_BORDER_RAISED, 0, 0, 0, 0, true, true, true, this.getparent(), objGridJson);
	}
}

function _ext_grid_showexcel(bIncludePattern, bIncludeHeader, bIncludeItemBkColor, bShowProgressWnd){
	if(this.getcontrolkind() == XFD_CTRLKIND_GRID){
		var objGridJson = {};
		objGridJson["header"] = __getGridHeaderInfo(this);
		objGridJson["data"] = __getGridBodyDataInfo(this);
		objGridJson["headermerge"] = __getGridHeaderMergeInfo(this);
		objGridJson["backcolor"] = __getGridBodyBackColorInfo(this);
		objGridJson["pattern"] = __getGridBodyPatternInfo(this);
		objGridJson["linenumber"] = __getGridLineNumberInfo(this);
		objGridJson["options"] = __setGridOptionInfoShowExcel(bIncludePattern, bIncludeHeader, bIncludeItemBkColor, bShowProgressWnd);
		console.log("***엑셀열기 다이얼로그 출력***");
		factory.loadpopupex("showexcelDialog", "/SYS/UTIL/showexcelDialog", "엑셀열기 옵션",
							false, XFD_BORDER_RAISED, 0, 0, 0, 0, true, true, true, this.getparent(), objGridJson);
	}
}
function __getGridHeaderInfo(compObj){
	var colCnt = compObj.getcolumncount();
	var rowCnt = compObj.gethorzheadercount();
	var arrHeaderData = [];
	var rstHeaderData = [];
	for(var i = 0; i < rowCnt; i++){
		for(var j = 0; j < colCnt; j++){
			arrHeaderData.push(compObj.getheadertext(i, j));
		}
		rstHeaderData.push(arrHeaderData);
		arrHeaderData = [];
	}
	return rstHeaderData;
}

function __getGridBodyDataInfo(compObj){
	var colCnt = compObj.getcolumncount();
	var rowCnt = compObj.getrowcount();
	var arrBodyData = [];
	var rstBodyData = [];
	for(var i = 0; i < rowCnt; i++){
		for(var j = 0; j < colCnt; j++){
			arrBodyData.push(compObj.getitemtext(i, j));
		}
		rstBodyData.push(arrBodyData);
		arrBodyData = [];
	}
	return rstBodyData;
}

function __getGridHeaderMergeInfo(compObj){
	var colCnt = compObj.getcolumncount();
	var arrMerge = [];
	var strMergeRange = "";
	var objSaveMergeData = [];
	var rowCnt = compObj.gethorzheadercount();
	var rowColIdx = [];
	for(var i = 0; i < rowCnt; i++){
		for(var j = 0; j < colCnt; j++){
			if(compObj.isheadermerge(i, j)){
				arrMerge = compObj.getheadermergerange(i, j);
				strMergeRange = arrMerge[0]+","+arrMerge[1]+","+arrMerge[2]+","+arrMerge[3];
				if(objSaveMergeData.indexOf(strMergeRange) > -1){
					continue;
				}else{
					objSaveMergeData.push(strMergeRange);
				}
			}
		}
	}
	return objSaveMergeData;
}

function __getGridBodyBackColorInfo(compObj){
	var colCnt = compObj.getcolumncount();
	var rowCnt = compObj.getrowcount();
	var arrBodyBackColor = [];
	var rstBodyBackColor = [];
	var cellColor = "";
	for(var i = 0; i < rowCnt; i++){
		for(var j = 0; j < colCnt; j++){
			cellColor = compObj.getitembackcolor(i, j);
			if(cellColor == -1){
				cellColor = compObj.getcolumnbackcolor(j);
			}
			arrBodyBackColor.push(cellColor);
		}
		rstBodyBackColor.push(arrBodyBackColor);
		arrBodyBackColor = [];
	}
	return rstBodyBackColor;
}

function __getGridBodyPatternInfo(compObj){
	var colCnt = compObj.getcolumncount();
	var rowCnt = compObj.getrowcount();
	var arrBodyPattern = [];
	var rstBodyPattern = [];
	for(var i = 0; i < rowCnt; i++){
		for(var j = 0; j < colCnt; j++){
			arrBodyPattern.push(compObj.getitempattern(i, j));
		}
		rstBodyPattern.push(arrBodyPattern);
		arrBodyPattern = [];
	}
	return rstBodyPattern;
}

function __getGridLineNumberInfo(compObj){
	var lineNumberInfo = {};
	if(compObj.getlinenumbershow()){
		lineNumberInfo.linenumshow = true;
		lineNumberInfo.linenumtitle = compObj.getlinenumbertitle();
	}else{
		lineNumberInfo.linenumshow = false;
	}
	return lineNumberInfo;
}

function __setGridOptionInfo(strScreenName, strFileName, bIncludePattern, bIncludeHeader, bIncludeBackColor, bAfterOpenExcel, nOverWriteOption, bShowProgressWnd){
	var options = {};
	options.screenname = strScreenName;
	options.filename = strFileName;
	options.pattern = bIncludePattern;
	options.headertitle = bIncludeHeader;
	options.backcolor = bIncludeBackColor;
	options.openexcel = bAfterOpenExcel;
	options.overwrite = nOverWriteOption;
	options.showprogress = bShowProgressWnd;
	options.rownumber = false;
	options.direct = true;
	
	return options;
}

function __setGridOptionInfoEx(strFileName, bIncludePattern, bIncludeHeader, bAfterCloseWnd, bAfterOpenExcel, nOverWriteOption, bShowSaveWnd, bExOption){
	var options = {};
	options.filename = strFileName;
	options.pattern = bIncludePattern;
	options.headertitle = bIncludeHeader;
	options.closepopup = bAfterCloseWnd;
	options.openexcel = bAfterOpenExcel;
	options.overwrite = nOverWriteOption;
	options.direct = bShowSaveWnd;
	options.exoption = bExOption;
	options.rownumber = false;
	
	return options;
}

function __setGridOptionInfoShowExcel(bIncludePattern, bIncludeHeader, bIncludeItemBkColor, bShowProgressWnd){
	var options = {};
	options.pattern = bIncludePattern;
	options.headertitle = bIncludeHeader;
	options.backcolor = bIncludeItemBkColor;
	options.showprogress = bShowProgressWnd;
	options.rownumber = false;
	
	return options;
}

function _ext_grid_getitemhostdata()
{
	return "";
}

function _ext_grid_iscolumnhostrecv()
{
	return "";
}

function _ext_grid_iscolumnhostsend()
{
	return "";
}

function _ext_grid_setcolumnhostdataincludedot()
{
	return "";
}

function _ext_grid_setitemhostdata()
{
	return "";
}

function _ext_grid_setitemhostdataex()
{
	return "";
}

function _ext_grid_readexcel()
{
	console.log("in readexcel");
	var gridObj = this;
	
	var parentScreen = this.getparentscrinstance();
	var sendDataObj;
	if(gridObj.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID)
	{
		var path = _ext_grid_readexcel.arguments[0];
		var startRow = _ext_grid_readexcel.arguments[1];
		var startCol = _ext_grid_readexcel.arguments[2];
		var showProgress = _ext_grid_readexcel.arguments[3];
		
		sendDataObj = {STARTROW : startRow, STARTCOL: startCol, TARGETGRID:gridObj, FILEPATH:path};
//		var sendData = [path,{ROW:startRow,COL:startCol}];
//		var readResult = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readexcel", sendData, "A");
	}
	else
	{
		sendDataObj = {STARTROW : startRow, STARTCOL: startCol, TARGETGRID:gridObj, FILEPATH:path};
		//SYSVar.WINMAIN_SCREEN.selectlocalfile("xlsx/xlsx", false, "readExcelAfterSelectOption");
	}
	factory.loadpopup("ReadExcelPopup", "/SYS/UTIL/readExcelStartOption", "엑셀 읽기 옵션", false, XFD_BORDER_RAISED, 0, 0, true, true, screen,sendDataObj);
}

function _ext_grid_readcsv(readCsvFileName)
{
	console.log("in readcsv");
	var gridObj = this;
	
	var parentScreen = this.getparentscrinstance();
	var sendDataObj;
	var sendData = [readCsvFileName];
	var readData = SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readcsv", sendData, "A");
	if(!readData.result) return;
	
	readData = readData.data;
	if(targetGrid != null && targetGrid  != undefined 
		&& (targetGrid.getcontrolkind() == XFD_CTRLKIND_GRID || targetGrid.getcontrolkind() == XFD_CTRLKIND_TREEGRID || targetGrid.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID)) 
	{
		
		var startRow = SYSVar.targetGrid.getrowcount();
		
		if(targetGrid.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID)
		{
			var headerRow = targetGrid.gethorzheadercount();
//			var readData = readResult.data;
			var totalExcelRow = readData.length;
			var modValue = totalExcelRow/headerRow;
			var gridApplyRow = modValue > parseInt(modValue,10) ? parseInt(modValue,10) + 1 : parseInt(modValue,10);
			
			var rowIdx = 0;
			for(var i = 0; i < readData.length; i++)
			{
				if( rowIdx != parseInt(i/headerRow,10) || i == 0 ) targetGrid.addrow();
				rowIdx = parseInt(i/headerRow,10);
				for(j = 0; j<readData[i].length; j++)
				{
					var itemText = readData[i][j];
					//targetGrid.setitemtext(i+startRow,j,itemText);
					targetGrid.setitemtext(rowIdx+startRow,i%headerRow,j,itemText);
				}
			}
		}
		else
		{
			
			for(var i = 0; i < readData.length; i++)
			{
				targetGrid.addrow();
				for(j = 0; j<readData[i].length; j++)
				{
					var itemText = readData[i][j];
					targetGrid.setitemtext(i+startRow,j,itemText);
				}
			}
		}
	}
	
}

/** Grid 타입 설정 끝 **/

/** Text에 타입 설정 시작 **/

/**
 * Text에 대한 속성을 정의한다.
**/

function _ext_initObjectText(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_text_prop);
}
 
var _ext_text_prop = {
	"name" : "XF_TEXT",
	"prop" : [
		{"name":"iwCaption", "getter":_ext_text_get_caption, "setter":_ext_text_set_caption}
	],
	"method" : [
		{"name":"iwClear", "func":_ext_text_Clear}
	]
};


/**
 - Description : 텍스트의 값을 clear
   @param      : 
   @return     : void
 - Author      : 구재형
 - Date(Time)  : 
**/
function _ext_text_Clear()
{
	this.settext("");
}

function _ext_text_set_caption(AValue)
{
	
	if(AValue === undefined)
	{
		this.settext("");
	}
	else
	{
		this.settext(AValue);
	}
	
	var autoSize = this.getcustomprop("autosize");
	if(autoSize > 0)
	{
		this.fittext(autoSize);
	}	
}

function _ext_text_get_caption()
{
	return this.gettext();
}

/** Text 타입 설정 끝 **/

/** Factory 타입 설정 시작 **/

/**
 * factory에 대한 속성을 정의한다.
**/ 
function _ext_initObjectFactory(AScr)
{
	// 자동등록 처리한다.
	_ext_procInitObject(AScr, _ext_factory_prop);
}

var _ext_factory_prop = {
	"name" : "XF_FACTORY",
	"prop" : [
		
	],
	"method" : [
		{"name":"base64decode", "func":_ext_factory_base64decode},
		//{"name":"base64decodeex", "func":_ext_factory_base64decodeex},
		{"name":"base64encode", "func":_ext_factory_base64encode},
		{"name":"base64encodeex", "func":_ext_factory_base64encodeex},
		{"name":"beep", "func":_ext_factory_beep},
		{"name":"changesysdispalysetting", "func":_ext_factory_changesysdispalysetting},
		{"name":"compress", "func":_ext_factory_compress},
		{"name":"compressfile", "func":_ext_factory_compressfile},
		{"name":"compressmdb", "func":_ext_factory_compressmdb},
		{"name":"createfolder", "func":_ext_factory_createfolder},
		{"name":"deletefolder", "func":_ext_factory_deletefolder},
		{"name":"deleteprofilekey", "func":_ext_factory_deleteprofilekey},
		{"name":"deleteprofilesection", "func":_ext_factory_deleteprofilesection},
		{"name":"encryptor", "func":_ext_factory_encryptor},
		{"name":"excel", "func":_ext_factory_excel},
		{"name":"excelctrl", "func":_ext_factory_excelctrl},
		{"name":"executemdb", "func":_ext_factory_executemdb},
		{"name":"executemdbex", "func":_ext_factory_executemdbex},
		{"name":"exitwindow", "func":_ext_factory_exitwindow},
		{"name":"filecopy", "func":_ext_factory_filecopy},
		{"name":"filedelete", "func":_ext_factory_filedelete},
		{"name":"filefind", "func":_ext_factory_filefind},
		{"name":"fileread", "func":_ext_factory_fileread},
		{"name":"filewrite", "func":_ext_factory_filewrite},
		{"name":"firexframeviewerevent", "func":_ext_factory_firexframeviewerevent},
		{"name":"getclipboarddata", "func":_ext_factory_getclipboarddata},
		{"name":"getcomputername", "func":_ext_factory_getcomputername},
		{"name":"getcursorposx", "func":_ext_factory_getcursorposx},
		{"name":"getcursorposy", "func":_ext_factory_getcursorposy},
		{"name":"getfilestate", "func":_ext_factory_getfilestate},
		{"name":"getfileversion", "func":_ext_factory_getfileversion},
		{"name":"getlocalmacaddress", "func":_ext_factory_getlocalmacaddress},
		{"name":"getmembers", "func":_ext_factory_getmembers},
		{"name":"getmousebuttonstate", "func":_ext_factory_getmousebuttonstate},
		{"name":"getnetworkadaptorinfo", "func":_ext_factory_getnetworkadaptorinfo},
		{"name":"getnormalobjcolor", "func":_ext_factory_getnormalobjcolor},
		{"name":"getprotectobjcolor", "func":_ext_factory_getprotectobjcolor},
		{"name":"getregistryvalue", "func":_ext_factory_getregistryvalue},
		{"name":"getshareddata", "func":_ext_factory_getshareddata},
		{"name":"getstyleinfo", "func":_ext_factory_getstyleinfo},
		{"name":"getsysdefaultprinter", "func":_ext_factory_getsysdefaultprinter},
		{"name":"getsysdefaultprintername", "func":_ext_factory_getsysdefaultprintername},
		{"name":"getsysdiskvolumeinfo", "func":_ext_factory_getsysdiskvolumeinfo},
		{"name":"getsysdisplaysetting", "func":_ext_factory_getsysdisplaysetting},
		{"name":"getsysfolder", "func":_ext_factory_getsysfolder},
		{"name":"getsyslastinputtickcount", "func":_ext_factory_getsyslastinputtickcount},
		{"name":"getsysmastervolume", "func":_ext_factory_getsysmastervolume},
		{"name":"getsysmemorystatus", "func":_ext_factory_getsysmemorystatus},
		{"name":"getsysmemoryusage", "func":_ext_factory_getsysmemoryusage},
		{"name":"getsysmonitors", "func":_ext_factory_getsysmonitors},
		{"name":"getsysprinter", "func":_ext_factory_getsysprinter},
		{"name":"getsysprocessentry", "func":_ext_factory_getsysprocessentry},
		{"name":"getsystickcount", "func":_ext_factory_getsystickcount},
		{"name":"getsystime", "func":_ext_factory_getsystime},
		{"name":"getsystimespan", "func":_ext_factory_getsystimespan},
		{"name":"getsyswinosversion", "func":_ext_factory_getsyswinosversion},
		{"name":"getviewerclassid", "func":_ext_factory_getviewerclassid},
		{"name":"getviewerversion", "func":_ext_factory_getviewerversion},
		{"name":"getxframeconfig", "func":_ext_factory_getxframeconfig},
		{"name":"getxtranencryptkey", "func":_ext_factory_getxtranencryptkey},
		{"name":"isaliveprocessor", "func":_ext_factory_isaliveprocessor},
		{"name":"killprocessor", "func":_ext_factory_killprocessor},
		{"name":"loadchmfile", "func":_ext_factory_loadchmfile},
		{"name":"playwave", "func":_ext_factory_playwave},
		{"name":"printscreenshot", "func":_ext_factory_printscreenshot},
		{"name":"readmdb", "func":_ext_factory_readmdb},
		{"name":"readmdbfieldinfo", "func":_ext_factory_readmdbfieldinfo},
		{"name":"readmdblasterror", "func":_ext_factory_readmdblasterror},
		{"name":"readmdblastresult", "func":_ext_factory_readmdblastresult},
		{"name":"readmdbtableinfo", "func":_ext_factory_readmdbtableinfo},
		{"name":"readprofilestring", "func":_ext_factory_readprofilestring},
		{"name":"readwineventlog", "func":_ext_factory_readwineventlog},
		{"name":"setlocaltime", "func":_ext_factory_setlocaltime},
		{"name":"setregistryvalue", "func":_ext_factory_setregistryvalue},
		{"name":"setsysdefaultprinter", "func":_ext_factory_setsysdefaultprinter},
		{"name":"setsysmastervolume", "func":_ext_factory_setsysmastervolume},
		{"name":"setxtranencryptkey", "func":_ext_factory_setxtranencryptkey},
		{"name":"showfileopendialog", "func":_ext_factory_showfileopendialog},
		{"name":"showfilesavedialog", "func":_ext_factory_showfilesavedialog},
		{"name":"showfolderdialog", "func":_ext_factory_showfolderdialog},
		{"name":"showmousecursor", "func":_ext_factory_showmousecursor},
		{"name":"showprintdialog", "func":_ext_factory_showprintdialog},
		{"name":"startwaitcursor", "func":_ext_factory_startwaitcursor},
		{"name":"uncompress", "func":_ext_factory_uncompress},
		{"name":"uncompressfile", "func":_ext_factory_uncompressfile},
		{"name":"watchwinsessionchange", "func":_ext_factory_watchwinsessionchange},
		{"name":"winexec", "func":_ext_factory_winexec},
		{"name":"winexecex", "func":_ext_factory_winexecex},
		{"name":"writeprofilestring", "func":_ext_factory_writeprofilestring},
		{"name":"beginmodalstate", "func":_ext_factory_beginmodalstate},
		{"name":"domodal", "func":_ext_factory_domodal},
		{"name":"domodalstate", "func":_ext_factory_domodalstate},
		{"name":"endmodalstate", "func":_ext_factory_endmodalstate},
		{"name":"getdragable", "func":_ext_factory_getdragable},
		{"name":"getpopuplockinmonitor", "func":_ext_factory_getpopuplockinmonitor},
		{"name":"savescreenshot", "func":_ext_factory_savescreenshot},
		{"name":"sendcopydata", "func":_ext_factory_sendcopydata},
		{"name":"setdragable", "func":_ext_factory_setdragable},
		{"name":"startcopydatawnd", "func":_ext_factory_startcopydatawnd}
	]
};

function _ext_factory_base64decode(strEncFilePath, strDecFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("base64encodeex",[].slice.call(_ext_factory_base64decode.arguments), "A");
}

//function _ext_factory_base64decodeex(strEncFilePath, strDecFilePath)
//{
//	
//}

function _ext_factory_base64encode(strFilePath, strEncFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("base64encodeex",[].slice.call(_ext_factory_base64encode.arguments), "A");
}

function _ext_factory_base64encodeex(strPlainText, strEncFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("base64encodeex",[].slice.call(_ext_factory_base64encodeex.arguments), "A");
}

function _ext_factory_beep(lFrequency, lDuration)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("beep",[].slice.call(_ext_factory_beep.arguments), "A");
}

function _ext_factory_changesysdispalysetting(nMonitor, lWidth, lHeight, lColorBit)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("changesysdispalysetting",[].slice.call(_ext_factory_changesysdispalysetting.arguments), "A");
}

function _ext_factory_compress(strContent)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("compress",[].slice.call(_ext_factory_compress.arguments), "A");
}

function _ext_factory_compressfile(strSrcFilePath, strCompFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("compressfile",[].slice.call(_ext_factory_compressfile.arguments), "A");
}

function _ext_factory_compressmdb(strFileName, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("compressmdb",[].slice.call(_ext_factory_compressmdb.arguments), "A");
}

function _ext_factory_createfolder(strFolderPath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("createfolder",[].slice.call(_ext_factory_createfolder.arguments), "A");
}

function _ext_factory_deletefolder(strFolderPath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("deletefolder",[].slice.call(_ext_factory_deletefolder.arguments), "A");
}

function _ext_factory_deleteprofilekey(strSectionName, strKeyName, strFileName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("deleteprofilekey",[].slice.call(_ext_factory_deleteprofilekey.arguments), "A");
}

function _ext_factory_deleteprofilesection(strSectionName, strFileName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("deleteprofilesection",[].slice.call(_ext_factory_deleteprofilesection.arguments), "A");
}

//2depth
function _ext_factory_encryptor()
{
	
}

//2depth
function _ext_factory_excel()
{
	
}

//2depth
function _ext_factory_excelctrl()
{
	
}

function _ext_factory_executemdb(strFileName, strQuery, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("executemdb",[].slice.call(_ext_factory_executemdb.arguments), "A");
}

function _ext_factory_executemdbex(strFileName, strQuery, arrFieldValues, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("executemdbex",[].slice.call(_ext_factory_executemdbex.arguments), "A");
}

function _ext_factory_exitwindow(Operation)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("exitwindow",[].slice.call(_ext_factory_exitwindow.arguments), "A");
}

function _ext_factory_filecopy(strSrcFilePath, strCopyFilePath, bExistOverwrite)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("filecopy",[].slice.call(_ext_factory_filecopy.arguments), "A");
}

function _ext_factory_filedelete(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("filedelete",[].slice.call(_ext_factory_filedelete.arguments), "A");
}

function _ext_factory_filefind(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("filefind",[].slice.call(_ext_factory_filefind.arguments), "A");
}

function _ext_factory_fileread(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("fileread",[].slice.call(_ext_factory_fileread.arguments), "A");
}

function _ext_factory_filewrite(strFilePath, strContent, nWriteOption, strCharSet, bIncludeBOM)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("filewrite",[].slice.call(_ext_factory_filewrite.arguments), "A");
}

function _ext_factory_firexframeviewerevent(strEventName, strEventInfo)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("firexframeviewerevent",[].slice.call(_ext_factory_firexframeviewerevent.arguments), "A");
}

function _ext_factory_getclipboarddata(strClipName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getclipboarddata",[].slice.call(_ext_factory_getclipboarddata.arguments), "A");
}

function _ext_factory_getcomputername()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getcomputername",[].slice.call(_ext_factory_getcomputername.arguments), "A");
}

function _ext_factory_getcursorposx()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getcursorposx",[].slice.call(_ext_factory_getcursorposx.arguments), "A");
}

function _ext_factory_getcursorposy()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getcursorposy",[].slice.call(_ext_factory_getcursorposy.arguments), "A");
}

function _ext_factory_getfilestate(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getfilestate",[].slice.call(_ext_factory_getfilestate.arguments), "A");
}

function _ext_factory_getfileversion(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getfileversion",[].slice.call(_ext_factory_getfileversion.arguments), "A");
}

function _ext_factory_getlocalmacaddress()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getlocalmacaddress",[].slice.call(_ext_factory_getlocalmacaddress.arguments), "A");
}

function _ext_factory_getmembers()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getmembers",[].slice.call(_ext_factory_getmembers.arguments), "A");
}

function _ext_factory_getmousebuttonstate(nMouseButton)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getmousebuttonstate",[].slice.call(_ext_factory_getmousebuttonstate.arguments), "A");
}

function _ext_factory_getnetworkadaptorinfo()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getnetworkadaptorinfo",[].slice.call(_ext_factory_getnetworkadaptorinfo.arguments), "A");
}

function _ext_factory_getnormalobjcolor()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getnormalobjcolor",[].slice.call(_ext_factory_getnormalobjcolor.arguments), "A");
}

function _ext_factory_getprotectobjcolor()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getprotectobjcolor",[].slice.call(_ext_factory_getprotectobjcolor.arguments), "A");
}

function _ext_factory_getregistryvalue(strRegPath, nDataType)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getregistryvalue",[].slice.call(_ext_factory_getregistryvalue.arguments), "A");
}

function _ext_factory_getshareddata(strKey)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getshareddata",[].slice.call(_ext_factory_getshareddata.arguments), "A");
}

function _ext_factory_getstyleinfo()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getstyleinfo",[].slice.call(_ext_factory_getstyleinfo.arguments), "A");
}

function _ext_factory_getsysdefaultprinter()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysdefaultprinter",[].slice.call(_ext_factory_getsysdefaultprinter.arguments), "A");
}

function _ext_factory_getsysdefaultprintername()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysdefaultprintername",[].slice.call(_ext_factory_getsysdefaultprintername.arguments), "A");
}

function _ext_factory_getsysdiskvolumeinfo()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysdiskvolumeinfo",[].slice.call(_ext_factory_getsysdiskvolumeinfo.arguments), "A");
}

function _ext_factory_getsysdisplaysetting(nMonitor)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysdisplaysetting",[].slice.call(_ext_factory_getsysdisplaysetting.arguments), "A");
}

function _ext_factory_getsysfolder(nFolderID)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysfolder",[].slice.call(_ext_factory_getsysfolder.arguments), "A");
}

function _ext_factory_getsyslastinputtickcount(bLocal)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsyslastinputtickcount",[].slice.call(_ext_factory_getsyslastinputtickcount.arguments), "A");
}

function _ext_factory_getsysmastervolume()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysmastervolume",[].slice.call(_ext_factory_getsysmastervolume.arguments), "A");
}

function _ext_factory_getsysmemorystatus()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysmemorystatus",[].slice.call(_ext_factory_getsysmemorystatus.arguments), "A");
}

function _ext_factory_getsysmemoryusage(nProcessID)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysmemoryusage",[].slice.call(_ext_factory_getsysmemoryusage.arguments), "A");
}

function _ext_factory_getsysmonitors()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysmonitors",[].slice.call(_ext_factory_getsysmonitors.arguments), "A");
}

function _ext_factory_getsysprinter()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysprinter",[].slice.call(_ext_factory_getsysprinter.arguments), "A");
}

function _ext_factory_getsysprocessentry()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsysprocessentry",[].slice.call(_ext_factory_getsysprocessentry.arguments), "A");
}

function _ext_factory_getsystickcount()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsystickcount",[].slice.call(_ext_factory_getsystickcount.arguments), "A");
}

function _ext_factory_getsystime(strDateFormat)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsystime",[].slice.call(_ext_factory_getsystime.arguments), "A");
}

function _ext_factory_getsystimespan(strBaseTime, lDays, lHours, lMins, lSecs, strDateFormat)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsystimespan",[].slice.call(_ext_factory_getsystimespan.arguments), "A");
}

function _ext_factory_getsyswinosversion()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getsyswinosversion",[].slice.call(_ext_factory_getsyswinosversion.arguments), "A");
}

function _ext_factory_getviewerclassid()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getviewerclassid",[].slice.call(_ext_factory_getviewerclassid.arguments), "A");
}

function _ext_factory_getviewerversion()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getviewerversion",[].slice.call(_ext_factory_getviewerversion.arguments), "A");
}

function _ext_factory_getxframeconfig(strName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getxframeconfig",[].slice.call(_ext_factory_getxframeconfig.arguments), "A");
}

function _ext_factory_getxtranencryptkey()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getxtranencryptkey",[].slice.call(_ext_factory_getxtranencryptkey.arguments), "A");
}

function _ext_factory_isaliveprocessor(nProcessorID)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("isaliveprocessor",[].slice.call(_ext_factory_isaliveprocessor.arguments), "A");
}

function _ext_factory_killprocessor(nProcessorID)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("killprocessor",[].slice.call(_ext_factory_killprocessor.arguments), "A");
}

function _ext_factory_loadchmfile(strFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("loadchmfile",[].slice.call(_ext_factory_loadchmfile.arguments), "A");
}

function _ext_factory_playwave(strFileName, bRepeat, bAsync)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("playwave",[].slice.call(_ext_factory_playwave.arguments), "A");
}

function _ext_factory_printscreenshot(nPaperOrient, bShowPrintDialog, bFullScreen)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("printscreenshot",[].slice.call(_ext_factory_printscreenshot.arguments), "A");
}

function _ext_factory_readmdb(strFileName, strQuery, strFieldDelimiter, strRecordDelimiter, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readmdb",[].slice.call(_ext_factory_readmdb.arguments), "A");
}

function _ext_factory_readmdbfieldinfo(strFileName, strTableName, strFieldName, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readmdbfieldinfo",[].slice.call(_ext_factory_readmdbfieldinfo.arguments), "A");
}

function _ext_factory_readmdblasterror()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readmdblasterror",[].slice.call(_ext_factory_readmdblasterror.arguments), "A");
}

function _ext_factory_readmdblastresult()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readmdblastresult",[].slice.call(_ext_factory_readmdblastresult.arguments), "A");
}

function _ext_factory_readmdbtableinfo(strFileName, strConnectOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readmdbtableinfo",[].slice.call(_ext_factory_readmdbtableinfo.arguments), "A");
}

function _ext_factory_readprofilestring(strSectionName, strKeyName, strDefault, strFileName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readprofilestring",[].slice.call(_ext_factory_readprofilestring.arguments), "A");
}

function _ext_factory_readwineventlog(nReadCount)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("readwineventlog",[].slice.call(_ext_factory_readwineventlog.arguments), "A");
}

function _ext_factory_setlocaltime(nYear, nMonth, nDay, nHour, nMinute, nSecond, nMillisecond)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setlocaltime",[].slice.call(_ext_factory_setlocaltime.arguments), "A");
}

function _ext_factory_setregistryvalue(strRegPath, vtValue, nDataType)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setregistryvalue",[].slice.call(_ext_factory_setregistryvalue.arguments), "A");
}

function _ext_factory_setsysdefaultprinter(strPinterName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setsysdefaultprinter",[].slice.call(_ext_factory_setsysdefaultprinter.arguments), "A");
}

function _ext_factory_setsysmastervolume(clsVolumeInfo)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setsysmastervolume",[].slice.call(_ext_factory_setsysmastervolume.arguments), "A");
}

function _ext_factory_setxtranencryptkey(strKey)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setxtranencryptkey",[].slice.call(_ext_factory_setxtranencryptkey.arguments), "A");
}

function _ext_factory_showfileopendialog(strFilter, strInitDir, strInitFileName, strTitle, bMultiSelect, ParentScreen)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showfileopendialog",[].slice.call(_ext_factory_showfileopendialog.arguments), "A");
}

function _ext_factory_showfilesavedialog(strFilter, strInitDir, strInitFileName, strTitle, bOverwritePrompt, ParentScreen)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showfilesavedialog",[].slice.call(_ext_factory_showfilesavedialog.arguments), "A");
}

function _ext_factory_showfolderdialog(strInitFolder, strTitle, instParentScreen)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showfolderdialog",[].slice.call(_ext_factory_showfolderdialog.arguments), "A");
}

function _ext_factory_showmousecursor(bShow)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showmousecursor",[].slice.call(_ext_factory_showmousecursor.arguments), "A");
}

function _ext_factory_showprintdialog(instParentScreen)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("showprintdialog",[].slice.call(_ext_factory_showprintdialog.arguments), "A");
}

function _ext_factory_startwaitcursor(bStart)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("startwaitcursor",[].slice.call(_ext_factory_startwaitcursor.arguments), "A");
}

function _ext_factory_uncompress(strCompText)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("uncompress",[].slice.call(_ext_factory_uncompress.arguments), "A");
}

function _ext_factory_uncompressfile(strCompFilePath, strUnCompFilePath)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("uncompressfile",[].slice.call(_ext_factory_uncompressfile.arguments), "A");
}

function _ext_factory_watchwinsessionchange(bStart, instCallBackScreen, strCallbackFunc)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("watchwinsessionchange",[].slice.call(_ext_factory_watchwinsessionchange.arguments), "A");
}

function _ext_factory_winexec(strCmdLine, bShow)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("winexec",[].slice.call(_ext_factory_winexec.arguments), "A");
}

function _ext_factory_winexecex(strCmdLine, bShow, nOption)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("winexecex",[].slice.call(_ext_factory_winexecex.arguments), "A");
}

function _ext_factory_writeprofilestring(strSectionName, strKeyName, strData, strFileName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("writeprofilestring",[].slice.call(_ext_factory_writeprofilestring.arguments), "A");
}

function _ext_factory_beginmodalstate()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("beginmodalstate",[].slice.call(_ext_factory_beginmodalstate.arguments), "A");
}

function _ext_factory_domodal()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("domodal",[].slice.call(_ext_factory_domodal.arguments), "A");
}

function _ext_factory_domodalstate()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("domodalstate",[].slice.call(_ext_factory_domodalstate.arguments), "A");
}

function _ext_factory_endmodalstate()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("endmodalstate",[].slice.call(_ext_factory_endmodalstate.arguments), "A");
}

function _ext_factory_getdragable()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getdragable",[].slice.call(_ext_factory_getdragable.arguments), "A");
}

function _ext_factory_getpopuplockinmonitor()
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("getpopuplockinmonitor",[].slice.call(_ext_factory_getpopuplockinmonitor.arguments), "A");
}

function _ext_factory_savescreenshot(strFileName)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("savescreenshot",[].slice.call(_ext_factory_savescreenshot.arguments), "A");
}

function _ext_factory_sendcopydata(strWndTitle, strCommand, strSendData, bProcAsync)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("sendcopydata",[].slice.call(_ext_factory_sendcopydata.arguments), "A");
}

function _ext_factory_setdragable(bDragable)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("setdragable",[].slice.call(_ext_factory_setdragable.arguments), "A");
}

function _ext_factory_startcopydatawnd(bStart, strWndTitile)
{
	SYSVar.AGENT_MODULE_MEMBER.RemoteFuncCall("startcopydatawnd",[].slice.call(_ext_factory_startcopydatawnd.arguments), "A");
}