﻿/* ==================================================
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : SecMgr
 * 화    면    명 : [프레임웍] 보안 관리자
 * 화  면  설  명 :
 * AS-IS 프로그램 : xx_anta.pbl / un_secmgr
 *
 */

/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
this.UserInfo = {
	ls_userid: "",
	ls_username: "",
	ls_roleid: "",
	ls_passwd: "",
	ls_deptid: "",
	ls_ggti: "",
};
this.Debug = "N";

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
function _screen_on_load() {
	GM.SecMgr = this;
}

/* --------------------------------------------------
 * 2. 공통 버튼 이벤트 영역
 * -------------------------------------------------- */

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
//미사용 public function boolean of_needslogging (string psv_pgmid)
//미사용 public function datetime of_savelogintime (string psv_pgmid)
//미사용 public subroutine of_savelogouttime (string psv_pgmid, datetime pdv_logintime)
//중복 : public function string of_getuserid (ref string rsv_id)
/**
 * 사용자의 debug 여부를 반환
 * @return String : 'Y' or 'N'
 * @remark of_GetUserDebug ()
 */
function of_GetUserDebug() {
	return this.Debug;
}
/**
 * 현재 로그온 사용자의 ID를 돌려줌
 * @return String : 로그온 사용자 ID
 * @remark of_getuserid ()
 */
function of_GetUserId() {
	return this.UserInfo.ls_userid;
}
//미사용 public function string of_chkrole (string psv_userid, string psv_roleid, ref boolean rbv_flag)
//public function integer of_logon ()
/**
 * 현재 로그온 사용자의 이름을 돌려줌
 * @return String : 로그온 사용자 이름
 * @remark of_getusername ()
 */
function of_GetUserName() {
	return this.UserInfo.ls_username;
}
//public function string of_encrypt (ref string vsv_password, ref string vsv_encrypt, ref integer riv_no)
//public function integer of_updpswd (string psv_userid, string psv_newpswd)
//public function string of_getusername (ref string rsv_name)
//public subroutine of_setuserpswd (string vsv_password)
//public subroutine of_setuserid (string psv_userid)
function of_SetUserId(psv_userid) {
	this.UserInfo.ls_userid = psv_userid;
}
//public function integer of_chkuserpswd (string psv_userid, string psv_passwd)
//public function string of_getuserpswd (string psv_userid)
//public function string of_getuserpswd (string psv_userid, ref string rsv_pswd)

/**
 * 사용자의 고객타입을 알아온다.
 * @return String : 고객타입
 * @remark 
	public function string of_getggti (ref string rsv_ggti)
 */
function of_GetGGTI() {
	return this.UserInfo.ls_ggti;
}

//public function string of_setusername (string psv_userid)

//public function string of_chkpswd (string psv_userid, ref boolean rbv_flag)
//public function integer of_getpswd (string psv_userid, string psv_passwd)
/**
 * 프로그램 사용권한 체크
 * @param strPgmId : string : 권한체크 대상 프로그램
 * @return String : '0'(권한없음),'1'(read only),'2'(read/write), '9'(프로그램 미등록건/DB ERROR)
 * @remark 
		public function string of_chkauthority (string psv_pgmid)
 */
function of_ChkAuthority(strPgmId) {
	//console.log("strPgmId >> "+strPgmId);
	if (this.UserInfo.ls_userid == "master") {
		return "2";
	}

	//TODO 화면이 메뉴에 없다면 거래 날려야함.
	let nFindRow = GDS_MENU.findrow(0, 'menuCode:=:"' + strPgmId + '":1:&');
	if (nFindRow == -1) {
		return "9";
	}
	let strAuthLevel = GDS_MENU.getdatabyname(nFindRow, "authLevel");
	if (strAuthLevel == "X") {
		GM.Util.of_ErrorHandle(screen, "TAINFXS012");
		return "9";
	}
	return strAuthLevel;
}
//미사용 public function string of_chkversion (string vsv_name, string vsv_version, integer viv_type)
//public function string of_getuserpwdok (string psv_userid, string psv_passwd)
//public function string of_getuserpwdok (string psv_userid, string psv_passwd, ref string rsv_pswdok)
//public function integer of_chkuserpwdok (string psv_userid, string psv_passwd)
//public function integer of_getpwdok (string psv_userid, string psv_passwd)
//public function string of_getuserpasswd ()
//public function string of_getuserpasswd (ref string rsv_passwd)

/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */