﻿/**
 * CALLBACK_GRID_DOWNLOADEXCEL 실행 파라미터에서 지정
 * 그리드 "엑셀 저장" 컨텍스트 메뉴 및 downloadexcel API 콜백으로 그리드 엑셀 다운로드 옵션 파라미터를 조정하기 위해 사용한다.
 * 콜백 함수내에서 파라미터를 설정하여 downloadexcelex API를 반드시 호출해야 함
 * @param objScreen 화면 오브젝트
 * @param objGrid 그리드 컴포넌트 오브젝트
 * @param strFileName 엑셀 파일 이름
 */
function CallbackGridDownloadExcel(objScreen, objGrid, strFileName) {
	var is_save_onerow, is_include_pattern;
	
	console.log("CallbackGridDownloadExcel> objScreen.url = " + objScreen.getscreenurl());
	console.log("CallbackGridDownloadExcel> objGrid.name = " + objGrid.getname());
	console.log("CallbackGridDownloadExcel> strFileName = " + strFileName);
	
	is_save_onerow = false;
	is_include_pattern = true;
	
	
	// 그리드 글로벌 셋에 정보 조회 추후 주석 처리 단순 log 정보임
	//`SYSUtil.showDataSetLog(G_GRID_INFO);
	
	var screenId = objScreen.getscreenid();
	var screenTitle = objScreen.getscreentitle();
	var gridName = objGrid.getname();
	var currTime = factory.getsystemtime("%Y%M%D%h%m%s") ;
	
	var downloadExcelFileName = SYSVar.loginUserInfo.EMP_NO+"_"+screenTitle+"_"+currTime;
	
	// 그리드 글로벌 정보에서 해당 그리드가 개인정보를 가지고 있는지 유무를 확인한다.
	for(var i =0; i < G_GRID_INFO.getrowcount(); i++){
		
		var dsScreenId   = G_GRID_INFO.getrawdatabyname(i, "screenId");
		var dsGridNm     = G_GRID_INFO.getrawdatabyname(i, "gridNm");
		var dsIndvInfoYn = G_GRID_INFO.getrawdatabyname(i, "indvInfoYn");
		
		var downLoadInfo = {
								"dsIndvInfoYn":dsIndvInfoYn , 
								"screenId":screenId,
								"screenNm":screenTitle,
								"gridId":gridName,
								"gridName":gridName,
								"downLoadUser":SYSVar.loginUserInfo.EMP_NO, 
								"downloadTime":currTime , 
								"downloadExcelFileName":downloadExcelFileName
	                        }; 
	
		console.log(downLoadInfo);
		
    	//dsIndvInfoYn : Y 개인정보 포함
		if( screenId == dsScreenId && gridName==dsGridNm && dsIndvInfoYn=="Y"){
			
			//console.log("############AAAAAAAAAAAAAAAAAAAAAAA######################");
			
			var ret = factory.setexcelglobalinfo(JSON.stringify(downLoadInfo));
			
			console.log("setexcelglobalinfo return " + ret);
			SYSVar.excelDownloadInfo = downLoadInfo;
			break;
			
		}else{
			//console.log("############BBBBBBBBBBBBBBBBBBBBBBB######################");
			var ret = factory.setexcelglobalinfo("");
			SYSVar.excelDownloadInfo = downLoadInfo;
			console.log("setexcelglobalinfo return " + ret);
		}
	}
	
	//return objGrid.downloadexcelex(downloadExcelFileName, true, is_save_onerow, is_include_pattern, true, true, false, true, false, false //여기까지 기본 다음줄부터 옵션
	//                               , false, false, false, false, true, 0, 0,  false);
	
	return objGrid.downloadexcelex(downloadExcelFileName, true, true, true, true, true, true, true, true, true //여기까지 기본 다음줄부터 옵션
	                               , true, true, true, true, true, 0, 0,  true);
}



function setGridIndvExcelInfo(actionGbn) {
	console.log("#######  setExcelInfo  >>>>"+actionGbn);

	var objScreen = null;
	var screenId = "";
	var screenNm = "";
	var gridName = "";
	
	if(SYSVar.gridRclickInfo != null && SYSVar.gridRclickInfo != undefined){
		screenId  = SYSUtil.getActiveWorkScreenId();
		objScreen = SYSUtil.getActiveWorkScreen();
		screenNm  =  objScreen.getscreentitle();
		gridName  = SYSVar.gridRclickInfo.objComponent.getname();
		
		//console.log("################# before start ##################");
		//console.log(screenId);
		//console.log(gridName);
		//SYSUtil.showDataSetLog(G_GRID_INFO);
		//console.log("#################  before end  ##################");
		
		if(screenId=="defaultHome"){
			SYSUtil.loadMessageBox(objScreen , "안내", 1, "업무화면에서만 설정이 가능합니다!", "homeError");
			return;
		}
		
		if( gridName == null || gridName ==""){
			console.log("화면 Grid Name 설정값없음 Grid Name 설정 필요");
			SYSUtil.loadMessageBox(objScreen , "안내", 1, "그리드의 Name 값 정보가 부족합니다.\n시스템 운영부서에 요청해 주시기 바랍니다.", "messageInfo");
		}else{
			var g_grid_info = G_GRID_INFO; // 글로벌 그리드 정보
			var index = g_grid_info.getrowcount();
			
			if(actionGbn=="reg"){
				var regIdx = 100000;
				var gridRegNo = 10001;
				for(var i=0; i < g_grid_info.getrowcount();i++){
					var targetGridNo = g_grid_info.getdatabyname(i , "gridRegNo");
					var targetScreen = g_grid_info.getdatabyname(i , "screenId");
					var targetGrid   = g_grid_info.getdatabyname(i , "gridNm");
					
					//console.log("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
					//console.log(targetScreen);
					//console.log(targetGrid);
					//console.log("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
					
					if(targetScreen == screenId && targetGrid == gridName){
						regIdx = i;
						//console.log("############  같은 진입 ############# "+regIdx);
						break;
					}
				}
				if(regIdx==100000){
					//console.log("############  추가 진입 ############# "+regIdx);
					var gridIdx = g_grid_info.getrowcount();
					
					gridRegNo = gridRegNo+gridIdx;
					g_grid_info.addrow();
					g_grid_info.setdatabyname(gridIdx , "gridRegNo"  , gridRegNo);
					g_grid_info.setdatabyname(gridIdx , "screenId"   , screenId);
					g_grid_info.setdatabyname(gridIdx , "gridNm"     , gridName);
					g_grid_info.setdatabyname(gridIdx , "indvInfoYn" , "Y");
					
					SYSUtil.loadMessageBox(objScreen , "안내", 1, "그리드의 정보가 추가 되었습니다.", "messageInfoAdd");
				}else if(regIdx!=10000){
					//console.log("############  수정 진입 ############# "+regIdx);
					
					g_grid_info.setdatabyname(regIdx, "gridRegNo" , targetGridNo);
					g_grid_info.setdatabyname(regIdx, "screenId"  , screenId);
					g_grid_info.setdatabyname(regIdx, "gridNm"    , gridName);
					g_grid_info.setdatabyname(regIdx, "indvInfoYn", "Y");
					SYSUtil.loadMessageBox(objScreen , "안내", 1, "그리드가 개인정보 관리대상으로 등록되어 있어,\n그리드의 정보를 최신화 하였습니다.", "messageInfoMod");
				}
				// DB 적용				
				var extParam ={
					"gridRegNo":gridRegNo  ,
					"screenId":screenId    ,
					"screenNm":screenNm    ,
					"gridNm":gridName      ,
					"indvInfoYn":"Y"       ,
					"sqlId":"CT_GRID_INFO_MERGE"
				}
			
				SYSTran.setCmmData(objScreen, extParam);


			}else if(actionGbn="del"){
				var delIdx = 10000;
				for(var i=0; i < g_grid_info.getrowcount();i++){
					gridRegNo    = g_grid_info.getdatabyname(i , "gridRegNo");
					
					var targetScreen = g_grid_info.getdatabyname(i , "screenId");
					var targetGrid   = g_grid_info.getdatabyname(i , "gridNm");
					
					if(targetScreen == screenId && targetGrid == gridName){
						g_grid_info.deleterow(i);	
						SYSUtil.loadMessageBox(objScreen , "안내", 1, "그리드의 정보가 삭제 되었습니다.", "messageInfoDel");
						delIdx = i;
						
						// DB 삭제
						var extParam ={
							"gridRegNo":gridRegNo  ,
							"sqlId":"CT_GRID_INFO_DELETE"
						}
					
						SYSTran.setCmmData(objScreen, extParam);
						break;
					}
				}
				
				if(delIdx == 10000){
					SYSUtil.loadMessageBox(objScreen , "안내", 1, "대상 정보가 없습니다.", "messageInfoDel");
				}
			}
			SYSUtil.showDataSetLog(G_GRID_INFO);
		}
	}
	
	
}	